$---------------------------------------------------------------------MDI_HEADER
[MDI_HEADER]
 FILE_TYPE     =  'tpl'
 FILE_VERSION  =  2018.0
 FILE_FORMAT   =  'ASCII'
 HEADER_SIZE   =  9
(COMMENTS)
{comment_string}
'Adams Car antirollbar template'
$----------------------------------------------------------------TEMPLATE_HEADER
[TEMPLATE_HEADER]
 TEMPLATE_NAME  =  '_fsae_arb'
 MAJOR_ROLE     =  'antirollbar'
 TIMESTAMP      =  '2019/03/04,19:53:50'
 HEADER_SIZE    =  6
$------------------------------------------------------------------------PLUGINS
[PLUGINS]
 PLUGIN_LIST  =  'acar'
 HEADER_SIZE  =  4
!
!-------------------------- Default Units for Model ---------------------------!
!
!
defaults units  &
   length = mm  &
   angle = deg  &
   force = newton  &
   mass = kg  &
   time = sec
!
defaults units  &
   coordinate_system_type = cartesian  &
   orientation_type = body313
!
!------------------------ Default Attributes for Model ------------------------!
!
!
defaults attributes  &
   inheritance = bottom_up  &
   icon_visibility = off  &
   grid_visibility = off  &
   size_of_icons = 50.0  &
   spacing_for_grid = 1000.0
!
!--------------------------- Plugins used by Model ----------------------------!
!
!
plugin load  &
   plugin_name = .MDI.plugins.acar
!
!------------------------------ Adams View Model ------------------------------!
!
!
model create  &
   model_name = _fsae_arb  &
   title = "Adams/Car template"
!
model attributes  &
   model_name = ._fsae_arb  &
   size_of_icons = 24.9999999999
!
view erase
!
!-------------------------------- Data storage --------------------------------!
!
!
data_element create variable  &
   variable_name = ._fsae_arb._cv_solver_variable  &
   comments = "Dummy for communicators"  &
   initial_condition = 0.0  &
   function = ""
!
data_element attributes  &
   data_element_name = ._fsae_arb._cv_solver_variable  &
   visibility = off
!
data_element create array ic_array  &
   array_name = ._fsae_arb._cv_array  &
   comments = "Dummy for communicators"  &
   size = 1  &
   numbers = 0.0
!
data_element attributes  &
   data_element_name = ._fsae_arb._cv_array  &
   visibility = off
!
data_element create spline  &
   spline_name = ._fsae_arb._cv_spline  &
   comments = "Dummy for communicators"  &
   x = 1.0, 2.0, 3.0, 4.0  &
   y = 1.0, 2.0, 3.0, 4.0, 1.0, 2.0, 3.0, 4.0  &
   z = 1.0, 2.0  &
   linear_extrapolate = no
!
data_element attributes  &
   data_element_name = ._fsae_arb._cv_spline  &
   visibility = off
!
data_element create string  &
   string_name = ._fsae_arb.minor_role_string  &
   comments = "Memory for Adams/Car minor role for solver"  &
   string = "unassigned"
!
data_element attributes  &
   data_element_name = ._fsae_arb.minor_role_string  &
   visibility = off
!
!--------------------------------- Materials ----------------------------------!
!
!
material create  &
   material_name = ._fsae_arb.steel  &
   density = 7.801E-06  &
   youngs_modulus = 2.07E+05  &
   poissons_ratio = 0.29
!
!-------------------------------- Rigid Parts ---------------------------------!
!
! Create parts and their dependent markers and graphics
!
!----------------------------------- ground -----------------------------------!
!
!
! ****** Ground Part ******
!
part modify rigid_body name_and_position  &
   part_name = ground
!
defaults model  &
   part_name = ground
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_arb.ground
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._fsae_arb.ground.origo  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_arb.ground.origo  &
   size_of_icons = 24.9999999999
!
marker create  &
   marker_name = ._fsae_arb.ground._cv_marker  &
   comments = "Dummy for communicators"  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_arb.ground._cv_marker  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 24.9999999999
!
marker create  &
   marker_name = ._fsae_arb.ground.mtl_mount_j_1  &
   location = 101.6, -254.0, 100.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_arb.ground.mtl_mount_j_1  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 24.9999999999
!
marker create  &
   marker_name = ._fsae_arb.ground.mtr_mount_j_1  &
   location = 101.6, 254.0, 100.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_arb.ground.mtr_mount_j_1  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 24.9999999999
!
marker create  &
   marker_name = ._fsae_arb.ground.mtl_mount_j_2  &
   location = 0.0, -254.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_arb.ground.mtl_mount_j_2  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_arb.ground.mtr_mount_j_2  &
   location = 0.0, 254.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_arb.ground.mtr_mount_j_2  &
   visibility = off  &
   name_visibility = off
!
! ****** Points for current part ******
!
point create  &
   point_name = ._fsae_arb.ground.hpr_drop_link  &
   location = 101.6, 254.0, 100.0
!
point attributes  &
   point_name = ._fsae_arb.ground.hpr_drop_link  &
   size_of_icons = 24.9999999999
!
point create  &
   point_name = ._fsae_arb.ground.hpl_drop_link  &
   location = 101.6, -254.0, 100.0
!
point attributes  &
   point_name = ._fsae_arb.ground.hpl_drop_link  &
   size_of_icons = 24.9999999999
!
point create  &
   point_name = ._fsae_arb.ground.hpr_leaf_link  &
   location = 101.6, 254.0, 0.0
!
point attributes  &
   point_name = ._fsae_arb.ground.hpr_leaf_link  &
   size_of_icons = 24.9999999999
!
point create  &
   point_name = ._fsae_arb.ground.hpl_leaf_link  &
   location = 101.6, -254.0, 0.0
!
point attributes  &
   point_name = ._fsae_arb.ground.hpl_leaf_link  &
   size_of_icons = 24.9999999999
!
point create  &
   point_name = ._fsae_arb.ground.hpr_arb_bend  &
   location = 0.0, 254.0, 0.0
!
point attributes  &
   point_name = ._fsae_arb.ground.hpr_arb_bend  &
   size_of_icons = 24.9999999999
!
point create  &
   point_name = ._fsae_arb.ground.hpl_arb_bend  &
   location = 0.0, -254.0, 0.0
!
point attributes  &
   point_name = ._fsae_arb.ground.hpl_arb_bend  &
   size_of_icons = 24.9999999999
!
point create  &
   point_name = ._fsae_arb.ground.hps_arb_center  &
   location = 0.0, 0.0, 0.0
!
point attributes  &
   point_name = ._fsae_arb.ground.hps_arb_center  &
   size_of_icons = 24.9999999999
!
! ****** Graphics for current part ******
!
geometry create shape ellipsoid  &
   ellipsoid_name = ._fsae_arb.ground._cv_csolid  &
   center_marker = ._fsae_arb.ground._cv_marker  &
   x_scale_factor = 100.0  &
   y_scale_factor = 100.0  &
   z_scale_factor = 100.0
!
geometry attributes  &
   geometry_name = ._fsae_arb.ground._cv_csolid  &
   active = off
!
part attributes  &
   part_name = ._fsae_arb.ground  &
   size_of_icons = 24.9999999999
!
!---------------------------------- _cv_part ----------------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_arb.ground
!
part create rigid_body name_and_position  &
   part_name = ._fsae_arb._cv_part  &
   comments = "Dummy for communicators"  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_arb._cv_part
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._fsae_arb._cv_part.marker  &
   comments = "Dummy for communicators"  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_arb._cv_part.marker  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 24.9999999999
!
part create rigid_body mass_properties  &
   part_name = ._fsae_arb._cv_part  &
   mass = 0.0  &
   center_of_mass_marker = ._fsae_arb._cv_part.marker  &
   ixx = 0.0  &
   iyy = 0.0  &
   izz = 0.0  &
   ixy = 0.0  &
   izx = 0.0  &
   iyz = 0.0
!
part attributes  &
   part_name = ._fsae_arb._cv_part  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 24.9999999999
!
!---------------------------- mtl_drop_link_to_BC -----------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_arb.ground
!
part create rigid_body name_and_position  &
   part_name = ._fsae_arb.mtl_drop_link_to_BC  &
   location = 101.6, -254.0, 100.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_arb.mtl_drop_link_to_BC
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._fsae_arb.mtl_drop_link_to_BC.mount_i  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_arb.mtl_drop_link_to_BC.mount_i  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 24.9999999999
!
marker create  &
   marker_name = ._fsae_arb.mtl_drop_link_to_BC.jxl_joint_j_1  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_arb.mtl_drop_link_to_BC.jxl_joint_j_1  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 24.9999999999
!
part attributes  &
   part_name = ._fsae_arb.mtl_drop_link_to_BC  &
   visibility = on  &
   name_visibility = on  &
   size_of_icons = 24.9999999999
!
!---------------------------- mtr_drop_link_to_BC -----------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_arb.ground
!
part create rigid_body name_and_position  &
   part_name = ._fsae_arb.mtr_drop_link_to_BC  &
   location = 101.6, 254.0, 100.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_arb.mtr_drop_link_to_BC
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._fsae_arb.mtr_drop_link_to_BC.mount_i  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_arb.mtr_drop_link_to_BC.mount_i  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 24.9999999999
!
marker create  &
   marker_name = ._fsae_arb.mtr_drop_link_to_BC.jxr_joint_j_1  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_arb.mtr_drop_link_to_BC.jxr_joint_j_1  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 24.9999999999
!
part attributes  &
   part_name = ._fsae_arb.mtr_drop_link_to_BC  &
   visibility = on  &
   name_visibility = on  &
   size_of_icons = 24.9999999999
!
!-------------------------------- gel_droplink --------------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_arb.ground
!
part create rigid_body name_and_position  &
   part_name = ._fsae_arb.gel_droplink  &
   location = 101.6, -254.0, 50.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_arb.gel_droplink
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._fsae_arb.gel_droplink.cm  &
   location = -2.431585571E-02, 34.4491421658, -69.5527618746  &
   orientation = 3.402942034d, 40.144752527d, 22.9439223793d
!
marker attributes  &
   marker_name = ._fsae_arb.gel_droplink.cm  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 24.9999999999
!
marker create  &
   marker_name = ._fsae_arb.gel_droplink.inertia_frame  &
   location = -2.431585571E-02, 34.4491421658, -69.5527618746  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_arb.gel_droplink.inertia_frame  &
   size_of_icons = 24.9999999999
!
marker create  &
   marker_name = ._fsae_arb.gel_droplink.gralin_1  &
   location = 0.0, 0.0, 50.0  &
   orientation = 180.0d, 180.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_arb.gel_droplink.gralin_1  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 24.9999999999
!
marker create  &
   marker_name = ._fsae_arb.gel_droplink.graell_5  &
   location = 0.0, 0.0, 50.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_arb.gel_droplink.graell_5  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 24.9999999999
!
marker create  &
   marker_name = ._fsae_arb.gel_droplink.jxl_joint_i_1  &
   location = 0.0, 0.0, 50.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_arb.gel_droplink.jxl_joint_i_1  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 24.9999999999
!
marker create  &
   marker_name = ._fsae_arb.gel_droplink.jxl_joint_i_2  &
   location = 0.0, 0.0, -50.0  &
   orientation = 180.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_arb.gel_droplink.jxl_joint_i_2  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 24.9999999999
!
part create rigid_body mass_properties  &
   part_name = ._fsae_arb.gel_droplink  &
   mass = 0.2253962435  &
   center_of_mass_marker = ._fsae_arb.gel_droplink.cm  &
   inertia_marker = ._fsae_arb.gel_droplink.inertia_frame  &
   ixx = 1371.7420726643  &
   iyy = 900.0362681525  &
   izz = 750.8650770084  &
   ixy = -84.2228798179  &
   izx = -22.4490177182  &
   iyz = -413.6177093814
!
! ****** Graphics for current part ******
!
geometry create shape cylinder  &
   cylinder_name = ._fsae_arb.gel_droplink.gralin_drop_link  &
   center_marker = ._fsae_arb.gel_droplink.gralin_1  &
   angle_extent = 360.0  &
   length = 100.0  &
   radius = 4.7625  &
   side_count_for_body = 15  &
   segment_count_for_ends = 15
!
geometry attributes  &
   geometry_name = ._fsae_arb.gel_droplink.gralin_drop_link  &
   color = DARK_GRAY
!
geometry create shape ellipsoid  &
   ellipsoid_name = ._fsae_arb.gel_droplink.graell_droplink_to_BC  &
   center_marker = ._fsae_arb.gel_droplink.graell_5  &
   x_scale_factor = 9.525  &
   y_scale_factor = 9.525  &
   z_scale_factor = 9.525
!
geometry attributes  &
   geometry_name = ._fsae_arb.gel_droplink.graell_droplink_to_BC  &
   color = DARK_GRAY
!
part attributes  &
   part_name = ._fsae_arb.gel_droplink  &
   visibility = on  &
   name_visibility = on  &
   size_of_icons = 24.9999999999
!
!-------------------------------- ger_droplink --------------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_arb.ground
!
part create rigid_body name_and_position  &
   part_name = ._fsae_arb.ger_droplink  &
   location = 101.6, 254.0, 50.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_arb.ger_droplink
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._fsae_arb.ger_droplink.cm  &
   location = -2.431585571E-02, -34.4491421658, -69.5527618746  &
   orientation = 176.597057966d, 40.144752527d, 157.0560776207d
!
marker attributes  &
   marker_name = ._fsae_arb.ger_droplink.cm  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 24.9999999999
!
marker create  &
   marker_name = ._fsae_arb.ger_droplink.inertia_frame  &
   location = -2.431585571E-02, -34.4491421658, -69.5527618746  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_arb.ger_droplink.inertia_frame  &
   size_of_icons = 24.9999999999
!
marker create  &
   marker_name = ._fsae_arb.ger_droplink.gralin_2  &
   location = 0.0, 0.0, 50.0  &
   orientation = 180.0d, 180.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_arb.ger_droplink.gralin_2  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 24.9999999999
!
marker create  &
   marker_name = ._fsae_arb.ger_droplink.graell_6  &
   location = 0.0, 0.0, 50.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_arb.ger_droplink.graell_6  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 24.9999999999
!
marker create  &
   marker_name = ._fsae_arb.ger_droplink.jxr_joint_i_1  &
   location = 0.0, 0.0, 50.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_arb.ger_droplink.jxr_joint_i_1  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 24.9999999999
!
marker create  &
   marker_name = ._fsae_arb.ger_droplink.jxr_joint_i_2  &
   location = 0.0, 0.0, -50.0  &
   orientation = 180.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_arb.ger_droplink.jxr_joint_i_2  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 24.9999999999
!
part create rigid_body mass_properties  &
   part_name = ._fsae_arb.ger_droplink  &
   mass = 0.2253962435  &
   center_of_mass_marker = ._fsae_arb.ger_droplink.cm  &
   inertia_marker = ._fsae_arb.ger_droplink.inertia_frame  &
   ixx = 1371.7420726643  &
   iyy = 900.0362681525  &
   izz = 750.8650770084  &
   ixy = 84.2228798179  &
   izx = -22.4490177182  &
   iyz = 413.6177093814
!
! ****** Graphics for current part ******
!
geometry create shape cylinder  &
   cylinder_name = ._fsae_arb.ger_droplink.gralin_drop_link  &
   center_marker = ._fsae_arb.ger_droplink.gralin_2  &
   angle_extent = 360.0  &
   length = 100.0  &
   radius = 4.7625  &
   side_count_for_body = 15  &
   segment_count_for_ends = 15
!
geometry attributes  &
   geometry_name = ._fsae_arb.ger_droplink.gralin_drop_link  &
   color = DARK_GRAY
!
geometry create shape ellipsoid  &
   ellipsoid_name = ._fsae_arb.ger_droplink.graell_droplink_to_BC  &
   center_marker = ._fsae_arb.ger_droplink.graell_6  &
   x_scale_factor = 9.525  &
   y_scale_factor = 9.525  &
   z_scale_factor = 9.525
!
geometry attributes  &
   geometry_name = ._fsae_arb.ger_droplink.graell_droplink_to_BC  &
   color = DARK_GRAY
!
part attributes  &
   part_name = ._fsae_arb.ger_droplink  &
   visibility = on  &
   name_visibility = on  &
   size_of_icons = 24.9999999999
!
!---------------------------------- gel_arb -----------------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_arb.ground
!
part create rigid_body name_and_position  &
   part_name = ._fsae_arb.gel_arb  &
   location = 0.0, -127.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_arb.gel_arb
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._fsae_arb.gel_arb.cm  &
   location = 32.385, -84.8106, 39.1541  &
   orientation = 90.0d, 39.5947100805d, 270.0d
!
marker attributes  &
   marker_name = ._fsae_arb.gel_arb.cm  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 24.9999999999
!
marker create  &
   marker_name = ._fsae_arb.gel_arb.inertia_frame  &
   location = 32.385, -84.8106, 39.1541  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_arb.gel_arb.inertia_frame  &
   size_of_icons = 24.9999999999
!
marker create  &
   marker_name = ._fsae_arb.gel_arb.graell_1  &
   location = 0.0, -127.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_arb.gel_arb.graell_1  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 24.9999999999
!
marker create  &
   marker_name = ._fsae_arb.gel_arb.graell_3  &
   location = 101.6, -127.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_arb.gel_arb.graell_3  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 24.9999999999
!
marker create  &
   marker_name = ._fsae_arb.gel_arb.jxl_joint_j_2  &
   location = 101.6, -127.0, 0.0  &
   orientation = 270.0d, 90.0d, 90.0d
!
marker attributes  &
   marker_name = ._fsae_arb.gel_arb.jxl_joint_j_2  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 24.9999999999
!
marker create  &
   marker_name = ._fsae_arb.gel_arb.mal_angle_measure  &
   location = 0.0, -127.0, 0.0  &
   orientation = 0.0d, 90.0d, 0.0d
!
marker create  &
   marker_name = ._fsae_arb.gel_arb.jfs_actuator_i_1  &
   location = 0.0, 127.0, 0.0  &
   orientation = 180.0d, 90.0d, 180.0d
!
marker attributes  &
   marker_name = ._fsae_arb.gel_arb.jfs_actuator_i_1  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_arb.gel_arb.jxs_joint_i_2  &
   location = 0.0, 127.0, 0.0  &
   orientation = 180.0d, 90.0d, 180.0d
!
marker attributes  &
   marker_name = ._fsae_arb.gel_arb.jxs_joint_i_2  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_arb.gel_arb.gralin_5  &
   location = 0.0, -127.0, 0.0  &
   orientation = 180.0d, 90.0d, 180.0d
!
marker attributes  &
   marker_name = ._fsae_arb.gel_arb.gralin_5  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 24.9999999999
!
marker create  &
   marker_name = ._fsae_arb.gel_arb.gralin_3  &
   location = 0.0, -127.0, 0.0  &
   orientation = 90.0d, 90.0d, 270.0d
!
marker attributes  &
   marker_name = ._fsae_arb.gel_arb.gralin_3  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 24.9999999999
!
marker create  &
   marker_name = ._fsae_arb.gel_arb.bxl_bushing_i_1  &
   location = 0.0, -127.0, 0.0  &
   orientation = 180.0d, 90.0d, 180.0d
!
marker attributes  &
   marker_name = ._fsae_arb.gel_arb.bxl_bushing_i_1  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_arb.gel_arb.bxl_bushgeom_i_1  &
   location = 0.0, -137.0, 0.0  &
   orientation = 180.0d, 90.0d, 90.0d
!
marker attributes  &
   marker_name = ._fsae_arb.gel_arb.bxl_bushgeom_i_1  &
   visibility = off  &
   name_visibility = off
!
part create rigid_body mass_properties  &
   part_name = ._fsae_arb.gel_arb  &
   mass = 7.0594984778E-03  &
   center_of_mass_marker = ._fsae_arb.gel_arb.cm  &
   inertia_marker = ._fsae_arb.gel_arb.inertia_frame  &
   ixx = 10.8865663262  &
   iyy = 18.2904852041  &
   izz = 7.4679666192  &
   ixy = 0.0  &
   izx = 8.9514830984  &
   iyz = 0.0
!
! ****** Graphics for current part ******
!
geometry create shape ellipsoid  &
   ellipsoid_name = ._fsae_arb.gel_arb.graell_arb_bend  &
   center_marker = ._fsae_arb.gel_arb.graell_1  &
   x_scale_factor = 9.525  &
   y_scale_factor = 9.525  &
   z_scale_factor = 9.525
!
geometry attributes  &
   geometry_name = ._fsae_arb.gel_arb.graell_arb_bend  &
   color = DARK_GRAY
!
geometry create shape ellipsoid  &
   ellipsoid_name = ._fsae_arb.gel_arb.graell_leaf_end  &
   center_marker = ._fsae_arb.gel_arb.graell_3  &
   x_scale_factor = 9.525  &
   y_scale_factor = 9.525  &
   z_scale_factor = 9.525
!
geometry attributes  &
   geometry_name = ._fsae_arb.gel_arb.graell_leaf_end  &
   color = DARK_GRAY
!
geometry create shape cylinder  &
   cylinder_name = ._fsae_arb.gel_arb.gralin_arb  &
   center_marker = ._fsae_arb.gel_arb.gralin_5  &
   angle_extent = 360.0  &
   length = 254.0  &
   radius = 4.7625  &
   side_count_for_body = 15  &
   segment_count_for_ends = 15
!
geometry attributes  &
   geometry_name = ._fsae_arb.gel_arb.gralin_arb  &
   color = DARK_GRAY
!
geometry create shape cylinder  &
   cylinder_name = ._fsae_arb.gel_arb.gralin_arb_leaf  &
   center_marker = ._fsae_arb.gel_arb.gralin_3  &
   angle_extent = 360.0  &
   length = 101.6  &
   radius = 4.7625  &
   side_count_for_body = 15  &
   segment_count_for_ends = 15
!
geometry attributes  &
   geometry_name = ._fsae_arb.gel_arb.gralin_arb_leaf  &
   color = DARK_GRAY
!
part attributes  &
   part_name = ._fsae_arb.gel_arb  &
   visibility = on  &
   name_visibility = on  &
   size_of_icons = 24.9999999999
!
!---------------------------------- ger_arb -----------------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_arb.ground
!
part create rigid_body name_and_position  &
   part_name = ._fsae_arb.ger_arb  &
   location = 0.0, 127.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_arb.ger_arb
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._fsae_arb.ger_arb.cm  &
   location = 32.385, 84.8106, 39.1541  &
   orientation = 90.0d, 39.5947100805d, 270.0d
!
marker attributes  &
   marker_name = ._fsae_arb.ger_arb.cm  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 24.9999999999
!
marker create  &
   marker_name = ._fsae_arb.ger_arb.inertia_frame  &
   location = 32.385, 84.8106, 39.1541  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_arb.ger_arb.inertia_frame  &
   size_of_icons = 24.9999999999
!
marker create  &
   marker_name = ._fsae_arb.ger_arb.graell_2  &
   location = 0.0, 127.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_arb.ger_arb.graell_2  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 24.9999999999
!
marker create  &
   marker_name = ._fsae_arb.ger_arb.graell_4  &
   location = 101.6, 127.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_arb.ger_arb.graell_4  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 24.9999999999
!
marker create  &
   marker_name = ._fsae_arb.ger_arb.jxr_joint_j_2  &
   location = 101.6, 127.0, 0.0  &
   orientation = 270.0d, 90.0d, 90.0d
!
marker attributes  &
   marker_name = ._fsae_arb.ger_arb.jxr_joint_j_2  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 24.9999999999
!
marker create  &
   marker_name = ._fsae_arb.ger_arb.mar_angle_measure  &
   location = 0.0, 127.0, 0.0  &
   orientation = 180.0d, 90.0d, 180.0d
!
marker create  &
   marker_name = ._fsae_arb.ger_arb.jfs_actuator_j_1  &
   location = 0.0, -127.0, 0.0  &
   orientation = 180.0d, 90.0d, 180.0d
!
marker attributes  &
   marker_name = ._fsae_arb.ger_arb.jfs_actuator_j_1  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_arb.ger_arb.jxs_joint_j_2  &
   location = 0.0, -127.0, 0.0  &
   orientation = 180.0d, 90.0d, 180.0d
!
marker attributes  &
   marker_name = ._fsae_arb.ger_arb.jxs_joint_j_2  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_arb.ger_arb.gralin_6  &
   location = 0.0, 127.0, 0.0  &
   orientation = 0.0d, 90.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_arb.ger_arb.gralin_6  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 24.9999999999
!
marker create  &
   marker_name = ._fsae_arb.ger_arb.gralin_4  &
   location = 0.0, 127.0, 0.0  &
   orientation = 90.0d, 90.0d, 270.0d
!
marker attributes  &
   marker_name = ._fsae_arb.ger_arb.gralin_4  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 24.9999999999
!
marker create  &
   marker_name = ._fsae_arb.ger_arb.bxr_bushing_i_1  &
   location = 0.0, 127.0, 0.0  &
   orientation = 0.0d, 90.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_arb.ger_arb.bxr_bushing_i_1  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_arb.ger_arb.bxr_bushgeom_i_1  &
   location = 0.0, 137.0, 0.0  &
   orientation = 0.0d, 90.0d, 270.0d
!
marker attributes  &
   marker_name = ._fsae_arb.ger_arb.bxr_bushgeom_i_1  &
   visibility = off  &
   name_visibility = off
!
part create rigid_body mass_properties  &
   part_name = ._fsae_arb.ger_arb  &
   mass = 7.0594984778E-03  &
   center_of_mass_marker = ._fsae_arb.ger_arb.cm  &
   inertia_marker = ._fsae_arb.ger_arb.inertia_frame  &
   ixx = 10.8865663262  &
   iyy = 18.2904852041  &
   izz = 7.4679666192  &
   ixy = 0.0  &
   izx = 8.9514830984  &
   iyz = 0.0
!
! ****** Graphics for current part ******
!
geometry create shape ellipsoid  &
   ellipsoid_name = ._fsae_arb.ger_arb.graell_arb_bend  &
   center_marker = ._fsae_arb.ger_arb.graell_2  &
   x_scale_factor = 9.525  &
   y_scale_factor = 9.525  &
   z_scale_factor = 9.525
!
geometry attributes  &
   geometry_name = ._fsae_arb.ger_arb.graell_arb_bend  &
   color = DARK_GRAY
!
geometry create shape ellipsoid  &
   ellipsoid_name = ._fsae_arb.ger_arb.graell_leaf_end  &
   center_marker = ._fsae_arb.ger_arb.graell_4  &
   x_scale_factor = 9.525  &
   y_scale_factor = 9.525  &
   z_scale_factor = 9.525
!
geometry attributes  &
   geometry_name = ._fsae_arb.ger_arb.graell_leaf_end  &
   color = DARK_GRAY
!
geometry create shape cylinder  &
   cylinder_name = ._fsae_arb.ger_arb.gralin_arb  &
   center_marker = ._fsae_arb.ger_arb.gralin_6  &
   angle_extent = 360.0  &
   length = 254.0  &
   radius = 4.7625  &
   side_count_for_body = 15  &
   segment_count_for_ends = 15
!
geometry attributes  &
   geometry_name = ._fsae_arb.ger_arb.gralin_arb  &
   color = DARK_GRAY
!
geometry create shape cylinder  &
   cylinder_name = ._fsae_arb.ger_arb.gralin_arb_leaf  &
   center_marker = ._fsae_arb.ger_arb.gralin_4  &
   angle_extent = 360.0  &
   length = 101.6  &
   radius = 4.7625  &
   side_count_for_body = 15  &
   segment_count_for_ends = 15
!
geometry attributes  &
   geometry_name = ._fsae_arb.ger_arb.gralin_arb_leaf  &
   color = DARK_GRAY
!
part attributes  &
   part_name = ._fsae_arb.ger_arb  &
   visibility = on  &
   name_visibility = on  &
   size_of_icons = 24.9999999999
!
!------------------------------ mtl_arb_to_frame ------------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_arb.ground
!
part create rigid_body name_and_position  &
   part_name = ._fsae_arb.mtl_arb_to_frame  &
   location = 0.0, -254.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_arb.mtl_arb_to_frame
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._fsae_arb.mtl_arb_to_frame.mount_i  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_arb.mtl_arb_to_frame.mount_i  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_arb.mtl_arb_to_frame.bxl_bushing_j_1  &
   location = 0.0, 0.0, 0.0  &
   orientation = 180.0d, 90.0d, 180.0d
!
marker attributes  &
   marker_name = ._fsae_arb.mtl_arb_to_frame.bxl_bushing_j_1  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_arb.mtl_arb_to_frame.bxl_bushgeom_j_1  &
   location = 0.0, -10.0, 0.0  &
   orientation = 180.0d, 90.0d, 180.0d
!
marker attributes  &
   marker_name = ._fsae_arb.mtl_arb_to_frame.bxl_bushgeom_j_1  &
   visibility = off  &
   name_visibility = off
!
part attributes  &
   part_name = ._fsae_arb.mtl_arb_to_frame  &
   visibility = on  &
   name_visibility = on
!
!------------------------------ mtr_arb_to_frame ------------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_arb.ground
!
part create rigid_body name_and_position  &
   part_name = ._fsae_arb.mtr_arb_to_frame  &
   location = 0.0, 254.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_arb.mtr_arb_to_frame
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._fsae_arb.mtr_arb_to_frame.mount_i  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_arb.mtr_arb_to_frame.mount_i  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_arb.mtr_arb_to_frame.bxr_bushing_j_1  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 90.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_arb.mtr_arb_to_frame.bxr_bushing_j_1  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_arb.mtr_arb_to_frame.bxr_bushgeom_j_1  &
   location = 0.0, 10.0, 0.0  &
   orientation = 0.0d, 90.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_arb.mtr_arb_to_frame.bxr_bushgeom_j_1  &
   visibility = off  &
   name_visibility = off
!
part attributes  &
   part_name = ._fsae_arb.mtr_arb_to_frame  &
   visibility = on  &
   name_visibility = on
!
!--------------------------------- Equations ----------------------------------!
!
!
part create equation differential_equation  &
   differential_equation_name = ._fsae_arb._cv_diff  &
   comments = "Dummy for communicators"  &
   initial_condition = 0.0  &
   function = ""  &
   implicit = off  &
   static_hold = off
!
part attributes  &
   equation_name = ._fsae_arb._cv_diff  &
   visibility = off
!
!----------------------------------- Joints -----------------------------------!
!
!
constraint create joint cylindrical  &
   joint_name = ._fsae_arb._cv_joint_for_motion  &
   comments = "Dummy for communicators"  &
   i_marker_name = ._fsae_arb._cv_part.marker  &
   j_marker_name = ._fsae_arb.ground._cv_marker
!
constraint attributes  &
   constraint_name = ._fsae_arb._cv_joint_for_motion  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 24.9999999999
!
constraint create joint fixed  &
   joint_name = ._fsae_arb.mtl_fixed_1  &
   i_marker_name = ._fsae_arb.mtl_drop_link_to_BC.mount_i  &
   j_marker_name = ._fsae_arb.ground.mtl_mount_j_1
!
constraint attributes  &
   constraint_name = ._fsae_arb.mtl_fixed_1  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 24.9999999999
!
constraint create joint fixed  &
   joint_name = ._fsae_arb.mtr_fixed_1  &
   i_marker_name = ._fsae_arb.mtr_drop_link_to_BC.mount_i  &
   j_marker_name = ._fsae_arb.ground.mtr_mount_j_1
!
constraint attributes  &
   constraint_name = ._fsae_arb.mtr_fixed_1  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 24.9999999999
!
constraint create joint spherical  &
   joint_name = ._fsae_arb.jolsph_droplink_to_BC  &
   i_marker_name = ._fsae_arb.gel_droplink.jxl_joint_i_1  &
   j_marker_name = ._fsae_arb.mtl_drop_link_to_BC.jxl_joint_j_1
!
constraint attributes  &
   constraint_name = ._fsae_arb.jolsph_droplink_to_BC  &
   size_of_icons = 24.9999999999
!
constraint create joint spherical  &
   joint_name = ._fsae_arb.jorsph_droplink_to_BC  &
   i_marker_name = ._fsae_arb.ger_droplink.jxr_joint_i_1  &
   j_marker_name = ._fsae_arb.mtr_drop_link_to_BC.jxr_joint_j_1
!
constraint attributes  &
   constraint_name = ._fsae_arb.jorsph_droplink_to_BC  &
   size_of_icons = 24.9999999999
!
constraint create joint convel  &
   joint_name = ._fsae_arb.jolcon_droplink_to_arb  &
   i_marker_name = ._fsae_arb.gel_droplink.jxl_joint_i_2  &
   j_marker_name = ._fsae_arb.gel_arb.jxl_joint_j_2
!
constraint attributes  &
   constraint_name = ._fsae_arb.jolcon_droplink_to_arb  &
   size_of_icons = 24.9999999999
!
constraint create joint convel  &
   joint_name = ._fsae_arb.jorcon_droplink_to_arb  &
   i_marker_name = ._fsae_arb.ger_droplink.jxr_joint_i_2  &
   j_marker_name = ._fsae_arb.ger_arb.jxr_joint_j_2
!
constraint attributes  &
   constraint_name = ._fsae_arb.jorcon_droplink_to_arb  &
   size_of_icons = 24.9999999999
!
constraint create joint revolute  &
   joint_name = ._fsae_arb.josrev_arb  &
   i_marker_name = ._fsae_arb.gel_arb.jxs_joint_i_2  &
   j_marker_name = ._fsae_arb.ger_arb.jxs_joint_j_2
!
constraint create joint fixed  &
   joint_name = ._fsae_arb.mtl_fixed_2  &
   i_marker_name = ._fsae_arb.mtl_arb_to_frame.mount_i  &
   j_marker_name = ._fsae_arb.ground.mtl_mount_j_2
!
constraint attributes  &
   constraint_name = ._fsae_arb.mtl_fixed_2  &
   visibility = off  &
   name_visibility = off
!
constraint create joint fixed  &
   joint_name = ._fsae_arb.mtr_fixed_2  &
   i_marker_name = ._fsae_arb.mtr_arb_to_frame.mount_i  &
   j_marker_name = ._fsae_arb.ground.mtr_mount_j_2
!
constraint attributes  &
   constraint_name = ._fsae_arb.mtr_fixed_2  &
   visibility = off  &
   name_visibility = off
!
!------------------------------ Joint Primitives ------------------------------!
!
!
constraint create primitive_joint inplane  &
   jprim_name = ._fsae_arb._cv_joint  &
   comments = "Dummy for communicators"  &
   i_marker_name = ._fsae_arb._cv_part.marker  &
   j_marker_name = ._fsae_arb.ground._cv_marker
!
constraint attributes  &
   constraint_name = ._fsae_arb._cv_joint  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 24.9999999999
!
!----------------------------------- Forces -----------------------------------!
!
!
force create element_like field  &
   field_name = ._fsae_arb._cv_bushing  &
   comments = "Dummy for communicators"  &
   i_marker_name = ._fsae_arb._cv_part.marker  &
   j_marker_name = ._fsae_arb.ground._cv_marker  &
   translation_at_preload = 0.0, 0.0, 0.0  &
   rotation_at_preload = 0.0d, 0.0d, 0.0d  &
   formulation = linear  &
   length_tolerance = 1.0E-05  &
   damping_ratio = 0.0  &
   stiffness_matrix =  &
      0.0, 0.0, 0.0, 0.0, 0.0, 0.0,  &
      0.0, 0.0, 0.0, 0.0, 0.0, 0.0,  &
      0.0, 0.0, 0.0, 0.0, 0.0, 0.0,  &
      0.0, 0.0, 0.0, 0.0, 0.0, 0.0,  &
      0.0, 0.0, 0.0, 0.0, 0.0, 0.0,  &
      0.0, 0.0, 0.0, 0.0, 0.0, 0.0  &
   force_preload = 0.0, 0.0, 0.0  &
   torque_preload = 0.0, 0.0, 0.0
!
force attributes  &
   force_name = ._fsae_arb._cv_bushing  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 24.9999999999
!
!---------------------------- Adams View Variables ----------------------------!
!
!
variable create  &
   variable_name = ._fsae_arb.pvs_torsion_spring_stiffness  &
   units = "torsion_stiffness"  &
   real_value = 3571.9999999973
!
!-------------------------- Adams View UDE Instances --------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_arb.ground
!
undo begin_block suppress = yes
!
ude create instance  &
   instance_name = ._fsae_arb.bgl_arb_to_frame  &
   definition_name = .ACAR.attachments.ac_bushing  &
   location = 0.0, -254.0, 0.0  &
   orientation = 180.0, 90.0, 180.0
!
ude create instance  &
   instance_name = ._fsae_arb.bgr_arb_to_frame  &
   definition_name = .ACAR.attachments.ac_bushing  &
   location = 0.0, 254.0, 0.0  &
   orientation = 0.0, 90.0, 0.0
!
ude create instance  &
   instance_name = ._fsae_arb.jfs_anti_roll  &
   definition_name = .ACAR.inputs.ac_joint_force_actuator  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0, 0.0, 0.0
!
ude attributes  &
   instance_name = ._fsae_arb.jfs_anti_roll  &
   active = on
!
!-------------------------- Adams View UDE Instance ---------------------------!
!
!
variable modify  &
   variable_name = ._fsae_arb.bgl_arb_to_frame.property_file  &
   string_value = "mdids://fsae_2018/bushings.tbl/MSC_antiroll_bar.bus"
!
variable modify  &
   variable_name = ._fsae_arb.bgl_arb_to_frame.t_preload_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_arb.bgl_arb_to_frame.t_preload_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_arb.bgl_arb_to_frame.t_preload_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_arb.bgl_arb_to_frame.r_preload_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_arb.bgl_arb_to_frame.r_preload_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_arb.bgl_arb_to_frame.r_preload_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_arb.bgl_arb_to_frame.t_offset_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_arb.bgl_arb_to_frame.t_offset_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_arb.bgl_arb_to_frame.t_offset_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_arb.bgl_arb_to_frame.r_offset_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_arb.bgl_arb_to_frame.r_offset_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_arb.bgl_arb_to_frame.r_offset_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_arb.bgl_arb_to_frame.t_displ_scale_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_arb.bgl_arb_to_frame.t_displ_scale_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_arb.bgl_arb_to_frame.t_displ_scale_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_arb.bgl_arb_to_frame.r_displ_scale_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_arb.bgl_arb_to_frame.r_displ_scale_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_arb.bgl_arb_to_frame.r_displ_scale_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_arb.bgl_arb_to_frame.t_velo_offset_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_arb.bgl_arb_to_frame.t_velo_offset_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_arb.bgl_arb_to_frame.t_velo_offset_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_arb.bgl_arb_to_frame.r_velo_offset_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_arb.bgl_arb_to_frame.r_velo_offset_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_arb.bgl_arb_to_frame.r_velo_offset_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_arb.bgl_arb_to_frame.t_velo_scale_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_arb.bgl_arb_to_frame.t_velo_scale_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_arb.bgl_arb_to_frame.t_velo_scale_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_arb.bgl_arb_to_frame.r_velo_scale_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_arb.bgl_arb_to_frame.r_velo_scale_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_arb.bgl_arb_to_frame.r_velo_scale_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_arb.bgl_arb_to_frame.t_velo_threshold_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_arb.bgl_arb_to_frame.t_velo_threshold_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_arb.bgl_arb_to_frame.t_velo_threshold_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_arb.bgl_arb_to_frame.r_velo_threshold_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_arb.bgl_arb_to_frame.r_velo_threshold_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_arb.bgl_arb_to_frame.r_velo_threshold_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_arb.bgl_arb_to_frame.i_geoMarker  &
   object_value = ._fsae_arb.gel_arb.bxl_bushgeom_i_1
!
variable modify  &
   variable_name = ._fsae_arb.bgl_arb_to_frame.j_geoMarker  &
   object_value = ._fsae_arb.mtl_arb_to_frame.bxl_bushgeom_j_1
!
variable modify  &
   variable_name = ._fsae_arb.bgl_arb_to_frame.bushing_shape  &
   integer_value = 2
!
variable modify  &
   variable_name = ._fsae_arb.bgl_arb_to_frame.stiffness_curve  &
   integer_value = 1
!
variable modify  &
   variable_name = ._fsae_arb.bgl_arb_to_frame.fx_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_arb.bgl_arb_to_frame.fy_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_arb.bgl_arb_to_frame.fz_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_arb.bgl_arb_to_frame.tx_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_arb.bgl_arb_to_frame.ty_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_arb.bgl_arb_to_frame.tz_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_arb.bgl_arb_to_frame.tx_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_arb.bgl_arb_to_frame.ty_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_arb.bgl_arb_to_frame.tz_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_arb.bgl_arb_to_frame.rx_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_arb.bgl_arb_to_frame.ry_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_arb.bgl_arb_to_frame.rz_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_arb.bgl_arb_to_frame.geoRadius  &
   real_value = 10.0
!
variable modify  &
   variable_name = ._fsae_arb.bgl_arb_to_frame.geoLength  &
   real_value = 20.0
!
variable modify  &
   variable_name = ._fsae_arb.bgl_arb_to_frame.i_marker  &
   object_value = ._fsae_arb.gel_arb.bxl_bushing_i_1
!
variable modify  &
   variable_name = ._fsae_arb.bgl_arb_to_frame.j_marker  &
   object_value = ._fsae_arb.mtl_arb_to_frame.bxl_bushing_j_1
!
ude modify instance  &
   instance_name = ._fsae_arb.bgl_arb_to_frame
!
!-------------------------- Adams View UDE Instance ---------------------------!
!
!
variable modify  &
   variable_name = ._fsae_arb.bgr_arb_to_frame.property_file  &
   string_value = "mdids://fsae_2018/bushings.tbl/MSC_antiroll_bar.bus"
!
variable modify  &
   variable_name = ._fsae_arb.bgr_arb_to_frame.t_preload_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_arb.bgr_arb_to_frame.t_preload_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_arb.bgr_arb_to_frame.t_preload_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_arb.bgr_arb_to_frame.r_preload_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_arb.bgr_arb_to_frame.r_preload_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_arb.bgr_arb_to_frame.r_preload_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_arb.bgr_arb_to_frame.t_offset_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_arb.bgr_arb_to_frame.t_offset_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_arb.bgr_arb_to_frame.t_offset_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_arb.bgr_arb_to_frame.r_offset_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_arb.bgr_arb_to_frame.r_offset_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_arb.bgr_arb_to_frame.r_offset_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_arb.bgr_arb_to_frame.t_displ_scale_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_arb.bgr_arb_to_frame.t_displ_scale_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_arb.bgr_arb_to_frame.t_displ_scale_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_arb.bgr_arb_to_frame.r_displ_scale_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_arb.bgr_arb_to_frame.r_displ_scale_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_arb.bgr_arb_to_frame.r_displ_scale_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_arb.bgr_arb_to_frame.t_velo_offset_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_arb.bgr_arb_to_frame.t_velo_offset_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_arb.bgr_arb_to_frame.t_velo_offset_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_arb.bgr_arb_to_frame.r_velo_offset_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_arb.bgr_arb_to_frame.r_velo_offset_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_arb.bgr_arb_to_frame.r_velo_offset_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_arb.bgr_arb_to_frame.t_velo_scale_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_arb.bgr_arb_to_frame.t_velo_scale_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_arb.bgr_arb_to_frame.t_velo_scale_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_arb.bgr_arb_to_frame.r_velo_scale_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_arb.bgr_arb_to_frame.r_velo_scale_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_arb.bgr_arb_to_frame.r_velo_scale_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_arb.bgr_arb_to_frame.t_velo_threshold_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_arb.bgr_arb_to_frame.t_velo_threshold_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_arb.bgr_arb_to_frame.t_velo_threshold_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_arb.bgr_arb_to_frame.r_velo_threshold_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_arb.bgr_arb_to_frame.r_velo_threshold_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_arb.bgr_arb_to_frame.r_velo_threshold_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_arb.bgr_arb_to_frame.i_geoMarker  &
   object_value = ._fsae_arb.ger_arb.bxr_bushgeom_i_1
!
variable modify  &
   variable_name = ._fsae_arb.bgr_arb_to_frame.j_geoMarker  &
   object_value = ._fsae_arb.mtr_arb_to_frame.bxr_bushgeom_j_1
!
variable modify  &
   variable_name = ._fsae_arb.bgr_arb_to_frame.bushing_shape  &
   integer_value = 2
!
variable modify  &
   variable_name = ._fsae_arb.bgr_arb_to_frame.stiffness_curve  &
   integer_value = 1
!
variable modify  &
   variable_name = ._fsae_arb.bgr_arb_to_frame.fx_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_arb.bgr_arb_to_frame.fy_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_arb.bgr_arb_to_frame.fz_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_arb.bgr_arb_to_frame.tx_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_arb.bgr_arb_to_frame.ty_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_arb.bgr_arb_to_frame.tz_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_arb.bgr_arb_to_frame.tx_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_arb.bgr_arb_to_frame.ty_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_arb.bgr_arb_to_frame.tz_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_arb.bgr_arb_to_frame.rx_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_arb.bgr_arb_to_frame.ry_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_arb.bgr_arb_to_frame.rz_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_arb.bgr_arb_to_frame.geoRadius  &
   real_value = 10.0
!
variable modify  &
   variable_name = ._fsae_arb.bgr_arb_to_frame.geoLength  &
   real_value = 20.0
!
variable modify  &
   variable_name = ._fsae_arb.bgr_arb_to_frame.i_marker  &
   object_value = ._fsae_arb.ger_arb.bxr_bushing_i_1
!
variable modify  &
   variable_name = ._fsae_arb.bgr_arb_to_frame.j_marker  &
   object_value = ._fsae_arb.mtr_arb_to_frame.bxr_bushing_j_1
!
ude modify instance  &
   instance_name = ._fsae_arb.bgr_arb_to_frame
!
!-------------------------- Adams View UDE Instance ---------------------------!
!
!
variable modify  &
   variable_name = ._fsae_arb.jfs_anti_roll.type_of_freedom  &
   string_value = "rotational"
!
variable modify  &
   variable_name = ._fsae_arb.jfs_anti_roll.function  &
   string_value = "-(._fsae_arb.pvs_torsion_spring_stiffness)*AZ( ._fsae_arb.gel_arb.mal_angle_measure, ._fsae_arb.ger_arb.mar_angle_measure)"
!
variable modify  &
   variable_name = ._fsae_arb.jfs_anti_roll.application  &
   string_value = "unknown"
!
variable modify  &
   variable_name = ._fsae_arb.jfs_anti_roll.identifier  &
   string_value = "unknown"
!
variable modify  &
   variable_name = ._fsae_arb.jfs_anti_roll.force_limits  &
   real_value =   &
      0.0,  &
      0.0
!
variable modify  &
   variable_name = ._fsae_arb.jfs_anti_roll.displacement_limits  &
   real_value =   &
      0.0,  &
      0.0
!
variable modify  &
   variable_name = ._fsae_arb.jfs_anti_roll.velocity_limits  &
   real_value =   &
      0.0,  &
      0.0
!
variable modify  &
   variable_name = ._fsae_arb.jfs_anti_roll.acceleration_limits  &
   real_value =   &
      0.0,  &
      0.0
!
variable modify  &
   variable_name = ._fsae_arb.jfs_anti_roll.unit_string  &
   string_value = "no_units"
!
variable modify  &
   variable_name = ._fsae_arb.jfs_anti_roll.joint  &
   object_value = ._fsae_arb.josrev_arb
!
variable modify  &
   variable_name = ._fsae_arb.jfs_anti_roll.i_marker  &
   object_value = ._fsae_arb.gel_arb.jfs_actuator_i_1
!
variable modify  &
   variable_name = ._fsae_arb.jfs_anti_roll.j_marker  &
   object_value = ._fsae_arb.ger_arb.jfs_actuator_j_1
!
ude modify instance  &
   instance_name = ._fsae_arb.jfs_anti_roll
!
undo end_block
!
!---------------------------------- Motions -----------------------------------!
!
!
constraint create motion_generator  &
   motion_name = ._fsae_arb._cv_motion  &
   comments = "Dummy for communicators"  &
   type_of_freedom = rotational  &
   joint_name = ._fsae_arb._cv_joint_for_motion  &
   function = ""
!
constraint attributes  &
   constraint_name = ._fsae_arb._cv_motion  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 24.9999999999
!
!---------------------------------- Accgrav -----------------------------------!
!
!
force create body gravitational  &
   gravity_field_name = gravity  &
   x_component_gravity = 0.0  &
   y_component_gravity = 0.0  &
   z_component_gravity = -9806.6500000009
!
force attributes  &
   force_name = ._fsae_arb.gravity  &
   size_of_icons = 24.9999999999
!
!----------------------------- Analysis settings ------------------------------!
!
!
!---------------------------- Adams View Variables ----------------------------!
!
!
variable create  &
   variable_name = ._fsae_arb.mtl_drop_link_to_BC.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_arb.mtl_drop_link_to_BC.dependents  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_arb.mtr_drop_link_to_BC.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_arb.mtr_drop_link_to_BC.dependents  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_arb.gel_droplink.sml_sprung_mass_percent  &
   real_value = 100.0
!
variable create  &
   variable_name = ._fsae_arb.ger_droplink.smr_sprung_mass_percent  &
   real_value = 100.0
!
variable create  &
   variable_name = ._fsae_arb.gel_arb.sml_sprung_mass_percent  &
   real_value = 100.0
!
variable create  &
   variable_name = ._fsae_arb.ger_arb.smr_sprung_mass_percent  &
   real_value = 100.0
!
variable create  &
   variable_name = ._fsae_arb.mtl_arb_to_frame.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_arb.mtl_arb_to_frame.dependents  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_arb.mtr_arb_to_frame.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_arb.mtr_arb_to_frame.dependents  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_arb.speed  &
   units = "velocity"  &
   real_value = 0.0
!
variable create  &
   variable_name = ._fsae_arb.template_creation_date  &
   string_value = "2012/06/07,14:37:14"  &
   comments = "Do not remove"
!
variable create  &
   variable_name = ._fsae_arb.role  &
   string_value = "antirollbar"  &
   comments = "Memory for Adams Car major role"
!
variable create  &
   variable_name = ._fsae_arb.minor_role  &
   string_value = "unassigned"  &
   comments = "Memory for Adams/Car minor role"
!
variable create  &
   variable_name = ._fsae_arb.model_class  &
   string_value = "template"  &
   comments = "Memory for Adams/Car model class"
!
variable create  &
   variable_name = ._fsae_arb.phs_kinematic_flag  &
   integer_value = 0  &
   comments =   &
              "Flag that determines if kinematic joints or bushings are active"
!
variable create  &
   variable_name = ._fsae_arb.cil_drop_link_to_BC  &
   object_value = (NONE)  &
   comments = "Autocreated for mount part: mtl_drop_link_to_BC"
!
variable create  &
   variable_name = ._fsae_arb.cil_drop_link_to_BC.matching_name  &
   string_value = "drop_link_to_BC"
!
variable create  &
   variable_name = ._fsae_arb.cil_drop_link_to_BC.entity  &
   string_value = "mount"
!
variable create  &
   variable_name = ._fsae_arb.cil_drop_link_to_BC.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_arb.cir_drop_link_to_BC  &
   object_value = (NONE)  &
   comments = "Autocreated for mount part: mtr_drop_link_to_BC"
!
variable create  &
   variable_name = ._fsae_arb.cir_drop_link_to_BC.matching_name  &
   string_value = "drop_link_to_BC"
!
variable create  &
   variable_name = ._fsae_arb.cir_drop_link_to_BC.entity  &
   string_value = "mount"
!
variable create  &
   variable_name = ._fsae_arb.cir_drop_link_to_BC.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_arb.cil_arb_to_frame  &
   object_value = (NONE)  &
   comments = "Autocreated for mount part: mtl_arb_to_frame"
!
variable create  &
   variable_name = ._fsae_arb.cil_arb_to_frame.matching_name  &
   string_value = "arb_to_frame"
!
variable create  &
   variable_name = ._fsae_arb.cil_arb_to_frame.entity  &
   string_value = "mount"
!
variable create  &
   variable_name = ._fsae_arb.cil_arb_to_frame.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_arb.cir_arb_to_frame  &
   object_value = (NONE)  &
   comments = "Autocreated for mount part: mtr_arb_to_frame"
!
variable create  &
   variable_name = ._fsae_arb.cir_arb_to_frame.matching_name  &
   string_value = "arb_to_frame"
!
variable create  &
   variable_name = ._fsae_arb.cir_arb_to_frame.entity  &
   string_value = "mount"
!
variable create  &
   variable_name = ._fsae_arb.cir_arb_to_frame.minor_role  &
   string_value = "inherit"
!
!---------------------------- Adams View Functions ----------------------------!
!
!
function create  &
   function_name = .SYMMETRY  &
   text_of_expression = "LOC_MIRROR(location, .__ACAR.ground.origo, .ACAR.variables.symmetry_plane)"  &
   argument_names = "location"  &
   type = location_orientation  &
   comments =   &
              "Compute mirrored location over the symmetry plane given 3x1 location vector"
!
!------------------------- Groups Owned By This Model -------------------------!
!
!
group create  &
   group_name = ._fsae_arb.kinematic_mode_active  &
   expr_active = 1
!
group create  &
   group_name = ._fsae_arb.kinematic_mode_inactive  &
   expr_active = 1
!
!---------------------- Set Adams View Object Variables -----------------------!
!
!
variable modify  &
   variable_name = ._fsae_arb.mtl_drop_link_to_BC.dependents  &
   object_value = ._fsae_arb.mtl_fixed_1, ._fsae_arb.cil_drop_link_to_BC
!
variable modify  &
   variable_name = ._fsae_arb.mtr_drop_link_to_BC.dependents  &
   object_value = ._fsae_arb.mtr_fixed_1, ._fsae_arb.cir_drop_link_to_BC
!
variable modify  &
   variable_name = ._fsae_arb.mtl_arb_to_frame.dependents  &
   object_value = ._fsae_arb.mtl_fixed_2, ._fsae_arb.cil_arb_to_frame
!
variable modify  &
   variable_name = ._fsae_arb.mtr_arb_to_frame.dependents  &
   object_value = ._fsae_arb.mtr_fixed_2, ._fsae_arb.cir_arb_to_frame
!
variable modify  &
   variable_name = ._fsae_arb.cil_drop_link_to_BC  &
   object_value = ._fsae_arb.ground.mtl_mount_j_1,  &
                  ._fsae_arb.mtl_drop_link_to_BC, ._fsae_arb.mtl_fixed_1
!
variable modify  &
   variable_name = ._fsae_arb.cir_drop_link_to_BC  &
   object_value = ._fsae_arb.ground.mtr_mount_j_1,  &
                  ._fsae_arb.mtr_drop_link_to_BC, ._fsae_arb.mtr_fixed_1
!
variable modify  &
   variable_name = ._fsae_arb.cil_arb_to_frame  &
   object_value = ._fsae_arb.ground.mtl_mount_j_2,  &
                  ._fsae_arb.mtl_arb_to_frame, ._fsae_arb.mtl_fixed_2
!
variable modify  &
   variable_name = ._fsae_arb.cir_arb_to_frame  &
   object_value = ._fsae_arb.ground.mtr_mount_j_2,  &
                  ._fsae_arb.mtr_arb_to_frame, ._fsae_arb.mtr_fixed_2
!
!--------------------------- Add Objects To Groups ----------------------------!
!
!
group modify  &
   group_name = ._fsae_arb.kinematic_mode_active
!
group modify  &
   group_name = ._fsae_arb.kinematic_mode_inactive
!
!---------------------------- Function definitions ----------------------------!
!
!
constraint modify motion_generator  &
   motion_name = ._fsae_arb._cv_motion  &
   function = "0"
!
data_element modify variable  &
   variable_name = ._fsae_arb._cv_solver_variable  &
   function = "0"
!
part modify equation differential_equation  &
   differential_equation_name = ._fsae_arb._cv_diff  &
   function = "0"
!
!-------------------------- Adams View UDE Instance ---------------------------!
!
!
ude modify instance  &
   instance_name = ._fsae_arb.bgl_arb_to_frame
!
!-------------------------- Adams View UDE Instance ---------------------------!
!
!
ude modify instance  &
   instance_name = ._fsae_arb.bgr_arb_to_frame
!
!-------------------------- Adams View UDE Instance ---------------------------!
!
!
ude modify instance  &
   instance_name = ._fsae_arb.jfs_anti_roll
!
!--------------------------- Expression definitions ---------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ground
!
marker modify  &
   marker_name = ._fsae_arb.ground.mtl_mount_j_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_arb.mtl_drop_link_to_BC))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_arb.mtl_drop_link_to_BC))
!
marker modify  &
   marker_name = ._fsae_arb.ground.mtr_mount_j_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_arb.mtr_drop_link_to_BC))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_arb.mtr_drop_link_to_BC))
!
marker modify  &
   marker_name = ._fsae_arb.ground.mtl_mount_j_2  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_arb.mtl_arb_to_frame))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_arb.mtl_arb_to_frame))
!
marker modify  &
   marker_name = ._fsae_arb.ground.mtr_mount_j_2  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_arb.mtr_arb_to_frame))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_arb.mtr_arb_to_frame))
!
data_element modify string  &
   string_name = ._fsae_arb.minor_role_string  &
   string = (._fsae_arb.minor_role)
!
material modify  &
   material_name = ._fsae_arb.steel  &
   density = (7801.0(kg/meter**3))  &
   youngs_modulus = (2.07E+11(Newton/meter**2))
!
marker modify  &
   marker_name = ._fsae_arb.mtl_drop_link_to_BC.jxl_joint_j_1  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}mm, ._fsae_arb.ground.hpl_drop_link))  &
   orientation =   &
      (ORI_RELATIVE_TO({0.0, 0.0, 0.0}degrees, ._fsae_arb.ground.origo))  &
   relative_to = ._fsae_arb.mtl_drop_link_to_BC
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_arb.ground
!
part modify rigid_body name_and_position  &
   part_name = ._fsae_arb.mtl_drop_link_to_BC  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_arb.ground.hpl_drop_link))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_arb.ground.origo))
!
marker modify  &
   marker_name = ._fsae_arb.mtr_drop_link_to_BC.jxr_joint_j_1  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}mm, ._fsae_arb.ground.hpr_drop_link))  &
   orientation =   &
      (ORI_RELATIVE_TO({0.0, 0.0, 0.0}degrees, ._fsae_arb.ground.origo))  &
   relative_to = ._fsae_arb.mtr_drop_link_to_BC
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_arb.ground
!
part modify rigid_body name_and_position  &
   part_name = ._fsae_arb.mtr_drop_link_to_BC  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_arb.ground.hpr_drop_link))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_arb.ground.origo))
!
marker modify  &
   marker_name = ._fsae_arb.gel_droplink.inertia_frame  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_arb.gel_droplink.cm))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_arb.gel_droplink))  &
   relative_to = ._fsae_arb.gel_droplink
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_arb.ground
!
marker modify  &
   marker_name = ._fsae_arb.gel_droplink.gralin_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_arb.ground.hpl_drop_link))  &
   orientation =   &
      (ORI_ALONG_AXIS(._fsae_arb.ground.hpl_drop_link, ._fsae_arb.ground.hpl_leaf_link, "Z"))  &
   relative_to = ._fsae_arb.gel_droplink
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_arb.ground
!
marker modify  &
   marker_name = ._fsae_arb.gel_droplink.graell_5  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_arb.ground.hpl_drop_link))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_arb.ground.hpl_drop_link))  &
   relative_to = ._fsae_arb.gel_droplink
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_arb.ground
!
marker modify  &
   marker_name = ._fsae_arb.gel_droplink.jxl_joint_i_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_arb.mtl_drop_link_to_BC.jxl_joint_j_1))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_arb.mtl_drop_link_to_BC.jxl_joint_j_1))  &
   relative_to = ._fsae_arb.gel_droplink
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_arb.ground
!
marker modify  &
   marker_name = ._fsae_arb.gel_droplink.jxl_joint_i_2  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_arb.gel_arb.jxl_joint_j_2))  &
   orientation =   &
      (ORI_IN_PLANE(._fsae_arb.gel_droplink.jxl_joint_i_2, ._fsae_arb.ground.hpl_drop_link, ._fsae_arb.ground.hpl_arb_bend, "Z_ZX"))  &
   relative_to = ._fsae_arb.gel_droplink
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_arb.ground
!
geometry modify shape cylinder  &
   cylinder_name = ._fsae_arb.gel_droplink.gralin_drop_link  &
   length = (DM(._fsae_arb.ground.hpl_drop_link, ._fsae_arb.ground.hpl_leaf_link))
!
part modify rigid_body name_and_position  &
   part_name = ._fsae_arb.gel_droplink  &
   location =   &
      (LOC_CENTERED({._fsae_arb.ground.hpl_drop_link.loc, ._fsae_arb.ground.hpl_leaf_link.loc}, 2))
!
marker modify  &
   marker_name = ._fsae_arb.ger_droplink.inertia_frame  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_arb.ger_droplink.cm))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_arb.ger_droplink))  &
   relative_to = ._fsae_arb.ger_droplink
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_arb.ground
!
marker modify  &
   marker_name = ._fsae_arb.ger_droplink.gralin_2  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_arb.ground.hpr_drop_link))  &
   orientation =   &
      (ORI_ALONG_AXIS(._fsae_arb.ground.hpr_drop_link, ._fsae_arb.ground.hpr_leaf_link, "Z"))  &
   relative_to = ._fsae_arb.ger_droplink
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_arb.ground
!
marker modify  &
   marker_name = ._fsae_arb.ger_droplink.graell_6  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_arb.ground.hpr_drop_link))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_arb.ground.hpr_drop_link))  &
   relative_to = ._fsae_arb.ger_droplink
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_arb.ground
!
marker modify  &
   marker_name = ._fsae_arb.ger_droplink.jxr_joint_i_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_arb.mtr_drop_link_to_BC.jxr_joint_j_1))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_arb.mtr_drop_link_to_BC.jxr_joint_j_1))  &
   relative_to = ._fsae_arb.ger_droplink
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_arb.ground
!
marker modify  &
   marker_name = ._fsae_arb.ger_droplink.jxr_joint_i_2  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_arb.ger_arb.jxr_joint_j_2))  &
   orientation =   &
      (ORI_IN_PLANE(._fsae_arb.ger_droplink.jxr_joint_i_2, ._fsae_arb.ground.hpr_drop_link, ._fsae_arb.ground.hpr_arb_bend, "Z_ZX"))  &
   relative_to = ._fsae_arb.ger_droplink
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_arb.ground
!
geometry modify shape cylinder  &
   cylinder_name = ._fsae_arb.ger_droplink.gralin_drop_link  &
   length = (DM(._fsae_arb.ground.hpr_drop_link, ._fsae_arb.ground.hpr_leaf_link))
!
part modify rigid_body name_and_position  &
   part_name = ._fsae_arb.ger_droplink  &
   location =   &
      (LOC_CENTERED({._fsae_arb.ground.hpr_drop_link.loc, ._fsae_arb.ground.hpr_leaf_link.loc}, 2))
!
marker modify  &
   marker_name = ._fsae_arb.gel_arb.inertia_frame  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_arb.gel_arb.cm))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_arb.gel_arb))  &
   relative_to = ._fsae_arb.gel_arb
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_arb.ground
!
marker modify  &
   marker_name = ._fsae_arb.gel_arb.graell_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_arb.ground.hpl_arb_bend))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_arb.ground.hpl_arb_bend))  &
   relative_to = ._fsae_arb.gel_arb
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_arb.ground
!
marker modify  &
   marker_name = ._fsae_arb.gel_arb.graell_3  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_arb.ground.hpl_leaf_link))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_arb.ground.hpl_leaf_link))  &
   relative_to = ._fsae_arb.gel_arb
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_arb.ground
!
marker modify  &
   marker_name = ._fsae_arb.gel_arb.jxl_joint_j_2  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}mm, ._fsae_arb.ground.hpl_leaf_link))  &
   orientation =   &
      (ORI_IN_PLANE(._fsae_arb.gel_arb.jxl_joint_j_2, ._fsae_arb.ground.hpl_arb_bend, ._fsae_arb.ground.hpl_drop_link, "Z_ZX"))  &
   relative_to = ._fsae_arb.gel_arb
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_arb.ground
!
marker modify  &
   marker_name = ._fsae_arb.gel_arb.mal_angle_measure  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}inch, ._fsae_arb.ground.hpl_arb_bend))  &
   orientation =   &
      (ORI_IN_PLANE(._fsae_arb.ground.hps_arb_center, ._fsae_arb.ground.hpl_arb_bend, ._fsae_arb.ground.hpl_leaf_link, "Z_ZX"))  &
   relative_to = ._fsae_arb.gel_arb
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_arb.ground
!
marker modify  &
   marker_name = ._fsae_arb.gel_arb.jfs_actuator_i_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_arb.gel_arb.jxs_joint_i_2))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_arb.gel_arb.jxs_joint_i_2))  &
   relative_to = ._fsae_arb.gel_arb
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_arb.ground
!
marker modify  &
   marker_name = ._fsae_arb.gel_arb.jxs_joint_i_2  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_arb.ger_arb.jxs_joint_j_2))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_arb.ger_arb.jxs_joint_j_2))  &
   relative_to = ._fsae_arb.gel_arb
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_arb.ground
!
marker modify  &
   marker_name = ._fsae_arb.gel_arb.gralin_5  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_arb.ground.hpl_arb_bend))  &
   orientation =   &
      (ORI_ALONG_AXIS(._fsae_arb.ground.hpl_arb_bend, ._fsae_arb.ground.hps_arb_center, "Z"))  &
   relative_to = ._fsae_arb.gel_arb
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_arb.ground
!
marker modify  &
   marker_name = ._fsae_arb.gel_arb.gralin_3  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_arb.ground.hpl_arb_bend))  &
   orientation =   &
      (ORI_ALONG_AXIS(._fsae_arb.ground.hpl_arb_bend, ._fsae_arb.ground.hpl_leaf_link, "Z"))  &
   relative_to = ._fsae_arb.gel_arb
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_arb.ground
!
marker modify  &
   marker_name = ._fsae_arb.gel_arb.bxl_bushing_i_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_arb.mtl_arb_to_frame.bxl_bushing_j_1))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_arb.mtl_arb_to_frame.bxl_bushing_j_1))  &
   relative_to = ._fsae_arb.gel_arb
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_arb.ground
!
marker modify  &
   marker_name = ._fsae_arb.gel_arb.bxl_bushgeom_i_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, -._fsae_arb.bgl_arb_to_frame.geoLength / 2}, ._fsae_arb.gel_arb.bxl_bushing_i_1))  &
   orientation =   &
      (ORI_RELATIVE_TO({270deg, 0, 0}, ._fsae_arb.gel_arb.bxl_bushing_i_1))  &
   relative_to = ._fsae_arb.gel_arb
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_arb.ground
!
geometry modify shape cylinder  &
   cylinder_name = ._fsae_arb.gel_arb.gralin_arb  &
   length = (DM(._fsae_arb.ground.hpl_arb_bend, ._fsae_arb.ground.hps_arb_center))
!
geometry modify shape cylinder  &
   cylinder_name = ._fsae_arb.gel_arb.gralin_arb_leaf  &
   length = (DM(._fsae_arb.ground.hpl_arb_bend, ._fsae_arb.ground.hpl_leaf_link))
!
part modify rigid_body name_and_position  &
   part_name = ._fsae_arb.gel_arb  &
   location =   &
      (LOC_CENTERED({._fsae_arb.ground.hps_arb_center.loc, ._fsae_arb.ground.hpl_arb_bend.loc}, 2))
!
marker modify  &
   marker_name = ._fsae_arb.ger_arb.inertia_frame  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_arb.ger_arb.cm))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_arb.ger_arb))  &
   relative_to = ._fsae_arb.ger_arb
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_arb.ground
!
marker modify  &
   marker_name = ._fsae_arb.ger_arb.graell_2  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_arb.ground.hpr_arb_bend))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_arb.ground.hpr_arb_bend))  &
   relative_to = ._fsae_arb.ger_arb
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_arb.ground
!
marker modify  &
   marker_name = ._fsae_arb.ger_arb.graell_4  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_arb.ground.hpr_leaf_link))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_arb.ground.hpr_leaf_link))  &
   relative_to = ._fsae_arb.ger_arb
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_arb.ground
!
marker modify  &
   marker_name = ._fsae_arb.ger_arb.jxr_joint_j_2  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}mm, ._fsae_arb.ground.hpr_leaf_link))  &
   orientation =   &
      (ORI_IN_PLANE(._fsae_arb.ger_arb.jxr_joint_j_2, ._fsae_arb.ground.hpr_arb_bend, ._fsae_arb.ground.hpr_drop_link, "Z_ZX"))  &
   relative_to = ._fsae_arb.ger_arb
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_arb.ground
!
marker modify  &
   marker_name = ._fsae_arb.ger_arb.mar_angle_measure  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}inch, ._fsae_arb.ground.hpr_arb_bend))  &
   orientation =   &
      (ORI_IN_PLANE(._fsae_arb.ground.hps_arb_center, ._fsae_arb.ground.hpr_arb_bend, ._fsae_arb.ground.hpr_leaf_link, "Z_ZX"))  &
   relative_to = ._fsae_arb.ger_arb
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_arb.ground
!
marker modify  &
   marker_name = ._fsae_arb.ger_arb.jfs_actuator_j_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_arb.ger_arb.jxs_joint_j_2))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_arb.ger_arb.jxs_joint_j_2))  &
   relative_to = ._fsae_arb.ger_arb
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_arb.ground
!
marker modify  &
   marker_name = ._fsae_arb.ger_arb.jxs_joint_j_2  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}inch, ._fsae_arb.ground.hps_arb_center))  &
   orientation =   &
      (ORI_ALONG_AXIS(._fsae_arb.ground.hpl_arb_bend, ._fsae_arb.ground.hps_arb_center, "Z"))  &
   relative_to = ._fsae_arb.ger_arb
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_arb.ground
!
marker modify  &
   marker_name = ._fsae_arb.ger_arb.gralin_6  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_arb.ground.hpr_arb_bend))  &
   orientation =   &
      (ORI_ALONG_AXIS(._fsae_arb.ground.hpr_arb_bend, ._fsae_arb.ground.hps_arb_center, "Z"))  &
   relative_to = ._fsae_arb.ger_arb
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_arb.ground
!
marker modify  &
   marker_name = ._fsae_arb.ger_arb.gralin_4  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_arb.ground.hpr_arb_bend))  &
   orientation =   &
      (ORI_ALONG_AXIS(._fsae_arb.ground.hpr_arb_bend, ._fsae_arb.ground.hpr_leaf_link, "Z"))  &
   relative_to = ._fsae_arb.ger_arb
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_arb.ground
!
marker modify  &
   marker_name = ._fsae_arb.ger_arb.bxr_bushing_i_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_arb.mtr_arb_to_frame.bxr_bushing_j_1))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_arb.mtr_arb_to_frame.bxr_bushing_j_1))  &
   relative_to = ._fsae_arb.ger_arb
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_arb.ground
!
marker modify  &
   marker_name = ._fsae_arb.ger_arb.bxr_bushgeom_i_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, -._fsae_arb.bgr_arb_to_frame.geoLength / 2}, ._fsae_arb.ger_arb.bxr_bushing_i_1))  &
   orientation =   &
      (ORI_RELATIVE_TO({270deg, 0, 0}, ._fsae_arb.ger_arb.bxr_bushing_i_1))  &
   relative_to = ._fsae_arb.ger_arb
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_arb.ground
!
geometry modify shape cylinder  &
   cylinder_name = ._fsae_arb.ger_arb.gralin_arb  &
   length = (DM(._fsae_arb.ground.hpr_arb_bend, ._fsae_arb.ground.hps_arb_center))
!
geometry modify shape cylinder  &
   cylinder_name = ._fsae_arb.ger_arb.gralin_arb_leaf  &
   length = (DM(._fsae_arb.ground.hpr_arb_bend, ._fsae_arb.ground.hpr_leaf_link))
!
part modify rigid_body name_and_position  &
   part_name = ._fsae_arb.ger_arb  &
   location =   &
      (LOC_CENTERED({._fsae_arb.ground.hps_arb_center.loc, ._fsae_arb.ground.hpr_arb_bend.loc}, 2))
!
marker modify  &
   marker_name = ._fsae_arb.mtl_arb_to_frame.bxl_bushing_j_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_arb.bgl_arb_to_frame))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_arb.bgl_arb_to_frame))  &
   relative_to = ._fsae_arb.mtl_arb_to_frame
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_arb.ground
!
marker modify  &
   marker_name = ._fsae_arb.mtl_arb_to_frame.bxl_bushgeom_j_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, -._fsae_arb.bgl_arb_to_frame.geoLength / 2}, ._fsae_arb.mtl_arb_to_frame.bxl_bushing_j_1))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_arb.mtl_arb_to_frame.bxl_bushing_j_1))  &
   relative_to = ._fsae_arb.mtl_arb_to_frame
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_arb.ground
!
part modify rigid_body name_and_position  &
   part_name = ._fsae_arb.mtl_arb_to_frame  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_arb.ground.hpl_arb_bend))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_arb.ground.origo))
!
marker modify  &
   marker_name = ._fsae_arb.mtr_arb_to_frame.bxr_bushing_j_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_arb.bgr_arb_to_frame))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_arb.bgr_arb_to_frame))  &
   relative_to = ._fsae_arb.mtr_arb_to_frame
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_arb.ground
!
marker modify  &
   marker_name = ._fsae_arb.mtr_arb_to_frame.bxr_bushgeom_j_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, -._fsae_arb.bgr_arb_to_frame.geoLength / 2}, ._fsae_arb.mtr_arb_to_frame.bxr_bushing_j_1))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_arb.mtr_arb_to_frame.bxr_bushing_j_1))  &
   relative_to = ._fsae_arb.mtr_arb_to_frame
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_arb.ground
!
part modify rigid_body name_and_position  &
   part_name = ._fsae_arb.mtr_arb_to_frame  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_arb.ground.hpr_arb_bend))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_arb.ground.origo))
!
ude modify instance  &
   instance_name = ._fsae_arb.bgl_arb_to_frame  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}mm, ._fsae_arb.ground.hpl_arb_bend))  &
   orientation =   &
      (ORI_ALONG_AXIS(._fsae_arb.ground.hpl_arb_bend, ._fsae_arb.ground.hpr_arb_bend, "Z"))
!
ude modify instance  &
   instance_name = ._fsae_arb.bgr_arb_to_frame  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}mm, ._fsae_arb.ground.hpr_arb_bend))  &
   orientation =   &
      (ORI_ALONG_AXIS(._fsae_arb.ground.hpr_arb_bend, ._fsae_arb.ground.hpl_arb_bend, "Z"))
!
variable modify  &
   variable_name = ._fsae_arb.cil_drop_link_to_BC.minor_role  &
   string_value = (._fsae_arb.mtl_drop_link_to_BC.minor_role)
!
variable modify  &
   variable_name = ._fsae_arb.cil_drop_link_to_BC  &
   comments = ("Autocreated for mount part: " // ._fsae_arb.cil_drop_link_to_BC[2].name)
!
variable modify  &
   variable_name = ._fsae_arb.cir_drop_link_to_BC.minor_role  &
   string_value = (._fsae_arb.mtr_drop_link_to_BC.minor_role)
!
variable modify  &
   variable_name = ._fsae_arb.cir_drop_link_to_BC  &
   comments = ("Autocreated for mount part: " // ._fsae_arb.cir_drop_link_to_BC[2].name)
!
variable modify  &
   variable_name = ._fsae_arb.cil_arb_to_frame.minor_role  &
   string_value = (._fsae_arb.mtl_arb_to_frame.minor_role)
!
variable modify  &
   variable_name = ._fsae_arb.cil_arb_to_frame  &
   comments = ("Autocreated for mount part: " // ._fsae_arb.cil_arb_to_frame[2].name)
!
variable modify  &
   variable_name = ._fsae_arb.cir_arb_to_frame.minor_role  &
   string_value = (._fsae_arb.mtr_arb_to_frame.minor_role)
!
variable modify  &
   variable_name = ._fsae_arb.cir_arb_to_frame  &
   comments = ("Autocreated for mount part: " // ._fsae_arb.cir_arb_to_frame[2].name)
!
group modify  &
   group_name = ._fsae_arb.kinematic_mode_active  &
   expr_active = (._fsae_arb.phs_kinematic_flag || ._fsae_arb.model_class == "template" ? 1 : 0)
!
group modify  &
   group_name = ._fsae_arb.kinematic_mode_inactive  &
   expr_active = ( ! ._fsae_arb.phs_kinematic_flag || ._fsae_arb.model_class == "template" ? 1 : 0)
!
ude modify instance  &
   instance_name = ._fsae_arb.jfs_anti_roll  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_arb.ground.origo))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_arb.ground.origo))
!
model display  &
   model_name = _fsae_arb
