$---------------------------------------------------------------------MDI_HEADER
[MDI_HEADER]
 FILE_TYPE     =  'tpl'
 FILE_VERSION  =  2018.0
 FILE_FORMAT   =  'ASCII'
 HEADER_SIZE   =  9
(COMMENTS)
{comment_string}
'4 Wheel Disk Brake System'
$----------------------------------------------------------------TEMPLATE_HEADER
[TEMPLATE_HEADER]
 TEMPLATE_NAME  =  '_fsae_brakes'
 MAJOR_ROLE     =  'brake_system'
 TIMESTAMP      =  '2019/03/04,19:53:45'
 HEADER_SIZE    =  6
$------------------------------------------------------------------------PLUGINS
[PLUGINS]
 PLUGIN_LIST  =  'acar'
 HEADER_SIZE  =  4
!
!-------------------------- Default Units for Model ---------------------------!
!
!
defaults units  &
   length = mm  &
   angle = deg  &
   force = newton  &
   mass = kg  &
   time = sec
!
defaults units  &
   coordinate_system_type = cartesian  &
   orientation_type = body313
!
!------------------------ Default Attributes for Model ------------------------!
!
!
defaults attributes  &
   inheritance = bottom_up  &
   icon_visibility = off  &
   grid_visibility = off  &
   size_of_icons = 50.0  &
   spacing_for_grid = 1000.0
!
!--------------------------- Plugins used by Model ----------------------------!
!
!
plugin load  &
   plugin_name = .MDI.plugins.acar
!
!------------------------------ Adams View Model ------------------------------!
!
!
model create  &
   model_name = _fsae_brakes  &
   comments = "4 Wheel Disk Brake System"  &
   title = "Adams/Car template"
!
view erase
!
!-------------------------------- Data storage --------------------------------!
!
!
data_element create variable  &
   variable_name = ._fsae_brakes._cv_solver_variable  &
   comments = "Dummy for communicators"  &
   function = ""
!
data_element attributes  &
   data_element_name = ._fsae_brakes._cv_solver_variable  &
   visibility = off
!
data_element create variable  &
   variable_name = ._fsae_brakes.left_front_brake_line_pressure  &
   comments = "front left brake line pressure"  &
   function = ""
!
data_element create variable  &
   variable_name = ._fsae_brakes.right_front_brake_line_pressure  &
   comments = "front right brake line pressure"  &
   function = ""
!
data_element create variable  &
   variable_name = ._fsae_brakes.rear_brake_line_pressure  &
   comments = "rear brake line pressure"  &
   function = ""
!
data_element create variable  &
   variable_name = ._fsae_brakes.left_front_brake_torque_VAR  &
   comments = "Front left brake torque output to wheel/tire subsystem"  &
   function = ""
!
data_element create variable  &
   variable_name = ._fsae_brakes.right_front_brake_torque_VAR  &
   comments = "Front right brake torque output to wheel/tire subsystem"  &
   function = ""
!
data_element create variable  &
   variable_name = ._fsae_brakes.left_rear_brake_torque_VAR  &
   comments = "Rear left brake torque output to wheel/tire subsystem"  &
   function = ""
!
data_element create variable  &
   variable_name = ._fsae_brakes.right_rear_brake_torque_VAR  &
   comments = "Rear right brake torque output to wheel/tire subsystem"  &
   function = ""
!
data_element create variable  &
   variable_name = ._fsae_brakes.left_front_wheel_omega  &
   comments = "PAR(1) - branch id",  &
              "PAR(2) - Marker adams_view_name='ptl_actuator_i_1' on left front wheel",  &
              "PAR(3) - Marker adams_view_name='ptl_actuator_j_1' on left front suspension upright",  &
              "PAR(4) - Marker adams_view_name='ptl_actuator_j_1' on left front suspension upright",  &
              "PAR(5) - Tire ID representing PAR(2) and PAR(3)"  &
   initial_condition = 0.0  &
   user_function = 1004.0, 0.0, 0.0, 0.0, 0.0  &
   routine = "abgVDM::var1004"
!
data_element create variable  &
   variable_name = ._fsae_brakes.right_front_wheel_omega  &
   comments = "PAR(1) - branch id",  &
              "PAR(2) - Marker adams_view_name='ptr_actuator_i_1' on right front wheel",  &
              "PAR(3) - Marker adams_view_name='ptr_actuator_j_1' on right front suspension upright",  &
              "PAR(4) - Marker adams_view_name='ptr_actuator_j_1' on right front suspension upright",  &
              "PAR(5) - Tire ID representing PAR(2) and PAR(3)"  &
   initial_condition = 0.0  &
   user_function = 1004.0, 0.0, 0.0, 0.0, 0.0  &
   routine = "abgVDM::var1004"
!
data_element create variable  &
   variable_name = ._fsae_brakes.right_rear_wheel_omega  &
   comments = "PAR(1) - branch id",  &
              "PAR(2) - Marker adams_view_name='ptr_actuator_i_2' on right rear wheel",  &
              "PAR(3) - Marker adams_view_name='ptr_actuator_j_2' on right rear suspension upright",  &
              "PAR(4) - Marker adams_view_name='ptr_actuator_j_2' on right rear suspension upright",  &
              "PAR(5) - Tire ID representing PAR(2) and PAR(3)"  &
   initial_condition = 0.0  &
   user_function = 1004.0, 0.0, 0.0, 0.0, 0.0  &
   routine = "abgVDM::var1004"
!
data_element create variable  &
   variable_name = ._fsae_brakes.left_rear_wheel_omega  &
   comments = "PAR(1) - branch id",  &
              "PAR(2) - Marker adams_view_name='ptl_actuator_i_2' on left rear wheel",  &
              "PAR(3) - Marker adams_view_name='ptl_actuator_j_2' on left rear suspension upright",  &
              "PAR(4) - Marker adams_view_name='ptl_actuator_j_2' on left rear suspension upright",  &
              "PAR(5) - Tire ID representing PAR(2) and PAR(3)"  &
   initial_condition = 0.0  &
   user_function = 1004.0, 0.0, 0.0, 0.0, 0.0  &
   routine = "abgVDM::var1004"
!
data_element create array ic_array  &
   array_name = ._fsae_brakes._cv_array  &
   comments = "Dummy for communicators"  &
   size = 1  &
   numbers = 0.0
!
data_element attributes  &
   data_element_name = ._fsae_brakes._cv_array  &
   visibility = off
!
data_element create spline  &
   spline_name = ._fsae_brakes._cv_spline  &
   comments = "Dummy for communicators"  &
   x = 1.0, 2.0, 3.0, 4.0  &
   y = 1.0, 2.0, 3.0, 4.0, 1.0, 2.0, 3.0, 4.0  &
   z = 1.0, 2.0  &
   linear_extrapolate = no
!
data_element attributes  &
   data_element_name = ._fsae_brakes._cv_spline  &
   visibility = off
!
data_element create string  &
   string_name = ._fsae_brakes.minor_role_string  &
   string = "unassigned"
!
data_element attributes  &
   data_element_name = ._fsae_brakes.minor_role_string  &
   visibility = off
!
!-------------------------------- Rigid Parts ---------------------------------!
!
! Create parts and their dependent markers and graphics
!
!----------------------------------- ground -----------------------------------!
!
!
! ****** Ground Part ******
!
part modify rigid_body name_and_position  &
   part_name = ground
!
defaults model  &
   part_name = ground
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_brakes.ground
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._fsae_brakes.ground.cfl_front_tire_spin_axis  &
   location = 0.0, -400.0, 0.0  &
   orientation = 0.0d, 90.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_brakes.ground.cfl_front_tire_spin_axis  &
   color = MAIZE
!
marker create  &
   marker_name = ._fsae_brakes.ground.cfr_front_tire_spin_axis  &
   location = 0.0, 400.0, 0.0  &
   orientation = 0.0d, 90.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_brakes.ground.cfr_front_tire_spin_axis  &
   color = MAIZE
!
marker create  &
   marker_name = ._fsae_brakes.ground.cfl_rear_tire_spin_axis  &
   location = 600.0, -400.0, 0.0  &
   orientation = 0.0d, 90.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_brakes.ground.cfl_rear_tire_spin_axis  &
   color = MAIZE
!
marker create  &
   marker_name = ._fsae_brakes.ground.cfr_rear_tire_spin_axis  &
   location = 600.0, 400.0, 0.0  &
   orientation = 0.0d, 90.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_brakes.ground.cfr_rear_tire_spin_axis  &
   color = MAIZE
!
marker create  &
   marker_name = ._fsae_brakes.ground.origo  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker create  &
   marker_name = ._fsae_brakes.ground._cv_marker  &
   comments = "Dummy for communicators"  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_brakes.ground._cv_marker  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_brakes.ground.cfr_front_wheel_center  &
   location = 0.0, 400.0, 0.0  &
   orientation = 180.0d, 90.0d, 180.0d
!
marker attributes  &
   marker_name = ._fsae_brakes.ground.cfr_front_wheel_center  &
   color = MAIZE  &
   visibility = on  &
   name_visibility = on
!
marker create  &
   marker_name = ._fsae_brakes.ground.cfl_front_wheel_center  &
   location = 0.0, -400.0, 0.0  &
   orientation = 180.0d, 90.0d, 180.0d
!
marker attributes  &
   marker_name = ._fsae_brakes.ground.cfl_front_wheel_center  &
   color = MAIZE  &
   visibility = on  &
   name_visibility = on
!
marker create  &
   marker_name = ._fsae_brakes.ground.cfr_rear_wheel_center  &
   location = 600.0, 400.0, 0.0  &
   orientation = 180.0d, 90.0d, 180.0d
!
marker attributes  &
   marker_name = ._fsae_brakes.ground.cfr_rear_wheel_center  &
   color = MAIZE  &
   visibility = on  &
   name_visibility = on
!
marker create  &
   marker_name = ._fsae_brakes.ground.cfl_rear_wheel_center  &
   location = 600.0, -400.0, 0.0  &
   orientation = 180.0d, 90.0d, 180.0d
!
marker attributes  &
   marker_name = ._fsae_brakes.ground.cfl_rear_wheel_center  &
   color = MAIZE  &
   visibility = on  &
   name_visibility = on
!
marker create  &
   marker_name = ._fsae_brakes.ground.mtl_mount_j_6  &
   location = 0.0, -400.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_brakes.ground.mtl_mount_j_6  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_brakes.ground.mtr_mount_j_6  &
   location = 0.0, 400.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_brakes.ground.mtr_mount_j_6  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_brakes.ground.mtl_mount_j_7  &
   location = 600.0, -400.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_brakes.ground.mtl_mount_j_7  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_brakes.ground.mtr_mount_j_7  &
   location = 600.0, 400.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_brakes.ground.mtr_mount_j_7  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_brakes.ground.mtl_mount_j_8  &
   location = 0.0, -400.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_brakes.ground.mtl_mount_j_8  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_brakes.ground.mtr_mount_j_8  &
   location = 0.0, 400.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_brakes.ground.mtr_mount_j_8  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_brakes.ground.mtl_mount_j_9  &
   location = 600.0, -400.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_brakes.ground.mtl_mount_j_9  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_brakes.ground.mtr_mount_j_9  &
   location = 600.0, 400.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_brakes.ground.mtr_mount_j_9  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_brakes.ground.cfr_front_rotor_1  &
   location = 0.0, 335.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_brakes.ground.cfr_front_rotor_1  &
   color = MAIZE  &
   visibility = on  &
   name_visibility = on
!
marker create  &
   marker_name = ._fsae_brakes.ground.cfl_front_rotor_1  &
   location = 0.0, -335.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_brakes.ground.cfl_front_rotor_1  &
   color = MAIZE  &
   visibility = on  &
   name_visibility = on
!
marker create  &
   marker_name = ._fsae_brakes.ground.cfr_front_rotor_2  &
   location = 0.0, 360.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_brakes.ground.cfr_front_rotor_2  &
   color = MAIZE  &
   visibility = on  &
   name_visibility = on
!
marker create  &
   marker_name = ._fsae_brakes.ground.cfl_front_rotor_2  &
   location = 0.0, -360.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_brakes.ground.cfl_front_rotor_2  &
   color = MAIZE  &
   visibility = on  &
   name_visibility = on
!
marker create  &
   marker_name = ._fsae_brakes.ground.cfr_rear_rotor_1  &
   location = 600.0, 335.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_brakes.ground.cfr_rear_rotor_1  &
   color = MAIZE  &
   visibility = on  &
   name_visibility = on
!
marker create  &
   marker_name = ._fsae_brakes.ground.cfl_rear_rotor_1  &
   location = 600.0, -335.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_brakes.ground.cfl_rear_rotor_1  &
   color = MAIZE  &
   visibility = on  &
   name_visibility = on
!
marker create  &
   marker_name = ._fsae_brakes.ground.cfr_rear_rotor_2  &
   location = 600.0, 360.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_brakes.ground.cfr_rear_rotor_2  &
   color = MAIZE  &
   visibility = on  &
   name_visibility = on
!
marker create  &
   marker_name = ._fsae_brakes.ground.cfl_rear_rotor_2  &
   location = 600.0, -360.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_brakes.ground.cfl_rear_rotor_2  &
   color = MAIZE  &
   visibility = on  &
   name_visibility = on
!
marker create  &
   marker_name = ._fsae_brakes.ground.cfr_front_rotor_spin_axis  &
   location = 0.0, 375.0, 0.0  &
   orientation = 180.0d, 90.0d, 180.0d
!
marker attributes  &
   marker_name = ._fsae_brakes.ground.cfr_front_rotor_spin_axis  &
   color = MAIZE  &
   visibility = on  &
   name_visibility = on
!
marker create  &
   marker_name = ._fsae_brakes.ground.cfl_front_rotor_spin_axis  &
   location = 0.0, -375.0, 0.0  &
   orientation = 180.0d, 90.0d, 180.0d
!
marker attributes  &
   marker_name = ._fsae_brakes.ground.cfl_front_rotor_spin_axis  &
   color = MAIZE  &
   visibility = on  &
   name_visibility = on
!
marker create  &
   marker_name = ._fsae_brakes.ground.cfr_rear_rotor_spin_axis  &
   location = 600.0, 375.0, 0.0  &
   orientation = 180.0d, 90.0d, 180.0d
!
marker attributes  &
   marker_name = ._fsae_brakes.ground.cfr_rear_rotor_spin_axis  &
   color = MAIZE  &
   visibility = on  &
   name_visibility = on
!
marker create  &
   marker_name = ._fsae_brakes.ground.cfl_rear_rotor_spin_axis  &
   location = 600.0, -375.0, 0.0  &
   orientation = 180.0d, 90.0d, 180.0d
!
marker attributes  &
   marker_name = ._fsae_brakes.ground.cfl_rear_rotor_spin_axis  &
   color = MAIZE  &
   visibility = on  &
   name_visibility = on
!
! ****** Graphics for current part ******
!
geometry create shape ellipsoid  &
   ellipsoid_name = ._fsae_brakes.ground._cv_csolid  &
   center_marker = ._fsae_brakes.ground._cv_marker  &
   x_scale_factor = 100.0  &
   y_scale_factor = 100.0  &
   z_scale_factor = 100.0
!
geometry attributes  &
   geometry_name = ._fsae_brakes.ground._cv_csolid  &
   active = off
!
!---------------------------------- _cv_part ----------------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_brakes.ground
!
part create rigid_body name_and_position  &
   part_name = ._fsae_brakes._cv_part  &
   comments = "Dummy for communicators"  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_brakes._cv_part
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._fsae_brakes._cv_part.marker  &
   comments = "Dummy for communicators"  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_brakes._cv_part.marker  &
   visibility = off  &
   name_visibility = off
!
part create rigid_body mass_properties  &
   part_name = ._fsae_brakes._cv_part  &
   mass = 0.0  &
   center_of_mass_marker = ._fsae_brakes._cv_part.marker  &
   ixx = 0.0  &
   iyy = 0.0  &
   izz = 0.0  &
   ixy = 0.0  &
   izx = 0.0  &
   iyz = 0.0
!
part attributes  &
   part_name = ._fsae_brakes._cv_part  &
   visibility = off  &
   name_visibility = off
!
!-------------------------- mtl_front_rotor_to_wheel --------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_brakes.ground
!
part create rigid_body name_and_position  &
   part_name = ._fsae_brakes.mtl_front_rotor_to_wheel  &
   location = 0.0, -400.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_brakes.mtl_front_rotor_to_wheel
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._fsae_brakes.mtl_front_rotor_to_wheel.mount_i  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_brakes.mtl_front_rotor_to_wheel.mount_i  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_brakes.mtl_front_rotor_to_wheel.gralin_23  &
   location = 0.0, 66.0, 0.0  &
   orientation = 0.0d, 90.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_brakes.mtl_front_rotor_to_wheel.gralin_23  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_brakes.mtl_front_rotor_to_wheel.gralin_24  &
   location = 0.0, 40.0, 0.0  &
   orientation = 180.0d, 90.0d, 180.0d
!
marker attributes  &
   marker_name = ._fsae_brakes.mtl_front_rotor_to_wheel.gralin_24  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_brakes.mtl_front_rotor_to_wheel.brake_torque_2  &
   location = 0.0, 52.5, 0.0  &
   orientation = 180.0d, 90.0d, 180.0d
!
marker create  &
   marker_name = ._fsae_brakes.mtl_front_rotor_to_wheel.ptl_actuator_i_1  &
   location = 0.0, 52.5, 0.0  &
   orientation = 0.0d, 90.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_brakes.mtl_front_rotor_to_wheel.ptl_actuator_i_1  &
   visibility = off  &
   name_visibility = off
!
! ****** Graphics for current part ******
!
geometry create shape cylinder  &
   cylinder_name = ._fsae_brakes.mtl_front_rotor_to_wheel.gralin_rotor_hub  &
   center_marker = ._fsae_brakes.mtl_front_rotor_to_wheel.gralin_23  &
   angle_extent = 360.0  &
   length = 40.0  &
   radius = 50.0  &
   side_count_for_body = 15  &
   segment_count_for_ends = 15
!
geometry attributes  &
   geometry_name = ._fsae_brakes.mtl_front_rotor_to_wheel.gralin_rotor_hub  &
   color = SILVER  &
   visibility = on
!
geometry create shape cylinder  &
   cylinder_name = ._fsae_brakes.mtl_front_rotor_to_wheel.gralin_rotor  &
   center_marker = ._fsae_brakes.mtl_front_rotor_to_wheel.gralin_24  &
   angle_extent = 360.0  &
   length = 25.0  &
   radius = 135.0  &
   side_count_for_body = 15  &
   segment_count_for_ends = 15
!
geometry attributes  &
   geometry_name = ._fsae_brakes.mtl_front_rotor_to_wheel.gralin_rotor  &
   color = DARK_GRAY  &
   visibility = on
!
part attributes  &
   part_name = ._fsae_brakes.mtl_front_rotor_to_wheel  &
   visibility = on  &
   name_visibility = on
!
!-------------------------- mtr_front_rotor_to_wheel --------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_brakes.ground
!
part create rigid_body name_and_position  &
   part_name = ._fsae_brakes.mtr_front_rotor_to_wheel  &
   location = 0.0, 400.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_brakes.mtr_front_rotor_to_wheel
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._fsae_brakes.mtr_front_rotor_to_wheel.mount_i  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_brakes.mtr_front_rotor_to_wheel.mount_i  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_brakes.mtr_front_rotor_to_wheel.gralin_25  &
   location = 0.0, -40.0, 0.0  &
   orientation = 0.0d, 90.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_brakes.mtr_front_rotor_to_wheel.gralin_25  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_brakes.mtr_front_rotor_to_wheel.gralin_26  &
   location = 0.0, -66.0, 0.0  &
   orientation = 180.0d, 90.0d, 180.0d
!
marker attributes  &
   marker_name = ._fsae_brakes.mtr_front_rotor_to_wheel.gralin_26  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_brakes.mtr_front_rotor_to_wheel.brake_torque_2  &
   location = 0.0, -52.5, 0.0  &
   orientation = 180.0d, 90.0d, 180.0d
!
marker create  &
   marker_name = ._fsae_brakes.mtr_front_rotor_to_wheel.ptr_actuator_i_1  &
   location = 0.0, -52.5, 0.0  &
   orientation = 0.0d, 90.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_brakes.mtr_front_rotor_to_wheel.ptr_actuator_i_1  &
   visibility = off  &
   name_visibility = off
!
! ****** Graphics for current part ******
!
geometry create shape cylinder  &
   cylinder_name = ._fsae_brakes.mtr_front_rotor_to_wheel.gralin_rotor  &
   center_marker = ._fsae_brakes.mtr_front_rotor_to_wheel.gralin_25  &
   angle_extent = 360.0  &
   length = 25.0  &
   radius = 135.0  &
   side_count_for_body = 15  &
   segment_count_for_ends = 15
!
geometry attributes  &
   geometry_name = ._fsae_brakes.mtr_front_rotor_to_wheel.gralin_rotor  &
   color = DARK_GRAY  &
   visibility = on
!
geometry create shape cylinder  &
   cylinder_name = ._fsae_brakes.mtr_front_rotor_to_wheel.gralin_rotor_hub  &
   center_marker = ._fsae_brakes.mtr_front_rotor_to_wheel.gralin_26  &
   angle_extent = 360.0  &
   length = 40.0  &
   radius = 50.0  &
   side_count_for_body = 15  &
   segment_count_for_ends = 15
!
geometry attributes  &
   geometry_name = ._fsae_brakes.mtr_front_rotor_to_wheel.gralin_rotor_hub  &
   color = SILVER  &
   visibility = on
!
part attributes  &
   part_name = ._fsae_brakes.mtr_front_rotor_to_wheel  &
   visibility = on  &
   name_visibility = on
!
!-------------------------- mtl_rear_rotor_to_wheel ---------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_brakes.ground
!
part create rigid_body name_and_position  &
   part_name = ._fsae_brakes.mtl_rear_rotor_to_wheel  &
   location = 600.0, -400.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_brakes.mtl_rear_rotor_to_wheel
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._fsae_brakes.mtl_rear_rotor_to_wheel.mount_i  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_brakes.mtl_rear_rotor_to_wheel.mount_i  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_brakes.mtl_rear_rotor_to_wheel.gralin_27  &
   location = 0.0, 66.0, 0.0  &
   orientation = 0.0d, 90.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_brakes.mtl_rear_rotor_to_wheel.gralin_27  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_brakes.mtl_rear_rotor_to_wheel.gralin_28  &
   location = 0.0, 40.0, 0.0  &
   orientation = 180.0d, 90.0d, 180.0d
!
marker attributes  &
   marker_name = ._fsae_brakes.mtl_rear_rotor_to_wheel.gralin_28  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_brakes.mtl_rear_rotor_to_wheel.brake_torque_2  &
   location = 0.0, 52.5, 0.0  &
   orientation = 180.0d, 90.0d, 180.0d
!
marker create  &
   marker_name = ._fsae_brakes.mtl_rear_rotor_to_wheel.ptl_actuator_i_2  &
   location = 0.0, 52.5, 0.0  &
   orientation = 0.0d, 90.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_brakes.mtl_rear_rotor_to_wheel.ptl_actuator_i_2  &
   visibility = off  &
   name_visibility = off
!
! ****** Graphics for current part ******
!
geometry create shape cylinder  &
   cylinder_name = ._fsae_brakes.mtl_rear_rotor_to_wheel.gralin_rear_rotor_hub  &
   center_marker = ._fsae_brakes.mtl_rear_rotor_to_wheel.gralin_27  &
   angle_extent = 360.0  &
   length = 40.0  &
   radius = 50.0  &
   side_count_for_body = 15  &
   segment_count_for_ends = 15
!
geometry attributes  &
   geometry_name = ._fsae_brakes.mtl_rear_rotor_to_wheel.gralin_rear_rotor_hub  &
   color = SILVER  &
   visibility = on
!
geometry create shape cylinder  &
   cylinder_name = ._fsae_brakes.mtl_rear_rotor_to_wheel.gralin_rear_rotor  &
   center_marker = ._fsae_brakes.mtl_rear_rotor_to_wheel.gralin_28  &
   angle_extent = 360.0  &
   length = 25.0  &
   radius = 120.0  &
   side_count_for_body = 15  &
   segment_count_for_ends = 15
!
geometry attributes  &
   geometry_name = ._fsae_brakes.mtl_rear_rotor_to_wheel.gralin_rear_rotor  &
   color = DARK_GRAY  &
   visibility = on
!
part attributes  &
   part_name = ._fsae_brakes.mtl_rear_rotor_to_wheel  &
   visibility = on  &
   name_visibility = on
!
!-------------------------- mtr_rear_rotor_to_wheel ---------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_brakes.ground
!
part create rigid_body name_and_position  &
   part_name = ._fsae_brakes.mtr_rear_rotor_to_wheel  &
   location = 600.0, 400.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_brakes.mtr_rear_rotor_to_wheel
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._fsae_brakes.mtr_rear_rotor_to_wheel.mount_i  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_brakes.mtr_rear_rotor_to_wheel.mount_i  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_brakes.mtr_rear_rotor_to_wheel.gralin_29  &
   location = 0.0, -66.0, 0.0  &
   orientation = 180.0d, 90.0d, 180.0d
!
marker attributes  &
   marker_name = ._fsae_brakes.mtr_rear_rotor_to_wheel.gralin_29  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_brakes.mtr_rear_rotor_to_wheel.gralin_30  &
   location = 0.0, -40.0, 0.0  &
   orientation = 0.0d, 90.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_brakes.mtr_rear_rotor_to_wheel.gralin_30  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_brakes.mtr_rear_rotor_to_wheel.brake_torque_2  &
   location = 0.0, -52.5, 0.0  &
   orientation = 180.0d, 90.0d, 180.0d
!
marker create  &
   marker_name = ._fsae_brakes.mtr_rear_rotor_to_wheel.ptr_actuator_i_2  &
   location = 0.0, -52.5, 0.0  &
   orientation = 0.0d, 90.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_brakes.mtr_rear_rotor_to_wheel.ptr_actuator_i_2  &
   visibility = off  &
   name_visibility = off
!
! ****** Graphics for current part ******
!
geometry create shape cylinder  &
   cylinder_name = ._fsae_brakes.mtr_rear_rotor_to_wheel.gralin_rear_rotor_hub  &
   center_marker = ._fsae_brakes.mtr_rear_rotor_to_wheel.gralin_29  &
   angle_extent = 360.0  &
   length = 40.0  &
   radius = 50.0  &
   side_count_for_body = 15  &
   segment_count_for_ends = 15
!
geometry attributes  &
   geometry_name = ._fsae_brakes.mtr_rear_rotor_to_wheel.gralin_rear_rotor_hub  &
   color = SILVER  &
   visibility = on
!
geometry create shape cylinder  &
   cylinder_name = ._fsae_brakes.mtr_rear_rotor_to_wheel.gralin_rear_rotor  &
   center_marker = ._fsae_brakes.mtr_rear_rotor_to_wheel.gralin_30  &
   angle_extent = 360.0  &
   length = 25.0  &
   radius = 120.0  &
   side_count_for_body = 15  &
   segment_count_for_ends = 15
!
geometry attributes  &
   geometry_name = ._fsae_brakes.mtr_rear_rotor_to_wheel.gralin_rear_rotor  &
   color = DARK_GRAY  &
   visibility = on
!
part attributes  &
   part_name = ._fsae_brakes.mtr_rear_rotor_to_wheel  &
   visibility = on  &
   name_visibility = on
!
!------------------------ mtl_front_suspension_upright ------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_brakes.ground
!
part create rigid_body name_and_position  &
   part_name = ._fsae_brakes.mtl_front_suspension_upright  &
   location = 0.0, -400.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_brakes.mtl_front_suspension_upright
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._fsae_brakes.mtl_front_suspension_upright.mount_i  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_brakes.mtl_front_suspension_upright.mount_i  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_brakes.mtl_front_suspension_upright.revref_1  &
   location = 0.0, 52.5, 0.0  &
   orientation = 180.0d, 90.0d, 180.0d
!
marker create  &
   marker_name = ._fsae_brakes.mtl_front_suspension_upright.brake_torque_1  &
   location = 0.0, 52.5, 0.0  &
   orientation = 180.0d, 90.0d, 180.0d
!
marker create  &
   marker_name = ._fsae_brakes.mtl_front_suspension_upright.ptl_actuator_j_1  &
   location = 0.0, 52.5, 0.0  &
   orientation = 0.0d, 90.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_brakes.mtl_front_suspension_upright.ptl_actuator_j_1  &
   visibility = off  &
   name_visibility = off
!
! ****** Graphics for current part ******
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_brakes.mtl_front_suspension_upright.revref_1
!
geometry create shape revolution  &
   revolution_name = ._fsae_brakes.mtl_front_suspension_upright.caliper_revolution  &
   reference_marker = ._fsae_brakes.mtl_front_suspension_upright.revref_1  &
   analytical = no  &
   points_for_profile = 0.0, -145.0, 22.5  &
      , 0.0, -145.0, -22.5  &
      , 0.0, -80.0, -22.5  &
      , 0.0, -80.0, 22.5  &
      , 0.0, -145.0, 22.5  &
   angle_extent = -50.0  &
   number_of_sides = 10
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_brakes.mtl_front_suspension_upright
!
geometry attributes  &
   geometry_name = ._fsae_brakes.mtl_front_suspension_upright.caliper_revolution  &
   color = RED  &
   visibility = on
!
part attributes  &
   part_name = ._fsae_brakes.mtl_front_suspension_upright  &
   visibility = on  &
   name_visibility = on
!
!------------------------ mtr_front_suspension_upright ------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_brakes.ground
!
part create rigid_body name_and_position  &
   part_name = ._fsae_brakes.mtr_front_suspension_upright  &
   location = 0.0, 400.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_brakes.mtr_front_suspension_upright
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._fsae_brakes.mtr_front_suspension_upright.mount_i  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_brakes.mtr_front_suspension_upright.mount_i  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_brakes.mtr_front_suspension_upright.revref_1  &
   location = 0.0, -52.5, 0.0  &
   orientation = 180.0d, 90.0d, 180.0d
!
marker create  &
   marker_name = ._fsae_brakes.mtr_front_suspension_upright.brake_torque_1  &
   location = 0.0, -52.5, 0.0  &
   orientation = 180.0d, 90.0d, 180.0d
!
marker create  &
   marker_name = ._fsae_brakes.mtr_front_suspension_upright.ptr_actuator_j_1  &
   location = 0.0, -52.5, 0.0  &
   orientation = 0.0d, 90.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_brakes.mtr_front_suspension_upright.ptr_actuator_j_1  &
   visibility = off  &
   name_visibility = off
!
! ****** Graphics for current part ******
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_brakes.mtr_front_suspension_upright.revref_1
!
geometry create shape revolution  &
   revolution_name = ._fsae_brakes.mtr_front_suspension_upright.caliper_revolution  &
   reference_marker = ._fsae_brakes.mtr_front_suspension_upright.revref_1  &
   analytical = no  &
   points_for_profile = 0.0, -145.0, 22.5  &
      , 0.0, -145.0, -22.5  &
      , 0.0, -80.0, -22.5  &
      , 0.0, -80.0, 22.5  &
      , 0.0, -145.0, 22.5  &
   angle_extent = -50.0  &
   number_of_sides = 10
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_brakes.mtr_front_suspension_upright
!
geometry attributes  &
   geometry_name = ._fsae_brakes.mtr_front_suspension_upright.caliper_revolution  &
   color = RED  &
   visibility = on
!
part attributes  &
   part_name = ._fsae_brakes.mtr_front_suspension_upright  &
   visibility = on  &
   name_visibility = on
!
!------------------------ mtl_rear_suspension_upright -------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_brakes.ground
!
part create rigid_body name_and_position  &
   part_name = ._fsae_brakes.mtl_rear_suspension_upright  &
   location = 600.0, -400.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_brakes.mtl_rear_suspension_upright
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._fsae_brakes.mtl_rear_suspension_upright.mount_i  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_brakes.mtl_rear_suspension_upright.mount_i  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_brakes.mtl_rear_suspension_upright.revref_1  &
   location = 0.0, 52.5, 0.0  &
   orientation = 180.0d, 90.0d, 180.0d
!
marker create  &
   marker_name = ._fsae_brakes.mtl_rear_suspension_upright.brake_torque_1  &
   location = 0.0, 52.5, 0.0  &
   orientation = 180.0d, 90.0d, 180.0d
!
marker create  &
   marker_name = ._fsae_brakes.mtl_rear_suspension_upright.ptl_actuator_j_2  &
   location = 0.0, 52.5, 0.0  &
   orientation = 0.0d, 90.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_brakes.mtl_rear_suspension_upright.ptl_actuator_j_2  &
   visibility = off  &
   name_visibility = off
!
! ****** Graphics for current part ******
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_brakes.mtl_rear_suspension_upright.revref_1
!
geometry create shape revolution  &
   revolution_name = ._fsae_brakes.mtl_rear_suspension_upright.caliper_revolution  &
   reference_marker = ._fsae_brakes.mtl_rear_suspension_upright.revref_1  &
   analytical = no  &
   points_for_profile = 0.0, -130.0, 22.5  &
      , 0.0, -130.0, -22.5  &
      , 0.0, -65.0, -22.5  &
      , 0.0, -65.0, 22.5  &
      , 0.0, -130.0, 22.5  &
   angle_extent = -50.0  &
   number_of_sides = 10
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_brakes.mtl_rear_suspension_upright
!
geometry attributes  &
   geometry_name = ._fsae_brakes.mtl_rear_suspension_upright.caliper_revolution  &
   color = RED  &
   visibility = on
!
part attributes  &
   part_name = ._fsae_brakes.mtl_rear_suspension_upright  &
   visibility = on  &
   name_visibility = on
!
!------------------------ mtr_rear_suspension_upright -------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_brakes.ground
!
part create rigid_body name_and_position  &
   part_name = ._fsae_brakes.mtr_rear_suspension_upright  &
   location = 600.0, 400.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_brakes.mtr_rear_suspension_upright
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._fsae_brakes.mtr_rear_suspension_upright.mount_i  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_brakes.mtr_rear_suspension_upright.mount_i  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_brakes.mtr_rear_suspension_upright.revref_1  &
   location = 0.0, -52.5, 0.0  &
   orientation = 180.0d, 90.0d, 180.0d
!
marker attributes  &
   marker_name = ._fsae_brakes.mtr_rear_suspension_upright.revref_1  &
   visibility = off
!
marker create  &
   marker_name = ._fsae_brakes.mtr_rear_suspension_upright.brake_torque_1  &
   location = 0.0, -52.5, 0.0  &
   orientation = 180.0d, 90.0d, 180.0d
!
marker create  &
   marker_name = ._fsae_brakes.mtr_rear_suspension_upright.ptr_actuator_j_2  &
   location = 0.0, -52.5, 0.0  &
   orientation = 0.0d, 90.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_brakes.mtr_rear_suspension_upright.ptr_actuator_j_2  &
   visibility = off  &
   name_visibility = off
!
! ****** Graphics for current part ******
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_brakes.mtr_rear_suspension_upright.revref_1
!
geometry create shape revolution  &
   revolution_name = ._fsae_brakes.mtr_rear_suspension_upright.caliper_revolution  &
   reference_marker = ._fsae_brakes.mtr_rear_suspension_upright.revref_1  &
   analytical = no  &
   points_for_profile = 0.0, -130.0, 22.5  &
      , 0.0, -130.0, -22.5  &
      , 0.0, -65.0, -22.5  &
      , 0.0, -65.0, 22.5  &
      , 0.0, -130.0, 22.5  &
   angle_extent = -50.0  &
   number_of_sides = 10
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_brakes.mtr_rear_suspension_upright
!
geometry attributes  &
   geometry_name = ._fsae_brakes.mtr_rear_suspension_upright.caliper_revolution  &
   color = RED  &
   visibility = on
!
part attributes  &
   part_name = ._fsae_brakes.mtr_rear_suspension_upright  &
   visibility = on  &
   name_visibility = on
!
!--------------------------------- Equations ----------------------------------!
!
!
part create equation differential_equation  &
   differential_equation_name = ._fsae_brakes._cv_diff  &
   comments = "Dummy for communicators"  &
   initial_condition = 0.0  &
   function = ""  &
   implicit = off  &
   static_hold = off
!
part attributes  &
   equation_name = ._fsae_brakes._cv_diff  &
   visibility = off
!
!----------------------------------- Joints -----------------------------------!
!
!
constraint create joint cylindrical  &
   joint_name = ._fsae_brakes._cv_joint_for_motion  &
   comments = "Dummy for communicators"  &
   i_marker_name = ._fsae_brakes._cv_part.marker  &
   j_marker_name = ._fsae_brakes.ground._cv_marker
!
constraint attributes  &
   constraint_name = ._fsae_brakes._cv_joint_for_motion  &
   visibility = off  &
   name_visibility = off
!
constraint create joint fixed  &
   joint_name = ._fsae_brakes.mtl_fixed_6  &
   i_marker_name = ._fsae_brakes.mtl_front_rotor_to_wheel.mount_i  &
   j_marker_name = ._fsae_brakes.ground.mtl_mount_j_6
!
constraint attributes  &
   constraint_name = ._fsae_brakes.mtl_fixed_6  &
   visibility = off  &
   name_visibility = off
!
constraint create joint fixed  &
   joint_name = ._fsae_brakes.mtr_fixed_6  &
   i_marker_name = ._fsae_brakes.mtr_front_rotor_to_wheel.mount_i  &
   j_marker_name = ._fsae_brakes.ground.mtr_mount_j_6
!
constraint attributes  &
   constraint_name = ._fsae_brakes.mtr_fixed_6  &
   visibility = off  &
   name_visibility = off
!
constraint create joint fixed  &
   joint_name = ._fsae_brakes.mtl_fixed_7  &
   i_marker_name = ._fsae_brakes.mtl_rear_rotor_to_wheel.mount_i  &
   j_marker_name = ._fsae_brakes.ground.mtl_mount_j_7
!
constraint attributes  &
   constraint_name = ._fsae_brakes.mtl_fixed_7  &
   visibility = off  &
   name_visibility = off
!
constraint create joint fixed  &
   joint_name = ._fsae_brakes.mtr_fixed_7  &
   i_marker_name = ._fsae_brakes.mtr_rear_rotor_to_wheel.mount_i  &
   j_marker_name = ._fsae_brakes.ground.mtr_mount_j_7
!
constraint attributes  &
   constraint_name = ._fsae_brakes.mtr_fixed_7  &
   visibility = off  &
   name_visibility = off
!
constraint create joint fixed  &
   joint_name = ._fsae_brakes.mtl_fixed_8  &
   i_marker_name = ._fsae_brakes.mtl_front_suspension_upright.mount_i  &
   j_marker_name = ._fsae_brakes.ground.mtl_mount_j_8
!
constraint attributes  &
   constraint_name = ._fsae_brakes.mtl_fixed_8  &
   visibility = off  &
   name_visibility = off
!
constraint create joint fixed  &
   joint_name = ._fsae_brakes.mtr_fixed_8  &
   i_marker_name = ._fsae_brakes.mtr_front_suspension_upright.mount_i  &
   j_marker_name = ._fsae_brakes.ground.mtr_mount_j_8
!
constraint attributes  &
   constraint_name = ._fsae_brakes.mtr_fixed_8  &
   visibility = off  &
   name_visibility = off
!
constraint create joint fixed  &
   joint_name = ._fsae_brakes.mtl_fixed_9  &
   i_marker_name = ._fsae_brakes.mtl_rear_suspension_upright.mount_i  &
   j_marker_name = ._fsae_brakes.ground.mtl_mount_j_9
!
constraint attributes  &
   constraint_name = ._fsae_brakes.mtl_fixed_9  &
   visibility = off  &
   name_visibility = off
!
constraint create joint fixed  &
   joint_name = ._fsae_brakes.mtr_fixed_9  &
   i_marker_name = ._fsae_brakes.mtr_rear_suspension_upright.mount_i  &
   j_marker_name = ._fsae_brakes.ground.mtr_mount_j_9
!
constraint attributes  &
   constraint_name = ._fsae_brakes.mtr_fixed_9  &
   visibility = off  &
   name_visibility = off
!
!------------------------------ Joint Primitives ------------------------------!
!
!
constraint create primitive_joint inplane  &
   jprim_name = ._fsae_brakes._cv_joint  &
   comments = "Dummy for communicators"  &
   i_marker_name = ._fsae_brakes._cv_part.marker  &
   j_marker_name = ._fsae_brakes.ground._cv_marker
!
constraint attributes  &
   constraint_name = ._fsae_brakes._cv_joint  &
   visibility = off  &
   name_visibility = off
!
!----------------------------------- Forces -----------------------------------!
!
!
force create element_like field  &
   field_name = ._fsae_brakes._cv_bushing  &
   comments = "Dummy for communicators"  &
   i_marker_name = ._fsae_brakes._cv_part.marker  &
   j_marker_name = ._fsae_brakes.ground._cv_marker  &
   translation_at_preload = 0.0, 0.0, 0.0  &
   rotation_at_preload = 0.0d, 0.0d, 0.0d  &
   formulation = linear  &
   length_tolerance = 1.0E-05  &
   damping_ratio = 0.0  &
   stiffness_matrix =  &
      0.0, 0.0, 0.0, 0.0, 0.0, 0.0,  &
      0.0, 0.0, 0.0, 0.0, 0.0, 0.0,  &
      0.0, 0.0, 0.0, 0.0, 0.0, 0.0,  &
      0.0, 0.0, 0.0, 0.0, 0.0, 0.0,  &
      0.0, 0.0, 0.0, 0.0, 0.0, 0.0,  &
      0.0, 0.0, 0.0, 0.0, 0.0, 0.0  &
   force_preload = 0.0, 0.0, 0.0  &
   torque_preload = 0.0, 0.0, 0.0
!
force attributes  &
   force_name = ._fsae_brakes._cv_bushing  &
   visibility = off  &
   name_visibility = off
!
!---------------------------------- Requests ----------------------------------!
!
!
output_control create request  &
   request_name = ._fsae_brakes.brake_line_pressures  &
   comment = "Brake Line Pressures"  &
   component_names = "", "brake_demand", "left_front", "right_front", "",  &
                     "rear", "", ""  &
   component_units = "no_units", "no_units", "pressure", "pressure",  &
                     "no_units", "pressure", "no_units", "no_units"  &
   results_name = "brake_line_pressure"  &
   f2 = ""  &
   f3 = ""  &
   f4 = ""  &
   f6 = ""
!
output_control create request  &
   request_name = ._fsae_brakes.brake_torques  &
   comment = "Brake Torques"  &
   component_names = "", "left_front", "right_front", "", "", "left_rear",  &
                     "right_rear", ""  &
   component_units = "no_units", "torque", "torque", "no_units", "no_units",  &
                     "torque", "torque", "no_units"  &
   results_name = "brake_torques"  &
   f2 = ""  &
   f3 = ""  &
   f6 = ""  &
   f7 = ""
!
!---------------------------- Adams View Variables ----------------------------!
!
!
variable create  &
   variable_name = ._fsae_brakes.pvs_front_effective_piston_radius  &
   units = "length"  &
   real_value = 135.0
!
variable create  &
   variable_name = ._fsae_brakes.pvs_rear_effective_piston_radius  &
   units = "length"  &
   real_value = 120.0
!
variable create  &
   variable_name = ._fsae_brakes.cis_brake_demand_adams_id  &
   integer_value = 0
!
variable create  &
   variable_name = ._fsae_brakes.pvs_front_brake_bias  &
   units = "no_units"  &
   real_value = 0.6
!
variable create  &
   variable_name = ._fsae_brakes.pvs_front_piston_area  &
   units = "area"  &
   real_value = 2500.0
!
variable create  &
   variable_name = ._fsae_brakes.pvs_rear_piston_area  &
   units = "area"  &
   real_value = 2500.0
!
variable create  &
   variable_name = ._fsae_brakes.pvs_front_brake_mu  &
   units = "no_units"  &
   real_value = 0.4
!
variable create  &
   variable_name = ._fsae_brakes.pvs_rear_brake_mu  &
   units = "no_units"  &
   real_value = 0.4
!
variable create  &
   variable_name = ._fsae_brakes.force_to_pressure_cnvt  &
   units = "no_units"  &
   use_allowed_values = no  &
   real_value = 1.3641E-02
!
variable create  &
   variable_name = ._fsae_brakes.demand_to_authority_scale  &
   units = "no_units"  &
   real_value = 1.0
!
!-------------------------- Adams View UDE Instances --------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_brakes.ground
!
undo begin_block suppress = yes
!
ude create instance  &
   instance_name = ._fsae_brakes.ptl_rear_brake_torque  &
   definition_name = .ACAR.inputs.ac_point_torque_actuator  &
   location = 600.0, -347.5, 0.0  &
   orientation = 0.0, 90.0, 0.0
!
ude attributes  &
   instance_name = ._fsae_brakes.ptl_rear_brake_torque  &
   active = on
!
ude create instance  &
   instance_name = ._fsae_brakes.ptr_front_brake_torque  &
   definition_name = .ACAR.inputs.ac_point_torque_actuator  &
   location = 0.0, 347.5, 0.0  &
   orientation = 0.0, 90.0, 0.0
!
ude attributes  &
   instance_name = ._fsae_brakes.ptr_front_brake_torque  &
   active = on
!
ude create instance  &
   instance_name = ._fsae_brakes.ptl_front_brake_torque  &
   definition_name = .ACAR.inputs.ac_point_torque_actuator  &
   location = 0.0, -347.5, 0.0  &
   orientation = 0.0, 90.0, 0.0
!
ude attributes  &
   instance_name = ._fsae_brakes.ptl_front_brake_torque  &
   active = on
!
ude create instance  &
   instance_name = ._fsae_brakes.ptr_rear_brake_torque  &
   definition_name = .ACAR.inputs.ac_point_torque_actuator  &
   location = 600.0, 347.5, 0.0  &
   orientation = 0.0, 90.0, 0.0
!
ude attributes  &
   instance_name = ._fsae_brakes.ptr_rear_brake_torque  &
   active = on
!
!-------------------------- Adams View UDE Instance ---------------------------!
!
!
variable modify  &
   variable_name = ._fsae_brakes.ptl_rear_brake_torque.function  &
   string_value =   &
      "2.0*._fsae_brakes.pvs_rear_piston_area",  &
      "*(1.0-._fsae_brakes.pvs_front_brake_bias)",  &
      "*VARVAL(._fsae_brakes.cis_brake_demand_adams_id)",  &
      "*._fsae_brakes.demand_to_authority_scale",  &
      "*._fsae_brakes.force_to_pressure_cnvt",  &
      "*._fsae_brakes.pvs_rear_brake_mu",  &
      "*._fsae_brakes.pvs_rear_effective_piston_radius",  &
      "*STEP(VARVAL(._fsae_brakes.left_rear_wheel_omega),-10D,1,10D,-1)"
!
variable modify  &
   variable_name = ._fsae_brakes.ptl_rear_brake_torque.application  &
   string_value = "rear_brake_torque"
!
variable modify  &
   variable_name = ._fsae_brakes.ptl_rear_brake_torque.identifier  &
   string_value = "single_component_force"
!
variable modify  &
   variable_name = ._fsae_brakes.ptl_rear_brake_torque.force_limits  &
   real_value =   &
      -1.0E+07,  &
      1.0E+07
!
variable modify  &
   variable_name = ._fsae_brakes.ptl_rear_brake_torque.displacement_limits  &
   real_value =   &
      -1.0E+07,  &
      1.0E+07
!
variable modify  &
   variable_name = ._fsae_brakes.ptl_rear_brake_torque.velocity_limits  &
   real_value =   &
      -1.0E+07,  &
      1.0E+07
!
variable modify  &
   variable_name = ._fsae_brakes.ptl_rear_brake_torque.acceleration_limits  &
   real_value =   &
      -1.0E+07,  &
      1.0E+07
!
variable modify  &
   variable_name = ._fsae_brakes.ptl_rear_brake_torque.unit_string  &
   string_value = "torque"
!
variable modify  &
   variable_name = ._fsae_brakes.ptl_rear_brake_torque.action_only  &
   integer_value = 0
!
variable modify  &
   variable_name = ._fsae_brakes.ptl_rear_brake_torque.i_marker  &
   object_value = ._fsae_brakes.mtl_rear_rotor_to_wheel.ptl_actuator_i_2
!
variable modify  &
   variable_name = ._fsae_brakes.ptl_rear_brake_torque.j_marker  &
   object_value = ._fsae_brakes.mtl_rear_suspension_upright.ptl_actuator_j_2
!
ude modify instance  &
   instance_name = ._fsae_brakes.ptl_rear_brake_torque
!
!-------------------------- Adams View UDE Instance ---------------------------!
!
!
variable modify  &
   variable_name = ._fsae_brakes.ptr_front_brake_torque.function  &
   string_value =   &
      "2.0*._fsae_brakes.pvs_front_piston_area",  &
      "*._fsae_brakes.pvs_front_brake_bias",  &
      "*VARVAL(._fsae_brakes.cis_brake_demand_adams_id)",  &
      "*._fsae_brakes.demand_to_authority_scale",  &
      "*._fsae_brakes.force_to_pressure_cnvt",  &
      "*._fsae_brakes.pvs_front_brake_mu",  &
      "*._fsae_brakes.pvs_front_effective_piston_radius",  &
      "*STEP(VARVAL(._fsae_brakes.right_front_wheel_omega),-10D,1,10D,-1)"
!
variable modify  &
   variable_name = ._fsae_brakes.ptr_front_brake_torque.application  &
   string_value = "front_brake_torque"
!
variable modify  &
   variable_name = ._fsae_brakes.ptr_front_brake_torque.identifier  &
   string_value = "single_component_force"
!
variable modify  &
   variable_name = ._fsae_brakes.ptr_front_brake_torque.force_limits  &
   real_value =   &
      -1.0E+07,  &
      1.0E+07
!
variable modify  &
   variable_name = ._fsae_brakes.ptr_front_brake_torque.displacement_limits  &
   real_value =   &
      -1.0E+07,  &
      1.0E+07
!
variable modify  &
   variable_name = ._fsae_brakes.ptr_front_brake_torque.velocity_limits  &
   real_value =   &
      -1.0E+07,  &
      1.0E+07
!
variable modify  &
   variable_name = ._fsae_brakes.ptr_front_brake_torque.acceleration_limits  &
   real_value =   &
      -1.0E+07,  &
      1.0E+07
!
variable modify  &
   variable_name = ._fsae_brakes.ptr_front_brake_torque.unit_string  &
   string_value = "torque"
!
variable modify  &
   variable_name = ._fsae_brakes.ptr_front_brake_torque.action_only  &
   integer_value = 0
!
variable modify  &
   variable_name = ._fsae_brakes.ptr_front_brake_torque.i_marker  &
   object_value = ._fsae_brakes.mtr_front_rotor_to_wheel.ptr_actuator_i_1
!
variable modify  &
   variable_name = ._fsae_brakes.ptr_front_brake_torque.j_marker  &
   object_value = ._fsae_brakes.mtr_front_suspension_upright.ptr_actuator_j_1
!
ude modify instance  &
   instance_name = ._fsae_brakes.ptr_front_brake_torque
!
!-------------------------- Adams View UDE Instance ---------------------------!
!
!
variable modify  &
   variable_name = ._fsae_brakes.ptl_front_brake_torque.function  &
   string_value =   &
      "2.0*._fsae_brakes.pvs_front_piston_area",  &
      "*._fsae_brakes.pvs_front_brake_bias",  &
      "*VARVAL(._fsae_brakes.cis_brake_demand_adams_id)",  &
      "*._fsae_brakes.demand_to_authority_scale",  &
      "*._fsae_brakes.force_to_pressure_cnvt",  &
      "*._fsae_brakes.pvs_front_brake_mu",  &
      "*._fsae_brakes.pvs_front_effective_piston_radius",  &
      "*STEP(VARVAL(._fsae_brakes.left_front_wheel_omega),-10D,1,10D,-1)"
!
variable modify  &
   variable_name = ._fsae_brakes.ptl_front_brake_torque.application  &
   string_value = "front_brake_torque"
!
variable modify  &
   variable_name = ._fsae_brakes.ptl_front_brake_torque.identifier  &
   string_value = "single_component_force"
!
variable modify  &
   variable_name = ._fsae_brakes.ptl_front_brake_torque.force_limits  &
   real_value =   &
      -1.0E+07,  &
      1.0E+07
!
variable modify  &
   variable_name = ._fsae_brakes.ptl_front_brake_torque.displacement_limits  &
   real_value =   &
      -1.0E+07,  &
      1.0E+07
!
variable modify  &
   variable_name = ._fsae_brakes.ptl_front_brake_torque.velocity_limits  &
   real_value =   &
      -1.0E+07,  &
      1.0E+07
!
variable modify  &
   variable_name = ._fsae_brakes.ptl_front_brake_torque.acceleration_limits  &
   real_value =   &
      -1.0E+07,  &
      1.0E+07
!
variable modify  &
   variable_name = ._fsae_brakes.ptl_front_brake_torque.unit_string  &
   string_value = "torque"
!
variable modify  &
   variable_name = ._fsae_brakes.ptl_front_brake_torque.action_only  &
   integer_value = 0
!
variable modify  &
   variable_name = ._fsae_brakes.ptl_front_brake_torque.i_marker  &
   object_value = ._fsae_brakes.mtl_front_rotor_to_wheel.ptl_actuator_i_1
!
variable modify  &
   variable_name = ._fsae_brakes.ptl_front_brake_torque.j_marker  &
   object_value = ._fsae_brakes.mtl_front_suspension_upright.ptl_actuator_j_1
!
ude modify instance  &
   instance_name = ._fsae_brakes.ptl_front_brake_torque
!
!-------------------------- Adams View UDE Instance ---------------------------!
!
!
variable modify  &
   variable_name = ._fsae_brakes.ptr_rear_brake_torque.function  &
   string_value =   &
      "2.0*._fsae_brakes.pvs_rear_piston_area",  &
      "*(1.0-._fsae_brakes.pvs_front_brake_bias)",  &
      "*VARVAL(._fsae_brakes.cis_brake_demand_adams_id)",  &
      "*._fsae_brakes.demand_to_authority_scale",  &
      "*._fsae_brakes.force_to_pressure_cnvt",  &
      "*._fsae_brakes.pvs_rear_brake_mu",  &
      "*._fsae_brakes.pvs_rear_effective_piston_radius",  &
      "*STEP(VARVAL(._fsae_brakes.right_rear_wheel_omega),-10D,1,10D,-1)"
!
variable modify  &
   variable_name = ._fsae_brakes.ptr_rear_brake_torque.application  &
   string_value = "rear_brake_torque"
!
variable modify  &
   variable_name = ._fsae_brakes.ptr_rear_brake_torque.identifier  &
   string_value = "single_component_force"
!
variable modify  &
   variable_name = ._fsae_brakes.ptr_rear_brake_torque.force_limits  &
   real_value =   &
      -1.0E+07,  &
      1.0E+07
!
variable modify  &
   variable_name = ._fsae_brakes.ptr_rear_brake_torque.displacement_limits  &
   real_value =   &
      -1.0E+07,  &
      1.0E+07
!
variable modify  &
   variable_name = ._fsae_brakes.ptr_rear_brake_torque.velocity_limits  &
   real_value =   &
      -1.0E+07,  &
      1.0E+07
!
variable modify  &
   variable_name = ._fsae_brakes.ptr_rear_brake_torque.acceleration_limits  &
   real_value =   &
      -1.0E+07,  &
      1.0E+07
!
variable modify  &
   variable_name = ._fsae_brakes.ptr_rear_brake_torque.unit_string  &
   string_value = "torque"
!
variable modify  &
   variable_name = ._fsae_brakes.ptr_rear_brake_torque.action_only  &
   integer_value = 0
!
variable modify  &
   variable_name = ._fsae_brakes.ptr_rear_brake_torque.i_marker  &
   object_value = ._fsae_brakes.mtr_rear_rotor_to_wheel.ptr_actuator_i_2
!
variable modify  &
   variable_name = ._fsae_brakes.ptr_rear_brake_torque.j_marker  &
   object_value = ._fsae_brakes.mtr_rear_suspension_upright.ptr_actuator_j_2
!
ude modify instance  &
   instance_name = ._fsae_brakes.ptr_rear_brake_torque
!
undo end_block
!
!---------------------------------- Motions -----------------------------------!
!
!
constraint create motion_generator  &
   motion_name = ._fsae_brakes._cv_motion  &
   comments = "Dummy for communicators"  &
   type_of_freedom = rotational  &
   joint_name = ._fsae_brakes._cv_joint_for_motion  &
   function = ""
!
constraint attributes  &
   constraint_name = ._fsae_brakes._cv_motion  &
   visibility = off  &
   name_visibility = off
!
!---------------------------------- Accgrav -----------------------------------!
!
!
force create body gravitational  &
   gravity_field_name = gravity  &
   x_component_gravity = 0.0  &
   y_component_gravity = 0.0  &
   z_component_gravity = -9810.0
!
!----------------------------- Analysis settings ------------------------------!
!
!
output_control set results  &
   model_name = _fsae_brakes  &
   formatted = on
!
!---------------------------- Adams View Variables ----------------------------!
!
!
variable create  &
   variable_name = ._fsae_brakes.mtl_front_rotor_to_wheel.minor_role  &
   string_value = "front"
!
variable create  &
   variable_name = ._fsae_brakes.mtl_front_rotor_to_wheel.dependents  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_brakes.mtr_front_rotor_to_wheel.minor_role  &
   string_value = "front"
!
variable create  &
   variable_name = ._fsae_brakes.mtr_front_rotor_to_wheel.dependents  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_brakes.mtl_rear_rotor_to_wheel.minor_role  &
   string_value = "rear"
!
variable create  &
   variable_name = ._fsae_brakes.mtl_rear_rotor_to_wheel.dependents  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_brakes.mtr_rear_rotor_to_wheel.minor_role  &
   string_value = "rear"
!
variable create  &
   variable_name = ._fsae_brakes.mtr_rear_rotor_to_wheel.dependents  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_brakes.mtl_front_suspension_upright.minor_role  &
   string_value = "front"
!
variable create  &
   variable_name = ._fsae_brakes.mtl_front_suspension_upright.dependents  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_brakes.mtr_front_suspension_upright.minor_role  &
   string_value = "front"
!
variable create  &
   variable_name = ._fsae_brakes.mtr_front_suspension_upright.dependents  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_brakes.mtl_rear_suspension_upright.minor_role  &
   string_value = "rear"
!
variable create  &
   variable_name = ._fsae_brakes.mtl_rear_suspension_upright.dependents  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_brakes.mtr_rear_suspension_upright.minor_role  &
   string_value = "rear"
!
variable create  &
   variable_name = ._fsae_brakes.mtr_rear_suspension_upright.dependents  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_brakes.cis_brake_demand_adams_id.matching_name  &
   string_value = "brake_demand_adams_id"
!
variable create  &
   variable_name = ._fsae_brakes.cis_brake_demand_adams_id.entity  &
   string_value = "solver_variable"
!
variable create  &
   variable_name = ._fsae_brakes.cis_brake_demand_adams_id.minor_role  &
   string_value = "any"
!
variable create  &
   variable_name = ._fsae_brakes.speed  &
   units = "velocity"  &
   real_value = 0.0
!
variable create  &
   variable_name = ._fsae_brakes.template_creation_date  &
   string_value = "1996/08/16,08:50:46"  &
   comments = "Do not remove"
!
variable create  &
   variable_name = ._fsae_brakes.minor_role  &
   string_value = "unassigned"  &
   comments = "Memory for Adams/Car minor role"
!
variable create  &
   variable_name = ._fsae_brakes.model_class  &
   string_value = "template"  &
   comments = "Memory for Adams/Car model class"
!
variable create  &
   variable_name = ._fsae_brakes.phs_kinematic_flag  &
   integer_value = 0  &
   comments =   &
              "Flag that determines if kinematic joints or bushings are active"
!
variable create  &
   variable_name = ._fsae_brakes.cil_front_rotor_to_wheel  &
   object_value = (NONE)  &
   comments = "Autocreated for mount part: mtl_front_rotor_to_wheel"
!
variable create  &
   variable_name = ._fsae_brakes.cil_front_rotor_to_wheel.matching_name  &
   string_value = "rotor_to_wheel"
!
variable create  &
   variable_name = ._fsae_brakes.cil_front_rotor_to_wheel.entity  &
   string_value = "mount"
!
variable create  &
   variable_name = ._fsae_brakes.cil_front_rotor_to_wheel.minor_role  &
   string_value = "front"
!
variable create  &
   variable_name = ._fsae_brakes.cir_front_rotor_to_wheel  &
   object_value = (NONE)  &
   comments = "Autocreated for mount part: mtr_front_rotor_to_wheel"
!
variable create  &
   variable_name = ._fsae_brakes.cir_front_rotor_to_wheel.matching_name  &
   string_value = "rotor_to_wheel"
!
variable create  &
   variable_name = ._fsae_brakes.cir_front_rotor_to_wheel.entity  &
   string_value = "mount"
!
variable create  &
   variable_name = ._fsae_brakes.cir_front_rotor_to_wheel.minor_role  &
   string_value = "front"
!
variable create  &
   variable_name = ._fsae_brakes.cil_rear_rotor_to_wheel  &
   object_value = (NONE)  &
   comments = "Autocreated for mount part: mtl_rear_rotor_to_wheel"
!
variable create  &
   variable_name = ._fsae_brakes.cil_rear_rotor_to_wheel.matching_name  &
   string_value = "rotor_to_wheel"
!
variable create  &
   variable_name = ._fsae_brakes.cil_rear_rotor_to_wheel.entity  &
   string_value = "mount"
!
variable create  &
   variable_name = ._fsae_brakes.cil_rear_rotor_to_wheel.minor_role  &
   string_value = "rear"
!
variable create  &
   variable_name = ._fsae_brakes.cir_rear_rotor_to_wheel  &
   object_value = (NONE)  &
   comments = "Autocreated for mount part: mtr_rear_rotor_to_wheel"
!
variable create  &
   variable_name = ._fsae_brakes.cir_rear_rotor_to_wheel.matching_name  &
   string_value = "rotor_to_wheel"
!
variable create  &
   variable_name = ._fsae_brakes.cir_rear_rotor_to_wheel.entity  &
   string_value = "mount"
!
variable create  &
   variable_name = ._fsae_brakes.cir_rear_rotor_to_wheel.minor_role  &
   string_value = "rear"
!
variable create  &
   variable_name = ._fsae_brakes.cil_front_suspension_upright  &
   object_value = (NONE)  &
   comments = "Autocreated for mount part: mtl_front_suspension_upright"
!
variable create  &
   variable_name = ._fsae_brakes.cil_front_suspension_upright.matching_name  &
   string_value = "suspension_upright"
!
variable create  &
   variable_name = ._fsae_brakes.cil_front_suspension_upright.entity  &
   string_value = "mount"
!
variable create  &
   variable_name = ._fsae_brakes.cil_front_suspension_upright.minor_role  &
   string_value = "front"
!
variable create  &
   variable_name = ._fsae_brakes.cir_front_suspension_upright  &
   object_value = (NONE)  &
   comments = "Autocreated for mount part: mtr_front_suspension_upright"
!
variable create  &
   variable_name = ._fsae_brakes.cir_front_suspension_upright.matching_name  &
   string_value = "suspension_upright"
!
variable create  &
   variable_name = ._fsae_brakes.cir_front_suspension_upright.entity  &
   string_value = "mount"
!
variable create  &
   variable_name = ._fsae_brakes.cir_front_suspension_upright.minor_role  &
   string_value = "front"
!
variable create  &
   variable_name = ._fsae_brakes.cil_rear_suspension_upright  &
   object_value = (NONE)  &
   comments = "Autocreated for mount part: mtl_rear_suspension_upright"
!
variable create  &
   variable_name = ._fsae_brakes.cil_rear_suspension_upright.matching_name  &
   string_value = "suspension_upright"
!
variable create  &
   variable_name = ._fsae_brakes.cil_rear_suspension_upright.entity  &
   string_value = "mount"
!
variable create  &
   variable_name = ._fsae_brakes.cil_rear_suspension_upright.minor_role  &
   string_value = "rear"
!
variable create  &
   variable_name = ._fsae_brakes.cir_rear_suspension_upright  &
   object_value = (NONE)  &
   comments = "Autocreated for mount part: mtr_rear_suspension_upright"
!
variable create  &
   variable_name = ._fsae_brakes.cir_rear_suspension_upright.matching_name  &
   string_value = "suspension_upright"
!
variable create  &
   variable_name = ._fsae_brakes.cir_rear_suspension_upright.entity  &
   string_value = "mount"
!
variable create  &
   variable_name = ._fsae_brakes.cir_rear_suspension_upright.minor_role  &
   string_value = "rear"
!
variable create  &
   variable_name = ._fsae_brakes.role  &
   string_value = "brake_system"  &
   comments = "Memory for Adams Car major role"
!
variable create  &
   variable_name = ._fsae_brakes.cis_brake_demand  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_brakes.cis_brake_demand.matching_name  &
   string_value = "brake_demand"
!
variable create  &
   variable_name = ._fsae_brakes.cis_brake_demand.entity  &
   string_value = "solver_variable"
!
variable create  &
   variable_name = ._fsae_brakes.cis_brake_demand.minor_role  &
   string_value = "any"
!
variable create  &
   variable_name = ._fsae_brakes.cil_front_wheel_center  &
   units = "length"  &
   real_value = 0.0, -400.0, 0.0
!
variable create  &
   variable_name = ._fsae_brakes.cil_front_wheel_center.matching_name  &
   string_value = "wheel_center"
!
variable create  &
   variable_name = ._fsae_brakes.cil_front_wheel_center.entity  &
   string_value = "location"
!
variable create  &
   variable_name = ._fsae_brakes.cil_front_wheel_center.minor_role  &
   string_value = "front"
!
variable create  &
   variable_name = ._fsae_brakes.cir_front_wheel_center  &
   units = "length"  &
   real_value = 0.0, 400.0, 0.0
!
variable create  &
   variable_name = ._fsae_brakes.cir_front_wheel_center.matching_name  &
   string_value = "wheel_center"
!
variable create  &
   variable_name = ._fsae_brakes.cir_front_wheel_center.entity  &
   string_value = "location"
!
variable create  &
   variable_name = ._fsae_brakes.cir_front_wheel_center.minor_role  &
   string_value = "front"
!
variable create  &
   variable_name = ._fsae_brakes.cil_rear_wheel_center  &
   units = "length"  &
   real_value = 600.0, -400.0, 0.0
!
variable create  &
   variable_name = ._fsae_brakes.cil_rear_wheel_center.matching_name  &
   string_value = "wheel_center"
!
variable create  &
   variable_name = ._fsae_brakes.cil_rear_wheel_center.entity  &
   string_value = "location"
!
variable create  &
   variable_name = ._fsae_brakes.cil_rear_wheel_center.minor_role  &
   string_value = "rear"
!
variable create  &
   variable_name = ._fsae_brakes.cir_rear_wheel_center  &
   units = "length"  &
   real_value = 600.0, 400.0, 0.0
!
variable create  &
   variable_name = ._fsae_brakes.cir_rear_wheel_center.matching_name  &
   string_value = "wheel_center"
!
variable create  &
   variable_name = ._fsae_brakes.cir_rear_wheel_center.entity  &
   string_value = "location"
!
variable create  &
   variable_name = ._fsae_brakes.cir_rear_wheel_center.minor_role  &
   string_value = "rear"
!
variable create  &
   variable_name = ._fsae_brakes.pvs_front_rotor_hub_width  &
   units = "length"  &
   real_value = 40.0
!
variable create  &
   variable_name = ._fsae_brakes.pvs_rear_rotor_hub_width  &
   units = "length"  &
   real_value = 40.0
!
variable create  &
   variable_name = ._fsae_brakes.pvs_front_rotor_width  &
   units = "length"  &
   real_value = -25.0
!
variable create  &
   variable_name = ._fsae_brakes.pvs_rear_rotor_width  &
   units = "length"  &
   real_value = -25.0
!
variable create  &
   variable_name = ._fsae_brakes.pvs_front_rotor_hub_wheel_offset  &
   units = "length"  &
   real_value = 25.0
!
variable create  &
   variable_name = ._fsae_brakes.pvs_rear_rotor_hub_wheel_offset  &
   units = "length"  &
   real_value = 25.0
!
variable create  &
   variable_name = ._fsae_brakes.cil_front_toe_angle  &
   units = "no_units"  &
   real_value = 0.0
!
variable create  &
   variable_name = ._fsae_brakes.cil_front_toe_angle.matching_name  &
   string_value = "toe_angle"
!
variable create  &
   variable_name = ._fsae_brakes.cil_front_toe_angle.entity  &
   string_value = "parameter_real"
!
variable create  &
   variable_name = ._fsae_brakes.cil_front_toe_angle.minor_role  &
   string_value = "front"
!
variable create  &
   variable_name = ._fsae_brakes.cir_front_toe_angle  &
   units = "no_units"  &
   real_value = 0.0
!
variable create  &
   variable_name = ._fsae_brakes.cir_front_toe_angle.matching_name  &
   string_value = "toe_angle"
!
variable create  &
   variable_name = ._fsae_brakes.cir_front_toe_angle.entity  &
   string_value = "parameter_real"
!
variable create  &
   variable_name = ._fsae_brakes.cir_front_toe_angle.minor_role  &
   string_value = "front"
!
variable create  &
   variable_name = ._fsae_brakes.cil_front_camber_angle  &
   units = "no_units"  &
   real_value = 0.0
!
variable create  &
   variable_name = ._fsae_brakes.cil_front_camber_angle.matching_name  &
   string_value = "camber_angle"
!
variable create  &
   variable_name = ._fsae_brakes.cil_front_camber_angle.entity  &
   string_value = "parameter_real"
!
variable create  &
   variable_name = ._fsae_brakes.cil_front_camber_angle.minor_role  &
   string_value = "front"
!
variable create  &
   variable_name = ._fsae_brakes.cir_front_camber_angle  &
   units = "no_units"  &
   real_value = 0.0
!
variable create  &
   variable_name = ._fsae_brakes.cir_front_camber_angle.matching_name  &
   string_value = "camber_angle"
!
variable create  &
   variable_name = ._fsae_brakes.cir_front_camber_angle.entity  &
   string_value = "parameter_real"
!
variable create  &
   variable_name = ._fsae_brakes.cir_front_camber_angle.minor_role  &
   string_value = "front"
!
variable create  &
   variable_name = ._fsae_brakes.cil_rear_toe_angle  &
   units = "no_units"  &
   real_value = 0.0
!
variable create  &
   variable_name = ._fsae_brakes.cil_rear_toe_angle.matching_name  &
   string_value = "toe_angle"
!
variable create  &
   variable_name = ._fsae_brakes.cil_rear_toe_angle.entity  &
   string_value = "parameter_real"
!
variable create  &
   variable_name = ._fsae_brakes.cil_rear_toe_angle.minor_role  &
   string_value = "rear"
!
variable create  &
   variable_name = ._fsae_brakes.cir_rear_toe_angle  &
   units = "no_units"  &
   real_value = 0.0
!
variable create  &
   variable_name = ._fsae_brakes.cir_rear_toe_angle.matching_name  &
   string_value = "toe_angle"
!
variable create  &
   variable_name = ._fsae_brakes.cir_rear_toe_angle.entity  &
   string_value = "parameter_real"
!
variable create  &
   variable_name = ._fsae_brakes.cir_rear_toe_angle.minor_role  &
   string_value = "rear"
!
variable create  &
   variable_name = ._fsae_brakes.cil_rear_camber_angle  &
   units = "no_units"  &
   real_value = 0.0
!
variable create  &
   variable_name = ._fsae_brakes.cil_rear_camber_angle.matching_name  &
   string_value = "camber_angle"
!
variable create  &
   variable_name = ._fsae_brakes.cil_rear_camber_angle.entity  &
   string_value = "parameter_real"
!
variable create  &
   variable_name = ._fsae_brakes.cil_rear_camber_angle.minor_role  &
   string_value = "rear"
!
variable create  &
   variable_name = ._fsae_brakes.cir_rear_camber_angle  &
   units = "no_units"  &
   real_value = 0.0
!
variable create  &
   variable_name = ._fsae_brakes.cir_rear_camber_angle.matching_name  &
   string_value = "camber_angle"
!
variable create  &
   variable_name = ._fsae_brakes.cir_rear_camber_angle.entity  &
   string_value = "parameter_real"
!
variable create  &
   variable_name = ._fsae_brakes.cir_rear_camber_angle.minor_role  &
   string_value = "rear"
!
variable create  &
   variable_name = ._fsae_brakes.pvs_max_brake_value  &
   units = "force"  &
   real_value = 100.0
!
variable create  &
   variable_name = ._fsae_brakes.cos_max_brake_value  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_brakes.cos_max_brake_value.matching_name  &
   string_value = "max_brake_value"
!
variable create  &
   variable_name = ._fsae_brakes.cos_max_brake_value.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_brakes.cos_max_brake_value.entity  &
   string_value = "parameter_real"
!
variable create  &
   variable_name = ._fsae_brakes.cil_rear_tire_force  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_brakes.cil_rear_tire_force.matching_name  &
   string_value = "tire_force"
!
variable create  &
   variable_name = ._fsae_brakes.cil_rear_tire_force.entity  &
   string_value = "force"
!
variable create  &
   variable_name = ._fsae_brakes.cil_rear_tire_force.minor_role  &
   string_value = "rear"
!
variable create  &
   variable_name = ._fsae_brakes.cil_rear_tire_force_adams_id  &
   integer_value = 0  &
   comments =   &
              "Passes the adams_id of the force (used in function expressions)"
!
variable create  &
   variable_name = ._fsae_brakes.cil_rear_tire_force_adams_id.matching_name  &
   string_value = "tire_force_adams_id"
!
variable create  &
   variable_name = ._fsae_brakes.cil_rear_tire_force_adams_id.entity  &
   string_value = "force"
!
variable create  &
   variable_name = ._fsae_brakes.cil_rear_tire_force_adams_id.minor_role  &
   string_value = "rear"
!
variable create  &
   variable_name = ._fsae_brakes.cir_rear_tire_force  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_brakes.cir_rear_tire_force.matching_name  &
   string_value = "tire_force"
!
variable create  &
   variable_name = ._fsae_brakes.cir_rear_tire_force.entity  &
   string_value = "force"
!
variable create  &
   variable_name = ._fsae_brakes.cir_rear_tire_force.minor_role  &
   string_value = "rear"
!
variable create  &
   variable_name = ._fsae_brakes.cir_rear_tire_force_adams_id  &
   integer_value = 0  &
   comments =   &
              "Passes the adams_id of the force (used in function expressions)"
!
variable create  &
   variable_name = ._fsae_brakes.cir_rear_tire_force_adams_id.matching_name  &
   string_value = "tire_force_adams_id"
!
variable create  &
   variable_name = ._fsae_brakes.cir_rear_tire_force_adams_id.entity  &
   string_value = "force"
!
variable create  &
   variable_name = ._fsae_brakes.cir_rear_tire_force_adams_id.minor_role  &
   string_value = "rear"
!
variable create  &
   variable_name = ._fsae_brakes.cil_front_tire_force  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_brakes.cil_front_tire_force.matching_name  &
   string_value = "tire_force"
!
variable create  &
   variable_name = ._fsae_brakes.cil_front_tire_force.entity  &
   string_value = "force"
!
variable create  &
   variable_name = ._fsae_brakes.cil_front_tire_force.minor_role  &
   string_value = "front"
!
variable create  &
   variable_name = ._fsae_brakes.cil_front_tire_force_adams_id  &
   integer_value = 0  &
   comments =   &
              "Passes the adams_id of the force (used in function expressions)"
!
variable create  &
   variable_name = ._fsae_brakes.cil_front_tire_force_adams_id.matching_name  &
   string_value = "tire_force_adams_id"
!
variable create  &
   variable_name = ._fsae_brakes.cil_front_tire_force_adams_id.entity  &
   string_value = "force"
!
variable create  &
   variable_name = ._fsae_brakes.cil_front_tire_force_adams_id.minor_role  &
   string_value = "front"
!
variable create  &
   variable_name = ._fsae_brakes.cir_front_tire_force  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_brakes.cir_front_tire_force.matching_name  &
   string_value = "tire_force"
!
variable create  &
   variable_name = ._fsae_brakes.cir_front_tire_force.entity  &
   string_value = "force"
!
variable create  &
   variable_name = ._fsae_brakes.cir_front_tire_force.minor_role  &
   string_value = "front"
!
variable create  &
   variable_name = ._fsae_brakes.cir_front_tire_force_adams_id  &
   integer_value = 0  &
   comments =   &
              "Passes the adams_id of the force (used in function expressions)"
!
variable create  &
   variable_name = ._fsae_brakes.cir_front_tire_force_adams_id.matching_name  &
   string_value = "tire_force_adams_id"
!
variable create  &
   variable_name = ._fsae_brakes.cir_front_tire_force_adams_id.entity  &
   string_value = "force"
!
variable create  &
   variable_name = ._fsae_brakes.cir_front_tire_force_adams_id.minor_role  &
   string_value = "front"
!
!---------------------------- Adams View Functions ----------------------------!
!
!
function create  &
   function_name = .SYMMETRY  &
   text_of_expression = "LOC_MIRROR(location, .__ACAR.ground.origo, .ACAR.variables.symmetry_plane)"  &
   argument_names = "location"  &
   type = location_orientation  &
   comments =   &
              "Compute mirrored location over the symmetry plane given 3x1 location vector"
!
!------------------------- Groups Owned By This Model -------------------------!
!
!
group create  &
   group_name = ._fsae_brakes.kinematic_mode_active  &
   expr_active = 1
!
group create  &
   group_name = ._fsae_brakes.kinematic_mode_inactive  &
   expr_active = 1
!
!---------------------- Set Adams View Object Variables -----------------------!
!
!
variable modify  &
   variable_name = ._fsae_brakes.mtl_front_rotor_to_wheel.dependents  &
   object_value = ._fsae_brakes.mtl_fixed_6,  &
                  ._fsae_brakes.cil_front_rotor_to_wheel
!
variable modify  &
   variable_name = ._fsae_brakes.mtr_front_rotor_to_wheel.dependents  &
   object_value = ._fsae_brakes.mtr_fixed_6,  &
                  ._fsae_brakes.cir_front_rotor_to_wheel
!
variable modify  &
   variable_name = ._fsae_brakes.mtl_rear_rotor_to_wheel.dependents  &
   object_value = ._fsae_brakes.mtl_fixed_7,  &
                  ._fsae_brakes.cil_rear_rotor_to_wheel
!
variable modify  &
   variable_name = ._fsae_brakes.mtr_rear_rotor_to_wheel.dependents  &
   object_value = ._fsae_brakes.mtr_fixed_7,  &
                  ._fsae_brakes.cir_rear_rotor_to_wheel
!
variable modify  &
   variable_name = ._fsae_brakes.mtl_front_suspension_upright.dependents  &
   object_value = ._fsae_brakes.mtl_fixed_8,  &
                  ._fsae_brakes.cil_front_suspension_upright
!
variable modify  &
   variable_name = ._fsae_brakes.mtr_front_suspension_upright.dependents  &
   object_value = ._fsae_brakes.mtr_fixed_8,  &
                  ._fsae_brakes.cir_front_suspension_upright
!
variable modify  &
   variable_name = ._fsae_brakes.mtl_rear_suspension_upright.dependents  &
   object_value = ._fsae_brakes.mtl_fixed_9,  &
                  ._fsae_brakes.cil_rear_suspension_upright
!
variable modify  &
   variable_name = ._fsae_brakes.mtr_rear_suspension_upright.dependents  &
   object_value = ._fsae_brakes.mtr_fixed_9,  &
                  ._fsae_brakes.cir_rear_suspension_upright
!
variable modify  &
   variable_name = ._fsae_brakes.cil_front_rotor_to_wheel  &
   object_value = ._fsae_brakes.ground.mtl_mount_j_6,  &
                  ._fsae_brakes.mtl_front_rotor_to_wheel,  &
                  ._fsae_brakes.mtl_fixed_6
!
variable modify  &
   variable_name = ._fsae_brakes.cir_front_rotor_to_wheel  &
   object_value = ._fsae_brakes.ground.mtr_mount_j_6,  &
                  ._fsae_brakes.mtr_front_rotor_to_wheel,  &
                  ._fsae_brakes.mtr_fixed_6
!
variable modify  &
   variable_name = ._fsae_brakes.cil_rear_rotor_to_wheel  &
   object_value = ._fsae_brakes.ground.mtl_mount_j_7,  &
                  ._fsae_brakes.mtl_rear_rotor_to_wheel,  &
                  ._fsae_brakes.mtl_fixed_7
!
variable modify  &
   variable_name = ._fsae_brakes.cir_rear_rotor_to_wheel  &
   object_value = ._fsae_brakes.ground.mtr_mount_j_7,  &
                  ._fsae_brakes.mtr_rear_rotor_to_wheel,  &
                  ._fsae_brakes.mtr_fixed_7
!
variable modify  &
   variable_name = ._fsae_brakes.cil_front_suspension_upright  &
   object_value = ._fsae_brakes.ground.mtl_mount_j_8,  &
                  ._fsae_brakes.mtl_front_suspension_upright,  &
                  ._fsae_brakes.mtl_fixed_8
!
variable modify  &
   variable_name = ._fsae_brakes.cir_front_suspension_upright  &
   object_value = ._fsae_brakes.ground.mtr_mount_j_8,  &
                  ._fsae_brakes.mtr_front_suspension_upright,  &
                  ._fsae_brakes.mtr_fixed_8
!
variable modify  &
   variable_name = ._fsae_brakes.cil_rear_suspension_upright  &
   object_value = ._fsae_brakes.ground.mtl_mount_j_9,  &
                  ._fsae_brakes.mtl_rear_suspension_upright,  &
                  ._fsae_brakes.mtl_fixed_9
!
variable modify  &
   variable_name = ._fsae_brakes.cir_rear_suspension_upright  &
   object_value = ._fsae_brakes.ground.mtr_mount_j_9,  &
                  ._fsae_brakes.mtr_rear_suspension_upright,  &
                  ._fsae_brakes.mtr_fixed_9
!
variable modify  &
   variable_name = ._fsae_brakes.cis_brake_demand  &
   object_value = ._fsae_brakes._cv_solver_variable
!
variable modify  &
   variable_name = ._fsae_brakes.cos_max_brake_value  &
   object_value = ._fsae_brakes.pvs_max_brake_value
!
variable modify  &
   variable_name = ._fsae_brakes.cil_rear_tire_force  &
   object_value = ._fsae_brakes._cv_bushing
!
variable modify  &
   variable_name = ._fsae_brakes.cir_rear_tire_force  &
   object_value = ._fsae_brakes._cv_bushing
!
variable modify  &
   variable_name = ._fsae_brakes.cil_front_tire_force  &
   object_value = ._fsae_brakes._cv_bushing
!
variable modify  &
   variable_name = ._fsae_brakes.cir_front_tire_force  &
   object_value = ._fsae_brakes._cv_bushing
!
!--------------------------- Add Objects To Groups ----------------------------!
!
!
group modify  &
   group_name = ._fsae_brakes.kinematic_mode_active
!
group modify  &
   group_name = ._fsae_brakes.kinematic_mode_inactive
!
!---------------------------- Function definitions ----------------------------!
!
!
constraint modify motion_generator  &
   motion_name = ._fsae_brakes._cv_motion  &
   function = "0"
!
data_element modify variable  &
   variable_name = ._fsae_brakes._cv_solver_variable  &
   function = "0"
!
data_element modify variable  &
   variable_name = ._fsae_brakes.left_front_brake_line_pressure  &
   function = "._fsae_brakes.pvs_front_brake_bias",  &
              "*VARVAL(._fsae_brakes.cis_brake_demand_adams_id)",  &
              "*._fsae_brakes.demand_to_authority_scale",  &
              "*._fsae_brakes.force_to_pressure_cnvt"
!
data_element modify variable  &
   variable_name = ._fsae_brakes.right_front_brake_line_pressure  &
   function = "._fsae_brakes.pvs_front_brake_bias",  &
              "*VARVAL(._fsae_brakes.cis_brake_demand_adams_id)",  &
              "*._fsae_brakes.demand_to_authority_scale",  &
              "*._fsae_brakes.force_to_pressure_cnvt"
!
data_element modify variable  &
   variable_name = ._fsae_brakes.rear_brake_line_pressure  &
   function = "(1.0-._fsae_brakes.pvs_front_brake_bias)",  &
              "*VARVAL(._fsae_brakes.cis_brake_demand_adams_id)",  &
              "*._fsae_brakes.demand_to_authority_scale",  &
              "*._fsae_brakes.force_to_pressure_cnvt"
!
data_element modify variable  &
   variable_name = ._fsae_brakes.left_front_brake_torque_VAR  &
   function = "2.0*._fsae_brakes.pvs_front_piston_area",  &
              "*._fsae_brakes.pvs_front_brake_bias",  &
              "*VARVAL(._fsae_brakes.cis_brake_demand_adams_id)",  &
              "*._fsae_brakes.demand_to_authority_scale",  &
              "*._fsae_brakes.force_to_pressure_cnvt",  &
              "*._fsae_brakes.pvs_front_brake_mu",  &
              "*._fsae_brakes.pvs_front_effective_piston_radius",  &
              "*STEP(VARVAL(._fsae_brakes.left_front_wheel_omega),-10D,1,10D,-1)"
!
data_element modify variable  &
   variable_name = ._fsae_brakes.right_front_brake_torque_VAR  &
   function = "2.0*._fsae_brakes.pvs_front_piston_area",  &
              "*._fsae_brakes.pvs_front_brake_bias",  &
              "*VARVAL(._fsae_brakes.cis_brake_demand_adams_id)",  &
              "*._fsae_brakes.demand_to_authority_scale",  &
              "*._fsae_brakes.force_to_pressure_cnvt",  &
              "*._fsae_brakes.pvs_front_brake_mu",  &
              "*._fsae_brakes.pvs_front_effective_piston_radius",  &
              "*STEP(VARVAL(._fsae_brakes.right_front_wheel_omega),-10D,1,10D,-1)"
!
data_element modify variable  &
   variable_name = ._fsae_brakes.left_rear_brake_torque_VAR  &
   function = "2.0*._fsae_brakes.pvs_rear_piston_area",  &
              "*(1.0-._fsae_brakes.pvs_front_brake_bias)",  &
              "*VARVAL(._fsae_brakes.cis_brake_demand_adams_id)",  &
              "*._fsae_brakes.demand_to_authority_scale",  &
              "*._fsae_brakes.force_to_pressure_cnvt",  &
              "*._fsae_brakes.pvs_rear_brake_mu",  &
              "*._fsae_brakes.pvs_rear_effective_piston_radius",  &
              "*STEP(VARVAL(._fsae_brakes.left_rear_wheel_omega),-10D,1,10D,-1)"
!
data_element modify variable  &
   variable_name = ._fsae_brakes.right_rear_brake_torque_VAR  &
   function = "2.0*._fsae_brakes.pvs_rear_piston_area",  &
              "*(1.0-._fsae_brakes.pvs_front_brake_bias)",  &
              "*VARVAL(._fsae_brakes.cis_brake_demand_adams_id)",  &
              "*._fsae_brakes.demand_to_authority_scale",  &
              "*._fsae_brakes.force_to_pressure_cnvt",  &
              "*._fsae_brakes.pvs_rear_brake_mu",  &
              "*._fsae_brakes.pvs_rear_effective_piston_radius",  &
              "*STEP(VARVAL(._fsae_brakes.right_rear_wheel_omega),-10D,1,10D,-1)"
!
part modify equation differential_equation  &
   differential_equation_name = ._fsae_brakes._cv_diff  &
   function = "0"
!
output_control modify request  &
   request_name = ._fsae_brakes.brake_line_pressures  &
   f2 = "VARVAL(._fsae_brakes.cis_brake_demand_adams_id)"  &
   f3 = "VARVAL(._fsae_brakes.left_front_brake_line_pressure)"  &
   f4 = "VARVAL(._fsae_brakes.right_front_brake_line_pressure)"  &
   f6 = "VARVAL(._fsae_brakes.rear_brake_line_pressure)"
!
output_control modify request  &
   request_name = ._fsae_brakes.brake_torques  &
   f2 = "VARVAL(._fsae_brakes.left_front_brake_torque_VAR)"  &
   f3 = "VARVAL(._fsae_brakes.right_front_brake_torque_VAR)"  &
   f6 = "VARVAL(._fsae_brakes.left_rear_brake_torque_VAR)"  &
   f7 = "VARVAL(._fsae_brakes.right_rear_brake_torque_VAR)"
!
!-------------------------- Adams View UDE Instance ---------------------------!
!
!
ude modify instance  &
   instance_name = ._fsae_brakes.ptl_rear_brake_torque
!
!-------------------------- Adams View UDE Instance ---------------------------!
!
!
ude modify instance  &
   instance_name = ._fsae_brakes.ptr_front_brake_torque
!
!-------------------------- Adams View UDE Instance ---------------------------!
!
!
ude modify instance  &
   instance_name = ._fsae_brakes.ptl_front_brake_torque
!
!-------------------------- Adams View UDE Instance ---------------------------!
!
!
ude modify instance  &
   instance_name = ._fsae_brakes.ptr_rear_brake_torque
!
!--------------------------- Expression definitions ---------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ground
!
marker modify  &
   marker_name = ._fsae_brakes.ground.cfl_front_tire_spin_axis  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}mm, ._fsae_brakes.ground.cfl_front_wheel_center))  &
   orientation =   &
      (ORI_RELATIVE_TO({0.0, 180.0, 0.0}degrees, ._fsae_brakes.ground.cfl_front_rotor_spin_axis))
!
marker modify  &
   marker_name = ._fsae_brakes.ground.cfr_front_tire_spin_axis  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}mm, ._fsae_brakes.ground.cfr_front_wheel_center))  &
   orientation =   &
      (ORI_RELATIVE_TO({0.0, 180.0, 0.0}degrees, ._fsae_brakes.ground.cfr_front_rotor_spin_axis))
!
marker modify  &
   marker_name = ._fsae_brakes.ground.cfl_rear_tire_spin_axis  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}mm, ._fsae_brakes.ground.cfl_rear_wheel_center))  &
   orientation =   &
      (ORI_RELATIVE_TO({0.0, 180.0, 0.0}degrees, ._fsae_brakes.ground.cfl_rear_rotor_spin_axis))
!
marker modify  &
   marker_name = ._fsae_brakes.ground.cfr_rear_tire_spin_axis  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}mm, ._fsae_brakes.ground.cfr_rear_wheel_center))  &
   orientation =   &
      (ORI_RELATIVE_TO({0.0, 180.0, 0.0}degrees, ._fsae_brakes.ground.cfr_rear_rotor_spin_axis))
!
marker modify  &
   marker_name = ._fsae_brakes.ground.cfr_front_wheel_center  &
   location =   &
      (._fsae_brakes.cir_front_wheel_center[1]),  &
      (._fsae_brakes.cir_front_wheel_center[2]),  &
      (._fsae_brakes.cir_front_wheel_center[3])  &
   orientation =   &
      (ORI_RELATIVE_TO({180d + 1 * ._fsae_brakes.cir_front_toe_angle, 1 * 90d + 1 * ._fsae_brakes.cir_front_camber_angle, 180d}, ._fsae_brakes.ground.origo))
!
marker modify  &
   marker_name = ._fsae_brakes.ground.cfl_front_wheel_center  &
   location =   &
      (._fsae_brakes.cil_front_wheel_center[1]),  &
      (._fsae_brakes.cil_front_wheel_center[2]),  &
      (._fsae_brakes.cil_front_wheel_center[3])  &
   orientation =   &
      (ORI_RELATIVE_TO({180d - 1 * ._fsae_brakes.cil_front_toe_angle, 1 * 90d - 1 * ._fsae_brakes.cil_front_camber_angle, 180d}, ._fsae_brakes.ground.origo))
!
marker modify  &
   marker_name = ._fsae_brakes.ground.cfr_rear_wheel_center  &
   location =   &
      (._fsae_brakes.cir_rear_wheel_center[1]),  &
      (._fsae_brakes.cir_rear_wheel_center[2]),  &
      (._fsae_brakes.cir_rear_wheel_center[3])  &
   orientation =   &
      (ORI_RELATIVE_TO({180d + 1 * ._fsae_brakes.cir_rear_toe_angle, 1 * 90d + 1 * ._fsae_brakes.cir_rear_camber_angle, 180d}, ._fsae_brakes.ground.origo))
!
marker modify  &
   marker_name = ._fsae_brakes.ground.cfl_rear_wheel_center  &
   location =   &
      (._fsae_brakes.cil_rear_wheel_center[1]),  &
      (._fsae_brakes.cil_rear_wheel_center[2]),  &
      (._fsae_brakes.cil_rear_wheel_center[3])  &
   orientation =   &
      (ORI_RELATIVE_TO({180d - 1 * ._fsae_brakes.cil_rear_toe_angle, 1 * 90d - 1 * ._fsae_brakes.cil_rear_camber_angle, 180d}, ._fsae_brakes.ground.origo))
!
marker modify  &
   marker_name = ._fsae_brakes.ground.mtl_mount_j_6  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_brakes.mtl_front_rotor_to_wheel))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_brakes.mtl_front_rotor_to_wheel))
!
marker modify  &
   marker_name = ._fsae_brakes.ground.mtr_mount_j_6  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_brakes.mtr_front_rotor_to_wheel))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_brakes.mtr_front_rotor_to_wheel))
!
marker modify  &
   marker_name = ._fsae_brakes.ground.mtl_mount_j_7  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_brakes.mtl_rear_rotor_to_wheel))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_brakes.mtl_rear_rotor_to_wheel))
!
marker modify  &
   marker_name = ._fsae_brakes.ground.mtr_mount_j_7  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_brakes.mtr_rear_rotor_to_wheel))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_brakes.mtr_rear_rotor_to_wheel))
!
marker modify  &
   marker_name = ._fsae_brakes.ground.mtl_mount_j_8  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_brakes.mtl_front_suspension_upright))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_brakes.mtl_front_suspension_upright))
!
marker modify  &
   marker_name = ._fsae_brakes.ground.mtr_mount_j_8  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_brakes.mtr_front_suspension_upright))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_brakes.mtr_front_suspension_upright))
!
marker modify  &
   marker_name = ._fsae_brakes.ground.mtl_mount_j_9  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_brakes.mtl_rear_suspension_upright))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_brakes.mtl_rear_suspension_upright))
!
marker modify  &
   marker_name = ._fsae_brakes.ground.mtr_mount_j_9  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_brakes.mtr_rear_suspension_upright))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_brakes.mtr_rear_suspension_upright))
!
marker modify  &
   marker_name = ._fsae_brakes.ground.cfr_front_rotor_1  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, -._fsae_brakes.pvs_front_rotor_hub_width}, ._fsae_brakes.ground.cfr_front_rotor_spin_axis))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_brakes.ground.origo))
!
marker modify  &
   marker_name = ._fsae_brakes.ground.cfl_front_rotor_1  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, ._fsae_brakes.pvs_front_rotor_hub_width}, ._fsae_brakes.ground.cfl_front_rotor_spin_axis))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_brakes.ground.origo))
!
marker modify  &
   marker_name = ._fsae_brakes.ground.cfr_front_rotor_2  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, -(._fsae_brakes.pvs_front_rotor_hub_width + ._fsae_brakes.pvs_front_rotor_width)}, ._fsae_brakes.ground.cfr_front_rotor_spin_axis))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_brakes.ground.origo))
!
marker modify  &
   marker_name = ._fsae_brakes.ground.cfl_front_rotor_2  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, ._fsae_brakes.pvs_front_rotor_hub_width + ._fsae_brakes.pvs_front_rotor_width}, ._fsae_brakes.ground.cfl_front_rotor_spin_axis))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_brakes.ground.origo))
!
marker modify  &
   marker_name = ._fsae_brakes.ground.cfr_rear_rotor_1  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, -._fsae_brakes.pvs_rear_rotor_hub_width}, ._fsae_brakes.ground.cfr_rear_rotor_spin_axis))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_brakes.ground.origo))
!
marker modify  &
   marker_name = ._fsae_brakes.ground.cfl_rear_rotor_1  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, ._fsae_brakes.pvs_rear_rotor_hub_width}, ._fsae_brakes.ground.cfl_rear_rotor_spin_axis))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_brakes.ground.origo))
!
marker modify  &
   marker_name = ._fsae_brakes.ground.cfr_rear_rotor_2  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, -(._fsae_brakes.pvs_rear_rotor_hub_width + ._fsae_brakes.pvs_rear_rotor_width)}, ._fsae_brakes.ground.cfr_rear_rotor_spin_axis))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_brakes.ground.origo))
!
marker modify  &
   marker_name = ._fsae_brakes.ground.cfl_rear_rotor_2  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, ._fsae_brakes.pvs_rear_rotor_hub_width + ._fsae_brakes.pvs_rear_rotor_width}, ._fsae_brakes.ground.cfl_rear_rotor_spin_axis))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_brakes.ground.origo))
!
marker modify  &
   marker_name = ._fsae_brakes.ground.cfr_front_rotor_spin_axis  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, -._fsae_brakes.pvs_front_rotor_hub_wheel_offset}, ._fsae_brakes.ground.cfr_front_wheel_center))  &
   orientation =   &
      (ORI_RELATIVE_TO({180d + 1 * ._fsae_brakes.cir_front_toe_angle, 1 * 90d + 1 * ._fsae_brakes.cir_front_camber_angle, 180d}, ._fsae_brakes.ground.origo))
!
marker modify  &
   marker_name = ._fsae_brakes.ground.cfl_front_rotor_spin_axis  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, ._fsae_brakes.pvs_front_rotor_hub_wheel_offset}, ._fsae_brakes.ground.cfl_front_wheel_center))  &
   orientation =   &
      (ORI_RELATIVE_TO({180d - 1 * ._fsae_brakes.cil_front_toe_angle, 1 * 90d - 1 * ._fsae_brakes.cil_front_camber_angle, 180d}, ._fsae_brakes.ground.origo))
!
marker modify  &
   marker_name = ._fsae_brakes.ground.cfr_rear_rotor_spin_axis  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, -._fsae_brakes.pvs_rear_rotor_hub_wheel_offset}, ._fsae_brakes.ground.cfr_rear_wheel_center))  &
   orientation =   &
      (ORI_RELATIVE_TO({180d + 1 * ._fsae_brakes.cir_rear_toe_angle, 1 * 90d + 1 * ._fsae_brakes.cir_rear_camber_angle, 180d}, ._fsae_brakes.ground.origo))
!
marker modify  &
   marker_name = ._fsae_brakes.ground.cfl_rear_rotor_spin_axis  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, ._fsae_brakes.pvs_rear_rotor_hub_wheel_offset}, ._fsae_brakes.ground.cfl_rear_wheel_center))  &
   orientation =   &
      (ORI_RELATIVE_TO({180d - 1 * ._fsae_brakes.cil_rear_toe_angle, 1 * 90d - 1 * ._fsae_brakes.cil_rear_camber_angle, 180d}, ._fsae_brakes.ground.origo))
!
data_element modify variable  &
   variable_name = ._fsae_brakes.left_front_wheel_omega  &
   user_function =   &
      1004.0,  &
      (._fsae_brakes.mtl_front_rotor_to_wheel.ptl_actuator_i_1.adams_id),  &
      (._fsae_brakes.mtl_front_suspension_upright.ptl_actuator_j_1.adams_id),  &
      (._fsae_brakes.mtl_front_suspension_upright.ptl_actuator_j_1.adams_id),  &
      (._fsae_brakes.cil_front_tire_force_adams_id)  &
   routine = "abgVDM::var1004"
!
data_element modify variable  &
   variable_name = ._fsae_brakes.right_front_wheel_omega  &
   user_function =   &
      1004.0,  &
      (._fsae_brakes.mtr_front_rotor_to_wheel.ptr_actuator_i_1.adams_id),  &
      (._fsae_brakes.mtr_front_suspension_upright.ptr_actuator_j_1.adams_id),  &
      (._fsae_brakes.mtr_front_suspension_upright.ptr_actuator_j_1.adams_id),  &
      (._fsae_brakes.cir_front_tire_force_adams_id)  &
   routine = "abgVDM::var1004"
!
data_element modify variable  &
   variable_name = ._fsae_brakes.right_rear_wheel_omega  &
   user_function =   &
      1004.0,  &
      (._fsae_brakes.mtr_rear_rotor_to_wheel.ptr_actuator_i_2.adams_id),  &
      (._fsae_brakes.mtr_rear_suspension_upright.ptr_actuator_j_2.adams_id),  &
      (._fsae_brakes.mtr_rear_suspension_upright.ptr_actuator_j_2.adams_id),  &
      (._fsae_brakes.cir_rear_tire_force_adams_id)  &
   routine = "abgVDM::var1004"
!
data_element modify variable  &
   variable_name = ._fsae_brakes.left_rear_wheel_omega  &
   user_function =   &
      1004.0,  &
      (._fsae_brakes.mtl_rear_rotor_to_wheel.ptl_actuator_i_2.adams_id),  &
      (._fsae_brakes.mtl_rear_suspension_upright.ptl_actuator_j_2.adams_id),  &
      (._fsae_brakes.mtl_rear_suspension_upright.ptl_actuator_j_2.adams_id),  &
      (._fsae_brakes.cil_rear_tire_force_adams_id)  &
   routine = "abgVDM::var1004"
!
data_element modify string  &
   string_name = ._fsae_brakes.minor_role_string  &
   string = (._fsae_brakes.minor_role)
!
marker modify  &
   marker_name = ._fsae_brakes.mtl_front_rotor_to_wheel.gralin_23  &
   location =   &
      (LOC_RELATIVE_TO({0, 1mm, 0}, ._fsae_brakes.ground.cfl_front_rotor_1))  &
   orientation =   &
      (ORI_ALONG_AXIS(._fsae_brakes.ground.cfl_front_rotor_1, ._fsae_brakes.ground.cfl_front_rotor_spin_axis, "Z"))  &
   relative_to = ._fsae_brakes.mtl_front_rotor_to_wheel
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_brakes.ground
!
marker modify  &
   marker_name = ._fsae_brakes.mtl_front_rotor_to_wheel.gralin_24  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_brakes.ground.cfl_front_rotor_2))  &
   orientation =   &
      (ORI_ALONG_AXIS(._fsae_brakes.ground.cfl_front_rotor_2, ._fsae_brakes.ground.cfl_front_rotor_1, "Z"))  &
   relative_to = ._fsae_brakes.mtl_front_rotor_to_wheel
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_brakes.ground
!
marker modify  &
   marker_name = ._fsae_brakes.mtl_front_rotor_to_wheel.brake_torque_2  &
   location =   &
      (LOC_ALONG_LINE(._fsae_brakes.ground.cfl_front_rotor_1, ._fsae_brakes.ground.cfl_front_rotor_2, 50.0 / 100 * DM(._fsae_brakes.ground.cfl_front_rotor_1, ._fsae_brakes.ground.cfl_front_rotor_2)))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_brakes.ground.cfl_front_rotor_spin_axis))  &
   relative_to = ._fsae_brakes.mtl_front_rotor_to_wheel
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_brakes.ground
!
marker modify  &
   marker_name = ._fsae_brakes.mtl_front_rotor_to_wheel.ptl_actuator_i_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_brakes.mtl_front_suspension_upright.ptl_actuator_j_1))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_brakes.mtl_front_suspension_upright.ptl_actuator_j_1))  &
   relative_to = ._fsae_brakes.mtl_front_rotor_to_wheel
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_brakes.ground
!
geometry modify shape cylinder  &
   cylinder_name = ._fsae_brakes.mtl_front_rotor_to_wheel.gralin_rotor_hub  &
   length = (DM(._fsae_brakes.ground.cfl_front_rotor_spin_axis, ._fsae_brakes.ground.cfl_front_rotor_1))
!
geometry modify shape cylinder  &
   cylinder_name = ._fsae_brakes.mtl_front_rotor_to_wheel.gralin_rotor  &
   length = (DM(._fsae_brakes.ground.cfl_front_rotor_1, ._fsae_brakes.ground.cfl_front_rotor_2))  &
   radius = (._fsae_brakes.pvs_front_effective_piston_radius)
!
part modify rigid_body name_and_position  &
   part_name = ._fsae_brakes.mtl_front_rotor_to_wheel  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_brakes.ground.cfl_front_wheel_center))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_brakes.ground.origo))
!
marker modify  &
   marker_name = ._fsae_brakes.mtr_front_rotor_to_wheel.gralin_25  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_brakes.ground.cfr_front_rotor_2))  &
   orientation =   &
      (ORI_ALONG_AXIS(._fsae_brakes.ground.cfr_front_rotor_2, ._fsae_brakes.ground.cfr_front_rotor_1, "Z"))  &
   relative_to = ._fsae_brakes.mtr_front_rotor_to_wheel
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_brakes.ground
!
marker modify  &
   marker_name = ._fsae_brakes.mtr_front_rotor_to_wheel.gralin_26  &
   location =   &
      (LOC_RELATIVE_TO({0, -1mm, 0}, ._fsae_brakes.ground.cfr_front_rotor_1))  &
   orientation =   &
      (ORI_ALONG_AXIS(._fsae_brakes.ground.cfr_front_rotor_1, ._fsae_brakes.ground.cfr_front_rotor_spin_axis, "Z"))  &
   relative_to = ._fsae_brakes.mtr_front_rotor_to_wheel
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_brakes.ground
!
marker modify  &
   marker_name = ._fsae_brakes.mtr_front_rotor_to_wheel.brake_torque_2  &
   location =   &
      (LOC_ALONG_LINE(._fsae_brakes.ground.cfr_front_rotor_1, ._fsae_brakes.ground.cfr_front_rotor_2, 50.0 / 100 * DM(._fsae_brakes.ground.cfr_front_rotor_1, ._fsae_brakes.ground.cfr_front_rotor_2)))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_brakes.ground.cfr_front_rotor_spin_axis))  &
   relative_to = ._fsae_brakes.mtr_front_rotor_to_wheel
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_brakes.ground
!
marker modify  &
   marker_name = ._fsae_brakes.mtr_front_rotor_to_wheel.ptr_actuator_i_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_brakes.mtr_front_suspension_upright.ptr_actuator_j_1))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_brakes.mtr_front_suspension_upright.ptr_actuator_j_1))  &
   relative_to = ._fsae_brakes.mtr_front_rotor_to_wheel
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_brakes.ground
!
geometry modify shape cylinder  &
   cylinder_name = ._fsae_brakes.mtr_front_rotor_to_wheel.gralin_rotor  &
   length = (DM(._fsae_brakes.ground.cfr_front_rotor_1, ._fsae_brakes.ground.cfr_front_rotor_2))  &
   radius = (._fsae_brakes.pvs_front_effective_piston_radius)
!
geometry modify shape cylinder  &
   cylinder_name = ._fsae_brakes.mtr_front_rotor_to_wheel.gralin_rotor_hub  &
   length = (DM(._fsae_brakes.ground.cfr_front_rotor_spin_axis, ._fsae_brakes.ground.cfr_front_rotor_1))
!
part modify rigid_body name_and_position  &
   part_name = ._fsae_brakes.mtr_front_rotor_to_wheel  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_brakes.ground.cfr_front_wheel_center))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_brakes.ground.origo))
!
marker modify  &
   marker_name = ._fsae_brakes.mtl_rear_rotor_to_wheel.gralin_27  &
   location =   &
      (LOC_RELATIVE_TO({0, 1mm, 0}, ._fsae_brakes.ground.cfl_rear_rotor_1))  &
   orientation =   &
      (ORI_ALONG_AXIS(._fsae_brakes.ground.cfl_rear_rotor_1, ._fsae_brakes.ground.cfl_rear_rotor_spin_axis, "Z"))  &
   relative_to = ._fsae_brakes.mtl_rear_rotor_to_wheel
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_brakes.ground
!
marker modify  &
   marker_name = ._fsae_brakes.mtl_rear_rotor_to_wheel.gralin_28  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_brakes.ground.cfl_rear_rotor_2))  &
   orientation =   &
      (ORI_ALONG_AXIS(._fsae_brakes.ground.cfl_rear_rotor_2, ._fsae_brakes.ground.cfl_rear_rotor_1, "Z"))  &
   relative_to = ._fsae_brakes.mtl_rear_rotor_to_wheel
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_brakes.ground
!
marker modify  &
   marker_name = ._fsae_brakes.mtl_rear_rotor_to_wheel.brake_torque_2  &
   location =   &
      (LOC_ALONG_LINE(._fsae_brakes.ground.cfl_rear_rotor_1, ._fsae_brakes.ground.cfl_rear_rotor_2, 50.0 / 100 * DM(._fsae_brakes.ground.cfl_rear_rotor_1, ._fsae_brakes.ground.cfl_rear_rotor_2)))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_brakes.ground.cfl_rear_rotor_spin_axis))  &
   relative_to = ._fsae_brakes.mtl_rear_rotor_to_wheel
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_brakes.ground
!
marker modify  &
   marker_name = ._fsae_brakes.mtl_rear_rotor_to_wheel.ptl_actuator_i_2  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_brakes.mtl_rear_suspension_upright.ptl_actuator_j_2))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_brakes.mtl_rear_suspension_upright.ptl_actuator_j_2))  &
   relative_to = ._fsae_brakes.mtl_rear_rotor_to_wheel
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_brakes.ground
!
geometry modify shape cylinder  &
   cylinder_name = ._fsae_brakes.mtl_rear_rotor_to_wheel.gralin_rear_rotor_hub  &
   length = (DM(._fsae_brakes.ground.cfl_rear_rotor_spin_axis, ._fsae_brakes.ground.cfl_rear_rotor_1))
!
geometry modify shape cylinder  &
   cylinder_name = ._fsae_brakes.mtl_rear_rotor_to_wheel.gralin_rear_rotor  &
   length = (DM(._fsae_brakes.ground.cfl_rear_rotor_1, ._fsae_brakes.ground.cfl_rear_rotor_2))  &
   radius = (._fsae_brakes.pvs_rear_effective_piston_radius)
!
part modify rigid_body name_and_position  &
   part_name = ._fsae_brakes.mtl_rear_rotor_to_wheel  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_brakes.ground.cfl_rear_wheel_center))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_brakes.ground.origo))
!
marker modify  &
   marker_name = ._fsae_brakes.mtr_rear_rotor_to_wheel.gralin_29  &
   location =   &
      (LOC_RELATIVE_TO({0, -1mm, 0}, ._fsae_brakes.ground.cfr_rear_rotor_1))  &
   orientation =   &
      (ORI_ALONG_AXIS(._fsae_brakes.ground.cfr_rear_rotor_1, ._fsae_brakes.ground.cfr_rear_rotor_spin_axis, "Z"))  &
   relative_to = ._fsae_brakes.mtr_rear_rotor_to_wheel
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_brakes.ground
!
marker modify  &
   marker_name = ._fsae_brakes.mtr_rear_rotor_to_wheel.gralin_30  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_brakes.ground.cfr_rear_rotor_2))  &
   orientation =   &
      (ORI_ALONG_AXIS(._fsae_brakes.ground.cfr_rear_rotor_2, ._fsae_brakes.ground.cfr_rear_rotor_1, "Z"))  &
   relative_to = ._fsae_brakes.mtr_rear_rotor_to_wheel
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_brakes.ground
!
marker modify  &
   marker_name = ._fsae_brakes.mtr_rear_rotor_to_wheel.brake_torque_2  &
   location =   &
      (LOC_ALONG_LINE(._fsae_brakes.ground.cfr_rear_rotor_1, ._fsae_brakes.ground.cfr_rear_rotor_2, 50.0 / 100 * DM(._fsae_brakes.ground.cfr_rear_rotor_1, ._fsae_brakes.ground.cfr_rear_rotor_2)))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_brakes.ground.cfr_rear_rotor_spin_axis))  &
   relative_to = ._fsae_brakes.mtr_rear_rotor_to_wheel
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_brakes.ground
!
marker modify  &
   marker_name = ._fsae_brakes.mtr_rear_rotor_to_wheel.ptr_actuator_i_2  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_brakes.mtr_rear_suspension_upright.ptr_actuator_j_2))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_brakes.mtr_rear_suspension_upright.ptr_actuator_j_2))  &
   relative_to = ._fsae_brakes.mtr_rear_rotor_to_wheel
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_brakes.ground
!
geometry modify shape cylinder  &
   cylinder_name = ._fsae_brakes.mtr_rear_rotor_to_wheel.gralin_rear_rotor_hub  &
   length = (DM(._fsae_brakes.ground.cfr_rear_rotor_spin_axis, ._fsae_brakes.ground.cfr_rear_rotor_1))
!
geometry modify shape cylinder  &
   cylinder_name = ._fsae_brakes.mtr_rear_rotor_to_wheel.gralin_rear_rotor  &
   length = (DM(._fsae_brakes.ground.cfr_rear_rotor_1, ._fsae_brakes.ground.cfr_rear_rotor_2))  &
   radius = (._fsae_brakes.pvs_rear_effective_piston_radius)
!
part modify rigid_body name_and_position  &
   part_name = ._fsae_brakes.mtr_rear_rotor_to_wheel  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_brakes.ground.cfr_rear_wheel_center))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_brakes.ground.origo))
!
marker modify  &
   marker_name = ._fsae_brakes.mtl_front_suspension_upright.revref_1  &
   location =   &
      (LOC_ALONG_LINE(._fsae_brakes.ground.cfl_front_rotor_1, ._fsae_brakes.ground.cfl_front_rotor_2, 50.0 / 100 * DM(._fsae_brakes.ground.cfl_front_rotor_1, ._fsae_brakes.ground.cfl_front_rotor_2)))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_brakes.ground.cfl_front_rotor_spin_axis))  &
   relative_to = ._fsae_brakes.mtl_front_suspension_upright
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_brakes.ground
!
marker modify  &
   marker_name = ._fsae_brakes.mtl_front_suspension_upright.brake_torque_1  &
   location =   &
      (LOC_ALONG_LINE(._fsae_brakes.ground.cfl_front_rotor_1, ._fsae_brakes.ground.cfl_front_rotor_2, 50.0 / 100 * DM(._fsae_brakes.ground.cfl_front_rotor_1, ._fsae_brakes.ground.cfl_front_rotor_2)))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_brakes.ground.cfl_front_rotor_spin_axis))  &
   relative_to = ._fsae_brakes.mtl_front_suspension_upright
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_brakes.ground
!
marker modify  &
   marker_name = ._fsae_brakes.mtl_front_suspension_upright.ptl_actuator_j_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_brakes.ptl_front_brake_torque))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0d, 0}, ._fsae_brakes.ptl_front_brake_torque))  &
   relative_to = ._fsae_brakes.mtl_front_suspension_upright
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_brakes.ground
!
geometry modify shape revolution  &
   revolution_name = ._fsae_brakes.mtl_front_suspension_upright.caliper_revolution  &
   points_for_profile =   &
      0.0, (-._fsae_brakes.pvs_front_effective_piston_radius - 10mm), (ABS(._fsae_brakes.pvs_front_rotor_width) / 2 + 10.0mm),  &
      0.0, (-._fsae_brakes.pvs_front_effective_piston_radius - 10mm), (-ABS(._fsae_brakes.pvs_front_rotor_width) / 2 - 10mm),  &
      0.0, (-._fsae_brakes.pvs_front_effective_piston_radius + 55mm), (-ABS(._fsae_brakes.pvs_front_rotor_width) / 2 - 10mm),  &
      0.0, (-._fsae_brakes.pvs_front_effective_piston_radius + 55mm), (ABS(._fsae_brakes.pvs_front_rotor_width) / 2 + 10.0mm),  &
      0.0, (-._fsae_brakes.pvs_front_effective_piston_radius - 10mm), (ABS(._fsae_brakes.pvs_front_rotor_width) / 2 + 10mm)  &
   relative_to = ._fsae_brakes.mtl_front_suspension_upright
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_brakes.ground
!
part modify rigid_body name_and_position  &
   part_name = ._fsae_brakes.mtl_front_suspension_upright  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_brakes.ground.cfl_front_wheel_center))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_brakes.ground.origo))
!
marker modify  &
   marker_name = ._fsae_brakes.mtr_front_suspension_upright.revref_1  &
   location =   &
      (LOC_ALONG_LINE(._fsae_brakes.ground.cfr_front_rotor_1, ._fsae_brakes.ground.cfr_front_rotor_2, 50.0 / 100 * DM(._fsae_brakes.ground.cfr_front_rotor_1, ._fsae_brakes.ground.cfr_front_rotor_2)))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_brakes.ground.cfr_front_rotor_spin_axis))  &
   relative_to = ._fsae_brakes.mtr_front_suspension_upright
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_brakes.ground
!
marker modify  &
   marker_name = ._fsae_brakes.mtr_front_suspension_upright.brake_torque_1  &
   location =   &
      (LOC_ALONG_LINE(._fsae_brakes.ground.cfr_front_rotor_1, ._fsae_brakes.ground.cfr_front_rotor_2, 50.0 / 100 * DM(._fsae_brakes.ground.cfr_front_rotor_1, ._fsae_brakes.ground.cfr_front_rotor_2)))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_brakes.ground.cfr_front_rotor_spin_axis))  &
   relative_to = ._fsae_brakes.mtr_front_suspension_upright
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_brakes.ground
!
marker modify  &
   marker_name = ._fsae_brakes.mtr_front_suspension_upright.ptr_actuator_j_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_brakes.ptr_front_brake_torque))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_brakes.ptr_front_brake_torque))  &
   relative_to = ._fsae_brakes.mtr_front_suspension_upright
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_brakes.ground
!
geometry modify shape revolution  &
   revolution_name = ._fsae_brakes.mtr_front_suspension_upright.caliper_revolution  &
   points_for_profile =   &
      0.0, (-._fsae_brakes.pvs_front_effective_piston_radius - 10mm), (ABS(._fsae_brakes.pvs_front_rotor_width) / 2 + 10.0mm),  &
      0.0, (-._fsae_brakes.pvs_front_effective_piston_radius - 10mm), (-ABS(._fsae_brakes.pvs_front_rotor_width) / 2 - 10mm),  &
      0.0, (-._fsae_brakes.pvs_front_effective_piston_radius + 55mm), (-ABS(._fsae_brakes.pvs_front_rotor_width) / 2 - 10mm),  &
      0.0, (-._fsae_brakes.pvs_front_effective_piston_radius + 55mm), (ABS(._fsae_brakes.pvs_front_rotor_width) / 2 + 10.0mm),  &
      0.0, (-._fsae_brakes.pvs_front_effective_piston_radius - 10mm), (ABS(._fsae_brakes.pvs_front_rotor_width) / 2 + 10mm)  &
   relative_to = ._fsae_brakes.mtr_front_suspension_upright
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_brakes.ground
!
part modify rigid_body name_and_position  &
   part_name = ._fsae_brakes.mtr_front_suspension_upright  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_brakes.ground.cfr_front_wheel_center))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_brakes.ground.origo))
!
marker modify  &
   marker_name = ._fsae_brakes.mtl_rear_suspension_upright.revref_1  &
   location =   &
      (LOC_ALONG_LINE(._fsae_brakes.ground.cfl_rear_rotor_1, ._fsae_brakes.ground.cfl_rear_rotor_2, 50.0 / 100 * DM(._fsae_brakes.ground.cfl_rear_rotor_1, ._fsae_brakes.ground.cfl_rear_rotor_2)))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_brakes.ground.cfl_rear_rotor_spin_axis))  &
   relative_to = ._fsae_brakes.mtl_rear_suspension_upright
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_brakes.ground
!
marker modify  &
   marker_name = ._fsae_brakes.mtl_rear_suspension_upright.brake_torque_1  &
   location =   &
      (LOC_ALONG_LINE(._fsae_brakes.ground.cfl_rear_rotor_1, ._fsae_brakes.ground.cfl_rear_rotor_2, 50.0 / 100 * DM(._fsae_brakes.ground.cfl_rear_rotor_1, ._fsae_brakes.ground.cfl_rear_rotor_2)))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_brakes.ground.cfl_rear_rotor_spin_axis))  &
   relative_to = ._fsae_brakes.mtl_rear_suspension_upright
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_brakes.ground
!
marker modify  &
   marker_name = ._fsae_brakes.mtl_rear_suspension_upright.ptl_actuator_j_2  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_brakes.ptl_rear_brake_torque))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0d, 0}, ._fsae_brakes.ptl_rear_brake_torque))  &
   relative_to = ._fsae_brakes.mtl_rear_suspension_upright
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_brakes.ground
!
geometry modify shape revolution  &
   revolution_name = ._fsae_brakes.mtl_rear_suspension_upright.caliper_revolution  &
   points_for_profile =   &
      0.0, (-._fsae_brakes.pvs_rear_effective_piston_radius - 10mm), (ABS(._fsae_brakes.pvs_rear_rotor_width) / 2 + 10.0mm),  &
      0.0, (-._fsae_brakes.pvs_rear_effective_piston_radius - 10mm), (-ABS(._fsae_brakes.pvs_rear_rotor_width) / 2 - 10mm),  &
      0.0, (-._fsae_brakes.pvs_rear_effective_piston_radius + 55mm), (-ABS(._fsae_brakes.pvs_rear_rotor_width) / 2 - 10mm),  &
      0.0, (-._fsae_brakes.pvs_rear_effective_piston_radius + 55mm), (ABS(._fsae_brakes.pvs_rear_rotor_width) / 2 + 10.0mm),  &
      0.0, (-._fsae_brakes.pvs_rear_effective_piston_radius - 10mm), (ABS(._fsae_brakes.pvs_rear_rotor_width) / 2 + 10mm)  &
   relative_to = ._fsae_brakes.mtl_rear_suspension_upright
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_brakes.ground
!
part modify rigid_body name_and_position  &
   part_name = ._fsae_brakes.mtl_rear_suspension_upright  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_brakes.ground.cfl_rear_wheel_center))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_brakes.ground.origo))
!
marker modify  &
   marker_name = ._fsae_brakes.mtr_rear_suspension_upright.revref_1  &
   location =   &
      (LOC_ALONG_LINE(._fsae_brakes.ground.cfr_rear_rotor_1, ._fsae_brakes.ground.cfr_rear_rotor_2, 50.0 / 100 * DM(._fsae_brakes.ground.cfr_rear_rotor_1, ._fsae_brakes.ground.cfr_rear_rotor_2)))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_brakes.ground.cfr_rear_rotor_spin_axis))  &
   relative_to = ._fsae_brakes.mtr_rear_suspension_upright
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_brakes.ground
!
marker modify  &
   marker_name = ._fsae_brakes.mtr_rear_suspension_upright.brake_torque_1  &
   location =   &
      (LOC_ALONG_LINE(._fsae_brakes.ground.cfr_rear_rotor_1, ._fsae_brakes.ground.cfr_rear_rotor_2, 50.0 / 100 * DM(._fsae_brakes.ground.cfr_rear_rotor_1, ._fsae_brakes.ground.cfr_rear_rotor_2)))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_brakes.ground.cfr_rear_rotor_spin_axis))  &
   relative_to = ._fsae_brakes.mtr_rear_suspension_upright
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_brakes.ground
!
marker modify  &
   marker_name = ._fsae_brakes.mtr_rear_suspension_upright.ptr_actuator_j_2  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_brakes.ptr_rear_brake_torque))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_brakes.ptr_rear_brake_torque))  &
   relative_to = ._fsae_brakes.mtr_rear_suspension_upright
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_brakes.ground
!
geometry modify shape revolution  &
   revolution_name = ._fsae_brakes.mtr_rear_suspension_upright.caliper_revolution  &
   points_for_profile =   &
      0.0, (-._fsae_brakes.pvs_rear_effective_piston_radius - 10mm), (ABS(._fsae_brakes.pvs_rear_rotor_width) / 2 + 10.0mm),  &
      0.0, (-._fsae_brakes.pvs_rear_effective_piston_radius - 10mm), (-ABS(._fsae_brakes.pvs_rear_rotor_width) / 2 - 10mm),  &
      0.0, (-._fsae_brakes.pvs_rear_effective_piston_radius + 55mm), (-ABS(._fsae_brakes.pvs_rear_rotor_width) / 2 - 10mm),  &
      0.0, (-._fsae_brakes.pvs_rear_effective_piston_radius + 55mm), (ABS(._fsae_brakes.pvs_rear_rotor_width) / 2 + 10.0mm),  &
      0.0, (-._fsae_brakes.pvs_rear_effective_piston_radius - 10mm), (ABS(._fsae_brakes.pvs_rear_rotor_width) / 2 + 10mm)  &
   relative_to = ._fsae_brakes.mtr_rear_suspension_upright
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_brakes.ground
!
part modify rigid_body name_and_position  &
   part_name = ._fsae_brakes.mtr_rear_suspension_upright  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_brakes.ground.cfr_rear_wheel_center))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_brakes.ground.origo))
!
variable modify  &
   variable_name = ._fsae_brakes.cis_brake_demand_adams_id  &
   integer_value = (._fsae_brakes.cis_brake_demand.object_value.adams_id)
!
variable modify  &
   variable_name = ._fsae_brakes.force_to_pressure_cnvt  &
   real_value = (1.3641E-02(1/mm**2))
!
ude modify instance  &
   instance_name = ._fsae_brakes.ptl_rear_brake_torque  &
   location =   &
      (LOC_CENTERED({._fsae_brakes.ground.cfl_rear_rotor_2.loc, ._fsae_brakes.ground.cfl_rear_rotor_1.loc}, 2))  &
   orientation =   &
      (ORI_ALIGN_AXIS(._fsae_brakes.ground.cfl_rear_tire_spin_axis, "Z+Z"))
!
ude modify instance  &
   instance_name = ._fsae_brakes.ptr_front_brake_torque  &
   location =   &
      (LOC_CENTERED({._fsae_brakes.ground.cfr_front_rotor_2.loc, ._fsae_brakes.ground.cfr_front_rotor_1.loc}, 2))  &
   orientation =   &
      (ORI_ALIGN_AXIS(._fsae_brakes.ground.cfr_front_tire_spin_axis, "Z+Z"))
!
ude modify instance  &
   instance_name = ._fsae_brakes.ptl_front_brake_torque  &
   location =   &
      (LOC_CENTERED({._fsae_brakes.ground.cfl_front_rotor_2.loc, ._fsae_brakes.ground.cfl_front_rotor_1.loc}, 2))  &
   orientation =   &
      (ORI_ALIGN_AXIS(._fsae_brakes.ground.cfl_front_tire_spin_axis, "Z+Z"))
!
ude modify instance  &
   instance_name = ._fsae_brakes.ptr_rear_brake_torque  &
   location =   &
      (LOC_CENTERED({._fsae_brakes.ground.cfr_rear_rotor_2.loc, ._fsae_brakes.ground.cfr_rear_rotor_1.loc}, 2))  &
   orientation =   &
      (ORI_ALIGN_AXIS(._fsae_brakes.ground.cfr_rear_tire_spin_axis, "Z+Z"))
!
variable modify  &
   variable_name = ._fsae_brakes.cil_front_rotor_to_wheel.minor_role  &
   string_value = (._fsae_brakes.mtl_front_rotor_to_wheel.minor_role)
!
variable modify  &
   variable_name = ._fsae_brakes.cil_front_rotor_to_wheel  &
   comments = ("Autocreated for mount part: " // ._fsae_brakes.cil_front_rotor_to_wheel[2].name)
!
variable modify  &
   variable_name = ._fsae_brakes.cir_front_rotor_to_wheel.minor_role  &
   string_value = (._fsae_brakes.mtr_front_rotor_to_wheel.minor_role)
!
variable modify  &
   variable_name = ._fsae_brakes.cir_front_rotor_to_wheel  &
   comments = ("Autocreated for mount part: " // ._fsae_brakes.cir_front_rotor_to_wheel[2].name)
!
variable modify  &
   variable_name = ._fsae_brakes.cil_rear_rotor_to_wheel.minor_role  &
   string_value = (._fsae_brakes.mtl_rear_rotor_to_wheel.minor_role)
!
variable modify  &
   variable_name = ._fsae_brakes.cil_rear_rotor_to_wheel  &
   comments = ("Autocreated for mount part: " // ._fsae_brakes.cil_rear_rotor_to_wheel[2].name)
!
variable modify  &
   variable_name = ._fsae_brakes.cir_rear_rotor_to_wheel.minor_role  &
   string_value = (._fsae_brakes.mtr_rear_rotor_to_wheel.minor_role)
!
variable modify  &
   variable_name = ._fsae_brakes.cir_rear_rotor_to_wheel  &
   comments = ("Autocreated for mount part: " // ._fsae_brakes.cir_rear_rotor_to_wheel[2].name)
!
variable modify  &
   variable_name = ._fsae_brakes.cil_front_suspension_upright.minor_role  &
   string_value = (._fsae_brakes.mtl_front_suspension_upright.minor_role)
!
variable modify  &
   variable_name = ._fsae_brakes.cil_front_suspension_upright  &
   comments = ("Autocreated for mount part: " // ._fsae_brakes.cil_front_suspension_upright[2].name)
!
variable modify  &
   variable_name = ._fsae_brakes.cir_front_suspension_upright.minor_role  &
   string_value = (._fsae_brakes.mtr_front_suspension_upright.minor_role)
!
variable modify  &
   variable_name = ._fsae_brakes.cir_front_suspension_upright  &
   comments = ("Autocreated for mount part: " // ._fsae_brakes.cir_front_suspension_upright[2].name)
!
variable modify  &
   variable_name = ._fsae_brakes.cil_rear_suspension_upright.minor_role  &
   string_value = (._fsae_brakes.mtl_rear_suspension_upright.minor_role)
!
variable modify  &
   variable_name = ._fsae_brakes.cil_rear_suspension_upright  &
   comments = ("Autocreated for mount part: " // ._fsae_brakes.cil_rear_suspension_upright[2].name)
!
variable modify  &
   variable_name = ._fsae_brakes.cir_rear_suspension_upright.minor_role  &
   string_value = (._fsae_brakes.mtr_rear_suspension_upright.minor_role)
!
variable modify  &
   variable_name = ._fsae_brakes.cir_rear_suspension_upright  &
   comments = ("Autocreated for mount part: " // ._fsae_brakes.cir_rear_suspension_upright[2].name)
!
variable modify  &
   variable_name = ._fsae_brakes.cil_rear_tire_force_adams_id  &
   integer_value = (._fsae_brakes.cil_rear_tire_force.object_value.adams_id)
!
variable modify  &
   variable_name = ._fsae_brakes.cir_rear_tire_force_adams_id  &
   integer_value = (._fsae_brakes.cir_rear_tire_force.object_value.adams_id)
!
variable modify  &
   variable_name = ._fsae_brakes.cil_front_tire_force_adams_id  &
   integer_value = (._fsae_brakes.cil_front_tire_force.object_value.adams_id)
!
variable modify  &
   variable_name = ._fsae_brakes.cir_front_tire_force_adams_id  &
   integer_value = (._fsae_brakes.cir_front_tire_force.object_value.adams_id)
!
group modify  &
   group_name = ._fsae_brakes.kinematic_mode_active  &
   expr_active = ((._fsae_brakes.phs_kinematic_flag || ._fsae_brakes.model_class == "template" ? 1 : 0) && DB_ACTIVE(._fsae_brakes))
!
group modify  &
   group_name = ._fsae_brakes.kinematic_mode_inactive  &
   expr_active = (( ! ._fsae_brakes.phs_kinematic_flag || ._fsae_brakes.model_class == "template" ? 1 : 0) && DB_ACTIVE(._fsae_brakes))
!
model display  &
   model_name = _fsae_brakes
