$---------------------------------------------------------------------MDI_HEADER
[MDI_HEADER]
 FILE_TYPE     =  'tpl'
 FILE_VERSION  =  2018.0
 FILE_FORMAT   =  'ASCII'
 HEADER_SIZE   =  9
(COMMENTS)
{comment_string}
'Simple One Part Rigid Chassis'
$----------------------------------------------------------------TEMPLATE_HEADER
[TEMPLATE_HEADER]
 TEMPLATE_NAME  =  '_fsae_chassis'
 MAJOR_ROLE     =  'body'
 TIMESTAMP      =  '2019/03/04,19:53:41'
 HEADER_SIZE    =  6
$------------------------------------------------------------------------PLUGINS
[PLUGINS]
 PLUGIN_LIST  =  'acar'
 HEADER_SIZE  =  4
!
!-------------------------- Default Units for Model ---------------------------!
!
!
defaults units  &
   length = mm  &
   angle = deg  &
   force = newton  &
   mass = kg  &
   time = sec
!
defaults units  &
   coordinate_system_type = cartesian  &
   orientation_type = body313
!
!------------------------ Default Attributes for Model ------------------------!
!
!
defaults attributes  &
   inheritance = bottom_up  &
   icon_visibility = off  &
   grid_visibility = off  &
   size_of_icons = 50.0  &
   spacing_for_grid = 1000.0
!
!------------------------------ Adams View Model ------------------------------!
!
!
model create  &
   model_name = _fsae_chassis  &
   comments = "Simple One Part Rigid Chassis"  &
   title = "Adams/Car template"
!
view erase
!
!-------------------------------- Data storage --------------------------------!
!
!
data_element create variable  &
   variable_name = ._fsae_chassis._cv_solver_variable  &
   comments = "Dummy for communicators"  &
   function = ""
!
data_element attributes  &
   data_element_name = ._fsae_chassis._cv_solver_variable  &
   visibility = off
!
data_element create variable  &
   variable_name = ._fsae_chassis.longitudinal_velocity  &
   comments = "VX calculation during statics and dynamics"  &
   user_function = 906.0, 1.0, 0.0, 0.0, 0.0  &
   routine = "abgTire::var906"
!
data_element attributes  &
   data_element_name = ._fsae_chassis.longitudinal_velocity  &
   visibility = off
!
data_element create variable  &
   variable_name = ._fsae_chassis.aero_drag_force  &
   initial_condition = 0.0  &
   function = ""
!
data_element create array ic_array  &
   array_name = ._fsae_chassis._cv_array  &
   comments = "Dummy for communicators"  &
   size = 1  &
   numbers = 0.0
!
data_element attributes  &
   data_element_name = ._fsae_chassis._cv_array  &
   visibility = off
!
data_element create spline  &
   spline_name = ._fsae_chassis._cv_spline  &
   comments = "Dummy for communicators"  &
   x = 1.0, 2.0, 3.0, 4.0  &
   y = 1.0, 2.0, 3.0, 4.0, 1.0, 2.0, 3.0, 4.0  &
   z = 1.0, 2.0  &
   linear_extrapolate = no
!
data_element attributes  &
   data_element_name = ._fsae_chassis._cv_spline  &
   visibility = off
!
data_element create string  &
   string_name = ._fsae_chassis.minor_role_string  &
   string = "unassigned"
!
data_element attributes  &
   data_element_name = ._fsae_chassis.minor_role_string  &
   visibility = off
!
!-------------------------------- Rigid Parts ---------------------------------!
!
! Create parts and their dependent markers and graphics
!
!----------------------------------- ground -----------------------------------!
!
!
! ****** Ground Part ******
!
part modify rigid_body name_and_position  &
   part_name = ground
!
defaults model  &
   part_name = ground
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_chassis.ground
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._fsae_chassis.ground.origo  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker create  &
   marker_name = ._fsae_chassis.ground._cv_marker  &
   comments = "Dummy for communicators"  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_chassis.ground._cv_marker  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_chassis.ground.cfs_path_reference  &
   comments =   &
              "Used to place a reference marker on the body for steering path controller"  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_chassis.ground.cfs_path_reference  &
   active = on  &
   color = MAIZE  &
   visibility = on  &
   name_visibility = on
!
marker create  &
   marker_name = ._fsae_chassis.ground.cfs_driver_reference  &
   location = 0.0, 0.0, 0.0  &
   orientation = 180.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_chassis.ground.cfs_driver_reference  &
   active = on  &
   color = MAIZE  &
   visibility = on  &
   name_visibility = on
!
marker create  &
   marker_name = ._fsae_chassis.ground.cfs_aero_force_reference  &
   location = 819.15, 0.0, 80.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_chassis.ground.cfs_aero_force_reference  &
   active = on  &
   color = MAIZE  &
   visibility = on  &
   name_visibility = on
!
marker create  &
   marker_name = ._fsae_chassis.ground.cfs_ground_height_reference  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_chassis.ground.cfs_ground_height_reference  &
   color = MAIZE
!
! ****** Floating Markers for current part ******
!
floating_marker create  &
   floating_marker_name = ._fsae_chassis.ground.FMA1
!
floating_marker create  &
   floating_marker_name = ._fsae_chassis.ground.FMA
!
! ****** Points for current part ******
!
point create  &
   point_name = ._fsae_chassis.ground.hps_path_reference  &
   location = 0.0, 0.0, 0.0
!
point attributes  &
   point_name = ._fsae_chassis.ground.hps_path_reference  &
   active = on  &
   visibility = on  &
   name_visibility = on
!
point create  &
   point_name = ._fsae_chassis.ground.hps_trim_dummy  &
   location = 819.15, 0.0, 279.4
!
point create  &
   point_name = ._fsae_chassis.ground.hps_undertray_cp  &
   location = 819.15, 0.0, 80.0
!
! ****** Graphics for current part ******
!
geometry create shape ellipsoid  &
   ellipsoid_name = ._fsae_chassis.ground._cv_csolid  &
   center_marker = ._fsae_chassis.ground._cv_marker  &
   x_scale_factor = 100.0  &
   y_scale_factor = 100.0  &
   z_scale_factor = 100.0
!
geometry attributes  &
   geometry_name = ._fsae_chassis.ground._cv_csolid  &
   active = off
!
!---------------------------------- _cv_part ----------------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_chassis.ground
!
part create rigid_body name_and_position  &
   part_name = ._fsae_chassis._cv_part  &
   comments = "Dummy for communicators"  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_chassis._cv_part
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._fsae_chassis._cv_part.marker  &
   comments = "Dummy for communicators"  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_chassis._cv_part.marker  &
   visibility = off  &
   name_visibility = off
!
part create rigid_body mass_properties  &
   part_name = ._fsae_chassis._cv_part  &
   mass = 0.0  &
   center_of_mass_marker = ._fsae_chassis._cv_part.marker  &
   ixx = 0.0  &
   iyy = 0.0  &
   izz = 0.0  &
   ixy = 0.0  &
   izx = 0.0  &
   iyz = 0.0
!
part attributes  &
   part_name = ._fsae_chassis._cv_part  &
   visibility = off  &
   name_visibility = off
!
!-------------------------------- ges_chassis ---------------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_chassis.ground
!
part create rigid_body name_and_position  &
   part_name = ._fsae_chassis.ges_chassis  &
   comments = "Chassis Structure"  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_chassis.ges_chassis
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._fsae_chassis.ges_chassis.cm  &
   location = 819.15, 0.0, 279.4  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_chassis.ges_chassis.cm  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_chassis.ges_chassis.inertia_frame  &
   location = 819.15, 0.0, 279.4  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker create  &
   marker_name = ._fsae_chassis.ges_chassis.coomarker_3  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_chassis.ges_chassis.coomarker_3  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_chassis.ges_chassis.coomarker_4  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_chassis.ges_chassis.coomarker_4  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_chassis.ges_chassis.coomarker_5  &
   location = 819.15, 0.0, 279.4  &
   orientation = 180.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_chassis.ges_chassis.coomarker_5  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_chassis.ges_chassis.aero_drag  &
   location = 819.15, 0.0, 80.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_chassis.ges_chassis.aero_drag  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_chassis.ges_chassis.jxs_joint_j_1  &
   location = 819.15, 0.0, 279.4  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_chassis.ges_chassis.jxs_joint_j_1  &
   visibility = off  &
   name_visibility = off
!
part create rigid_body mass_properties  &
   part_name = ._fsae_chassis.ges_chassis  &
   mass = 90.718474  &
   center_of_mass_marker = ._fsae_chassis.ges_chassis.cm  &
   inertia_marker = ._fsae_chassis.ges_chassis.inertia_frame  &
   ixx = 2.204453E+08  &
   iyy = 1.067216E+09  &
   izz = 1.181078E+09  &
   ixy = 0.0  &
   izx = 0.0  &
   iyz = 0.0
!
! ****** Graphics for current part ******
!
geometry create shape ellipsoid  &
   ellipsoid_name = ._fsae_chassis.ges_chassis.cg_graphic  &
   center_marker = ._fsae_chassis.ges_chassis.cm  &
   x_scale_factor = 100.0  &
   y_scale_factor = 100.0  &
   z_scale_factor = 100.0
!
part attributes  &
   part_name = ._fsae_chassis.ges_chassis  &
   active = on  &
   color = MAIZE  &
   visibility = on  &
   name_visibility = on  &
   transparency = 60
!
!------------------------------- ges_trim_mass --------------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_chassis.ground
!
part create rigid_body name_and_position  &
   part_name = ._fsae_chassis.ges_trim_mass  &
   location = 819.15, 0.0, 279.4  &
   orientation = 0.0d, 0.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_chassis.ges_trim_mass
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._fsae_chassis.ges_trim_mass.cm  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_chassis.ges_trim_mass.cm  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_chassis.ges_trim_mass.inertia_frame  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker create  &
   marker_name = ._fsae_chassis.ges_trim_mass.jxs_joint_i_1  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_chassis.ges_trim_mass.jxs_joint_i_1  &
   visibility = off  &
   name_visibility = off
!
part create rigid_body mass_properties  &
   part_name = ._fsae_chassis.ges_trim_mass  &
   mass = 0.0  &
   center_of_mass_marker = ._fsae_chassis.ges_trim_mass.cm  &
   inertia_marker = ._fsae_chassis.ges_trim_mass.inertia_frame  &
   ixx = 0.0  &
   iyy = 0.0  &
   izz = 0.0  &
   ixy = 0.0  &
   izx = 0.0  &
   iyz = 0.0
!
! ****** Graphics for current part ******
!
geometry create shape cylinder  &
   cylinder_name = ._fsae_chassis.ges_trim_mass.mass_graphics  &
   center_marker = ._fsae_chassis.ges_trim_mass.cm  &
   angle_extent = 360.0  &
   length = 20.0  &
   radius = 100.0  &
   side_count_for_body = 20  &
   segment_count_for_ends = 20
!
geometry attributes  &
   geometry_name = ._fsae_chassis.ges_trim_mass.mass_graphics  &
   transparency = 80
!
part attributes  &
   part_name = ._fsae_chassis.ges_trim_mass  &
   visibility = on  &
   name_visibility = on
!
!--------------------------------- Equations ----------------------------------!
!
!
part create equation differential_equation  &
   differential_equation_name = ._fsae_chassis._cv_diff  &
   comments = "Dummy for communicators"  &
   initial_condition = 0.0  &
   function = ""  &
   implicit = off  &
   static_hold = off
!
part attributes  &
   equation_name = ._fsae_chassis._cv_diff  &
   visibility = off
!
part create equation differential_equation  &
   differential_equation_name = ._fsae_chassis.distance_traveled  &
   initial_condition = 0.0  &
   function = ""  &
   implicit = off  &
   static_hold = on
!
!----------------------------------- Joints -----------------------------------!
!
!
constraint create joint cylindrical  &
   joint_name = ._fsae_chassis._cv_joint_for_motion  &
   comments = "Dummy for communicators"  &
   i_marker_name = ._fsae_chassis._cv_part.marker  &
   j_marker_name = ._fsae_chassis.ground._cv_marker
!
constraint attributes  &
   constraint_name = ._fsae_chassis._cv_joint_for_motion  &
   visibility = off  &
   name_visibility = off
!
constraint create joint fixed  &
   joint_name = ._fsae_chassis.josfix_trim_mass  &
   i_marker_name = ._fsae_chassis.ges_trim_mass.jxs_joint_i_1  &
   j_marker_name = ._fsae_chassis.ges_chassis.jxs_joint_j_1
!
!------------------------------ Joint Primitives ------------------------------!
!
!
constraint create primitive_joint inplane  &
   jprim_name = ._fsae_chassis._cv_joint  &
   comments = "Dummy for communicators"  &
   i_marker_name = ._fsae_chassis._cv_part.marker  &
   j_marker_name = ._fsae_chassis.ground._cv_marker
!
constraint attributes  &
   constraint_name = ._fsae_chassis._cv_joint  &
   visibility = off  &
   name_visibility = off
!
!----------------------------------- Forces -----------------------------------!
!
!
force create direct general_force  &
   general_force_name = ._fsae_chassis._cv_bushing  &
   comments = "Dummy for communicators"  &
   i_marker_name = ._fsae_chassis._cv_part.marker  &
   j_floating_marker_name = ._fsae_chassis.ground.FMA1  &
   ref_marker_name = ._fsae_chassis.ground._cv_marker  &
   x_force_function = ""  &
   y_force_function = ""  &
   z_force_function = ""  &
   x_torque_function = ""  &
   y_torque_function = ""  &
   z_torque_function = ""
!
force attributes  &
   force_name = ._fsae_chassis._cv_bushing  &
   visibility = off  &
   name_visibility = off
!
force create direct general_force  &
   general_force_name = ._fsae_chassis.aero_forces_undertray  &
   i_marker_name = ._fsae_chassis.ges_chassis.aero_drag  &
   j_floating_marker_name = ._fsae_chassis.ground.FMA  &
   ref_marker_name = ._fsae_chassis.ges_chassis.aero_drag  &
   x_force_function = ""  &
   y_force_function = ""  &
   z_force_function = ""  &
   x_torque_function = ""  &
   y_torque_function = ""  &
   z_torque_function = ""
!
!---------------------------------- Requests ----------------------------------!
!
!
output_control create request  &
   request_name = ._fsae_chassis.cg_velocity_trans  &
   comment = "Chassis Velocities"  &
   component_names = "", "longitudinal", "lateral", "vertical"  &
   component_units = "no_units", "no_units", "no_units", "no_units",  &
                     "no_units", "no_units", "no_units", "no_units"  &
   component_labels = "", "Velocity (km/h)", "Velocity (km/h)",  &
                      "Velocity (km/h)"  &
   results_name = "chassis_velocities"  &
   user_function = 907.0, 1.0, 0.0, 0.0, 0.0, 1.0, 1.0  &
   routine = "abgVDM::req907"
!
output_control attributes request  &
   request_name = ._fsae_chassis.cg_velocity_trans  &
   active = on
!
output_control create request  &
   request_name = ._fsae_chassis.cg_velocity_rot  &
   comment = "Chassis Velocities"  &
   component_names = "", "", "", "", "", "roll", "pitch", "yaw"  &
   component_units = "no_units", "no_units", "no_units", "no_units",  &
                     "no_units", "angular_velocity", "angular_velocity",  &
                     "angular_velocity"  &
   results_name = "chassis_velocities"  &
   user_function = 907.0, 1.0, 0.0, 0.0, 0.0, 1.0, 1.0  &
   routine = "abgVDM::req907"
!
output_control attributes request  &
   request_name = ._fsae_chassis.cg_velocity_rot  &
   active = on
!
output_control create request  &
   request_name = ._fsae_chassis.cg_displacement  &
   comment = "Chassis Displacements"  &
   component_names = "", "longitudinal", "lateral", "vertical", "", "roll",  &
                     "pitch", "yaw"  &
   component_units = "no_units", "length", "length", "length", "no_units",  &
                     "angle", "angle", "angle"  &
   results_name = "chassis_displacements"  &
   user_function = 907.0, 0.0, 0.0, 0.0, 0.0, 1.0, 1.0  &
   routine = "abgVDM::req907"
!
output_control attributes request  &
   request_name = ._fsae_chassis.cg_displacement  &
   active = on
!
output_control create request  &
   request_name = ._fsae_chassis.cg_accelerations_trans  &
   comment = "Chassis Accelerations"  &
   component_names = "", "longitudinal", "lateral", "vertical"  &
   component_units = "no_units", "no_units", "no_units", "no_units",  &
                     "no_units", "no_units", "no_units", "no_units"  &
   component_labels = "", "Acceleration (g)", "Acceleration (g)",  &
                      "Acceleration (g)"  &
   results_name = "chassis_accelerations"  &
   user_function = 907.0, 2.0, 0.0, 0.0, 0.0, 1.0, 1.0  &
   routine = "abgVDM::req907"
!
output_control attributes request  &
   request_name = ._fsae_chassis.cg_accelerations_trans  &
   active = on
!
output_control create request  &
   request_name = ._fsae_chassis.cg_accelerations_trans2  &
   comment = "Chassis Accelerations"  &
   component_names = "", "corrected_lateral"  &
   component_units = "no_units", "no_units", "no_units", "no_units",  &
                     "no_units", "no_units", "no_units", "no_units"  &
   component_labels = "", "Acceleration (g)"  &
   results_name = "chassis_accelerations"  &
   user_function = 1090.0, 0.0, 0.0, 0.0, 1.0, 2.0  &
   routine = "abgVDM::req1090"
!
output_control attributes request  &
   request_name = ._fsae_chassis.cg_accelerations_trans2  &
   active = on
!
output_control create request  &
   request_name = ._fsae_chassis.cg_accelerations_rot  &
   comment = "Chassis Accelerations"  &
   component_names = "", "", "", "", "", "roll", "pitch", "yaw"  &
   component_units = "no_units", "no_units", "no_units", "no_units",  &
                     "no_units", "angular_acceleration",  &
                     "angular_acceleration", "angular_acceleration"  &
   results_name = "chassis_accelerations"  &
   user_function = 907.0, 2.0, 0.0, 0.0, 0.0, 1.0, 1.0  &
   routine = "abgVDM::req907"
!
output_control attributes request  &
   request_name = ._fsae_chassis.cg_accelerations_rot  &
   active = on
!
output_control create request  &
   request_name = ._fsae_chassis.vehicle_statistics  &
   component_names = "", "side_slip_angle", "", "", "", "", "", ""  &
   component_units = "no_units", "angle", "no_units", "no_units", "no_units",  &
                     "no_units", "no_units", "no_units"  &
   results_name = "vehicle_statistics"  &
   user_function = 907.0, 3.0, 0.0, 0.0, 0.0, 1.0, 1.0  &
   routine = "abgVDM::req907"
!
output_control attributes request  &
   request_name = ._fsae_chassis.vehicle_statistics  &
   active = on
!
output_control create request  &
   request_name = ._fsae_chassis.aerodynamic_forces  &
   comment = AeroDrag_DragTorque  &
   component_names = "", "drag", "moment", "", "", "", "", ""  &
   component_units = "no_units", "force", "torque", "no_units", "no_units",  &
                     "no_units", "no_units", "no_units"  &
   results_name = "aerodynamic_forces"  &
   f2 = ""  &
   f3 = ""
!
output_control create request  &
   request_name = ._fsae_chassis.sprung_mass_displacement  &
   i_marker_name = ._fsae_chassis.ges_chassis.cm  &
   j_marker_name = ._fsae_chassis.ground.cfs_ground_height_reference  &
   r_marker_name = ._fsae_chassis.ground.cfs_ground_height_reference  &
   output_type = displacement  &
   component_names = "", "dis_x", "dis_y", "dis_z", "", "", "", ""  &
   component_units = "no_units", "length", "length", "length", "no_units",  &
                     "no_units", "no_units", "no_units"  &
   results_name = "sprung_mass_displacement"
!
!------------------------------ Dynamic Graphics ------------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_chassis.ground
!
geometry create shape force  &
   force_name = ._fsae_chassis.aero_forces_undertray_force_graphic_1  &
   force_element_name = ._fsae_chassis.aero_forces_undertray  &
   applied_at_marker_name = ._fsae_chassis.ges_chassis.aero_drag
!
!---------------------------------- Motions -----------------------------------!
!
!
constraint create motion_generator  &
   motion_name = ._fsae_chassis._cv_motion  &
   comments = "Dummy for communicators"  &
   type_of_freedom = rotational  &
   joint_name = ._fsae_chassis._cv_joint_for_motion  &
   function = ""
!
constraint attributes  &
   constraint_name = ._fsae_chassis._cv_motion  &
   visibility = off  &
   name_visibility = off
!
!---------------------------------- Accgrav -----------------------------------!
!
!
force create body gravitational  &
   gravity_field_name = gravity  &
   x_component_gravity = 0.0  &
   y_component_gravity = 0.0  &
   z_component_gravity = -9810.0
!
!----------------------------- Analysis settings ------------------------------!
!
!
output_control set results  &
   model_name = _fsae_chassis  &
   formatted = on
!
!---------------------------- Adams View Variables ----------------------------!
!
!
variable create  &
   variable_name = ._fsae_chassis.ges_chassis.sms_sprung_mass_percent  &
   real_value = 100.0
!
variable create  &
   variable_name = ._fsae_chassis.speed  &
   units = "velocity"  &
   real_value = 0.0
!
variable create  &
   variable_name = ._fsae_chassis.template_creation_date  &
   string_value = "1995/08/19,12:16:03"  &
   comments = "Do not remove"
!
variable create  &
   variable_name = ._fsae_chassis.role  &
   string_value = "body"  &
   comments = "Memory for Adams Car major role"
!
variable create  &
   variable_name = ._fsae_chassis.cos_body  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_chassis.cos_body.matching_name  &
   string_value = "body"
!
variable create  &
   variable_name = ._fsae_chassis.cos_body.entity  &
   string_value = "mount"
!
variable create  &
   variable_name = ._fsae_chassis.cos_body.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_chassis.cos_concept_to_body  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_chassis.cos_concept_to_body.matching_name  &
   string_value = "concept_to_body"
!
variable create  &
   variable_name = ._fsae_chassis.cos_concept_to_body.entity  &
   string_value = "mount"
!
variable create  &
   variable_name = ._fsae_chassis.cos_concept_to_body.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_chassis.minor_role  &
   string_value = "unassigned"  &
   comments = "Memory for Adams/Car minor role"
!
variable create  &
   variable_name = ._fsae_chassis.col_upr_link_fr  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_chassis.col_upr_link_fr.matching_name  &
   string_value = "upr_link_fr"
!
variable create  &
   variable_name = ._fsae_chassis.col_upr_link_fr.entity  &
   string_value = "mount"
!
variable create  &
   variable_name = ._fsae_chassis.col_upr_link_fr.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_chassis.cor_upr_link_fr  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_chassis.cor_upr_link_fr.matching_name  &
   string_value = "upr_link_fr"
!
variable create  &
   variable_name = ._fsae_chassis.cor_upr_link_fr.entity  &
   string_value = "mount"
!
variable create  &
   variable_name = ._fsae_chassis.cor_upr_link_fr.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_chassis.col_upr_link_rr  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_chassis.col_upr_link_rr.matching_name  &
   string_value = "upr_link_rr"
!
variable create  &
   variable_name = ._fsae_chassis.col_upr_link_rr.entity  &
   string_value = "mount"
!
variable create  &
   variable_name = ._fsae_chassis.col_upr_link_rr.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_chassis.cor_upr_link_rr  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_chassis.cor_upr_link_rr.matching_name  &
   string_value = "upr_link_rr"
!
variable create  &
   variable_name = ._fsae_chassis.cor_upr_link_rr.entity  &
   string_value = "mount"
!
variable create  &
   variable_name = ._fsae_chassis.cor_upr_link_rr.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_chassis.col_upr_s_abs  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_chassis.col_upr_s_abs.matching_name  &
   string_value = "upr_s_abs"
!
variable create  &
   variable_name = ._fsae_chassis.col_upr_s_abs.entity  &
   string_value = "mount"
!
variable create  &
   variable_name = ._fsae_chassis.col_upr_s_abs.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_chassis.cor_upr_s_abs  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_chassis.cor_upr_s_abs.matching_name  &
   string_value = "upr_s_abs"
!
variable create  &
   variable_name = ._fsae_chassis.cor_upr_s_abs.entity  &
   string_value = "mount"
!
variable create  &
   variable_name = ._fsae_chassis.cor_upr_s_abs.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_chassis.col_tv_link  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_chassis.col_tv_link.matching_name  &
   string_value = "tv_link"
!
variable create  &
   variable_name = ._fsae_chassis.col_tv_link.entity  &
   string_value = "mount"
!
variable create  &
   variable_name = ._fsae_chassis.col_tv_link.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_chassis.cor_tv_link  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_chassis.cor_tv_link.matching_name  &
   string_value = "tv_link"
!
variable create  &
   variable_name = ._fsae_chassis.cor_tv_link.entity  &
   string_value = "mount"
!
variable create  &
   variable_name = ._fsae_chassis.cor_tv_link.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_chassis.col_trod  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_chassis.col_trod.matching_name  &
   string_value = "trod"
!
variable create  &
   variable_name = ._fsae_chassis.col_trod.entity  &
   string_value = "mount"
!
variable create  &
   variable_name = ._fsae_chassis.col_trod.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_chassis.cor_trod  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_chassis.cor_trod.matching_name  &
   string_value = "trod"
!
variable create  &
   variable_name = ._fsae_chassis.cor_trod.entity  &
   string_value = "mount"
!
variable create  &
   variable_name = ._fsae_chassis.cor_trod.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_chassis.col_mbr_insul_fr  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_chassis.col_mbr_insul_fr.matching_name  &
   string_value = "mbr_insul_fr"
!
variable create  &
   variable_name = ._fsae_chassis.col_mbr_insul_fr.entity  &
   string_value = "mount"
!
variable create  &
   variable_name = ._fsae_chassis.col_mbr_insul_fr.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_chassis.cor_mbr_insul_fr  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_chassis.cor_mbr_insul_fr.matching_name  &
   string_value = "mbr_insul_fr"
!
variable create  &
   variable_name = ._fsae_chassis.cor_mbr_insul_fr.entity  &
   string_value = "mount"
!
variable create  &
   variable_name = ._fsae_chassis.cor_mbr_insul_fr.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_chassis.col_mbr_insul_rr  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_chassis.col_mbr_insul_rr.matching_name  &
   string_value = "mbr_insul_rr"
!
variable create  &
   variable_name = ._fsae_chassis.col_mbr_insul_rr.entity  &
   string_value = "mount"
!
variable create  &
   variable_name = ._fsae_chassis.col_mbr_insul_rr.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_chassis.cor_mbr_insul_rr  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_chassis.cor_mbr_insul_rr.matching_name  &
   string_value = "mbr_insul_rr"
!
variable create  &
   variable_name = ._fsae_chassis.cor_mbr_insul_rr.entity  &
   string_value = "mount"
!
variable create  &
   variable_name = ._fsae_chassis.cor_mbr_insul_rr.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_chassis.col_s_abs_upr_insul  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_chassis.col_s_abs_upr_insul.matching_name  &
   string_value = "s_abs_upr_insul"
!
variable create  &
   variable_name = ._fsae_chassis.col_s_abs_upr_insul.entity  &
   string_value = "mount"
!
variable create  &
   variable_name = ._fsae_chassis.col_s_abs_upr_insul.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_chassis.cor_s_abs_upr_insul  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_chassis.cor_s_abs_upr_insul.matching_name  &
   string_value = "s_abs_upr_insul"
!
variable create  &
   variable_name = ._fsae_chassis.cor_s_abs_upr_insul.entity  &
   string_value = "mount"
!
variable create  &
   variable_name = ._fsae_chassis.cor_s_abs_upr_insul.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_chassis.cos_body_subsystem  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_chassis.cos_body_subsystem.matching_name  &
   string_value = "body_subsystem"
!
variable create  &
   variable_name = ._fsae_chassis.cos_body_subsystem.entity  &
   string_value = "mount"
!
variable create  &
   variable_name = ._fsae_chassis.cos_body_subsystem.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_chassis.phs_kinematic_flag  &
   integer_value = 0  &
   comments =   &
              "Flag that determines if kinematic joints or bushings are active"
!
variable create  &
   variable_name = ._fsae_chassis.model_class  &
   string_value = "template"  &
   comments = "Memory for Adams/Car model class"
!
variable create  &
   variable_name = ._fsae_chassis.cos_chassis_path_reference  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_chassis.cos_chassis_path_reference.matching_name  &
   string_value = "chassis_path_reference"
!
variable create  &
   variable_name = ._fsae_chassis.cos_chassis_path_reference.entity  &
   string_value = "marker"
!
variable create  &
   variable_name = ._fsae_chassis.cos_chassis_path_reference.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_chassis.cos_diff_housing_to_body  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_chassis.cos_diff_housing_to_body.matching_name  &
   string_value = "diff_housing_to_body"
!
variable create  &
   variable_name = ._fsae_chassis.cos_diff_housing_to_body.entity  &
   string_value = "mount"
!
variable create  &
   variable_name = ._fsae_chassis.cos_diff_housing_to_body.minor_role  &
   string_value = "rear"
!
variable create  &
   variable_name = ._fsae_chassis.cos_propshaft_support_to_body  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_chassis.cos_propshaft_support_to_body.matching_name  &
   string_value = "propshaft_support_to_body"
!
variable create  &
   variable_name = ._fsae_chassis.cos_propshaft_support_to_body.entity  &
   string_value = "mount"
!
variable create  &
   variable_name = ._fsae_chassis.cos_propshaft_support_to_body.minor_role  &
   string_value = "rear"
!
variable create  &
   variable_name = ._fsae_chassis.cos_measure_for_distance  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_chassis.cos_measure_for_distance.matching_name  &
   string_value = "measure_for_distance"
!
variable create  &
   variable_name = ._fsae_chassis.cos_measure_for_distance.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_chassis.cos_measure_for_distance.entity  &
   string_value = "marker"
!
variable create  &
   variable_name = ._fsae_chassis.cos_driver_reference  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_chassis.cos_driver_reference.matching_name  &
   string_value = "driver_reference"
!
variable create  &
   variable_name = ._fsae_chassis.cos_driver_reference.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_chassis.cos_driver_reference.entity  &
   string_value = "marker"
!
variable create  &
   variable_name = ._fsae_chassis.pvs_aero_frontal_area  &
   units = "area"  &
   real_value = 1.8E+06
!
variable create  &
   variable_name = ._fsae_chassis.pvs_drag_coefficient  &
   units = "no_units"  &
   real_value = 0.36
!
variable create  &
   variable_name = ._fsae_chassis.pvs_air_density  &
   units = "density"  &
   real_value = 1.22E-09
!
variable create  &
   variable_name = ._fsae_chassis.ucf_gc  &
   units = "no_units"  &
   real_value = 1000.0
!
variable create  &
   variable_name = ._fsae_chassis.pvs_aero_drag_active  &
   integer_value = 1
!
variable create  &
   variable_name = ._fsae_chassis.cis_std_tire_ref  &
   units = "length"  &
   real_value = 0.0, 0.0, 0.0
!
variable create  &
   variable_name = ._fsae_chassis.cis_std_tire_ref.matching_name  &
   string_value = "std_tire_ref"
!
variable create  &
   variable_name = ._fsae_chassis.cis_std_tire_ref.entity  &
   string_value = "location"
!
variable create  &
   variable_name = ._fsae_chassis.cis_std_tire_ref.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_chassis.cos_aero_drag_force  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_chassis.cos_aero_drag_force.matching_name  &
   string_value = "aero_drag_force"
!
variable create  &
   variable_name = ._fsae_chassis.cos_aero_drag_force.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_chassis.cos_aero_drag_force.entity  &
   string_value = "solver_variable"
!
variable create  &
   variable_name = ._fsae_chassis.cos_air_density  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_chassis.cos_air_density.matching_name  &
   string_value = "air_density"
!
variable create  &
   variable_name = ._fsae_chassis.cos_air_density.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_chassis.cos_air_density.entity  &
   string_value = "parameter_real"
!
variable create  &
   variable_name = ._fsae_chassis.cos_aero_frontal_area  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_chassis.cos_aero_frontal_area.matching_name  &
   string_value = "aero_frontal_area"
!
variable create  &
   variable_name = ._fsae_chassis.cos_aero_frontal_area.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_chassis.cos_aero_frontal_area.entity  &
   string_value = "parameter_real"
!
variable create  &
   variable_name = ._fsae_chassis.cos_drag_coefficient  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_chassis.cos_drag_coefficient.matching_name  &
   string_value = "drag_coefficient"
!
variable create  &
   variable_name = ._fsae_chassis.cos_drag_coefficient.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_chassis.cos_drag_coefficient.entity  &
   string_value = "parameter_real"
!
variable create  &
   variable_name = ._fsae_chassis.cos_trim_part  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_chassis.cos_trim_part.matching_name  &
   string_value = "svs_trim_part"
!
variable create  &
   variable_name = ._fsae_chassis.cos_trim_part.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_chassis.cos_trim_part.entity  &
   string_value = "part"
!
variable create  &
   variable_name = ._fsae_chassis.col_damper_to_frame  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_chassis.col_damper_to_frame.matching_name  &
   string_value = "damper_to_frame"
!
variable create  &
   variable_name = ._fsae_chassis.col_damper_to_frame.minor_role  &
   string_value = "any"
!
variable create  &
   variable_name = ._fsae_chassis.col_damper_to_frame.entity  &
   string_value = "mount"
!
variable create  &
   variable_name = ._fsae_chassis.cor_damper_to_frame  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_chassis.cor_damper_to_frame.matching_name  &
   string_value = "damper_to_frame"
!
variable create  &
   variable_name = ._fsae_chassis.cor_damper_to_frame.minor_role  &
   string_value = "any"
!
variable create  &
   variable_name = ._fsae_chassis.cor_damper_to_frame.entity  &
   string_value = "mount"
!
variable create  &
   variable_name = ._fsae_chassis.col_uca_to_frame  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_chassis.col_uca_to_frame.matching_name  &
   string_value = "uca_to_frame"
!
variable create  &
   variable_name = ._fsae_chassis.col_uca_to_frame.minor_role  &
   string_value = "any"
!
variable create  &
   variable_name = ._fsae_chassis.col_uca_to_frame.entity  &
   string_value = "mount"
!
variable create  &
   variable_name = ._fsae_chassis.cor_uca_to_frame  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_chassis.cor_uca_to_frame.matching_name  &
   string_value = "uca_to_frame"
!
variable create  &
   variable_name = ._fsae_chassis.cor_uca_to_frame.minor_role  &
   string_value = "any"
!
variable create  &
   variable_name = ._fsae_chassis.cor_uca_to_frame.entity  &
   string_value = "mount"
!
variable create  &
   variable_name = ._fsae_chassis.col_lca_to_frame  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_chassis.col_lca_to_frame.matching_name  &
   string_value = "lca_to_frame"
!
variable create  &
   variable_name = ._fsae_chassis.col_lca_to_frame.minor_role  &
   string_value = "any"
!
variable create  &
   variable_name = ._fsae_chassis.col_lca_to_frame.entity  &
   string_value = "mount"
!
variable create  &
   variable_name = ._fsae_chassis.cor_lca_to_frame  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_chassis.cor_lca_to_frame.matching_name  &
   string_value = "lca_to_frame"
!
variable create  &
   variable_name = ._fsae_chassis.cor_lca_to_frame.minor_role  &
   string_value = "any"
!
variable create  &
   variable_name = ._fsae_chassis.cor_lca_to_frame.entity  &
   string_value = "mount"
!
variable create  &
   variable_name = ._fsae_chassis.col_BC_to_frame  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_chassis.col_BC_to_frame.matching_name  &
   string_value = "BC_to_frame"
!
variable create  &
   variable_name = ._fsae_chassis.col_BC_to_frame.minor_role  &
   string_value = "any"
!
variable create  &
   variable_name = ._fsae_chassis.col_BC_to_frame.entity  &
   string_value = "mount"
!
variable create  &
   variable_name = ._fsae_chassis.cor_BC_to_frame  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_chassis.cor_BC_to_frame.matching_name  &
   string_value = "BC_to_frame"
!
variable create  &
   variable_name = ._fsae_chassis.cor_BC_to_frame.minor_role  &
   string_value = "any"
!
variable create  &
   variable_name = ._fsae_chassis.cor_BC_to_frame.entity  &
   string_value = "mount"
!
variable create  &
   variable_name = ._fsae_chassis.cos_powertrain_to_body  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_chassis.cos_powertrain_to_body.matching_name  &
   string_value = "powertrain_to_body"
!
variable create  &
   variable_name = ._fsae_chassis.cos_powertrain_to_body.minor_role  &
   string_value = "any"
!
variable create  &
   variable_name = ._fsae_chassis.cos_powertrain_to_body.entity  &
   string_value = "mount"
!
variable create  &
   variable_name = ._fsae_chassis.col_toe_link_to_frame  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_chassis.col_toe_link_to_frame.matching_name  &
   string_value = "toe_link_to_frame"
!
variable create  &
   variable_name = ._fsae_chassis.col_toe_link_to_frame.minor_role  &
   string_value = "any"
!
variable create  &
   variable_name = ._fsae_chassis.col_toe_link_to_frame.entity  &
   string_value = "mount"
!
variable create  &
   variable_name = ._fsae_chassis.cor_toe_link_to_frame  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_chassis.cor_toe_link_to_frame.matching_name  &
   string_value = "toe_link_to_frame"
!
variable create  &
   variable_name = ._fsae_chassis.cor_toe_link_to_frame.minor_role  &
   string_value = "any"
!
variable create  &
   variable_name = ._fsae_chassis.cor_toe_link_to_frame.entity  &
   string_value = "mount"
!
variable create  &
   variable_name = ._fsae_chassis.cos_rack_housing_to_frame  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_chassis.cos_rack_housing_to_frame.matching_name  &
   string_value = "rack_housing_to_frame"
!
variable create  &
   variable_name = ._fsae_chassis.cos_rack_housing_to_frame.minor_role  &
   string_value = "any"
!
variable create  &
   variable_name = ._fsae_chassis.cos_rack_housing_to_frame.entity  &
   string_value = "mount"
!
variable create  &
   variable_name = ._fsae_chassis.cos_steering_column_to_frame  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_chassis.cos_steering_column_to_frame.matching_name  &
   string_value = "steering_column_to_frame"
!
variable create  &
   variable_name = ._fsae_chassis.cos_steering_column_to_frame.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_chassis.cos_steering_column_to_frame.entity  &
   string_value = "mount"
!
variable create  &
   variable_name = ._fsae_chassis.col_arb_to_frame  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_chassis.col_arb_to_frame.matching_name  &
   string_value = "arb_to_frame"
!
variable create  &
   variable_name = ._fsae_chassis.col_arb_to_frame.minor_role  &
   string_value = "any"
!
variable create  &
   variable_name = ._fsae_chassis.col_arb_to_frame.entity  &
   string_value = "mount"
!
variable create  &
   variable_name = ._fsae_chassis.cor_arb_to_frame  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_chassis.cor_arb_to_frame.matching_name  &
   string_value = "arb_to_frame"
!
variable create  &
   variable_name = ._fsae_chassis.cor_arb_to_frame.minor_role  &
   string_value = "any"
!
variable create  &
   variable_name = ._fsae_chassis.cor_arb_to_frame.entity  &
   string_value = "mount"
!
variable create  &
   variable_name = ._fsae_chassis.col_aero_to_chassis_front  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_chassis.col_aero_to_chassis_front.matching_name  &
   string_value = "aero_to_chassis_front"
!
variable create  &
   variable_name = ._fsae_chassis.col_aero_to_chassis_front.minor_role  &
   string_value = "front"
!
variable create  &
   variable_name = ._fsae_chassis.col_aero_to_chassis_front.entity  &
   string_value = "mount"
!
variable create  &
   variable_name = ._fsae_chassis.cor_aero_to_chassis_front  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_chassis.cor_aero_to_chassis_front.matching_name  &
   string_value = "aero_to_chassis_front"
!
variable create  &
   variable_name = ._fsae_chassis.cor_aero_to_chassis_front.minor_role  &
   string_value = "front"
!
variable create  &
   variable_name = ._fsae_chassis.cor_aero_to_chassis_front.entity  &
   string_value = "mount"
!
variable create  &
   variable_name = ._fsae_chassis.col_aero_to_chassis_rear  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_chassis.col_aero_to_chassis_rear.matching_name  &
   string_value = "aero_to_chassis_rear"
!
variable create  &
   variable_name = ._fsae_chassis.col_aero_to_chassis_rear.minor_role  &
   string_value = "rear"
!
variable create  &
   variable_name = ._fsae_chassis.col_aero_to_chassis_rear.entity  &
   string_value = "mount"
!
variable create  &
   variable_name = ._fsae_chassis.cor_aero_to_chassis_rear  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_chassis.cor_aero_to_chassis_rear.matching_name  &
   string_value = "aero_to_chassis_rear"
!
variable create  &
   variable_name = ._fsae_chassis.cor_aero_to_chassis_rear.minor_role  &
   string_value = "rear"
!
variable create  &
   variable_name = ._fsae_chassis.cor_aero_to_chassis_rear.entity  &
   string_value = "mount"
!
variable create  &
   variable_name = ._fsae_chassis.cos_chassis_velocity  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_chassis.cos_chassis_velocity.matching_name  &
   string_value = "chassis_velocity"
!
variable create  &
   variable_name = ._fsae_chassis.cos_chassis_velocity.minor_role  &
   string_value = "any"
!
variable create  &
   variable_name = ._fsae_chassis.cos_chassis_velocity.entity  &
   string_value = "solver_variable"
!
variable create  &
   variable_name = ._fsae_chassis.pvs_undertray_downforce_coefficient  &
   units = "no_units"  &
   real_value = 0.75
!
variable create  &
   variable_name = ._fsae_chassis.pvs_aero_active  &
   units = "no_units"  &
   real_value = 1.0
!
!---------------------------- Adams View Functions ----------------------------!
!
!
function create  &
   function_name = .SYMMETRY  &
   text_of_expression = "LOC_MIRROR(location, .__ACAR.ground.origo, .ACAR.variables.symmetry_plane)"  &
   argument_names = "location"  &
   type = location_orientation  &
   comments =   &
              "Compute mirrored location over the symmetry plane given 3x1 location vector"
!
!------------------------- Groups Owned By This Model -------------------------!
!
!
group create  &
   group_name = ._fsae_chassis.kinematic_mode_active  &
   expr_active = 1
!
group create  &
   group_name = ._fsae_chassis.kinematic_mode_inactive  &
   expr_active = 1
!
group create  &
   group_name = ._fsae_chassis.aerodynamic_drag_active  &
   expr_active = 1
!
!---------------------- Set Adams View Object Variables -----------------------!
!
!
variable modify  &
   variable_name = ._fsae_chassis.cos_body  &
   object_value = ._fsae_chassis.ges_chassis
!
variable modify  &
   variable_name = ._fsae_chassis.cos_concept_to_body  &
   object_value = ._fsae_chassis.ges_chassis
!
variable modify  &
   variable_name = ._fsae_chassis.col_upr_link_fr  &
   object_value = ._fsae_chassis.ges_chassis
!
variable modify  &
   variable_name = ._fsae_chassis.cor_upr_link_fr  &
   object_value = ._fsae_chassis.ges_chassis
!
variable modify  &
   variable_name = ._fsae_chassis.col_upr_link_rr  &
   object_value = ._fsae_chassis.ges_chassis
!
variable modify  &
   variable_name = ._fsae_chassis.cor_upr_link_rr  &
   object_value = ._fsae_chassis.ges_chassis
!
variable modify  &
   variable_name = ._fsae_chassis.col_upr_s_abs  &
   object_value = ._fsae_chassis.ges_chassis
!
variable modify  &
   variable_name = ._fsae_chassis.cor_upr_s_abs  &
   object_value = ._fsae_chassis.ges_chassis
!
variable modify  &
   variable_name = ._fsae_chassis.col_tv_link  &
   object_value = ._fsae_chassis.ges_chassis
!
variable modify  &
   variable_name = ._fsae_chassis.cor_tv_link  &
   object_value = ._fsae_chassis.ges_chassis
!
variable modify  &
   variable_name = ._fsae_chassis.col_trod  &
   object_value = ._fsae_chassis.ges_chassis
!
variable modify  &
   variable_name = ._fsae_chassis.cor_trod  &
   object_value = ._fsae_chassis.ges_chassis
!
variable modify  &
   variable_name = ._fsae_chassis.col_mbr_insul_fr  &
   object_value = ._fsae_chassis.ges_chassis
!
variable modify  &
   variable_name = ._fsae_chassis.cor_mbr_insul_fr  &
   object_value = ._fsae_chassis.ges_chassis
!
variable modify  &
   variable_name = ._fsae_chassis.col_mbr_insul_rr  &
   object_value = ._fsae_chassis.ges_chassis
!
variable modify  &
   variable_name = ._fsae_chassis.cor_mbr_insul_rr  &
   object_value = ._fsae_chassis.ges_chassis
!
variable modify  &
   variable_name = ._fsae_chassis.col_s_abs_upr_insul  &
   object_value = ._fsae_chassis.ges_chassis
!
variable modify  &
   variable_name = ._fsae_chassis.cor_s_abs_upr_insul  &
   object_value = ._fsae_chassis.ges_chassis
!
variable modify  &
   variable_name = ._fsae_chassis.cos_body_subsystem  &
   object_value = ._fsae_chassis.ges_chassis
!
variable modify  &
   variable_name = ._fsae_chassis.cos_chassis_path_reference  &
   object_value = ._fsae_chassis.ges_chassis.coomarker_3
!
variable modify  &
   variable_name = ._fsae_chassis.cos_diff_housing_to_body  &
   object_value = ._fsae_chassis.ges_chassis
!
variable modify  &
   variable_name = ._fsae_chassis.cos_propshaft_support_to_body  &
   object_value = ._fsae_chassis.ges_chassis
!
variable modify  &
   variable_name = ._fsae_chassis.cos_measure_for_distance  &
   object_value = ._fsae_chassis.ges_chassis.coomarker_4
!
variable modify  &
   variable_name = ._fsae_chassis.cos_driver_reference  &
   object_value = ._fsae_chassis.ges_chassis.coomarker_5
!
variable modify  &
   variable_name = ._fsae_chassis.cos_aero_drag_force  &
   object_value = ._fsae_chassis.aero_drag_force
!
variable modify  &
   variable_name = ._fsae_chassis.cos_air_density  &
   object_value = ._fsae_chassis.pvs_air_density
!
variable modify  &
   variable_name = ._fsae_chassis.cos_aero_frontal_area  &
   object_value = ._fsae_chassis.pvs_aero_frontal_area
!
variable modify  &
   variable_name = ._fsae_chassis.cos_drag_coefficient  &
   object_value = ._fsae_chassis.pvs_drag_coefficient
!
variable modify  &
   variable_name = ._fsae_chassis.cos_trim_part  &
   object_value = ._fsae_chassis.ges_trim_mass
!
variable modify  &
   variable_name = ._fsae_chassis.col_damper_to_frame  &
   object_value = ._fsae_chassis.ges_chassis
!
variable modify  &
   variable_name = ._fsae_chassis.cor_damper_to_frame  &
   object_value = ._fsae_chassis.ges_chassis
!
variable modify  &
   variable_name = ._fsae_chassis.col_uca_to_frame  &
   object_value = ._fsae_chassis.ges_chassis
!
variable modify  &
   variable_name = ._fsae_chassis.cor_uca_to_frame  &
   object_value = ._fsae_chassis.ges_chassis
!
variable modify  &
   variable_name = ._fsae_chassis.col_lca_to_frame  &
   object_value = ._fsae_chassis.ges_chassis
!
variable modify  &
   variable_name = ._fsae_chassis.cor_lca_to_frame  &
   object_value = ._fsae_chassis.ges_chassis
!
variable modify  &
   variable_name = ._fsae_chassis.col_BC_to_frame  &
   object_value = ._fsae_chassis.ges_chassis
!
variable modify  &
   variable_name = ._fsae_chassis.cor_BC_to_frame  &
   object_value = ._fsae_chassis.ges_chassis
!
variable modify  &
   variable_name = ._fsae_chassis.cos_powertrain_to_body  &
   object_value = ._fsae_chassis.ges_chassis
!
variable modify  &
   variable_name = ._fsae_chassis.col_toe_link_to_frame  &
   object_value = ._fsae_chassis.ges_chassis
!
variable modify  &
   variable_name = ._fsae_chassis.cor_toe_link_to_frame  &
   object_value = ._fsae_chassis.ges_chassis
!
variable modify  &
   variable_name = ._fsae_chassis.cos_rack_housing_to_frame  &
   object_value = ._fsae_chassis.ges_chassis
!
variable modify  &
   variable_name = ._fsae_chassis.cos_steering_column_to_frame  &
   object_value = ._fsae_chassis.ges_chassis
!
variable modify  &
   variable_name = ._fsae_chassis.col_arb_to_frame  &
   object_value = ._fsae_chassis.ges_chassis
!
variable modify  &
   variable_name = ._fsae_chassis.cor_arb_to_frame  &
   object_value = ._fsae_chassis.ges_chassis
!
variable modify  &
   variable_name = ._fsae_chassis.col_aero_to_chassis_front  &
   object_value = ._fsae_chassis.ges_chassis
!
variable modify  &
   variable_name = ._fsae_chassis.cor_aero_to_chassis_front  &
   object_value = ._fsae_chassis.ges_chassis
!
variable modify  &
   variable_name = ._fsae_chassis.col_aero_to_chassis_rear  &
   object_value = ._fsae_chassis.ges_chassis
!
variable modify  &
   variable_name = ._fsae_chassis.cor_aero_to_chassis_rear  &
   object_value = ._fsae_chassis.ges_chassis
!
variable modify  &
   variable_name = ._fsae_chassis.cos_chassis_velocity  &
   object_value = ._fsae_chassis.longitudinal_velocity
!
!--------------------------- Add Objects To Groups ----------------------------!
!
!
group modify  &
   group_name = ._fsae_chassis.kinematic_mode_active
!
group modify  &
   group_name = ._fsae_chassis.kinematic_mode_inactive
!
group modify  &
   group_name = ._fsae_chassis.aerodynamic_drag_active  &
   objects_in_group = ._fsae_chassis.aero_forces_undertray,  &
      ._fsae_chassis.aerodynamic_forces,  &
      ._fsae_chassis.aero_drag_force,  &
      ._fsae_chassis.cos_aero_drag_force
!
!---------------------------- Function definitions ----------------------------!
!
!
constraint modify motion_generator  &
   motion_name = ._fsae_chassis._cv_motion  &
   function = "0"
!
data_element modify variable  &
   variable_name = ._fsae_chassis._cv_solver_variable  &
   function = "0"
!
data_element modify variable  &
   variable_name = ._fsae_chassis.aero_drag_force  &
   function = "GFORCE(._fsae_chassis.aero_forces_undertray,0,4,._fsae_chassis.ges_chassis.aero_drag)"
!
part modify equation differential_equation  &
   differential_equation_name = ._fsae_chassis._cv_diff  &
   function = "0"
!
part modify equation differential_equation  &
   differential_equation_name = ._fsae_chassis.distance_traveled  &
   function = "VX(._fsae_chassis.ges_chassis.coomarker_5,._fsae_chassis.ground.origo, ._fsae_chassis.ges_chassis.coomarker_5)"
!
force modify direct general_force  &
   general_force_name = ._fsae_chassis._cv_bushing  &
   x_force_function = "0"  &
   y_force_function = "0"  &
   z_force_function = "0"  &
   x_torque_function = "0"  &
   y_torque_function = "0"  &
   z_torque_function = "0"
!
force modify direct general_force  &
   general_force_name = ._fsae_chassis.aero_forces_undertray  &
   x_force_function = " 0.5*._fsae_chassis.pvs_aero_active*._fsae_chassis.pvs_air_density*._fsae_chassis.pvs_drag_coefficient*._fsae_chassis.pvs_aero_frontal_area/._fsae_chassis.ucf_gc*(-VARVAL(._fsae_chassis.longitudinal_velocity))**2"  &
   y_force_function = "0"  &
   z_force_function = "-0.5*._fsae_chassis.pvs_aero_active*._fsae_chassis.pvs_air_density*._fsae_chassis.pvs_undertray_downforce_coefficient*._fsae_chassis.pvs_aero_frontal_area/._fsae_chassis.ucf_gc*(-VARVAL(._fsae_chassis.longitudinal_velocity))**2"  &
   x_torque_function = "0"  &
   y_torque_function = "0"  &
   z_torque_function = "0"
!
output_control modify request  &
   request_name = ._fsae_chassis.aerodynamic_forces  &
   f2 = "GFORCE(._fsae_chassis.aero_forces_undertray, 0, 4, ._fsae_chassis.ges_chassis.aero_drag)"  &
   f3 = "GFORCE(._fsae_chassis.aero_forces_undertray, 0, 6, ._fsae_chassis.ges_chassis.aero_drag)"
!
!--------------------------- Expression definitions ---------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ground
!
marker modify  &
   marker_name = ._fsae_chassis.ground.cfs_path_reference  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_chassis.ground.hps_path_reference))  &
   orientation =   &
      (ORI_RELATIVE_TO({0.0, 0.0, 0.0}degrees, ._fsae_chassis.ground.origo))
!
marker modify  &
   marker_name = ._fsae_chassis.ground.cfs_driver_reference  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}mm, ._fsae_chassis.ground.hps_path_reference))  &
   orientation =   &
      (ORI_RELATIVE_TO({180.0, 0.0, 0.0}degrees, ._fsae_chassis.ground.origo))
!
marker modify  &
   marker_name = ._fsae_chassis.ground.cfs_aero_force_reference  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}mm, ._fsae_chassis.ground.hps_undertray_cp))  &
   orientation =   &
      (ORI_RELATIVE_TO({0.0, 0.0, 0.0}degrees, ._fsae_chassis.ground.origo))
!
marker modify  &
   marker_name = ._fsae_chassis.ground.cfs_ground_height_reference  &
   location =   &
      (._fsae_chassis.cis_std_tire_ref)  &
   orientation =   &
      (ORI_RELATIVE_TO({0.0, 0.0, 0.0}degrees, ._fsae_chassis.ground.origo))
!
data_element modify variable  &
   variable_name = ._fsae_chassis.longitudinal_velocity  &
   user_function =   &
      906.0,  &
      1.0,  &
      (._fsae_chassis.ges_chassis.cm.adams_id),  &
      (._fsae_chassis.ground.origo.adams_id),  &
      (._fsae_chassis.ges_chassis.cm.adams_id)  &
   routine = "abgTire::var906"
!
data_element modify string  &
   string_name = ._fsae_chassis.minor_role_string  &
   string = (._fsae_chassis.minor_role)
!
marker modify  &
   marker_name = ._fsae_chassis.ges_chassis.inertia_frame  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_chassis.ges_chassis.cm))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_chassis.ges_chassis))  &
   relative_to = ._fsae_chassis.ges_chassis
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_chassis.ground
!
marker modify  &
   marker_name = ._fsae_chassis.ges_chassis.coomarker_3  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_chassis.ground.cfs_path_reference))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_chassis.ground.cfs_path_reference))  &
   relative_to = ._fsae_chassis.ges_chassis
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_chassis.ground
!
marker modify  &
   marker_name = ._fsae_chassis.ges_chassis.coomarker_4  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_chassis.ground.cfs_path_reference))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_chassis.ground.cfs_path_reference))  &
   relative_to = ._fsae_chassis.ges_chassis
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_chassis.ground
!
marker modify  &
   marker_name = ._fsae_chassis.ges_chassis.coomarker_5  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_chassis.ges_chassis.cm))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_chassis.ground.cfs_driver_reference))  &
   relative_to = ._fsae_chassis.ges_chassis
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_chassis.ground
!
marker modify  &
   marker_name = ._fsae_chassis.ges_chassis.aero_drag  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_chassis.ground.cfs_aero_force_reference))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_chassis.ground.cfs_aero_force_reference))  &
   relative_to = ._fsae_chassis.ges_chassis
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_chassis.ground
!
marker modify  &
   marker_name = ._fsae_chassis.ges_chassis.jxs_joint_j_1  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}mm, ._fsae_chassis.ges_chassis.cm))  &
   orientation =   &
      (ORI_RELATIVE_TO({0.0, 0.0, 0.0}degrees, ._fsae_chassis.ground.origo))  &
   relative_to = ._fsae_chassis.ges_chassis
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_chassis.ground
!
geometry modify shape ellipsoid  &
   ellipsoid_name = ._fsae_chassis.ges_chassis.cg_graphic  &
   x_scale_factor = (100mm)  &
   y_scale_factor = (100mm)  &
   z_scale_factor = (100mm)
!
marker modify  &
   marker_name = ._fsae_chassis.ges_trim_mass.inertia_frame  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_chassis.ges_trim_mass.cm))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_chassis.ges_trim_mass))  &
   relative_to = ._fsae_chassis.ges_trim_mass
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_chassis.ground
!
marker modify  &
   marker_name = ._fsae_chassis.ges_trim_mass.jxs_joint_i_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_chassis.ges_chassis.jxs_joint_j_1))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_chassis.ges_chassis.jxs_joint_j_1))  &
   relative_to = ._fsae_chassis.ges_trim_mass
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_chassis.ground
!
part modify rigid_body name_and_position  &
   part_name = ._fsae_chassis.ges_trim_mass  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}mm, ._fsae_chassis.ground.hps_trim_dummy))
!
output_control modify request  &
   request_name = ._fsae_chassis.cg_velocity_trans  &
   component_labels =   &
      "",  &
      (ANYM(UNITS_VALUE("length") == {"inch", "foot", "yard", "mile", "microinch"}) ? "Velocity (mph)" : "Velocity (km/h)"),  &
      (ANYM(UNITS_VALUE("length") == {"inch", "foot", "yard", "mile", "microinch"}) ? "Velocity (mph)" : "Velocity (km/h)"),  &
      (ANYM(UNITS_VALUE("length") == {"inch", "foot", "yard", "mile", "microinch"}) ? "Velocity (mph)" : "Velocity (km/h)")  &
   user_function =   &
      907.0,  &
      1.0,  &
      (._fsae_chassis.ges_chassis.cm.adams_id),  &
      (._fsae_chassis.ground.origo.adams_id),  &
      (._fsae_chassis.ges_chassis.cm.adams_id),  &
      (ANYM(UNITS_VALUE("length") == {"inch", "foot", "yard", "mile", "microinch"}) ? 0 : 1),  &
      1.0  &
   routine = "abgVDM::req907"
!
output_control modify request  &
   request_name = ._fsae_chassis.cg_velocity_rot  &
   user_function =   &
      907.0,  &
      1.0,  &
      (._fsae_chassis.ges_chassis.cm.adams_id),  &
      (._fsae_chassis.ground.origo.adams_id),  &
      (._fsae_chassis.ges_chassis.cm.adams_id),  &
      1.0,  &
      1.0  &
   routine = "abgVDM::req907"
!
output_control modify request  &
   request_name = ._fsae_chassis.cg_displacement  &
   user_function =   &
      907.0,  &
      0.0,  &
      (._fsae_chassis.ges_chassis.cm.adams_id),  &
      (._fsae_chassis.ground.origo.adams_id),  &
      (._fsae_chassis.ges_chassis.cm.adams_id),  &
      1.0,  &
      1.0  &
   routine = "abgVDM::req907"
!
output_control modify request  &
   request_name = ._fsae_chassis.cg_accelerations_trans  &
   user_function =   &
      907.0,  &
      2.0,  &
      (._fsae_chassis.ges_chassis.cm.adams_id),  &
      (._fsae_chassis.ground.origo.adams_id),  &
      (._fsae_chassis.ges_chassis.cm.adams_id),  &
      1.0,  &
      1.0  &
   routine = "abgVDM::req907"
!
output_control modify request  &
   request_name = ._fsae_chassis.cg_accelerations_trans2  &
   user_function =   &
      1090.0,  &
      (._fsae_chassis.ges_chassis.cm.adams_id),  &
      (._fsae_chassis.ground.origo.adams_id),  &
      (._fsae_chassis.ges_chassis.cm.adams_id),  &
      1.0,  &
      2.0  &
   routine = "abgVDM::req1090"
!
output_control modify request  &
   request_name = ._fsae_chassis.cg_accelerations_rot  &
   user_function =   &
      907.0,  &
      2.0,  &
      (._fsae_chassis.ges_chassis.cm.adams_id),  &
      (._fsae_chassis.ground.origo.adams_id),  &
      (._fsae_chassis.ges_chassis.cm.adams_id),  &
      1.0,  &
      1.0  &
   routine = "abgVDM::req907"
!
output_control modify request  &
   request_name = ._fsae_chassis.vehicle_statistics  &
   user_function =   &
      907.0,  &
      3.0,  &
      (._fsae_chassis.ges_chassis.cm.adams_id),  &
      (._fsae_chassis.ground.origo.adams_id),  &
      (._fsae_chassis.ges_chassis.cm.adams_id),  &
      1.0,  &
      1.0  &
   routine = "abgVDM::req907"
!
variable modify  &
   variable_name = ._fsae_chassis.ucf_gc  &
   real_value = (1(kg) * 1(m) / 1(N) / 1(s) / 1(s))
!
variable modify  &
   variable_name = ._fsae_chassis.cos_aero_drag_force  &
   object_value = (._fsae_chassis.pvs_aero_drag_active == 1 ? ._fsae_chassis.aero_drag_force : ._fsae_chassis._cv_solver_variable)
!
group modify  &
   group_name = ._fsae_chassis.kinematic_mode_active  &
   expr_active = ((._fsae_chassis.phs_kinematic_flag || ._fsae_chassis.model_class == "template" ? 1 : 0) && DB_ACTIVE(._fsae_chassis))
!
group modify  &
   group_name = ._fsae_chassis.kinematic_mode_inactive  &
   expr_active = (( ! ._fsae_chassis.phs_kinematic_flag || ._fsae_chassis.model_class == "template" ? 1 : 0) && DB_ACTIVE(._fsae_chassis))
!
group modify  &
   group_name = ._fsae_chassis.aerodynamic_drag_active  &
   expr_active = ((._fsae_chassis.pvs_aero_drag_active == 1 ? 1 : 0) && DB_ACTIVE(._fsae_chassis))
!
geometry modify shape force  &
   force_name = ._fsae_chassis.aero_forces_undertray_force_graphic_1  &
   applied_at_marker_name = (._fsae_chassis.aero_forces_undertray.i)
!
model display  &
   model_name = _fsae_chassis
