$---------------------------------------------------------------------MDI_HEADER
[MDI_HEADER]
 FILE_TYPE     =  'tpl'
 FILE_VERSION  =  2018.0
 FILE_FORMAT   =  'ASCII'
 HEADER_SIZE   =  9
(COMMENTS)
{comment_string}
'Simple Rack and Pinion Steering System'
$----------------------------------------------------------------TEMPLATE_HEADER
[TEMPLATE_HEADER]
 TEMPLATE_NAME  =  '_fsae_steer'
 MAJOR_ROLE     =  'steering'
 TIMESTAMP      =  '2019/03/04,19:52:48'
 HEADER_SIZE    =  6
$------------------------------------------------------------------------PLUGINS
[PLUGINS]
 PLUGIN_LIST  =  'acar'
 HEADER_SIZE  =  4
!
!-------------------------- Default Units for Model ---------------------------!
!
!
defaults units  &
   length = mm  &
   angle = deg  &
   force = newton  &
   mass = kg  &
   time = sec
!
defaults units  &
   coordinate_system_type = cartesian  &
   orientation_type = body313
!
!------------------------ Default Attributes for Model ------------------------!
!
!
defaults attributes  &
   inheritance = bottom_up  &
   icon_visibility = off  &
   grid_visibility = off  &
   size_of_icons = 50.0  &
   spacing_for_grid = 1000.0
!
!------------------------------ Adams View Model ------------------------------!
!
!
model create  &
   model_name = _fsae_steer  &
   comments = "Simple Rack and Pinion Steering System"  &
   title = "Adams/Car template"
!
model attributes  &
   model_name = ._fsae_steer  &
   size_of_icons = 25.4
!
view erase
!
!-------------------------------- Data storage --------------------------------!
!
!
data_element create variable  &
   variable_name = ._fsae_steer._cv_solver_variable  &
   comments = "Dummy for communicators"  &
   function = ""
!
data_element attributes  &
   data_element_name = ._fsae_steer._cv_solver_variable  &
   visibility = off
!
data_element create array ic_array  &
   array_name = ._fsae_steer._cv_array  &
   comments = "Dummy for communicators"  &
   size = 1  &
   numbers = 0.0
!
data_element attributes  &
   data_element_name = ._fsae_steer._cv_array  &
   visibility = off
!
data_element create spline  &
   spline_name = ._fsae_steer._cv_spline  &
   comments = "Dummy for communicators"  &
   x = 1.0, 2.0, 3.0, 4.0  &
   y = 1.0, 2.0, 3.0, 4.0, 1.0, 2.0, 3.0, 4.0  &
   z = 1.0, 2.0  &
   linear_extrapolate = yes
!
data_element attributes  &
   data_element_name = ._fsae_steer._cv_spline  &
   visibility = off
!
data_element create spline  &
   spline_name = ._fsae_steer.gss_steering_assist  &
   comments = "Example of a steering assist spline"  &
   x = 1.0, 2.0, 3.0, 4.0, 5.0  &
   y = 1.0, 2.0, 3.0, 4.0, 5.0  &
   linear_extrapolate = yes
!
data_element attributes  &
   data_element_name = ._fsae_steer.gss_steering_assist  &
   visibility = off
!
data_element create string  &
   string_name = ._fsae_steer.minor_role_string  &
   string = "unassigned"
!
data_element attributes  &
   data_element_name = ._fsae_steer.minor_role_string  &
   visibility = off
!
!--------------------------------- Materials ----------------------------------!
!
!
material create  &
   material_name = ._fsae_steer.aluminum  &
   density = 2.74E-06  &
   youngs_modulus = 7.1705E+04  &
   poissons_ratio = 0.33
!
!-------------------------------- Rigid Parts ---------------------------------!
!
! Create parts and their dependent markers and graphics
!
!----------------------------------- ground -----------------------------------!
!
!
! ****** Ground Part ******
!
part modify rigid_body name_and_position  &
   part_name = ground
!
defaults model  &
   part_name = ground
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_steer.ground
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._fsae_steer.ground.origo  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_steer.ground.origo  &
   size_of_icons = 25.4
!
marker create  &
   marker_name = ._fsae_steer.ground.cfs_steering_wheel_center  &
   location = 100.0, 0.0, 550.0  &
   orientation = 270.0d, 116.5650511771d, 90.0d
!
marker attributes  &
   marker_name = ._fsae_steer.ground.cfs_steering_wheel_center  &
   color = MAIZE  &
   size_of_icons = 25.4
!
marker create  &
   marker_name = ._fsae_steer.ground.cfs_pinion_pivot  &
   location = -415.0, 0.0, 77.4  &
   orientation = 90.0d, 44.3170839031d, 270.0d
!
marker attributes  &
   marker_name = ._fsae_steer.ground.cfs_pinion_pivot  &
   color = MAIZE  &
   size_of_icons = 25.4
!
marker create  &
   marker_name = ._fsae_steer.ground.cfs_rack_mount  &
   location = -415.0, 0.0, 77.4  &
   orientation = 180.0d, 90.0d, 180.0d
!
marker attributes  &
   marker_name = ._fsae_steer.ground.cfs_rack_mount  &
   color = MAIZE  &
   size_of_icons = 25.4
!
marker create  &
   marker_name = ._fsae_steer.ground.mts_mount_j_3  &
   location = 0.0, 0.0, 500.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_steer.ground.mts_mount_j_3  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 25.4
!
marker create  &
   marker_name = ._fsae_steer.ground._cv_marker  &
   comments = "Dummy for communicators"  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_steer.ground._cv_marker  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 25.4
!
marker create  &
   marker_name = ._fsae_steer.ground.cfs_steering_column_to_body  &
   location = 10.5572809, 0.0, 505.27864045  &
   orientation = 270.0d, 116.5650511771d, 90.0d
!
marker attributes  &
   marker_name = ._fsae_steer.ground.cfs_steering_column_to_body  &
   color = MAIZE  &
   size_of_icons = 25.4
!
marker create  &
   marker_name = ._fsae_steer.ground.mts_mount_j_1  &
   location = -415.0, 0.0, 77.4  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_steer.ground.mts_mount_j_1  &
   visibility = off  &
   name_visibility = off
!
! ****** Points for current part ******
!
point create  &
   point_name = ._fsae_steer.ground.hps_steering_wheel_center  &
   location = 100.0, 0.0, 550.0
!
point attributes  &
   point_name = ._fsae_steer.ground.hps_steering_wheel_center  &
   size_of_icons = 25.4
!
point create  &
   point_name = ._fsae_steer.ground.hps_intermediate_shaft_forward  &
   location = -100.0, 0.0, 400.0
!
point attributes  &
   point_name = ._fsae_steer.ground.hps_intermediate_shaft_forward  &
   size_of_icons = 25.4
!
point create  &
   point_name = ._fsae_steer.ground.hps_pinion_pivot  &
   location = -415.0, 0.0, 77.4
!
point attributes  &
   point_name = ._fsae_steer.ground.hps_pinion_pivot  &
   size_of_icons = 25.4
!
point create  &
   point_name = ._fsae_steer.ground.hpl_tierod_inner  &
   location = -415.0, -304.8, 77.4
!
point attributes  &
   point_name = ._fsae_steer.ground.hpl_tierod_inner  &
   size_of_icons = 25.4
!
point create  &
   point_name = ._fsae_steer.ground.hpr_tierod_inner  &
   location = -415.0, 304.8, 77.4
!
point attributes  &
   point_name = ._fsae_steer.ground.hpr_tierod_inner  &
   size_of_icons = 25.4
!
point create  &
   point_name = ._fsae_steer.ground.hpl_rack_house_mount  &
   location = -415.0, -275.8, 77.4
!
point attributes  &
   point_name = ._fsae_steer.ground.hpl_rack_house_mount  &
   size_of_icons = 25.4
!
point create  &
   point_name = ._fsae_steer.ground.hpr_rack_house_mount  &
   location = -415.0, 275.8, 77.4
!
point attributes  &
   point_name = ._fsae_steer.ground.hpr_rack_house_mount  &
   size_of_icons = 25.4
!
point create  &
   point_name = ._fsae_steer.ground.hps_intermediate_shaft_rearward  &
   location = 0.0, 0.0, 500.0
!
point attributes  &
   point_name = ._fsae_steer.ground.hps_intermediate_shaft_rearward  &
   size_of_icons = 25.4
!
! ****** Graphics for current part ******
!
geometry create shape ellipsoid  &
   ellipsoid_name = ._fsae_steer.ground._cv_csolid  &
   center_marker = ._fsae_steer.ground._cv_marker  &
   x_scale_factor = 100.0  &
   y_scale_factor = 100.0  &
   z_scale_factor = 100.0
!
geometry attributes  &
   geometry_name = ._fsae_steer.ground._cv_csolid  &
   active = off
!
part attributes  &
   part_name = ._fsae_steer.ground  &
   size_of_icons = 25.4
!
!----------------------------- ges_steering_shaft -----------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_steer.ground
!
part create rigid_body name_and_position  &
   part_name = ._fsae_steer.ges_steering_shaft  &
   location = -257.5, 0.0, 238.7  &
   orientation = 90.0d, 44.3170839031d, 270.0d
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_steer.ges_steering_shaft
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._fsae_steer.ges_steering_shaft.gralin_1  &
   location = 0.0, 0.0, 225.4416554233  &
   orientation = 180.0d, 180.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_steer.ges_steering_shaft.gralin_1  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 25.4
!
marker create  &
   marker_name = ._fsae_steer.ges_steering_shaft.cm  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_steer.ges_steering_shaft.cm  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 25.4
!
marker create  &
   marker_name = ._fsae_steer.ges_steering_shaft.jxs_joint_j_9  &
   location = 0.0, 0.0, 225.4416554233  &
   orientation = 0.0d, 180.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_steer.ges_steering_shaft.jxs_joint_j_9  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 25.4
!
marker create  &
   marker_name = ._fsae_steer.ges_steering_shaft.josrev_steering_input_shaft_1  &
   location = 0.0, 0.0, -225.4416554233  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_steer.ges_steering_shaft.josrev_steering_input_shaft_1  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 25.4
!
marker create  &
   marker_name = ._fsae_steer.ges_steering_shaft.inertia_frame  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_steer.ges_steering_shaft.inertia_frame  &
   size_of_icons = 25.4
!
marker create  &
   marker_name = ._fsae_steer.ges_steering_shaft.jxs_joint_i_12  &
   location = 0.0, 0.0, -225.4416554233  &
   orientation = 270.0d, 180.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_steer.ges_steering_shaft.jxs_joint_i_12  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 25.4
!
part create rigid_body mass_properties  &
   part_name = ._fsae_steer.ges_steering_shaft  &
   mass = 7.8006140233E-02  &
   center_of_mass_marker = ._fsae_steer.ges_steering_shaft.cm  &
   inertia_marker = ._fsae_steer.ges_steering_shaft.inertia_frame  &
   ixx = 143.8262317613  &
   iyy = 143.8262317613  &
   izz = 2.3865295376  &
   ixy = 0.0  &
   izx = 0.0  &
   iyz = 0.0
!
! ****** Graphics for current part ******
!
geometry create shape cylinder  &
   cylinder_name = ._fsae_steer.ges_steering_shaft.gralin_steering_shaft  &
   center_marker = ._fsae_steer.ges_steering_shaft.gralin_1  &
   angle_extent = 360.0  &
   length = 450.8833108466  &
   radius = 7.9375  &
   side_count_for_body = 15  &
   segment_count_for_ends = 15
!
geometry attributes  &
   geometry_name = ._fsae_steer.ges_steering_shaft.gralin_steering_shaft  &
   color = SILVER
!
part attributes  &
   part_name = ._fsae_steer.ges_steering_shaft  &
   color = SILVER  &
   entity_scope = edge_color
!
part attributes  &
   part_name = ._fsae_steer.ges_steering_shaft  &
   size_of_icons = 25.4
!
!---------------------------------- ges_rack ----------------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_steer.ground
!
part create rigid_body name_and_position  &
   part_name = ._fsae_steer.ges_rack  &
   location = -415.0, 0.0, 77.4  &
   orientation = 0.0d, 90.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_steer.ges_rack
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._fsae_steer.ges_rack.gralin_2  &
   location = 0.0, 0.0, -304.8  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_steer.ges_rack.gralin_2  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 25.4
!
marker create  &
   marker_name = ._fsae_steer.ges_rack.cm  &
   location = 0.0, 0.0, 0.0  &
   orientation = 90.0d, 180.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_steer.ges_rack.cm  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 25.4
!
marker create  &
   marker_name = ._fsae_steer.ges_rack.jxs_joint_i_10  &
   location = 0.0, 0.0, 0.0  &
   orientation = 180.0d, 180.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_steer.ges_rack.jxs_joint_i_10  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 25.4
!
marker create  &
   marker_name = ._fsae_steer.ges_rack.inertia_frame  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_steer.ges_rack.inertia_frame  &
   size_of_icons = 25.4
!
part create rigid_body mass_properties  &
   part_name = ._fsae_steer.ges_rack  &
   mass = 0.2922253921  &
   center_of_mass_marker = ._fsae_steer.ges_rack.cm  &
   inertia_marker = ._fsae_steer.ges_rack.inertia_frame  &
   ixx = 3626.7594866369  &
   iyy = 3626.7594866369  &
   izz = 12.8669565271  &
   ixy = 0.0  &
   izx = 0.0  &
   iyz = 0.0
!
! ****** Graphics for current part ******
!
geometry create shape cylinder  &
   cylinder_name = ._fsae_steer.ges_rack.gralin_rack  &
   center_marker = ._fsae_steer.ges_rack.gralin_2  &
   angle_extent = 360.0  &
   length = 609.6  &
   radius = 9.5223396425  &
   side_count_for_body = 15  &
   segment_count_for_ends = 15
!
geometry attributes  &
   geometry_name = ._fsae_steer.ges_rack.gralin_rack  &
   color = BLUE
!
part attributes  &
   part_name = ._fsae_steer.ges_rack  &
   color = BLUE  &
   entity_scope = edge_color
!
part attributes  &
   part_name = ._fsae_steer.ges_rack  &
   size_of_icons = 25.4
!
!----------------------------- ges_steering_wheel -----------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_steer.ground
!
part create rigid_body name_and_position  &
   part_name = ._fsae_steer.ges_steering_wheel  &
   location = 100.0, 0.0, 550.0  &
   orientation = 270.0000009545d, 116.5650511771d, 90.0000004269d
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_steer.ges_steering_wheel
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._fsae_steer.ges_steering_wheel.cm  &
   location = 0.0, -1.788140087E-07, -6.0  &
   orientation = 270.0d, 90.0d, 90.0d
!
marker attributes  &
   marker_name = ._fsae_steer.ges_steering_wheel.cm  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 25.4
!
marker create  &
   marker_name = ._fsae_steer.ges_steering_wheel.graphics_location  &
   location = 0.0, 0.0, 0.0  &
   orientation = 180.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_steer.ges_steering_wheel.graphics_location  &
   size_of_icons = 25.4
!
marker create  &
   marker_name = ._fsae_steer.ges_steering_wheel.jxs_joint_i_11  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 180.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_steer.ges_steering_wheel.jxs_joint_i_11  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 25.4
!
marker create  &
   marker_name = ._fsae_steer.ges_steering_wheel.inertia_frame  &
   location = 0.0, -1.788140087E-07, -6.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_steer.ges_steering_wheel.inertia_frame  &
   size_of_icons = 25.4
!
marker create  &
   marker_name = ._fsae_steer.ges_steering_wheel.jfs_actuator_i_1  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 180.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_steer.ges_steering_wheel.jfs_actuator_i_1  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 25.4
!
marker create  &
   marker_name = ._fsae_steer.ges_steering_wheel.gracyl_1  &
   location = 0.0, -1.7881400368E-07, -12.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_steer.ges_steering_wheel.gracyl_1  &
   visibility = off  &
   name_visibility = off
!
part create rigid_body mass_properties  &
   part_name = ._fsae_steer.ges_steering_wheel  &
   mass = 1.5672071279  &
   center_of_mass_marker = ._fsae_steer.ges_steering_wheel.cm  &
   inertia_marker = ._fsae_steer.ges_steering_wheel.inertia_frame  &
   ixx = 5964.2872258163  &
   iyy = 5964.2872258164  &
   izz = 1.1890961481E+04  &
   ixy = 0.0  &
   izx = 0.0  &
   iyz = 0.0
!
! ****** Graphics for current part ******
!
geometry create curve circle  &
   circle_name = ._fsae_steer.ges_steering_wheel.rim  &
   comments = "simple rim outline"  &
   center_marker = ._fsae_steer.ges_steering_wheel.graphics_location  &
   radius = 170.0  &
   segment_count = 30
!
geometry attributes  &
   geometry_name = ._fsae_steer.ges_steering_wheel.rim  &
   visibility = off
!
geometry create shape cylinder  &
   cylinder_name = ._fsae_steer.ges_steering_wheel.gracyl_steering_wheel  &
   center_marker = ._fsae_steer.ges_steering_wheel.gracyl_1  &
   angle_extent = 360.0  &
   length = 12.0  &
   radius = 100.0  &
   side_count_for_body = 15  &
   segment_count_for_ends = 15
!
geometry attributes  &
   geometry_name = ._fsae_steer.ges_steering_wheel.gracyl_steering_wheel  &
   color = DARK_GRAY
!
part attributes  &
   part_name = ._fsae_steer.ges_steering_wheel  &
   color = BLUE  &
   entity_scope = edge_color
!
part attributes  &
   part_name = ._fsae_steer.ges_steering_wheel  &
   size_of_icons = 25.4
!
!------------------------------ ges_rack_housing ------------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_steer.ground
!
part create rigid_body name_and_position  &
   part_name = ._fsae_steer.ges_rack_housing  &
   location = -415.0, 0.0, 77.4  &
   orientation = 0.0d, 90.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_steer.ges_rack_housing
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._fsae_steer.ges_rack_housing.gralin_3  &
   location = 0.0, 0.0, -275.8  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_steer.ges_rack_housing.gralin_3  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 25.4
!
marker create  &
   marker_name = ._fsae_steer.ges_rack_housing.cm  &
   location = 0.0, 0.0, 0.0  &
   orientation = 90.0d, 180.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_steer.ges_rack_housing.cm  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 25.4
!
marker create  &
   marker_name = ._fsae_steer.ges_rack_housing.jxs_joint_j_10  &
   location = 0.0, 0.0, 0.0  &
   orientation = 180.0d, 180.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_steer.ges_rack_housing.jxs_joint_j_10  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 25.4
!
marker create  &
   marker_name = ._fsae_steer.ges_rack_housing.jxs_joint_i_15  &
   location = 0.0, 0.0, 0.0  &
   orientation = 180.0d, 90.0d, 180.0d
!
marker attributes  &
   marker_name = ._fsae_steer.ges_rack_housing.jxs_joint_i_15  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 25.4
!
marker create  &
   marker_name = ._fsae_steer.ges_rack_housing.inertia_frame  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_steer.ges_rack_housing.inertia_frame  &
   size_of_icons = 25.4
!
marker create  &
   marker_name = ._fsae_steer.ges_rack_housing.jxs_joint_j_12  &
   location = 0.0, 0.0, 0.0  &
   orientation = 315.6829160969d, 90.0d, 90.0d
!
marker attributes  &
   marker_name = ._fsae_steer.ges_rack_housing.jxs_joint_j_12  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 25.4
!
part create rigid_body mass_properties  &
   part_name = ._fsae_steer.ges_rack_housing  &
   mass = 0.6063965645  &
   center_of_mass_marker = ._fsae_steer.ges_rack_housing.cm  &
   inertia_marker = ._fsae_steer.ges_rack_housing.inertia_frame  &
   ixx = 6420.0102557602  &
   iyy = 6420.0102557602  &
   izz = 60.0754640138  &
   ixy = 0.0  &
   izx = 0.0  &
   iyz = 0.0
!
! ****** Graphics for current part ******
!
geometry create shape cylinder  &
   cylinder_name = ._fsae_steer.ges_rack_housing.gralin_rack_housing  &
   center_marker = ._fsae_steer.ges_rack_housing.gralin_3  &
   angle_extent = 360.0  &
   length = 551.6  &
   radius = 14.2835094637  &
   side_count_for_body = 15  &
   segment_count_for_ends = 15
!
geometry attributes  &
   geometry_name = ._fsae_steer.ges_rack_housing.gralin_rack_housing  &
   color = RED
!
part attributes  &
   part_name = ._fsae_steer.ges_rack_housing  &
   color = BLUE  &
   entity_scope = edge_color
!
part attributes  &
   part_name = ._fsae_steer.ges_rack_housing  &
   size_of_icons = 25.4
!
!---------------------------- ges_steering_column -----------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_steer.ground
!
part create rigid_body name_and_position  &
   part_name = ._fsae_steer.ges_steering_column  &
   location = 50.0, 0.0, 525.0  &
   orientation = 270.0d, 116.5650511771d, 90.0d
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_steer.ges_steering_column
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._fsae_steer.ges_steering_column.gralin_4  &
   location = 0.0, 0.0, 55.9016994375  &
   orientation = 180.0d, 180.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_steer.ges_steering_column.gralin_4  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 25.4
!
marker create  &
   marker_name = ._fsae_steer.ges_steering_column.cm  &
   location = 0.0, 0.0, 0.0  &
   orientation = 90.0d, 180.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_steer.ges_steering_column.cm  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 25.4
!
marker create  &
   marker_name = ._fsae_steer.ges_steering_column.jxs_joint_i_8  &
   location = 0.0, 0.0, 55.9016994375  &
   orientation = 180.0d, 180.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_steer.ges_steering_column.jxs_joint_i_8  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 25.4
!
marker create  &
   marker_name = ._fsae_steer.ges_steering_column.jxs_joint_i_13  &
   location = 0.0, 0.0, 44.0983005625  &
   orientation = 90.0d, 180.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_steer.ges_steering_column.jxs_joint_i_13  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 25.4
!
marker create  &
   marker_name = ._fsae_steer.ges_steering_column.inertia_frame  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_steer.ges_steering_column.inertia_frame  &
   size_of_icons = 25.4
!
part create rigid_body mass_properties  &
   part_name = ._fsae_steer.ges_steering_column  &
   mass = 0.1023682966  &
   center_of_mass_marker = ._fsae_steer.ges_steering_column.cm  &
   inertia_marker = ._fsae_steer.ges_steering_column.inertia_frame  &
   ixx = 323.9176442894  &
   iyy = 323.9176442894  &
   izz = 3.1318683744  &
   ixy = 0.0  &
   izx = 0.0  &
   iyz = 0.0
!
! ****** Graphics for current part ******
!
geometry create shape cylinder  &
   cylinder_name = ._fsae_steer.ges_steering_column.gralin_steering_column  &
   center_marker = ._fsae_steer.ges_steering_column.gralin_4  &
   angle_extent = 360.0  &
   length = 111.803398875  &
   radius = 7.9375  &
   side_count_for_body = 15  &
   segment_count_for_ends = 15
!
geometry attributes  &
   geometry_name = ._fsae_steer.ges_steering_column.gralin_steering_column  &
   color = SILVER
!
part attributes  &
   part_name = ._fsae_steer.ges_steering_column  &
   color = BLUE  &
   entity_scope = edge_color
!
part attributes  &
   part_name = ._fsae_steer.ges_steering_column  &
   size_of_icons = 25.4
!
!--------------------------- ges_intermediate_shaft ---------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_steer.ground
!
part create rigid_body name_and_position  &
   part_name = ._fsae_steer.ges_intermediate_shaft  &
   location = -50.0, 0.0, 450.0  &
   orientation = 90.0d, 45.0d, 270.0d
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_steer.ges_intermediate_shaft
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._fsae_steer.ges_intermediate_shaft.gralin_5  &
   location = 0.0, 0.0, 70.7106781187  &
   orientation = 180.0d, 180.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_steer.ges_intermediate_shaft.gralin_5  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 25.4
!
marker create  &
   marker_name = ._fsae_steer.ges_intermediate_shaft.cm  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_steer.ges_intermediate_shaft.cm  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 25.4
!
marker create  &
   marker_name = ._fsae_steer.ges_intermediate_shaft.jxs_joint_j_8  &
   location = 0.0, 0.0, 70.7106781187  &
   orientation = 0.0d, 180.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_steer.ges_intermediate_shaft.jxs_joint_j_8  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 25.4
!
marker create  &
   marker_name = ._fsae_steer.ges_intermediate_shaft.jxs_joint_i_9  &
   location = 0.0, 0.0, -70.7106781187  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_steer.ges_intermediate_shaft.jxs_joint_i_9  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 25.4
!
marker create  &
   marker_name = ._fsae_steer.ges_intermediate_shaft.inertia_frame  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_steer.ges_intermediate_shaft.inertia_frame  &
   size_of_icons = 25.4
!
marker create  &
   marker_name = ._fsae_steer.ges_intermediate_shaft.graell_13  &
   location = 0.0, 0.0, 70.7106781187  &
   orientation = 270.0d, 45.0d, 90.0d
!
marker attributes  &
   marker_name = ._fsae_steer.ges_intermediate_shaft.graell_13  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 25.4
!
marker create  &
   marker_name = ._fsae_steer.ges_intermediate_shaft.graell_14  &
   location = 0.0, 0.0, -70.7106781187  &
   orientation = 270.0d, 45.0d, 90.0d
!
marker attributes  &
   marker_name = ._fsae_steer.ges_intermediate_shaft.graell_14  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 25.4
!
part create rigid_body mass_properties  &
   part_name = ._fsae_steer.ges_intermediate_shaft  &
   mass = 8.2798692389E-02  &
   center_of_mass_marker = ._fsae_steer.ges_intermediate_shaft.cm  &
   inertia_marker = ._fsae_steer.ges_intermediate_shaft.inertia_frame  &
   ixx = 163.0239138956  &
   iyy = 163.0239138956  &
   izz = 2.4712499317  &
   ixy = 0.0  &
   izx = 0.0  &
   iyz = 0.0
!
! ****** Graphics for current part ******
!
geometry create shape cylinder  &
   cylinder_name = ._fsae_steer.ges_intermediate_shaft.gralin_intermediate_shaft  &
   center_marker = ._fsae_steer.ges_intermediate_shaft.gralin_5  &
   angle_extent = 360.0  &
   length = 141.4213562373  &
   radius = 7.9375  &
   side_count_for_body = 15  &
   segment_count_for_ends = 15
!
geometry attributes  &
   geometry_name = ._fsae_steer.ges_intermediate_shaft.gralin_intermediate_shaft  &
   color = SILVER
!
geometry create shape ellipsoid  &
   ellipsoid_name = ._fsae_steer.ges_intermediate_shaft.graell_column  &
   center_marker = ._fsae_steer.ges_intermediate_shaft.graell_13  &
   x_scale_factor = 15.875  &
   y_scale_factor = 15.875  &
   z_scale_factor = 15.875
!
geometry attributes  &
   geometry_name = ._fsae_steer.ges_intermediate_shaft.graell_column  &
   color = SILVER
!
geometry create shape ellipsoid  &
   ellipsoid_name = ._fsae_steer.ges_intermediate_shaft.graell_intermdiate  &
   center_marker = ._fsae_steer.ges_intermediate_shaft.graell_14  &
   x_scale_factor = 15.875  &
   y_scale_factor = 15.875  &
   z_scale_factor = 15.875
!
geometry attributes  &
   geometry_name = ._fsae_steer.ges_intermediate_shaft.graell_intermdiate  &
   color = SILVER
!
part attributes  &
   part_name = ._fsae_steer.ges_intermediate_shaft  &
   color = BLUE  &
   entity_scope = edge_color
!
part attributes  &
   part_name = ._fsae_steer.ges_intermediate_shaft  &
   size_of_icons = 25.4
!
!------------------------ mts_steering_column_to_frame ------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_steer.ground
!
part create rigid_body name_and_position  &
   part_name = ._fsae_steer.mts_steering_column_to_frame  &
   location = 0.0, 0.0, 500.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_steer.mts_steering_column_to_frame
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._fsae_steer.mts_steering_column_to_frame.mount_i  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_steer.mts_steering_column_to_frame.mount_i  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 25.4
!
marker create  &
   marker_name = ._fsae_steer.mts_steering_column_to_frame.jxs_joint_j_11  &
   location = 100.0, 0.0, 50.0  &
   orientation = 90.0d, 63.4349488229d, 90.0d
!
marker attributes  &
   marker_name = ._fsae_steer.mts_steering_column_to_frame.jxs_joint_j_11  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 25.4
!
marker create  &
   marker_name = ._fsae_steer.mts_steering_column_to_frame.jxs_joint_j_13  &
   location = 10.5572809, 0.0, 5.27864045  &
   orientation = 90.0d, 63.4349488229d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_steer.mts_steering_column_to_frame.jxs_joint_j_13  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 25.4
!
marker create  &
   marker_name = ._fsae_steer.mts_steering_column_to_frame.jfs_actuator_j_1  &
   location = 100.0, 0.0, 50.0  &
   orientation = 90.0d, 63.4349488229d, 90.0d
!
marker attributes  &
   marker_name = ._fsae_steer.mts_steering_column_to_frame.jfs_actuator_j_1  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 25.4
!
! ****** Graphics for current part ******
!
geometry create shape cylinder  &
   cylinder_name = ._fsae_steer.mts_steering_column_to_frame.steering_column_housing  &
   center_marker = ._fsae_steer.mts_steering_column_to_frame.jxs_joint_j_13  &
   angle_extent = 360.0  &
   length = 33.5410196625  &
   radius = 11.43  &
   side_count_for_body = 20  &
   segment_count_for_ends = 20
!
geometry attributes  &
   geometry_name = ._fsae_steer.mts_steering_column_to_frame.steering_column_housing  &
   color = RED  &
   visibility = on
!
part attributes  &
   part_name = ._fsae_steer.mts_steering_column_to_frame  &
   color = RED  &
   entity_scope = edge_color
!
part attributes  &
   part_name = ._fsae_steer.mts_steering_column_to_frame  &
   visibility = on  &
   name_visibility = on  &
   size_of_icons = 25.4
!
!---------------------------------- _cv_part ----------------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_steer.ground
!
part create rigid_body name_and_position  &
   part_name = ._fsae_steer._cv_part  &
   comments = "Dummy for communicators"  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_steer._cv_part
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._fsae_steer._cv_part.marker  &
   comments = "Dummy for communicators"  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_steer._cv_part.marker  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 25.4
!
part create rigid_body mass_properties  &
   part_name = ._fsae_steer._cv_part  &
   mass = 0.0  &
   center_of_mass_marker = ._fsae_steer._cv_part.marker  &
   ixx = 0.0  &
   iyy = 0.0  &
   izz = 0.0  &
   ixy = 0.0  &
   izx = 0.0  &
   iyz = 0.0
!
part attributes  &
   part_name = ._fsae_steer._cv_part  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 25.4
!
!------------------------- mts_rack_housing_to_frame --------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_steer.ground
!
part create rigid_body name_and_position  &
   part_name = ._fsae_steer.mts_rack_housing_to_frame  &
   location = -415.0, 0.0, 77.4  &
   orientation = 0.0d, 0.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_steer.mts_rack_housing_to_frame
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._fsae_steer.mts_rack_housing_to_frame.mount_i  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_steer.mts_rack_housing_to_frame.mount_i  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_steer.mts_rack_housing_to_frame.jxs_joint_j_15  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_steer.mts_rack_housing_to_frame.jxs_joint_j_15  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 25.4
!
part attributes  &
   part_name = ._fsae_steer.mts_rack_housing_to_frame  &
   visibility = on  &
   name_visibility = on
!
!--------------------------------- Equations ----------------------------------!
!
!
part create equation differential_equation  &
   differential_equation_name = ._fsae_steer._cv_diff  &
   comments = "Dummy for communicators"  &
   initial_condition = 0.0  &
   function = ""  &
   implicit = off  &
   static_hold = off
!
part attributes  &
   equation_name = ._fsae_steer._cv_diff  &
   visibility = off
!
!----------------------------------- Joints -----------------------------------!
!
!
constraint create joint convel  &
   joint_name = ._fsae_steer.joscon_column_intermediate  &
   i_marker_name = ._fsae_steer.ges_steering_column.jxs_joint_i_8  &
   j_marker_name = ._fsae_steer.ges_intermediate_shaft.jxs_joint_j_8
!
constraint attributes  &
   constraint_name = ._fsae_steer.joscon_column_intermediate  &
   size_of_icons = 25.4
!
constraint create joint convel  &
   joint_name = ._fsae_steer.joscon_intermediate_shaftinput  &
   i_marker_name = ._fsae_steer.ges_intermediate_shaft.jxs_joint_i_9  &
   j_marker_name = ._fsae_steer.ges_steering_shaft.jxs_joint_j_9
!
constraint attributes  &
   constraint_name = ._fsae_steer.joscon_intermediate_shaftinput  &
   size_of_icons = 25.4
!
constraint create joint translational  &
   joint_name = ._fsae_steer.jostra_rack_to_rackhousing  &
   i_marker_name = ._fsae_steer.ges_rack.jxs_joint_i_10  &
   j_marker_name = ._fsae_steer.ges_rack_housing.jxs_joint_j_10
!
constraint attributes  &
   constraint_name = ._fsae_steer.jostra_rack_to_rackhousing  &
   size_of_icons = 25.4
!
constraint create joint fixed  &
   joint_name = ._fsae_steer.mts_fixed_3  &
   i_marker_name = ._fsae_steer.mts_steering_column_to_frame.mount_i  &
   j_marker_name = ._fsae_steer.ground.mts_mount_j_3
!
constraint attributes  &
   constraint_name = ._fsae_steer.mts_fixed_3  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 25.4
!
constraint create joint revolute  &
   joint_name = ._fsae_steer.josrev_steering_wheel  &
   i_marker_name = ._fsae_steer.ges_steering_wheel.jxs_joint_i_11  &
   j_marker_name = ._fsae_steer.mts_steering_column_to_frame.jxs_joint_j_11
!
constraint attributes  &
   constraint_name = ._fsae_steer.josrev_steering_wheel  &
   size_of_icons = 25.4
!
constraint create joint cylindrical  &
   joint_name = ._fsae_steer._cv_joint_for_motion  &
   comments = "Dummy for communicators"  &
   i_marker_name = ._fsae_steer._cv_part.marker  &
   j_marker_name = ._fsae_steer.ground._cv_marker
!
constraint attributes  &
   constraint_name = ._fsae_steer._cv_joint_for_motion  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 25.4
!
constraint create joint revolute  &
   joint_name = ._fsae_steer.josrev_pinion  &
   i_marker_name = ._fsae_steer.ges_steering_shaft.jxs_joint_i_12  &
   j_marker_name = ._fsae_steer.ges_rack_housing.jxs_joint_j_12
!
constraint attributes  &
   constraint_name = ._fsae_steer.josrev_pinion  &
   size_of_icons = 25.4
!
constraint create joint cylindrical  &
   joint_name = ._fsae_steer.joscyl_steering_column_to_body  &
   i_marker_name = ._fsae_steer.ges_steering_column.jxs_joint_i_13  &
   j_marker_name = ._fsae_steer.mts_steering_column_to_frame.jxs_joint_j_13
!
constraint attributes  &
   constraint_name = ._fsae_steer.joscyl_steering_column_to_body  &
   size_of_icons = 25.4
!
constraint create joint fixed  &
   joint_name = ._fsae_steer.josfix_rigid_rack_housing_mount  &
   i_marker_name = ._fsae_steer.ges_rack_housing.jxs_joint_i_15  &
   j_marker_name = ._fsae_steer.mts_rack_housing_to_frame.jxs_joint_j_15
!
constraint attributes  &
   constraint_name = ._fsae_steer.josfix_rigid_rack_housing_mount  &
   size_of_icons = 25.4
!
constraint create joint fixed  &
   joint_name = ._fsae_steer.mts_fixed_1  &
   i_marker_name = ._fsae_steer.mts_rack_housing_to_frame.mount_i  &
   j_marker_name = ._fsae_steer.ground.mts_mount_j_1
!
constraint attributes  &
   constraint_name = ._fsae_steer.mts_fixed_1  &
   visibility = off  &
   name_visibility = off
!
!------------------------------ Joint Primitives ------------------------------!
!
!
constraint create primitive_joint inplane  &
   jprim_name = ._fsae_steer._cv_joint  &
   comments = "Dummy for communicators"  &
   i_marker_name = ._fsae_steer._cv_part.marker  &
   j_marker_name = ._fsae_steer.ground._cv_marker
!
constraint attributes  &
   constraint_name = ._fsae_steer._cv_joint  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 25.4
!
!----------------------------------- Forces -----------------------------------!
!
!
force create element_like field  &
   field_name = ._fsae_steer._cv_bushing  &
   comments = "Dummy for communicators"  &
   i_marker_name = ._fsae_steer._cv_part.marker  &
   j_marker_name = ._fsae_steer.ground._cv_marker  &
   translation_at_preload = 0.0, 0.0, 0.0  &
   rotation_at_preload = 0.0d, 0.0d, 0.0d  &
   formulation = linear  &
   length_tolerance = 1.0E-05  &
   damping_ratio = 0.0  &
   stiffness_matrix =  &
      0.0, 0.0, 0.0, 0.0, 0.0, 0.0,  &
      0.0, 0.0, 0.0, 0.0, 0.0, 0.0,  &
      0.0, 0.0, 0.0, 0.0, 0.0, 0.0,  &
      0.0, 0.0, 0.0, 0.0, 0.0, 0.0,  &
      0.0, 0.0, 0.0, 0.0, 0.0, 0.0,  &
      0.0, 0.0, 0.0, 0.0, 0.0, 0.0  &
   force_preload = 0.0, 0.0, 0.0  &
   torque_preload = 0.0, 0.0, 0.0
!
force attributes  &
   force_name = ._fsae_steer._cv_bushing  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 25.4
!
!---------------------------------- Requests ----------------------------------!
!
!
output_control create request  &
   request_name = ._fsae_steer.steering_wheel_angle  &
   component_names = "", "", "", "", "", "angle", "", ""  &
   component_units = "no_units", "no_units", "no_units", "no_units",  &
                     "no_units", "angle", "no_units", "no_units"  &
   results_name = "steering_displacements"  &
   f6 = ""
!
output_control create request  &
   request_name = ._fsae_steer.pinion_rotational_displacement  &
   component_names = "", "", "pinion_displacement", "", "", "", "", ""  &
   component_units = "no_units", "no_units", "angle", "no_units", "no_units",  &
                     "no_units", "no_units", "no_units"  &
   results_name = "steering_displacements"  &
   f3 = ""
!
output_control create request  &
   request_name = ._fsae_steer.rack_travel  &
   component_names = "", "", "", "rack_displacement", "", "", "", ""  &
   component_units = "no_units", "no_units", "no_units", "length",  &
                     "no_units", "no_units", "no_units", "no_units"  &
   results_name = "steering_displacements"  &
   f4 = ""
!
!---------------------------------- Couplers ----------------------------------!
!
!
constraint create complex_joint coupler  &
   coupler_name = ._fsae_steer.grsred_steering_wheel_column_lock  &
   joint_name =  &
      ._fsae_steer.josrev_steering_wheel,  &
      ._fsae_steer.joscyl_steering_column_to_body  &
   type_of_freedom = rot_rot  &
   motion_multipliers = 1.0, 1.0
!
constraint attributes  &
   constraint_name = ._fsae_steer.grsred_steering_wheel_column_lock  &
   size_of_icons = 25.4
!
constraint create complex_joint coupler  &
   coupler_name = ._fsae_steer.grsred_pinion_to_rack  &
   joint_name =  &
      ._fsae_steer.josrev_pinion,  &
      ._fsae_steer.jostra_rack_to_rackhousing  &
   type_of_freedom = rot_tran  &
   motion_multipliers = -1.0, 8.33E-02
!
constraint attributes  &
   constraint_name = ._fsae_steer.grsred_pinion_to_rack  &
   size_of_icons = 25.4
!
!---------------------------------- Motions -----------------------------------!
!
!
constraint create motion_generator  &
   motion_name = ._fsae_steer._cv_motion  &
   comments = "Dummy for communicators"  &
   type_of_freedom = rotational  &
   joint_name = ._fsae_steer._cv_joint_for_motion  &
   function = ""
!
constraint attributes  &
   constraint_name = ._fsae_steer._cv_motion  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 25.4
!
!---------------------------------- Accgrav -----------------------------------!
!
!
force create body gravitational  &
   gravity_field_name = gravity  &
   x_component_gravity = 0.0  &
   y_component_gravity = 0.0  &
   z_component_gravity = -9810.0
!
force attributes  &
   force_name = ._fsae_steer.gravity  &
   size_of_icons = 25.4
!
!----------------------------- Analysis settings ------------------------------!
!
!
output_control set results  &
   model_name = _fsae_steer  &
   formatted = on
!
!---------------------------- Adams View Variables ----------------------------!
!
!
variable create  &
   variable_name = ._fsae_steer.gss_steering_assist.property_file  &
   string_value =   &
                  "mdids://acar_shared/steering_assists.tbl/mdi_steer_assist.ste"
!
variable create  &
   variable_name = ._fsae_steer.gss_steering_assist.datablock  &
   string_value = "steering_assist"
!
variable create  &
   variable_name = ._fsae_steer.gss_steering_assist.spline_type  &
   string_value = "two_dimensional"
!
variable create  &
   variable_name = ._fsae_steer.ges_steering_shaft.sms_sprung_mass_percent  &
   real_value = 100.0
!
variable create  &
   variable_name = ._fsae_steer.ges_rack.sms_sprung_mass_percent  &
   real_value = 100.0
!
variable create  &
   variable_name = ._fsae_steer.ges_steering_wheel.sms_sprung_mass_percent  &
   real_value = 100.0
!
variable create  &
   variable_name = ._fsae_steer.ges_rack_housing.sms_sprung_mass_percent  &
   real_value = 100.0
!
variable create  &
   variable_name = ._fsae_steer.ges_steering_column.sms_sprung_mass_percent  &
   real_value = 100.0
!
variable create  &
   variable_name = ._fsae_steer.ges_intermediate_shaft.sms_sprung_mass_percent  &
   real_value = 100.0
!
variable create  &
   variable_name = ._fsae_steer.mts_steering_column_to_frame.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_steer.mts_steering_column_to_frame.dependents  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_steer.mts_rack_housing_to_frame.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_steer.mts_rack_housing_to_frame.dependents  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_steer.grsred_steering_wheel_column_lock.reduction_ratio  &
   units = "no_units"  &
   real_value = 1.0
!
variable create  &
   variable_name = ._fsae_steer.grsred_steering_wheel_column_lock.invert_input  &
   integer_value = 1
!
variable create  &
   variable_name = ._fsae_steer.grsred_pinion_to_rack.reduction_ratio  &
   units = "no_units"  &
   real_value = 8.33E-02
!
variable create  &
   variable_name = ._fsae_steer.grsred_pinion_to_rack.invert_input  &
   integer_value = 0
!
variable create  &
   variable_name = ._fsae_steer.speed  &
   units = "velocity"  &
   real_value = 0.0
!
variable create  &
   variable_name = ._fsae_steer.role  &
   string_value = "steering"  &
   comments = "Memory for Adams Car major role"
!
variable create  &
   variable_name = ._fsae_steer.col_tierod_to_steering  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_steer.col_tierod_to_steering.matching_name  &
   string_value = "tierod_to_steering"
!
variable create  &
   variable_name = ._fsae_steer.col_tierod_to_steering.entity  &
   string_value = "mount"
!
variable create  &
   variable_name = ._fsae_steer.col_tierod_to_steering.minor_role  &
   string_value = "front"
!
variable create  &
   variable_name = ._fsae_steer.cor_tierod_to_steering  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_steer.cor_tierod_to_steering.matching_name  &
   string_value = "tierod_to_steering"
!
variable create  &
   variable_name = ._fsae_steer.cor_tierod_to_steering.entity  &
   string_value = "mount"
!
variable create  &
   variable_name = ._fsae_steer.cor_tierod_to_steering.minor_role  &
   string_value = "front"
!
variable create  &
   variable_name = ._fsae_steer.cis_steering_column_to_frame  &
   object_value = (NONE)  &
   comments = "Autocreated for mount part: mts_steering_column_to_frame"
!
variable create  &
   variable_name = ._fsae_steer.cis_steering_column_to_frame.matching_name  &
   string_value = "steering_column_to_frame"
!
variable create  &
   variable_name = ._fsae_steer.cis_steering_column_to_frame.entity  &
   string_value = "mount"
!
variable create  &
   variable_name = ._fsae_steer.cis_steering_column_to_frame.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_steer.cos_steering_wheel_joint  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_steer.cos_steering_wheel_joint.matching_name  &
   string_value = "steering_wheel_joint"
!
variable create  &
   variable_name = ._fsae_steer.cos_steering_wheel_joint.entity  &
   string_value = "joint_for_motion"
!
variable create  &
   variable_name = ._fsae_steer.cos_steering_wheel_joint.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_steer.cos_steering_rack_joint  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_steer.cos_steering_rack_joint.matching_name  &
   string_value = "steering_rack_joint"
!
variable create  &
   variable_name = ._fsae_steer.cos_steering_rack_joint.entity  &
   string_value = "joint_for_motion"
!
variable create  &
   variable_name = ._fsae_steer.cos_steering_rack_joint.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_steer.template_creation_date  &
   string_value = "1995/08/16,11:19:36  - converted to file_version 4"  &
   comments = "Do not remove"
!
variable create  &
   variable_name = ._fsae_steer.minor_role  &
   string_value = "unassigned"  &
   comments = "Memory for Adams/Car minor role"
!
variable create  &
   variable_name = ._fsae_steer.phs_steering_assist_active  &
   integer_value = 0  &
   comments = "Flag that determines if the steering assist is active"
!
variable create  &
   variable_name = ._fsae_steer.phs_kinematic_flag  &
   integer_value = 0  &
   comments =   &
              "Flag that determines if kinematic joints or bushings are active"
!
variable create  &
   variable_name = ._fsae_steer.model_class  &
   string_value = "template"  &
   comments = "Memory for Adams/Car model class"
!
variable create  &
   variable_name = ._fsae_steer.custom_dboxes  &
   string_value = "dbox_steering_assist"
!
variable create  &
   variable_name = ._fsae_steer.custom_menus  &
   string_value = "button1"
!
variable create  &
   variable_name = ._fsae_steer.custom_menus.button1  &
   string_value = "interface dialog_box display &",  &
                  " dialog_box=.ACAR.custom.dbox_steering_assist"  &
   comments = "adjust", "Steering Assist"
!
variable create  &
   variable_name = ._fsae_steer.gps_rack_piston_area  &
   units = "no_units"  &
   real_value = 0.0
!
variable create  &
   variable_name = ._fsae_steer.gps_rack_piston_area.property_file  &
   string_value =   &
                  "mdids://acar_shared/steering_assists.tbl/mdi_steer_assist.ste"
!
variable create  &
   variable_name = ._fsae_steer.gps_rack_piston_area.datablock  &
   string_value = "STEERING_ASSIST"
!
variable create  &
   variable_name = ._fsae_steer.gps_rack_piston_area.attribute  &
   string_value = "piston_area"
!
variable create  &
   variable_name = ._fsae_steer.pvs_max_steering_angle  &
   units = "angle"  &
   real_value = 360.0
!
variable create  &
   variable_name = ._fsae_steer.pvs_max_rack_displacement  &
   units = "length"  &
   real_value = 40.0
!
variable create  &
   variable_name = ._fsae_steer.pvs_max_rack_force  &
   units = "force"  &
   real_value = 1.0E+04
!
variable create  &
   variable_name = ._fsae_steer.pvs_max_steering_torque  &
   units = "torque"  &
   real_value = 1.0E+05
!
variable create  &
   variable_name = ._fsae_steer.cos_max_steering_angle  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_steer.cos_max_steering_angle.matching_name  &
   string_value = "max_steering_angle"
!
variable create  &
   variable_name = ._fsae_steer.cos_max_steering_angle.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_steer.cos_max_steering_angle.entity  &
   string_value = "parameter_real"
!
variable create  &
   variable_name = ._fsae_steer.cos_max_rack_displacement  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_steer.cos_max_rack_displacement.matching_name  &
   string_value = "max_rack_displacement"
!
variable create  &
   variable_name = ._fsae_steer.cos_max_rack_displacement.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_steer.cos_max_rack_displacement.entity  &
   string_value = "parameter_real"
!
variable create  &
   variable_name = ._fsae_steer.cos_max_rack_force  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_steer.cos_max_rack_force.matching_name  &
   string_value = "max_rack_force"
!
variable create  &
   variable_name = ._fsae_steer.cos_max_rack_force.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_steer.cos_max_rack_force.entity  &
   string_value = "parameter_real"
!
variable create  &
   variable_name = ._fsae_steer.cos_max_steering_torque  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_steer.cos_max_steering_torque.matching_name  &
   string_value = "max_steering_torque"
!
variable create  &
   variable_name = ._fsae_steer.cos_max_steering_torque.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_steer.cos_max_steering_torque.entity  &
   string_value = "parameter_real"
!
variable create  &
   variable_name = ._fsae_steer.convert_to_degrees  &
   real_value = 57.2957795131
!
variable create  &
   variable_name = ._fsae_steer.cis_rack_housing_to_frame  &
   object_value = (NONE)  &
   comments = "Autocreated for mount part: mts_rack_housing_to_frame"
!
variable create  &
   variable_name = ._fsae_steer.cis_rack_housing_to_frame.matching_name  &
   string_value = "rack_housing_to_frame"
!
variable create  &
   variable_name = ._fsae_steer.cis_rack_housing_to_frame.entity  &
   string_value = "mount"
!
variable create  &
   variable_name = ._fsae_steer.cis_rack_housing_to_frame.minor_role  &
   string_value = "inherit"
!
!---------------------------- Adams View Functions ----------------------------!
!
!
function create  &
   function_name = .SYMMETRY  &
   text_of_expression = "LOC_MIRROR(location, .__ACAR.ground.origo, .ACAR.variables.symmetry_plane)"  &
   argument_names = "location"  &
   type = location_orientation  &
   comments =   &
              "Compute mirrored location over the symmetry plane given 3x1 location vector"
!
!------------------------- Groups Owned By This Model -------------------------!
!
!
group create  &
   group_name = ._fsae_steer.steering_assist_active  &
   expr_active = 1
!
group create  &
   group_name = ._fsae_steer.steering_assist_inactive  &
   expr_active = 1
!
group create  &
   group_name = ._fsae_steer.kinematic_mode_active  &
   expr_active = 1
!
group create  &
   group_name = ._fsae_steer.kinematic_mode_inactive  &
   expr_active = 1
!
!---------------------- Set Adams View Object Variables -----------------------!
!
!
variable modify  &
   variable_name = ._fsae_steer.mts_steering_column_to_frame.dependents  &
   object_value = ._fsae_steer.mts_fixed_3,  &
                  ._fsae_steer.cis_steering_column_to_frame
!
variable modify  &
   variable_name = ._fsae_steer.mts_rack_housing_to_frame.dependents  &
   object_value = ._fsae_steer.mts_fixed_1,  &
                  ._fsae_steer.cis_rack_housing_to_frame
!
variable modify  &
   variable_name = ._fsae_steer.col_tierod_to_steering  &
   object_value = ._fsae_steer.ges_rack
!
variable modify  &
   variable_name = ._fsae_steer.cor_tierod_to_steering  &
   object_value = ._fsae_steer.ges_rack
!
variable modify  &
   variable_name = ._fsae_steer.cis_steering_column_to_frame  &
   object_value = ._fsae_steer.ground.mts_mount_j_3,  &
                  ._fsae_steer.mts_steering_column_to_frame,  &
                  ._fsae_steer.mts_fixed_3
!
variable modify  &
   variable_name = ._fsae_steer.cos_steering_wheel_joint  &
   object_value = ._fsae_steer.josrev_steering_wheel
!
variable modify  &
   variable_name = ._fsae_steer.cos_steering_rack_joint  &
   object_value = ._fsae_steer.jostra_rack_to_rackhousing
!
variable modify  &
   variable_name = ._fsae_steer.cos_max_steering_angle  &
   object_value = ._fsae_steer.pvs_max_steering_angle
!
variable modify  &
   variable_name = ._fsae_steer.cos_max_rack_displacement  &
   object_value = ._fsae_steer.pvs_max_rack_displacement
!
variable modify  &
   variable_name = ._fsae_steer.cos_max_rack_force  &
   object_value = ._fsae_steer.pvs_max_rack_force
!
variable modify  &
   variable_name = ._fsae_steer.cos_max_steering_torque  &
   object_value = ._fsae_steer.pvs_max_steering_torque
!
variable modify  &
   variable_name = ._fsae_steer.cis_rack_housing_to_frame  &
   object_value = ._fsae_steer.ground.mts_mount_j_1,  &
                  ._fsae_steer.mts_rack_housing_to_frame,  &
                  ._fsae_steer.mts_fixed_1
!
!--------------------------- Add Objects To Groups ----------------------------!
!
!
group modify  &
   group_name = ._fsae_steer.steering_assist_active  &
   objects_in_group = ._fsae_steer.gss_steering_assist
!
group modify  &
   group_name = ._fsae_steer.steering_assist_inactive
!
group modify  &
   group_name = ._fsae_steer.kinematic_mode_active
!
group modify  &
   group_name = ._fsae_steer.kinematic_mode_inactive
!
!---------------------------- Function definitions ----------------------------!
!
!
constraint modify motion_generator  &
   motion_name = ._fsae_steer._cv_motion  &
   function = "0"
!
data_element modify variable  &
   variable_name = ._fsae_steer._cv_solver_variable  &
   function = "0"
!
part modify equation differential_equation  &
   differential_equation_name = ._fsae_steer._cv_diff  &
   function = "0"
!
output_control modify request  &
   request_name = ._fsae_steer.steering_wheel_angle  &
   f6 = "AZ(._fsae_steer.ges_steering_wheel.jxs_joint_i_11,._fsae_steer.mts_steering_column_to_frame.jxs_joint_j_11)"
!
output_control modify request  &
   request_name = ._fsae_steer.pinion_rotational_displacement  &
   f3 = "AZ(._fsae_steer.ges_steering_shaft.jxs_joint_i_12,._fsae_steer.ges_rack_housing.jxs_joint_j_12)"
!
output_control modify request  &
   request_name = ._fsae_steer.rack_travel  &
   f4 = "DZ(._fsae_steer.ges_rack.jxs_joint_i_10,._fsae_steer.ges_rack_housing.jxs_joint_j_10,._fsae_steer.ges_rack_housing.jxs_joint_j_10)"
!
!--------------------------- Expression definitions ---------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ground
!
marker modify  &
   marker_name = ._fsae_steer.ground.cfs_steering_wheel_center  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_steer.ground.hps_steering_wheel_center))  &
   orientation =   &
      (ORI_ALONG_AXIS(._fsae_steer.ground.hps_steering_wheel_center, ._fsae_steer.ground.hps_intermediate_shaft_rearward, "Z"))
!
marker modify  &
   marker_name = ._fsae_steer.ground.cfs_pinion_pivot  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_steer.ground.hps_pinion_pivot))  &
   orientation =   &
      (ORI_ALONG_AXIS(._fsae_steer.ground.hps_pinion_pivot, ._fsae_steer.ground.hps_intermediate_shaft_forward, "Z"))
!
marker modify  &
   marker_name = ._fsae_steer.ground.cfs_rack_mount  &
   location =   &
      (LOC_CENTERED({._fsae_steer.ground.hpl_tierod_inner.loc, ._fsae_steer.ground.hpr_tierod_inner.loc}, 2))  &
   orientation =   &
      (ORI_ALONG_AXIS(._fsae_steer.ground.hpl_tierod_inner, ._fsae_steer.ground.hpr_tierod_inner, "Z"))
!
marker modify  &
   marker_name = ._fsae_steer.ground.mts_mount_j_3  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_steer.mts_steering_column_to_frame))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_steer.mts_steering_column_to_frame))
!
marker modify  &
   marker_name = ._fsae_steer.ground.cfs_steering_column_to_body  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 100.0}mm, ._fsae_steer.ground.cfs_steering_wheel_center))  &
   orientation =   &
      (ORI_RELATIVE_TO({0.0, 0.0, 0.0}, ._fsae_steer.ground.cfs_steering_wheel_center))
!
marker modify  &
   marker_name = ._fsae_steer.ground.mts_mount_j_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_steer.mts_rack_housing_to_frame))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_steer.mts_rack_housing_to_frame))
!
data_element modify string  &
   string_name = ._fsae_steer.minor_role_string  &
   string = (._fsae_steer.minor_role)
!
material modify  &
   material_name = ._fsae_steer.aluminum  &
   density = (2740.0(kg/meter**3))  &
   youngs_modulus = (7.1705E+10(Newton/meter**2))
!
marker modify  &
   marker_name = ._fsae_steer.ges_steering_shaft.gralin_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_steer.ground.hps_intermediate_shaft_forward))  &
   orientation =   &
      (ORI_ALONG_AXIS(._fsae_steer.ground.hps_intermediate_shaft_forward, ._fsae_steer.ground.hps_pinion_pivot, "Z"))  &
   relative_to = ._fsae_steer.ges_steering_shaft
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_steer.ground
!
marker modify  &
   marker_name = ._fsae_steer.ges_steering_shaft.jxs_joint_j_9  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}inch, ._fsae_steer.ground.hps_intermediate_shaft_forward))  &
   orientation =   &
      (ORI_IN_PLANE(._fsae_steer.ges_steering_shaft.jxs_joint_j_9, ._fsae_steer.ground.hps_pinion_pivot, ._fsae_steer.ground.hps_intermediate_shaft_rearward, "Z_ZX"))  &
   relative_to = ._fsae_steer.ges_steering_shaft
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_steer.ground
!
marker modify  &
   marker_name = ._fsae_steer.ges_steering_shaft.josrev_steering_input_shaft_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_steer.ground.hps_pinion_pivot))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_steer.ground.cfs_pinion_pivot))  &
   relative_to = ._fsae_steer.ges_steering_shaft
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_steer.ground
!
marker modify  &
   marker_name = ._fsae_steer.ges_steering_shaft.inertia_frame  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_steer.ges_steering_shaft.cm))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_steer.ges_steering_shaft))  &
   relative_to = ._fsae_steer.ges_steering_shaft
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_steer.ground
!
marker modify  &
   marker_name = ._fsae_steer.ges_steering_shaft.jxs_joint_i_12  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_steer.ges_rack_housing.jxs_joint_j_12))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_steer.ges_rack_housing.jxs_joint_j_12))  &
   relative_to = ._fsae_steer.ges_steering_shaft
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_steer.ground
!
geometry modify shape cylinder  &
   cylinder_name = ._fsae_steer.ges_steering_shaft.gralin_steering_shaft  &
   length = (DM(._fsae_steer.ground.hps_intermediate_shaft_forward, ._fsae_steer.ground.hps_pinion_pivot))
!
part modify rigid_body name_and_position  &
   part_name = ._fsae_steer.ges_steering_shaft  &
   location =   &
      (LOC_ALONG_LINE(._fsae_steer.ground.hps_intermediate_shaft_forward, ._fsae_steer.ground.hps_pinion_pivot, 0.5 * DM(._fsae_steer.ground.hps_intermediate_shaft_forward, ._fsae_steer.ground.hps_pinion_pivot)))  &
   orientation =   &
      (ORI_ALONG_AXIS(._fsae_steer.ges_steering_shaft, ._fsae_steer.ground.hps_intermediate_shaft_forward, "Z"))
!
marker modify  &
   marker_name = ._fsae_steer.ges_rack.gralin_2  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_steer.ground.hpr_tierod_inner))  &
   orientation =   &
      (ORI_ALONG_AXIS(._fsae_steer.ground.hpr_tierod_inner, ._fsae_steer.ground.hpl_tierod_inner, "Z"))  &
   relative_to = ._fsae_steer.ges_rack
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_steer.ground
!
marker modify  &
   marker_name = ._fsae_steer.ges_rack.jxs_joint_i_10  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_steer.ges_rack_housing.jxs_joint_j_10))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_steer.ges_rack_housing.jxs_joint_j_10))  &
   relative_to = ._fsae_steer.ges_rack
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_steer.ground
!
marker modify  &
   marker_name = ._fsae_steer.ges_rack.inertia_frame  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_steer.ges_rack.cm))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_steer.ges_rack))  &
   relative_to = ._fsae_steer.ges_rack
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_steer.ground
!
geometry modify shape cylinder  &
   cylinder_name = ._fsae_steer.ges_rack.gralin_rack  &
   length = (DM(._fsae_steer.ground.hpl_tierod_inner, ._fsae_steer.ground.hpr_tierod_inner))
!
part modify rigid_body name_and_position  &
   part_name = ._fsae_steer.ges_rack  &
   location =   &
      (LOC_ALONG_LINE(._fsae_steer.ground.hpl_tierod_inner, ._fsae_steer.ground.hpr_tierod_inner, 0.5 * DM(._fsae_steer.ground.hpl_tierod_inner, ._fsae_steer.ground.hpr_tierod_inner)))  &
   orientation =   &
      (ORI_ALONG_AXIS(._fsae_steer.ges_rack, ._fsae_steer.ground.hpl_tierod_inner, "Z"))
!
marker modify  &
   marker_name = ._fsae_steer.ges_steering_wheel.graphics_location  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0} + ._fsae_steer.ground.hps_steering_wheel_center.location, ._fsae_steer.ground))  &
   orientation =   &
      (ORI_RELATIVE_TO({0.0, 0.0, 180}degrees, ._fsae_steer.ground.cfs_steering_wheel_center))  &
   relative_to = ._fsae_steer.ges_steering_wheel
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_steer.ground
!
marker modify  &
   marker_name = ._fsae_steer.ges_steering_wheel.jxs_joint_i_11  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_steer.mts_steering_column_to_frame.jxs_joint_j_11))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_steer.mts_steering_column_to_frame.jxs_joint_j_11))  &
   relative_to = ._fsae_steer.ges_steering_wheel
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_steer.ground
!
marker modify  &
   marker_name = ._fsae_steer.ges_steering_wheel.inertia_frame  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_steer.ges_steering_wheel.cm))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_steer.ges_steering_wheel))  &
   relative_to = ._fsae_steer.ges_steering_wheel
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_steer.ground
!
marker modify  &
   marker_name = ._fsae_steer.ges_steering_wheel.jfs_actuator_i_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_steer.ges_steering_wheel.jxs_joint_i_11))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_steer.ges_steering_wheel.jxs_joint_i_11))  &
   relative_to = ._fsae_steer.ges_steering_wheel
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_steer.ground
!
marker modify  &
   marker_name = ._fsae_steer.ges_steering_wheel.gracyl_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, -12.0}mm, ._fsae_steer.ground.cfs_steering_wheel_center))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_steer.ground.cfs_steering_wheel_center))  &
   relative_to = ._fsae_steer.ges_steering_wheel
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_steer.ground
!
part modify rigid_body name_and_position  &
   part_name = ._fsae_steer.ges_steering_wheel  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}inch, ._fsae_steer.ground.hps_steering_wheel_center))  &
   orientation =   &
      (ORI_RELATIVE_TO({0.0, 8.53774E-07, 0.0}degrees, ._fsae_steer.ground.cfs_steering_wheel_center))
!
marker modify  &
   marker_name = ._fsae_steer.ges_rack_housing.gralin_3  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_steer.ground.hpr_rack_house_mount))  &
   orientation =   &
      (ORI_ALONG_AXIS(._fsae_steer.ground.hpr_rack_house_mount, ._fsae_steer.ground.hpl_rack_house_mount, "Z"))  &
   relative_to = ._fsae_steer.ges_rack_housing
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_steer.ground
!
marker modify  &
   marker_name = ._fsae_steer.ges_rack_housing.jxs_joint_j_10  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}mm, ._fsae_steer.ground.cfs_rack_mount))  &
   orientation =   &
      (ORI_ALONG_AXIS(._fsae_steer.ground.hpl_tierod_inner, ._fsae_steer.ground.hpr_tierod_inner, "Z"))  &
   relative_to = ._fsae_steer.ges_rack_housing
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_steer.ground
!
marker modify  &
   marker_name = ._fsae_steer.ges_rack_housing.jxs_joint_i_15  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_steer.mts_rack_housing_to_frame.jxs_joint_j_15))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_steer.mts_rack_housing_to_frame.jxs_joint_j_15))  &
   relative_to = ._fsae_steer.ges_rack_housing
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_steer.ground
!
marker modify  &
   marker_name = ._fsae_steer.ges_rack_housing.inertia_frame  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_steer.ges_rack_housing.cm))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_steer.ges_rack_housing))  &
   relative_to = ._fsae_steer.ges_rack_housing
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_steer.ground
!
marker modify  &
   marker_name = ._fsae_steer.ges_rack_housing.jxs_joint_j_12  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}inch, ._fsae_steer.ground.hps_pinion_pivot))  &
   orientation =   &
      (ORI_ALONG_AXIS(._fsae_steer.ground.hps_intermediate_shaft_forward, ._fsae_steer.ground.hps_pinion_pivot, "Z"))  &
   relative_to = ._fsae_steer.ges_rack_housing
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_steer.ground
!
geometry modify shape cylinder  &
   cylinder_name = ._fsae_steer.ges_rack_housing.gralin_rack_housing  &
   length = (DM(._fsae_steer.ground.hpl_rack_house_mount, ._fsae_steer.ground.hpr_rack_house_mount))
!
part modify rigid_body name_and_position  &
   part_name = ._fsae_steer.ges_rack_housing  &
   location =   &
      (LOC_ALONG_LINE(._fsae_steer.ground.hpl_rack_house_mount, ._fsae_steer.ground.hpr_rack_house_mount, 0.5 * DM(._fsae_steer.ground.hpl_rack_house_mount, ._fsae_steer.ground.hpr_rack_house_mount)))  &
   orientation =   &
      (ORI_ALONG_AXIS(._fsae_steer.ges_rack_housing, ._fsae_steer.ground.hpl_rack_house_mount, "Z"))
!
marker modify  &
   marker_name = ._fsae_steer.ges_steering_column.gralin_4  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_steer.ground.hps_intermediate_shaft_rearward))  &
   orientation =   &
      (ORI_ALONG_AXIS(._fsae_steer.ground.hps_intermediate_shaft_rearward, ._fsae_steer.ground.hps_steering_wheel_center, "Z"))  &
   relative_to = ._fsae_steer.ges_steering_column
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_steer.ground
!
marker modify  &
   marker_name = ._fsae_steer.ges_steering_column.jxs_joint_i_8  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_steer.ges_intermediate_shaft.jxs_joint_j_8))  &
   orientation =   &
      (ORI_IN_PLANE(._fsae_steer.ges_steering_column.jxs_joint_i_8, ._fsae_steer.ground.hps_steering_wheel_center, ._fsae_steer.ground.hps_intermediate_shaft_forward, "Z_ZX"))  &
   relative_to = ._fsae_steer.ges_steering_column
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_steer.ground
!
marker modify  &
   marker_name = ._fsae_steer.ges_steering_column.jxs_joint_i_13  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_steer.mts_steering_column_to_frame.jxs_joint_j_13))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_steer.mts_steering_column_to_frame.jxs_joint_j_13))  &
   relative_to = ._fsae_steer.ges_steering_column
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_steer.ground
!
marker modify  &
   marker_name = ._fsae_steer.ges_steering_column.inertia_frame  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_steer.ges_steering_column.cm))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_steer.ges_steering_column))  &
   relative_to = ._fsae_steer.ges_steering_column
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_steer.ground
!
geometry modify shape cylinder  &
   cylinder_name = ._fsae_steer.ges_steering_column.gralin_steering_column  &
   length = (DM(._fsae_steer.ground.hps_intermediate_shaft_rearward, ._fsae_steer.ground.hps_steering_wheel_center))
!
part modify rigid_body name_and_position  &
   part_name = ._fsae_steer.ges_steering_column  &
   location =   &
      (LOC_ALONG_LINE(._fsae_steer.ground.hps_steering_wheel_center, ._fsae_steer.ground.hps_intermediate_shaft_rearward, 0.5 * DM(._fsae_steer.ground.hps_steering_wheel_center, ._fsae_steer.ground.hps_intermediate_shaft_rearward)))  &
   orientation =   &
      (ORI_ALONG_AXIS(._fsae_steer.ges_steering_column, ._fsae_steer.ground.hps_intermediate_shaft_rearward, "Z"))
!
marker modify  &
   marker_name = ._fsae_steer.ges_intermediate_shaft.gralin_5  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_steer.ground.hps_intermediate_shaft_rearward))  &
   orientation =   &
      (ORI_ALONG_AXIS(._fsae_steer.ground.hps_intermediate_shaft_rearward, ._fsae_steer.ground.hps_intermediate_shaft_forward, "Z"))  &
   relative_to = ._fsae_steer.ges_intermediate_shaft
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_steer.ground
!
marker modify  &
   marker_name = ._fsae_steer.ges_intermediate_shaft.jxs_joint_j_8  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}inch, ._fsae_steer.ground.hps_intermediate_shaft_rearward))  &
   orientation =   &
      (ORI_IN_PLANE(._fsae_steer.ges_intermediate_shaft.jxs_joint_j_8, ._fsae_steer.ground.hps_intermediate_shaft_forward, ._fsae_steer.ground.hps_steering_wheel_center, "Z_ZX"))  &
   relative_to = ._fsae_steer.ges_intermediate_shaft
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_steer.ground
!
marker modify  &
   marker_name = ._fsae_steer.ges_intermediate_shaft.jxs_joint_i_9  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_steer.ges_steering_shaft.jxs_joint_j_9))  &
   orientation =   &
      (ORI_IN_PLANE(._fsae_steer.ges_intermediate_shaft.jxs_joint_i_9, ._fsae_steer.ground.hps_intermediate_shaft_rearward, ._fsae_steer.ground.hps_pinion_pivot, "Z_ZX"))  &
   relative_to = ._fsae_steer.ges_intermediate_shaft
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_steer.ground
!
marker modify  &
   marker_name = ._fsae_steer.ges_intermediate_shaft.inertia_frame  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_steer.ges_intermediate_shaft.cm))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_steer.ges_intermediate_shaft))  &
   relative_to = ._fsae_steer.ges_intermediate_shaft
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_steer.ground
!
marker modify  &
   marker_name = ._fsae_steer.ges_intermediate_shaft.graell_13  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_steer.ground.hps_intermediate_shaft_rearward))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_steer.ground.hps_intermediate_shaft_rearward))  &
   relative_to = ._fsae_steer.ges_intermediate_shaft
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_steer.ground
!
marker modify  &
   marker_name = ._fsae_steer.ges_intermediate_shaft.graell_14  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_steer.ground.hps_intermediate_shaft_forward))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_steer.ground.hps_intermediate_shaft_forward))  &
   relative_to = ._fsae_steer.ges_intermediate_shaft
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_steer.ground
!
geometry modify shape cylinder  &
   cylinder_name = ._fsae_steer.ges_intermediate_shaft.gralin_intermediate_shaft  &
   length = (DM(._fsae_steer.ground.hps_intermediate_shaft_rearward, ._fsae_steer.ground.hps_intermediate_shaft_forward))
!
geometry modify shape ellipsoid  &
   ellipsoid_name = ._fsae_steer.ges_intermediate_shaft.graell_column  &
   x_scale_factor = (._fsae_steer.ges_intermediate_shaft.gralin_intermediate_shaft.radius * 2 * 1.0)  &
   y_scale_factor = (._fsae_steer.ges_intermediate_shaft.gralin_intermediate_shaft.radius * 2 * 1.0)  &
   z_scale_factor = (._fsae_steer.ges_intermediate_shaft.gralin_intermediate_shaft.radius * 2 * 1.0)
!
geometry modify shape ellipsoid  &
   ellipsoid_name = ._fsae_steer.ges_intermediate_shaft.graell_intermdiate  &
   x_scale_factor = (._fsae_steer.ges_intermediate_shaft.gralin_intermediate_shaft.radius * 2 * 1.0)  &
   y_scale_factor = (._fsae_steer.ges_intermediate_shaft.gralin_intermediate_shaft.radius * 2 * 1.0)  &
   z_scale_factor = (._fsae_steer.ges_intermediate_shaft.gralin_intermediate_shaft.radius * 2 * 1.0)
!
part modify rigid_body name_and_position  &
   part_name = ._fsae_steer.ges_intermediate_shaft  &
   location =   &
      (LOC_ALONG_LINE(._fsae_steer.ground.hps_intermediate_shaft_rearward, ._fsae_steer.ground.hps_intermediate_shaft_forward, 0.5 * DM(._fsae_steer.ground.hps_intermediate_shaft_rearward, ._fsae_steer.ground.hps_intermediate_shaft_forward)))  &
   orientation =   &
      (ORI_ALONG_AXIS(._fsae_steer.ges_intermediate_shaft, ._fsae_steer.ground.hps_intermediate_shaft_rearward, "Z"))
!
marker modify  &
   marker_name = ._fsae_steer.mts_steering_column_to_frame.jxs_joint_j_11  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}mm, ._fsae_steer.ground.hps_steering_wheel_center))  &
   orientation =   &
      (ORI_RELATIVE_TO({0.0, 180.0, 0.0}degrees, ._fsae_steer.ground.cfs_steering_wheel_center))  &
   relative_to = ._fsae_steer.mts_steering_column_to_frame
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_steer.ground
!
marker modify  &
   marker_name = ._fsae_steer.mts_steering_column_to_frame.jxs_joint_j_13  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}mm, ._fsae_steer.ground.cfs_steering_column_to_body))  &
   orientation =   &
      (ORI_RELATIVE_TO({90.0, 180.0, 0.0}degrees, ._fsae_steer.ground.cfs_steering_column_to_body))  &
   relative_to = ._fsae_steer.mts_steering_column_to_frame
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_steer.ground
!
marker modify  &
   marker_name = ._fsae_steer.mts_steering_column_to_frame.jfs_actuator_j_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_steer.mts_steering_column_to_frame.jxs_joint_j_11))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_steer.mts_steering_column_to_frame.jxs_joint_j_11))  &
   relative_to = ._fsae_steer.mts_steering_column_to_frame
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_steer.ground
!
geometry modify shape cylinder  &
   cylinder_name = ._fsae_steer.mts_steering_column_to_frame.steering_column_housing  &
   length = (0.3 * DM(._fsae_steer.ground.hps_steering_wheel_center, ._fsae_steer.ground.hps_intermediate_shaft_rearward))
!
part modify rigid_body name_and_position  &
   part_name = ._fsae_steer.mts_steering_column_to_frame  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_steer.ground.hps_intermediate_shaft_rearward))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_steer.ground.origo))
!
marker modify  &
   marker_name = ._fsae_steer.mts_rack_housing_to_frame.jxs_joint_j_15  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}inch, ._fsae_steer.ground.cfs_rack_mount))  &
   orientation =   &
      (ORI_RELATIVE_TO({0.0, 0.0, 0.0}degrees, ._fsae_steer.ground.origo))  &
   relative_to = ._fsae_steer.mts_rack_housing_to_frame
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_steer.ground
!
part modify rigid_body name_and_position  &
   part_name = ._fsae_steer.mts_rack_housing_to_frame  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_steer.ground.hps_pinion_pivot))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_steer.ground.origo))
!
constraint modify complex_joint coupler  &
   coupler_name = ._fsae_steer.grsred_steering_wheel_column_lock  &
   motion_multipliers =   &
      (._fsae_steer.grsred_steering_wheel_column_lock.invert_input ? 1.0 : -1.0),  &
      (._fsae_steer.grsred_steering_wheel_column_lock.reduction_ratio)
!
variable modify  &
   variable_name = ._fsae_steer.grsred_pinion_to_rack.reduction_ratio  &
   real_value = (8.33E-02(1/mm))
!
constraint modify complex_joint coupler  &
   coupler_name = ._fsae_steer.grsred_pinion_to_rack  &
   motion_multipliers =   &
      (._fsae_steer.grsred_pinion_to_rack.invert_input ? 1.0 : -1.0),  &
      (._fsae_steer.grsred_pinion_to_rack.reduction_ratio)
!
variable modify  &
   variable_name = ._fsae_steer.cis_steering_column_to_frame.minor_role  &
   string_value = (._fsae_steer.mts_steering_column_to_frame.minor_role)
!
variable modify  &
   variable_name = ._fsae_steer.cis_steering_column_to_frame  &
   comments = ("Autocreated for mount part: " // ._fsae_steer.cis_steering_column_to_frame[2].name)
!
variable modify  &
   variable_name = ._fsae_steer.convert_to_degrees  &
   real_value = (1.0radians)
!
variable modify  &
   variable_name = ._fsae_steer.cis_rack_housing_to_frame.minor_role  &
   string_value = (._fsae_steer.mts_rack_housing_to_frame.minor_role)
!
variable modify  &
   variable_name = ._fsae_steer.cis_rack_housing_to_frame  &
   comments = ("Autocreated for mount part: " // ._fsae_steer.cis_rack_housing_to_frame[2].name)
!
group modify  &
   group_name = ._fsae_steer.steering_assist_active  &
   expr_active = (( ! ._fsae_steer.phs_kinematic_flag && ._fsae_steer.phs_steering_assist_active || ._fsae_steer.model_class == "template" ? 1 : 0) && DB_ACTIVE(._fsae_steer))
!
group modify  &
   group_name = ._fsae_steer.steering_assist_inactive  &
   expr_active = ((._fsae_steer.phs_kinematic_flag ||  ! ._fsae_steer.phs_steering_assist_active || ._fsae_steer.model_class == "template" ? 1 : 0) && DB_ACTIVE(._fsae_steer))
!
group modify  &
   group_name = ._fsae_steer.kinematic_mode_active  &
   expr_active = ((._fsae_steer.phs_kinematic_flag || ._fsae_steer.model_class == "template" ? 1 : 0) && DB_ACTIVE(._fsae_steer))
!
group modify  &
   group_name = ._fsae_steer.kinematic_mode_inactive  &
   expr_active = (( ! ._fsae_steer.phs_kinematic_flag || ._fsae_steer.model_class == "template" ? 1 : 0) && DB_ACTIVE(._fsae_steer))
!
model display  &
   model_name = _fsae_steer
!
!-------------------------- Custom Dboxes for Template ------------------------!
!
!
if condition=(!db_exists(".ACAR.custom.dbox_steering_assist"))
!
interface dialog_box create  &
   dialog_box_name = .ACAR.custom.dbox_steering_assist  &
   location = 33.0, 154.0  &
   height = 98.0  &
   width = 400.0  &
   units = pixel  &
   horiz_resizing = scale_all  &
   vert_resizing = scale_all  &
   title = "Modify Steering Assist"  &
   iconifiable = no  &
   start_commands = "variable set variable_name=$_self.errorFlag int=0",  &
                    "variable set variable_name=$_self.defaultModel &",  &
                    " object_value=(eval(db_default(.system_defaults, \"model\")))",  &
                    "if condition=(db_exists($_self.defaultModel//\".gss_steering_assist\"))",  &
                    "   interface field set &",  &
                    "    field_name=$_self.f_property_file &",  &
                    "    string=(eval($_self.defaultModel[1].gss_steering_assist.property_file.string_value[1]))",  &
                    "   interface toggle_button set &",  &
                    "    toggle_button=$_self.t_active &",  &
                    "    state=(eval($_self.defaultModel[1].phs_steering_assist_active.integer_value[1] == 1 ? \"on\" : \"off\"))",  &
                    "else",  &
                    "   acar toolkit warning &",  &
                    "    warning=\"The default model does not contain an steering assist entity!\"",  &
                    "   interface dialog_box undisplay dialog_box_name=$_self",  &
                    "end"  &
   finish_commands = "for var=$_self.loopobj object=(eval(db_children($_self,\"graphic_interface_field\")))",  &
                     "   interface field set field=(eval($_self.loopobj[1])) &",  &
                     "    string=\"\" execute=no",  &
                     "end",  &
                     "variable delete variable_name=(eval(db_children($_self,\"variable\")))"  &
   execution_commands = "variable set variable_name=$_self.errorFlag int=0",  &
                        "!----",  &
                        "!---- Update pv for steering_assist activity",  &
                        "variable modify variable=(eval($_self.defaultModel[1].phs_steering_assist_active)) &",  &
                        " integer_value=(eval(\"$t_active\" == \"yes\" ? 1 : 0))",  &
                        "",  &
                        "!---- Update the property file for the steering_assist general spline ----",  &
                        "acar standard_interface general_spline &",  &
                        " general_spline=(eval($_self.defaultModel[1].gss_steering_assist)) &",  &
                        " property_file=$f_property_file &",  &
                        " symmetric=no",  &
                        "",  &
                        "!---- Update the property file for the torsion_bar general spline ----",  &
                        "if condition=(db_exists($_self.defaultModel[1]//\".gss_torsion_bar\"))",  &
                        "   acar standard_interface general_spline &",  &
                        "    general_spline=(eval($_self.defaultModel[1].gss_torsion_bar)) &",  &
                        "    property_file=$f_property_file &",  &
                        "    symmetric=no",  &
                        "end",  &
                        "",  &
                        "!---- Update the property file for the rack_piston_area general parameter ----",  &
                        "acar standard_interface general_parameter &",  &
                        " general_parameter=(eval($_self.defaultModel[1].gps_rack_piston_area)) &",  &
                        " property_file=$f_property_file &",  &
                        " symmetric=no"  &
   decorate = yes  &
   resizable = yes  &
   height_minimum = 98.0  &
   height_maximum = 98.0  &
   grab_all_input = no
!
interface push_button create  &
   push_button_name = .ACAR.custom.dbox_steering_assist.Ok  &
   location = 164.0, 69.0  &
   height = 25.0  &
   width = 76.0  &
   units = pixel  &
   horiz_resizing = attach_right  &
   vert_resizing = attach_bottom  &
   label = "OK"  &
   commands = "interface dialog execute dialog=$_parent undisplay=no",  &
              "if condition=(!$_parent.errorFlag)",  &
              "   interface dialog undisplay dialog=$_parent",  &
              "end"
!
interface push_button create  &
   push_button_name = .ACAR.custom.dbox_steering_assist.Apply  &
   location = 242.0, 69.0  &
   height = 25.0  &
   width = 76.0  &
   units = pixel  &
   horiz_resizing = attach_right  &
   vert_resizing = attach_bottom  &
   label = "Apply"  &
   commands = "interface dialog execute dialog=$_parent undisp=no"
!
interface push_button create  &
   push_button_name = .ACAR.custom.dbox_steering_assist.Cancel  &
   location = 320.0, 69.0  &
   height = 25.0  &
   width = 76.0  &
   units = pixel  &
   horiz_resizing = attach_right  &
   vert_resizing = attach_bottom  &
   label = "Cancel"  &
   commands = "interface dialog undisplay dialog=$_parent"
!
interface label create  &
   label_name = .ACAR.custom.dbox_steering_assist.l_property_file  &
   location = 4.0, 4.0  &
   height = 25.0  &
   width = 150.0  &
   units = pixel  &
   horiz_resizing = attach_left  &
   vert_resizing = attach_top  &
   justified = left  &
   text = "Property File"
!
interface field create  &
   field_name = .ACAR.custom.dbox_steering_assist.f_property_file  &
   location = 156.0, 4.0  &
   height = 25.0  &
   width = 240.0  &
   units = pixel  &
   horiz_resizing = expand  &
   vert_resizing = attach_top  &
   scrollable = no  &
   editable = yes  &
   required = yes  &
   execute_cmds_on_exit = no  &
   number_of_values = 1  &
   file_type = old_file  &
   filter = "*.ste"  &
   alert_on_overwrite = no  &
   browse_action = open
!
interface toggle_button create  &
   toggle_button_name = .ACAR.custom.dbox_steering_assist.t_active  &
   location = 4.0, 31.0  &
   height = 25.0  &
   width = 178.0  &
   units = pixel  &
   horiz_resizing = attach_left  &
   vert_resizing = attach_top  &
   label = "Steering Assist Active"  &
   state = off  &
   on_value = "yes"  &
   off_value = "no"
!
interface push_button create  &
   push_button_name = .ACAR.custom.dbox_steering_assist.b_view_file  &
   help_text = "View property file in info window"  &
   location = 4.0, 58.0  &
   height = 36.0  &
   width = 36.0  &
   units = pixel  &
   horiz_resizing = attach_left  &
   vert_resizing = attach_bottom  &
   icon_file = "acar_view_file"  &
   commands = "if condition=($f_property_file == \"\")",  &
              "   acar toolkit warning &",  &
              "    warning=\"You must specify a property file!\"",  &
              "   return",  &
              "end",  &
              "info empty",  &
              "info read file=$f_property_file"
end
