$---------------------------------------------------------------------MDI_HEADER
[MDI_HEADER]
 FILE_TYPE     =  'tpl'
 FILE_VERSION  =  2018.0
 FILE_FORMAT   =  'ASCII'
 HEADER_SIZE   =  9
(COMMENTS)
{comment_string}
'Adams Car wheel template'
$----------------------------------------------------------------TEMPLATE_HEADER
[TEMPLATE_HEADER]
 TEMPLATE_NAME  =  '_fsae_tire'
 MAJOR_ROLE     =  'wheel'
 TIMESTAMP      =  '2019/03/06,17:26:41'
 HEADER_SIZE    =  6
$------------------------------------------------------------------------PLUGINS
[PLUGINS]
 PLUGIN_LIST  =  'acar'
 HEADER_SIZE  =  4
!
!-------------------------- Default Units for Model ---------------------------!
!
!
defaults units  &
   length = mm  &
   angle = deg  &
   force = newton  &
   mass = kg  &
   time = sec
!
defaults units  &
   coordinate_system_type = cartesian  &
   orientation_type = body313
!
!------------------------ Default Attributes for Model ------------------------!
!
!
defaults attributes  &
   inheritance = bottom_up  &
   icon_visibility = off  &
   grid_visibility = off  &
   size_of_icons = 50.0  &
   spacing_for_grid = 1000.0
!
!--------------------------- Plugins used by Model ----------------------------!
!
!
plugin load  &
   plugin_name = .MDI.plugins.acar
!
!------------------------------ Adams View Model ------------------------------!
!
!
model create  &
   model_name = _fsae_tire  &
   title = "Adams/Car template"
!
view erase
!
!-------------------------------- Data storage --------------------------------!
!
!
data_element create variable  &
   variable_name = ._fsae_tire._cv_solver_variable  &
   comments = "Dummy for communicators"  &
   function = ""
!
data_element attributes  &
   data_element_name = ._fsae_tire._cv_solver_variable  &
   visibility = off
!
data_element create variable  &
   variable_name = ._fsae_tire.tire_fx_left  &
   function = ""
!
data_element create variable  &
   variable_name = ._fsae_tire.tire_fy_left  &
   function = ""
!
data_element create variable  &
   variable_name = ._fsae_tire.tire_tx_left  &
   function = ""
!
data_element create variable  &
   variable_name = ._fsae_tire.tire_ty_left  &
   function = ""
!
data_element create variable  &
   variable_name = ._fsae_tire.tire_tz_left  &
   function = ""
!
data_element create variable  &
   variable_name = ._fsae_tire.tire_fx_right  &
   function = ""
!
data_element create variable  &
   variable_name = ._fsae_tire.tire_fy_right  &
   function = ""
!
data_element create variable  &
   variable_name = ._fsae_tire.tire_tx_right  &
   function = ""
!
data_element create variable  &
   variable_name = ._fsae_tire.tire_ty_right  &
   function = ""
!
data_element create variable  &
   variable_name = ._fsae_tire.tire_tz_right  &
   function = ""
!
data_element create array ic_array  &
   array_name = ._fsae_tire._cv_array  &
   comments = "Dummy for communicators"  &
   size = 1  &
   numbers = 0.0
!
data_element attributes  &
   data_element_name = ._fsae_tire._cv_array  &
   visibility = off
!
data_element create array ic_array  &
   array_name = ._fsae_tire.tire_forces_array_left  &
   size = 5  &
   numbers = 0.0, 0.0, 0.0, 0.0, 0.0
!
data_element create array ic_array  &
   array_name = ._fsae_tire.tire_forces_array_right  &
   size = 5  &
   numbers = 0.0, 0.0, 0.0, 0.0, 0.0
!
data_element create spline  &
   spline_name = ._fsae_tire._cv_spline  &
   comments = "Dummy for communicators"  &
   x = 1.0, 2.0, 3.0, 4.0  &
   y = 1.0, 2.0, 3.0, 4.0, 1.0, 2.0, 3.0, 4.0  &
   z = 1.0, 2.0  &
   linear_extrapolate = no
!
data_element attributes  &
   data_element_name = ._fsae_tire._cv_spline  &
   visibility = off
!
data_element create string  &
   string_name = ._fsae_tire.minor_role_string  &
   comments = "Memory for Adams/Car minor role for solver"  &
   string = "unassigned"
!
data_element attributes  &
   data_element_name = ._fsae_tire.minor_role_string  &
   visibility = off
!
!-------------------------------- Rigid Parts ---------------------------------!
!
! Create parts and their dependent markers and graphics
!
!----------------------------------- ground -----------------------------------!
!
!
! ****** Ground Part ******
!
part modify rigid_body name_and_position  &
   part_name = ground
!
defaults model  &
   part_name = ground
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_tire.ground
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._fsae_tire.ground.origo  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker create  &
   marker_name = ._fsae_tire.ground._cv_marker  &
   comments = "Dummy for communicators"  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_tire.ground._cv_marker  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_tire.ground.cfl_spin_axis  &
   location = 0.0, -500.0000000005, 222.25  &
   orientation = 0.0d, 90.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_tire.ground.cfl_spin_axis  &
   color = MAIZE
!
marker create  &
   marker_name = ._fsae_tire.ground.cfr_spin_axis  &
   location = 0.0, 500.0000000005, 222.25  &
   orientation = 180.0d, 90.0d, 180.0d
!
marker attributes  &
   marker_name = ._fsae_tire.ground.cfr_spin_axis  &
   color = MAIZE
!
marker create  &
   marker_name = ._fsae_tire.ground.mtl_mount_j_2  &
   location = 0.0, -500.0000000005, 222.25  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_tire.ground.mtl_mount_j_2  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_tire.ground.mtr_mount_j_2  &
   location = 0.0, 500.0000000005, 222.25  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_tire.ground.mtr_mount_j_2  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_tire.ground.til_tire_ref_1  &
   location = 0.0, -500.0000000005, -27.75  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_tire.ground.til_tire_ref_1  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_tire.ground.tir_tire_ref_1  &
   location = 0.0, 500.0000000005, -27.75  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_tire.ground.tir_tire_ref_1  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_tire.ground.mtl_mount_j_3  &
   location = 0.0, -500.0000000005, 222.25  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_tire.ground.mtl_mount_j_3  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_tire.ground.mtr_mount_j_3  &
   location = 0.0, 500.0000000005, 222.25  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_tire.ground.mtr_mount_j_3  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_tire.ground.jxl_joint_i_1  &
   location = 0.0, -500.0000000005, 222.25  &
   orientation = 90.0d, 90.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_tire.ground.jxl_joint_i_1  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_tire.ground.jxr_joint_i_1  &
   location = 0.0, 500.0000000005, 222.25  &
   orientation = 90.0d, 90.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_tire.ground.jxr_joint_i_1  &
   visibility = off  &
   name_visibility = off
!
! ****** Floating Markers for current part ******
!
floating_marker create  &
   floating_marker_name = ._fsae_tire.ground.FMA_1
!
floating_marker create  &
   floating_marker_name = ._fsae_tire.ground.FMA_2
!
! ****** Graphics for current part ******
!
geometry create shape ellipsoid  &
   ellipsoid_name = ._fsae_tire.ground._cv_csolid  &
   center_marker = ._fsae_tire.ground._cv_marker  &
   x_scale_factor = 100.0  &
   y_scale_factor = 100.0  &
   z_scale_factor = 100.0
!
geometry attributes  &
   geometry_name = ._fsae_tire.ground._cv_csolid  &
   active = off
!
!---------------------------------- _cv_part ----------------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_tire.ground
!
part create rigid_body name_and_position  &
   part_name = ._fsae_tire._cv_part  &
   comments = "Dummy for communicators"  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_tire._cv_part
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._fsae_tire._cv_part.marker  &
   comments = "Dummy for communicators"  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_tire._cv_part.marker  &
   visibility = off  &
   name_visibility = off
!
part create rigid_body mass_properties  &
   part_name = ._fsae_tire._cv_part  &
   mass = 0.0  &
   center_of_mass_marker = ._fsae_tire._cv_part.marker  &
   ixx = 0.0  &
   iyy = 0.0  &
   izz = 0.0  &
   ixy = 0.0  &
   izx = 0.0  &
   iyz = 0.0
!
part attributes  &
   part_name = ._fsae_tire._cv_part  &
   visibility = off  &
   name_visibility = off
!
!--------------------------------- whl_wheel ----------------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_tire.ground
!
part create rigid_body name_and_position  &
   part_name = ._fsae_tire.whl_wheel  &
   location = 0.0, -500.0000000005, 222.25  &
   orientation = 0.0d, 90.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_tire.whl_wheel
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._fsae_tire.whl_wheel.cm  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker create  &
   marker_name = ._fsae_tire.whl_wheel.tire_i  &
   location = 0.0, 0.0, 0.0  &
   orientation = 180.0d, 90.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_tire.whl_wheel.tire_i  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_tire.whl_wheel.geo_ctr  &
   location = 0.0, 0.0, -20.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_tire.whl_wheel.geo_ctr  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_tire.whl_wheel.jxl_joint_i_8  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 90.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_tire.whl_wheel.jxl_joint_i_8  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_tire.whl_wheel.geo_inr  &
   location = 0.0, 0.0, -100.0  &
   orientation = 0.0d, 180.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_tire.whl_wheel.geo_inr  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_tire.whl_wheel.geo_otr  &
   location = 0.0, 0.0, 100.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_tire.whl_wheel.geo_otr  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_tire.whl_wheel.gfo_i  &
   location = 0.0, 0.0, 0.0  &
   orientation = 180.0d, 90.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_tire.whl_wheel.gfo_i  &
   visibility = off  &
   name_visibility = off
!
part create rigid_body mass_properties  &
   part_name = ._fsae_tire.whl_wheel  &
   mass = 6.985322498  &
   center_of_mass_marker = ._fsae_tire.whl_wheel.cm  &
   ixx = 1.7514483258E+04  &
   iyy = 1.7514483258E+04  &
   izz = 3482.4118758075  &
   ixy = 0.0  &
   izx = 0.0  &
   iyz = 0.0
!
! ****** Graphics for current part ******
!
geometry create shape cylinder  &
   cylinder_name = ._fsae_tire.whl_wheel.wheel_hub  &
   center_marker = ._fsae_tire.whl_wheel.geo_ctr  &
   angle_extent = 360.0  &
   length = 40.0  &
   radius = 135.0  &
   side_count_for_body = 20  &
   segment_count_for_ends = 20
!
geometry attributes  &
   geometry_name = ._fsae_tire.whl_wheel.wheel_hub  &
   color = SILVER
!
geometry create shape cylinder  &
   cylinder_name = ._fsae_tire.whl_wheel.wheel_rim  &
   center_marker = ._fsae_tire.whl_wheel.geo_inr  &
   angle_extent = 360.0  &
   length = -200.0  &
   radius = 135.0  &
   side_count_for_body = 20  &
   segment_count_for_ends = 0
!
geometry attributes  &
   geometry_name = ._fsae_tire.whl_wheel.wheel_rim  &
   color = SILVER
!
geometry create shape frustum  &
   frustum_name = ._fsae_tire.whl_wheel.wheel_inner1  &
   center_marker = ._fsae_tire.whl_wheel.geo_inr  &
   angle_extent = 360.0  &
   length = 0.0  &
   top_radius = 135.0  &
   bottom_radius = 160.0  &
   side_count_for_body = 20  &
   segment_count_for_ends = 0
!
geometry attributes  &
   geometry_name = ._fsae_tire.whl_wheel.wheel_inner1  &
   color = SILVER
!
geometry create shape frustum  &
   frustum_name = ._fsae_tire.whl_wheel.wheel_outer1  &
   center_marker = ._fsae_tire.whl_wheel.geo_otr  &
   angle_extent = 360.0  &
   length = 0.0  &
   top_radius = 135.0  &
   bottom_radius = 160.0  &
   side_count_for_body = 20  &
   segment_count_for_ends = 0
!
geometry attributes  &
   geometry_name = ._fsae_tire.whl_wheel.wheel_outer1  &
   color = SILVER
!
geometry create shape cylinder  &
   cylinder_name = ._fsae_tire.whl_wheel.tire_tread  &
   center_marker = ._fsae_tire.whl_wheel.geo_inr  &
   angle_extent = 360.0  &
   length = -200.0  &
   radius = 250.0  &
   side_count_for_body = 20  &
   segment_count_for_ends = 0
!
geometry attributes  &
   geometry_name = ._fsae_tire.whl_wheel.tire_tread  &
   color = DARK_GRAY
!
geometry create shape frustum  &
   frustum_name = ._fsae_tire.whl_wheel.tire_sidewall1  &
   center_marker = ._fsae_tire.whl_wheel.geo_inr  &
   angle_extent = 360.0  &
   length = 22.5  &
   top_radius = 205.0  &
   bottom_radius = 160.0  &
   side_count_for_body = 20  &
   segment_count_for_ends = 0
!
geometry attributes  &
   geometry_name = ._fsae_tire.whl_wheel.tire_sidewall1  &
   color = DARK_GRAY
!
geometry create shape frustum  &
   frustum_name = ._fsae_tire.whl_wheel.tire_sidewall2  &
   center_marker = ._fsae_tire.whl_wheel.geo_inr  &
   angle_extent = 360.0  &
   length = 22.5  &
   top_radius = 205.0  &
   bottom_radius = 250.0  &
   side_count_for_body = 20  &
   segment_count_for_ends = 0
!
geometry attributes  &
   geometry_name = ._fsae_tire.whl_wheel.tire_sidewall2  &
   color = DARK_GRAY
!
geometry create shape frustum  &
   frustum_name = ._fsae_tire.whl_wheel.tire_sidewall3  &
   center_marker = ._fsae_tire.whl_wheel.geo_otr  &
   angle_extent = 360.0  &
   length = 22.5  &
   top_radius = 205.0  &
   bottom_radius = 160.0  &
   side_count_for_body = 20  &
   segment_count_for_ends = 0
!
geometry attributes  &
   geometry_name = ._fsae_tire.whl_wheel.tire_sidewall3  &
   color = DARK_GRAY
!
geometry create shape frustum  &
   frustum_name = ._fsae_tire.whl_wheel.tire_sidewall4  &
   center_marker = ._fsae_tire.whl_wheel.geo_otr  &
   angle_extent = 360.0  &
   length = 22.5  &
   top_radius = 205.0  &
   bottom_radius = 250.0  &
   side_count_for_body = 20  &
   segment_count_for_ends = 0
!
geometry attributes  &
   geometry_name = ._fsae_tire.whl_wheel.tire_sidewall4  &
   color = DARK_GRAY
!
part attributes  &
   part_name = ._fsae_tire.whl_wheel  &
   visibility = on  &
   name_visibility = on
!
!--------------------------------- whr_wheel ----------------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_tire.ground
!
part create rigid_body name_and_position  &
   part_name = ._fsae_tire.whr_wheel  &
   location = 0.0, 500.0000000005, 222.25  &
   orientation = 180.0d, 90.0d, 180.0d
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_tire.whr_wheel
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._fsae_tire.whr_wheel.cm  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 180.0d, 0.0d
!
marker create  &
   marker_name = ._fsae_tire.whr_wheel.tire_i  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 90.0d, 180.0d
!
marker attributes  &
   marker_name = ._fsae_tire.whr_wheel.tire_i  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_tire.whr_wheel.geo_ctr  &
   location = 0.0, 0.0, -20.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_tire.whr_wheel.geo_ctr  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_tire.whr_wheel.jxr_joint_i_8  &
   location = 0.0, 0.0, 0.0  &
   orientation = 180.0d, 90.0d, 180.0d
!
marker attributes  &
   marker_name = ._fsae_tire.whr_wheel.jxr_joint_i_8  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_tire.whr_wheel.geo_inr  &
   location = 0.0, 0.0, -100.0  &
   orientation = 0.0d, 180.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_tire.whr_wheel.geo_inr  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_tire.whr_wheel.geo_otr  &
   location = 0.0, 0.0, 100.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_tire.whr_wheel.geo_otr  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_tire.whr_wheel.gfo_i  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 90.0d, 180.0d
!
marker attributes  &
   marker_name = ._fsae_tire.whr_wheel.gfo_i  &
   visibility = off  &
   name_visibility = off
!
part create rigid_body mass_properties  &
   part_name = ._fsae_tire.whr_wheel  &
   mass = 6.985322498  &
   center_of_mass_marker = ._fsae_tire.whr_wheel.cm  &
   ixx = 1.7514483258E+04  &
   iyy = 1.7514483258E+04  &
   izz = 3482.4118758075  &
   ixy = 0.0  &
   izx = 0.0  &
   iyz = 0.0
!
! ****** Graphics for current part ******
!
geometry create shape cylinder  &
   cylinder_name = ._fsae_tire.whr_wheel.wheel_hub  &
   center_marker = ._fsae_tire.whr_wheel.geo_ctr  &
   angle_extent = 360.0  &
   length = 40.0  &
   radius = 135.0  &
   side_count_for_body = 20  &
   segment_count_for_ends = 20
!
geometry attributes  &
   geometry_name = ._fsae_tire.whr_wheel.wheel_hub  &
   color = SILVER
!
geometry create shape cylinder  &
   cylinder_name = ._fsae_tire.whr_wheel.wheel_rim  &
   center_marker = ._fsae_tire.whr_wheel.geo_inr  &
   angle_extent = 360.0  &
   length = -200.0  &
   radius = 135.0  &
   side_count_for_body = 20  &
   segment_count_for_ends = 0
!
geometry attributes  &
   geometry_name = ._fsae_tire.whr_wheel.wheel_rim  &
   color = SILVER
!
geometry create shape frustum  &
   frustum_name = ._fsae_tire.whr_wheel.wheel_inner1  &
   center_marker = ._fsae_tire.whr_wheel.geo_inr  &
   angle_extent = 360.0  &
   length = 0.0  &
   top_radius = 135.0  &
   bottom_radius = 160.0  &
   side_count_for_body = 20  &
   segment_count_for_ends = 0
!
geometry attributes  &
   geometry_name = ._fsae_tire.whr_wheel.wheel_inner1  &
   color = SILVER
!
geometry create shape frustum  &
   frustum_name = ._fsae_tire.whr_wheel.wheel_outer1  &
   center_marker = ._fsae_tire.whr_wheel.geo_otr  &
   angle_extent = 360.0  &
   length = 0.0  &
   top_radius = 135.0  &
   bottom_radius = 160.0  &
   side_count_for_body = 20  &
   segment_count_for_ends = 0
!
geometry attributes  &
   geometry_name = ._fsae_tire.whr_wheel.wheel_outer1  &
   color = SILVER
!
geometry create shape cylinder  &
   cylinder_name = ._fsae_tire.whr_wheel.tire_tread  &
   center_marker = ._fsae_tire.whr_wheel.geo_inr  &
   angle_extent = 360.0  &
   length = -200.0  &
   radius = 250.0  &
   side_count_for_body = 20  &
   segment_count_for_ends = 0
!
geometry attributes  &
   geometry_name = ._fsae_tire.whr_wheel.tire_tread  &
   color = DARK_GRAY
!
geometry create shape frustum  &
   frustum_name = ._fsae_tire.whr_wheel.tire_sidewall1  &
   center_marker = ._fsae_tire.whr_wheel.geo_inr  &
   angle_extent = 360.0  &
   length = 22.5  &
   top_radius = 205.0  &
   bottom_radius = 160.0  &
   side_count_for_body = 20  &
   segment_count_for_ends = 0
!
geometry attributes  &
   geometry_name = ._fsae_tire.whr_wheel.tire_sidewall1  &
   color = DARK_GRAY
!
geometry create shape frustum  &
   frustum_name = ._fsae_tire.whr_wheel.tire_sidewall2  &
   center_marker = ._fsae_tire.whr_wheel.geo_inr  &
   angle_extent = 360.0  &
   length = 22.5  &
   top_radius = 205.0  &
   bottom_radius = 250.0  &
   side_count_for_body = 20  &
   segment_count_for_ends = 0
!
geometry attributes  &
   geometry_name = ._fsae_tire.whr_wheel.tire_sidewall2  &
   color = DARK_GRAY
!
geometry create shape frustum  &
   frustum_name = ._fsae_tire.whr_wheel.tire_sidewall3  &
   center_marker = ._fsae_tire.whr_wheel.geo_otr  &
   angle_extent = 360.0  &
   length = 22.5  &
   top_radius = 205.0  &
   bottom_radius = 160.0  &
   side_count_for_body = 20  &
   segment_count_for_ends = 0
!
geometry attributes  &
   geometry_name = ._fsae_tire.whr_wheel.tire_sidewall3  &
   color = DARK_GRAY
!
geometry create shape frustum  &
   frustum_name = ._fsae_tire.whr_wheel.tire_sidewall4  &
   center_marker = ._fsae_tire.whr_wheel.geo_otr  &
   angle_extent = 360.0  &
   length = 22.5  &
   top_radius = 205.0  &
   bottom_radius = 250.0  &
   side_count_for_body = 20  &
   segment_count_for_ends = 0
!
geometry attributes  &
   geometry_name = ._fsae_tire.whr_wheel.tire_sidewall4  &
   color = DARK_GRAY
!
part attributes  &
   part_name = ._fsae_tire.whr_wheel  &
   visibility = on  &
   name_visibility = on
!
!---------------------------- mtl_suspension_mount ----------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_tire.ground
!
part create rigid_body name_and_position  &
   part_name = ._fsae_tire.mtl_suspension_mount  &
   location = 0.0, -500.0000000005, 222.25  &
   orientation = 0.0d, 0.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_tire.mtl_suspension_mount
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._fsae_tire.mtl_suspension_mount.mount_i  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_tire.mtl_suspension_mount.mount_i  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_tire.mtl_suspension_mount.jxl_joint_j_8  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 180.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_tire.mtl_suspension_mount.jxl_joint_j_8  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_tire.mtl_suspension_mount.jxl_joint_j_1  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_tire.mtl_suspension_mount.jxl_joint_j_1  &
   visibility = off  &
   name_visibility = off
!
part attributes  &
   part_name = ._fsae_tire.mtl_suspension_mount  &
   visibility = on  &
   name_visibility = on
!
!---------------------------- mtr_suspension_mount ----------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_tire.ground
!
part create rigid_body name_and_position  &
   part_name = ._fsae_tire.mtr_suspension_mount  &
   location = 0.0, 500.0000000005, 222.25  &
   orientation = 0.0d, 0.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_tire.mtr_suspension_mount
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._fsae_tire.mtr_suspension_mount.mount_i  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_tire.mtr_suspension_mount.mount_i  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_tire.mtr_suspension_mount.jxr_joint_j_8  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 180.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_tire.mtr_suspension_mount.jxr_joint_j_8  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_tire.mtr_suspension_mount.jxr_joint_j_1  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_tire.mtr_suspension_mount.jxr_joint_j_1  &
   visibility = off  &
   name_visibility = off
!
part attributes  &
   part_name = ._fsae_tire.mtr_suspension_mount  &
   visibility = on  &
   name_visibility = on
!
!--------------------------- mtl_suspension_upright ---------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_tire.ground
!
part create rigid_body name_and_position  &
   part_name = ._fsae_tire.mtl_suspension_upright  &
   location = 0.0, -500.0000000005, 222.25  &
   orientation = 0.0d, 0.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_tire.mtl_suspension_upright
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._fsae_tire.mtl_suspension_upright.tire_force_ref  &
   location = 0.0, 0.0, 0.0  &
   orientation = 180.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_tire.mtl_suspension_upright.tire_force_ref  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_tire.mtl_suspension_upright.mount_i  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_tire.mtl_suspension_upright.mount_i  &
   visibility = off  &
   name_visibility = off
!
part attributes  &
   part_name = ._fsae_tire.mtl_suspension_upright  &
   visibility = on  &
   name_visibility = on
!
!--------------------------- mtr_suspension_upright ---------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_tire.ground
!
part create rigid_body name_and_position  &
   part_name = ._fsae_tire.mtr_suspension_upright  &
   location = 0.0, 500.0000000005, 222.25  &
   orientation = 0.0d, 0.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_tire.mtr_suspension_upright
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._fsae_tire.mtr_suspension_upright.tire_force_ref  &
   location = 0.0, 0.0, 0.0  &
   orientation = 180.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_tire.mtr_suspension_upright.tire_force_ref  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_tire.mtr_suspension_upright.mount_i  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_tire.mtr_suspension_upright.mount_i  &
   visibility = off  &
   name_visibility = off
!
part attributes  &
   part_name = ._fsae_tire.mtr_suspension_upright  &
   visibility = on  &
   name_visibility = on
!
!--------------------------------- Equations ----------------------------------!
!
!
part create equation differential_equation  &
   differential_equation_name = ._fsae_tire._cv_diff  &
   comments = "Dummy for communicators"  &
   initial_condition = 0.0  &
   function = ""  &
   implicit = off  &
   static_hold = off
!
part attributes  &
   equation_name = ._fsae_tire._cv_diff  &
   visibility = off
!
!----------------------------------- Joints -----------------------------------!
!
!
constraint create joint cylindrical  &
   joint_name = ._fsae_tire._cv_joint_for_motion  &
   comments = "Dummy for communicators"  &
   i_marker_name = ._fsae_tire._cv_part.marker  &
   j_marker_name = ._fsae_tire.ground._cv_marker
!
constraint attributes  &
   constraint_name = ._fsae_tire._cv_joint_for_motion  &
   visibility = off  &
   name_visibility = off
!
constraint create joint fixed  &
   joint_name = ._fsae_tire.mtl_fixed_2  &
   i_marker_name = ._fsae_tire.mtl_suspension_mount.mount_i  &
   j_marker_name = ._fsae_tire.ground.mtl_mount_j_2
!
constraint attributes  &
   constraint_name = ._fsae_tire.mtl_fixed_2  &
   visibility = off  &
   name_visibility = off
!
constraint create joint fixed  &
   joint_name = ._fsae_tire.mtr_fixed_2  &
   i_marker_name = ._fsae_tire.mtr_suspension_mount.mount_i  &
   j_marker_name = ._fsae_tire.ground.mtr_mount_j_2
!
constraint attributes  &
   constraint_name = ._fsae_tire.mtr_fixed_2  &
   visibility = off  &
   name_visibility = off
!
constraint create joint fixed  &
   joint_name = ._fsae_tire.jolfix_wheel_to_spindle  &
   i_marker_name = ._fsae_tire.whl_wheel.jxl_joint_i_8  &
   j_marker_name = ._fsae_tire.mtl_suspension_mount.jxl_joint_j_8
!
constraint create joint fixed  &
   joint_name = ._fsae_tire.jorfix_wheel_to_spindle  &
   i_marker_name = ._fsae_tire.whr_wheel.jxr_joint_i_8  &
   j_marker_name = ._fsae_tire.mtr_suspension_mount.jxr_joint_j_8
!
constraint create joint fixed  &
   joint_name = ._fsae_tire.mtl_fixed_3  &
   i_marker_name = ._fsae_tire.mtl_suspension_upright.mount_i  &
   j_marker_name = ._fsae_tire.ground.mtl_mount_j_3
!
constraint attributes  &
   constraint_name = ._fsae_tire.mtl_fixed_3  &
   visibility = off  &
   name_visibility = off
!
constraint create joint fixed  &
   joint_name = ._fsae_tire.mtr_fixed_3  &
   i_marker_name = ._fsae_tire.mtr_suspension_upright.mount_i  &
   j_marker_name = ._fsae_tire.ground.mtr_mount_j_3
!
constraint attributes  &
   constraint_name = ._fsae_tire.mtr_fixed_3  &
   visibility = off  &
   name_visibility = off
!
!------------------------------ Joint Primitives ------------------------------!
!
!
constraint create primitive_joint inplane  &
   jprim_name = ._fsae_tire._cv_joint  &
   comments = "Dummy for communicators"  &
   i_marker_name = ._fsae_tire._cv_part.marker  &
   j_marker_name = ._fsae_tire.ground._cv_marker
!
constraint attributes  &
   constraint_name = ._fsae_tire._cv_joint  &
   visibility = off  &
   name_visibility = off
!
constraint create primitive_joint perpendicular  &
   jprim_name = ._fsae_tire.jolper_sse_jprim  &
   i_marker_name = ._fsae_tire.ground.jxl_joint_i_1  &
   j_marker_name = ._fsae_tire.mtl_suspension_mount.jxl_joint_j_1
!
constraint create primitive_joint perpendicular  &
   jprim_name = ._fsae_tire.jorper_sse_jprim  &
   i_marker_name = ._fsae_tire.ground.jxr_joint_i_1  &
   j_marker_name = ._fsae_tire.mtr_suspension_mount.jxr_joint_j_1
!
!----------------------------------- Forces -----------------------------------!
!
!
force create element_like field  &
   field_name = ._fsae_tire._cv_bushing  &
   comments = "Dummy for communicators"  &
   i_marker_name = ._fsae_tire._cv_part.marker  &
   j_marker_name = ._fsae_tire.ground._cv_marker  &
   translation_at_preload = 0.0, 0.0, 0.0  &
   rotation_at_preload = 0.0d, 0.0d, 0.0d  &
   formulation = linear  &
   length_tolerance = 1.0E-05  &
   damping_ratio = 0.0  &
   stiffness_matrix =  &
      0.0, 0.0, 0.0, 0.0, 0.0, 0.0,  &
      0.0, 0.0, 0.0, 0.0, 0.0, 0.0,  &
      0.0, 0.0, 0.0, 0.0, 0.0, 0.0,  &
      0.0, 0.0, 0.0, 0.0, 0.0, 0.0,  &
      0.0, 0.0, 0.0, 0.0, 0.0, 0.0,  &
      0.0, 0.0, 0.0, 0.0, 0.0, 0.0  &
   force_preload = 0.0, 0.0, 0.0  &
   torque_preload = 0.0, 0.0, 0.0
!
force attributes  &
   force_name = ._fsae_tire._cv_bushing  &
   visibility = off  &
   name_visibility = off
!
!-------------------------- Adams View UDE Instances --------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_tire.ground
!
undo begin_block suppress = yes
!
ude create instance  &
   instance_name = ._fsae_tire.til_wheel  &
   definition_name = .ACAR.forces.ac_tire  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0, 0.0, 0.0
!
ude create instance  &
   instance_name = ._fsae_tire.tir_wheel  &
   definition_name = .ACAR.forces.ac_tire  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0, 0.0, 0.0
!
!-------------------------- Adams View UDE Instance ---------------------------!
!
!
variable modify  &
   variable_name = ._fsae_tire.til_wheel.property_file  &
   string_value = "mdids://fsae_2018/tires.tbl/fsae_tire_front.tir"
!
variable modify  &
   variable_name = ._fsae_tire.til_wheel.contact_type  &
   string_value = "handling"
!
variable modify  &
   variable_name = ._fsae_tire.til_wheel.configuration  &
   string_value = "single"
!
variable modify  &
   variable_name = ._fsae_tire.til_wheel.outside_tire  &
   object_value = (NONE)
!
variable modify  &
   variable_name = ._fsae_tire.til_wheel.jprim_id  &
   real_value = (._fsae_tire.jolper_sse_jprim.adams_id)
!
variable modify  &
   variable_name = ._fsae_tire.til_wheel.center_offset  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_tire.til_wheel.high_performance  &
   integer_value = ("no" == "yes" ? 1 : 0)
!
variable modify  &
   variable_name = ._fsae_tire.til_wheel.i_marker  &
   object_value = ._fsae_tire.whl_wheel.tire_i
!
variable modify  &
   variable_name = ._fsae_tire.til_wheel.j_fmarker  &
   object_value = ._fsae_tire.ground.FMA_1
!
variable modify  &
   variable_name = ._fsae_tire.til_wheel.ref_marker  &
   object_value = ._fsae_tire.ground.til_tire_ref_1
!
ude modify instance  &
   instance_name = ._fsae_tire.til_wheel
!
!-------------------------- Adams View UDE Instance ---------------------------!
!
!
variable modify  &
   variable_name = ._fsae_tire.tir_wheel.property_file  &
   string_value = "mdids://fsae_2018/tires.tbl/fsae_tire_front.tir"
!
variable modify  &
   variable_name = ._fsae_tire.tir_wheel.contact_type  &
   string_value = "handling"
!
variable modify  &
   variable_name = ._fsae_tire.tir_wheel.configuration  &
   string_value = "single"
!
variable modify  &
   variable_name = ._fsae_tire.tir_wheel.outside_tire  &
   object_value = (NONE)
!
variable modify  &
   variable_name = ._fsae_tire.tir_wheel.jprim_id  &
   real_value = (._fsae_tire.jorper_sse_jprim.adams_id)
!
variable modify  &
   variable_name = ._fsae_tire.tir_wheel.center_offset  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_tire.tir_wheel.high_performance  &
   integer_value = ("no" == "yes" ? 1 : 0)
!
variable modify  &
   variable_name = ._fsae_tire.tir_wheel.i_marker  &
   object_value = ._fsae_tire.whr_wheel.tire_i
!
variable modify  &
   variable_name = ._fsae_tire.tir_wheel.j_fmarker  &
   object_value = ._fsae_tire.ground.FMA_2
!
variable modify  &
   variable_name = ._fsae_tire.tir_wheel.ref_marker  &
   object_value = ._fsae_tire.ground.tir_tire_ref_1
!
ude modify instance  &
   instance_name = ._fsae_tire.tir_wheel
!
undo end_block
!
!---------------------------------- Motions -----------------------------------!
!
!
constraint create motion_generator  &
   motion_name = ._fsae_tire._cv_motion  &
   comments = "Dummy for communicators"  &
   type_of_freedom = rotational  &
   joint_name = ._fsae_tire._cv_joint_for_motion  &
   function = ""
!
constraint attributes  &
   constraint_name = ._fsae_tire._cv_motion  &
   visibility = off  &
   name_visibility = off
!
!---------------------------------- Accgrav -----------------------------------!
!
!
force create body gravitational  &
   gravity_field_name = gravity  &
   x_component_gravity = 0.0  &
   y_component_gravity = 0.0  &
   z_component_gravity = -9810.0
!
!----------------------------- Analysis settings ------------------------------!
!
!
output_control set results  &
   model_name = _fsae_tire  &
   formatted = on
!
!---------------------------- Adams View Variables ----------------------------!
!
!
variable create  &
   variable_name = ._fsae_tire.whl_wheel.center_offset  &
   units = "length"  &
   real_value = 0.0
!
variable create  &
   variable_name = ._fsae_tire.whl_wheel.tire_name  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_tire.whl_wheel.sml_sprung_mass_percent  &
   real_value = 0.0
!
variable create  &
   variable_name = ._fsae_tire.whr_wheel.center_offset  &
   units = "length"  &
   real_value = 0.0
!
variable create  &
   variable_name = ._fsae_tire.whr_wheel.tire_name  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_tire.whr_wheel.smr_sprung_mass_percent  &
   real_value = 0.0
!
variable create  &
   variable_name = ._fsae_tire.mtl_suspension_mount.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_tire.mtl_suspension_mount.dependents  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_tire.mtr_suspension_mount.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_tire.mtr_suspension_mount.dependents  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_tire.mtl_suspension_upright.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_tire.mtl_suspension_upright.dependents  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_tire.mtr_suspension_upright.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_tire.mtr_suspension_upright.dependents  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_tire.speed  &
   units = "velocity"  &
   real_value = 0.0
!
variable create  &
   variable_name = ._fsae_tire.template_creation_date  &
   string_value = "1997/11/04,14:58:46"  &
   comments = "Do not remove"
!
variable create  &
   variable_name = ._fsae_tire.role  &
   string_value = "wheel"  &
   comments = "Memory for Adams Car major role"
!
variable create  &
   variable_name = ._fsae_tire.minor_role  &
   string_value = "unassigned"  &
   comments = "Memory for Adams/Car minor role"
!
variable create  &
   variable_name = ._fsae_tire.model_class  &
   string_value = "template"  &
   comments = "Memory for Adams/Car model class"
!
variable create  &
   variable_name = ._fsae_tire.phs_kinematic_flag  &
   integer_value = 0  &
   comments =   &
              "Flag that determines if kinematic joints or bushings are active"
!
variable create  &
   variable_name = ._fsae_tire.cil_wheel_center  &
   units = "length"  &
   real_value = 0.0, -500.0000000005, 222.25
!
variable create  &
   variable_name = ._fsae_tire.cil_wheel_center.matching_name  &
   string_value = "wheel_center"
!
variable create  &
   variable_name = ._fsae_tire.cil_wheel_center.entity  &
   string_value = "location"
!
variable create  &
   variable_name = ._fsae_tire.cil_wheel_center.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_tire.cir_wheel_center  &
   units = "length"  &
   real_value = 0.0, 500.0000000005, 222.25
!
variable create  &
   variable_name = ._fsae_tire.cir_wheel_center.matching_name  &
   string_value = "wheel_center"
!
variable create  &
   variable_name = ._fsae_tire.cir_wheel_center.entity  &
   string_value = "location"
!
variable create  &
   variable_name = ._fsae_tire.cir_wheel_center.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_tire.cil_suspension_mount  &
   object_value = (NONE)  &
   comments = "Autocreated for mount part: mtl_suspension_mount"
!
variable create  &
   variable_name = ._fsae_tire.cil_suspension_mount.matching_name  &
   string_value = "suspension_mount"
!
variable create  &
   variable_name = ._fsae_tire.cil_suspension_mount.entity  &
   string_value = "mount"
!
variable create  &
   variable_name = ._fsae_tire.cil_suspension_mount.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_tire.cir_suspension_mount  &
   object_value = (NONE)  &
   comments = "Autocreated for mount part: mtr_suspension_mount"
!
variable create  &
   variable_name = ._fsae_tire.cir_suspension_mount.matching_name  &
   string_value = "suspension_mount"
!
variable create  &
   variable_name = ._fsae_tire.cir_suspension_mount.entity  &
   string_value = "mount"
!
variable create  &
   variable_name = ._fsae_tire.cir_suspension_mount.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_tire.cil_toe_angle  &
   units = "no_units"  &
   real_value = 0.0
!
variable create  &
   variable_name = ._fsae_tire.cil_toe_angle.matching_name  &
   string_value = "toe_angle"
!
variable create  &
   variable_name = ._fsae_tire.cil_toe_angle.entity  &
   string_value = "parameter_real"
!
variable create  &
   variable_name = ._fsae_tire.cil_toe_angle.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_tire.cir_toe_angle  &
   units = "no_units"  &
   real_value = 0.0
!
variable create  &
   variable_name = ._fsae_tire.cir_toe_angle.matching_name  &
   string_value = "toe_angle"
!
variable create  &
   variable_name = ._fsae_tire.cir_toe_angle.entity  &
   string_value = "parameter_real"
!
variable create  &
   variable_name = ._fsae_tire.cir_toe_angle.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_tire.cil_camber_angle  &
   units = "no_units"  &
   real_value = 0.0
!
variable create  &
   variable_name = ._fsae_tire.cil_camber_angle.matching_name  &
   string_value = "camber_angle"
!
variable create  &
   variable_name = ._fsae_tire.cil_camber_angle.entity  &
   string_value = "parameter_real"
!
variable create  &
   variable_name = ._fsae_tire.cil_camber_angle.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_tire.cir_camber_angle  &
   units = "no_units"  &
   real_value = 0.0
!
variable create  &
   variable_name = ._fsae_tire.cir_camber_angle.matching_name  &
   string_value = "camber_angle"
!
variable create  &
   variable_name = ._fsae_tire.cir_camber_angle.entity  &
   string_value = "parameter_real"
!
variable create  &
   variable_name = ._fsae_tire.cir_camber_angle.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_tire.col_wheel_orientation  &
   units = "angle"  &
   real_value = 0.0, 90.0, 0.0
!
variable create  &
   variable_name = ._fsae_tire.col_wheel_orientation.matching_name  &
   string_value = "wheel_orientation"
!
variable create  &
   variable_name = ._fsae_tire.col_wheel_orientation.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_tire.col_wheel_orientation.entity  &
   string_value = "orientation"
!
variable create  &
   variable_name = ._fsae_tire.cor_wheel_orientation  &
   units = "angle"  &
   real_value = 180.0, 90.0, 180.0
!
variable create  &
   variable_name = ._fsae_tire.cor_wheel_orientation.matching_name  &
   string_value = "wheel_orientation"
!
variable create  &
   variable_name = ._fsae_tire.cor_wheel_orientation.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_tire.cor_wheel_orientation.entity  &
   string_value = "orientation"
!
variable create  &
   variable_name = ._fsae_tire.col_rotor_to_wheel  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_tire.col_rotor_to_wheel.matching_name  &
   string_value = "rotor_to_wheel"
!
variable create  &
   variable_name = ._fsae_tire.col_rotor_to_wheel.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_tire.col_rotor_to_wheel.entity  &
   string_value = "mount"
!
variable create  &
   variable_name = ._fsae_tire.cor_rotor_to_wheel  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_tire.cor_rotor_to_wheel.matching_name  &
   string_value = "rotor_to_wheel"
!
variable create  &
   variable_name = ._fsae_tire.cor_rotor_to_wheel.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_tire.cor_rotor_to_wheel.entity  &
   string_value = "mount"
!
variable create  &
   variable_name = ._fsae_tire.cos_tire_forces_array_left  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_tire.cos_tire_forces_array_left.matching_name  &
   string_value = "tire_forces_array_left"
!
variable create  &
   variable_name = ._fsae_tire.cos_tire_forces_array_left.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_tire.cos_tire_forces_array_left.entity  &
   string_value = "array"
!
variable create  &
   variable_name = ._fsae_tire.cos_tire_forces_array_right  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_tire.cos_tire_forces_array_right.matching_name  &
   string_value = "tire_forces_array_right"
!
variable create  &
   variable_name = ._fsae_tire.cos_tire_forces_array_right.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_tire.cos_tire_forces_array_right.entity  &
   string_value = "array"
!
variable create  &
   variable_name = ._fsae_tire.cil_suspension_upright  &
   object_value = (NONE)  &
   comments = "Autocreated for mount part: mtl_suspension_upright"
!
variable create  &
   variable_name = ._fsae_tire.cil_suspension_upright.matching_name  &
   string_value = "suspension_upright"
!
variable create  &
   variable_name = ._fsae_tire.cil_suspension_upright.entity  &
   string_value = "mount"
!
variable create  &
   variable_name = ._fsae_tire.cil_suspension_upright.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_tire.cir_suspension_upright  &
   object_value = (NONE)  &
   comments = "Autocreated for mount part: mtr_suspension_upright"
!
variable create  &
   variable_name = ._fsae_tire.cir_suspension_upright.matching_name  &
   string_value = "suspension_upright"
!
variable create  &
   variable_name = ._fsae_tire.cir_suspension_upright.entity  &
   string_value = "mount"
!
variable create  &
   variable_name = ._fsae_tire.cir_suspension_upright.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_tire.col_tire_force  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_tire.col_tire_force.matching_name  &
   string_value = "tire_force"
!
variable create  &
   variable_name = ._fsae_tire.col_tire_force.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_tire.col_tire_force.entity  &
   string_value = "force"
!
variable create  &
   variable_name = ._fsae_tire.cor_tire_force  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_tire.cor_tire_force.matching_name  &
   string_value = "tire_force"
!
variable create  &
   variable_name = ._fsae_tire.cor_tire_force.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_tire.cor_tire_force.entity  &
   string_value = "force"
!
!---------------------------- Adams View Functions ----------------------------!
!
!
function create  &
   function_name = .SYMMETRY  &
   text_of_expression = "LOC_MIRROR(location, .__ACAR.ground.origo, .ACAR.variables.symmetry_plane)"  &
   argument_names = "location"  &
   type = location_orientation  &
   comments =   &
              "Compute mirrored location over the symmetry plane given 3x1 location vector"
!
!------------------------- Groups Owned By This Model -------------------------!
!
!
group create  &
   group_name = ._fsae_tire.kinematic_mode_active  &
   expr_active = 1
!
group create  &
   group_name = ._fsae_tire.kinematic_mode_inactive  &
   expr_active = 1
!
group create  &
   group_name = ._fsae_tire.whl_default_tire_graphics
!
group create  &
   group_name = ._fsae_tire.whl_default_wheel_graphics
!
group attributes  &
   group_name = ._fsae_tire.whl_default_wheel_graphics  &
   color = SILVER
!
group create  &
   group_name = ._fsae_tire.whl_external_tire_graphics
!
group create  &
   group_name = ._fsae_tire.whl_external_wheel_graphics
!
group create  &
   group_name = ._fsae_tire.whr_default_tire_graphics
!
group create  &
   group_name = ._fsae_tire.whr_default_wheel_graphics
!
group attributes  &
   group_name = ._fsae_tire.whr_default_wheel_graphics  &
   color = SILVER
!
group create  &
   group_name = ._fsae_tire.whr_external_tire_graphics
!
group create  &
   group_name = ._fsae_tire.whr_external_wheel_graphics
!
group create  &
   group_name = ._fsae_tire.whl_belt_graphics
!
group attributes  &
   group_name = ._fsae_tire.whl_belt_graphics  &
   color = DARK_GRAY
!
group create  &
   group_name = ._fsae_tire.whr_belt_graphics
!
group attributes  &
   group_name = ._fsae_tire.whr_belt_graphics  &
   color = DARK_GRAY
!
!---------------------- Set Adams View Object Variables -----------------------!
!
!
variable modify  &
   variable_name = ._fsae_tire.whl_wheel.tire_name  &
   object_value = ._fsae_tire.til_wheel
!
variable modify  &
   variable_name = ._fsae_tire.whr_wheel.tire_name  &
   object_value = ._fsae_tire.tir_wheel
!
variable modify  &
   variable_name = ._fsae_tire.mtl_suspension_mount.dependents  &
   object_value = ._fsae_tire.mtl_fixed_2, ._fsae_tire.cil_suspension_mount
!
variable modify  &
   variable_name = ._fsae_tire.mtr_suspension_mount.dependents  &
   object_value = ._fsae_tire.mtr_fixed_2, ._fsae_tire.cir_suspension_mount
!
variable modify  &
   variable_name = ._fsae_tire.mtl_suspension_upright.dependents  &
   object_value = ._fsae_tire.mtl_fixed_3, ._fsae_tire.cil_suspension_upright
!
variable modify  &
   variable_name = ._fsae_tire.mtr_suspension_upright.dependents  &
   object_value = ._fsae_tire.mtr_fixed_3, ._fsae_tire.cir_suspension_upright
!
variable modify  &
   variable_name = ._fsae_tire.cil_suspension_mount  &
   object_value = ._fsae_tire.ground.mtl_mount_j_2,  &
                  ._fsae_tire.mtl_suspension_mount, ._fsae_tire.mtl_fixed_2
!
variable modify  &
   variable_name = ._fsae_tire.cir_suspension_mount  &
   object_value = ._fsae_tire.ground.mtr_mount_j_2,  &
                  ._fsae_tire.mtr_suspension_mount, ._fsae_tire.mtr_fixed_2
!
variable modify  &
   variable_name = ._fsae_tire.col_rotor_to_wheel  &
   object_value = ._fsae_tire.whl_wheel
!
variable modify  &
   variable_name = ._fsae_tire.cor_rotor_to_wheel  &
   object_value = ._fsae_tire.whr_wheel
!
variable modify  &
   variable_name = ._fsae_tire.cos_tire_forces_array_left  &
   object_value = ._fsae_tire.tire_forces_array_left
!
variable modify  &
   variable_name = ._fsae_tire.cos_tire_forces_array_right  &
   object_value = ._fsae_tire.tire_forces_array_right
!
variable modify  &
   variable_name = ._fsae_tire.cil_suspension_upright  &
   object_value = ._fsae_tire.ground.mtl_mount_j_3,  &
                  ._fsae_tire.mtl_suspension_upright, ._fsae_tire.mtl_fixed_3
!
variable modify  &
   variable_name = ._fsae_tire.cir_suspension_upright  &
   object_value = ._fsae_tire.ground.mtr_mount_j_3,  &
                  ._fsae_tire.mtr_suspension_upright, ._fsae_tire.mtr_fixed_3
!
variable modify  &
   variable_name = ._fsae_tire.col_tire_force  &
   object_value = ._fsae_tire.til_wheel.force
!
variable modify  &
   variable_name = ._fsae_tire.cor_tire_force  &
   object_value = ._fsae_tire.tir_wheel.force
!
!--------------------------- Add Objects To Groups ----------------------------!
!
!
group modify  &
   group_name = ._fsae_tire.kinematic_mode_active
!
group modify  &
   group_name = ._fsae_tire.kinematic_mode_inactive
!
group modify  &
   group_name = ._fsae_tire.whl_default_tire_graphics  &
   objects_in_group = ._fsae_tire.whl_wheel.tire_tread,  &
      ._fsae_tire.whl_wheel.tire_sidewall1,  &
      ._fsae_tire.whl_wheel.tire_sidewall2,  &
      ._fsae_tire.whl_wheel.tire_sidewall3,  &
      ._fsae_tire.whl_wheel.tire_sidewall4
!
group modify  &
   group_name = ._fsae_tire.whl_default_wheel_graphics  &
   objects_in_group = ._fsae_tire.whl_wheel.wheel_hub,  &
      ._fsae_tire.whl_wheel.wheel_rim,  &
      ._fsae_tire.whl_wheel.wheel_inner1,  &
      ._fsae_tire.whl_wheel.wheel_outer1
!
group modify  &
   group_name = ._fsae_tire.whl_external_tire_graphics
!
group modify  &
   group_name = ._fsae_tire.whl_external_wheel_graphics
!
group modify  &
   group_name = ._fsae_tire.whr_default_tire_graphics  &
   objects_in_group = ._fsae_tire.whr_wheel.tire_tread,  &
      ._fsae_tire.whr_wheel.tire_sidewall1,  &
      ._fsae_tire.whr_wheel.tire_sidewall2,  &
      ._fsae_tire.whr_wheel.tire_sidewall3,  &
      ._fsae_tire.whr_wheel.tire_sidewall4
!
group modify  &
   group_name = ._fsae_tire.whr_default_wheel_graphics  &
   objects_in_group = ._fsae_tire.whr_wheel.wheel_hub,  &
      ._fsae_tire.whr_wheel.wheel_rim,  &
      ._fsae_tire.whr_wheel.wheel_inner1,  &
      ._fsae_tire.whr_wheel.wheel_outer1
!
group modify  &
   group_name = ._fsae_tire.whr_external_tire_graphics
!
group modify  &
   group_name = ._fsae_tire.whr_external_wheel_graphics
!
group modify  &
   group_name = ._fsae_tire.whl_belt_graphics  &
   objects_in_group = ._fsae_tire.whl_wheel.tire_tread,  &
      ._fsae_tire.whl_wheel.tire_sidewall2,  &
      ._fsae_tire.whl_wheel.tire_sidewall4
!
group modify  &
   group_name = ._fsae_tire.whr_belt_graphics  &
   objects_in_group = ._fsae_tire.whr_wheel.tire_tread,  &
      ._fsae_tire.whr_wheel.tire_sidewall2,  &
      ._fsae_tire.whr_wheel.tire_sidewall4
!
!---------------------------- Function definitions ----------------------------!
!
!
constraint modify motion_generator  &
   motion_name = ._fsae_tire._cv_motion  &
   function = "0"
!
data_element modify variable  &
   variable_name = ._fsae_tire._cv_solver_variable  &
   function = "0"
!
data_element modify variable  &
   variable_name = ._fsae_tire.tire_fx_left  &
   function = "GFORCE(._fsae_tire.til_wheel.force, 0, 2, ._fsae_tire.mtl_suspension_upright.tire_force_ref)"
!
data_element modify variable  &
   variable_name = ._fsae_tire.tire_fy_left  &
   function = "GFORCE(._fsae_tire.til_wheel.force, 0, 3, ._fsae_tire.mtl_suspension_upright.tire_force_ref)"
!
data_element modify variable  &
   variable_name = ._fsae_tire.tire_tx_left  &
   function = "GFORCE(._fsae_tire.til_wheel.force, 0, 6, ._fsae_tire.mtl_suspension_upright.tire_force_ref)"
!
data_element modify variable  &
   variable_name = ._fsae_tire.tire_ty_left  &
   function = "GFORCE(._fsae_tire.til_wheel.force, 0, 7, ._fsae_tire.mtl_suspension_upright.tire_force_ref)"
!
data_element modify variable  &
   variable_name = ._fsae_tire.tire_tz_left  &
   function = "GFORCE(._fsae_tire.til_wheel.force, 0, 8, ._fsae_tire.mtl_suspension_upright.tire_force_ref)"
!
data_element modify variable  &
   variable_name = ._fsae_tire.tire_fx_right  &
   function = "GFORCE(._fsae_tire.tir_wheel.force, 0, 2, ._fsae_tire.mtr_suspension_upright.tire_force_ref)"
!
data_element modify variable  &
   variable_name = ._fsae_tire.tire_fy_right  &
   function = "GFORCE(._fsae_tire.tir_wheel.force, 0, 3, ._fsae_tire.mtr_suspension_upright.tire_force_ref)"
!
data_element modify variable  &
   variable_name = ._fsae_tire.tire_tx_right  &
   function = "GFORCE(._fsae_tire.tir_wheel.force, 0, 6, ._fsae_tire.mtr_suspension_upright.tire_force_ref)"
!
data_element modify variable  &
   variable_name = ._fsae_tire.tire_ty_right  &
   function = "GFORCE(._fsae_tire.tir_wheel.force, 0, 7, ._fsae_tire.mtr_suspension_upright.tire_force_ref)"
!
data_element modify variable  &
   variable_name = ._fsae_tire.tire_tz_right  &
   function = "GFORCE(._fsae_tire.tir_wheel.force, 0, 8, ._fsae_tire.mtr_suspension_upright.tire_force_ref)"
!
part modify equation differential_equation  &
   differential_equation_name = ._fsae_tire._cv_diff  &
   function = "0"
!
!-------------------------- Adams View UDE Instance ---------------------------!
!
!
ude modify instance  &
   instance_name = ._fsae_tire.til_wheel
!
!-------------------------- Adams View UDE Instance ---------------------------!
!
!
ude modify instance  &
   instance_name = ._fsae_tire.tir_wheel
!
!--------------------------- Expression definitions ---------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ground
!
marker modify  &
   marker_name = ._fsae_tire.ground.cfl_spin_axis  &
   location =   &
      (._fsae_tire.cil_wheel_center)  &
   orientation =   &
      (ORI_RELATIVE_TO({180d - ._fsae_tire.cil_toe_angle, -90d - ._fsae_tire.cil_camber_angle, 180d}, ._fsae_tire.ground.origo))
!
marker modify  &
   marker_name = ._fsae_tire.ground.cfr_spin_axis  &
   location =   &
      (._fsae_tire.cir_wheel_center)  &
   orientation =   &
      (ORI_RELATIVE_TO({180d + ._fsae_tire.cir_toe_angle, 90d + ._fsae_tire.cir_camber_angle, 180d}, ._fsae_tire.ground.origo))
!
marker modify  &
   marker_name = ._fsae_tire.ground.mtl_mount_j_2  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_tire.mtl_suspension_mount))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_tire.mtl_suspension_mount))
!
marker modify  &
   marker_name = ._fsae_tire.ground.mtr_mount_j_2  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_tire.mtr_suspension_mount))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_tire.mtr_suspension_mount))
!
marker modify  &
   marker_name = ._fsae_tire.ground.til_tire_ref_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, -._fsae_tire.til_wheel.tire_radius}, ._fsae_tire.whl_wheel.tire_i))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_tire.ground.origo))
!
marker modify  &
   marker_name = ._fsae_tire.ground.tir_tire_ref_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, -._fsae_tire.tir_wheel.tire_radius}, ._fsae_tire.whr_wheel.tire_i))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_tire.ground.origo))
!
marker modify  &
   marker_name = ._fsae_tire.ground.mtl_mount_j_3  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_tire.mtl_suspension_upright))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_tire.mtl_suspension_upright))
!
marker modify  &
   marker_name = ._fsae_tire.ground.mtr_mount_j_3  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_tire.mtr_suspension_upright))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_tire.mtr_suspension_upright))
!
marker modify  &
   marker_name = ._fsae_tire.ground.jxl_joint_i_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_tire.mtl_suspension_mount.jxl_joint_j_1))  &
   orientation =   &
      (ORI_RELATIVE_TO({90d, 90d, 0}, ._fsae_tire.mtl_suspension_mount.jxl_joint_j_1))
!
marker modify  &
   marker_name = ._fsae_tire.ground.jxr_joint_i_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_tire.mtr_suspension_mount.jxr_joint_j_1))  &
   orientation =   &
      (ORI_RELATIVE_TO({90d, 90d, 0}, ._fsae_tire.mtr_suspension_mount.jxr_joint_j_1))
!
data_element modify array ic_array  &
   array_name = ._fsae_tire.tire_forces_array_left  &
   numbers =   &
      (._fsae_tire.tire_fx_left.adams_id),  &
      (._fsae_tire.tire_fy_left.adams_id),  &
      (._fsae_tire.tire_tx_left.adams_id),  &
      (._fsae_tire.tire_ty_left.adams_id),  &
      (._fsae_tire.tire_tz_left.adams_id)
!
data_element modify array ic_array  &
   array_name = ._fsae_tire.tire_forces_array_right  &
   numbers =   &
      (._fsae_tire.tire_fx_right.adams_id),  &
      (._fsae_tire.tire_fy_right.adams_id),  &
      (._fsae_tire.tire_tx_right.adams_id),  &
      (._fsae_tire.tire_ty_right.adams_id),  &
      (._fsae_tire.tire_tz_right.adams_id)
!
data_element modify string  &
   string_name = ._fsae_tire.minor_role_string  &
   string = (._fsae_tire.minor_role)
!
marker modify  &
   marker_name = ._fsae_tire.whl_wheel.geo_ctr  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, ._fsae_tire.whl_wheel.center_offset - 0.1 * ._fsae_tire.til_wheel.tire_width}, ._fsae_tire.whl_wheel))  &
   relative_to = ._fsae_tire.whl_wheel
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_tire.ground
!
marker modify  &
   marker_name = ._fsae_tire.whl_wheel.jxl_joint_i_8  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_tire.mtl_suspension_mount.jxl_joint_j_8))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_tire.mtl_suspension_mount.jxl_joint_j_8))  &
   relative_to = ._fsae_tire.whl_wheel
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_tire.ground
!
marker modify  &
   marker_name = ._fsae_tire.whl_wheel.geo_inr  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, -._fsae_tire.til_wheel.tire_width / 2}, ._fsae_tire.whl_wheel))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 180d, 0}, ._fsae_tire.whl_wheel))  &
   relative_to = ._fsae_tire.whl_wheel
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_tire.ground
!
marker modify  &
   marker_name = ._fsae_tire.whl_wheel.geo_otr  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, ._fsae_tire.til_wheel.tire_width / 2}, ._fsae_tire.whl_wheel))  &
   relative_to = ._fsae_tire.whl_wheel
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_tire.ground
!
geometry modify shape cylinder  &
   cylinder_name = ._fsae_tire.whl_wheel.wheel_hub  &
   length = (0.2 * ._fsae_tire.til_wheel.tire_width)  &
   radius = (._fsae_tire.til_wheel.tire_radius - ._fsae_tire.til_wheel.tire_width * ._fsae_tire.til_wheel.aspect_ratio - 0.1 * ._fsae_tire.til_wheel.tire_radius)
!
geometry modify shape cylinder  &
   cylinder_name = ._fsae_tire.whl_wheel.wheel_rim  &
   length = (-._fsae_tire.til_wheel.tire_width)  &
   radius = (._fsae_tire.til_wheel.tire_radius - ._fsae_tire.til_wheel.tire_width * ._fsae_tire.til_wheel.aspect_ratio - 0.1 * ._fsae_tire.til_wheel.tire_radius)
!
geometry modify shape frustum  &
   frustum_name = ._fsae_tire.whl_wheel.wheel_inner1  &
   top_radius = (._fsae_tire.til_wheel.tire_radius - ._fsae_tire.til_wheel.tire_width * ._fsae_tire.til_wheel.aspect_ratio - 0.1 * ._fsae_tire.til_wheel.tire_radius)  &
   bottom_radius = (._fsae_tire.til_wheel.tire_radius - ._fsae_tire.til_wheel.tire_width * ._fsae_tire.til_wheel.aspect_ratio)
!
geometry modify shape frustum  &
   frustum_name = ._fsae_tire.whl_wheel.wheel_outer1  &
   top_radius = (._fsae_tire.til_wheel.tire_radius - ._fsae_tire.til_wheel.tire_width * ._fsae_tire.til_wheel.aspect_ratio - 0.1 * ._fsae_tire.til_wheel.tire_radius)  &
   bottom_radius = (._fsae_tire.til_wheel.tire_radius - ._fsae_tire.til_wheel.tire_width * ._fsae_tire.til_wheel.aspect_ratio)
!
geometry modify shape cylinder  &
   cylinder_name = ._fsae_tire.whl_wheel.tire_tread  &
   length = (-._fsae_tire.til_wheel.tire_width)  &
   radius = (._fsae_tire.til_wheel.tire_radius)
!
geometry modify shape frustum  &
   frustum_name = ._fsae_tire.whl_wheel.tire_sidewall1  &
   length = (0.25 * (._fsae_tire.til_wheel.tire_width * ._fsae_tire.til_wheel.aspect_ratio))  &
   top_radius = (._fsae_tire.til_wheel.tire_radius - 0.5 * (._fsae_tire.til_wheel.tire_width * ._fsae_tire.til_wheel.aspect_ratio))  &
   bottom_radius = (._fsae_tire.til_wheel.tire_radius - ._fsae_tire.til_wheel.tire_width * ._fsae_tire.til_wheel.aspect_ratio)
!
geometry modify shape frustum  &
   frustum_name = ._fsae_tire.whl_wheel.tire_sidewall2  &
   length = (0.25 * (._fsae_tire.til_wheel.tire_width * ._fsae_tire.til_wheel.aspect_ratio))  &
   top_radius = (._fsae_tire.til_wheel.tire_radius - 0.5 * (._fsae_tire.til_wheel.tire_width * ._fsae_tire.til_wheel.aspect_ratio))  &
   bottom_radius = (._fsae_tire.til_wheel.tire_radius)
!
geometry modify shape frustum  &
   frustum_name = ._fsae_tire.whl_wheel.tire_sidewall3  &
   length = (0.25 * (._fsae_tire.til_wheel.tire_width * ._fsae_tire.til_wheel.aspect_ratio))  &
   top_radius = (._fsae_tire.til_wheel.tire_radius - 0.5 * (._fsae_tire.til_wheel.tire_width * ._fsae_tire.til_wheel.aspect_ratio))  &
   bottom_radius = (._fsae_tire.til_wheel.tire_radius - ._fsae_tire.til_wheel.tire_width * ._fsae_tire.til_wheel.aspect_ratio)
!
geometry modify shape frustum  &
   frustum_name = ._fsae_tire.whl_wheel.tire_sidewall4  &
   length = (0.25 * (._fsae_tire.til_wheel.tire_width * ._fsae_tire.til_wheel.aspect_ratio))  &
   top_radius = (._fsae_tire.til_wheel.tire_radius - 0.5 * (._fsae_tire.til_wheel.tire_width * ._fsae_tire.til_wheel.aspect_ratio))  &
   bottom_radius = (._fsae_tire.til_wheel.tire_radius)
!
marker modify  &
   marker_name = ._fsae_tire.whl_wheel.gfo_i  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_tire.til_wheel.i_marker))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_tire.til_wheel.i_marker))  &
   relative_to = ._fsae_tire.whl_wheel
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_tire.ground
!
part modify rigid_body name_and_position  &
   part_name = ._fsae_tire.whl_wheel  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}mm, ._fsae_tire.ground.cfl_spin_axis))  &
   orientation =   &
      (ORI_RELATIVE_TO({0.0, 0.0, 0.0}degrees, ._fsae_tire.ground.cfl_spin_axis))
!
marker modify  &
   marker_name = ._fsae_tire.whr_wheel.geo_ctr  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, ._fsae_tire.whr_wheel.center_offset - 0.1 * ._fsae_tire.tir_wheel.tire_width}, ._fsae_tire.whr_wheel))  &
   relative_to = ._fsae_tire.whr_wheel
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_tire.ground
!
marker modify  &
   marker_name = ._fsae_tire.whr_wheel.jxr_joint_i_8  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_tire.mtr_suspension_mount.jxr_joint_j_8))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_tire.mtr_suspension_mount.jxr_joint_j_8))  &
   relative_to = ._fsae_tire.whr_wheel
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_tire.ground
!
marker modify  &
   marker_name = ._fsae_tire.whr_wheel.geo_inr  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, -._fsae_tire.tir_wheel.tire_width / 2}, ._fsae_tire.whr_wheel))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 180d, 0}, ._fsae_tire.whr_wheel))  &
   relative_to = ._fsae_tire.whr_wheel
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_tire.ground
!
marker modify  &
   marker_name = ._fsae_tire.whr_wheel.geo_otr  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, ._fsae_tire.tir_wheel.tire_width / 2}, ._fsae_tire.whr_wheel))  &
   relative_to = ._fsae_tire.whr_wheel
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_tire.ground
!
geometry modify shape cylinder  &
   cylinder_name = ._fsae_tire.whr_wheel.wheel_hub  &
   length = (0.2 * ._fsae_tire.tir_wheel.tire_width)  &
   radius = (._fsae_tire.tir_wheel.tire_radius - ._fsae_tire.tir_wheel.tire_width * ._fsae_tire.tir_wheel.aspect_ratio - 0.1 * ._fsae_tire.tir_wheel.tire_radius)
!
geometry modify shape cylinder  &
   cylinder_name = ._fsae_tire.whr_wheel.wheel_rim  &
   length = (-._fsae_tire.tir_wheel.tire_width)  &
   radius = (._fsae_tire.tir_wheel.tire_radius - ._fsae_tire.tir_wheel.tire_width * ._fsae_tire.tir_wheel.aspect_ratio - 0.1 * ._fsae_tire.tir_wheel.tire_radius)
!
geometry modify shape frustum  &
   frustum_name = ._fsae_tire.whr_wheel.wheel_inner1  &
   top_radius = (._fsae_tire.tir_wheel.tire_radius - ._fsae_tire.tir_wheel.tire_width * ._fsae_tire.tir_wheel.aspect_ratio - 0.1 * ._fsae_tire.tir_wheel.tire_radius)  &
   bottom_radius = (._fsae_tire.tir_wheel.tire_radius - ._fsae_tire.tir_wheel.tire_width * ._fsae_tire.tir_wheel.aspect_ratio)
!
geometry modify shape frustum  &
   frustum_name = ._fsae_tire.whr_wheel.wheel_outer1  &
   top_radius = (._fsae_tire.tir_wheel.tire_radius - ._fsae_tire.tir_wheel.tire_width * ._fsae_tire.tir_wheel.aspect_ratio - 0.1 * ._fsae_tire.tir_wheel.tire_radius)  &
   bottom_radius = (._fsae_tire.tir_wheel.tire_radius - ._fsae_tire.tir_wheel.tire_width * ._fsae_tire.tir_wheel.aspect_ratio)
!
geometry modify shape cylinder  &
   cylinder_name = ._fsae_tire.whr_wheel.tire_tread  &
   length = (-._fsae_tire.tir_wheel.tire_width)  &
   radius = (._fsae_tire.tir_wheel.tire_radius)
!
geometry modify shape frustum  &
   frustum_name = ._fsae_tire.whr_wheel.tire_sidewall1  &
   length = (0.25 * (._fsae_tire.tir_wheel.tire_width * ._fsae_tire.tir_wheel.aspect_ratio))  &
   top_radius = (._fsae_tire.tir_wheel.tire_radius - 0.5 * (._fsae_tire.tir_wheel.tire_width * ._fsae_tire.tir_wheel.aspect_ratio))  &
   bottom_radius = (._fsae_tire.tir_wheel.tire_radius - ._fsae_tire.tir_wheel.tire_width * ._fsae_tire.tir_wheel.aspect_ratio)
!
geometry modify shape frustum  &
   frustum_name = ._fsae_tire.whr_wheel.tire_sidewall2  &
   length = (0.25 * (._fsae_tire.tir_wheel.tire_width * ._fsae_tire.tir_wheel.aspect_ratio))  &
   top_radius = (._fsae_tire.tir_wheel.tire_radius - 0.5 * (._fsae_tire.tir_wheel.tire_width * ._fsae_tire.tir_wheel.aspect_ratio))  &
   bottom_radius = (._fsae_tire.tir_wheel.tire_radius)
!
geometry modify shape frustum  &
   frustum_name = ._fsae_tire.whr_wheel.tire_sidewall3  &
   length = (0.25 * (._fsae_tire.tir_wheel.tire_width * ._fsae_tire.tir_wheel.aspect_ratio))  &
   top_radius = (._fsae_tire.tir_wheel.tire_radius - 0.5 * (._fsae_tire.tir_wheel.tire_width * ._fsae_tire.tir_wheel.aspect_ratio))  &
   bottom_radius = (._fsae_tire.tir_wheel.tire_radius - ._fsae_tire.tir_wheel.tire_width * ._fsae_tire.tir_wheel.aspect_ratio)
!
geometry modify shape frustum  &
   frustum_name = ._fsae_tire.whr_wheel.tire_sidewall4  &
   length = (0.25 * (._fsae_tire.tir_wheel.tire_width * ._fsae_tire.tir_wheel.aspect_ratio))  &
   top_radius = (._fsae_tire.tir_wheel.tire_radius - 0.5 * (._fsae_tire.tir_wheel.tire_width * ._fsae_tire.tir_wheel.aspect_ratio))  &
   bottom_radius = (._fsae_tire.tir_wheel.tire_radius)
!
marker modify  &
   marker_name = ._fsae_tire.whr_wheel.gfo_i  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_tire.tir_wheel.i_marker))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_tire.tir_wheel.i_marker))  &
   relative_to = ._fsae_tire.whr_wheel
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_tire.ground
!
part modify rigid_body name_and_position  &
   part_name = ._fsae_tire.whr_wheel  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}mm, ._fsae_tire.ground.cfr_spin_axis))  &
   orientation =   &
      (ORI_RELATIVE_TO({0.0, 0.0, 0.0}degrees, ._fsae_tire.ground.cfr_spin_axis))
!
marker modify  &
   marker_name = ._fsae_tire.mtl_suspension_mount.jxl_joint_j_8  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}mm, ._fsae_tire.ground.cfl_spin_axis))  &
   orientation =   &
      (ORI_RELATIVE_TO({0.0, 90.0, 0.0}degrees, ._fsae_tire.ground.cfl_spin_axis))  &
   relative_to = ._fsae_tire.mtl_suspension_mount
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_tire.ground
!
marker modify  &
   marker_name = ._fsae_tire.mtl_suspension_mount.jxl_joint_j_1  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}mm, ._fsae_tire.ground.cfl_spin_axis))  &
   relative_to = ._fsae_tire.mtl_suspension_mount
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_tire.ground
!
part modify rigid_body name_and_position  &
   part_name = ._fsae_tire.mtl_suspension_mount  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_tire.ground.cfl_spin_axis))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_tire.ground.origo))
!
marker modify  &
   marker_name = ._fsae_tire.mtr_suspension_mount.jxr_joint_j_8  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}mm, ._fsae_tire.ground.cfr_spin_axis))  &
   orientation =   &
      (ORI_RELATIVE_TO({0.0, -90.0, 0.0}degrees, ._fsae_tire.ground.cfr_spin_axis))  &
   relative_to = ._fsae_tire.mtr_suspension_mount
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_tire.ground
!
marker modify  &
   marker_name = ._fsae_tire.mtr_suspension_mount.jxr_joint_j_1  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}mm, ._fsae_tire.ground.cfr_spin_axis))  &
   relative_to = ._fsae_tire.mtr_suspension_mount
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_tire.ground
!
part modify rigid_body name_and_position  &
   part_name = ._fsae_tire.mtr_suspension_mount  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_tire.ground.cfr_spin_axis))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_tire.ground.origo))
!
marker modify  &
   marker_name = ._fsae_tire.mtl_suspension_upright.tire_force_ref  &
   orientation =   &
      (ORI_RELATIVE_TO({180.0, 90.0, 0.0}degrees, ._fsae_tire.ground.cfl_spin_axis))  &
   relative_to = ._fsae_tire.mtl_suspension_upright
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_tire.ground
!
part modify rigid_body name_and_position  &
   part_name = ._fsae_tire.mtl_suspension_upright  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_tire.ground.cfl_spin_axis))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_tire.ground.origo))
!
marker modify  &
   marker_name = ._fsae_tire.mtr_suspension_upright.tire_force_ref  &
   orientation =   &
      (ORI_RELATIVE_TO({180.0, -90.0, 0.0}degrees, ._fsae_tire.ground.cfr_spin_axis))  &
   relative_to = ._fsae_tire.mtr_suspension_upright
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_tire.ground
!
part modify rigid_body name_and_position  &
   part_name = ._fsae_tire.mtr_suspension_upright  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_tire.ground.cfr_spin_axis))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_tire.ground.origo))
!
ude modify instance  &
   instance_name = ._fsae_tire.til_wheel  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_tire.ground.origo))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_tire.ground.origo))
!
ude modify instance  &
   instance_name = ._fsae_tire.tir_wheel  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_tire.ground.origo))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_tire.ground.origo))
!
variable modify  &
   variable_name = ._fsae_tire.cil_suspension_mount.minor_role  &
   string_value = (._fsae_tire.mtl_suspension_mount.minor_role)
!
variable modify  &
   variable_name = ._fsae_tire.cil_suspension_mount  &
   comments = ("Autocreated for mount part: " // ._fsae_tire.cil_suspension_mount[2].name)
!
variable modify  &
   variable_name = ._fsae_tire.cir_suspension_mount.minor_role  &
   string_value = (._fsae_tire.mtr_suspension_mount.minor_role)
!
variable modify  &
   variable_name = ._fsae_tire.cir_suspension_mount  &
   comments = ("Autocreated for mount part: " // ._fsae_tire.cir_suspension_mount[2].name)
!
variable modify  &
   variable_name = ._fsae_tire.col_wheel_orientation  &
   real_value =   &
      (._fsae_tire.ground.cfl_spin_axis.orientation[1]),  &
      (._fsae_tire.ground.cfl_spin_axis.orientation[2]),  &
      (._fsae_tire.ground.cfl_spin_axis.orientation[3])
!
variable modify  &
   variable_name = ._fsae_tire.cor_wheel_orientation  &
   real_value =   &
      (._fsae_tire.ground.cfr_spin_axis.orientation[1]),  &
      (._fsae_tire.ground.cfr_spin_axis.orientation[2]),  &
      (._fsae_tire.ground.cfr_spin_axis.orientation[3])
!
variable modify  &
   variable_name = ._fsae_tire.cil_suspension_upright.minor_role  &
   string_value = (._fsae_tire.mtl_suspension_upright.minor_role)
!
variable modify  &
   variable_name = ._fsae_tire.cil_suspension_upright  &
   comments = ("Autocreated for mount part: " // ._fsae_tire.cil_suspension_upright[2].name)
!
variable modify  &
   variable_name = ._fsae_tire.cir_suspension_upright.minor_role  &
   string_value = (._fsae_tire.mtr_suspension_upright.minor_role)
!
variable modify  &
   variable_name = ._fsae_tire.cir_suspension_upright  &
   comments = ("Autocreated for mount part: " // ._fsae_tire.cir_suspension_upright[2].name)
!
group modify  &
   group_name = ._fsae_tire.kinematic_mode_active  &
   expr_active = ((._fsae_tire.phs_kinematic_flag || ._fsae_tire.model_class == "template" ? 1 : 0) && DB_ACTIVE(._fsae_tire))
!
group modify  &
   group_name = ._fsae_tire.kinematic_mode_inactive  &
   expr_active = (( ! ._fsae_tire.phs_kinematic_flag || ._fsae_tire.model_class == "template" ? 1 : 0) && DB_ACTIVE(._fsae_tire))
!
model display  &
   model_name = _fsae_tire
