$---------------------------------------------------------------------MDI_HEADER
[MDI_HEADER]
 FILE_TYPE     =  'tpl'
 FILE_VERSION  =  2018.0
 FILE_FORMAT   =  'ASCII'
 HEADER_SIZE   =  9
(COMMENTS)
{comment_string}
'Simple Double Wishbone Suspension'
$----------------------------------------------------------------TEMPLATE_HEADER
[TEMPLATE_HEADER]
 TEMPLATE_NAME  =  '_fsae_frontsusp'
 MAJOR_ROLE     =  'suspension'
 TIMESTAMP      =  '2019/03/04,19:53:36'
 HEADER_SIZE    =  6
$------------------------------------------------------------------------PLUGINS
[PLUGINS]
 PLUGIN_LIST  =  'acar'
 HEADER_SIZE  =  4
!
!-------------------------- Default Units for Model ---------------------------!
!
!
defaults units  &
   length = mm  &
   angle = deg  &
   force = newton  &
   mass = kg  &
   time = sec
!
defaults units  &
   coordinate_system_type = cartesian  &
   orientation_type = body313
!
!------------------------ Default Attributes for Model ------------------------!
!
!
defaults attributes  &
   inheritance = bottom_up  &
   icon_visibility = off  &
   grid_visibility = off  &
   size_of_icons = 50.0  &
   spacing_for_grid = 1000.0
!
!--------------------------- Plugins used by Model ----------------------------!
!
!
plugin load  &
   plugin_name = .MDI.plugins.acar
!
!------------------------------ Adams View Model ------------------------------!
!
!
model create  &
   model_name = _fsae_frontsusp  &
   comments = "Simple Double Wishbone Suspension"  &
   title = "Adams/Car template"
!
model attributes  &
   model_name = ._fsae_frontsusp  &
   size_of_icons = 31.75
!
view erase
!
!-------------------------------- Data storage --------------------------------!
!
!
data_element create variable  &
   variable_name = ._fsae_frontsusp._cv_solver_variable  &
   comments = "Dummy for communicators"  &
   function = ""
!
data_element attributes  &
   data_element_name = ._fsae_frontsusp._cv_solver_variable  &
   visibility = off
!
data_element create array ic_array  &
   array_name = ._fsae_frontsusp._cv_array  &
   comments = "Dummy for communicators"  &
   size = 1  &
   numbers = 0.0
!
data_element attributes  &
   data_element_name = ._fsae_frontsusp._cv_array  &
   visibility = off
!
data_element create array ic_array  &
   array_name = ._fsae_frontsusp.suspension_parameters_ARRAY  &
   comments = "STEER AXIS CALCULATION METHOD=: geometric"  &
   size = 6  &
   numbers = 1.0, 0.0, 0.0, 0.0, 0.0, 1.0
!
data_element create spline  &
   spline_name = ._fsae_frontsusp._cv_spline  &
   comments = "Dummy for communicators"  &
   x = 1.0, 2.0, 3.0, 4.0  &
   y = 1.0, 2.0, 3.0, 4.0, 1.0, 2.0, 3.0, 4.0  &
   z = 1.0, 2.0  &
   linear_extrapolate = no
!
data_element attributes  &
   data_element_name = ._fsae_frontsusp._cv_spline  &
   visibility = off
!
data_element create string  &
   string_name = ._fsae_frontsusp.minor_role_string  &
   string = "unassigned"
!
data_element attributes  &
   data_element_name = ._fsae_frontsusp.minor_role_string  &
   visibility = off
!
!--------------------------------- Materials ----------------------------------!
!
!
material create  &
   material_name = ._fsae_frontsusp.steel  &
   density = 7.801E-06  &
   youngs_modulus = 2.07E+05  &
   poissons_ratio = 0.29
!
material create  &
   material_name = ._fsae_frontsusp.aluminum  &
   density = 2.74E-06  &
   youngs_modulus = 7.1705E+04  &
   poissons_ratio = 0.33
!
!-------------------------------- Rigid Parts ---------------------------------!
!
! Create parts and their dependent markers and graphics
!
!----------------------------------- ground -----------------------------------!
!
!
! ****** Ground Part ******
!
part modify rigid_body name_and_position  &
   part_name = ground
!
defaults model  &
   part_name = ground
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._fsae_frontsusp.ground.afr_aforce_meaj_2  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.ground.afr_aforce_meaj_2  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.ground.afl_aforce_meaj_2  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.ground.afl_aforce_meaj_2  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.ground.cfl_lca_outer  &
   location = -512.0, -716.0, 27.4  &
   orientation = 180.0d, 90.0d, 180.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.ground.cfl_lca_outer  &
   color = MAIZE  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.ground.cfr_lca_outer  &
   location = -512.0, 716.0, 27.4  &
   orientation = 0.0d, 90.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.ground.cfr_lca_outer  &
   color = MAIZE  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.ground.cfl_tierod_middle  &
   location = -415.0, -477.4, 77.4  &
   orientation = 0.0d, 90.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.ground.cfl_tierod_middle  &
   color = MAIZE  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.ground.cfr_tierod_middle  &
   location = -415.0, 477.4, 77.4  &
   orientation = 180.0d, 90.0d, 180.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.ground.cfr_tierod_middle  &
   color = MAIZE  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.ground.origo  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.ground.origo  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.ground.cfl_wheel_center  &
   location = -512.0, -700.0, 155.2  &
   orientation = 0.0d, 90.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.ground.cfl_wheel_center  &
   color = MAIZE  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.ground.cfr_wheel_center  &
   location = -512.0, 700.0, 155.2  &
   orientation = 180.0d, 90.0d, 180.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.ground.cfr_wheel_center  &
   color = MAIZE  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.ground.cfl_lwr_strut_ext  &
   location = -385.0, -203.2, 472.2  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.ground.cfl_lwr_strut_ext  &
   color = MAIZE  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.ground.cfr_lwr_strut_ext  &
   location = -385.0, 203.2, 472.2  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.ground.cfr_lwr_strut_ext  &
   color = MAIZE  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.ground.cfl_top_mount_ext  &
   location = -131.0, -203.2, 472.7  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.ground.cfl_top_mount_ext  &
   color = MAIZE  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.ground.cfr_top_mount_ext  &
   location = -131.0, 203.2, 472.7  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.ground.cfr_top_mount_ext  &
   color = MAIZE  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.ground.mtl_mount_j_2  &
   location = -415.0, -304.8, 77.4  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.ground.mtl_mount_j_2  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.ground.mtr_mount_j_2  &
   location = -415.0, 304.8, 77.4  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.ground.mtr_mount_j_2  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.ground.mtl_mount_j_3  &
   location = -131.0, -203.2, 472.7  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.ground.mtl_mount_j_3  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.ground.mtr_mount_j_3  &
   location = -131.0, 203.2, 472.7  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.ground.mtr_mount_j_3  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.ground._cv_marker  &
   comments = "Dummy for communicators"  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.ground._cv_marker  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.ground.mtl_mount_j_4  &
   location = -258.0, -200.05, 263.15  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.ground.mtl_mount_j_4  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.ground.mtr_mount_j_4  &
   location = -258.0, 200.05, 263.15  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.ground.mtr_mount_j_4  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.ground.cfr_lwr_spring_seat  &
   location = -258.0, 203.2, 472.45  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.ground.cfr_lwr_spring_seat  &
   color = MAIZE  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.ground.cfl_lwr_spring_seat  &
   location = -258.0, -203.2, 472.45  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.ground.cfl_lwr_spring_seat  &
   color = MAIZE  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.ground.cfr_drive_shaft_otr  &
   location = -512.0, 625.0, 155.2  &
   orientation = 180.0d, 90.0d, 180.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.ground.cfr_drive_shaft_otr  &
   color = MAIZE  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.ground.cfl_drive_shaft_otr  &
   location = -512.0, -625.0, 155.2  &
   orientation = 0.0d, 90.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.ground.cfl_drive_shaft_otr  &
   color = MAIZE  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.ground.cfl_upright_spindle_inr  &
   location = -512.0, -625.0, 155.2  &
   orientation = 0.0d, 90.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.ground.cfl_upright_spindle_inr  &
   color = MAIZE  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.ground.cfr_upright_spindle_inr  &
   location = -512.0, 625.0, 155.2  &
   orientation = 180.0d, 90.0d, 180.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.ground.cfr_upright_spindle_inr  &
   color = MAIZE  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.ground.afl_aforce_meaj_1  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.ground.afl_aforce_meaj_1  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.ground.afr_aforce_meaj_1  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.ground.afr_aforce_meaj_1  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.ground.cfl_lwr_strut_loc  &
   location = -385.0, -203.2, 472.2  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.ground.cfl_lwr_strut_loc  &
   color = MAIZE  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.ground.cfr_lwr_strut_loc  &
   location = -385.0, 203.2, 472.2  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.ground.cfr_lwr_strut_loc  &
   color = MAIZE  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.ground.mtr_mount_j_1  &
   location = -258.0, 219.1, 21.85  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.ground.mtr_mount_j_1  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.ground.mtl_mount_j_1  &
   location = -258.0, -219.1, 21.85  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.ground.mtl_mount_j_1  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.ground.mtl_mount_j_6  &
   location = -359.6, -254.0, 434.6  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.ground.mtl_mount_j_6  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_frontsusp.ground.mtr_mount_j_6  &
   location = -359.6, 254.0, 434.6  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.ground.mtr_mount_j_6  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_frontsusp.ground.cfl_ride_height  &
   location = -766.0, -219.1, 21.85  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.ground.cfl_ride_height  &
   color = MAIZE
!
marker create  &
   marker_name = ._fsae_frontsusp.ground.cfr_ride_height  &
   location = -766.0, 219.1, 21.85  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.ground.cfr_ride_height  &
   color = MAIZE
!
! ****** Points for current part ******
!
point create  &
   point_name = ._fsae_frontsusp.ground.hpl_lca_front  &
   location = -766.0, -219.1, 21.85
!
point attributes  &
   point_name = ._fsae_frontsusp.ground.hpl_lca_front  &
   size_of_icons = 31.75
!
point create  &
   point_name = ._fsae_frontsusp.ground.hpr_lca_front  &
   location = -766.0, 219.1, 21.85
!
point attributes  &
   point_name = ._fsae_frontsusp.ground.hpr_lca_front  &
   size_of_icons = 31.75
!
point create  &
   point_name = ._fsae_frontsusp.ground.hpl_lca_rear  &
   location = -258.0, -219.1, 21.85
!
point attributes  &
   point_name = ._fsae_frontsusp.ground.hpl_lca_rear  &
   size_of_icons = 31.75
!
point create  &
   point_name = ._fsae_frontsusp.ground.hpr_lca_rear  &
   location = -258.0, 219.1, 21.85
!
point attributes  &
   point_name = ._fsae_frontsusp.ground.hpr_lca_rear  &
   size_of_icons = 31.75
!
point create  &
   point_name = ._fsae_frontsusp.ground.hpl_lca_outer  &
   location = -512.0, -716.0, 27.4
!
point attributes  &
   point_name = ._fsae_frontsusp.ground.hpl_lca_outer  &
   size_of_icons = 31.75
!
point create  &
   point_name = ._fsae_frontsusp.ground.hpr_lca_outer  &
   location = -512.0, 716.0, 27.4
!
point attributes  &
   point_name = ._fsae_frontsusp.ground.hpr_lca_outer  &
   size_of_icons = 31.75
!
point create  &
   point_name = ._fsae_frontsusp.ground.hpl_wheel_center  &
   location = -512.0, -700.0, 155.2
!
point attributes  &
   point_name = ._fsae_frontsusp.ground.hpl_wheel_center  &
   size_of_icons = 31.75
!
point create  &
   point_name = ._fsae_frontsusp.ground.hpr_wheel_center  &
   location = -512.0, 700.0, 155.2
!
point attributes  &
   point_name = ._fsae_frontsusp.ground.hpr_wheel_center  &
   size_of_icons = 31.75
!
point create  &
   point_name = ._fsae_frontsusp.ground.hpl_tierod_outer  &
   location = -415.0, -650.0, 77.4
!
point attributes  &
   point_name = ._fsae_frontsusp.ground.hpl_tierod_outer  &
   size_of_icons = 31.75
!
point create  &
   point_name = ._fsae_frontsusp.ground.hpr_tierod_outer  &
   location = -415.0, 650.0, 77.4
!
point attributes  &
   point_name = ._fsae_frontsusp.ground.hpr_tierod_outer  &
   size_of_icons = 31.75
!
point create  &
   point_name = ._fsae_frontsusp.ground.hpl_damper_inboard  &
   location = -131.0, -203.2, 472.7
!
point attributes  &
   point_name = ._fsae_frontsusp.ground.hpl_damper_inboard  &
   size_of_icons = 31.75
!
point create  &
   point_name = ._fsae_frontsusp.ground.hpr_damper_inboard  &
   location = -131.0, 203.2, 472.7
!
point attributes  &
   point_name = ._fsae_frontsusp.ground.hpr_damper_inboard  &
   size_of_icons = 31.75
!
point create  &
   point_name = ._fsae_frontsusp.ground.hpl_tierod_inner  &
   location = -415.0, -304.8, 77.4
!
point attributes  &
   point_name = ._fsae_frontsusp.ground.hpl_tierod_inner  &
   size_of_icons = 31.75
!
point create  &
   point_name = ._fsae_frontsusp.ground.hpr_tierod_inner  &
   location = -415.0, 304.8, 77.4
!
point attributes  &
   point_name = ._fsae_frontsusp.ground.hpr_tierod_inner  &
   size_of_icons = 31.75
!
point create  &
   point_name = ._fsae_frontsusp.ground.hpl_uca_front  &
   location = -766.0, -200.05, 263.15
!
point attributes  &
   point_name = ._fsae_frontsusp.ground.hpl_uca_front  &
   size_of_icons = 31.75
!
point create  &
   point_name = ._fsae_frontsusp.ground.hpr_uca_front  &
   location = -766.0, 200.05, 263.15
!
point attributes  &
   point_name = ._fsae_frontsusp.ground.hpr_uca_front  &
   size_of_icons = 31.75
!
point create  &
   point_name = ._fsae_frontsusp.ground.hpl_uca_rear  &
   location = -258.0, -200.05, 263.15
!
point attributes  &
   point_name = ._fsae_frontsusp.ground.hpl_uca_rear  &
   size_of_icons = 31.75
!
point create  &
   point_name = ._fsae_frontsusp.ground.hpr_uca_rear  &
   location = -258.0, 200.05, 263.15
!
point attributes  &
   point_name = ._fsae_frontsusp.ground.hpr_uca_rear  &
   size_of_icons = 31.75
!
point create  &
   point_name = ._fsae_frontsusp.ground.hpl_uca_outer  &
   location = -512.0, -614.1, 283.0
!
point attributes  &
   point_name = ._fsae_frontsusp.ground.hpl_uca_outer  &
   size_of_icons = 31.75
!
point create  &
   point_name = ._fsae_frontsusp.ground.hpr_uca_outer  &
   location = -512.0, 614.1, 283.0
!
point attributes  &
   point_name = ._fsae_frontsusp.ground.hpr_uca_outer  &
   size_of_icons = 31.75
!
point create  &
   point_name = ._fsae_frontsusp.ground.hpl_damper_outboard  &
   location = -385.0, -203.2, 472.2
!
point attributes  &
   point_name = ._fsae_frontsusp.ground.hpl_damper_outboard  &
   size_of_icons = 31.75
!
point create  &
   point_name = ._fsae_frontsusp.ground.hpr_damper_outboard  &
   location = -385.0, 203.2, 472.2
!
point attributes  &
   point_name = ._fsae_frontsusp.ground.hpr_damper_outboard  &
   size_of_icons = 31.75
!
point create  &
   point_name = ._fsae_frontsusp.ground.hps_camber_adj_orient  &
   location = -512.0, 0.0, 27.4
!
point create  &
   point_name = ._fsae_frontsusp.ground.hpr_BC_center  &
   location = -359.6, 254.0, 434.6
!
point create  &
   point_name = ._fsae_frontsusp.ground.hpl_BC_center  &
   location = -359.6, -254.0, 434.6
!
point create  &
   point_name = ._fsae_frontsusp.ground.hpr_BC_axis  &
   location = -359.6, 254.0, 333.0
!
point create  &
   point_name = ._fsae_frontsusp.ground.hpl_BC_axis  &
   location = -359.6, -254.0, 333.0
!
point create  &
   point_name = ._fsae_frontsusp.ground.hpr_prod_inboard  &
   location = -435.8, 254.0, 447.3
!
point create  &
   point_name = ._fsae_frontsusp.ground.hpl_prod_inboard  &
   location = -435.8, -254.0, 447.3
!
point create  &
   point_name = ._fsae_frontsusp.ground.hpr_prod_outboard  &
   location = -461.2, 689.0, 2.8
!
point create  &
   point_name = ._fsae_frontsusp.ground.hpl_prod_outboard  &
   location = -461.2, -689.0, 2.8
!
point create  &
   point_name = ._fsae_frontsusp.ground.hpl_ride_height  &
   location = -766.0, -219.1, 21.85
!
point create  &
   point_name = ._fsae_frontsusp.ground.hpr_ride_height  &
   location = -766.0, 219.1, 21.85
!
! ****** Graphics for current part ******
!
geometry create shape ellipsoid  &
   ellipsoid_name = ._fsae_frontsusp.ground._cv_csolid  &
   center_marker = ._fsae_frontsusp.ground._cv_marker  &
   x_scale_factor = 100.0  &
   y_scale_factor = 100.0  &
   z_scale_factor = 100.0
!
geometry attributes  &
   geometry_name = ._fsae_frontsusp.ground._cv_csolid  &
   active = off
!
part attributes  &
   part_name = ._fsae_frontsusp.ground  &
   size_of_icons = 31.75
!
!------------------------------ gel_tierod_inner ------------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
part create rigid_body name_and_position  &
   part_name = ._fsae_frontsusp.gel_tierod_inner  &
   location = -415.0, -477.4, 77.4  &
   orientation = 0.0d, 90.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.gel_tierod_inner
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._fsae_frontsusp.gel_tierod_inner.cm  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.gel_tierod_inner.cm  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.gel_tierod_inner.inertia_frame  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.gel_tierod_inner.inertia_frame  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.gel_tierod_inner.gralin_23  &
   location = 0.0, 0.0, -172.6  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.gel_tierod_inner.gralin_23  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.gel_tierod_inner.jxl_joint_j_1  &
   location = 0.0, 0.0, 0.0  &
   orientation = 180.0d, 180.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.gel_tierod_inner.jxl_joint_j_1  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.gel_tierod_inner.afl_aforce_i_1  &
   location = 0.0, 0.0, -172.6  &
   orientation = 180.0d, 180.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.gel_tierod_inner.afl_aforce_i_1  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.gel_tierod_inner.jxl_joint_i_11  &
   location = 0.0, 0.0, -172.6  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.gel_tierod_inner.jxl_joint_i_11  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.gel_tierod_inner.graell_11  &
   location = 0.0, 0.0, -172.6  &
   orientation = 180.0d, 90.0d, 180.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.gel_tierod_inner.graell_11  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
part create rigid_body mass_properties  &
   part_name = ._fsae_frontsusp.gel_tierod_inner  &
   mass = 1.0  &
   center_of_mass_marker = ._fsae_frontsusp.gel_tierod_inner.cm  &
   inertia_marker = ._fsae_frontsusp.gel_tierod_inner.inertia_frame  &
   ixx = 1.0  &
   iyy = 1.0  &
   izz = 1.0  &
   ixy = 0.0  &
   izx = 0.0  &
   iyz = 0.0
!
! ****** Graphics for current part ******
!
geometry create shape cylinder  &
   cylinder_name = ._fsae_frontsusp.gel_tierod_inner.gralin_tierod_inner  &
   center_marker = ._fsae_frontsusp.gel_tierod_inner.gralin_23  &
   angle_extent = 360.0  &
   length = 172.6  &
   radius = 6.35  &
   side_count_for_body = 15  &
   segment_count_for_ends = 15
!
geometry attributes  &
   geometry_name = ._fsae_frontsusp.gel_tierod_inner.gralin_tierod_inner  &
   color = SILVER
!
geometry create shape ellipsoid  &
   ellipsoid_name = ._fsae_frontsusp.gel_tierod_inner.graell_tierod_inner  &
   center_marker = ._fsae_frontsusp.gel_tierod_inner.graell_11  &
   x_scale_factor = 12.7  &
   y_scale_factor = 12.7  &
   z_scale_factor = 12.7
!
geometry attributes  &
   geometry_name = ._fsae_frontsusp.gel_tierod_inner.graell_tierod_inner  &
   color = SILVER
!
part attributes  &
   part_name = ._fsae_frontsusp.gel_tierod_inner  &
   visibility = on  &
   name_visibility = on  &
   size_of_icons = 31.75
!
!------------------------------ ger_tierod_inner ------------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
part create rigid_body name_and_position  &
   part_name = ._fsae_frontsusp.ger_tierod_inner  &
   location = -415.0, 477.4, 77.4  &
   orientation = 180.0d, 90.0d, 180.0d
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ger_tierod_inner
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._fsae_frontsusp.ger_tierod_inner.cm  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.ger_tierod_inner.cm  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.ger_tierod_inner.inertia_frame  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.ger_tierod_inner.inertia_frame  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.ger_tierod_inner.gralin_24  &
   location = 0.0, 0.0, -172.6  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.ger_tierod_inner.gralin_24  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.ger_tierod_inner.jxr_joint_j_1  &
   location = 0.0, 0.0, 0.0  &
   orientation = 180.0d, 180.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.ger_tierod_inner.jxr_joint_j_1  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.ger_tierod_inner.afr_aforce_i_1  &
   location = 0.0, 0.0, -172.6  &
   orientation = 180.0d, 180.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.ger_tierod_inner.afr_aforce_i_1  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.ger_tierod_inner.jxr_joint_i_11  &
   location = 0.0, 0.0, -172.6  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.ger_tierod_inner.jxr_joint_i_11  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.ger_tierod_inner.graell_12  &
   location = 0.0, 0.0, -172.6  &
   orientation = 0.0d, 90.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.ger_tierod_inner.graell_12  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
part create rigid_body mass_properties  &
   part_name = ._fsae_frontsusp.ger_tierod_inner  &
   mass = 1.0  &
   center_of_mass_marker = ._fsae_frontsusp.ger_tierod_inner.cm  &
   inertia_marker = ._fsae_frontsusp.ger_tierod_inner.inertia_frame  &
   ixx = 1.0  &
   iyy = 1.0  &
   izz = 1.0  &
   ixy = 0.0  &
   izx = 0.0  &
   iyz = 0.0
!
! ****** Graphics for current part ******
!
geometry create shape cylinder  &
   cylinder_name = ._fsae_frontsusp.ger_tierod_inner.gralin_tierod_inner  &
   center_marker = ._fsae_frontsusp.ger_tierod_inner.gralin_24  &
   angle_extent = 360.0  &
   length = 172.6  &
   radius = 6.35  &
   side_count_for_body = 15  &
   segment_count_for_ends = 15
!
geometry attributes  &
   geometry_name = ._fsae_frontsusp.ger_tierod_inner.gralin_tierod_inner  &
   color = SILVER
!
geometry create shape ellipsoid  &
   ellipsoid_name = ._fsae_frontsusp.ger_tierod_inner.graell_tierod_inner  &
   center_marker = ._fsae_frontsusp.ger_tierod_inner.graell_12  &
   x_scale_factor = 12.7  &
   y_scale_factor = 12.7  &
   z_scale_factor = 12.7
!
geometry attributes  &
   geometry_name = ._fsae_frontsusp.ger_tierod_inner.graell_tierod_inner  &
   color = SILVER
!
part attributes  &
   part_name = ._fsae_frontsusp.ger_tierod_inner  &
   visibility = on  &
   name_visibility = on  &
   size_of_icons = 31.75
!
!------------------------------ gel_tierod_outer ------------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
part create rigid_body name_and_position  &
   part_name = ._fsae_frontsusp.gel_tierod_outer  &
   location = -415.0, -477.4, 77.4  &
   orientation = 0.0d, 90.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.gel_tierod_outer
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._fsae_frontsusp.gel_tierod_outer.cm  &
   location = 0.0, 0.0, 81.8714609761  &
   orientation = 90.0d, 180.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.gel_tierod_outer.cm  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.gel_tierod_outer.inertia_frame  &
   location = 0.0, 0.0, 81.8714609761  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.gel_tierod_outer.inertia_frame  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.gel_tierod_outer.gralin_25  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.gel_tierod_outer.gralin_25  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.gel_tierod_outer.jxl_joint_i_1  &
   location = 0.0, 0.0, 0.0  &
   orientation = 180.0d, 180.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.gel_tierod_outer.jxl_joint_i_1  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.gel_tierod_outer.afl_aforce_j_1  &
   location = 0.0, 0.0, 172.6  &
   orientation = 180.0d, 180.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.gel_tierod_outer.afl_aforce_j_1  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.gel_tierod_outer.jxl_joint_i_10  &
   location = 0.0, 0.0, 172.6  &
   orientation = 180.0d, 90.0d, 180.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.gel_tierod_outer.jxl_joint_i_10  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.gel_tierod_outer.graell_9  &
   location = 0.0, 0.0, 172.6  &
   orientation = 180.0d, 90.0d, 180.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.gel_tierod_outer.graell_9  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
part create rigid_body mass_properties  &
   part_name = ._fsae_frontsusp.gel_tierod_outer  &
   mass = 0.157565497  &
   center_of_mass_marker = ._fsae_frontsusp.gel_tierod_outer.cm  &
   inertia_marker = ._fsae_frontsusp.gel_tierod_outer.inertia_frame  &
   ixx = 350.0657775592  &
   iyy = 350.0657775592  &
   izz = 3.0562942843  &
   ixy = 0.0  &
   izx = 0.0  &
   iyz = 0.0
!
! ****** Graphics for current part ******
!
geometry create shape cylinder  &
   cylinder_name = ._fsae_frontsusp.gel_tierod_outer.gralin_tierod_outer  &
   center_marker = ._fsae_frontsusp.gel_tierod_outer.gralin_25  &
   angle_extent = 360.0  &
   length = 172.6  &
   radius = 6.35  &
   side_count_for_body = 15  &
   segment_count_for_ends = 15
!
geometry attributes  &
   geometry_name = ._fsae_frontsusp.gel_tierod_outer.gralin_tierod_outer  &
   color = SILVER
!
geometry create shape ellipsoid  &
   ellipsoid_name = ._fsae_frontsusp.gel_tierod_outer.graell_tierod_outer  &
   center_marker = ._fsae_frontsusp.gel_tierod_outer.graell_9  &
   x_scale_factor = 12.7  &
   y_scale_factor = 12.7  &
   z_scale_factor = 12.7
!
geometry attributes  &
   geometry_name = ._fsae_frontsusp.gel_tierod_outer.graell_tierod_outer  &
   color = SILVER
!
part attributes  &
   part_name = ._fsae_frontsusp.gel_tierod_outer  &
   visibility = on  &
   name_visibility = on  &
   size_of_icons = 31.75
!
!------------------------------ ger_tierod_outer ------------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
part create rigid_body name_and_position  &
   part_name = ._fsae_frontsusp.ger_tierod_outer  &
   location = -415.0, 477.4, 77.4  &
   orientation = 180.0d, 90.0d, 180.0d
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ger_tierod_outer
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._fsae_frontsusp.ger_tierod_outer.cm  &
   location = 0.0, 0.0, 81.8714609761  &
   orientation = 90.0d, 180.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.ger_tierod_outer.cm  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.ger_tierod_outer.inertia_frame  &
   location = 0.0, 0.0, 81.8714609761  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.ger_tierod_outer.inertia_frame  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.ger_tierod_outer.gralin_26  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.ger_tierod_outer.gralin_26  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.ger_tierod_outer.jxr_joint_i_1  &
   location = 0.0, 0.0, 0.0  &
   orientation = 180.0d, 180.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.ger_tierod_outer.jxr_joint_i_1  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.ger_tierod_outer.jxr_joint_i_10  &
   location = 0.0, 0.0, 172.6  &
   orientation = 0.0d, 90.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.ger_tierod_outer.jxr_joint_i_10  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.ger_tierod_outer.afr_aforce_j_1  &
   location = 0.0, 0.0, 172.6  &
   orientation = 180.0d, 180.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.ger_tierod_outer.afr_aforce_j_1  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.ger_tierod_outer.graell_10  &
   location = 0.0, 0.0, 172.6  &
   orientation = 0.0d, 90.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.ger_tierod_outer.graell_10  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
part create rigid_body mass_properties  &
   part_name = ._fsae_frontsusp.ger_tierod_outer  &
   mass = 0.157565497  &
   center_of_mass_marker = ._fsae_frontsusp.ger_tierod_outer.cm  &
   inertia_marker = ._fsae_frontsusp.ger_tierod_outer.inertia_frame  &
   ixx = 350.0657775592  &
   iyy = 350.0657775592  &
   izz = 3.0562942843  &
   ixy = 0.0  &
   izx = 0.0  &
   iyz = 0.0
!
! ****** Graphics for current part ******
!
geometry create shape cylinder  &
   cylinder_name = ._fsae_frontsusp.ger_tierod_outer.gralin_tierod_outer  &
   center_marker = ._fsae_frontsusp.ger_tierod_outer.gralin_26  &
   angle_extent = 360.0  &
   length = 172.6  &
   radius = 6.35  &
   side_count_for_body = 15  &
   segment_count_for_ends = 15
!
geometry attributes  &
   geometry_name = ._fsae_frontsusp.ger_tierod_outer.gralin_tierod_outer  &
   color = SILVER
!
geometry create shape ellipsoid  &
   ellipsoid_name = ._fsae_frontsusp.ger_tierod_outer.graell_tierod_outer  &
   center_marker = ._fsae_frontsusp.ger_tierod_outer.graell_10  &
   x_scale_factor = 12.7  &
   y_scale_factor = 12.7  &
   z_scale_factor = 12.7
!
geometry attributes  &
   geometry_name = ._fsae_frontsusp.ger_tierod_outer.graell_tierod_outer  &
   color = SILVER
!
part attributes  &
   part_name = ._fsae_frontsusp.ger_tierod_outer  &
   visibility = on  &
   name_visibility = on  &
   size_of_icons = 31.75
!
!--------------------------- gel_lower_control_arm ----------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
part create rigid_body name_and_position  &
   part_name = ._fsae_frontsusp.gel_lower_control_arm  &
   location = -512.0, -384.7333333333, 23.7  &
   orientation = 0.0d, 89.3600757619d, 180.0d
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.gel_lower_control_arm
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._fsae_frontsusp.gel_lower_control_arm.cm  &
   location = -4.3671158022, 0.0, 57.9778343743  &
   orientation = 270.0d, 167.260308871d, 180.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.gel_lower_control_arm.cm  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.gel_lower_control_arm.kp1_1  &
   location = 0.0, 0.0, 331.2873291336  &
   orientation = 0.0d, 89.3600757619d, 180.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.gel_lower_control_arm.kp1_1  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.gel_lower_control_arm.inertia_frame  &
   location = -4.3671158022, 0.0, 57.9778343743  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.gel_lower_control_arm.inertia_frame  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.gel_lower_control_arm.gralin_5  &
   location = 254.0, 0.0, -165.6436645668  &
   orientation = 270.0d, 27.0732730138d, 90.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.gel_lower_control_arm.gralin_5  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.gel_lower_control_arm.gralin_7  &
   location = -254.0, 0.0, -165.6436645668  &
   orientation = 90.0d, 27.0732730138d, 270.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.gel_lower_control_arm.gralin_7  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.gel_lower_control_arm.graell_23  &
   location = -254.0, 0.0, -165.6436645668  &
   orientation = 0.0d, 89.3600757619d, 180.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.gel_lower_control_arm.graell_23  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_frontsusp.gel_lower_control_arm.graell_21  &
   location = 254.0, 0.0, -165.6436645668  &
   orientation = 0.0d, 89.3600757619d, 180.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.gel_lower_control_arm.graell_21  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_frontsusp.gel_lower_control_arm.graell_5  &
   location = 0.0, 0.0, 331.2873291336  &
   orientation = 0.0d, 89.3600757619d, 180.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.gel_lower_control_arm.graell_5  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_frontsusp.gel_lower_control_arm.jxl_joint_j_9  &
   location = 0.0, 0.0, 331.2873291336  &
   orientation = 0.0d, 89.3600757619d, 180.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.gel_lower_control_arm.jxl_joint_j_9  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.gel_lower_control_arm.coomarker_1  &
   location = 254.0, 0.0, -165.6436645668  &
   orientation = 0.0d, 89.3600757619d, 180.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.gel_lower_control_arm.coomarker_1  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.gel_lower_control_arm.jxl_joint_i_5  &
   location = -50.8, 24.296914769, 304.0142667329  &
   orientation = 0.0d, 89.3600757619d, 180.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.gel_lower_control_arm.jxl_joint_i_5  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_frontsusp.gel_lower_control_arm.bxl_bushing_i_1  &
   location = 254.0, 0.0, -165.6436645668  &
   orientation = 270.0d, 90.0d, 180.6399242381d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.gel_lower_control_arm.bxl_bushing_i_1  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_frontsusp.gel_lower_control_arm.bxl_bushgeom_i_1  &
   location = 266.7, 0.0, -165.6436645668  &
   orientation = 270.0d, 90.0d, 90.6399242381d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.gel_lower_control_arm.bxl_bushgeom_i_1  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_frontsusp.gel_lower_control_arm.bxl_bushing_i_2  &
   location = -254.0, 0.0, -165.6436645668  &
   orientation = 90.0d, 90.0d, 179.3600757619d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.gel_lower_control_arm.bxl_bushing_i_2  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_frontsusp.gel_lower_control_arm.bxl_bushgeom_i_2  &
   location = -266.7, 0.0, -165.6436645668  &
   orientation = 90.0d, 90.0d, 89.3600757619d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.gel_lower_control_arm.bxl_bushgeom_i_2  &
   visibility = off  &
   name_visibility = off
!
part create rigid_body mass_properties  &
   part_name = ._fsae_frontsusp.gel_lower_control_arm  &
   mass = 0.6282116191  &
   center_of_mass_marker = ._fsae_frontsusp.gel_lower_control_arm.cm  &
   inertia_marker = ._fsae_frontsusp.gel_lower_control_arm.inertia_frame  &
   ixx = 8151.6347917693  &
   iyy = 1.2067158411E+04  &
   izz = 3942.9687664704  &
   ixy = 0.0  &
   izx = 0.0  &
   iyz = 0.0
!
! ****** Graphics for current part ******
!
geometry create shape cylinder  &
   cylinder_name = ._fsae_frontsusp.gel_lower_control_arm.gralin_lca_front  &
   center_marker = ._fsae_frontsusp.gel_lower_control_arm.gralin_5  &
   angle_extent = 360.0  &
   length = 558.0828007563  &
   radius = 9.525  &
   side_count_for_body = 15  &
   segment_count_for_ends = 15
!
geometry attributes  &
   geometry_name = ._fsae_frontsusp.gel_lower_control_arm.gralin_lca_front  &
   color = RED
!
geometry create shape cylinder  &
   cylinder_name = ._fsae_frontsusp.gel_lower_control_arm.gralin_lca_rear  &
   center_marker = ._fsae_frontsusp.gel_lower_control_arm.gralin_7  &
   angle_extent = 360.0  &
   length = 558.0828007563  &
   radius = 9.525  &
   side_count_for_body = 15  &
   segment_count_for_ends = 15
!
geometry attributes  &
   geometry_name = ._fsae_frontsusp.gel_lower_control_arm.gralin_lca_rear  &
   color = RED
!
geometry create shape ellipsoid  &
   ellipsoid_name = ._fsae_frontsusp.gel_lower_control_arm.graell_lca_rear  &
   center_marker = ._fsae_frontsusp.gel_lower_control_arm.graell_23  &
   x_scale_factor = 19.05  &
   y_scale_factor = 19.05  &
   z_scale_factor = 19.05
!
geometry attributes  &
   geometry_name = ._fsae_frontsusp.gel_lower_control_arm.graell_lca_rear  &
   color = RED
!
geometry create shape ellipsoid  &
   ellipsoid_name = ._fsae_frontsusp.gel_lower_control_arm.graell_lca_front  &
   center_marker = ._fsae_frontsusp.gel_lower_control_arm.graell_21  &
   x_scale_factor = 19.05  &
   y_scale_factor = 19.05  &
   z_scale_factor = 19.05
!
geometry attributes  &
   geometry_name = ._fsae_frontsusp.gel_lower_control_arm.graell_lca_front  &
   color = RED
!
geometry create shape ellipsoid  &
   ellipsoid_name = ._fsae_frontsusp.gel_lower_control_arm.graell_lca_outer  &
   center_marker = ._fsae_frontsusp.gel_lower_control_arm.graell_5  &
   x_scale_factor = 19.05  &
   y_scale_factor = 19.05  &
   z_scale_factor = 19.05
!
geometry attributes  &
   geometry_name = ._fsae_frontsusp.gel_lower_control_arm.graell_lca_outer  &
   color = RED
!
part attributes  &
   part_name = ._fsae_frontsusp.gel_lower_control_arm  &
   size_of_icons = 31.75
!
!--------------------------- ger_lower_control_arm ----------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
part create rigid_body name_and_position  &
   part_name = ._fsae_frontsusp.ger_lower_control_arm  &
   location = -512.0, 384.7333333333, 23.7  &
   orientation = 180.0d, 89.3600757619d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ger_lower_control_arm
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._fsae_frontsusp.ger_lower_control_arm.cm  &
   location = -4.3671158022, 0.0, 57.9778343743  &
   orientation = 270.0d, 167.260308871d, 180.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.ger_lower_control_arm.cm  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.ger_lower_control_arm.kp1_2  &
   location = 0.0, 0.0, 331.2873291336  &
   orientation = 180.0d, 89.3600757619d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.ger_lower_control_arm.kp1_2  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.ger_lower_control_arm.inertia_frame  &
   location = -4.3671158022, 0.0, 57.9778343743  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.ger_lower_control_arm.inertia_frame  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.ger_lower_control_arm.gralin_6  &
   location = 254.0, 0.0, -165.6436645668  &
   orientation = 270.0d, 27.0732730138d, 90.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.ger_lower_control_arm.gralin_6  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.ger_lower_control_arm.gralin_8  &
   location = -254.0, 0.0, -165.6436645668  &
   orientation = 90.0d, 27.0732730138d, 270.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.ger_lower_control_arm.gralin_8  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.ger_lower_control_arm.graell_24  &
   location = -254.0, 0.0, -165.6436645668  &
   orientation = 180.0d, 89.3600757619d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.ger_lower_control_arm.graell_24  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_frontsusp.ger_lower_control_arm.graell_22  &
   location = 254.0, 0.0, -165.6436645668  &
   orientation = 180.0d, 89.3600757619d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.ger_lower_control_arm.graell_22  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_frontsusp.ger_lower_control_arm.graell_6  &
   location = 0.0, 0.0, 331.2873291336  &
   orientation = 180.0d, 89.3600757619d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.ger_lower_control_arm.graell_6  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_frontsusp.ger_lower_control_arm.jxr_joint_j_9  &
   location = 0.0, 0.0, 331.2873291336  &
   orientation = 180.0d, 89.3600757619d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.ger_lower_control_arm.jxr_joint_j_9  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.ger_lower_control_arm.coomarker_2  &
   location = 254.0, 0.0, -165.6436645668  &
   orientation = 180.0d, 89.3600757619d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.ger_lower_control_arm.coomarker_2  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.ger_lower_control_arm.jxr_joint_i_5  &
   location = -50.8, -24.296914769, 304.0142667329  &
   orientation = 180.0d, 89.3600757619d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.ger_lower_control_arm.jxr_joint_i_5  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_frontsusp.ger_lower_control_arm.bxr_bushing_i_1  &
   location = 254.0, 0.0, -165.6436645668  &
   orientation = 270.0d, 90.0d, 359.3600757619d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.ger_lower_control_arm.bxr_bushing_i_1  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_frontsusp.ger_lower_control_arm.bxr_bushgeom_i_1  &
   location = 266.7, 0.0, -165.6436645668  &
   orientation = 270.0d, 90.0d, 269.3600757619d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.ger_lower_control_arm.bxr_bushgeom_i_1  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_frontsusp.ger_lower_control_arm.bxr_bushing_i_2  &
   location = -254.0, 0.0, -165.6436645668  &
   orientation = 90.0d, 90.0d, 0.6399242381d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.ger_lower_control_arm.bxr_bushing_i_2  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_frontsusp.ger_lower_control_arm.bxr_bushgeom_i_2  &
   location = -266.7, 0.0, -165.6436645668  &
   orientation = 90.0d, 90.0d, 270.6399242381d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.ger_lower_control_arm.bxr_bushgeom_i_2  &
   visibility = off  &
   name_visibility = off
!
part create rigid_body mass_properties  &
   part_name = ._fsae_frontsusp.ger_lower_control_arm  &
   mass = 0.6282116191  &
   center_of_mass_marker = ._fsae_frontsusp.ger_lower_control_arm.cm  &
   inertia_marker = ._fsae_frontsusp.ger_lower_control_arm.inertia_frame  &
   ixx = 8151.6347917693  &
   iyy = 1.2067158411E+04  &
   izz = 3942.9687664704  &
   ixy = 0.0  &
   izx = 0.0  &
   iyz = 0.0
!
! ****** Graphics for current part ******
!
geometry create shape cylinder  &
   cylinder_name = ._fsae_frontsusp.ger_lower_control_arm.gralin_lca_front  &
   center_marker = ._fsae_frontsusp.ger_lower_control_arm.gralin_6  &
   angle_extent = 360.0  &
   length = 558.0828007563  &
   radius = 9.525  &
   side_count_for_body = 15  &
   segment_count_for_ends = 15
!
geometry attributes  &
   geometry_name = ._fsae_frontsusp.ger_lower_control_arm.gralin_lca_front  &
   color = RED
!
geometry create shape cylinder  &
   cylinder_name = ._fsae_frontsusp.ger_lower_control_arm.gralin_lca_rear  &
   center_marker = ._fsae_frontsusp.ger_lower_control_arm.gralin_8  &
   angle_extent = 360.0  &
   length = 558.0828007563  &
   radius = 9.525  &
   side_count_for_body = 15  &
   segment_count_for_ends = 15
!
geometry attributes  &
   geometry_name = ._fsae_frontsusp.ger_lower_control_arm.gralin_lca_rear  &
   color = RED
!
geometry create shape ellipsoid  &
   ellipsoid_name = ._fsae_frontsusp.ger_lower_control_arm.graell_lca_rear  &
   center_marker = ._fsae_frontsusp.ger_lower_control_arm.graell_24  &
   x_scale_factor = 19.05  &
   y_scale_factor = 19.05  &
   z_scale_factor = 19.05
!
geometry attributes  &
   geometry_name = ._fsae_frontsusp.ger_lower_control_arm.graell_lca_rear  &
   color = RED
!
geometry create shape ellipsoid  &
   ellipsoid_name = ._fsae_frontsusp.ger_lower_control_arm.graell_lca_front  &
   center_marker = ._fsae_frontsusp.ger_lower_control_arm.graell_22  &
   x_scale_factor = 19.05  &
   y_scale_factor = 19.05  &
   z_scale_factor = 19.05
!
geometry attributes  &
   geometry_name = ._fsae_frontsusp.ger_lower_control_arm.graell_lca_front  &
   color = RED
!
geometry create shape ellipsoid  &
   ellipsoid_name = ._fsae_frontsusp.ger_lower_control_arm.graell_lca_outer  &
   center_marker = ._fsae_frontsusp.ger_lower_control_arm.graell_6  &
   x_scale_factor = 19.05  &
   y_scale_factor = 19.05  &
   z_scale_factor = 19.05
!
geometry attributes  &
   geometry_name = ._fsae_frontsusp.ger_lower_control_arm.graell_lca_outer  &
   color = RED
!
part attributes  &
   part_name = ._fsae_frontsusp.ger_lower_control_arm  &
   size_of_icons = 31.75
!
!-------------------------------- gel_upright ---------------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
part create rigid_body name_and_position  &
   part_name = ._fsae_frontsusp.gel_upright  &
   location = -512.0, -700.0, 155.2  &
   orientation = 0.0d, 0.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.gel_upright
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._fsae_frontsusp.gel_upright.afl_aforce_meai_2  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 90.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.gel_upright.afl_aforce_meai_2  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.gel_upright.cm  &
   location = 25.5726778614, 56.1966220414, -8.7895865889  &
   orientation = 85.9879415792d, 1.9100189614d, 238.719761939d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.gel_upright.cm  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.gel_upright.jolcyl_strut_1  &
   location = 127.0, 496.8, 317.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.gel_upright.jolcyl_strut_1  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.gel_upright.jxl_joint_j_10  &
   location = 97.0, 50.0, -77.8  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.gel_upright.jxl_joint_j_10  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.gel_upright.geomar_1  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 90.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.gel_upright.geomar_1  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.gel_upright.inertia_frame  &
   location = 25.5726778614, 56.1966220414, -8.7895865889  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.gel_upright.inertia_frame  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.gel_upright.jxl_joint_j_20  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 90.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.gel_upright.jxl_joint_j_20  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.gel_upright.afl_aforce_meai_1  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 90.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.gel_upright.afl_aforce_meai_1  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.gel_upright.mal_wheel_center  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 90.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.gel_upright.mal_wheel_center  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.gel_upright.mal_kingpin_axis  &
   location = 0.0, -16.0, -127.8  &
   orientation = 180.0d, 21.7356767407d, 180.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.gel_upright.mal_kingpin_axis  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.gel_upright.jxl_joint_j_2  &
   location = 0.0, -16.0, -127.8  &
   orientation = 180.0d, 90.0d, 180.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.gel_upright.jxl_joint_j_2  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.gel_upright.graarm_7  &
   location = 0.0, 85.9, 127.8  &
   orientation = 46.5212988336d, 65.1798312018d, 246.1221572064d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.gel_upright.graarm_7  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_frontsusp.gel_upright.graarm_8  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.gel_upright.graarm_8  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_frontsusp.gel_upright.graarm_9  &
   location = 97.0, 50.0, -77.8  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.gel_upright.graarm_9  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_frontsusp.gel_upright.graarm_13  &
   location = 0.0, -16.0, -127.8  &
   orientation = 211.6280244874d, 96.084772945d, 93.7351406808d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.gel_upright.graarm_13  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_frontsusp.gel_upright.graarm_14  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.gel_upright.graarm_14  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_frontsusp.gel_upright.graarm_15  &
   location = 97.0, 50.0, -77.8  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.gel_upright.graarm_15  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_frontsusp.gel_upright.graarm_19  &
   location = 0.0, 85.9, 127.8  &
   orientation = 90.0d, 90.0d, 236.0932167622d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.gel_upright.graarm_19  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_frontsusp.gel_upright.graarm_20  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.gel_upright.graarm_20  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_frontsusp.gel_upright.graarm_21  &
   location = 0.0, -16.0, -127.8  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.gel_upright.graarm_21  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_frontsusp.gel_upright.graarm_25  &
   location = 0.0, 85.9, 127.8  &
   orientation = 205.4036263796d, 109.8050476614d, 251.7119035092d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.gel_upright.graarm_25  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_frontsusp.gel_upright.graarm_26  &
   location = 97.0, 50.0, -77.8  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.gel_upright.graarm_26  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_frontsusp.gel_upright.graarm_27  &
   location = 0.0, -16.0, -127.8  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.gel_upright.graarm_27  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_frontsusp.gel_upright.afl_aforce_i_2  &
   location = 0.0, -16.0, -127.8  &
   orientation = 0.0d, 90.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.gel_upright.afl_aforce_i_2  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.gel_upright.jxl_joint_j_13  &
   location = 0.0, 85.9, 127.8  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.gel_upright.jxl_joint_j_13  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
part create rigid_body mass_properties  &
   part_name = ._fsae_frontsusp.gel_upright  &
   mass = 0.2461895822  &
   center_of_mass_marker = ._fsae_frontsusp.gel_upright.cm  &
   inertia_marker = ._fsae_frontsusp.gel_upright.inertia_frame  &
   ixx = 508.3812105298  &
   iyy = 472.3487948458  &
   izz = 150.6425395719  &
   ixy = 0.0  &
   izx = 0.0  &
   iyz = 0.0
!
! ****** Graphics for current part ******
!
geometry create shape plate  &
   plate_name = ._fsae_frontsusp.gel_upright.graarm_upright_1  &
   marker_name = ._fsae_frontsusp.gel_upright.graarm_7,  &
                 ._fsae_frontsusp.gel_upright.graarm_8,  &
                 ._fsae_frontsusp.gel_upright.graarm_9  &
   width = 1.27  &
   radius = 0.635
!
geometry attributes  &
   geometry_name = ._fsae_frontsusp.gel_upright.graarm_upright_1  &
   color = RED
!
geometry create shape plate  &
   plate_name = ._fsae_frontsusp.gel_upright.graarm_upright_2  &
   marker_name = ._fsae_frontsusp.gel_upright.graarm_13,  &
                 ._fsae_frontsusp.gel_upright.graarm_14,  &
                 ._fsae_frontsusp.gel_upright.graarm_15  &
   width = 1.27  &
   radius = 0.635
!
geometry attributes  &
   geometry_name = ._fsae_frontsusp.gel_upright.graarm_upright_2  &
   color = RED
!
geometry create shape plate  &
   plate_name = ._fsae_frontsusp.gel_upright.graarm_upright_3  &
   marker_name = ._fsae_frontsusp.gel_upright.graarm_19,  &
                 ._fsae_frontsusp.gel_upright.graarm_20,  &
                 ._fsae_frontsusp.gel_upright.graarm_21  &
   width = 1.27  &
   radius = 0.635
!
geometry attributes  &
   geometry_name = ._fsae_frontsusp.gel_upright.graarm_upright_3  &
   color = RED
!
geometry create shape plate  &
   plate_name = ._fsae_frontsusp.gel_upright.graarm_upright_4  &
   marker_name = ._fsae_frontsusp.gel_upright.graarm_25,  &
                 ._fsae_frontsusp.gel_upright.graarm_26,  &
                 ._fsae_frontsusp.gel_upright.graarm_27  &
   width = 1.27  &
   radius = 0.635
!
geometry attributes  &
   geometry_name = ._fsae_frontsusp.gel_upright.graarm_upright_4  &
   color = RED
!
part attributes  &
   part_name = ._fsae_frontsusp.gel_upright  &
   size_of_icons = 31.75
!
!-------------------------------- ger_upright ---------------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
part create rigid_body name_and_position  &
   part_name = ._fsae_frontsusp.ger_upright  &
   location = -512.0, 700.0, 155.2  &
   orientation = 0.0d, 0.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ger_upright
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._fsae_frontsusp.ger_upright.afr_aforce_meai_2  &
   location = 0.0, 0.0, 0.0  &
   orientation = 180.0d, 90.0d, 180.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.ger_upright.afr_aforce_meai_2  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.ger_upright.cm  &
   location = 25.5726778614, -56.1966220414, -8.7895865889  &
   orientation = 94.0120584208d, 1.9100189614d, 301.280238061d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.ger_upright.cm  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.ger_upright.jorcyl_strut_1  &
   location = 127.0, -496.8, 317.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.ger_upright.jorcyl_strut_1  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.ger_upright.jxr_joint_j_10  &
   location = 97.0, -50.0, -77.8  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.ger_upright.jxr_joint_j_10  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.ger_upright.geomar_2  &
   location = 0.0, 0.0, 0.0  &
   orientation = 180.0d, 90.0d, 180.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.ger_upright.geomar_2  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.ger_upright.inertia_frame  &
   location = 25.5726778614, -56.1966220414, -8.7895865889  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.ger_upright.inertia_frame  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.ger_upright.jxr_joint_j_20  &
   location = 0.0, 0.0, 0.0  &
   orientation = 180.0d, 90.0d, 180.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.ger_upright.jxr_joint_j_20  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.ger_upright.afr_aforce_meai_1  &
   location = 0.0, 0.0, 0.0  &
   orientation = 180.0d, 90.0d, 180.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.ger_upright.afr_aforce_meai_1  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.ger_upright.mar_wheel_center  &
   location = 0.0, 0.0, 0.0  &
   orientation = 180.0d, 90.0d, 180.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.ger_upright.mar_wheel_center  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.ger_upright.mar_kingpin_axis  &
   location = 0.0, 16.0, -127.8  &
   orientation = 0.0d, 21.7356767407d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.ger_upright.mar_kingpin_axis  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.ger_upright.jxr_joint_j_2  &
   location = 0.0, 16.0, -127.8  &
   orientation = 0.0d, 90.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.ger_upright.jxr_joint_j_2  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.ger_upright.graarm_10  &
   location = 0.0, -85.9, 127.8  &
   orientation = 313.4787011664d, 114.8201687982d, 246.1221572064d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.ger_upright.graarm_10  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_frontsusp.ger_upright.graarm_11  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.ger_upright.graarm_11  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_frontsusp.ger_upright.graarm_12  &
   location = 97.0, -50.0, -77.8  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.ger_upright.graarm_12  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_frontsusp.ger_upright.graarm_16  &
   location = 0.0, 16.0, -127.8  &
   orientation = 148.3719755126d, 83.915227055d, 93.7351406808d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.ger_upright.graarm_16  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_frontsusp.ger_upright.graarm_17  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.ger_upright.graarm_17  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_frontsusp.ger_upright.graarm_18  &
   location = 97.0, -50.0, -77.8  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.ger_upright.graarm_18  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_frontsusp.ger_upright.graarm_22  &
   location = 0.0, -85.9, 127.8  &
   orientation = 270.0d, 90.0d, 236.0932167622d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.ger_upright.graarm_22  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_frontsusp.ger_upright.graarm_23  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.ger_upright.graarm_23  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_frontsusp.ger_upright.graarm_24  &
   location = 0.0, 16.0, -127.8  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.ger_upright.graarm_24  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_frontsusp.ger_upright.graarm_28  &
   location = 0.0, -85.9, 127.8  &
   orientation = 154.5963736204d, 70.1949523386d, 251.7119035092d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.ger_upright.graarm_28  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_frontsusp.ger_upright.graarm_29  &
   location = 97.0, -50.0, -77.8  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.ger_upright.graarm_29  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_frontsusp.ger_upright.graarm_30  &
   location = 0.0, 16.0, -127.8  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.ger_upright.graarm_30  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_frontsusp.ger_upright.afr_aforce_i_2  &
   location = 0.0, 16.0, -127.8  &
   orientation = 180.0d, 90.0d, 180.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.ger_upright.afr_aforce_i_2  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.ger_upright.jxr_joint_j_13  &
   location = 0.0, -85.9, 127.8  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.ger_upright.jxr_joint_j_13  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
part create rigid_body mass_properties  &
   part_name = ._fsae_frontsusp.ger_upright  &
   mass = 0.2461895822  &
   center_of_mass_marker = ._fsae_frontsusp.ger_upright.cm  &
   inertia_marker = ._fsae_frontsusp.ger_upright.inertia_frame  &
   ixx = 508.3812105298  &
   iyy = 472.3487948458  &
   izz = 150.6425395719  &
   ixy = 0.0  &
   izx = 0.0  &
   iyz = 0.0
!
! ****** Graphics for current part ******
!
geometry create shape plate  &
   plate_name = ._fsae_frontsusp.ger_upright.graarm_upright_1  &
   marker_name = ._fsae_frontsusp.ger_upright.graarm_10,  &
                 ._fsae_frontsusp.ger_upright.graarm_11,  &
                 ._fsae_frontsusp.ger_upright.graarm_12  &
   width = 1.27  &
   radius = 0.635
!
geometry attributes  &
   geometry_name = ._fsae_frontsusp.ger_upright.graarm_upright_1  &
   color = RED
!
geometry create shape plate  &
   plate_name = ._fsae_frontsusp.ger_upright.graarm_upright_2  &
   marker_name = ._fsae_frontsusp.ger_upright.graarm_16,  &
                 ._fsae_frontsusp.ger_upright.graarm_17,  &
                 ._fsae_frontsusp.ger_upright.graarm_18  &
   width = 1.27  &
   radius = 0.635
!
geometry attributes  &
   geometry_name = ._fsae_frontsusp.ger_upright.graarm_upright_2  &
   color = RED
!
geometry create shape plate  &
   plate_name = ._fsae_frontsusp.ger_upright.graarm_upright_3  &
   marker_name = ._fsae_frontsusp.ger_upright.graarm_22,  &
                 ._fsae_frontsusp.ger_upright.graarm_23,  &
                 ._fsae_frontsusp.ger_upright.graarm_24  &
   width = 1.27  &
   radius = 0.635
!
geometry attributes  &
   geometry_name = ._fsae_frontsusp.ger_upright.graarm_upright_3  &
   color = RED
!
geometry create shape plate  &
   plate_name = ._fsae_frontsusp.ger_upright.graarm_upright_4  &
   marker_name = ._fsae_frontsusp.ger_upright.graarm_28,  &
                 ._fsae_frontsusp.ger_upright.graarm_29,  &
                 ._fsae_frontsusp.ger_upright.graarm_30  &
   width = 1.27  &
   radius = 0.635
!
geometry attributes  &
   geometry_name = ._fsae_frontsusp.ger_upright.graarm_upright_4  &
   color = RED
!
part attributes  &
   part_name = ._fsae_frontsusp.ger_upright  &
   size_of_icons = 31.75
!
!----------------------------- gel_damper_inboard -----------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
part create rigid_body name_and_position  &
   part_name = ._fsae_frontsusp.gel_damper_inboard  &
   location = -131.0, -203.2, 472.7  &
   orientation = 0.0d, 0.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.gel_damper_inboard
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._fsae_frontsusp.gel_damper_inboard.cm  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.gel_damper_inboard.cm  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.gel_damper_inboard.bgl0_strut_topmount_1  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.gel_damper_inboard.bgl0_strut_topmount_1  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.gel_damper_inboard.jxl_joint_i_12  &
   location = 0.0, 0.0, 0.0  &
   orientation = 270.0d, 90.1127868219d, 180.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.gel_damper_inboard.jxl_joint_i_12  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.gel_damper_inboard.jxl_joint_j_14  &
   location = -127.0, 0.0, -0.25  &
   orientation = 90.0d, 89.8872131781d, 270.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.gel_damper_inboard.jxl_joint_j_14  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.gel_damper_inboard.bul_bumpstop_i_1  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.gel_damper_inboard.bul_bumpstop_i_1  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.gel_damper_inboard.dal_damper_i_1  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.gel_damper_inboard.dal_damper_i_1  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.gel_damper_inboard.inertia_frame  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.gel_damper_inboard.inertia_frame  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.gel_damper_inboard.nsl_spring_i_1  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.gel_damper_inboard.nsl_spring_i_1  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
part create rigid_body mass_properties  &
   part_name = ._fsae_frontsusp.gel_damper_inboard  &
   mass = 0.45359237  &
   center_of_mass_marker = ._fsae_frontsusp.gel_damper_inboard.cm  &
   inertia_marker = ._fsae_frontsusp.gel_damper_inboard.inertia_frame  &
   ixx = 292.6396534292  &
   iyy = 292.6396534292  &
   izz = 292.6396534292  &
   ixy = 0.0  &
   izx = 0.0  &
   iyz = 0.0
!
part attributes  &
   part_name = ._fsae_frontsusp.gel_damper_inboard  &
   size_of_icons = 31.75
!
!----------------------------- ger_damper_inboard -----------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
part create rigid_body name_and_position  &
   part_name = ._fsae_frontsusp.ger_damper_inboard  &
   location = -131.0, 203.2, 472.7  &
   orientation = 0.0d, 0.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ger_damper_inboard
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._fsae_frontsusp.ger_damper_inboard.cm  &
   location = 0.0, 0.0, 0.0  &
   orientation = 201.8014094864d, 167.843854949d, 22.2531400273d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.ger_damper_inboard.cm  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.ger_damper_inboard.bgr0_strut_topmount_1  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.ger_damper_inboard.bgr0_strut_topmount_1  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.ger_damper_inboard.jxr_joint_i_12  &
   location = 0.0, 0.0, 0.0  &
   orientation = 270.0d, 90.1127868219d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.ger_damper_inboard.jxr_joint_i_12  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.ger_damper_inboard.jxr_joint_j_14  &
   location = -127.0, 0.0, -0.25  &
   orientation = 90.0d, 89.8872131781d, 270.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.ger_damper_inboard.jxr_joint_j_14  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.ger_damper_inboard.bur_bumpstop_i_1  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.ger_damper_inboard.bur_bumpstop_i_1  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.ger_damper_inboard.dar_damper_i_1  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.ger_damper_inboard.dar_damper_i_1  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.ger_damper_inboard.inertia_frame  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.ger_damper_inboard.inertia_frame  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.ger_damper_inboard.nsr_spring_i_1  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.ger_damper_inboard.nsr_spring_i_1  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
part create rigid_body mass_properties  &
   part_name = ._fsae_frontsusp.ger_damper_inboard  &
   mass = 0.45359237  &
   center_of_mass_marker = ._fsae_frontsusp.ger_damper_inboard.cm  &
   inertia_marker = ._fsae_frontsusp.ger_damper_inboard.inertia_frame  &
   ixx = 292.6396534292  &
   iyy = 292.6396534292  &
   izz = 292.6396534292  &
   ixy = 0.0  &
   izx = 0.0  &
   iyz = 0.0
!
part attributes  &
   part_name = ._fsae_frontsusp.ger_damper_inboard  &
   size_of_icons = 31.75
!
!--------------------------- mtl_tierod_to_steering ---------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
part create rigid_body name_and_position  &
   part_name = ._fsae_frontsusp.mtl_tierod_to_steering  &
   location = -415.0, -304.8, 77.4  &
   orientation = 0.0d, 0.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.mtl_tierod_to_steering
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._fsae_frontsusp.mtl_tierod_to_steering.mount_i  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.mtl_tierod_to_steering.mount_i  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.mtl_tierod_to_steering.jxl_joint_j_11  &
   location = 0.0, 0.0, 0.0  &
   orientation = 180.0d, 90.0d, 180.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.mtl_tierod_to_steering.jxl_joint_j_11  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
part attributes  &
   part_name = ._fsae_frontsusp.mtl_tierod_to_steering  &
   visibility = on  &
   name_visibility = on  &
   size_of_icons = 31.75
!
!--------------------------- mtr_tierod_to_steering ---------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
part create rigid_body name_and_position  &
   part_name = ._fsae_frontsusp.mtr_tierod_to_steering  &
   location = -415.0, 304.8, 77.4  &
   orientation = 0.0d, 0.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.mtr_tierod_to_steering
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._fsae_frontsusp.mtr_tierod_to_steering.mount_i  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.mtr_tierod_to_steering.mount_i  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.mtr_tierod_to_steering.jxr_joint_j_11  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 90.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.mtr_tierod_to_steering.jxr_joint_j_11  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
part attributes  &
   part_name = ._fsae_frontsusp.mtr_tierod_to_steering  &
   visibility = on  &
   name_visibility = on  &
   size_of_icons = 31.75
!
!---------------------------- mtl_damper_to_frame -----------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
part create rigid_body name_and_position  &
   part_name = ._fsae_frontsusp.mtl_damper_to_frame  &
   location = -131.0, -203.2, 472.7  &
   orientation = 0.0d, 0.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.mtl_damper_to_frame
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._fsae_frontsusp.mtl_damper_to_frame.mount_i  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.mtl_damper_to_frame.mount_i  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.mtl_damper_to_frame.jxl_joint_j_12  &
   location = 0.0, 0.0, 0.0  &
   orientation = 180.0d, 90.0d, 359.8872131781d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.mtl_damper_to_frame.jxl_joint_j_12  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
part attributes  &
   part_name = ._fsae_frontsusp.mtl_damper_to_frame  &
   visibility = on  &
   name_visibility = on  &
   size_of_icons = 31.75
!
!---------------------------- mtr_damper_to_frame -----------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
part create rigid_body name_and_position  &
   part_name = ._fsae_frontsusp.mtr_damper_to_frame  &
   location = -131.0, 203.2, 472.7  &
   orientation = 0.0d, 0.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.mtr_damper_to_frame
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._fsae_frontsusp.mtr_damper_to_frame.mount_i  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.mtr_damper_to_frame.mount_i  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.mtr_damper_to_frame.jxr_joint_j_12  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 90.0d, 180.1127868219d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.mtr_damper_to_frame.jxr_joint_j_12  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
part attributes  &
   part_name = ._fsae_frontsusp.mtr_damper_to_frame  &
   visibility = on  &
   name_visibility = on  &
   size_of_icons = 31.75
!
!---------------------------------- _cv_part ----------------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
part create rigid_body name_and_position  &
   part_name = ._fsae_frontsusp._cv_part  &
   comments = "Dummy for communicators"  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp._cv_part
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._fsae_frontsusp._cv_part.marker  &
   comments = "Dummy for communicators"  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp._cv_part.marker  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
part create rigid_body mass_properties  &
   part_name = ._fsae_frontsusp._cv_part  &
   mass = 0.0  &
   center_of_mass_marker = ._fsae_frontsusp._cv_part.marker  &
   ixx = 0.0  &
   iyy = 0.0  &
   izz = 0.0  &
   ixy = 0.0  &
   izx = 0.0  &
   iyz = 0.0
!
part attributes  &
   part_name = ._fsae_frontsusp._cv_part  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
!--------------------------- gel_upper_control_arm ----------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
part create rigid_body name_and_position  &
   part_name = ._fsae_frontsusp.gel_upper_control_arm  &
   location = -512.0, -338.0666666667, 269.7666666667  &
   orientation = 0.0d, 87.2552805129d, 180.0d
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.gel_upper_control_arm
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._fsae_frontsusp.gel_upper_control_arm.cm  &
   location = -1.120575756, 0.0, 39.398415013  &
   orientation = 90.0d, 79.3637262008d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.gel_upper_control_arm.cm  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.gel_upper_control_arm.jxl_joint_i_13  &
   location = 0.0, 0.0, 276.3503613571  &
   orientation = 0.0d, 87.2552805129d, 180.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.gel_upper_control_arm.jxl_joint_i_13  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.gel_upper_control_arm.kp2_1  &
   location = 0.0, 0.0, 276.3503613571  &
   orientation = 0.0d, 87.2552805129d, 180.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.gel_upper_control_arm.kp2_1  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.gel_upper_control_arm.inertia_frame  &
   location = -1.120575756, 0.0, 39.398415013  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.gel_upper_control_arm.inertia_frame  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.gel_upper_control_arm.gralin_9  &
   location = 254.0, 0.0, -138.1751806786  &
   orientation = 270.0d, 31.4978315892d, 90.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.gel_upper_control_arm.gralin_9  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.gel_upper_control_arm.gralin_11  &
   location = -254.0, 0.0, -138.1751806786  &
   orientation = 90.0d, 31.4978315892d, 270.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.gel_upper_control_arm.gralin_11  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.gel_upper_control_arm.graell_7  &
   location = 0.0, 0.0, 276.3503613571  &
   orientation = 0.0d, 87.2552805129d, 180.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.gel_upper_control_arm.graell_7  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.gel_upper_control_arm.graell_17  &
   location = 254.0, 0.0, -138.1751806786  &
   orientation = 0.0d, 87.2552805129d, 180.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.gel_upper_control_arm.graell_17  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_frontsusp.gel_upper_control_arm.graell_19  &
   location = -254.0, 0.0, -138.1751806786  &
   orientation = 0.0d, 87.2552805129d, 180.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.gel_upper_control_arm.graell_19  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_frontsusp.gel_upper_control_arm.bxl_bushing_i_3  &
   location = 254.0, 0.0, -138.1751806786  &
   orientation = 270.0d, 90.0d, 182.7447194871d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.gel_upper_control_arm.bxl_bushing_i_3  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_frontsusp.gel_upper_control_arm.bxl_bushgeom_i_3  &
   location = 266.7, 0.0, -138.1751806786  &
   orientation = 270.0d, 90.0d, 92.7447194871d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.gel_upper_control_arm.bxl_bushgeom_i_3  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_frontsusp.gel_upper_control_arm.bxl_bushing_i_4  &
   location = -254.0, 0.0, -138.1751806786  &
   orientation = 90.0d, 90.0d, 177.2552805129d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.gel_upper_control_arm.bxl_bushing_i_4  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_frontsusp.gel_upper_control_arm.bxl_bushgeom_i_4  &
   location = -266.7, 0.0, -138.1751806786  &
   orientation = 90.0d, 90.0d, 87.2552805129d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.gel_upper_control_arm.bxl_bushgeom_i_4  &
   visibility = off  &
   name_visibility = off
!
part create rigid_body mass_properties  &
   part_name = ._fsae_frontsusp.gel_upper_control_arm  &
   mass = 0.2016610319  &
   center_of_mass_marker = ._fsae_frontsusp.gel_upper_control_arm.cm  &
   inertia_marker = ._fsae_frontsusp.gel_upper_control_arm.inertia_frame  &
   ixx = 1123.6466720659  &
   iyy = 2568.4585578791  &
   izz = 1448.7300302903  &
   ixy = 0.0  &
   izx = 0.0  &
   iyz = 0.0
!
! ****** Graphics for current part ******
!
geometry create shape cylinder  &
   cylinder_name = ._fsae_frontsusp.gel_upper_control_arm.gralin_uca_front  &
   center_marker = ._fsae_frontsusp.gel_upper_control_arm.gralin_9  &
   angle_extent = 360.0  &
   length = 486.1557620763  &
   radius = 6.35  &
   side_count_for_body = 15  &
   segment_count_for_ends = 15
!
geometry attributes  &
   geometry_name = ._fsae_frontsusp.gel_upper_control_arm.gralin_uca_front  &
   color = BLUE_GRAY
!
geometry create shape cylinder  &
   cylinder_name = ._fsae_frontsusp.gel_upper_control_arm.gralin_uca_rear  &
   center_marker = ._fsae_frontsusp.gel_upper_control_arm.gralin_11  &
   angle_extent = 360.0  &
   length = 486.1557620763  &
   radius = 6.35  &
   side_count_for_body = 15  &
   segment_count_for_ends = 15
!
geometry attributes  &
   geometry_name = ._fsae_frontsusp.gel_upper_control_arm.gralin_uca_rear  &
   color = BLUE_GRAY
!
geometry create shape ellipsoid  &
   ellipsoid_name = ._fsae_frontsusp.gel_upper_control_arm.graell_upright_upr_ball  &
   center_marker = ._fsae_frontsusp.gel_upper_control_arm.graell_7  &
   x_scale_factor = 12.7  &
   y_scale_factor = 12.7  &
   z_scale_factor = 12.7
!
geometry attributes  &
   geometry_name = ._fsae_frontsusp.gel_upper_control_arm.graell_upright_upr_ball  &
   color = BLUE_GRAY
!
geometry create shape ellipsoid  &
   ellipsoid_name = ._fsae_frontsusp.gel_upper_control_arm.graell_uca_front  &
   center_marker = ._fsae_frontsusp.gel_upper_control_arm.graell_17  &
   x_scale_factor = 12.7  &
   y_scale_factor = 12.7  &
   z_scale_factor = 12.7
!
geometry attributes  &
   geometry_name = ._fsae_frontsusp.gel_upper_control_arm.graell_uca_front  &
   color = BLUE_GRAY
!
geometry create shape ellipsoid  &
   ellipsoid_name = ._fsae_frontsusp.gel_upper_control_arm.graell_uca_rear  &
   center_marker = ._fsae_frontsusp.gel_upper_control_arm.graell_19  &
   x_scale_factor = 12.7  &
   y_scale_factor = 12.7  &
   z_scale_factor = 12.7
!
geometry attributes  &
   geometry_name = ._fsae_frontsusp.gel_upper_control_arm.graell_uca_rear  &
   color = BLUE_GRAY
!
part attributes  &
   part_name = ._fsae_frontsusp.gel_upper_control_arm  &
   size_of_icons = 31.75
!
!--------------------------- ger_upper_control_arm ----------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
part create rigid_body name_and_position  &
   part_name = ._fsae_frontsusp.ger_upper_control_arm  &
   location = -512.0, 338.0666666667, 269.7666666667  &
   orientation = 180.0d, 87.2552805129d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ger_upper_control_arm
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._fsae_frontsusp.ger_upper_control_arm.cm  &
   location = -1.120575756, 0.0, 39.398415013  &
   orientation = 90.0d, 79.3637262008d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.ger_upper_control_arm.cm  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.ger_upper_control_arm.jxr_joint_i_13  &
   location = 0.0, 0.0, 276.3503613571  &
   orientation = 180.0d, 87.2552805129d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.ger_upper_control_arm.jxr_joint_i_13  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.ger_upper_control_arm.kp2_2  &
   location = 0.0, 0.0, 276.3503613571  &
   orientation = 180.0d, 87.2552805129d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.ger_upper_control_arm.kp2_2  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.ger_upper_control_arm.inertia_frame  &
   location = -1.120575756, 0.0, 39.398415013  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.ger_upper_control_arm.inertia_frame  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.ger_upper_control_arm.gralin_10  &
   location = 254.0, 0.0, -138.1751806786  &
   orientation = 270.0d, 31.4978315892d, 90.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.ger_upper_control_arm.gralin_10  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.ger_upper_control_arm.gralin_12  &
   location = -254.0, 0.0, -138.1751806786  &
   orientation = 90.0d, 31.4978315892d, 270.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.ger_upper_control_arm.gralin_12  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.ger_upper_control_arm.graell_8  &
   location = 0.0, 0.0, 276.3503613571  &
   orientation = 180.0d, 87.2552805129d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.ger_upper_control_arm.graell_8  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.ger_upper_control_arm.graell_18  &
   location = 254.0, 0.0, -138.1751806786  &
   orientation = 180.0d, 87.2552805129d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.ger_upper_control_arm.graell_18  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_frontsusp.ger_upper_control_arm.graell_20  &
   location = -254.0, 0.0, -138.1751806786  &
   orientation = 180.0d, 87.2552805129d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.ger_upper_control_arm.graell_20  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_frontsusp.ger_upper_control_arm.bxr_bushing_i_3  &
   location = 254.0, 0.0, -138.1751806786  &
   orientation = 270.0d, 90.0d, 357.2552805129d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.ger_upper_control_arm.bxr_bushing_i_3  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_frontsusp.ger_upper_control_arm.bxr_bushgeom_i_3  &
   location = 266.7, 0.0, -138.1751806786  &
   orientation = 270.0d, 90.0d, 267.2552805129d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.ger_upper_control_arm.bxr_bushgeom_i_3  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_frontsusp.ger_upper_control_arm.bxr_bushing_i_4  &
   location = -254.0, 0.0, -138.1751806786  &
   orientation = 90.0d, 90.0d, 2.7447194871d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.ger_upper_control_arm.bxr_bushing_i_4  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_frontsusp.ger_upper_control_arm.bxr_bushgeom_i_4  &
   location = -266.7, 0.0, -138.1751806786  &
   orientation = 90.0d, 90.0d, 272.7447194871d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.ger_upper_control_arm.bxr_bushgeom_i_4  &
   visibility = off  &
   name_visibility = off
!
part create rigid_body mass_properties  &
   part_name = ._fsae_frontsusp.ger_upper_control_arm  &
   mass = 0.2016610319  &
   center_of_mass_marker = ._fsae_frontsusp.ger_upper_control_arm.cm  &
   inertia_marker = ._fsae_frontsusp.ger_upper_control_arm.inertia_frame  &
   ixx = 1123.6466720659  &
   iyy = 2568.4585578791  &
   izz = 1448.7300302903  &
   ixy = 0.0  &
   izx = 0.0  &
   iyz = 0.0
!
! ****** Graphics for current part ******
!
geometry create shape cylinder  &
   cylinder_name = ._fsae_frontsusp.ger_upper_control_arm.gralin_uca_front  &
   center_marker = ._fsae_frontsusp.ger_upper_control_arm.gralin_10  &
   angle_extent = 360.0  &
   length = 486.1557620763  &
   radius = 6.35  &
   side_count_for_body = 15  &
   segment_count_for_ends = 15
!
geometry attributes  &
   geometry_name = ._fsae_frontsusp.ger_upper_control_arm.gralin_uca_front  &
   color = BLUE_GRAY
!
geometry create shape cylinder  &
   cylinder_name = ._fsae_frontsusp.ger_upper_control_arm.gralin_uca_rear  &
   center_marker = ._fsae_frontsusp.ger_upper_control_arm.gralin_12  &
   angle_extent = 360.0  &
   length = 486.1557620763  &
   radius = 6.35  &
   side_count_for_body = 15  &
   segment_count_for_ends = 15
!
geometry attributes  &
   geometry_name = ._fsae_frontsusp.ger_upper_control_arm.gralin_uca_rear  &
   color = BLUE_GRAY
!
geometry create shape ellipsoid  &
   ellipsoid_name = ._fsae_frontsusp.ger_upper_control_arm.graell_upright_upr_ball  &
   center_marker = ._fsae_frontsusp.ger_upper_control_arm.graell_8  &
   x_scale_factor = 12.7  &
   y_scale_factor = 12.7  &
   z_scale_factor = 12.7
!
geometry attributes  &
   geometry_name = ._fsae_frontsusp.ger_upper_control_arm.graell_upright_upr_ball  &
   color = BLUE_GRAY
!
geometry create shape ellipsoid  &
   ellipsoid_name = ._fsae_frontsusp.ger_upper_control_arm.graell_uca_front  &
   center_marker = ._fsae_frontsusp.ger_upper_control_arm.graell_18  &
   x_scale_factor = 12.7  &
   y_scale_factor = 12.7  &
   z_scale_factor = 12.7
!
geometry attributes  &
   geometry_name = ._fsae_frontsusp.ger_upper_control_arm.graell_uca_front  &
   color = BLUE_GRAY
!
geometry create shape ellipsoid  &
   ellipsoid_name = ._fsae_frontsusp.ger_upper_control_arm.graell_uca_rear  &
   center_marker = ._fsae_frontsusp.ger_upper_control_arm.graell_20  &
   x_scale_factor = 12.7  &
   y_scale_factor = 12.7  &
   z_scale_factor = 12.7
!
geometry attributes  &
   geometry_name = ._fsae_frontsusp.ger_upper_control_arm.graell_uca_rear  &
   color = BLUE_GRAY
!
part attributes  &
   part_name = ._fsae_frontsusp.ger_upper_control_arm  &
   size_of_icons = 31.75
!
!---------------------------- gel_damper_outboard -----------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
part create rigid_body name_and_position  &
   part_name = ._fsae_frontsusp.gel_damper_outboard  &
   location = -385.0, -203.2, 472.2  &
   orientation = 90.0d, 89.8872131781d, 270.0d
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.gel_damper_outboard
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._fsae_frontsusp.gel_damper_outboard.cm  &
   location = 0.0, 0.0, 0.0  &
   orientation = 338.1985905136d, 167.843854949d, 157.7468599727d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.gel_damper_outboard.cm  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.gel_damper_outboard.jxl_joint_i_14  &
   location = 0.0, 0.0, 127.0002460628  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.gel_damper_outboard.jxl_joint_i_14  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.gel_damper_outboard.bul_bumpstop_j_1  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.gel_damper_outboard.bul_bumpstop_j_1  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.gel_damper_outboard.jxl_joint_i_16  &
   location = 0.0, 0.0, 0.0  &
   orientation = 296.0210764804d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.gel_damper_outboard.jxl_joint_i_16  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.gel_damper_outboard.dal_damper_j_1  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.gel_damper_outboard.dal_damper_j_1  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.gel_damper_outboard.nsl_spring_j_1  &
   location = 0.0, 0.0, 127.0002460628  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.gel_damper_outboard.nsl_spring_j_1  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.gel_damper_outboard.inertia_frame  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.gel_damper_outboard.inertia_frame  &
   size_of_icons = 31.75
!
part create rigid_body mass_properties  &
   part_name = ._fsae_frontsusp.gel_damper_outboard  &
   mass = 0.45359237  &
   center_of_mass_marker = ._fsae_frontsusp.gel_damper_outboard.cm  &
   inertia_marker = ._fsae_frontsusp.gel_damper_outboard.inertia_frame  &
   ixx = 292.6396534292  &
   iyy = 292.6396534292  &
   izz = 292.6396534292  &
   ixy = 0.0  &
   izx = 0.0  &
   iyz = 0.0
!
part attributes  &
   part_name = ._fsae_frontsusp.gel_damper_outboard  &
   size_of_icons = 31.75
!
!---------------------------- ger_damper_outboard -----------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
part create rigid_body name_and_position  &
   part_name = ._fsae_frontsusp.ger_damper_outboard  &
   location = -385.0, 203.2, 472.2  &
   orientation = 90.0d, 89.8872131781d, 270.0d
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ger_damper_outboard
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._fsae_frontsusp.ger_damper_outboard.cm  &
   location = 0.0, 0.0, 0.0  &
   orientation = 201.8014094864d, 167.843854949d, 22.2531400273d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.ger_damper_outboard.cm  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.ger_damper_outboard.jxr_joint_i_14  &
   location = 0.0, 0.0, 127.0002460628  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.ger_damper_outboard.jxr_joint_i_14  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.ger_damper_outboard.bur_bumpstop_j_1  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.ger_damper_outboard.bur_bumpstop_j_1  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.ger_damper_outboard.jxr_joint_i_16  &
   location = 0.0, 0.0, 0.0  &
   orientation = 63.9789235196d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.ger_damper_outboard.jxr_joint_i_16  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.ger_damper_outboard.dar_damper_j_1  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.ger_damper_outboard.dar_damper_j_1  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.ger_damper_outboard.nsr_spring_j_1  &
   location = 0.0, 0.0, 127.0002460628  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.ger_damper_outboard.nsr_spring_j_1  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.ger_damper_outboard.inertia_frame  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.ger_damper_outboard.inertia_frame  &
   size_of_icons = 31.75
!
part create rigid_body mass_properties  &
   part_name = ._fsae_frontsusp.ger_damper_outboard  &
   mass = 0.45359237  &
   center_of_mass_marker = ._fsae_frontsusp.ger_damper_outboard.cm  &
   inertia_marker = ._fsae_frontsusp.ger_damper_outboard.inertia_frame  &
   ixx = 292.6396534292  &
   iyy = 292.6396534292  &
   izz = 292.6396534292  &
   ixy = 0.0  &
   izx = 0.0  &
   iyz = 0.0
!
part attributes  &
   part_name = ._fsae_frontsusp.ger_damper_outboard  &
   size_of_icons = 31.75
!
!------------------------------ mtl_uca_to_frame ------------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
part create rigid_body name_and_position  &
   part_name = ._fsae_frontsusp.mtl_uca_to_frame  &
   location = -258.0, -200.05, 263.15  &
   orientation = 0.0d, 0.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.mtl_uca_to_frame
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._fsae_frontsusp.mtl_uca_to_frame.mount_i  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.mtl_uca_to_frame.mount_i  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.mtl_uca_to_frame.bxl_bushing_j_3  &
   location = -508.0, 0.0, 0.0  &
   orientation = 90.0d, 90.0d, 270.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.mtl_uca_to_frame.bxl_bushing_j_3  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_frontsusp.mtl_uca_to_frame.bxl_bushgeom_j_3  &
   location = -520.7, 0.0, 0.0  &
   orientation = 90.0d, 90.0d, 270.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.mtl_uca_to_frame.bxl_bushgeom_j_3  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_frontsusp.mtl_uca_to_frame.bxl_bushing_j_4  &
   location = 0.0, 0.0, 0.0  &
   orientation = 270.0d, 90.0d, 90.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.mtl_uca_to_frame.bxl_bushing_j_4  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_frontsusp.mtl_uca_to_frame.bxl_bushgeom_j_4  &
   location = 12.7, 0.0, 0.0  &
   orientation = 270.0d, 90.0d, 90.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.mtl_uca_to_frame.bxl_bushgeom_j_4  &
   visibility = off  &
   name_visibility = off
!
part attributes  &
   part_name = ._fsae_frontsusp.mtl_uca_to_frame  &
   visibility = on  &
   name_visibility = on  &
   size_of_icons = 31.75
!
!------------------------------ mtr_uca_to_frame ------------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
part create rigid_body name_and_position  &
   part_name = ._fsae_frontsusp.mtr_uca_to_frame  &
   location = -258.0, 200.05, 263.15  &
   orientation = 0.0d, 0.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.mtr_uca_to_frame
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._fsae_frontsusp.mtr_uca_to_frame.mount_i  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.mtr_uca_to_frame.mount_i  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.mtr_uca_to_frame.bxr_bushing_j_3  &
   location = -508.0, 0.0, 0.0  &
   orientation = 90.0d, 90.0d, 270.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.mtr_uca_to_frame.bxr_bushing_j_3  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_frontsusp.mtr_uca_to_frame.bxr_bushgeom_j_3  &
   location = -520.7, 0.0, 0.0  &
   orientation = 90.0d, 90.0d, 270.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.mtr_uca_to_frame.bxr_bushgeom_j_3  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_frontsusp.mtr_uca_to_frame.bxr_bushing_j_4  &
   location = 0.0, 0.0, 0.0  &
   orientation = 270.0d, 90.0d, 90.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.mtr_uca_to_frame.bxr_bushing_j_4  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_frontsusp.mtr_uca_to_frame.bxr_bushgeom_j_4  &
   location = 12.7, 0.0, 0.0  &
   orientation = 270.0d, 90.0d, 90.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.mtr_uca_to_frame.bxr_bushgeom_j_4  &
   visibility = off  &
   name_visibility = off
!
part attributes  &
   part_name = ._fsae_frontsusp.mtr_uca_to_frame  &
   visibility = on  &
   name_visibility = on  &
   size_of_icons = 31.75
!
!-------------------------------- gel_spindle ---------------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
part create rigid_body name_and_position  &
   part_name = ._fsae_frontsusp.gel_spindle  &
   location = -512.0, -700.0, 155.2  &
   orientation = 0.0d, 90.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.gel_spindle
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._fsae_frontsusp.gel_spindle.cm  &
   location = 0.0, 0.0, -36.8999999997  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.gel_spindle.cm  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.gel_spindle.inertia_frame  &
   location = 0.0, 0.0, -36.8999999997  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.gel_spindle.inertia_frame  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.gel_spindle.gracyl_1  &
   location = 0.0, 0.0, -75.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.gel_spindle.gracyl_1  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.gel_spindle.jxl_joint_i_20  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.gel_spindle.jxl_joint_i_20  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
part create rigid_body mass_properties  &
   part_name = ._fsae_frontsusp.gel_spindle  &
   mass = 0.2924739931  &
   center_of_mass_marker = ._fsae_frontsusp.gel_spindle.cm  &
   inertia_marker = ._fsae_frontsusp.gel_spindle.inertia_frame  &
   ixx = 152.9728126858  &
   iyy = 152.9728126858  &
   izz = 22.9068432732  &
   ixy = 0.0  &
   izx = 0.0  &
   iyz = 0.0
!
! ****** Graphics for current part ******
!
geometry create shape cylinder  &
   cylinder_name = ._fsae_frontsusp.gel_spindle.gracyl_cv_jt_housing_extension  &
   center_marker = ._fsae_frontsusp.gel_spindle.gracyl_1  &
   angle_extent = 360.0  &
   length = 76.2  &
   radius = 12.7  &
   side_count_for_body = 15  &
   segment_count_for_ends = 15
!
geometry attributes  &
   geometry_name = ._fsae_frontsusp.gel_spindle.gracyl_cv_jt_housing_extension  &
   color = DARK_GRAY
!
part attributes  &
   part_name = ._fsae_frontsusp.gel_spindle  &
   size_of_icons = 31.75
!
!-------------------------------- ger_spindle ---------------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
part create rigid_body name_and_position  &
   part_name = ._fsae_frontsusp.ger_spindle  &
   location = -512.0, 700.0, 155.2  &
   orientation = 180.0d, 90.0d, 180.0d
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ger_spindle
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._fsae_frontsusp.ger_spindle.cm  &
   location = 0.0, 0.0, -36.8999999997  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.ger_spindle.cm  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.ger_spindle.inertia_frame  &
   location = 0.0, 0.0, -36.8999999997  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.ger_spindle.inertia_frame  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.ger_spindle.gracyl_2  &
   location = 0.0, 0.0, -75.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.ger_spindle.gracyl_2  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.ger_spindle.jxr_joint_i_20  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.ger_spindle.jxr_joint_i_20  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
part create rigid_body mass_properties  &
   part_name = ._fsae_frontsusp.ger_spindle  &
   mass = 0.2924739931  &
   center_of_mass_marker = ._fsae_frontsusp.ger_spindle.cm  &
   inertia_marker = ._fsae_frontsusp.ger_spindle.inertia_frame  &
   ixx = 152.9728126858  &
   iyy = 152.9728126858  &
   izz = 22.9068432732  &
   ixy = 0.0  &
   izx = 0.0  &
   iyz = 0.0
!
! ****** Graphics for current part ******
!
geometry create shape cylinder  &
   cylinder_name = ._fsae_frontsusp.ger_spindle.gracyl_cv_jt_housing_extension  &
   center_marker = ._fsae_frontsusp.ger_spindle.gracyl_2  &
   angle_extent = 360.0  &
   length = 76.2  &
   radius = 12.7  &
   side_count_for_body = 15  &
   segment_count_for_ends = 15
!
geometry attributes  &
   geometry_name = ._fsae_frontsusp.ger_spindle.gracyl_cv_jt_housing_extension  &
   color = DARK_GRAY
!
part attributes  &
   part_name = ._fsae_frontsusp.ger_spindle  &
   size_of_icons = 31.75
!
!------------------------------ mtr_lca_to_frame ------------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
part create rigid_body name_and_position  &
   part_name = ._fsae_frontsusp.mtr_lca_to_frame  &
   location = -258.0, 219.1, 21.85  &
   orientation = 0.0d, 0.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.mtr_lca_to_frame
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._fsae_frontsusp.mtr_lca_to_frame.mount_i  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.mtr_lca_to_frame.mount_i  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.mtr_lca_to_frame.bxr_bushing_j_1  &
   location = -508.0, 0.0, 0.0  &
   orientation = 90.0d, 90.0d, 270.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.mtr_lca_to_frame.bxr_bushing_j_1  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_frontsusp.mtr_lca_to_frame.bxr_bushgeom_j_1  &
   location = -520.7, 0.0, 0.0  &
   orientation = 90.0d, 90.0d, 270.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.mtr_lca_to_frame.bxr_bushgeom_j_1  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_frontsusp.mtr_lca_to_frame.bxr_bushing_j_2  &
   location = 0.0, 0.0, 0.0  &
   orientation = 270.0d, 90.0d, 90.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.mtr_lca_to_frame.bxr_bushing_j_2  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_frontsusp.mtr_lca_to_frame.bxr_bushgeom_j_2  &
   location = 12.7, 0.0, 0.0  &
   orientation = 270.0d, 90.0d, 90.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.mtr_lca_to_frame.bxr_bushgeom_j_2  &
   visibility = off  &
   name_visibility = off
!
part attributes  &
   part_name = ._fsae_frontsusp.mtr_lca_to_frame  &
   visibility = on  &
   name_visibility = on  &
   size_of_icons = 31.75
!
!------------------------------ mtl_lca_to_frame ------------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
part create rigid_body name_and_position  &
   part_name = ._fsae_frontsusp.mtl_lca_to_frame  &
   location = -258.0, -219.1, 21.85  &
   orientation = 0.0d, 0.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.mtl_lca_to_frame
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._fsae_frontsusp.mtl_lca_to_frame.mount_i  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.mtl_lca_to_frame.mount_i  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.mtl_lca_to_frame.bxl_bushing_j_1  &
   location = -508.0, 0.0, 0.0  &
   orientation = 90.0d, 90.0d, 270.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.mtl_lca_to_frame.bxl_bushing_j_1  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_frontsusp.mtl_lca_to_frame.bxl_bushgeom_j_1  &
   location = -520.7, 0.0, 0.0  &
   orientation = 90.0d, 90.0d, 270.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.mtl_lca_to_frame.bxl_bushgeom_j_1  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_frontsusp.mtl_lca_to_frame.bxl_bushing_j_2  &
   location = 0.0, 0.0, 0.0  &
   orientation = 270.0d, 90.0d, 90.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.mtl_lca_to_frame.bxl_bushing_j_2  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_frontsusp.mtl_lca_to_frame.bxl_bushgeom_j_2  &
   location = 12.7, 0.0, 0.0  &
   orientation = 270.0d, 90.0d, 90.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.mtl_lca_to_frame.bxl_bushgeom_j_2  &
   visibility = off  &
   name_visibility = off
!
part attributes  &
   part_name = ._fsae_frontsusp.mtl_lca_to_frame  &
   visibility = on  &
   name_visibility = on  &
   size_of_icons = 31.75
!
!---------------------------------- gel_prod ----------------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
part create rigid_body name_and_position  &
   part_name = ._fsae_frontsusp.gel_prod  &
   location = -448.5, -471.5, 225.05  &
   orientation = 356.6582477732d, 135.5701178341d, 175.3254662996d
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.gel_prod
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._fsae_frontsusp.gel_prod.cm  &
   location = 0.0, 0.0, 0.0  &
   orientation = 90.0d, 180.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.gel_prod.cm  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_frontsusp.gel_prod.inertia_frame  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker create  &
   marker_name = ._fsae_frontsusp.gel_prod.jxl_joint_i_4  &
   location = 0.0, 0.0, -311.2275734892  &
   orientation = 161.0380719641d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.gel_prod.jxl_joint_i_4  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_frontsusp.gel_prod.jxl_joint_j_5  &
   location = 0.0, 0.0, 311.2275734892  &
   orientation = 4.6745337004d, 135.5701178341d, 183.3417522268d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.gel_prod.jxl_joint_j_5  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_frontsusp.gel_prod.gralin_1  &
   location = 0.0, 0.0, -311.2275734892  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.gel_prod.gralin_1  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_frontsusp.gel_prod.graell_13  &
   location = 0.0, 0.0, 311.2275734892  &
   orientation = 4.6745337004d, 135.5701178341d, 183.3417522268d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.gel_prod.graell_13  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_frontsusp.gel_prod.graell_15  &
   location = 0.0, 0.0, -311.2275734892  &
   orientation = 4.6745337004d, 135.5701178341d, 183.3417522268d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.gel_prod.graell_15  &
   visibility = off  &
   name_visibility = off
!
part create rigid_body mass_properties  &
   part_name = ._fsae_frontsusp.gel_prod  &
   mass = 0.1240117647  &
   center_of_mass_marker = ._fsae_frontsusp.gel_prod.cm  &
   inertia_marker = ._fsae_frontsusp.gel_prod.inertia_frame  &
   ixx = 1391.264352341  &
   iyy = 1391.264352341  &
   izz = 2.4078954946  &
   ixy = 0.0  &
   izx = 0.0  &
   iyz = 0.0
!
! ****** Graphics for current part ******
!
geometry create shape cylinder  &
   cylinder_name = ._fsae_frontsusp.gel_prod.gralin_prod  &
   center_marker = ._fsae_frontsusp.gel_prod.gralin_1  &
   angle_extent = 360.0  &
   length = 622.4551469785  &
   radius = 6.35  &
   side_count_for_body = 15  &
   segment_count_for_ends = 15
!
geometry attributes  &
   geometry_name = ._fsae_frontsusp.gel_prod.gralin_prod  &
   color = BLACK
!
geometry create shape ellipsoid  &
   ellipsoid_name = ._fsae_frontsusp.gel_prod.graell_prod_outboard  &
   center_marker = ._fsae_frontsusp.gel_prod.graell_13  &
   x_scale_factor = 12.7  &
   y_scale_factor = 12.7  &
   z_scale_factor = 12.7
!
geometry attributes  &
   geometry_name = ._fsae_frontsusp.gel_prod.graell_prod_outboard  &
   color = BLACK
!
geometry create shape ellipsoid  &
   ellipsoid_name = ._fsae_frontsusp.gel_prod.graell_prod_inboard  &
   center_marker = ._fsae_frontsusp.gel_prod.graell_15  &
   x_scale_factor = 12.7  &
   y_scale_factor = 12.7  &
   z_scale_factor = 12.7
!
geometry attributes  &
   geometry_name = ._fsae_frontsusp.gel_prod.graell_prod_inboard  &
   color = BLACK
!
part attributes  &
   part_name = ._fsae_frontsusp.gel_prod  &
   visibility = on  &
   name_visibility = on
!
!---------------------------------- ger_prod ----------------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
part create rigid_body name_and_position  &
   part_name = ._fsae_frontsusp.ger_prod  &
   location = -448.5, 471.5, 225.05  &
   orientation = 183.3417522268d, 135.5701178341d, 4.6745337004d
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ger_prod
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._fsae_frontsusp.ger_prod.cm  &
   location = 0.0, 0.0, 0.0  &
   orientation = 90.0d, 180.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.ger_prod.cm  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_frontsusp.ger_prod.inertia_frame  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker create  &
   marker_name = ._fsae_frontsusp.ger_prod.jxr_joint_i_4  &
   location = 0.0, 0.0, -311.2275734892  &
   orientation = 198.9619280359d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.ger_prod.jxr_joint_i_4  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_frontsusp.ger_prod.jxr_joint_j_5  &
   location = 0.0, 0.0, 311.2275734892  &
   orientation = 175.3254662996d, 135.5701178341d, 356.6582477732d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.ger_prod.jxr_joint_j_5  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_frontsusp.ger_prod.gralin_2  &
   location = 0.0, 0.0, -311.2275734892  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.ger_prod.gralin_2  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_frontsusp.ger_prod.graell_14  &
   location = 0.0, 0.0, 311.2275734892  &
   orientation = 175.3254662996d, 135.5701178341d, 356.6582477732d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.ger_prod.graell_14  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_frontsusp.ger_prod.graell_16  &
   location = 0.0, 0.0, -311.2275734892  &
   orientation = 175.3254662996d, 135.5701178341d, 356.6582477732d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.ger_prod.graell_16  &
   visibility = off  &
   name_visibility = off
!
part create rigid_body mass_properties  &
   part_name = ._fsae_frontsusp.ger_prod  &
   mass = 0.1240117647  &
   center_of_mass_marker = ._fsae_frontsusp.ger_prod.cm  &
   inertia_marker = ._fsae_frontsusp.ger_prod.inertia_frame  &
   ixx = 1391.264352341  &
   iyy = 1391.264352341  &
   izz = 2.4078954946  &
   ixy = 0.0  &
   izx = 0.0  &
   iyz = 0.0
!
! ****** Graphics for current part ******
!
geometry create shape cylinder  &
   cylinder_name = ._fsae_frontsusp.ger_prod.gralin_prod  &
   center_marker = ._fsae_frontsusp.ger_prod.gralin_2  &
   angle_extent = 360.0  &
   length = 622.4551469785  &
   radius = 6.35  &
   side_count_for_body = 15  &
   segment_count_for_ends = 15
!
geometry attributes  &
   geometry_name = ._fsae_frontsusp.ger_prod.gralin_prod  &
   color = BLACK
!
geometry create shape ellipsoid  &
   ellipsoid_name = ._fsae_frontsusp.ger_prod.graell_prod_outboard  &
   center_marker = ._fsae_frontsusp.ger_prod.graell_14  &
   x_scale_factor = 12.7  &
   y_scale_factor = 12.7  &
   z_scale_factor = 12.7
!
geometry attributes  &
   geometry_name = ._fsae_frontsusp.ger_prod.graell_prod_outboard  &
   color = BLACK
!
geometry create shape ellipsoid  &
   ellipsoid_name = ._fsae_frontsusp.ger_prod.graell_prod_inboard  &
   center_marker = ._fsae_frontsusp.ger_prod.graell_16  &
   x_scale_factor = 12.7  &
   y_scale_factor = 12.7  &
   z_scale_factor = 12.7
!
geometry attributes  &
   geometry_name = ._fsae_frontsusp.ger_prod.graell_prod_inboard  &
   color = BLACK
!
part attributes  &
   part_name = ._fsae_frontsusp.ger_prod  &
   visibility = on  &
   name_visibility = on
!
!----------------------------------- gel_BC -----------------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
part create rigid_body name_and_position  &
   part_name = ._fsae_frontsusp.gel_BC  &
   location = -393.4666666667, -237.0666666667, 451.3666666667  &
   orientation = 0.0d, 0.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.gel_BC
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._fsae_frontsusp.gel_BC.cm  &
   location = 3.2443603995E-02, 2.8047101056, -1.6957749686  &
   orientation = 187.1793461674d, 120.1932088529d, 100.1153733157d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.gel_BC.cm  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_frontsusp.gel_BC.inertia_frame  &
   location = 3.2443603995E-02, 2.8047101056, -1.6957749686  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker create  &
   marker_name = ._fsae_frontsusp.gel_BC.jxl_joint_j_16  &
   location = 8.4666666667, 33.8666666667, 20.8333333333  &
   orientation = 315.0d, 109.1159929701d, 342.0035459632d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.gel_BC.jxl_joint_j_16  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.gel_BC.jxl_joint_j_4  &
   location = -42.3333333333, -16.9333333333, -4.0666666667  &
   orientation = 135.0d, 70.8840070299d, 227.2550948068d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.gel_BC.jxl_joint_j_4  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_frontsusp.gel_BC.graarm_1  &
   location = 33.8666666667, -16.9333333333, -16.7666666667  &
   orientation = 194.2380830963d, 145.8768691813d, 17.0412608596d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.gel_BC.graarm_1  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_frontsusp.gel_BC.graarm_2  &
   location = -42.3333333333, -16.9333333333, -4.0666666667  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.gel_BC.graarm_2  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_frontsusp.gel_BC.graarm_3  &
   location = 8.4666666667, 33.8666666667, 20.8333333333  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.gel_BC.graarm_3  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_frontsusp.gel_BC.jxl_joint_i_3  &
   location = 33.8666666667, -16.9333333333, -16.7666666667  &
   orientation = 180.0d, 180.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.gel_BC.jxl_joint_i_3  &
   visibility = off  &
   name_visibility = off
!
part create rigid_body mass_properties  &
   part_name = ._fsae_frontsusp.gel_BC  &
   mass = 7.5287947767E-02  &
   center_of_mass_marker = ._fsae_frontsusp.gel_BC.cm  &
   inertia_marker = ._fsae_frontsusp.gel_BC.inertia_frame  &
   ixx = 57.872849096  &
   iyy = 22.6522825693  &
   izz = 50.1341351864  &
   ixy = 0.0  &
   izx = 0.0  &
   iyz = 0.0
!
! ****** Graphics for current part ******
!
geometry create shape plate  &
   plate_name = ._fsae_frontsusp.gel_BC.graarm_BC  &
   marker_name = ._fsae_frontsusp.gel_BC.graarm_1,  &
                 ._fsae_frontsusp.gel_BC.graarm_2,  &
                 ._fsae_frontsusp.gel_BC.graarm_3  &
   width = 9.525  &
   radius = 4.7625
!
geometry attributes  &
   geometry_name = ._fsae_frontsusp.gel_BC.graarm_BC  &
   color = BLUE
!
part attributes  &
   part_name = ._fsae_frontsusp.gel_BC  &
   visibility = on  &
   name_visibility = on
!
!----------------------------------- ger_BC -----------------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
part create rigid_body name_and_position  &
   part_name = ._fsae_frontsusp.ger_BC  &
   location = -393.4666666667, 237.0666666667, 451.3666666667  &
   orientation = 0.0d, 0.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ger_BC
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._fsae_frontsusp.ger_BC.cm  &
   location = 3.2443603995E-02, -2.8047101056, -1.6957749686  &
   orientation = 172.8206538326d, 59.8067911471d, 100.1153733157d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.ger_BC.cm  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_frontsusp.ger_BC.inertia_frame  &
   location = 3.2443603995E-02, -2.8047101056, -1.6957749686  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker create  &
   marker_name = ._fsae_frontsusp.ger_BC.jxr_joint_j_16  &
   location = 8.4666666667, -33.8666666667, 20.8333333333  &
   orientation = 225.0d, 109.1159929701d, 197.9964540368d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.ger_BC.jxr_joint_j_16  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.ger_BC.jxr_joint_j_4  &
   location = -42.3333333333, 16.9333333333, -4.0666666667  &
   orientation = 45.0d, 70.8840070299d, 312.7449051932d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.ger_BC.jxr_joint_j_4  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_frontsusp.ger_BC.graarm_4  &
   location = 33.8666666667, 16.9333333333, -16.7666666667  &
   orientation = 165.7619169037d, 34.1231308187d, 17.0412608596d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.ger_BC.graarm_4  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_frontsusp.ger_BC.graarm_5  &
   location = -42.3333333333, 16.9333333333, -4.0666666667  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.ger_BC.graarm_5  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_frontsusp.ger_BC.graarm_6  &
   location = 8.4666666667, -33.8666666667, 20.8333333333  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.ger_BC.graarm_6  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_frontsusp.ger_BC.jxr_joint_i_3  &
   location = 33.8666666667, 16.9333333333, -16.7666666667  &
   orientation = 180.0d, 180.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.ger_BC.jxr_joint_i_3  &
   visibility = off  &
   name_visibility = off
!
part create rigid_body mass_properties  &
   part_name = ._fsae_frontsusp.ger_BC  &
   mass = 7.5287947767E-02  &
   center_of_mass_marker = ._fsae_frontsusp.ger_BC.cm  &
   inertia_marker = ._fsae_frontsusp.ger_BC.inertia_frame  &
   ixx = 57.872849096  &
   iyy = 22.6522825693  &
   izz = 50.1341351864  &
   ixy = 0.0  &
   izx = 0.0  &
   iyz = 0.0
!
! ****** Graphics for current part ******
!
geometry create shape plate  &
   plate_name = ._fsae_frontsusp.ger_BC.graarm_BC  &
   marker_name = ._fsae_frontsusp.ger_BC.graarm_4,  &
                 ._fsae_frontsusp.ger_BC.graarm_5,  &
                 ._fsae_frontsusp.ger_BC.graarm_6  &
   width = 9.525  &
   radius = 4.7625
!
geometry attributes  &
   geometry_name = ._fsae_frontsusp.ger_BC.graarm_BC  &
   color = BLUE
!
part attributes  &
   part_name = ._fsae_frontsusp.ger_BC  &
   visibility = on  &
   name_visibility = on
!
!------------------------------ mtl_BC_to_frame -------------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
part create rigid_body name_and_position  &
   part_name = ._fsae_frontsusp.mtl_BC_to_frame  &
   location = -359.6, -254.0, 434.6  &
   orientation = 0.0d, 0.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.mtl_BC_to_frame
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._fsae_frontsusp.mtl_BC_to_frame.mount_i  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.mtl_BC_to_frame.mount_i  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_frontsusp.mtl_BC_to_frame.jxl_joint_j_3  &
   location = 0.0, 0.0, 0.0  &
   orientation = 180.0d, 180.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.mtl_BC_to_frame.jxl_joint_j_3  &
   visibility = off  &
   name_visibility = off
!
part attributes  &
   part_name = ._fsae_frontsusp.mtl_BC_to_frame  &
   visibility = on  &
   name_visibility = on
!
!------------------------------ mtr_BC_to_frame -------------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
part create rigid_body name_and_position  &
   part_name = ._fsae_frontsusp.mtr_BC_to_frame  &
   location = -359.6, 254.0, 434.6  &
   orientation = 0.0d, 0.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.mtr_BC_to_frame
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._fsae_frontsusp.mtr_BC_to_frame.mount_i  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.mtr_BC_to_frame.mount_i  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_frontsusp.mtr_BC_to_frame.jxr_joint_j_3  &
   location = 0.0, 0.0, 0.0  &
   orientation = 180.0d, 180.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.mtr_BC_to_frame.jxr_joint_j_3  &
   visibility = off  &
   name_visibility = off
!
part attributes  &
   part_name = ._fsae_frontsusp.mtr_BC_to_frame  &
   visibility = on  &
   name_visibility = on
!
!---------------------------- gel_upright_bracket -----------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
part create rigid_body name_and_position  &
   part_name = ._fsae_frontsusp.gel_upright_bracket  &
   location = -512.0, -716.0, 27.4  &
   orientation = 0.0d, 0.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.gel_upright_bracket
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._fsae_frontsusp.gel_upright_bracket.cm  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.gel_upright_bracket.cm  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_frontsusp.gel_upright_bracket.inertia_frame  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker create  &
   marker_name = ._fsae_frontsusp.gel_upright_bracket.jxl_joint_i_2  &
   location = 0.0, 0.0, 0.0  &
   orientation = 180.0d, 90.0d, 180.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.gel_upright_bracket.jxl_joint_i_2  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.gel_upright_bracket.afl_aforce_j_2  &
   location = 0.0, 716.0, 0.0  &
   orientation = 0.0d, 90.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.gel_upright_bracket.afl_aforce_j_2  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.gel_upright_bracket.jxl_joint_i_9  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.gel_upright_bracket.jxl_joint_i_9  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
part create rigid_body mass_properties  &
   part_name = ._fsae_frontsusp.gel_upright_bracket  &
   mass = 0.45359237  &
   center_of_mass_marker = ._fsae_frontsusp.gel_upright_bracket.cm  &
   inertia_marker = ._fsae_frontsusp.gel_upright_bracket.inertia_frame  &
   ixx = 292.6396534292  &
   iyy = 292.6396534292  &
   izz = 292.6396534292  &
   ixy = 0.0  &
   izx = 0.0  &
   iyz = 0.0
!
part attributes  &
   part_name = ._fsae_frontsusp.gel_upright_bracket  &
   visibility = on  &
   name_visibility = on
!
!---------------------------- ger_upright_bracket -----------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
part create rigid_body name_and_position  &
   part_name = ._fsae_frontsusp.ger_upright_bracket  &
   location = -512.0, 716.0, 27.4  &
   orientation = 0.0d, 0.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ger_upright_bracket
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._fsae_frontsusp.ger_upright_bracket.cm  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.ger_upright_bracket.cm  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_frontsusp.ger_upright_bracket.inertia_frame  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker create  &
   marker_name = ._fsae_frontsusp.ger_upright_bracket.jxr_joint_i_2  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 90.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.ger_upright_bracket.jxr_joint_i_2  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.ger_upright_bracket.afr_aforce_j_2  &
   location = 0.0, -716.0, 0.0  &
   orientation = 180.0d, 90.0d, 180.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.ger_upright_bracket.afr_aforce_j_2  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_frontsusp.ger_upright_bracket.jxr_joint_i_9  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_frontsusp.ger_upright_bracket.jxr_joint_i_9  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
part create rigid_body mass_properties  &
   part_name = ._fsae_frontsusp.ger_upright_bracket  &
   mass = 0.45359237  &
   center_of_mass_marker = ._fsae_frontsusp.ger_upright_bracket.cm  &
   inertia_marker = ._fsae_frontsusp.ger_upright_bracket.inertia_frame  &
   ixx = 292.6396534292  &
   iyy = 292.6396534292  &
   izz = 292.6396534292  &
   ixy = 0.0  &
   izx = 0.0  &
   iyz = 0.0
!
part attributes  &
   part_name = ._fsae_frontsusp.ger_upright_bracket  &
   visibility = on  &
   name_visibility = on
!
!----------------------------------- Joints -----------------------------------!
!
!
constraint create joint translational  &
   joint_name = ._fsae_frontsusp.joltra_bracket_to_upright  &
   i_marker_name = ._fsae_frontsusp.gel_upright_bracket.jxl_joint_i_2  &
   j_marker_name = ._fsae_frontsusp.gel_upright.jxl_joint_j_2
!
constraint attributes  &
   constraint_name = ._fsae_frontsusp.joltra_bracket_to_upright  &
   size_of_icons = 31.75
!
constraint create joint translational  &
   joint_name = ._fsae_frontsusp.jortra_bracket_to_upright  &
   i_marker_name = ._fsae_frontsusp.ger_upright_bracket.jxr_joint_i_2  &
   j_marker_name = ._fsae_frontsusp.ger_upright.jxr_joint_j_2
!
constraint attributes  &
   constraint_name = ._fsae_frontsusp.jortra_bracket_to_upright  &
   size_of_icons = 31.75
!
constraint create joint translational  &
   joint_name = ._fsae_frontsusp.joltra_tierod_split  &
   i_marker_name = ._fsae_frontsusp.gel_tierod_outer.jxl_joint_i_1  &
   j_marker_name = ._fsae_frontsusp.gel_tierod_inner.jxl_joint_j_1
!
constraint attributes  &
   constraint_name = ._fsae_frontsusp.joltra_tierod_split  &
   size_of_icons = 31.75
!
constraint create joint translational  &
   joint_name = ._fsae_frontsusp.jortra_tierod_split  &
   i_marker_name = ._fsae_frontsusp.ger_tierod_outer.jxr_joint_i_1  &
   j_marker_name = ._fsae_frontsusp.ger_tierod_inner.jxr_joint_j_1
!
constraint attributes  &
   constraint_name = ._fsae_frontsusp.jortra_tierod_split  &
   size_of_icons = 31.75
!
constraint create joint spherical  &
   joint_name = ._fsae_frontsusp.jolsph_lca_balljoint  &
   i_marker_name = ._fsae_frontsusp.gel_upright_bracket.jxl_joint_i_9  &
   j_marker_name = ._fsae_frontsusp.gel_lower_control_arm.jxl_joint_j_9
!
constraint attributes  &
   constraint_name = ._fsae_frontsusp.jolsph_lca_balljoint  &
   size_of_icons = 31.75
!
constraint create joint spherical  &
   joint_name = ._fsae_frontsusp.jorsph_lca_balljoint  &
   i_marker_name = ._fsae_frontsusp.ger_upright_bracket.jxr_joint_i_9  &
   j_marker_name = ._fsae_frontsusp.ger_lower_control_arm.jxr_joint_j_9
!
constraint attributes  &
   constraint_name = ._fsae_frontsusp.jorsph_lca_balljoint  &
   size_of_icons = 31.75
!
constraint create joint spherical  &
   joint_name = ._fsae_frontsusp.jolsph_tierod_outer  &
   i_marker_name = ._fsae_frontsusp.gel_tierod_outer.jxl_joint_i_10  &
   j_marker_name = ._fsae_frontsusp.gel_upright.jxl_joint_j_10
!
constraint attributes  &
   constraint_name = ._fsae_frontsusp.jolsph_tierod_outer  &
   size_of_icons = 31.75
!
constraint create joint spherical  &
   joint_name = ._fsae_frontsusp.jorsph_tierod_outer  &
   i_marker_name = ._fsae_frontsusp.ger_tierod_outer.jxr_joint_i_10  &
   j_marker_name = ._fsae_frontsusp.ger_upright.jxr_joint_j_10
!
constraint attributes  &
   constraint_name = ._fsae_frontsusp.jorsph_tierod_outer  &
   size_of_icons = 31.75
!
constraint create joint fixed  &
   joint_name = ._fsae_frontsusp.mtl_fixed_2  &
   i_marker_name = ._fsae_frontsusp.mtl_tierod_to_steering.mount_i  &
   j_marker_name = ._fsae_frontsusp.ground.mtl_mount_j_2
!
constraint attributes  &
   constraint_name = ._fsae_frontsusp.mtl_fixed_2  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
constraint create joint fixed  &
   joint_name = ._fsae_frontsusp.mtr_fixed_2  &
   i_marker_name = ._fsae_frontsusp.mtr_tierod_to_steering.mount_i  &
   j_marker_name = ._fsae_frontsusp.ground.mtr_mount_j_2
!
constraint attributes  &
   constraint_name = ._fsae_frontsusp.mtr_fixed_2  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
constraint create joint convel  &
   joint_name = ._fsae_frontsusp.jolcon_tierod_inner  &
   i_marker_name = ._fsae_frontsusp.gel_tierod_inner.jxl_joint_i_11  &
   j_marker_name = ._fsae_frontsusp.mtl_tierod_to_steering.jxl_joint_j_11
!
constraint attributes  &
   constraint_name = ._fsae_frontsusp.jolcon_tierod_inner  &
   size_of_icons = 31.75
!
constraint create joint convel  &
   joint_name = ._fsae_frontsusp.jorcon_tierod_inner  &
   i_marker_name = ._fsae_frontsusp.ger_tierod_inner.jxr_joint_i_11  &
   j_marker_name = ._fsae_frontsusp.mtr_tierod_to_steering.jxr_joint_j_11
!
constraint attributes  &
   constraint_name = ._fsae_frontsusp.jorcon_tierod_inner  &
   size_of_icons = 31.75
!
constraint create joint fixed  &
   joint_name = ._fsae_frontsusp.mtl_fixed_3  &
   i_marker_name = ._fsae_frontsusp.mtl_damper_to_frame.mount_i  &
   j_marker_name = ._fsae_frontsusp.ground.mtl_mount_j_3
!
constraint attributes  &
   constraint_name = ._fsae_frontsusp.mtl_fixed_3  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
constraint create joint fixed  &
   joint_name = ._fsae_frontsusp.mtr_fixed_3  &
   i_marker_name = ._fsae_frontsusp.mtr_damper_to_frame.mount_i  &
   j_marker_name = ._fsae_frontsusp.ground.mtr_mount_j_3
!
constraint attributes  &
   constraint_name = ._fsae_frontsusp.mtr_fixed_3  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
constraint create joint convel  &
   joint_name = ._fsae_frontsusp.jolcon_top_mount_kinematic  &
   i_marker_name = ._fsae_frontsusp.gel_damper_inboard.jxl_joint_i_12  &
   j_marker_name = ._fsae_frontsusp.mtl_damper_to_frame.jxl_joint_j_12
!
constraint attributes  &
   constraint_name = ._fsae_frontsusp.jolcon_top_mount_kinematic  &
   size_of_icons = 31.75
!
constraint create joint convel  &
   joint_name = ._fsae_frontsusp.jorcon_top_mount_kinematic  &
   i_marker_name = ._fsae_frontsusp.ger_damper_inboard.jxr_joint_i_12  &
   j_marker_name = ._fsae_frontsusp.mtr_damper_to_frame.jxr_joint_j_12
!
constraint attributes  &
   constraint_name = ._fsae_frontsusp.jorcon_top_mount_kinematic  &
   size_of_icons = 31.75
!
constraint create joint cylindrical  &
   joint_name = ._fsae_frontsusp._cv_joint_for_motion  &
   comments = "Dummy for communicators"  &
   i_marker_name = ._fsae_frontsusp._cv_part.marker  &
   j_marker_name = ._fsae_frontsusp.ground._cv_marker
!
constraint attributes  &
   constraint_name = ._fsae_frontsusp._cv_joint_for_motion  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
constraint create joint spherical  &
   joint_name = ._fsae_frontsusp.jolsph_uca_balljoint  &
   i_marker_name = ._fsae_frontsusp.gel_upper_control_arm.jxl_joint_i_13  &
   j_marker_name = ._fsae_frontsusp.gel_upright.jxl_joint_j_13
!
constraint attributes  &
   constraint_name = ._fsae_frontsusp.jolsph_uca_balljoint  &
   size_of_icons = 31.75
!
constraint create joint spherical  &
   joint_name = ._fsae_frontsusp.jorsph_uca_balljoint  &
   i_marker_name = ._fsae_frontsusp.ger_upper_control_arm.jxr_joint_i_13  &
   j_marker_name = ._fsae_frontsusp.ger_upright.jxr_joint_j_13
!
constraint attributes  &
   constraint_name = ._fsae_frontsusp.jorsph_uca_balljoint  &
   size_of_icons = 31.75
!
constraint create joint cylindrical  &
   joint_name = ._fsae_frontsusp.jolcyl_lwr_upr_strut  &
   i_marker_name = ._fsae_frontsusp.gel_damper_outboard.jxl_joint_i_14  &
   j_marker_name = ._fsae_frontsusp.gel_damper_inboard.jxl_joint_j_14
!
constraint attributes  &
   constraint_name = ._fsae_frontsusp.jolcyl_lwr_upr_strut  &
   size_of_icons = 31.75
!
constraint create joint cylindrical  &
   joint_name = ._fsae_frontsusp.jorcyl_lwr_upr_strut  &
   i_marker_name = ._fsae_frontsusp.ger_damper_outboard.jxr_joint_i_14  &
   j_marker_name = ._fsae_frontsusp.ger_damper_inboard.jxr_joint_j_14
!
constraint attributes  &
   constraint_name = ._fsae_frontsusp.jorcyl_lwr_upr_strut  &
   size_of_icons = 31.75
!
constraint create joint fixed  &
   joint_name = ._fsae_frontsusp.mtl_fixed_4  &
   i_marker_name = ._fsae_frontsusp.mtl_uca_to_frame.mount_i  &
   j_marker_name = ._fsae_frontsusp.ground.mtl_mount_j_4
!
constraint attributes  &
   constraint_name = ._fsae_frontsusp.mtl_fixed_4  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
constraint create joint fixed  &
   joint_name = ._fsae_frontsusp.mtr_fixed_4  &
   i_marker_name = ._fsae_frontsusp.mtr_uca_to_frame.mount_i  &
   j_marker_name = ._fsae_frontsusp.ground.mtr_mount_j_4
!
constraint attributes  &
   constraint_name = ._fsae_frontsusp.mtr_fixed_4  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
constraint create joint convel  &
   joint_name = ._fsae_frontsusp.jolcon_lwr_strut_kinematic  &
   i_marker_name = ._fsae_frontsusp.gel_damper_outboard.jxl_joint_i_16  &
   j_marker_name = ._fsae_frontsusp.gel_BC.jxl_joint_j_16
!
constraint attributes  &
   constraint_name = ._fsae_frontsusp.jolcon_lwr_strut_kinematic  &
   size_of_icons = 31.75
!
constraint create joint convel  &
   joint_name = ._fsae_frontsusp.jorcon_lwr_strut_kinematic  &
   i_marker_name = ._fsae_frontsusp.ger_damper_outboard.jxr_joint_i_16  &
   j_marker_name = ._fsae_frontsusp.ger_BC.jxr_joint_j_16
!
constraint attributes  &
   constraint_name = ._fsae_frontsusp.jorcon_lwr_strut_kinematic  &
   size_of_icons = 31.75
!
constraint create joint revolute  &
   joint_name = ._fsae_frontsusp.jolrev_spindle_upright  &
   i_marker_name = ._fsae_frontsusp.gel_spindle.jxl_joint_i_20  &
   j_marker_name = ._fsae_frontsusp.gel_upright.jxl_joint_j_20
!
constraint attributes  &
   constraint_name = ._fsae_frontsusp.jolrev_spindle_upright  &
   size_of_icons = 31.75
!
constraint create joint revolute  &
   joint_name = ._fsae_frontsusp.jorrev_spindle_upright  &
   i_marker_name = ._fsae_frontsusp.ger_spindle.jxr_joint_i_20  &
   j_marker_name = ._fsae_frontsusp.ger_upright.jxr_joint_j_20
!
constraint attributes  &
   constraint_name = ._fsae_frontsusp.jorrev_spindle_upright  &
   size_of_icons = 31.75
!
constraint create joint fixed  &
   joint_name = ._fsae_frontsusp.mtr_fixed_1  &
   i_marker_name = ._fsae_frontsusp.mtr_lca_to_frame.mount_i  &
   j_marker_name = ._fsae_frontsusp.ground.mtr_mount_j_1
!
constraint attributes  &
   constraint_name = ._fsae_frontsusp.mtr_fixed_1  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
constraint create joint fixed  &
   joint_name = ._fsae_frontsusp.mtl_fixed_1  &
   i_marker_name = ._fsae_frontsusp.mtl_lca_to_frame.mount_i  &
   j_marker_name = ._fsae_frontsusp.ground.mtl_mount_j_1
!
constraint attributes  &
   constraint_name = ._fsae_frontsusp.mtl_fixed_1  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
constraint create joint fixed  &
   joint_name = ._fsae_frontsusp.mtl_fixed_6  &
   i_marker_name = ._fsae_frontsusp.mtl_BC_to_frame.mount_i  &
   j_marker_name = ._fsae_frontsusp.ground.mtl_mount_j_6
!
constraint attributes  &
   constraint_name = ._fsae_frontsusp.mtl_fixed_6  &
   visibility = off  &
   name_visibility = off
!
constraint create joint fixed  &
   joint_name = ._fsae_frontsusp.mtr_fixed_6  &
   i_marker_name = ._fsae_frontsusp.mtr_BC_to_frame.mount_i  &
   j_marker_name = ._fsae_frontsusp.ground.mtr_mount_j_6
!
constraint attributes  &
   constraint_name = ._fsae_frontsusp.mtr_fixed_6  &
   visibility = off  &
   name_visibility = off
!
constraint create joint revolute  &
   joint_name = ._fsae_frontsusp.jolrev_BC_to_frame  &
   i_marker_name = ._fsae_frontsusp.gel_BC.jxl_joint_i_3  &
   j_marker_name = ._fsae_frontsusp.mtl_BC_to_frame.jxl_joint_j_3
!
constraint create joint revolute  &
   joint_name = ._fsae_frontsusp.jorrev_BC_to_frame  &
   i_marker_name = ._fsae_frontsusp.ger_BC.jxr_joint_i_3  &
   j_marker_name = ._fsae_frontsusp.mtr_BC_to_frame.jxr_joint_j_3
!
constraint create joint convel  &
   joint_name = ._fsae_frontsusp.jolcon_prod_to_BC  &
   i_marker_name = ._fsae_frontsusp.gel_prod.jxl_joint_i_4  &
   j_marker_name = ._fsae_frontsusp.gel_BC.jxl_joint_j_4
!
constraint create joint convel  &
   joint_name = ._fsae_frontsusp.jorcon_prod_to_BC  &
   i_marker_name = ._fsae_frontsusp.ger_prod.jxr_joint_i_4  &
   j_marker_name = ._fsae_frontsusp.ger_BC.jxr_joint_j_4
!
constraint create joint spherical  &
   joint_name = ._fsae_frontsusp.jolsph_prod_to_lca  &
   i_marker_name = ._fsae_frontsusp.gel_lower_control_arm.jxl_joint_i_5  &
   j_marker_name = ._fsae_frontsusp.gel_prod.jxl_joint_j_5
!
constraint create joint spherical  &
   joint_name = ._fsae_frontsusp.jorsph_prod_to_lca  &
   i_marker_name = ._fsae_frontsusp.ger_lower_control_arm.jxr_joint_i_5  &
   j_marker_name = ._fsae_frontsusp.ger_prod.jxr_joint_j_5
!
!------------------------------ Joint Primitives ------------------------------!
!
!
constraint create primitive_joint inplane  &
   jprim_name = ._fsae_frontsusp._cv_joint  &
   comments = "Dummy for communicators"  &
   i_marker_name = ._fsae_frontsusp._cv_part.marker  &
   j_marker_name = ._fsae_frontsusp.ground._cv_marker
!
constraint attributes  &
   constraint_name = ._fsae_frontsusp._cv_joint  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
!----------------------------------- Forces -----------------------------------!
!
!
force create element_like field  &
   field_name = ._fsae_frontsusp._cv_bushing  &
   comments = "Dummy for communicators"  &
   i_marker_name = ._fsae_frontsusp._cv_part.marker  &
   j_marker_name = ._fsae_frontsusp.ground._cv_marker  &
   translation_at_preload = 0.0, 0.0, 0.0  &
   rotation_at_preload = 0.0d, 0.0d, 0.0d  &
   formulation = linear  &
   length_tolerance = 1.0E-05  &
   damping_ratio = 0.0  &
   stiffness_matrix =  &
      0.0, 0.0, 0.0, 0.0, 0.0, 0.0,  &
      0.0, 0.0, 0.0, 0.0, 0.0, 0.0,  &
      0.0, 0.0, 0.0, 0.0, 0.0, 0.0,  &
      0.0, 0.0, 0.0, 0.0, 0.0, 0.0,  &
      0.0, 0.0, 0.0, 0.0, 0.0, 0.0,  &
      0.0, 0.0, 0.0, 0.0, 0.0, 0.0  &
   force_preload = 0.0, 0.0, 0.0  &
   torque_preload = 0.0, 0.0, 0.0
!
force attributes  &
   force_name = ._fsae_frontsusp._cv_bushing  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
!---------------------------------- Requests ----------------------------------!
!
!
output_control create request  &
   request_name = ._fsae_frontsusp.toe_camber  &
   comment = "Computes the toe and camber of a front or rear suspension"  &
   component_names = "", "toe_left", "", "camber_left", "", "toe_right", "",  &
                     "camber_right"  &
   component_units = "no_units", "no_units", "no_units", "no_units",  &
                     "no_units", "no_units", "no_units", "no_units"  &
   results_name = "suspension_kinematics"  &
   user_function = 1101.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0  &
   routine = "apresolver::reqsub"
!
!---------------------------- Adams View Variables ----------------------------!
!
!
variable create  &
   variable_name = ._fsae_frontsusp.pvr_toe_adjust  &
   units = "no_units"  &
   real_value = 0.0
!
!-------------------------- Adams View UDE Instances --------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
undo begin_block suppress = yes
!
ude create instance  &
   instance_name = ._fsae_frontsusp.nsl_ride_spring  &
   definition_name = .ACAR.forces.ac_spring  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0, 0.0, 0.0
!
ude attributes  &
   instance_name = ._fsae_frontsusp.nsl_ride_spring  &
   color = SILVER
!
ude create instance  &
   instance_name = ._fsae_frontsusp.nsr_ride_spring  &
   definition_name = .ACAR.forces.ac_spring  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0, 0.0, 0.0
!
ude attributes  &
   instance_name = ._fsae_frontsusp.nsr_ride_spring  &
   color = SILVER
!
ude create instance  &
   instance_name = ._fsae_frontsusp.dal_ride_damper  &
   definition_name = .ACAR.forces.ac_damper  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0, 0.0, 0.0
!
ude attributes  &
   instance_name = ._fsae_frontsusp.dal_ride_damper  &
   color = MAIZE
!
ude create instance  &
   instance_name = ._fsae_frontsusp.dar_ride_damper  &
   definition_name = .ACAR.forces.ac_damper  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0, 0.0, 0.0
!
ude attributes  &
   instance_name = ._fsae_frontsusp.dar_ride_damper  &
   color = MAIZE
!
ude create instance  &
   instance_name = ._fsae_frontsusp.afl_toe_adjuster  &
   definition_name = .ACAR.forces.ac_aforce  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0, 0.0, 0.0
!
ude create instance  &
   instance_name = ._fsae_frontsusp.afr_toe_adjuster  &
   definition_name = .ACAR.forces.ac_aforce  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0, 0.0, 0.0
!
ude create instance  &
   instance_name = ._fsae_frontsusp.afr_camber_adjuster  &
   definition_name = .ACAR.forces.ac_aforce  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0, 0.0, 0.0
!
ude create instance  &
   instance_name = ._fsae_frontsusp.afl_camber_adjuster  &
   definition_name = .ACAR.forces.ac_aforce  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0, 0.0, 0.0
!
ude create instance  &
   instance_name = ._fsae_frontsusp.bgl_lca_front  &
   definition_name = .ACAR.attachments.ac_bushing  &
   location = -766.0, -219.1, 21.85  &
   orientation = 90.0, 90.0, 270.0
!
ude create instance  &
   instance_name = ._fsae_frontsusp.bgr_lca_front  &
   definition_name = .ACAR.attachments.ac_bushing  &
   location = -766.0, 219.1, 21.85  &
   orientation = 90.0, 90.0, 270.0
!
ude create instance  &
   instance_name = ._fsae_frontsusp.bgl_lca_rear  &
   definition_name = .ACAR.attachments.ac_bushing  &
   location = -258.0, -219.1, 21.85  &
   orientation = 270.0, 90.0, 90.0
!
ude create instance  &
   instance_name = ._fsae_frontsusp.bgr_lca_rear  &
   definition_name = .ACAR.attachments.ac_bushing  &
   location = -258.0, 219.1, 21.85  &
   orientation = 270.0, 90.0, 90.0
!
ude create instance  &
   instance_name = ._fsae_frontsusp.bgl_uca_front  &
   definition_name = .ACAR.attachments.ac_bushing  &
   location = -766.0, -200.05, 263.15  &
   orientation = 90.0, 90.0, 270.0
!
ude create instance  &
   instance_name = ._fsae_frontsusp.bgr_uca_front  &
   definition_name = .ACAR.attachments.ac_bushing  &
   location = -766.0, 200.05, 263.15  &
   orientation = 90.0, 90.0, 270.0
!
ude create instance  &
   instance_name = ._fsae_frontsusp.bgl_uca_rear  &
   definition_name = .ACAR.attachments.ac_bushing  &
   location = -258.0, -200.05, 263.15  &
   orientation = 270.0, 90.0, 90.0
!
ude create instance  &
   instance_name = ._fsae_frontsusp.bgr_uca_rear  &
   definition_name = .ACAR.attachments.ac_bushing  &
   location = -258.0, 200.05, 263.15  &
   orientation = 270.0, 90.0, 90.0
!
ude create instance  &
   instance_name = ._fsae_frontsusp.bul_jounce_stop  &
   definition_name = .ACAR.forces.ac_bumpstop  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0, 0.0, 0.0
!
ude attributes  &
   instance_name = ._fsae_frontsusp.bul_jounce_stop  &
   color = MIDNIGHT_BLUE
!
ude create instance  &
   instance_name = ._fsae_frontsusp.bur_jounce_stop  &
   definition_name = .ACAR.forces.ac_bumpstop  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0, 0.0, 0.0
!
ude attributes  &
   instance_name = ._fsae_frontsusp.bur_jounce_stop  &
   color = MIDNIGHT_BLUE
!
!-------------------------- Adams View UDE Instance ---------------------------!
!
!
variable modify  &
   variable_name = ._fsae_frontsusp.nsl_ride_spring.property_file  &
   string_value = "mdids://fsae_2018/springs.tbl/msc_0001.spr"
!
variable modify  &
   variable_name = ._fsae_frontsusp.nsl_ride_spring.user_value  &
   real_value = 105.2576
!
variable modify  &
   variable_name = ._fsae_frontsusp.nsl_ride_spring.value_type  &
   string_value = "installed_length"
!
variable modify  &
   variable_name = ._fsae_frontsusp.nsl_ride_spring.scale_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.nsl_ride_spring.diameter  &
   real_value = (._fsae_frontsusp.nsl_ride_spring.dmCalc * ._fsae_frontsusp.nsl_ride_spring.geoScale)
!
variable modify  &
   variable_name = ._fsae_frontsusp.nsl_ride_spring.geoScale  &
   real_value = 0.39
!
variable modify  &
   variable_name = ._fsae_frontsusp.nsl_ride_spring.numCoils  &
   integer_value = 8
!
variable modify  &
   variable_name = ._fsae_frontsusp.nsl_ride_spring.method  &
   integer_value = 0
!
variable modify  &
   variable_name = ._fsae_frontsusp.nsl_ride_spring.independentAxis  &
   integer_value = 1
!
variable modify  &
   variable_name = ._fsae_frontsusp.nsl_ride_spring.i_marker  &
   object_value = ._fsae_frontsusp.gel_damper_inboard.nsl_spring_i_1
!
variable modify  &
   variable_name = ._fsae_frontsusp.nsl_ride_spring.j_marker  &
   object_value = ._fsae_frontsusp.gel_damper_outboard.nsl_spring_j_1
!
ude modify instance  &
   instance_name = ._fsae_frontsusp.nsl_ride_spring
!
!-------------------------- Adams View UDE Instance ---------------------------!
!
!
variable modify  &
   variable_name = ._fsae_frontsusp.nsr_ride_spring.property_file  &
   string_value = "mdids://fsae_2018/springs.tbl/msc_0001.spr"
!
variable modify  &
   variable_name = ._fsae_frontsusp.nsr_ride_spring.user_value  &
   real_value = 105.2576
!
variable modify  &
   variable_name = ._fsae_frontsusp.nsr_ride_spring.value_type  &
   string_value = "installed_length"
!
variable modify  &
   variable_name = ._fsae_frontsusp.nsr_ride_spring.scale_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.nsr_ride_spring.diameter  &
   real_value = (._fsae_frontsusp.nsr_ride_spring.dmCalc * ._fsae_frontsusp.nsr_ride_spring.geoScale)
!
variable modify  &
   variable_name = ._fsae_frontsusp.nsr_ride_spring.geoScale  &
   real_value = 0.39
!
variable modify  &
   variable_name = ._fsae_frontsusp.nsr_ride_spring.numCoils  &
   integer_value = 8
!
variable modify  &
   variable_name = ._fsae_frontsusp.nsr_ride_spring.method  &
   integer_value = 0
!
variable modify  &
   variable_name = ._fsae_frontsusp.nsr_ride_spring.independentAxis  &
   integer_value = 1
!
variable modify  &
   variable_name = ._fsae_frontsusp.nsr_ride_spring.i_marker  &
   object_value = ._fsae_frontsusp.ger_damper_inboard.nsr_spring_i_1
!
variable modify  &
   variable_name = ._fsae_frontsusp.nsr_ride_spring.j_marker  &
   object_value = ._fsae_frontsusp.ger_damper_outboard.nsr_spring_j_1
!
ude modify instance  &
   instance_name = ._fsae_frontsusp.nsr_ride_spring
!
!-------------------------- Adams View UDE Instance ---------------------------!
!
!
variable modify  &
   variable_name = ._fsae_frontsusp.dal_ride_damper.property_file  &
   string_value = "mdids://fsae_2018/dampers.tbl/msc_0001.dpr"
!
variable modify  &
   variable_name = ._fsae_frontsusp.dal_ride_damper.scale_factor_compression  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.dal_ride_damper.scale_factor_rebound  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.dal_ride_damper.method  &
   integer_value = 0
!
variable modify  &
   variable_name = ._fsae_frontsusp.dal_ride_damper.gas_preload_method  &
   integer_value = 0
!
variable modify  &
   variable_name = ._fsae_frontsusp.dal_ride_damper.geoScale  &
   real_value = 0.12
!
variable modify  &
   variable_name = ._fsae_frontsusp.dal_ride_damper.i_marker  &
   object_value = ._fsae_frontsusp.gel_damper_inboard.dal_damper_i_1
!
variable modify  &
   variable_name = ._fsae_frontsusp.dal_ride_damper.j_marker  &
   object_value = ._fsae_frontsusp.gel_damper_outboard.dal_damper_j_1
!
ude modify instance  &
   instance_name = ._fsae_frontsusp.dal_ride_damper
!
!-------------------------- Adams View UDE Instance ---------------------------!
!
!
variable modify  &
   variable_name = ._fsae_frontsusp.dar_ride_damper.property_file  &
   string_value = "mdids://fsae_2018/dampers.tbl/msc_0001.dpr"
!
variable modify  &
   variable_name = ._fsae_frontsusp.dar_ride_damper.scale_factor_compression  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.dar_ride_damper.scale_factor_rebound  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.dar_ride_damper.method  &
   integer_value = 0
!
variable modify  &
   variable_name = ._fsae_frontsusp.dar_ride_damper.gas_preload_method  &
   integer_value = 0
!
variable modify  &
   variable_name = ._fsae_frontsusp.dar_ride_damper.geoScale  &
   real_value = 0.12
!
variable modify  &
   variable_name = ._fsae_frontsusp.dar_ride_damper.i_marker  &
   object_value = ._fsae_frontsusp.ger_damper_inboard.dar_damper_i_1
!
variable modify  &
   variable_name = ._fsae_frontsusp.dar_ride_damper.j_marker  &
   object_value = ._fsae_frontsusp.ger_damper_outboard.dar_damper_j_1
!
ude modify instance  &
   instance_name = ._fsae_frontsusp.dar_ride_damper
!
!-------------------------- Adams View UDE Instance ---------------------------!
!
!
variable modify  &
   variable_name = ._fsae_frontsusp.afl_toe_adjuster.pattern  &
   integer_value =   &
      1,  &
      0,  &
      1,  &
      0,  &
      1,  &
      0
!
variable modify  &
   variable_name = ._fsae_frontsusp.afl_toe_adjuster.adjustment_type  &
   string_value = "toe"
!
variable modify  &
   variable_name = ._fsae_frontsusp.afl_toe_adjuster.desired_value  &
   real_value = (._fsae_frontsusp.pvr_toe_adjust)
!
variable modify  &
   variable_name = ._fsae_frontsusp.afl_toe_adjuster.stiffness  &
   real_value = 9.9999999999E+05
!
variable modify  &
   variable_name = ._fsae_frontsusp.afl_toe_adjuster.damping  &
   real_value = 1.9999999999E+04
!
variable modify  &
   variable_name = ._fsae_frontsusp.afl_toe_adjuster.lock  &
   integer_value = 1
!
variable modify  &
   variable_name = ._fsae_frontsusp.afl_toe_adjuster.motion_delta  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.afl_toe_adjuster.adjustment  &
   integer_value = 0
!
variable modify  &
   variable_name = ._fsae_frontsusp.afl_toe_adjuster.i_marker  &
   object_value = ._fsae_frontsusp.gel_tierod_inner.afl_aforce_i_1
!
variable modify  &
   variable_name = ._fsae_frontsusp.afl_toe_adjuster.j_marker  &
   object_value = ._fsae_frontsusp.gel_tierod_outer.afl_aforce_j_1
!
variable modify  &
   variable_name = ._fsae_frontsusp.afl_toe_adjuster.i_measmar  &
   object_value = ._fsae_frontsusp.gel_upright.afl_aforce_meai_1
!
variable modify  &
   variable_name = ._fsae_frontsusp.afl_toe_adjuster.j_measmar  &
   object_value = ._fsae_frontsusp.ground.afl_aforce_meaj_1
!
ude modify instance  &
   instance_name = ._fsae_frontsusp.afl_toe_adjuster
!
!-------------------------- Adams View UDE Instance ---------------------------!
!
!
variable modify  &
   variable_name = ._fsae_frontsusp.afr_toe_adjuster.pattern  &
   integer_value =   &
      1,  &
      0,  &
      1,  &
      0,  &
      1,  &
      0
!
variable modify  &
   variable_name = ._fsae_frontsusp.afr_toe_adjuster.adjustment_type  &
   string_value = "toe"
!
variable modify  &
   variable_name = ._fsae_frontsusp.afr_toe_adjuster.desired_value  &
   real_value = (._fsae_frontsusp.pvr_toe_adjust)
!
variable modify  &
   variable_name = ._fsae_frontsusp.afr_toe_adjuster.stiffness  &
   real_value = 9.9999999999E+05
!
variable modify  &
   variable_name = ._fsae_frontsusp.afr_toe_adjuster.damping  &
   real_value = 1.9999999999E+04
!
variable modify  &
   variable_name = ._fsae_frontsusp.afr_toe_adjuster.lock  &
   integer_value = 1
!
variable modify  &
   variable_name = ._fsae_frontsusp.afr_toe_adjuster.motion_delta  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.afr_toe_adjuster.adjustment  &
   integer_value = 0
!
variable modify  &
   variable_name = ._fsae_frontsusp.afr_toe_adjuster.i_marker  &
   object_value = ._fsae_frontsusp.ger_tierod_inner.afr_aforce_i_1
!
variable modify  &
   variable_name = ._fsae_frontsusp.afr_toe_adjuster.j_marker  &
   object_value = ._fsae_frontsusp.ger_tierod_outer.afr_aforce_j_1
!
variable modify  &
   variable_name = ._fsae_frontsusp.afr_toe_adjuster.i_measmar  &
   object_value = ._fsae_frontsusp.ger_upright.afr_aforce_meai_1
!
variable modify  &
   variable_name = ._fsae_frontsusp.afr_toe_adjuster.j_measmar  &
   object_value = ._fsae_frontsusp.ground.afr_aforce_meaj_1
!
ude modify instance  &
   instance_name = ._fsae_frontsusp.afr_toe_adjuster
!
!-------------------------- Adams View UDE Instance ---------------------------!
!
!
variable modify  &
   variable_name = ._fsae_frontsusp.afr_camber_adjuster.pattern  &
   integer_value =   &
      0,  &
      1,  &
      0,  &
      1,  &
      0,  &
      1
!
variable modify  &
   variable_name = ._fsae_frontsusp.afr_camber_adjuster.adjustment_type  &
   string_value = "camber"
!
variable modify  &
   variable_name = ._fsae_frontsusp.afr_camber_adjuster.desired_value  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.afr_camber_adjuster.stiffness  &
   real_value = 9.9999999999E+05
!
variable modify  &
   variable_name = ._fsae_frontsusp.afr_camber_adjuster.damping  &
   real_value = 1.9999999999E+04
!
variable modify  &
   variable_name = ._fsae_frontsusp.afr_camber_adjuster.lock  &
   integer_value = 1
!
variable modify  &
   variable_name = ._fsae_frontsusp.afr_camber_adjuster.motion_delta  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.afr_camber_adjuster.adjustment  &
   integer_value = 0
!
variable modify  &
   variable_name = ._fsae_frontsusp.afr_camber_adjuster.i_marker  &
   object_value = ._fsae_frontsusp.ger_upright.afr_aforce_i_2
!
variable modify  &
   variable_name = ._fsae_frontsusp.afr_camber_adjuster.j_marker  &
   object_value = ._fsae_frontsusp.ger_upright_bracket.afr_aforce_j_2
!
variable modify  &
   variable_name = ._fsae_frontsusp.afr_camber_adjuster.i_measmar  &
   object_value = ._fsae_frontsusp.ger_upright.afr_aforce_meai_2
!
variable modify  &
   variable_name = ._fsae_frontsusp.afr_camber_adjuster.j_measmar  &
   object_value = ._fsae_frontsusp.ground.afr_aforce_meaj_2
!
ude modify instance  &
   instance_name = ._fsae_frontsusp.afr_camber_adjuster
!
!-------------------------- Adams View UDE Instance ---------------------------!
!
!
variable modify  &
   variable_name = ._fsae_frontsusp.afl_camber_adjuster.pattern  &
   integer_value =   &
      0,  &
      1,  &
      0,  &
      1,  &
      0,  &
      1
!
variable modify  &
   variable_name = ._fsae_frontsusp.afl_camber_adjuster.adjustment_type  &
   string_value = "camber"
!
variable modify  &
   variable_name = ._fsae_frontsusp.afl_camber_adjuster.desired_value  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.afl_camber_adjuster.stiffness  &
   real_value = 9.9999999999E+05
!
variable modify  &
   variable_name = ._fsae_frontsusp.afl_camber_adjuster.damping  &
   real_value = 1.9999999999E+04
!
variable modify  &
   variable_name = ._fsae_frontsusp.afl_camber_adjuster.lock  &
   integer_value = 1
!
variable modify  &
   variable_name = ._fsae_frontsusp.afl_camber_adjuster.motion_delta  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.afl_camber_adjuster.adjustment  &
   integer_value = 0
!
variable modify  &
   variable_name = ._fsae_frontsusp.afl_camber_adjuster.i_marker  &
   object_value = ._fsae_frontsusp.gel_upright.afl_aforce_i_2
!
variable modify  &
   variable_name = ._fsae_frontsusp.afl_camber_adjuster.j_marker  &
   object_value = ._fsae_frontsusp.gel_upright_bracket.afl_aforce_j_2
!
variable modify  &
   variable_name = ._fsae_frontsusp.afl_camber_adjuster.i_measmar  &
   object_value = ._fsae_frontsusp.gel_upright.afl_aforce_meai_2
!
variable modify  &
   variable_name = ._fsae_frontsusp.afl_camber_adjuster.j_measmar  &
   object_value = ._fsae_frontsusp.ground.afl_aforce_meaj_2
!
ude modify instance  &
   instance_name = ._fsae_frontsusp.afl_camber_adjuster
!
!-------------------------- Adams View UDE Instance ---------------------------!
!
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_lca_front.property_file  &
   string_value = "mdids://fsae_2018/bushings.tbl/fsae_control_arm_bushing.bus"
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_lca_front.t_preload_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_lca_front.t_preload_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_lca_front.t_preload_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_lca_front.r_preload_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_lca_front.r_preload_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_lca_front.r_preload_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_lca_front.t_offset_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_lca_front.t_offset_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_lca_front.t_offset_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_lca_front.r_offset_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_lca_front.r_offset_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_lca_front.r_offset_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_lca_front.t_displ_scale_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_lca_front.t_displ_scale_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_lca_front.t_displ_scale_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_lca_front.r_displ_scale_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_lca_front.r_displ_scale_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_lca_front.r_displ_scale_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_lca_front.t_velo_offset_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_lca_front.t_velo_offset_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_lca_front.t_velo_offset_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_lca_front.r_velo_offset_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_lca_front.r_velo_offset_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_lca_front.r_velo_offset_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_lca_front.t_velo_scale_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_lca_front.t_velo_scale_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_lca_front.t_velo_scale_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_lca_front.r_velo_scale_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_lca_front.r_velo_scale_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_lca_front.r_velo_scale_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_lca_front.t_velo_threshold_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_lca_front.t_velo_threshold_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_lca_front.t_velo_threshold_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_lca_front.r_velo_threshold_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_lca_front.r_velo_threshold_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_lca_front.r_velo_threshold_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_lca_front.i_geoMarker  &
   object_value = ._fsae_frontsusp.gel_lower_control_arm.bxl_bushgeom_i_1
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_lca_front.j_geoMarker  &
   object_value = ._fsae_frontsusp.mtl_lca_to_frame.bxl_bushgeom_j_1
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_lca_front.bushing_shape  &
   integer_value = 2
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_lca_front.stiffness_curve  &
   integer_value = 1
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_lca_front.fx_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_lca_front.fy_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_lca_front.fz_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_lca_front.tx_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_lca_front.ty_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_lca_front.tz_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_lca_front.tx_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_lca_front.ty_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_lca_front.tz_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_lca_front.rx_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_lca_front.ry_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_lca_front.rz_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_lca_front.geoRadius  &
   real_value = 12.7
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_lca_front.geoLength  &
   real_value = 25.4
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_lca_front.i_marker  &
   object_value = ._fsae_frontsusp.gel_lower_control_arm.bxl_bushing_i_1
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_lca_front.j_marker  &
   object_value = ._fsae_frontsusp.mtl_lca_to_frame.bxl_bushing_j_1
!
ude modify instance  &
   instance_name = ._fsae_frontsusp.bgl_lca_front
!
!-------------------------- Adams View UDE Instance ---------------------------!
!
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_lca_front.property_file  &
   string_value = "mdids://fsae_2018/bushings.tbl/fsae_control_arm_bushing.bus"
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_lca_front.t_preload_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_lca_front.t_preload_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_lca_front.t_preload_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_lca_front.r_preload_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_lca_front.r_preload_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_lca_front.r_preload_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_lca_front.t_offset_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_lca_front.t_offset_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_lca_front.t_offset_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_lca_front.r_offset_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_lca_front.r_offset_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_lca_front.r_offset_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_lca_front.t_displ_scale_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_lca_front.t_displ_scale_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_lca_front.t_displ_scale_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_lca_front.r_displ_scale_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_lca_front.r_displ_scale_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_lca_front.r_displ_scale_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_lca_front.t_velo_offset_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_lca_front.t_velo_offset_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_lca_front.t_velo_offset_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_lca_front.r_velo_offset_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_lca_front.r_velo_offset_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_lca_front.r_velo_offset_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_lca_front.t_velo_scale_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_lca_front.t_velo_scale_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_lca_front.t_velo_scale_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_lca_front.r_velo_scale_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_lca_front.r_velo_scale_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_lca_front.r_velo_scale_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_lca_front.t_velo_threshold_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_lca_front.t_velo_threshold_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_lca_front.t_velo_threshold_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_lca_front.r_velo_threshold_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_lca_front.r_velo_threshold_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_lca_front.r_velo_threshold_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_lca_front.i_geoMarker  &
   object_value = ._fsae_frontsusp.ger_lower_control_arm.bxr_bushgeom_i_1
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_lca_front.j_geoMarker  &
   object_value = ._fsae_frontsusp.mtr_lca_to_frame.bxr_bushgeom_j_1
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_lca_front.bushing_shape  &
   integer_value = 2
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_lca_front.stiffness_curve  &
   integer_value = 1
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_lca_front.fx_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_lca_front.fy_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_lca_front.fz_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_lca_front.tx_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_lca_front.ty_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_lca_front.tz_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_lca_front.tx_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_lca_front.ty_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_lca_front.tz_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_lca_front.rx_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_lca_front.ry_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_lca_front.rz_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_lca_front.geoRadius  &
   real_value = 12.7
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_lca_front.geoLength  &
   real_value = 25.4
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_lca_front.i_marker  &
   object_value = ._fsae_frontsusp.ger_lower_control_arm.bxr_bushing_i_1
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_lca_front.j_marker  &
   object_value = ._fsae_frontsusp.mtr_lca_to_frame.bxr_bushing_j_1
!
ude modify instance  &
   instance_name = ._fsae_frontsusp.bgr_lca_front
!
!-------------------------- Adams View UDE Instance ---------------------------!
!
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_lca_rear.property_file  &
   string_value = "mdids://fsae_2018/bushings.tbl/fsae_control_arm_bushing.bus"
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_lca_rear.t_preload_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_lca_rear.t_preload_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_lca_rear.t_preload_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_lca_rear.r_preload_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_lca_rear.r_preload_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_lca_rear.r_preload_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_lca_rear.t_offset_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_lca_rear.t_offset_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_lca_rear.t_offset_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_lca_rear.r_offset_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_lca_rear.r_offset_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_lca_rear.r_offset_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_lca_rear.t_displ_scale_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_lca_rear.t_displ_scale_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_lca_rear.t_displ_scale_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_lca_rear.r_displ_scale_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_lca_rear.r_displ_scale_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_lca_rear.r_displ_scale_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_lca_rear.t_velo_offset_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_lca_rear.t_velo_offset_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_lca_rear.t_velo_offset_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_lca_rear.r_velo_offset_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_lca_rear.r_velo_offset_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_lca_rear.r_velo_offset_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_lca_rear.t_velo_scale_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_lca_rear.t_velo_scale_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_lca_rear.t_velo_scale_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_lca_rear.r_velo_scale_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_lca_rear.r_velo_scale_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_lca_rear.r_velo_scale_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_lca_rear.t_velo_threshold_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_lca_rear.t_velo_threshold_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_lca_rear.t_velo_threshold_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_lca_rear.r_velo_threshold_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_lca_rear.r_velo_threshold_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_lca_rear.r_velo_threshold_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_lca_rear.i_geoMarker  &
   object_value = ._fsae_frontsusp.gel_lower_control_arm.bxl_bushgeom_i_2
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_lca_rear.j_geoMarker  &
   object_value = ._fsae_frontsusp.mtl_lca_to_frame.bxl_bushgeom_j_2
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_lca_rear.bushing_shape  &
   integer_value = 2
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_lca_rear.stiffness_curve  &
   integer_value = 1
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_lca_rear.fx_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_lca_rear.fy_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_lca_rear.fz_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_lca_rear.tx_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_lca_rear.ty_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_lca_rear.tz_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_lca_rear.tx_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_lca_rear.ty_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_lca_rear.tz_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_lca_rear.rx_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_lca_rear.ry_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_lca_rear.rz_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_lca_rear.geoRadius  &
   real_value = 12.7
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_lca_rear.geoLength  &
   real_value = 25.4
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_lca_rear.i_marker  &
   object_value = ._fsae_frontsusp.gel_lower_control_arm.bxl_bushing_i_2
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_lca_rear.j_marker  &
   object_value = ._fsae_frontsusp.mtl_lca_to_frame.bxl_bushing_j_2
!
ude modify instance  &
   instance_name = ._fsae_frontsusp.bgl_lca_rear
!
!-------------------------- Adams View UDE Instance ---------------------------!
!
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_lca_rear.property_file  &
   string_value = "mdids://fsae_2018/bushings.tbl/fsae_control_arm_bushing.bus"
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_lca_rear.t_preload_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_lca_rear.t_preload_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_lca_rear.t_preload_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_lca_rear.r_preload_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_lca_rear.r_preload_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_lca_rear.r_preload_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_lca_rear.t_offset_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_lca_rear.t_offset_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_lca_rear.t_offset_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_lca_rear.r_offset_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_lca_rear.r_offset_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_lca_rear.r_offset_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_lca_rear.t_displ_scale_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_lca_rear.t_displ_scale_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_lca_rear.t_displ_scale_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_lca_rear.r_displ_scale_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_lca_rear.r_displ_scale_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_lca_rear.r_displ_scale_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_lca_rear.t_velo_offset_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_lca_rear.t_velo_offset_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_lca_rear.t_velo_offset_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_lca_rear.r_velo_offset_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_lca_rear.r_velo_offset_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_lca_rear.r_velo_offset_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_lca_rear.t_velo_scale_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_lca_rear.t_velo_scale_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_lca_rear.t_velo_scale_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_lca_rear.r_velo_scale_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_lca_rear.r_velo_scale_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_lca_rear.r_velo_scale_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_lca_rear.t_velo_threshold_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_lca_rear.t_velo_threshold_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_lca_rear.t_velo_threshold_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_lca_rear.r_velo_threshold_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_lca_rear.r_velo_threshold_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_lca_rear.r_velo_threshold_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_lca_rear.i_geoMarker  &
   object_value = ._fsae_frontsusp.ger_lower_control_arm.bxr_bushgeom_i_2
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_lca_rear.j_geoMarker  &
   object_value = ._fsae_frontsusp.mtr_lca_to_frame.bxr_bushgeom_j_2
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_lca_rear.bushing_shape  &
   integer_value = 2
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_lca_rear.stiffness_curve  &
   integer_value = 1
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_lca_rear.fx_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_lca_rear.fy_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_lca_rear.fz_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_lca_rear.tx_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_lca_rear.ty_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_lca_rear.tz_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_lca_rear.tx_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_lca_rear.ty_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_lca_rear.tz_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_lca_rear.rx_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_lca_rear.ry_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_lca_rear.rz_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_lca_rear.geoRadius  &
   real_value = 12.7
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_lca_rear.geoLength  &
   real_value = 25.4
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_lca_rear.i_marker  &
   object_value = ._fsae_frontsusp.ger_lower_control_arm.bxr_bushing_i_2
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_lca_rear.j_marker  &
   object_value = ._fsae_frontsusp.mtr_lca_to_frame.bxr_bushing_j_2
!
ude modify instance  &
   instance_name = ._fsae_frontsusp.bgr_lca_rear
!
!-------------------------- Adams View UDE Instance ---------------------------!
!
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_uca_front.property_file  &
   string_value = "mdids://fsae_2018/bushings.tbl/fsae_control_arm_bushing.bus"
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_uca_front.t_preload_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_uca_front.t_preload_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_uca_front.t_preload_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_uca_front.r_preload_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_uca_front.r_preload_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_uca_front.r_preload_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_uca_front.t_offset_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_uca_front.t_offset_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_uca_front.t_offset_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_uca_front.r_offset_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_uca_front.r_offset_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_uca_front.r_offset_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_uca_front.t_displ_scale_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_uca_front.t_displ_scale_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_uca_front.t_displ_scale_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_uca_front.r_displ_scale_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_uca_front.r_displ_scale_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_uca_front.r_displ_scale_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_uca_front.t_velo_offset_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_uca_front.t_velo_offset_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_uca_front.t_velo_offset_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_uca_front.r_velo_offset_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_uca_front.r_velo_offset_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_uca_front.r_velo_offset_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_uca_front.t_velo_scale_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_uca_front.t_velo_scale_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_uca_front.t_velo_scale_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_uca_front.r_velo_scale_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_uca_front.r_velo_scale_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_uca_front.r_velo_scale_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_uca_front.t_velo_threshold_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_uca_front.t_velo_threshold_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_uca_front.t_velo_threshold_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_uca_front.r_velo_threshold_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_uca_front.r_velo_threshold_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_uca_front.r_velo_threshold_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_uca_front.i_geoMarker  &
   object_value = ._fsae_frontsusp.gel_upper_control_arm.bxl_bushgeom_i_3
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_uca_front.j_geoMarker  &
   object_value = ._fsae_frontsusp.mtl_uca_to_frame.bxl_bushgeom_j_3
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_uca_front.bushing_shape  &
   integer_value = 2
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_uca_front.stiffness_curve  &
   integer_value = 1
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_uca_front.fx_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_uca_front.fy_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_uca_front.fz_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_uca_front.tx_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_uca_front.ty_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_uca_front.tz_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_uca_front.tx_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_uca_front.ty_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_uca_front.tz_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_uca_front.rx_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_uca_front.ry_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_uca_front.rz_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_uca_front.geoRadius  &
   real_value = 12.7
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_uca_front.geoLength  &
   real_value = 25.4
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_uca_front.i_marker  &
   object_value = ._fsae_frontsusp.gel_upper_control_arm.bxl_bushing_i_3
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_uca_front.j_marker  &
   object_value = ._fsae_frontsusp.mtl_uca_to_frame.bxl_bushing_j_3
!
ude modify instance  &
   instance_name = ._fsae_frontsusp.bgl_uca_front
!
!-------------------------- Adams View UDE Instance ---------------------------!
!
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_uca_front.property_file  &
   string_value = "mdids://fsae_2018/bushings.tbl/fsae_control_arm_bushing.bus"
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_uca_front.t_preload_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_uca_front.t_preload_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_uca_front.t_preload_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_uca_front.r_preload_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_uca_front.r_preload_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_uca_front.r_preload_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_uca_front.t_offset_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_uca_front.t_offset_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_uca_front.t_offset_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_uca_front.r_offset_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_uca_front.r_offset_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_uca_front.r_offset_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_uca_front.t_displ_scale_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_uca_front.t_displ_scale_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_uca_front.t_displ_scale_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_uca_front.r_displ_scale_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_uca_front.r_displ_scale_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_uca_front.r_displ_scale_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_uca_front.t_velo_offset_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_uca_front.t_velo_offset_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_uca_front.t_velo_offset_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_uca_front.r_velo_offset_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_uca_front.r_velo_offset_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_uca_front.r_velo_offset_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_uca_front.t_velo_scale_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_uca_front.t_velo_scale_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_uca_front.t_velo_scale_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_uca_front.r_velo_scale_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_uca_front.r_velo_scale_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_uca_front.r_velo_scale_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_uca_front.t_velo_threshold_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_uca_front.t_velo_threshold_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_uca_front.t_velo_threshold_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_uca_front.r_velo_threshold_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_uca_front.r_velo_threshold_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_uca_front.r_velo_threshold_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_uca_front.i_geoMarker  &
   object_value = ._fsae_frontsusp.ger_upper_control_arm.bxr_bushgeom_i_3
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_uca_front.j_geoMarker  &
   object_value = ._fsae_frontsusp.mtr_uca_to_frame.bxr_bushgeom_j_3
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_uca_front.bushing_shape  &
   integer_value = 2
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_uca_front.stiffness_curve  &
   integer_value = 1
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_uca_front.fx_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_uca_front.fy_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_uca_front.fz_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_uca_front.tx_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_uca_front.ty_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_uca_front.tz_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_uca_front.tx_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_uca_front.ty_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_uca_front.tz_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_uca_front.rx_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_uca_front.ry_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_uca_front.rz_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_uca_front.geoRadius  &
   real_value = 12.7
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_uca_front.geoLength  &
   real_value = 25.4
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_uca_front.i_marker  &
   object_value = ._fsae_frontsusp.ger_upper_control_arm.bxr_bushing_i_3
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_uca_front.j_marker  &
   object_value = ._fsae_frontsusp.mtr_uca_to_frame.bxr_bushing_j_3
!
ude modify instance  &
   instance_name = ._fsae_frontsusp.bgr_uca_front
!
!-------------------------- Adams View UDE Instance ---------------------------!
!
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_uca_rear.property_file  &
   string_value = "mdids://fsae_2018/bushings.tbl/fsae_control_arm_bushing.bus"
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_uca_rear.t_preload_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_uca_rear.t_preload_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_uca_rear.t_preload_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_uca_rear.r_preload_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_uca_rear.r_preload_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_uca_rear.r_preload_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_uca_rear.t_offset_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_uca_rear.t_offset_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_uca_rear.t_offset_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_uca_rear.r_offset_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_uca_rear.r_offset_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_uca_rear.r_offset_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_uca_rear.t_displ_scale_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_uca_rear.t_displ_scale_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_uca_rear.t_displ_scale_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_uca_rear.r_displ_scale_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_uca_rear.r_displ_scale_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_uca_rear.r_displ_scale_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_uca_rear.t_velo_offset_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_uca_rear.t_velo_offset_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_uca_rear.t_velo_offset_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_uca_rear.r_velo_offset_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_uca_rear.r_velo_offset_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_uca_rear.r_velo_offset_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_uca_rear.t_velo_scale_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_uca_rear.t_velo_scale_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_uca_rear.t_velo_scale_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_uca_rear.r_velo_scale_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_uca_rear.r_velo_scale_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_uca_rear.r_velo_scale_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_uca_rear.t_velo_threshold_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_uca_rear.t_velo_threshold_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_uca_rear.t_velo_threshold_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_uca_rear.r_velo_threshold_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_uca_rear.r_velo_threshold_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_uca_rear.r_velo_threshold_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_uca_rear.i_geoMarker  &
   object_value = ._fsae_frontsusp.gel_upper_control_arm.bxl_bushgeom_i_4
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_uca_rear.j_geoMarker  &
   object_value = ._fsae_frontsusp.mtl_uca_to_frame.bxl_bushgeom_j_4
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_uca_rear.bushing_shape  &
   integer_value = 2
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_uca_rear.stiffness_curve  &
   integer_value = 1
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_uca_rear.fx_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_uca_rear.fy_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_uca_rear.fz_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_uca_rear.tx_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_uca_rear.ty_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_uca_rear.tz_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_uca_rear.tx_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_uca_rear.ty_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_uca_rear.tz_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_uca_rear.rx_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_uca_rear.ry_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_uca_rear.rz_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_uca_rear.geoRadius  &
   real_value = 12.7
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_uca_rear.geoLength  &
   real_value = 25.4
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_uca_rear.i_marker  &
   object_value = ._fsae_frontsusp.gel_upper_control_arm.bxl_bushing_i_4
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgl_uca_rear.j_marker  &
   object_value = ._fsae_frontsusp.mtl_uca_to_frame.bxl_bushing_j_4
!
ude modify instance  &
   instance_name = ._fsae_frontsusp.bgl_uca_rear
!
!-------------------------- Adams View UDE Instance ---------------------------!
!
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_uca_rear.property_file  &
   string_value = "mdids://fsae_2018/bushings.tbl/fsae_control_arm_bushing.bus"
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_uca_rear.t_preload_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_uca_rear.t_preload_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_uca_rear.t_preload_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_uca_rear.r_preload_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_uca_rear.r_preload_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_uca_rear.r_preload_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_uca_rear.t_offset_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_uca_rear.t_offset_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_uca_rear.t_offset_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_uca_rear.r_offset_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_uca_rear.r_offset_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_uca_rear.r_offset_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_uca_rear.t_displ_scale_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_uca_rear.t_displ_scale_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_uca_rear.t_displ_scale_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_uca_rear.r_displ_scale_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_uca_rear.r_displ_scale_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_uca_rear.r_displ_scale_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_uca_rear.t_velo_offset_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_uca_rear.t_velo_offset_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_uca_rear.t_velo_offset_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_uca_rear.r_velo_offset_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_uca_rear.r_velo_offset_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_uca_rear.r_velo_offset_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_uca_rear.t_velo_scale_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_uca_rear.t_velo_scale_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_uca_rear.t_velo_scale_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_uca_rear.r_velo_scale_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_uca_rear.r_velo_scale_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_uca_rear.r_velo_scale_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_uca_rear.t_velo_threshold_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_uca_rear.t_velo_threshold_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_uca_rear.t_velo_threshold_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_uca_rear.r_velo_threshold_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_uca_rear.r_velo_threshold_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_uca_rear.r_velo_threshold_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_uca_rear.i_geoMarker  &
   object_value = ._fsae_frontsusp.ger_upper_control_arm.bxr_bushgeom_i_4
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_uca_rear.j_geoMarker  &
   object_value = ._fsae_frontsusp.mtr_uca_to_frame.bxr_bushgeom_j_4
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_uca_rear.bushing_shape  &
   integer_value = 2
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_uca_rear.stiffness_curve  &
   integer_value = 1
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_uca_rear.fx_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_uca_rear.fy_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_uca_rear.fz_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_uca_rear.tx_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_uca_rear.ty_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_uca_rear.tz_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_uca_rear.tx_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_uca_rear.ty_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_uca_rear.tz_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_uca_rear.rx_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_uca_rear.ry_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_uca_rear.rz_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_uca_rear.geoRadius  &
   real_value = 12.7
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_uca_rear.geoLength  &
   real_value = 25.4
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_uca_rear.i_marker  &
   object_value = ._fsae_frontsusp.ger_upper_control_arm.bxr_bushing_i_4
!
variable modify  &
   variable_name = ._fsae_frontsusp.bgr_uca_rear.j_marker  &
   object_value = ._fsae_frontsusp.mtr_uca_to_frame.bxr_bushing_j_4
!
ude modify instance  &
   instance_name = ._fsae_frontsusp.bgr_uca_rear
!
!-------------------------- Adams View UDE Instance ---------------------------!
!
!
variable modify  &
   variable_name = ._fsae_frontsusp.bul_jounce_stop.property_file  &
   string_value = "mdids://fsae_2018/bumpstops.tbl/mdi_0001.bum"
!
variable modify  &
   variable_name = ._fsae_frontsusp.bul_jounce_stop.user_distance  &
   real_value = 199.9999999992
!
variable modify  &
   variable_name = ._fsae_frontsusp.bul_jounce_stop.distance_type  &
   string_value = "clearance"
!
variable modify  &
   variable_name = ._fsae_frontsusp.bul_jounce_stop.scale_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bul_jounce_stop.diameter  &
   real_value = 150.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bul_jounce_stop.method  &
   integer_value = -1
!
variable modify  &
   variable_name = ._fsae_frontsusp.bul_jounce_stop.force_type  &
   integer_value = 0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bul_jounce_stop.dampingMethod  &
   integer_value = -1
!
variable modify  &
   variable_name = ._fsae_frontsusp.bul_jounce_stop.geoScale  &
   real_value = 0.16
!
variable modify  &
   variable_name = ._fsae_frontsusp.bul_jounce_stop.j_marker2  &
   object_value = (NONE)
!
variable modify  &
   variable_name = ._fsae_frontsusp.bul_jounce_stop.j_fmarker  &
   object_value = (NONE)
!
variable modify  &
   variable_name = ._fsae_frontsusp.bul_jounce_stop.i_marker  &
   object_value = ._fsae_frontsusp.gel_damper_inboard.bul_bumpstop_i_1
!
variable modify  &
   variable_name = ._fsae_frontsusp.bul_jounce_stop.j_marker  &
   object_value = ._fsae_frontsusp.gel_damper_outboard.bul_bumpstop_j_1
!
ude modify instance  &
   instance_name = ._fsae_frontsusp.bul_jounce_stop
!
!-------------------------- Adams View UDE Instance ---------------------------!
!
!
variable modify  &
   variable_name = ._fsae_frontsusp.bur_jounce_stop.property_file  &
   string_value = "mdids://fsae_2018/bumpstops.tbl/mdi_0001.bum"
!
variable modify  &
   variable_name = ._fsae_frontsusp.bur_jounce_stop.user_distance  &
   real_value = 199.9999999992
!
variable modify  &
   variable_name = ._fsae_frontsusp.bur_jounce_stop.distance_type  &
   string_value = "clearance"
!
variable modify  &
   variable_name = ._fsae_frontsusp.bur_jounce_stop.scale_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bur_jounce_stop.diameter  &
   real_value = 150.0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bur_jounce_stop.method  &
   integer_value = -1
!
variable modify  &
   variable_name = ._fsae_frontsusp.bur_jounce_stop.force_type  &
   integer_value = 0
!
variable modify  &
   variable_name = ._fsae_frontsusp.bur_jounce_stop.dampingMethod  &
   integer_value = -1
!
variable modify  &
   variable_name = ._fsae_frontsusp.bur_jounce_stop.geoScale  &
   real_value = 0.16
!
variable modify  &
   variable_name = ._fsae_frontsusp.bur_jounce_stop.j_marker2  &
   object_value = (NONE)
!
variable modify  &
   variable_name = ._fsae_frontsusp.bur_jounce_stop.j_fmarker  &
   object_value = (NONE)
!
variable modify  &
   variable_name = ._fsae_frontsusp.bur_jounce_stop.i_marker  &
   object_value = ._fsae_frontsusp.ger_damper_inboard.bur_bumpstop_i_1
!
variable modify  &
   variable_name = ._fsae_frontsusp.bur_jounce_stop.j_marker  &
   object_value = ._fsae_frontsusp.ger_damper_outboard.bur_bumpstop_j_1
!
ude modify instance  &
   instance_name = ._fsae_frontsusp.bur_jounce_stop
!
undo end_block
!
!---------------------------------- Motions -----------------------------------!
!
!
constraint create motion_generator  &
   motion_name = ._fsae_frontsusp._cv_motion  &
   comments = "Dummy for communicators"  &
   type_of_freedom = rotational  &
   joint_name = ._fsae_frontsusp._cv_joint_for_motion  &
   function = ""
!
constraint attributes  &
   constraint_name = ._fsae_frontsusp._cv_motion  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
!---------------------------------- Accgrav -----------------------------------!
!
!
force create body gravitational  &
   gravity_field_name = gravity  &
   x_component_gravity = 0.0  &
   y_component_gravity = 0.0  &
   z_component_gravity = -9810.0
!
force attributes  &
   force_name = ._fsae_frontsusp.gravity  &
   size_of_icons = 31.75
!
!----------------------------- Analysis settings ------------------------------!
!
!
output_control set results  &
   model_name = _fsae_frontsusp  &
   formatted = on
!
!---------------------------- Adams View Variables ----------------------------!
!
!
variable create  &
   variable_name = ._fsae_frontsusp.suspension_parameters_ARRAY.type_flag  &
   integer_value = 1  &
   comments = "1=Independent, 0=Dependent"
!
variable create  &
   variable_name = ._fsae_frontsusp.suspension_parameters_ARRAY.steer_axis_calc_method  &
   integer_value = 0  &
   comments = "0=Geometric, 1=Instant Axis"
!
variable create  &
   variable_name = ._fsae_frontsusp.suspension_parameters_ARRAY.kp2  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_frontsusp.suspension_parameters_ARRAY.kp1  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_frontsusp.gel_tierod_inner.sml_sprung_mass_percent  &
   real_value = 100.0
!
variable create  &
   variable_name = ._fsae_frontsusp.ger_tierod_inner.smr_sprung_mass_percent  &
   real_value = 100.0
!
variable create  &
   variable_name = ._fsae_frontsusp.gel_tierod_outer.sml_sprung_mass_percent  &
   real_value = 100.0
!
variable create  &
   variable_name = ._fsae_frontsusp.ger_tierod_outer.smr_sprung_mass_percent  &
   real_value = 100.0
!
variable create  &
   variable_name = ._fsae_frontsusp.gel_lower_control_arm.sml_sprung_mass_percent  &
   real_value = 100.0
!
variable create  &
   variable_name = ._fsae_frontsusp.ger_lower_control_arm.smr_sprung_mass_percent  &
   real_value = 100.0
!
variable create  &
   variable_name = ._fsae_frontsusp.gel_upright.sml_sprung_mass_percent  &
   real_value = 100.0
!
variable create  &
   variable_name = ._fsae_frontsusp.ger_upright.smr_sprung_mass_percent  &
   real_value = 100.0
!
variable create  &
   variable_name = ._fsae_frontsusp.gel_damper_inboard.sml_sprung_mass_percent  &
   real_value = 100.0
!
variable create  &
   variable_name = ._fsae_frontsusp.ger_damper_inboard.smr_sprung_mass_percent  &
   real_value = 100.0
!
variable create  &
   variable_name = ._fsae_frontsusp.mtl_tierod_to_steering.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_frontsusp.mtl_tierod_to_steering.dependents  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_frontsusp.mtr_tierod_to_steering.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_frontsusp.mtr_tierod_to_steering.dependents  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_frontsusp.mtl_damper_to_frame.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_frontsusp.mtl_damper_to_frame.dependents  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_frontsusp.mtr_damper_to_frame.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_frontsusp.mtr_damper_to_frame.dependents  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_frontsusp.gel_upper_control_arm.sml_sprung_mass_percent  &
   real_value = 100.0
!
variable create  &
   variable_name = ._fsae_frontsusp.ger_upper_control_arm.smr_sprung_mass_percent  &
   real_value = 100.0
!
variable create  &
   variable_name = ._fsae_frontsusp.gel_damper_outboard.sml_sprung_mass_percent  &
   real_value = 100.0
!
variable create  &
   variable_name = ._fsae_frontsusp.ger_damper_outboard.smr_sprung_mass_percent  &
   real_value = 100.0
!
variable create  &
   variable_name = ._fsae_frontsusp.mtl_uca_to_frame.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_frontsusp.mtl_uca_to_frame.dependents  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_frontsusp.mtr_uca_to_frame.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_frontsusp.mtr_uca_to_frame.dependents  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_frontsusp.gel_spindle.sml_sprung_mass_percent  &
   real_value = 100.0
!
variable create  &
   variable_name = ._fsae_frontsusp.ger_spindle.smr_sprung_mass_percent  &
   real_value = 100.0
!
variable create  &
   variable_name = ._fsae_frontsusp.mtr_lca_to_frame.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_frontsusp.mtr_lca_to_frame.dependents  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_frontsusp.mtl_lca_to_frame.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_frontsusp.mtl_lca_to_frame.dependents  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_frontsusp.gel_prod.sml_sprung_mass_percent  &
   real_value = 100.0
!
variable create  &
   variable_name = ._fsae_frontsusp.ger_prod.smr_sprung_mass_percent  &
   real_value = 100.0
!
variable create  &
   variable_name = ._fsae_frontsusp.gel_BC.sml_sprung_mass_percent  &
   real_value = 100.0
!
variable create  &
   variable_name = ._fsae_frontsusp.ger_BC.smr_sprung_mass_percent  &
   real_value = 100.0
!
variable create  &
   variable_name = ._fsae_frontsusp.mtl_BC_to_frame.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_frontsusp.mtl_BC_to_frame.dependents  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_frontsusp.mtr_BC_to_frame.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_frontsusp.mtr_BC_to_frame.dependents  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_frontsusp.gel_upright_bracket.sml_sprung_mass_percent  &
   real_value = 100.0
!
variable create  &
   variable_name = ._fsae_frontsusp.ger_upright_bracket.smr_sprung_mass_percent  &
   real_value = 100.0
!
variable create  &
   variable_name = ._fsae_frontsusp.speed  &
   units = "velocity"  &
   real_value = 0.0
!
variable create  &
   variable_name = ._fsae_frontsusp.role  &
   string_value = "suspension"  &
   comments = "Memory for Adams Car major role"
!
variable create  &
   variable_name = ._fsae_frontsusp.cil_tierod_to_steering  &
   object_value = (NONE)  &
   comments = "Autocreated for mount part: mtl_tierod_to_steering"
!
variable create  &
   variable_name = ._fsae_frontsusp.cil_tierod_to_steering.matching_name  &
   string_value = "tierod_to_steering"
!
variable create  &
   variable_name = ._fsae_frontsusp.cil_tierod_to_steering.entity  &
   string_value = "mount"
!
variable create  &
   variable_name = ._fsae_frontsusp.cil_tierod_to_steering.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_frontsusp.cir_tierod_to_steering  &
   object_value = (NONE)  &
   comments = "Autocreated for mount part: mtr_tierod_to_steering"
!
variable create  &
   variable_name = ._fsae_frontsusp.cir_tierod_to_steering.matching_name  &
   string_value = "tierod_to_steering"
!
variable create  &
   variable_name = ._fsae_frontsusp.cir_tierod_to_steering.entity  &
   string_value = "mount"
!
variable create  &
   variable_name = ._fsae_frontsusp.cir_tierod_to_steering.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_frontsusp.cil_damper_to_frame  &
   object_value = (NONE)  &
   comments = "Autocreated for mount part: mtl_damper_to_frame"
!
variable create  &
   variable_name = ._fsae_frontsusp.cil_damper_to_frame.matching_name  &
   string_value = "damper_to_frame"
!
variable create  &
   variable_name = ._fsae_frontsusp.cil_damper_to_frame.entity  &
   string_value = "mount"
!
variable create  &
   variable_name = ._fsae_frontsusp.cil_damper_to_frame.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_frontsusp.cir_damper_to_frame  &
   object_value = (NONE)  &
   comments = "Autocreated for mount part: mtr_damper_to_frame"
!
variable create  &
   variable_name = ._fsae_frontsusp.cir_damper_to_frame.matching_name  &
   string_value = "damper_to_frame"
!
variable create  &
   variable_name = ._fsae_frontsusp.cir_damper_to_frame.entity  &
   string_value = "mount"
!
variable create  &
   variable_name = ._fsae_frontsusp.cir_damper_to_frame.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_frontsusp.col_wheel_center  &
   units = "length"  &
   real_value = -512.0, -700.0, 155.2
!
variable create  &
   variable_name = ._fsae_frontsusp.col_wheel_center.matching_name  &
   string_value = "wheel_center"
!
variable create  &
   variable_name = ._fsae_frontsusp.col_wheel_center.entity  &
   string_value = "location"
!
variable create  &
   variable_name = ._fsae_frontsusp.col_wheel_center.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_frontsusp.cor_wheel_center  &
   units = "length"  &
   real_value = -512.0, 700.0, 155.2
!
variable create  &
   variable_name = ._fsae_frontsusp.cor_wheel_center.matching_name  &
   string_value = "wheel_center"
!
variable create  &
   variable_name = ._fsae_frontsusp.cor_wheel_center.entity  &
   string_value = "location"
!
variable create  &
   variable_name = ._fsae_frontsusp.cor_wheel_center.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_frontsusp.cil_uca_to_frame  &
   object_value = (NONE)  &
   comments = "Autocreated for mount part: mtl_uca_to_frame"
!
variable create  &
   variable_name = ._fsae_frontsusp.cil_uca_to_frame.matching_name  &
   string_value = "uca_to_frame"
!
variable create  &
   variable_name = ._fsae_frontsusp.cil_uca_to_frame.entity  &
   string_value = "mount"
!
variable create  &
   variable_name = ._fsae_frontsusp.cil_uca_to_frame.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_frontsusp.cir_uca_to_frame  &
   object_value = (NONE)  &
   comments = "Autocreated for mount part: mtr_uca_to_frame"
!
variable create  &
   variable_name = ._fsae_frontsusp.cir_uca_to_frame.matching_name  &
   string_value = "uca_to_frame"
!
variable create  &
   variable_name = ._fsae_frontsusp.cir_uca_to_frame.entity  &
   string_value = "mount"
!
variable create  &
   variable_name = ._fsae_frontsusp.cir_uca_to_frame.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_frontsusp.template_creation_date  &
   string_value = "1995/08/16,11:07:27  - converted to file_version 4"  &
   comments = "Do not remove"
!
variable create  &
   variable_name = ._fsae_frontsusp.pvr_toe_angle  &
   units = "angle"  &
   real_value = 0.0  &
   comments =   &
              "A positive angle (toe out) turns the front of the wheel away from the chassis."
!
variable create  &
   variable_name = ._fsae_frontsusp.pvl_toe_angle  &
   units = "angle"  &
   real_value = 0.0  &
   comments =   &
              "A positive angle (toe out) turns the front of the wheel away from the chassis."
!
variable create  &
   variable_name = ._fsae_frontsusp.pvr_camber_angle  &
   units = "angle"  &
   real_value = 0.0  &
   comments =   &
              "A positive angle tips the top of the wheel away from the chassis."
!
variable create  &
   variable_name = ._fsae_frontsusp.pvl_camber_angle  &
   units = "angle"  &
   real_value = 0.0  &
   comments =   &
              "A positive angle tips the top of the wheel away from the chassis."
!
variable create  &
   variable_name = ._fsae_frontsusp.col_toe_angle  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_frontsusp.col_toe_angle.matching_name  &
   string_value = "toe_angle"
!
variable create  &
   variable_name = ._fsae_frontsusp.col_toe_angle.entity  &
   string_value = "parameter_real"
!
variable create  &
   variable_name = ._fsae_frontsusp.col_toe_angle.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_frontsusp.cor_toe_angle  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_frontsusp.cor_toe_angle.matching_name  &
   string_value = "toe_angle"
!
variable create  &
   variable_name = ._fsae_frontsusp.cor_toe_angle.entity  &
   string_value = "parameter_real"
!
variable create  &
   variable_name = ._fsae_frontsusp.cor_toe_angle.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_frontsusp.col_camber_angle  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_frontsusp.col_camber_angle.matching_name  &
   string_value = "camber_angle"
!
variable create  &
   variable_name = ._fsae_frontsusp.col_camber_angle.entity  &
   string_value = "parameter_real"
!
variable create  &
   variable_name = ._fsae_frontsusp.col_camber_angle.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_frontsusp.cor_camber_angle  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_frontsusp.cor_camber_angle.matching_name  &
   string_value = "camber_angle"
!
variable create  &
   variable_name = ._fsae_frontsusp.cor_camber_angle.entity  &
   string_value = "parameter_real"
!
variable create  &
   variable_name = ._fsae_frontsusp.cor_camber_angle.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_frontsusp.minor_role  &
   string_value = "unassigned"  &
   comments = "Memory for Adams/Car minor role"
!
variable create  &
   variable_name = ._fsae_frontsusp.phs_kinematic_flag  &
   integer_value = 0  &
   comments =   &
              "Flag that determines if kinematic joints or bushings are active"
!
variable create  &
   variable_name = ._fsae_frontsusp.model_class  &
   string_value = "template"  &
   comments = "Memory for Adams/Car model class"
!
variable create  &
   variable_name = ._fsae_frontsusp.col_suspension_upright  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_frontsusp.col_suspension_upright.matching_name  &
   string_value = "suspension_upright"
!
variable create  &
   variable_name = ._fsae_frontsusp.col_suspension_upright.entity  &
   string_value = "mount"
!
variable create  &
   variable_name = ._fsae_frontsusp.col_suspension_upright.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_frontsusp.cor_suspension_upright  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_frontsusp.cor_suspension_upright.matching_name  &
   string_value = "suspension_upright"
!
variable create  &
   variable_name = ._fsae_frontsusp.cor_suspension_upright.entity  &
   string_value = "mount"
!
variable create  &
   variable_name = ._fsae_frontsusp.cor_suspension_upright.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_frontsusp.pvr_drive_shaft_offset  &
   units = "length"  &
   real_value = 75.0  &
   comments =   &
              "Location of outer CV joint measured inboard from wheel center along the wheel's spin axis"
!
variable create  &
   variable_name = ._fsae_frontsusp.pvl_drive_shaft_offset  &
   units = "length"  &
   real_value = 75.0  &
   comments =   &
              "Location of outer CV joint measured inboard from wheel center along the wheel's spin axis"
!
variable create  &
   variable_name = ._fsae_frontsusp.phs_driveline_active  &
   integer_value = 0  &
   comments = "( 1 = active driveline, 0 = inactive driveline)"
!
variable create  &
   variable_name = ._fsae_frontsusp.cos_driveline_active  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_frontsusp.cos_driveline_active.matching_name  &
   string_value = "driveline_active"
!
variable create  &
   variable_name = ._fsae_frontsusp.cos_driveline_active.entity  &
   string_value = "parameter_integer"
!
variable create  &
   variable_name = ._fsae_frontsusp.cos_driveline_active.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_frontsusp.col_suspension_mount  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_frontsusp.col_suspension_mount.matching_name  &
   string_value = "suspension_mount"
!
variable create  &
   variable_name = ._fsae_frontsusp.col_suspension_mount.entity  &
   string_value = "mount"
!
variable create  &
   variable_name = ._fsae_frontsusp.col_suspension_mount.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_frontsusp.cor_suspension_mount  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_frontsusp.cor_suspension_mount.matching_name  &
   string_value = "suspension_mount"
!
variable create  &
   variable_name = ._fsae_frontsusp.cor_suspension_mount.entity  &
   string_value = "mount"
!
variable create  &
   variable_name = ._fsae_frontsusp.cor_suspension_mount.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_frontsusp.pvs_subframe_active  &
   integer_value = 0
!
variable create  &
   variable_name = ._fsae_frontsusp.cos_suspension_parameters_ARRAY  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_frontsusp.cos_suspension_parameters_ARRAY.matching_name  &
   string_value = "suspension_parameters_ARRAY"
!
variable create  &
   variable_name = ._fsae_frontsusp.cos_suspension_parameters_ARRAY.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_frontsusp.cos_suspension_parameters_ARRAY.entity  &
   string_value = "array"
!
variable create  &
   variable_name = ._fsae_frontsusp.cis_chassis_reference  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_frontsusp.cis_chassis_reference.matching_name  &
   string_value = "chassis_path_reference"
!
variable create  &
   variable_name = ._fsae_frontsusp.cis_chassis_reference.entity  &
   string_value = "marker"
!
variable create  &
   variable_name = ._fsae_frontsusp.cis_chassis_reference.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_frontsusp.cis_chassis_reference_adams_id  &
   integer_value = 0  &
   comments =   &
              "Passes the adams_id of the marker (used in function expressions)"
!
variable create  &
   variable_name = ._fsae_frontsusp.cis_chassis_reference_adams_id.matching_name  &
   string_value = "chassis_path_reference_adams_id"
!
variable create  &
   variable_name = ._fsae_frontsusp.cis_chassis_reference_adams_id.entity  &
   string_value = "marker"
!
variable create  &
   variable_name = ._fsae_frontsusp.cis_chassis_reference_adams_id.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_frontsusp.col_ride_height_ref  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_frontsusp.col_ride_height_ref.matching_name  &
   string_value = "svs_ride_height"
!
variable create  &
   variable_name = ._fsae_frontsusp.col_ride_height_ref.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_frontsusp.col_ride_height_ref.entity  &
   string_value = "marker"
!
variable create  &
   variable_name = ._fsae_frontsusp.cor_ride_height_ref  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_frontsusp.cor_ride_height_ref.matching_name  &
   string_value = "svs_ride_height"
!
variable create  &
   variable_name = ._fsae_frontsusp.cor_ride_height_ref.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_frontsusp.cor_ride_height_ref.entity  &
   string_value = "marker"
!
variable create  &
   variable_name = ._fsae_frontsusp.cir_lca_to_frame  &
   object_value = (NONE)  &
   comments = "Autocreated for mount part: mtr_lca_to_frame"
!
variable create  &
   variable_name = ._fsae_frontsusp.cir_lca_to_frame.matching_name  &
   string_value = "lca_to_frame"
!
variable create  &
   variable_name = ._fsae_frontsusp.cir_lca_to_frame.entity  &
   string_value = "mount"
!
variable create  &
   variable_name = ._fsae_frontsusp.cir_lca_to_frame.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_frontsusp.cil_lca_to_frame  &
   object_value = (NONE)  &
   comments = "Autocreated for mount part: mtl_lca_to_frame"
!
variable create  &
   variable_name = ._fsae_frontsusp.cil_lca_to_frame.matching_name  &
   string_value = "lca_to_frame"
!
variable create  &
   variable_name = ._fsae_frontsusp.cil_lca_to_frame.entity  &
   string_value = "mount"
!
variable create  &
   variable_name = ._fsae_frontsusp.cil_lca_to_frame.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_frontsusp.cil_BC_to_frame  &
   object_value = (NONE)  &
   comments = "Autocreated for mount part: mtl_BC_to_frame"
!
variable create  &
   variable_name = ._fsae_frontsusp.cil_BC_to_frame.matching_name  &
   string_value = "BC_to_frame"
!
variable create  &
   variable_name = ._fsae_frontsusp.cil_BC_to_frame.entity  &
   string_value = "mount"
!
variable create  &
   variable_name = ._fsae_frontsusp.cil_BC_to_frame.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_frontsusp.cir_BC_to_frame  &
   object_value = (NONE)  &
   comments = "Autocreated for mount part: mtr_BC_to_frame"
!
variable create  &
   variable_name = ._fsae_frontsusp.cir_BC_to_frame.matching_name  &
   string_value = "BC_to_frame"
!
variable create  &
   variable_name = ._fsae_frontsusp.cir_BC_to_frame.entity  &
   string_value = "mount"
!
variable create  &
   variable_name = ._fsae_frontsusp.cir_BC_to_frame.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_frontsusp.pvl_camber_adjust  &
   units = "no_units"  &
   real_value = 0.0
!
variable create  &
   variable_name = ._fsae_frontsusp.pvr_camber_adjust  &
   units = "no_units"  &
   real_value = 0.0
!
variable create  &
   variable_name = ._fsae_frontsusp.pvl_toe_adjust  &
   units = "no_units"  &
   real_value = 0.0
!
variable create  &
   variable_name = ._fsae_frontsusp.col_drop_link_to_BC  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_frontsusp.col_drop_link_to_BC.matching_name  &
   string_value = "drop_link_to_BC"
!
variable create  &
   variable_name = ._fsae_frontsusp.col_drop_link_to_BC.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_frontsusp.col_drop_link_to_BC.entity  &
   string_value = "mount"
!
variable create  &
   variable_name = ._fsae_frontsusp.cor_drop_link_to_BC  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_frontsusp.cor_drop_link_to_BC.matching_name  &
   string_value = "drop_link_to_BC"
!
variable create  &
   variable_name = ._fsae_frontsusp.cor_drop_link_to_BC.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_frontsusp.cor_drop_link_to_BC.entity  &
   string_value = "mount"
!
!---------------------------- Adams View Functions ----------------------------!
!
!
function create  &
   function_name = .SYMMETRY  &
   text_of_expression = "LOC_MIRROR(location, .__ACAR.ground.origo, .ACAR.variables.symmetry_plane)"  &
   argument_names = "location"  &
   type = location_orientation  &
   comments =   &
              "Compute mirrored location over the symmetry plane given 3x1 location vector"
!
!------------------------- Groups Owned By This Model -------------------------!
!
!
group create  &
   group_name = ._fsae_frontsusp.kinematic_mode_active  &
   expr_active = 1
!
group create  &
   group_name = ._fsae_frontsusp.kinematic_mode_inactive  &
   expr_active = 1
!
group create  &
   group_name = ._fsae_frontsusp.driveline_active  &
   expr_active = 1
!
group create  &
   group_name = ._fsae_frontsusp.driveline_inactive  &
   expr_active = 1
!
group create  &
   group_name = ._fsae_frontsusp.subframe_active  &
   comments =   &
              "\"This group's objects are deactived if the subframe is rigidly mounted to body\""  &
   expr_active = 1
!
group create  &
   group_name = ._fsae_frontsusp.subframe_inactive  &
   comments =   &
              "\"This group's objects are activated if the subframe is rigidly connected to the body\""  &
   expr_active = 1
!
!---------------------- Set Adams View Object Variables -----------------------!
!
!
variable modify  &
   variable_name = ._fsae_frontsusp.suspension_parameters_ARRAY.kp2  &
   object_value = ._fsae_frontsusp.gel_upper_control_arm.kp2_1,  &
                  ._fsae_frontsusp.ger_upper_control_arm.kp2_2
!
variable modify  &
   variable_name = ._fsae_frontsusp.suspension_parameters_ARRAY.kp1  &
   object_value = ._fsae_frontsusp.gel_lower_control_arm.kp1_1,  &
                  ._fsae_frontsusp.ger_lower_control_arm.kp1_2
!
variable modify  &
   variable_name = ._fsae_frontsusp.mtl_tierod_to_steering.dependents  &
   object_value = ._fsae_frontsusp.mtl_fixed_2,  &
                  ._fsae_frontsusp.cil_tierod_to_steering
!
variable modify  &
   variable_name = ._fsae_frontsusp.mtr_tierod_to_steering.dependents  &
   object_value = ._fsae_frontsusp.mtr_fixed_2,  &
                  ._fsae_frontsusp.cir_tierod_to_steering
!
variable modify  &
   variable_name = ._fsae_frontsusp.mtl_damper_to_frame.dependents  &
   object_value = ._fsae_frontsusp.mtl_fixed_3,  &
                  ._fsae_frontsusp.cil_damper_to_frame
!
variable modify  &
   variable_name = ._fsae_frontsusp.mtr_damper_to_frame.dependents  &
   object_value = ._fsae_frontsusp.mtr_fixed_3,  &
                  ._fsae_frontsusp.cir_damper_to_frame
!
variable modify  &
   variable_name = ._fsae_frontsusp.mtl_uca_to_frame.dependents  &
   object_value = ._fsae_frontsusp.mtl_fixed_4,  &
                  ._fsae_frontsusp.cil_uca_to_frame
!
variable modify  &
   variable_name = ._fsae_frontsusp.mtr_uca_to_frame.dependents  &
   object_value = ._fsae_frontsusp.mtr_fixed_4,  &
                  ._fsae_frontsusp.cir_uca_to_frame
!
variable modify  &
   variable_name = ._fsae_frontsusp.mtr_lca_to_frame.dependents  &
   object_value = ._fsae_frontsusp.mtr_fixed_1,  &
                  ._fsae_frontsusp.cir_lca_to_frame
!
variable modify  &
   variable_name = ._fsae_frontsusp.mtl_lca_to_frame.dependents  &
   object_value = ._fsae_frontsusp.mtl_fixed_1,  &
                  ._fsae_frontsusp.cil_lca_to_frame
!
variable modify  &
   variable_name = ._fsae_frontsusp.mtl_BC_to_frame.dependents  &
   object_value = ._fsae_frontsusp.mtl_fixed_6,  &
                  ._fsae_frontsusp.cil_BC_to_frame
!
variable modify  &
   variable_name = ._fsae_frontsusp.mtr_BC_to_frame.dependents  &
   object_value = ._fsae_frontsusp.mtr_fixed_6,  &
                  ._fsae_frontsusp.cir_BC_to_frame
!
variable modify  &
   variable_name = ._fsae_frontsusp.cil_tierod_to_steering  &
   object_value = ._fsae_frontsusp.ground.mtl_mount_j_2,  &
                  ._fsae_frontsusp.mtl_tierod_to_steering,  &
                  ._fsae_frontsusp.mtl_fixed_2
!
variable modify  &
   variable_name = ._fsae_frontsusp.cir_tierod_to_steering  &
   object_value = ._fsae_frontsusp.ground.mtr_mount_j_2,  &
                  ._fsae_frontsusp.mtr_tierod_to_steering,  &
                  ._fsae_frontsusp.mtr_fixed_2
!
variable modify  &
   variable_name = ._fsae_frontsusp.cil_damper_to_frame  &
   object_value = ._fsae_frontsusp.ground.mtl_mount_j_3,  &
                  ._fsae_frontsusp.mtl_damper_to_frame,  &
                  ._fsae_frontsusp.mtl_fixed_3
!
variable modify  &
   variable_name = ._fsae_frontsusp.cir_damper_to_frame  &
   object_value = ._fsae_frontsusp.ground.mtr_mount_j_3,  &
                  ._fsae_frontsusp.mtr_damper_to_frame,  &
                  ._fsae_frontsusp.mtr_fixed_3
!
variable modify  &
   variable_name = ._fsae_frontsusp.cil_uca_to_frame  &
   object_value = ._fsae_frontsusp.ground.mtl_mount_j_4,  &
                  ._fsae_frontsusp.mtl_uca_to_frame,  &
                  ._fsae_frontsusp.mtl_fixed_4
!
variable modify  &
   variable_name = ._fsae_frontsusp.cir_uca_to_frame  &
   object_value = ._fsae_frontsusp.ground.mtr_mount_j_4,  &
                  ._fsae_frontsusp.mtr_uca_to_frame,  &
                  ._fsae_frontsusp.mtr_fixed_4
!
variable modify  &
   variable_name = ._fsae_frontsusp.col_toe_angle  &
   object_value = ._fsae_frontsusp.pvl_toe_angle
!
variable modify  &
   variable_name = ._fsae_frontsusp.cor_toe_angle  &
   object_value = ._fsae_frontsusp.pvr_toe_angle
!
variable modify  &
   variable_name = ._fsae_frontsusp.col_camber_angle  &
   object_value = ._fsae_frontsusp.pvl_camber_angle
!
variable modify  &
   variable_name = ._fsae_frontsusp.cor_camber_angle  &
   object_value = ._fsae_frontsusp.pvr_camber_angle
!
variable modify  &
   variable_name = ._fsae_frontsusp.col_suspension_upright  &
   object_value = ._fsae_frontsusp.gel_upright
!
variable modify  &
   variable_name = ._fsae_frontsusp.cor_suspension_upright  &
   object_value = ._fsae_frontsusp.ger_upright
!
variable modify  &
   variable_name = ._fsae_frontsusp.cos_driveline_active  &
   object_value = ._fsae_frontsusp.phs_driveline_active
!
variable modify  &
   variable_name = ._fsae_frontsusp.col_suspension_mount  &
   object_value = ._fsae_frontsusp.gel_spindle
!
variable modify  &
   variable_name = ._fsae_frontsusp.cor_suspension_mount  &
   object_value = ._fsae_frontsusp.ger_spindle
!
variable modify  &
   variable_name = ._fsae_frontsusp.cos_suspension_parameters_ARRAY  &
   object_value = ._fsae_frontsusp.suspension_parameters_ARRAY
!
variable modify  &
   variable_name = ._fsae_frontsusp.cis_chassis_reference  &
   object_value = ._fsae_frontsusp.ground._cv_marker
!
variable modify  &
   variable_name = ._fsae_frontsusp.col_ride_height_ref  &
   object_value = ._fsae_frontsusp.gel_lower_control_arm.coomarker_1
!
variable modify  &
   variable_name = ._fsae_frontsusp.cor_ride_height_ref  &
   object_value = ._fsae_frontsusp.ger_lower_control_arm.coomarker_2
!
variable modify  &
   variable_name = ._fsae_frontsusp.cir_lca_to_frame  &
   object_value = ._fsae_frontsusp.ground.mtr_mount_j_1,  &
                  ._fsae_frontsusp.mtr_lca_to_frame,  &
                  ._fsae_frontsusp.mtr_fixed_1
!
variable modify  &
   variable_name = ._fsae_frontsusp.cil_lca_to_frame  &
   object_value = ._fsae_frontsusp.ground.mtl_mount_j_1,  &
                  ._fsae_frontsusp.mtl_lca_to_frame,  &
                  ._fsae_frontsusp.mtl_fixed_1
!
variable modify  &
   variable_name = ._fsae_frontsusp.cil_BC_to_frame  &
   object_value = ._fsae_frontsusp.ground.mtl_mount_j_6,  &
                  ._fsae_frontsusp.mtl_BC_to_frame,  &
                  ._fsae_frontsusp.mtl_fixed_6
!
variable modify  &
   variable_name = ._fsae_frontsusp.cir_BC_to_frame  &
   object_value = ._fsae_frontsusp.ground.mtr_mount_j_6,  &
                  ._fsae_frontsusp.mtr_BC_to_frame,  &
                  ._fsae_frontsusp.mtr_fixed_6
!
variable modify  &
   variable_name = ._fsae_frontsusp.col_drop_link_to_BC  &
   object_value = ._fsae_frontsusp.gel_BC
!
variable modify  &
   variable_name = ._fsae_frontsusp.cor_drop_link_to_BC  &
   object_value = ._fsae_frontsusp.ger_BC
!
!--------------------------- Add Objects To Groups ----------------------------!
!
!
group modify  &
   group_name = ._fsae_frontsusp.kinematic_mode_active
!
group modify  &
   group_name = ._fsae_frontsusp.kinematic_mode_inactive
!
group modify  &
   group_name = ._fsae_frontsusp.driveline_active  &
   objects_in_group = ._fsae_frontsusp.gel_spindle.gracyl_cv_jt_housing_extension,  &
      ._fsae_frontsusp.ger_spindle.gracyl_cv_jt_housing_extension
!
group modify  &
   group_name = ._fsae_frontsusp.driveline_inactive
!
group modify  &
   group_name = ._fsae_frontsusp.subframe_active
!
group modify  &
   group_name = ._fsae_frontsusp.subframe_inactive
!
!---------------------------- Function definitions ----------------------------!
!
!
constraint modify motion_generator  &
   motion_name = ._fsae_frontsusp._cv_motion  &
   function = "0"
!
data_element modify variable  &
   variable_name = ._fsae_frontsusp._cv_solver_variable  &
   function = "0"
!
!-------------------------- Adams View UDE Instance ---------------------------!
!
!
ude modify instance  &
   instance_name = ._fsae_frontsusp.nsl_ride_spring
!
!-------------------------- Adams View UDE Instance ---------------------------!
!
!
ude modify instance  &
   instance_name = ._fsae_frontsusp.nsr_ride_spring
!
!-------------------------- Adams View UDE Instance ---------------------------!
!
!
ude modify instance  &
   instance_name = ._fsae_frontsusp.dal_ride_damper
!
!-------------------------- Adams View UDE Instance ---------------------------!
!
!
ude modify instance  &
   instance_name = ._fsae_frontsusp.dar_ride_damper
!
!-------------------------- Adams View UDE Instance ---------------------------!
!
!
ude modify instance  &
   instance_name = ._fsae_frontsusp.afl_toe_adjuster
!
!-------------------------- Adams View UDE Instance ---------------------------!
!
!
ude modify instance  &
   instance_name = ._fsae_frontsusp.afr_toe_adjuster
!
!-------------------------- Adams View UDE Instance ---------------------------!
!
!
ude modify instance  &
   instance_name = ._fsae_frontsusp.afr_camber_adjuster
!
!-------------------------- Adams View UDE Instance ---------------------------!
!
!
ude modify instance  &
   instance_name = ._fsae_frontsusp.afl_camber_adjuster
!
!-------------------------- Adams View UDE Instance ---------------------------!
!
!
ude modify instance  &
   instance_name = ._fsae_frontsusp.bgl_lca_front
!
!-------------------------- Adams View UDE Instance ---------------------------!
!
!
ude modify instance  &
   instance_name = ._fsae_frontsusp.bgr_lca_front
!
!-------------------------- Adams View UDE Instance ---------------------------!
!
!
ude modify instance  &
   instance_name = ._fsae_frontsusp.bgl_lca_rear
!
!-------------------------- Adams View UDE Instance ---------------------------!
!
!
ude modify instance  &
   instance_name = ._fsae_frontsusp.bgr_lca_rear
!
!-------------------------- Adams View UDE Instance ---------------------------!
!
!
ude modify instance  &
   instance_name = ._fsae_frontsusp.bgl_uca_front
!
!-------------------------- Adams View UDE Instance ---------------------------!
!
!
ude modify instance  &
   instance_name = ._fsae_frontsusp.bgr_uca_front
!
!-------------------------- Adams View UDE Instance ---------------------------!
!
!
ude modify instance  &
   instance_name = ._fsae_frontsusp.bgl_uca_rear
!
!-------------------------- Adams View UDE Instance ---------------------------!
!
!
ude modify instance  &
   instance_name = ._fsae_frontsusp.bgr_uca_rear
!
!-------------------------- Adams View UDE Instance ---------------------------!
!
!
ude modify instance  &
   instance_name = ._fsae_frontsusp.bul_jounce_stop
!
!-------------------------- Adams View UDE Instance ---------------------------!
!
!
ude modify instance  &
   instance_name = ._fsae_frontsusp.bur_jounce_stop
!
!--------------------------- Expression definitions ---------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.ground.afr_aforce_meaj_2  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.origo))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.origo))
!
marker modify  &
   marker_name = ._fsae_frontsusp.ground.afl_aforce_meaj_2  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.origo))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.origo))
!
marker modify  &
   marker_name = ._fsae_frontsusp.ground.cfl_lca_outer  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}mm, ._fsae_frontsusp.ground.hpl_lca_outer))  &
   orientation =   &
      (ORI_ALONG_AXIS(._fsae_frontsusp.ground.hpl_lca_outer, ._fsae_frontsusp.ground.hpr_lca_outer, "Z"))
!
marker modify  &
   marker_name = ._fsae_frontsusp.ground.cfr_lca_outer  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}mm, ._fsae_frontsusp.ground.hpr_lca_outer))  &
   orientation =   &
      (ORI_ALONG_AXIS(._fsae_frontsusp.ground.hpr_lca_outer, ._fsae_frontsusp.ground.hpl_lca_outer, "Z"))
!
marker modify  &
   marker_name = ._fsae_frontsusp.ground.cfl_tierod_middle  &
   location =   &
      (LOC_CENTERED({._fsae_frontsusp.ground.hpl_tierod_inner.loc, ._fsae_frontsusp.ground.hpl_tierod_outer.loc}, 2))  &
   orientation =   &
      (ORI_ALONG_AXIS(._fsae_frontsusp.ground.hpl_tierod_inner, ._fsae_frontsusp.ground.hpl_tierod_outer, "Z"))
!
marker modify  &
   marker_name = ._fsae_frontsusp.ground.cfr_tierod_middle  &
   location =   &
      (LOC_CENTERED({._fsae_frontsusp.ground.hpr_tierod_inner.loc, ._fsae_frontsusp.ground.hpr_tierod_outer.loc}, 2))  &
   orientation =   &
      (ORI_ALONG_AXIS(._fsae_frontsusp.ground.hpr_tierod_inner, ._fsae_frontsusp.ground.hpr_tierod_outer, "Z"))
!
marker modify  &
   marker_name = ._fsae_frontsusp.ground.cfl_wheel_center  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}mm, ._fsae_frontsusp.ground.hpl_wheel_center))  &
   orientation =   &
      (ORI_RELATIVE_TO({180d - ._fsae_frontsusp.pvl_toe_angle, -90d - ._fsae_frontsusp.pvl_camber_angle, 180d}, ._fsae_frontsusp.ground.origo))
!
marker modify  &
   marker_name = ._fsae_frontsusp.ground.cfr_wheel_center  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}mm, ._fsae_frontsusp.ground.hpr_wheel_center))  &
   orientation =   &
      (ORI_RELATIVE_TO({180d + ._fsae_frontsusp.pvr_toe_angle, 90d + ._fsae_frontsusp.pvr_camber_angle, 180d}, ._fsae_frontsusp.ground.origo))
!
marker modify  &
   marker_name = ._fsae_frontsusp.ground.cfl_lwr_strut_ext  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}inch + LOC_LOCAL(._fsae_frontsusp.ground.hpl_damper_outboard.loc, ._fsae_frontsusp.ground.origo), ._fsae_frontsusp.ground.origo))  &
   orientation =   &
      (ORI_RELATIVE_TO({0.0, 0.0, 0.0}degrees, ._fsae_frontsusp.ground.origo))
!
marker modify  &
   marker_name = ._fsae_frontsusp.ground.cfr_lwr_strut_ext  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}inch + LOC_LOCAL(._fsae_frontsusp.ground.hpr_damper_outboard.loc, ._fsae_frontsusp.ground.origo), ._fsae_frontsusp.ground.origo))  &
   orientation =   &
      (ORI_RELATIVE_TO({0.0, 0.0, 0.0}degrees, ._fsae_frontsusp.ground.origo))
!
marker modify  &
   marker_name = ._fsae_frontsusp.ground.cfl_top_mount_ext  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}inch + LOC_LOCAL(._fsae_frontsusp.ground.hpl_damper_inboard.loc, ._fsae_frontsusp.ground.origo), ._fsae_frontsusp.ground.origo))  &
   orientation =   &
      (ORI_RELATIVE_TO({0.0, 0.0, 0.0}degrees, ._fsae_frontsusp.ground.origo))
!
marker modify  &
   marker_name = ._fsae_frontsusp.ground.cfr_top_mount_ext  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}inch + LOC_LOCAL(._fsae_frontsusp.ground.hpr_damper_inboard.loc, ._fsae_frontsusp.ground.origo), ._fsae_frontsusp.ground.origo))  &
   orientation =   &
      (ORI_RELATIVE_TO({0.0, 0.0, 0.0}degrees, ._fsae_frontsusp.ground.origo))
!
marker modify  &
   marker_name = ._fsae_frontsusp.ground.mtl_mount_j_2  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.mtl_tierod_to_steering))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.mtl_tierod_to_steering))
!
marker modify  &
   marker_name = ._fsae_frontsusp.ground.mtr_mount_j_2  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.mtr_tierod_to_steering))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.mtr_tierod_to_steering))
!
marker modify  &
   marker_name = ._fsae_frontsusp.ground.mtl_mount_j_3  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.mtl_damper_to_frame))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.mtl_damper_to_frame))
!
marker modify  &
   marker_name = ._fsae_frontsusp.ground.mtr_mount_j_3  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.mtr_damper_to_frame))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.mtr_damper_to_frame))
!
marker modify  &
   marker_name = ._fsae_frontsusp.ground.mtl_mount_j_4  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.mtl_uca_to_frame))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.mtl_uca_to_frame))
!
marker modify  &
   marker_name = ._fsae_frontsusp.ground.mtr_mount_j_4  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.mtr_uca_to_frame))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.mtr_uca_to_frame))
!
marker modify  &
   marker_name = ._fsae_frontsusp.ground.cfr_lwr_spring_seat  &
   location =   &
      (LOC_ALONG_LINE(._fsae_frontsusp.ground.hpr_damper_inboard, ._fsae_frontsusp.ground.hpr_damper_outboard, 50.0 / 100 * DM(._fsae_frontsusp.ground.hpr_damper_inboard, ._fsae_frontsusp.ground.hpr_damper_outboard)))
!
marker modify  &
   marker_name = ._fsae_frontsusp.ground.cfl_lwr_spring_seat  &
   location =   &
      (LOC_ALONG_LINE(._fsae_frontsusp.ground.hpl_damper_inboard, ._fsae_frontsusp.ground.hpl_damper_outboard, 50.0 / 100 * DM(._fsae_frontsusp.ground.hpl_damper_inboard, ._fsae_frontsusp.ground.hpl_damper_outboard)))
!
marker modify  &
   marker_name = ._fsae_frontsusp.ground.cfr_drive_shaft_otr  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, -1.0 * ._fsae_frontsusp.pvr_drive_shaft_offset}, ._fsae_frontsusp.ground.cfr_wheel_center))  &
   orientation =   &
      (ORI_ALONG_AXIS(._fsae_frontsusp.ground.cfr_drive_shaft_otr, ._fsae_frontsusp.ground.hpr_wheel_center, "Z"))
!
marker modify  &
   marker_name = ._fsae_frontsusp.ground.cfl_drive_shaft_otr  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, -1.0 * ._fsae_frontsusp.pvl_drive_shaft_offset}, ._fsae_frontsusp.ground.cfl_wheel_center))  &
   orientation =   &
      (ORI_ALONG_AXIS(._fsae_frontsusp.ground.cfl_drive_shaft_otr, ._fsae_frontsusp.ground.hpl_wheel_center, "Z"))
!
marker modify  &
   marker_name = ._fsae_frontsusp.ground.cfl_upright_spindle_inr  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}mm, ._fsae_frontsusp.ground.cfl_drive_shaft_otr))  &
   orientation =   &
      (ORI_RELATIVE_TO({0.0, 0.0, 0.0}degrees, ._fsae_frontsusp.ground.cfl_wheel_center))
!
marker modify  &
   marker_name = ._fsae_frontsusp.ground.cfr_upright_spindle_inr  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}mm, ._fsae_frontsusp.ground.cfr_drive_shaft_otr))  &
   orientation =   &
      (ORI_RELATIVE_TO({0.0, 0.0, 0.0}degrees, ._fsae_frontsusp.ground.cfr_wheel_center))
!
marker modify  &
   marker_name = ._fsae_frontsusp.ground.afl_aforce_meaj_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.origo))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.origo))
!
marker modify  &
   marker_name = ._fsae_frontsusp.ground.afr_aforce_meaj_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.origo))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.origo))
!
marker modify  &
   marker_name = ._fsae_frontsusp.ground.cfl_lwr_strut_loc  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}mm, ._fsae_frontsusp.ground.hpl_damper_outboard))  &
   orientation =   &
      (ORI_RELATIVE_TO({0.0, 0.0, 0.0}degrees, ._fsae_frontsusp.ground.origo))
!
marker modify  &
   marker_name = ._fsae_frontsusp.ground.cfr_lwr_strut_loc  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}mm, ._fsae_frontsusp.ground.hpr_damper_outboard))  &
   orientation =   &
      (ORI_RELATIVE_TO({0.0, 0.0, 0.0}degrees, ._fsae_frontsusp.ground.origo))
!
marker modify  &
   marker_name = ._fsae_frontsusp.ground.mtr_mount_j_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.mtr_lca_to_frame))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.mtr_lca_to_frame))
!
marker modify  &
   marker_name = ._fsae_frontsusp.ground.mtl_mount_j_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.mtl_lca_to_frame))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.mtl_lca_to_frame))
!
marker modify  &
   marker_name = ._fsae_frontsusp.ground.mtl_mount_j_6  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.mtl_BC_to_frame))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.mtl_BC_to_frame))
!
marker modify  &
   marker_name = ._fsae_frontsusp.ground.mtr_mount_j_6  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.mtr_BC_to_frame))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.mtr_BC_to_frame))
!
marker modify  &
   marker_name = ._fsae_frontsusp.ground.cfl_ride_height  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}inch, ._fsae_frontsusp.ground.hpl_ride_height))  &
   orientation =   &
      (ORI_RELATIVE_TO({0.0, 0.0, 0.0}degrees, ._fsae_frontsusp.ground.origo))
!
marker modify  &
   marker_name = ._fsae_frontsusp.ground.cfr_ride_height  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}inch, ._fsae_frontsusp.ground.hpr_ride_height))  &
   orientation =   &
      (ORI_RELATIVE_TO({0.0, 0.0, 0.0}degrees, ._fsae_frontsusp.ground.origo))
!
variable modify  &
   variable_name = ._fsae_frontsusp.suspension_parameters_ARRAY.type_flag  &
   integer_value = ("Independent" == "Independent")
!
data_element modify array ic_array  &
   array_name = ._fsae_frontsusp.suspension_parameters_ARRAY  &
   numbers =   &
      (._fsae_frontsusp.suspension_parameters_ARRAY.type_flag),  &
      (._fsae_frontsusp.gel_lower_control_arm.kp1_1.adams_id),  &
      (._fsae_frontsusp.gel_upper_control_arm.kp2_1.adams_id),  &
      (._fsae_frontsusp.ger_lower_control_arm.kp1_2.adams_id),  &
      (._fsae_frontsusp.ger_upper_control_arm.kp2_2.adams_id),  &
      (._fsae_frontsusp.minor_role != "rear")
!
data_element modify string  &
   string_name = ._fsae_frontsusp.minor_role_string  &
   string = (._fsae_frontsusp.minor_role)
!
material modify  &
   material_name = ._fsae_frontsusp.steel  &
   density = (7801.0(kg/meter**3))  &
   youngs_modulus = (2.07E+11(Newton/meter**2))
!
material modify  &
   material_name = ._fsae_frontsusp.aluminum  &
   density = (2740.0(kg/meter**3))  &
   youngs_modulus = (7.1705E+10(Newton/meter**2))
!
marker modify  &
   marker_name = ._fsae_frontsusp.gel_tierod_inner.inertia_frame  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.gel_tierod_inner.cm))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.gel_tierod_inner))  &
   relative_to = ._fsae_frontsusp.gel_tierod_inner
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.gel_tierod_inner.gralin_23  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.hpl_tierod_inner))  &
   orientation =   &
      (ORI_ALONG_AXIS(._fsae_frontsusp.ground.hpl_tierod_inner, ._fsae_frontsusp.ground.cfl_tierod_middle, "Z"))  &
   relative_to = ._fsae_frontsusp.gel_tierod_inner
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.gel_tierod_inner.jxl_joint_j_1  &
   location =   &
      (LOC_RELATIVE_TO(LOC_CENTERED({._fsae_frontsusp.ground.hpl_tierod_outer.loc, ._fsae_frontsusp.ground.hpl_tierod_inner.loc}, 2), ._fsae_frontsusp.ground))  &
   orientation =   &
      (ORI_ALONG_AXIS(._fsae_frontsusp.ground.hpl_tierod_outer, ._fsae_frontsusp.ground.hpl_tierod_inner, "Z"))  &
   relative_to = ._fsae_frontsusp.gel_tierod_inner
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.gel_tierod_inner.afl_aforce_i_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.hpl_tierod_inner))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.gel_tierod_outer.afl_aforce_j_1))  &
   relative_to = ._fsae_frontsusp.gel_tierod_inner
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.gel_tierod_inner.jxl_joint_i_11  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.mtl_tierod_to_steering.jxl_joint_j_11))  &
   orientation =   &
      (ORI_IN_PLANE(._fsae_frontsusp.gel_tierod_inner.jxl_joint_i_11, ._fsae_frontsusp.ground.hpl_tierod_outer, ._fsae_frontsusp.ground.hpr_tierod_inner, "Z_ZX"))  &
   relative_to = ._fsae_frontsusp.gel_tierod_inner
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.gel_tierod_inner.graell_11  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.hpl_tierod_inner))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.hpl_tierod_inner))  &
   relative_to = ._fsae_frontsusp.gel_tierod_inner
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
geometry modify shape cylinder  &
   cylinder_name = ._fsae_frontsusp.gel_tierod_inner.gralin_tierod_inner  &
   length = (DM(._fsae_frontsusp.ground.hpl_tierod_inner, ._fsae_frontsusp.ground.cfl_tierod_middle))
!
geometry modify shape ellipsoid  &
   ellipsoid_name = ._fsae_frontsusp.gel_tierod_inner.graell_tierod_inner  &
   x_scale_factor = (._fsae_frontsusp.gel_tierod_inner.gralin_tierod_inner.radius * 2 * 1.0)  &
   y_scale_factor = (._fsae_frontsusp.gel_tierod_inner.gralin_tierod_inner.radius * 2 * 1.0)  &
   z_scale_factor = (._fsae_frontsusp.gel_tierod_inner.gralin_tierod_inner.radius * 2 * 1.0)
!
part modify rigid_body name_and_position  &
   part_name = ._fsae_frontsusp.gel_tierod_inner  &
   location =   &
      (LOC_ALONG_LINE(._fsae_frontsusp.ground.hpl_tierod_outer, ._fsae_frontsusp.ground.hpl_tierod_inner, 0.5 * DM(._fsae_frontsusp.ground.hpl_tierod_outer, ._fsae_frontsusp.ground.hpl_tierod_inner)))  &
   orientation =   &
      (ORI_ALONG_AXIS(._fsae_frontsusp.gel_tierod_inner, ._fsae_frontsusp.ground.hpl_tierod_outer, "Z"))
!
marker modify  &
   marker_name = ._fsae_frontsusp.ger_tierod_inner.inertia_frame  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ger_tierod_inner.cm))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ger_tierod_inner))  &
   relative_to = ._fsae_frontsusp.ger_tierod_inner
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.ger_tierod_inner.gralin_24  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.hpr_tierod_inner))  &
   orientation =   &
      (ORI_ALONG_AXIS(._fsae_frontsusp.ground.hpr_tierod_inner, ._fsae_frontsusp.ground.cfr_tierod_middle, "Z"))  &
   relative_to = ._fsae_frontsusp.ger_tierod_inner
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.ger_tierod_inner.jxr_joint_j_1  &
   location =   &
      (LOC_RELATIVE_TO(LOC_CENTERED({._fsae_frontsusp.ground.hpr_tierod_outer.loc, ._fsae_frontsusp.ground.hpr_tierod_inner.loc}, 2), ._fsae_frontsusp.ground))  &
   orientation =   &
      (ORI_ALONG_AXIS(._fsae_frontsusp.ground.hpr_tierod_outer, ._fsae_frontsusp.ground.hpr_tierod_inner, "Z"))  &
   relative_to = ._fsae_frontsusp.ger_tierod_inner
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.ger_tierod_inner.afr_aforce_i_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.hpr_tierod_inner))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ger_tierod_outer.afr_aforce_j_1))  &
   relative_to = ._fsae_frontsusp.ger_tierod_inner
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.ger_tierod_inner.jxr_joint_i_11  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.mtr_tierod_to_steering.jxr_joint_j_11))  &
   orientation =   &
      (ORI_IN_PLANE(._fsae_frontsusp.ger_tierod_inner.jxr_joint_i_11, ._fsae_frontsusp.ground.hpr_tierod_outer, ._fsae_frontsusp.ground.hpl_tierod_inner, "Z_ZX"))  &
   relative_to = ._fsae_frontsusp.ger_tierod_inner
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.ger_tierod_inner.graell_12  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.hpr_tierod_inner))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.hpr_tierod_inner))  &
   relative_to = ._fsae_frontsusp.ger_tierod_inner
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
geometry modify shape cylinder  &
   cylinder_name = ._fsae_frontsusp.ger_tierod_inner.gralin_tierod_inner  &
   length = (DM(._fsae_frontsusp.ground.hpr_tierod_inner, ._fsae_frontsusp.ground.cfr_tierod_middle))
!
geometry modify shape ellipsoid  &
   ellipsoid_name = ._fsae_frontsusp.ger_tierod_inner.graell_tierod_inner  &
   x_scale_factor = (._fsae_frontsusp.ger_tierod_inner.gralin_tierod_inner.radius * 2 * 1.0)  &
   y_scale_factor = (._fsae_frontsusp.ger_tierod_inner.gralin_tierod_inner.radius * 2 * 1.0)  &
   z_scale_factor = (._fsae_frontsusp.ger_tierod_inner.gralin_tierod_inner.radius * 2 * 1.0)
!
part modify rigid_body name_and_position  &
   part_name = ._fsae_frontsusp.ger_tierod_inner  &
   location =   &
      (LOC_ALONG_LINE(._fsae_frontsusp.ground.hpr_tierod_outer, ._fsae_frontsusp.ground.hpr_tierod_inner, 0.5 * DM(._fsae_frontsusp.ground.hpr_tierod_outer, ._fsae_frontsusp.ground.hpr_tierod_inner)))  &
   orientation =   &
      (ORI_ALONG_AXIS(._fsae_frontsusp.ger_tierod_inner, ._fsae_frontsusp.ground.hpr_tierod_outer, "Z"))
!
marker modify  &
   marker_name = ._fsae_frontsusp.gel_tierod_outer.inertia_frame  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.gel_tierod_outer.cm))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.gel_tierod_outer))  &
   relative_to = ._fsae_frontsusp.gel_tierod_outer
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.gel_tierod_outer.gralin_25  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.cfl_tierod_middle))  &
   orientation =   &
      (ORI_ALONG_AXIS(._fsae_frontsusp.ground.cfl_tierod_middle, ._fsae_frontsusp.ground.hpl_tierod_outer, "Z"))  &
   relative_to = ._fsae_frontsusp.gel_tierod_outer
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.gel_tierod_outer.jxl_joint_i_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.gel_tierod_inner.jxl_joint_j_1))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.gel_tierod_inner.jxl_joint_j_1))  &
   relative_to = ._fsae_frontsusp.gel_tierod_outer
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.gel_tierod_outer.afl_aforce_j_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.hpl_tierod_outer))  &
   orientation =   &
      (ORI_ALONG_AXIS(._fsae_frontsusp.ground.hpl_tierod_outer, ._fsae_frontsusp.ground.hpl_tierod_inner, "Z"))  &
   relative_to = ._fsae_frontsusp.gel_tierod_outer
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.gel_tierod_outer.jxl_joint_i_10  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.gel_upright.jxl_joint_j_10))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.gel_upright.jxl_joint_j_10))  &
   relative_to = ._fsae_frontsusp.gel_tierod_outer
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.gel_tierod_outer.graell_9  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.hpl_tierod_outer))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.hpl_tierod_outer))  &
   relative_to = ._fsae_frontsusp.gel_tierod_outer
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
geometry modify shape cylinder  &
   cylinder_name = ._fsae_frontsusp.gel_tierod_outer.gralin_tierod_outer  &
   length = (DM(._fsae_frontsusp.ground.cfl_tierod_middle, ._fsae_frontsusp.ground.hpl_tierod_outer))
!
geometry modify shape ellipsoid  &
   ellipsoid_name = ._fsae_frontsusp.gel_tierod_outer.graell_tierod_outer  &
   x_scale_factor = (._fsae_frontsusp.gel_tierod_outer.gralin_tierod_outer.radius * 2 * 1.0)  &
   y_scale_factor = (._fsae_frontsusp.gel_tierod_outer.gralin_tierod_outer.radius * 2 * 1.0)  &
   z_scale_factor = (._fsae_frontsusp.gel_tierod_outer.gralin_tierod_outer.radius * 2 * 1.0)
!
part modify rigid_body name_and_position  &
   part_name = ._fsae_frontsusp.gel_tierod_outer  &
   location =   &
      (LOC_ALONG_LINE(._fsae_frontsusp.ground.hpl_tierod_outer, ._fsae_frontsusp.ground.hpl_tierod_inner, 0.5 * DM(._fsae_frontsusp.ground.hpl_tierod_outer, ._fsae_frontsusp.ground.hpl_tierod_inner)))  &
   orientation =   &
      (ORI_ALONG_AXIS(._fsae_frontsusp.gel_tierod_outer, ._fsae_frontsusp.ground.hpl_tierod_outer, "Z"))
!
marker modify  &
   marker_name = ._fsae_frontsusp.ger_tierod_outer.inertia_frame  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ger_tierod_outer.cm))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ger_tierod_outer))  &
   relative_to = ._fsae_frontsusp.ger_tierod_outer
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.ger_tierod_outer.gralin_26  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.cfr_tierod_middle))  &
   orientation =   &
      (ORI_ALONG_AXIS(._fsae_frontsusp.ground.cfr_tierod_middle, ._fsae_frontsusp.ground.hpr_tierod_outer, "Z"))  &
   relative_to = ._fsae_frontsusp.ger_tierod_outer
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.ger_tierod_outer.jxr_joint_i_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ger_tierod_inner.jxr_joint_j_1))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ger_tierod_inner.jxr_joint_j_1))  &
   relative_to = ._fsae_frontsusp.ger_tierod_outer
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.ger_tierod_outer.jxr_joint_i_10  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ger_upright.jxr_joint_j_10))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ger_upright.jxr_joint_j_10))  &
   relative_to = ._fsae_frontsusp.ger_tierod_outer
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.ger_tierod_outer.afr_aforce_j_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.hpr_tierod_outer))  &
   orientation =   &
      (ORI_ALONG_AXIS(._fsae_frontsusp.ground.hpr_tierod_outer, ._fsae_frontsusp.ground.hpr_tierod_inner, "Z"))  &
   relative_to = ._fsae_frontsusp.ger_tierod_outer
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.ger_tierod_outer.graell_10  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.hpr_tierod_outer))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.hpr_tierod_outer))  &
   relative_to = ._fsae_frontsusp.ger_tierod_outer
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
geometry modify shape cylinder  &
   cylinder_name = ._fsae_frontsusp.ger_tierod_outer.gralin_tierod_outer  &
   length = (DM(._fsae_frontsusp.ground.cfr_tierod_middle, ._fsae_frontsusp.ground.hpr_tierod_outer))
!
geometry modify shape ellipsoid  &
   ellipsoid_name = ._fsae_frontsusp.ger_tierod_outer.graell_tierod_outer  &
   x_scale_factor = (._fsae_frontsusp.ger_tierod_outer.gralin_tierod_outer.radius * 2 * 1.0)  &
   y_scale_factor = (._fsae_frontsusp.ger_tierod_outer.gralin_tierod_outer.radius * 2 * 1.0)  &
   z_scale_factor = (._fsae_frontsusp.ger_tierod_outer.gralin_tierod_outer.radius * 2 * 1.0)
!
part modify rigid_body name_and_position  &
   part_name = ._fsae_frontsusp.ger_tierod_outer  &
   location =   &
      (LOC_ALONG_LINE(._fsae_frontsusp.ground.hpr_tierod_outer, ._fsae_frontsusp.ground.hpr_tierod_inner, 0.5 * DM(._fsae_frontsusp.ground.hpr_tierod_outer, ._fsae_frontsusp.ground.hpr_tierod_inner)))  &
   orientation =   &
      (ORI_ALONG_AXIS(._fsae_frontsusp.ger_tierod_outer, ._fsae_frontsusp.ground.hpr_tierod_outer, "Z"))
!
marker modify  &
   marker_name = ._fsae_frontsusp.gel_lower_control_arm.kp1_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.hpl_lca_outer))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.origo))  &
   relative_to = ._fsae_frontsusp.gel_lower_control_arm
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.gel_lower_control_arm.inertia_frame  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.gel_lower_control_arm.cm))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.gel_lower_control_arm))  &
   relative_to = ._fsae_frontsusp.gel_lower_control_arm
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.gel_lower_control_arm.gralin_5  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.hpl_lca_front))  &
   orientation =   &
      (ORI_ALONG_AXIS(._fsae_frontsusp.ground.hpl_lca_front, ._fsae_frontsusp.ground.hpl_lca_outer, "Z"))  &
   relative_to = ._fsae_frontsusp.gel_lower_control_arm
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.gel_lower_control_arm.gralin_7  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.hpl_lca_rear))  &
   orientation =   &
      (ORI_ALONG_AXIS(._fsae_frontsusp.ground.hpl_lca_rear, ._fsae_frontsusp.ground.hpl_lca_outer, "Z"))  &
   relative_to = ._fsae_frontsusp.gel_lower_control_arm
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.gel_lower_control_arm.graell_23  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.hpl_lca_rear))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.hpl_lca_rear))  &
   relative_to = ._fsae_frontsusp.gel_lower_control_arm
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.gel_lower_control_arm.graell_21  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.hpl_lca_front))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.hpl_lca_front))  &
   relative_to = ._fsae_frontsusp.gel_lower_control_arm
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.gel_lower_control_arm.graell_5  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.hpl_lca_outer))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.hpl_lca_outer))  &
   relative_to = ._fsae_frontsusp.gel_lower_control_arm
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.gel_lower_control_arm.jxl_joint_j_9  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}mm, ._fsae_frontsusp.ground.hpl_lca_outer))  &
   orientation =   &
      (ORI_RELATIVE_TO({0.0, 0.0, 0.0}degrees, ._fsae_frontsusp.ground.origo))  &
   relative_to = ._fsae_frontsusp.gel_lower_control_arm
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.gel_lower_control_arm.coomarker_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.cfl_ride_height))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.cfl_ride_height))  &
   relative_to = ._fsae_frontsusp.gel_lower_control_arm
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.gel_lower_control_arm.jxl_joint_i_5  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.gel_prod.jxl_joint_j_5))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.gel_prod.jxl_joint_j_5))  &
   relative_to = ._fsae_frontsusp.gel_lower_control_arm
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.gel_lower_control_arm.bxl_bushing_i_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.mtl_lca_to_frame.bxl_bushing_j_1))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.mtl_lca_to_frame.bxl_bushing_j_1))  &
   relative_to = ._fsae_frontsusp.gel_lower_control_arm
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.gel_lower_control_arm.bxl_bushgeom_i_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, -._fsae_frontsusp.bgl_lca_front.geoLength / 2}, ._fsae_frontsusp.gel_lower_control_arm.bxl_bushing_i_1))  &
   orientation =   &
      (ORI_RELATIVE_TO({270deg, 0, 0}, ._fsae_frontsusp.gel_lower_control_arm.bxl_bushing_i_1))  &
   relative_to = ._fsae_frontsusp.gel_lower_control_arm
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.gel_lower_control_arm.bxl_bushing_i_2  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.mtl_lca_to_frame.bxl_bushing_j_2))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.mtl_lca_to_frame.bxl_bushing_j_2))  &
   relative_to = ._fsae_frontsusp.gel_lower_control_arm
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.gel_lower_control_arm.bxl_bushgeom_i_2  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, -._fsae_frontsusp.bgl_lca_rear.geoLength / 2}, ._fsae_frontsusp.gel_lower_control_arm.bxl_bushing_i_2))  &
   orientation =   &
      (ORI_RELATIVE_TO({270deg, 0, 0}, ._fsae_frontsusp.gel_lower_control_arm.bxl_bushing_i_2))  &
   relative_to = ._fsae_frontsusp.gel_lower_control_arm
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
geometry modify shape cylinder  &
   cylinder_name = ._fsae_frontsusp.gel_lower_control_arm.gralin_lca_front  &
   length = (DM(._fsae_frontsusp.ground.hpl_lca_front, ._fsae_frontsusp.ground.hpl_lca_outer))
!
geometry modify shape cylinder  &
   cylinder_name = ._fsae_frontsusp.gel_lower_control_arm.gralin_lca_rear  &
   length = (DM(._fsae_frontsusp.ground.hpl_lca_rear, ._fsae_frontsusp.ground.hpl_lca_outer))
!
geometry modify shape ellipsoid  &
   ellipsoid_name = ._fsae_frontsusp.gel_lower_control_arm.graell_lca_rear  &
   x_scale_factor = (._fsae_frontsusp.gel_lower_control_arm.gralin_lca_front.radius * 2 * 1.0)  &
   y_scale_factor = (._fsae_frontsusp.gel_lower_control_arm.gralin_lca_front.radius * 2 * 1.0)  &
   z_scale_factor = (._fsae_frontsusp.gel_lower_control_arm.gralin_lca_front.radius * 2 * 1.0)
!
geometry modify shape ellipsoid  &
   ellipsoid_name = ._fsae_frontsusp.gel_lower_control_arm.graell_lca_front  &
   x_scale_factor = (._fsae_frontsusp.gel_lower_control_arm.gralin_lca_front.radius * 2 * 1.0)  &
   y_scale_factor = (._fsae_frontsusp.gel_lower_control_arm.gralin_lca_front.radius * 2 * 1.0)  &
   z_scale_factor = (._fsae_frontsusp.gel_lower_control_arm.gralin_lca_front.radius * 2 * 1.0)
!
geometry modify shape ellipsoid  &
   ellipsoid_name = ._fsae_frontsusp.gel_lower_control_arm.graell_lca_outer  &
   x_scale_factor = (._fsae_frontsusp.gel_lower_control_arm.gralin_lca_front.radius * 2 * 1.0)  &
   y_scale_factor = (._fsae_frontsusp.gel_lower_control_arm.gralin_lca_front.radius * 2 * 1.0)  &
   z_scale_factor = (._fsae_frontsusp.gel_lower_control_arm.gralin_lca_front.radius * 2 * 1.0)
!
part modify rigid_body name_and_position  &
   part_name = ._fsae_frontsusp.gel_lower_control_arm  &
   location =   &
      (LOC_CENTERED({._fsae_frontsusp.ground.hpl_lca_front.loc, ._fsae_frontsusp.ground.hpl_lca_outer.loc, ._fsae_frontsusp.ground.hpl_lca_rear.loc}, 3))  &
   orientation =   &
      (ORI_IN_PLANE(._fsae_frontsusp.gel_lower_control_arm, ._fsae_frontsusp.ground.hpl_lca_outer, ._fsae_frontsusp.ground.hpl_lca_front, "Z_ZX"))
!
marker modify  &
   marker_name = ._fsae_frontsusp.ger_lower_control_arm.kp1_2  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.hpr_lca_outer))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.origo))  &
   relative_to = ._fsae_frontsusp.ger_lower_control_arm
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.ger_lower_control_arm.inertia_frame  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ger_lower_control_arm.cm))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ger_lower_control_arm))  &
   relative_to = ._fsae_frontsusp.ger_lower_control_arm
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.ger_lower_control_arm.gralin_6  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.hpr_lca_front))  &
   orientation =   &
      (ORI_ALONG_AXIS(._fsae_frontsusp.ground.hpr_lca_front, ._fsae_frontsusp.ground.hpr_lca_outer, "Z"))  &
   relative_to = ._fsae_frontsusp.ger_lower_control_arm
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.ger_lower_control_arm.gralin_8  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.hpr_lca_rear))  &
   orientation =   &
      (ORI_ALONG_AXIS(._fsae_frontsusp.ground.hpr_lca_rear, ._fsae_frontsusp.ground.hpr_lca_outer, "Z"))  &
   relative_to = ._fsae_frontsusp.ger_lower_control_arm
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.ger_lower_control_arm.graell_24  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.hpr_lca_rear))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.hpr_lca_rear))  &
   relative_to = ._fsae_frontsusp.ger_lower_control_arm
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.ger_lower_control_arm.graell_22  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.hpr_lca_front))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.hpr_lca_front))  &
   relative_to = ._fsae_frontsusp.ger_lower_control_arm
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.ger_lower_control_arm.graell_6  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.hpr_lca_outer))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.hpr_lca_outer))  &
   relative_to = ._fsae_frontsusp.ger_lower_control_arm
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.ger_lower_control_arm.jxr_joint_j_9  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}mm, ._fsae_frontsusp.ground.hpr_lca_outer))  &
   orientation =   &
      (ORI_RELATIVE_TO({0.0, 0.0, 0.0}degrees, ._fsae_frontsusp.ground.origo))  &
   relative_to = ._fsae_frontsusp.ger_lower_control_arm
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.ger_lower_control_arm.coomarker_2  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.cfr_ride_height))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.cfr_ride_height))  &
   relative_to = ._fsae_frontsusp.ger_lower_control_arm
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.ger_lower_control_arm.jxr_joint_i_5  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ger_prod.jxr_joint_j_5))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ger_prod.jxr_joint_j_5))  &
   relative_to = ._fsae_frontsusp.ger_lower_control_arm
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.ger_lower_control_arm.bxr_bushing_i_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.mtr_lca_to_frame.bxr_bushing_j_1))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.mtr_lca_to_frame.bxr_bushing_j_1))  &
   relative_to = ._fsae_frontsusp.ger_lower_control_arm
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.ger_lower_control_arm.bxr_bushgeom_i_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, -._fsae_frontsusp.bgr_lca_front.geoLength / 2}, ._fsae_frontsusp.ger_lower_control_arm.bxr_bushing_i_1))  &
   orientation =   &
      (ORI_RELATIVE_TO({270deg, 0, 0}, ._fsae_frontsusp.ger_lower_control_arm.bxr_bushing_i_1))  &
   relative_to = ._fsae_frontsusp.ger_lower_control_arm
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.ger_lower_control_arm.bxr_bushing_i_2  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.mtr_lca_to_frame.bxr_bushing_j_2))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.mtr_lca_to_frame.bxr_bushing_j_2))  &
   relative_to = ._fsae_frontsusp.ger_lower_control_arm
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.ger_lower_control_arm.bxr_bushgeom_i_2  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, -._fsae_frontsusp.bgr_lca_rear.geoLength / 2}, ._fsae_frontsusp.ger_lower_control_arm.bxr_bushing_i_2))  &
   orientation =   &
      (ORI_RELATIVE_TO({270deg, 0, 0}, ._fsae_frontsusp.ger_lower_control_arm.bxr_bushing_i_2))  &
   relative_to = ._fsae_frontsusp.ger_lower_control_arm
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
geometry modify shape cylinder  &
   cylinder_name = ._fsae_frontsusp.ger_lower_control_arm.gralin_lca_front  &
   length = (DM(._fsae_frontsusp.ground.hpr_lca_front, ._fsae_frontsusp.ground.hpr_lca_outer))
!
geometry modify shape cylinder  &
   cylinder_name = ._fsae_frontsusp.ger_lower_control_arm.gralin_lca_rear  &
   length = (DM(._fsae_frontsusp.ground.hpr_lca_rear, ._fsae_frontsusp.ground.hpr_lca_outer))
!
geometry modify shape ellipsoid  &
   ellipsoid_name = ._fsae_frontsusp.ger_lower_control_arm.graell_lca_rear  &
   x_scale_factor = (._fsae_frontsusp.ger_lower_control_arm.gralin_lca_front.radius * 2 * 1.0)  &
   y_scale_factor = (._fsae_frontsusp.ger_lower_control_arm.gralin_lca_front.radius * 2 * 1.0)  &
   z_scale_factor = (._fsae_frontsusp.ger_lower_control_arm.gralin_lca_front.radius * 2 * 1.0)
!
geometry modify shape ellipsoid  &
   ellipsoid_name = ._fsae_frontsusp.ger_lower_control_arm.graell_lca_front  &
   x_scale_factor = (._fsae_frontsusp.ger_lower_control_arm.gralin_lca_front.radius * 2 * 1.0)  &
   y_scale_factor = (._fsae_frontsusp.ger_lower_control_arm.gralin_lca_front.radius * 2 * 1.0)  &
   z_scale_factor = (._fsae_frontsusp.ger_lower_control_arm.gralin_lca_front.radius * 2 * 1.0)
!
geometry modify shape ellipsoid  &
   ellipsoid_name = ._fsae_frontsusp.ger_lower_control_arm.graell_lca_outer  &
   x_scale_factor = (._fsae_frontsusp.ger_lower_control_arm.gralin_lca_front.radius * 2 * 1.0)  &
   y_scale_factor = (._fsae_frontsusp.ger_lower_control_arm.gralin_lca_front.radius * 2 * 1.0)  &
   z_scale_factor = (._fsae_frontsusp.ger_lower_control_arm.gralin_lca_front.radius * 2 * 1.0)
!
part modify rigid_body name_and_position  &
   part_name = ._fsae_frontsusp.ger_lower_control_arm  &
   location =   &
      (LOC_CENTERED({._fsae_frontsusp.ground.hpr_lca_front.loc, ._fsae_frontsusp.ground.hpr_lca_outer.loc, ._fsae_frontsusp.ground.hpr_lca_rear.loc}, 3))  &
   orientation =   &
      (ORI_IN_PLANE(._fsae_frontsusp.ger_lower_control_arm, ._fsae_frontsusp.ground.hpr_lca_outer, ._fsae_frontsusp.ground.hpr_lca_front, "Z_ZX"))
!
marker modify  &
   marker_name = ._fsae_frontsusp.gel_upright.afl_aforce_meai_2  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.cfl_wheel_center))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.cfl_wheel_center))  &
   relative_to = ._fsae_frontsusp.gel_upright
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.gel_upright.jolcyl_strut_1  &
   location =   &
      (LOC_RELATIVE_TO(._fsae_frontsusp.ground.cfl_lwr_strut_ext.location, ._fsae_frontsusp.ground.cfl_lwr_strut_ext.parent))  &
   orientation =   &
      (ORI_RELATIVE_TO(._fsae_frontsusp.ground.cfl_lwr_strut_ext.orientation, ._fsae_frontsusp.ground.cfl_lwr_strut_ext.parent))  &
   relative_to = ._fsae_frontsusp.gel_upright
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.gel_upright.jxl_joint_j_10  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}mm, ._fsae_frontsusp.ground.hpl_tierod_outer))  &
   orientation =   &
      (ORI_RELATIVE_TO({0.0, 0.0, 0.0}degrees, ._fsae_frontsusp.ground.origo))  &
   relative_to = ._fsae_frontsusp.gel_upright
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.gel_upright.geomar_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0.0}, ._fsae_frontsusp.ground.hpl_wheel_center))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.cfl_wheel_center))  &
   relative_to = ._fsae_frontsusp.gel_upright
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.gel_upright.inertia_frame  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.gel_upright.cm))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.gel_upright))  &
   relative_to = ._fsae_frontsusp.gel_upright
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.gel_upright.jxl_joint_j_20  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}mm, ._fsae_frontsusp.ground.hpl_wheel_center))  &
   orientation =   &
      (ORI_RELATIVE_TO({0.0, 0.0, 0.0}degrees, ._fsae_frontsusp.ground.cfl_wheel_center))  &
   relative_to = ._fsae_frontsusp.gel_upright
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.gel_upright.afl_aforce_meai_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.cfl_wheel_center))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.cfl_wheel_center))  &
   relative_to = ._fsae_frontsusp.gel_upright
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.gel_upright.mal_wheel_center  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}mm, ._fsae_frontsusp.ground.hpl_wheel_center))  &
   orientation =   &
      (ORI_RELATIVE_TO({0.0, 0.0, 0.0}degrees, ._fsae_frontsusp.ground.cfl_wheel_center))  &
   relative_to = ._fsae_frontsusp.gel_upright
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.gel_upright.mal_kingpin_axis  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}mm, ._fsae_frontsusp.ground.hpl_lca_outer))  &
   orientation =   &
      (ORI_ALONG_AXIS(._fsae_frontsusp.gel_upright.mal_kingpin_axis, ._fsae_frontsusp.ground.hpl_uca_outer, "Z"))  &
   relative_to = ._fsae_frontsusp.gel_upright
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.gel_upright.jxl_joint_j_2  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}mm, ._fsae_frontsusp.ground.hpl_lca_outer))  &
   orientation =   &
      (ORI_ALONG_AXIS(._fsae_frontsusp.ground.hpl_lca_outer, ._fsae_frontsusp.ground.hps_camber_adj_orient, "Z"))  &
   relative_to = ._fsae_frontsusp.gel_upright
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.gel_upright.graarm_7  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.hpl_uca_outer))  &
   orientation =   &
      (ORI_IN_PLANE(._fsae_frontsusp.ground.hpl_uca_outer, ._fsae_frontsusp.ground.hpl_wheel_center, ._fsae_frontsusp.ground.hpl_tierod_outer, "X_XY"))  &
   relative_to = ._fsae_frontsusp.gel_upright
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.gel_upright.graarm_8  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.hpl_wheel_center))  &
   relative_to = ._fsae_frontsusp.gel_upright
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.gel_upright.graarm_9  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.hpl_tierod_outer))  &
   relative_to = ._fsae_frontsusp.gel_upright
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.gel_upright.graarm_13  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.hpl_lca_outer))  &
   orientation =   &
      (ORI_IN_PLANE(._fsae_frontsusp.ground.hpl_lca_outer, ._fsae_frontsusp.ground.hpl_wheel_center, ._fsae_frontsusp.ground.hpl_tierod_outer, "X_XY"))  &
   relative_to = ._fsae_frontsusp.gel_upright
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.gel_upright.graarm_14  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.hpl_wheel_center))  &
   relative_to = ._fsae_frontsusp.gel_upright
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.gel_upright.graarm_15  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.hpl_tierod_outer))  &
   relative_to = ._fsae_frontsusp.gel_upright
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.gel_upright.graarm_19  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.hpl_uca_outer))  &
   orientation =   &
      (ORI_IN_PLANE(._fsae_frontsusp.ground.hpl_uca_outer, ._fsae_frontsusp.ground.hpl_wheel_center, ._fsae_frontsusp.ground.hpl_lca_outer, "X_XY"))  &
   relative_to = ._fsae_frontsusp.gel_upright
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.gel_upright.graarm_20  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.hpl_wheel_center))  &
   relative_to = ._fsae_frontsusp.gel_upright
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.gel_upright.graarm_21  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.hpl_lca_outer))  &
   relative_to = ._fsae_frontsusp.gel_upright
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.gel_upright.graarm_25  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.hpl_uca_outer))  &
   orientation =   &
      (ORI_IN_PLANE(._fsae_frontsusp.ground.hpl_uca_outer, ._fsae_frontsusp.ground.hpl_tierod_outer, ._fsae_frontsusp.ground.hpl_lca_outer, "X_XY"))  &
   relative_to = ._fsae_frontsusp.gel_upright
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.gel_upright.graarm_26  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.hpl_tierod_outer))  &
   relative_to = ._fsae_frontsusp.gel_upright
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.gel_upright.graarm_27  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.hpl_lca_outer))  &
   relative_to = ._fsae_frontsusp.gel_upright
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.gel_upright.afl_aforce_i_2  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.hpl_lca_outer))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.gel_upright_bracket.afl_aforce_j_2))  &
   relative_to = ._fsae_frontsusp.gel_upright
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.gel_upright.jxl_joint_j_13  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}mm, ._fsae_frontsusp.ground.hpl_uca_outer))  &
   orientation =   &
      (ORI_RELATIVE_TO({0.0, 0.0, 0.0}degrees, ._fsae_frontsusp.ground.origo))  &
   relative_to = ._fsae_frontsusp.gel_upright
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
part modify rigid_body name_and_position  &
   part_name = ._fsae_frontsusp.gel_upright  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}inch, ._fsae_frontsusp.ground.cfl_wheel_center))
!
marker modify  &
   marker_name = ._fsae_frontsusp.ger_upright.afr_aforce_meai_2  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.cfr_wheel_center))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.cfr_wheel_center))  &
   relative_to = ._fsae_frontsusp.ger_upright
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.ger_upright.jorcyl_strut_1  &
   location =   &
      (LOC_RELATIVE_TO(._fsae_frontsusp.ground.cfr_lwr_strut_ext.location, ._fsae_frontsusp.ground.cfr_lwr_strut_ext.parent))  &
   orientation =   &
      (ORI_RELATIVE_TO(._fsae_frontsusp.ground.cfr_lwr_strut_ext.orientation, ._fsae_frontsusp.ground.cfr_lwr_strut_ext.parent))  &
   relative_to = ._fsae_frontsusp.ger_upright
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.ger_upright.jxr_joint_j_10  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}mm, ._fsae_frontsusp.ground.hpr_tierod_outer))  &
   orientation =   &
      (ORI_RELATIVE_TO({0.0, 0.0, 0.0}degrees, ._fsae_frontsusp.ground.origo))  &
   relative_to = ._fsae_frontsusp.ger_upright
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.ger_upright.geomar_2  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0.0}, ._fsae_frontsusp.ground.hpr_wheel_center))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.cfr_wheel_center))  &
   relative_to = ._fsae_frontsusp.ger_upright
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.ger_upright.inertia_frame  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ger_upright.cm))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ger_upright))  &
   relative_to = ._fsae_frontsusp.ger_upright
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.ger_upright.jxr_joint_j_20  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}mm, ._fsae_frontsusp.ground.hpr_wheel_center))  &
   orientation =   &
      (ORI_RELATIVE_TO({0.0, 0.0, 0.0}degrees, ._fsae_frontsusp.ground.cfr_wheel_center))  &
   relative_to = ._fsae_frontsusp.ger_upright
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.ger_upright.afr_aforce_meai_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.cfr_wheel_center))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.cfr_wheel_center))  &
   relative_to = ._fsae_frontsusp.ger_upright
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.ger_upright.mar_wheel_center  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}mm, ._fsae_frontsusp.ground.hpr_wheel_center))  &
   orientation =   &
      (ORI_RELATIVE_TO({0.0, 0.0, 0.0}degrees, ._fsae_frontsusp.ground.cfr_wheel_center))  &
   relative_to = ._fsae_frontsusp.ger_upright
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.ger_upright.mar_kingpin_axis  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}mm, ._fsae_frontsusp.ground.hpr_lca_outer))  &
   orientation =   &
      (ORI_ALONG_AXIS(._fsae_frontsusp.ger_upright.mar_kingpin_axis, ._fsae_frontsusp.ground.hpr_uca_outer, "Z"))  &
   relative_to = ._fsae_frontsusp.ger_upright
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.ger_upright.jxr_joint_j_2  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}mm, ._fsae_frontsusp.ground.hpr_lca_outer))  &
   orientation =   &
      (ORI_ALONG_AXIS(._fsae_frontsusp.ground.hpr_lca_outer, ._fsae_frontsusp.ground.hps_camber_adj_orient, "Z"))  &
   relative_to = ._fsae_frontsusp.ger_upright
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.ger_upright.graarm_10  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.hpr_uca_outer))  &
   orientation =   &
      (ORI_IN_PLANE(._fsae_frontsusp.ground.hpr_uca_outer, ._fsae_frontsusp.ground.hpr_wheel_center, ._fsae_frontsusp.ground.hpr_tierod_outer, "X_XY"))  &
   relative_to = ._fsae_frontsusp.ger_upright
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.ger_upright.graarm_11  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.hpr_wheel_center))  &
   relative_to = ._fsae_frontsusp.ger_upright
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.ger_upright.graarm_12  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.hpr_tierod_outer))  &
   relative_to = ._fsae_frontsusp.ger_upright
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.ger_upright.graarm_16  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.hpr_lca_outer))  &
   orientation =   &
      (ORI_IN_PLANE(._fsae_frontsusp.ground.hpr_lca_outer, ._fsae_frontsusp.ground.hpr_wheel_center, ._fsae_frontsusp.ground.hpr_tierod_outer, "X_XY"))  &
   relative_to = ._fsae_frontsusp.ger_upright
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.ger_upright.graarm_17  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.hpr_wheel_center))  &
   relative_to = ._fsae_frontsusp.ger_upright
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.ger_upright.graarm_18  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.hpr_tierod_outer))  &
   relative_to = ._fsae_frontsusp.ger_upright
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.ger_upright.graarm_22  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.hpr_uca_outer))  &
   orientation =   &
      (ORI_IN_PLANE(._fsae_frontsusp.ground.hpr_uca_outer, ._fsae_frontsusp.ground.hpr_wheel_center, ._fsae_frontsusp.ground.hpr_lca_outer, "X_XY"))  &
   relative_to = ._fsae_frontsusp.ger_upright
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.ger_upright.graarm_23  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.hpr_wheel_center))  &
   relative_to = ._fsae_frontsusp.ger_upright
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.ger_upright.graarm_24  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.hpr_lca_outer))  &
   relative_to = ._fsae_frontsusp.ger_upright
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.ger_upright.graarm_28  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.hpr_uca_outer))  &
   orientation =   &
      (ORI_IN_PLANE(._fsae_frontsusp.ground.hpr_uca_outer, ._fsae_frontsusp.ground.hpr_tierod_outer, ._fsae_frontsusp.ground.hpr_lca_outer, "X_XY"))  &
   relative_to = ._fsae_frontsusp.ger_upright
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.ger_upright.graarm_29  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.hpr_tierod_outer))  &
   relative_to = ._fsae_frontsusp.ger_upright
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.ger_upright.graarm_30  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.hpr_lca_outer))  &
   relative_to = ._fsae_frontsusp.ger_upright
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.ger_upright.afr_aforce_i_2  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.hpr_lca_outer))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ger_upright_bracket.afr_aforce_j_2))  &
   relative_to = ._fsae_frontsusp.ger_upright
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.ger_upright.jxr_joint_j_13  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}mm, ._fsae_frontsusp.ground.hpr_uca_outer))  &
   orientation =   &
      (ORI_RELATIVE_TO({0.0, 0.0, 0.0}degrees, ._fsae_frontsusp.ground.origo))  &
   relative_to = ._fsae_frontsusp.ger_upright
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
part modify rigid_body name_and_position  &
   part_name = ._fsae_frontsusp.ger_upright  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}inch, ._fsae_frontsusp.ground.cfr_wheel_center))
!
marker modify  &
   marker_name = ._fsae_frontsusp.gel_damper_inboard.bgl0_strut_topmount_1  &
   location =   &
      (LOC_RELATIVE_TO(._fsae_frontsusp.ground.hpl_damper_inboard.location, ._fsae_frontsusp.ground.hpl_damper_inboard.parent))  &
   orientation =   &
      (ORI_RELATIVE_TO(._fsae_frontsusp.ground.cfl_top_mount_ext.orientation, ._fsae_frontsusp.ground.cfl_top_mount_ext.parent))  &
   relative_to = ._fsae_frontsusp.gel_damper_inboard
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.gel_damper_inboard.jxl_joint_i_12  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.mtl_damper_to_frame.jxl_joint_j_12))  &
   orientation =   &
      (ORI_IN_PLANE(._fsae_frontsusp.gel_damper_inboard.jxl_joint_i_12, ._fsae_frontsusp.ground.hpl_damper_outboard, ._fsae_frontsusp.ground.hpr_damper_inboard, "Z_ZX"))  &
   relative_to = ._fsae_frontsusp.gel_damper_inboard
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.gel_damper_inboard.jxl_joint_j_14  &
   location =   &
      (LOC_RELATIVE_TO(LOC_CENTERED({._fsae_frontsusp.ground.hpl_damper_inboard.loc, ._fsae_frontsusp.ground.hpl_damper_outboard.loc}, 2), ._fsae_frontsusp.ground))  &
   orientation =   &
      (ORI_IN_PLANE(._fsae_frontsusp.gel_damper_inboard.jxl_joint_j_14, ._fsae_frontsusp.ground.hpl_damper_inboard, ._fsae_frontsusp.ground.hpl_damper_outboard, "Z_ZX"))  &
   relative_to = ._fsae_frontsusp.gel_damper_inboard
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.gel_damper_inboard.bul_bumpstop_i_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.hpl_damper_inboard))  &
   relative_to = ._fsae_frontsusp.gel_damper_inboard
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.gel_damper_inboard.dal_damper_i_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.hpl_damper_inboard))  &
   relative_to = ._fsae_frontsusp.gel_damper_inboard
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.gel_damper_inboard.inertia_frame  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.gel_damper_inboard.cm))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.gel_damper_inboard))  &
   relative_to = ._fsae_frontsusp.gel_damper_inboard
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.gel_damper_inboard.nsl_spring_i_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.hpl_damper_inboard))  &
   relative_to = ._fsae_frontsusp.gel_damper_inboard
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
part modify rigid_body name_and_position  &
   part_name = ._fsae_frontsusp.gel_damper_inboard  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}inch, ._fsae_frontsusp.ground.hpl_damper_inboard))  &
   orientation =   &
      (ORI_ALONG_AXIS(._fsae_frontsusp.gel_damper_inboard, ._fsae_frontsusp.ground.hpl_damper_inboard, "Z"))
!
marker modify  &
   marker_name = ._fsae_frontsusp.ger_damper_inboard.bgr0_strut_topmount_1  &
   location =   &
      (LOC_RELATIVE_TO(._fsae_frontsusp.ground.hpr_damper_inboard.location, ._fsae_frontsusp.ground.hpr_damper_inboard.parent))  &
   orientation =   &
      (ORI_RELATIVE_TO(._fsae_frontsusp.ground.cfr_top_mount_ext.orientation, ._fsae_frontsusp.ground.cfr_top_mount_ext.parent))  &
   relative_to = ._fsae_frontsusp.ger_damper_inboard
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.ger_damper_inboard.jxr_joint_i_12  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.mtr_damper_to_frame.jxr_joint_j_12))  &
   orientation =   &
      (ORI_IN_PLANE(._fsae_frontsusp.ger_damper_inboard.jxr_joint_i_12, ._fsae_frontsusp.ground.hpr_damper_outboard, ._fsae_frontsusp.ground.hpl_damper_inboard, "Z_ZX"))  &
   relative_to = ._fsae_frontsusp.ger_damper_inboard
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.ger_damper_inboard.jxr_joint_j_14  &
   location =   &
      (LOC_RELATIVE_TO(LOC_CENTERED({._fsae_frontsusp.ground.hpr_damper_inboard.loc, ._fsae_frontsusp.ground.hpr_damper_outboard.loc}, 2), ._fsae_frontsusp.ground))  &
   orientation =   &
      (ORI_IN_PLANE(._fsae_frontsusp.ger_damper_inboard.jxr_joint_j_14, ._fsae_frontsusp.ground.hpr_damper_inboard, ._fsae_frontsusp.ground.hpr_damper_outboard, "Z_ZX"))  &
   relative_to = ._fsae_frontsusp.ger_damper_inboard
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.ger_damper_inboard.bur_bumpstop_i_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.hpr_damper_inboard))  &
   relative_to = ._fsae_frontsusp.ger_damper_inboard
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.ger_damper_inboard.dar_damper_i_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.hpr_damper_inboard))  &
   relative_to = ._fsae_frontsusp.ger_damper_inboard
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.ger_damper_inboard.inertia_frame  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ger_damper_inboard.cm))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ger_damper_inboard))  &
   relative_to = ._fsae_frontsusp.ger_damper_inboard
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.ger_damper_inboard.nsr_spring_i_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.hpr_damper_inboard))  &
   relative_to = ._fsae_frontsusp.ger_damper_inboard
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
part modify rigid_body name_and_position  &
   part_name = ._fsae_frontsusp.ger_damper_inboard  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}inch, ._fsae_frontsusp.ground.hpr_damper_inboard))  &
   orientation =   &
      (ORI_ALONG_AXIS(._fsae_frontsusp.ger_damper_inboard, ._fsae_frontsusp.ground.hpr_damper_inboard, "Z"))
!
marker modify  &
   marker_name = ._fsae_frontsusp.mtl_tierod_to_steering.jxl_joint_j_11  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}mm, ._fsae_frontsusp.ground.hpl_tierod_inner))  &
   orientation =   &
      (ORI_IN_PLANE(._fsae_frontsusp.mtl_tierod_to_steering.jxl_joint_j_11, ._fsae_frontsusp.ground.hpr_tierod_inner, ._fsae_frontsusp.ground.hpl_tierod_outer, "Z_ZX"))  &
   relative_to = ._fsae_frontsusp.mtl_tierod_to_steering
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
part modify rigid_body name_and_position  &
   part_name = ._fsae_frontsusp.mtl_tierod_to_steering  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.hpl_tierod_inner))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.origo))
!
marker modify  &
   marker_name = ._fsae_frontsusp.mtr_tierod_to_steering.jxr_joint_j_11  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}mm, ._fsae_frontsusp.ground.hpr_tierod_inner))  &
   orientation =   &
      (ORI_IN_PLANE(._fsae_frontsusp.mtr_tierod_to_steering.jxr_joint_j_11, ._fsae_frontsusp.ground.hpl_tierod_inner, ._fsae_frontsusp.ground.hpr_tierod_outer, "Z_ZX"))  &
   relative_to = ._fsae_frontsusp.mtr_tierod_to_steering
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
part modify rigid_body name_and_position  &
   part_name = ._fsae_frontsusp.mtr_tierod_to_steering  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.hpr_tierod_inner))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.origo))
!
marker modify  &
   marker_name = ._fsae_frontsusp.mtl_damper_to_frame.jxl_joint_j_12  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}inch, ._fsae_frontsusp.ground.hpl_damper_inboard))  &
   orientation =   &
      (ORI_IN_PLANE(._fsae_frontsusp.mtl_damper_to_frame.jxl_joint_j_12, ._fsae_frontsusp.ground.hpr_damper_inboard, ._fsae_frontsusp.ground.hpl_damper_outboard, "Z_ZX"))  &
   relative_to = ._fsae_frontsusp.mtl_damper_to_frame
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
part modify rigid_body name_and_position  &
   part_name = ._fsae_frontsusp.mtl_damper_to_frame  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.hpl_damper_inboard))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.origo))
!
marker modify  &
   marker_name = ._fsae_frontsusp.mtr_damper_to_frame.jxr_joint_j_12  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}inch, ._fsae_frontsusp.ground.hpr_damper_inboard))  &
   orientation =   &
      (ORI_IN_PLANE(._fsae_frontsusp.mtr_damper_to_frame.jxr_joint_j_12, ._fsae_frontsusp.ground.hpl_damper_inboard, ._fsae_frontsusp.ground.hpr_damper_outboard, "Z_ZX"))  &
   relative_to = ._fsae_frontsusp.mtr_damper_to_frame
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
part modify rigid_body name_and_position  &
   part_name = ._fsae_frontsusp.mtr_damper_to_frame  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.hpr_damper_inboard))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.origo))
!
marker modify  &
   marker_name = ._fsae_frontsusp.gel_upper_control_arm.jxl_joint_i_13  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.gel_upright.jxl_joint_j_13))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.gel_upright.jxl_joint_j_13))  &
   relative_to = ._fsae_frontsusp.gel_upper_control_arm
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.gel_upper_control_arm.kp2_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.hpl_uca_outer))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.origo))  &
   relative_to = ._fsae_frontsusp.gel_upper_control_arm
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.gel_upper_control_arm.inertia_frame  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.gel_upper_control_arm.cm))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.gel_upper_control_arm))  &
   relative_to = ._fsae_frontsusp.gel_upper_control_arm
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.gel_upper_control_arm.gralin_9  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.hpl_uca_front))  &
   orientation =   &
      (ORI_ALONG_AXIS(._fsae_frontsusp.ground.hpl_uca_front, ._fsae_frontsusp.ground.hpl_uca_outer, "Z"))  &
   relative_to = ._fsae_frontsusp.gel_upper_control_arm
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.gel_upper_control_arm.gralin_11  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.hpl_uca_rear))  &
   orientation =   &
      (ORI_ALONG_AXIS(._fsae_frontsusp.ground.hpl_uca_rear, ._fsae_frontsusp.ground.hpl_uca_outer, "Z"))  &
   relative_to = ._fsae_frontsusp.gel_upper_control_arm
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.gel_upper_control_arm.graell_7  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.hpl_uca_outer))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.hpl_uca_outer))  &
   relative_to = ._fsae_frontsusp.gel_upper_control_arm
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.gel_upper_control_arm.graell_17  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.hpl_uca_front))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.hpl_uca_front))  &
   relative_to = ._fsae_frontsusp.gel_upper_control_arm
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.gel_upper_control_arm.graell_19  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.hpl_uca_rear))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.hpl_uca_rear))  &
   relative_to = ._fsae_frontsusp.gel_upper_control_arm
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.gel_upper_control_arm.bxl_bushing_i_3  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.mtl_uca_to_frame.bxl_bushing_j_3))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.mtl_uca_to_frame.bxl_bushing_j_3))  &
   relative_to = ._fsae_frontsusp.gel_upper_control_arm
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.gel_upper_control_arm.bxl_bushgeom_i_3  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, -._fsae_frontsusp.bgl_uca_front.geoLength / 2}, ._fsae_frontsusp.gel_upper_control_arm.bxl_bushing_i_3))  &
   orientation =   &
      (ORI_RELATIVE_TO({270deg, 0, 0}, ._fsae_frontsusp.gel_upper_control_arm.bxl_bushing_i_3))  &
   relative_to = ._fsae_frontsusp.gel_upper_control_arm
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.gel_upper_control_arm.bxl_bushing_i_4  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.mtl_uca_to_frame.bxl_bushing_j_4))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.mtl_uca_to_frame.bxl_bushing_j_4))  &
   relative_to = ._fsae_frontsusp.gel_upper_control_arm
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.gel_upper_control_arm.bxl_bushgeom_i_4  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, -._fsae_frontsusp.bgl_uca_rear.geoLength / 2}, ._fsae_frontsusp.gel_upper_control_arm.bxl_bushing_i_4))  &
   orientation =   &
      (ORI_RELATIVE_TO({270deg, 0, 0}, ._fsae_frontsusp.gel_upper_control_arm.bxl_bushing_i_4))  &
   relative_to = ._fsae_frontsusp.gel_upper_control_arm
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
geometry modify shape cylinder  &
   cylinder_name = ._fsae_frontsusp.gel_upper_control_arm.gralin_uca_front  &
   length = (DM(._fsae_frontsusp.ground.hpl_uca_front, ._fsae_frontsusp.ground.hpl_uca_outer))
!
geometry modify shape cylinder  &
   cylinder_name = ._fsae_frontsusp.gel_upper_control_arm.gralin_uca_rear  &
   length = (DM(._fsae_frontsusp.ground.hpl_uca_rear, ._fsae_frontsusp.ground.hpl_uca_outer))
!
geometry modify shape ellipsoid  &
   ellipsoid_name = ._fsae_frontsusp.gel_upper_control_arm.graell_upright_upr_ball  &
   x_scale_factor = (._fsae_frontsusp.gel_upper_control_arm.gralin_uca_front.radius * 2 * 1.0)  &
   y_scale_factor = (._fsae_frontsusp.gel_upper_control_arm.gralin_uca_front.radius * 2 * 1.0)  &
   z_scale_factor = (._fsae_frontsusp.gel_upper_control_arm.gralin_uca_front.radius * 2 * 1.0)
!
geometry modify shape ellipsoid  &
   ellipsoid_name = ._fsae_frontsusp.gel_upper_control_arm.graell_uca_front  &
   x_scale_factor = (._fsae_frontsusp.gel_upper_control_arm.gralin_uca_front.radius * 2 * 1.0)  &
   y_scale_factor = (._fsae_frontsusp.gel_upper_control_arm.gralin_uca_front.radius * 2 * 1.0)  &
   z_scale_factor = (._fsae_frontsusp.gel_upper_control_arm.gralin_uca_front.radius * 2 * 1.0)
!
geometry modify shape ellipsoid  &
   ellipsoid_name = ._fsae_frontsusp.gel_upper_control_arm.graell_uca_rear  &
   x_scale_factor = (._fsae_frontsusp.gel_upper_control_arm.gralin_uca_rear.radius * 2 * 1.0)  &
   y_scale_factor = (._fsae_frontsusp.gel_upper_control_arm.gralin_uca_rear.radius * 2 * 1.0)  &
   z_scale_factor = (._fsae_frontsusp.gel_upper_control_arm.gralin_uca_rear.radius * 2 * 1.0)
!
part modify rigid_body name_and_position  &
   part_name = ._fsae_frontsusp.gel_upper_control_arm  &
   location =   &
      (LOC_CENTERED({._fsae_frontsusp.ground.hpl_uca_rear.loc, ._fsae_frontsusp.ground.hpl_uca_front.loc, ._fsae_frontsusp.ground.hpl_uca_outer.loc}, 3))  &
   orientation =   &
      (ORI_IN_PLANE(._fsae_frontsusp.gel_upper_control_arm, ._fsae_frontsusp.ground.hpl_uca_outer, ._fsae_frontsusp.ground.hpl_uca_front, "Z_ZX"))
!
marker modify  &
   marker_name = ._fsae_frontsusp.ger_upper_control_arm.jxr_joint_i_13  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ger_upright.jxr_joint_j_13))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ger_upright.jxr_joint_j_13))  &
   relative_to = ._fsae_frontsusp.ger_upper_control_arm
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.ger_upper_control_arm.kp2_2  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.hpr_uca_outer))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.origo))  &
   relative_to = ._fsae_frontsusp.ger_upper_control_arm
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.ger_upper_control_arm.inertia_frame  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ger_upper_control_arm.cm))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ger_upper_control_arm))  &
   relative_to = ._fsae_frontsusp.ger_upper_control_arm
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.ger_upper_control_arm.gralin_10  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.hpr_uca_front))  &
   orientation =   &
      (ORI_ALONG_AXIS(._fsae_frontsusp.ground.hpr_uca_front, ._fsae_frontsusp.ground.hpr_uca_outer, "Z"))  &
   relative_to = ._fsae_frontsusp.ger_upper_control_arm
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.ger_upper_control_arm.gralin_12  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.hpr_uca_rear))  &
   orientation =   &
      (ORI_ALONG_AXIS(._fsae_frontsusp.ground.hpr_uca_rear, ._fsae_frontsusp.ground.hpr_uca_outer, "Z"))  &
   relative_to = ._fsae_frontsusp.ger_upper_control_arm
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.ger_upper_control_arm.graell_8  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.hpr_uca_outer))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.hpr_uca_outer))  &
   relative_to = ._fsae_frontsusp.ger_upper_control_arm
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.ger_upper_control_arm.graell_18  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.hpr_uca_front))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.hpr_uca_front))  &
   relative_to = ._fsae_frontsusp.ger_upper_control_arm
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.ger_upper_control_arm.graell_20  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.hpr_uca_rear))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.hpr_uca_rear))  &
   relative_to = ._fsae_frontsusp.ger_upper_control_arm
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.ger_upper_control_arm.bxr_bushing_i_3  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.mtr_uca_to_frame.bxr_bushing_j_3))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.mtr_uca_to_frame.bxr_bushing_j_3))  &
   relative_to = ._fsae_frontsusp.ger_upper_control_arm
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.ger_upper_control_arm.bxr_bushgeom_i_3  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, -._fsae_frontsusp.bgr_uca_front.geoLength / 2}, ._fsae_frontsusp.ger_upper_control_arm.bxr_bushing_i_3))  &
   orientation =   &
      (ORI_RELATIVE_TO({270deg, 0, 0}, ._fsae_frontsusp.ger_upper_control_arm.bxr_bushing_i_3))  &
   relative_to = ._fsae_frontsusp.ger_upper_control_arm
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.ger_upper_control_arm.bxr_bushing_i_4  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.mtr_uca_to_frame.bxr_bushing_j_4))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.mtr_uca_to_frame.bxr_bushing_j_4))  &
   relative_to = ._fsae_frontsusp.ger_upper_control_arm
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.ger_upper_control_arm.bxr_bushgeom_i_4  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, -._fsae_frontsusp.bgr_uca_rear.geoLength / 2}, ._fsae_frontsusp.ger_upper_control_arm.bxr_bushing_i_4))  &
   orientation =   &
      (ORI_RELATIVE_TO({270deg, 0, 0}, ._fsae_frontsusp.ger_upper_control_arm.bxr_bushing_i_4))  &
   relative_to = ._fsae_frontsusp.ger_upper_control_arm
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
geometry modify shape cylinder  &
   cylinder_name = ._fsae_frontsusp.ger_upper_control_arm.gralin_uca_front  &
   length = (DM(._fsae_frontsusp.ground.hpr_uca_front, ._fsae_frontsusp.ground.hpr_uca_outer))
!
geometry modify shape cylinder  &
   cylinder_name = ._fsae_frontsusp.ger_upper_control_arm.gralin_uca_rear  &
   length = (DM(._fsae_frontsusp.ground.hpr_uca_rear, ._fsae_frontsusp.ground.hpr_uca_outer))
!
geometry modify shape ellipsoid  &
   ellipsoid_name = ._fsae_frontsusp.ger_upper_control_arm.graell_upright_upr_ball  &
   x_scale_factor = (._fsae_frontsusp.ger_upper_control_arm.gralin_uca_front.radius * 2 * 1.0)  &
   y_scale_factor = (._fsae_frontsusp.ger_upper_control_arm.gralin_uca_front.radius * 2 * 1.0)  &
   z_scale_factor = (._fsae_frontsusp.ger_upper_control_arm.gralin_uca_front.radius * 2 * 1.0)
!
geometry modify shape ellipsoid  &
   ellipsoid_name = ._fsae_frontsusp.ger_upper_control_arm.graell_uca_front  &
   x_scale_factor = (._fsae_frontsusp.ger_upper_control_arm.gralin_uca_front.radius * 2 * 1.0)  &
   y_scale_factor = (._fsae_frontsusp.ger_upper_control_arm.gralin_uca_front.radius * 2 * 1.0)  &
   z_scale_factor = (._fsae_frontsusp.ger_upper_control_arm.gralin_uca_front.radius * 2 * 1.0)
!
geometry modify shape ellipsoid  &
   ellipsoid_name = ._fsae_frontsusp.ger_upper_control_arm.graell_uca_rear  &
   x_scale_factor = (._fsae_frontsusp.ger_upper_control_arm.gralin_uca_rear.radius * 2 * 1.0)  &
   y_scale_factor = (._fsae_frontsusp.ger_upper_control_arm.gralin_uca_rear.radius * 2 * 1.0)  &
   z_scale_factor = (._fsae_frontsusp.ger_upper_control_arm.gralin_uca_rear.radius * 2 * 1.0)
!
part modify rigid_body name_and_position  &
   part_name = ._fsae_frontsusp.ger_upper_control_arm  &
   location =   &
      (LOC_CENTERED({._fsae_frontsusp.ground.hpr_uca_rear.loc, ._fsae_frontsusp.ground.hpr_uca_front.loc, ._fsae_frontsusp.ground.hpr_uca_outer.loc}, 3))  &
   orientation =   &
      (ORI_IN_PLANE(._fsae_frontsusp.ger_upper_control_arm, ._fsae_frontsusp.ground.hpr_uca_outer, ._fsae_frontsusp.ground.hpr_uca_front, "Z_ZX"))
!
marker modify  &
   marker_name = ._fsae_frontsusp.gel_damper_outboard.jxl_joint_i_14  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.gel_damper_inboard.jxl_joint_j_14))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.gel_damper_inboard.jxl_joint_j_14))  &
   relative_to = ._fsae_frontsusp.gel_damper_outboard
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.gel_damper_outboard.bul_bumpstop_j_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.cfl_lwr_strut_ext))  &
   relative_to = ._fsae_frontsusp.gel_damper_outboard
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.gel_damper_outboard.jxl_joint_i_16  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.gel_BC.jxl_joint_j_16))  &
   orientation =   &
      (ORI_IN_PLANE(._fsae_frontsusp.gel_damper_outboard.jxl_joint_i_16, ._fsae_frontsusp.ground.hpl_damper_inboard, ._fsae_frontsusp.ground.hpl_prod_inboard, "Z_ZX"))  &
   relative_to = ._fsae_frontsusp.gel_damper_outboard
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.gel_damper_outboard.dal_damper_j_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.hpl_damper_outboard))  &
   relative_to = ._fsae_frontsusp.gel_damper_outboard
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.gel_damper_outboard.nsl_spring_j_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.cfl_lwr_spring_seat))  &
   relative_to = ._fsae_frontsusp.gel_damper_outboard
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.gel_damper_outboard.inertia_frame  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.gel_damper_outboard.cm))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.gel_damper_outboard))  &
   relative_to = ._fsae_frontsusp.gel_damper_outboard
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
part modify rigid_body name_and_position  &
   part_name = ._fsae_frontsusp.gel_damper_outboard  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}inch, ._fsae_frontsusp.ground.hpl_damper_outboard))  &
   orientation =   &
      (ORI_ALONG_AXIS(._fsae_frontsusp.gel_damper_outboard, ._fsae_frontsusp.ground.hpl_damper_inboard, "Z"))
!
marker modify  &
   marker_name = ._fsae_frontsusp.ger_damper_outboard.jxr_joint_i_14  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ger_damper_inboard.jxr_joint_j_14))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ger_damper_inboard.jxr_joint_j_14))  &
   relative_to = ._fsae_frontsusp.ger_damper_outboard
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.ger_damper_outboard.bur_bumpstop_j_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.cfr_lwr_strut_ext))  &
   relative_to = ._fsae_frontsusp.ger_damper_outboard
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.ger_damper_outboard.jxr_joint_i_16  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ger_BC.jxr_joint_j_16))  &
   orientation =   &
      (ORI_IN_PLANE(._fsae_frontsusp.ger_damper_outboard.jxr_joint_i_16, ._fsae_frontsusp.ground.hpr_damper_inboard, ._fsae_frontsusp.ground.hpr_prod_inboard, "Z_ZX"))  &
   relative_to = ._fsae_frontsusp.ger_damper_outboard
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.ger_damper_outboard.dar_damper_j_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.hpr_damper_outboard))  &
   relative_to = ._fsae_frontsusp.ger_damper_outboard
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.ger_damper_outboard.nsr_spring_j_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.cfr_lwr_spring_seat))  &
   relative_to = ._fsae_frontsusp.ger_damper_outboard
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.ger_damper_outboard.inertia_frame  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ger_damper_outboard.cm))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ger_damper_outboard))  &
   relative_to = ._fsae_frontsusp.ger_damper_outboard
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
part modify rigid_body name_and_position  &
   part_name = ._fsae_frontsusp.ger_damper_outboard  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}inch, ._fsae_frontsusp.ground.hpr_damper_outboard))  &
   orientation =   &
      (ORI_ALONG_AXIS(._fsae_frontsusp.ger_damper_outboard, ._fsae_frontsusp.ground.hpr_damper_inboard, "Z"))
!
marker modify  &
   marker_name = ._fsae_frontsusp.mtl_uca_to_frame.bxl_bushing_j_3  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.bgl_uca_front))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.bgl_uca_front))  &
   relative_to = ._fsae_frontsusp.mtl_uca_to_frame
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.mtl_uca_to_frame.bxl_bushgeom_j_3  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, -._fsae_frontsusp.bgl_uca_front.geoLength / 2}, ._fsae_frontsusp.mtl_uca_to_frame.bxl_bushing_j_3))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.mtl_uca_to_frame.bxl_bushing_j_3))  &
   relative_to = ._fsae_frontsusp.mtl_uca_to_frame
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.mtl_uca_to_frame.bxl_bushing_j_4  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.bgl_uca_rear))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.bgl_uca_rear))  &
   relative_to = ._fsae_frontsusp.mtl_uca_to_frame
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.mtl_uca_to_frame.bxl_bushgeom_j_4  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, -._fsae_frontsusp.bgl_uca_rear.geoLength / 2}, ._fsae_frontsusp.mtl_uca_to_frame.bxl_bushing_j_4))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.mtl_uca_to_frame.bxl_bushing_j_4))  &
   relative_to = ._fsae_frontsusp.mtl_uca_to_frame
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
part modify rigid_body name_and_position  &
   part_name = ._fsae_frontsusp.mtl_uca_to_frame  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.hpl_uca_rear))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.origo))
!
marker modify  &
   marker_name = ._fsae_frontsusp.mtr_uca_to_frame.bxr_bushing_j_3  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.bgr_uca_front))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.bgr_uca_front))  &
   relative_to = ._fsae_frontsusp.mtr_uca_to_frame
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.mtr_uca_to_frame.bxr_bushgeom_j_3  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, -._fsae_frontsusp.bgr_uca_front.geoLength / 2}, ._fsae_frontsusp.mtr_uca_to_frame.bxr_bushing_j_3))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.mtr_uca_to_frame.bxr_bushing_j_3))  &
   relative_to = ._fsae_frontsusp.mtr_uca_to_frame
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.mtr_uca_to_frame.bxr_bushing_j_4  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.bgr_uca_rear))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.bgr_uca_rear))  &
   relative_to = ._fsae_frontsusp.mtr_uca_to_frame
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.mtr_uca_to_frame.bxr_bushgeom_j_4  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, -._fsae_frontsusp.bgr_uca_rear.geoLength / 2}, ._fsae_frontsusp.mtr_uca_to_frame.bxr_bushing_j_4))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.mtr_uca_to_frame.bxr_bushing_j_4))  &
   relative_to = ._fsae_frontsusp.mtr_uca_to_frame
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
part modify rigid_body name_and_position  &
   part_name = ._fsae_frontsusp.mtr_uca_to_frame  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.hpr_uca_rear))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.origo))
!
marker modify  &
   marker_name = ._fsae_frontsusp.gel_spindle.inertia_frame  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.gel_spindle.cm))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.gel_spindle))  &
   relative_to = ._fsae_frontsusp.gel_spindle
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.gel_spindle.gracyl_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0.0}inch, ._fsae_frontsusp.ground.cfl_drive_shaft_otr))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.cfl_drive_shaft_otr))  &
   relative_to = ._fsae_frontsusp.gel_spindle
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.gel_spindle.jxl_joint_i_20  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.gel_upright.jxl_joint_j_20))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.gel_upright.jxl_joint_j_20))  &
   relative_to = ._fsae_frontsusp.gel_spindle
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
part modify rigid_body name_and_position  &
   part_name = ._fsae_frontsusp.gel_spindle  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}inch, ._fsae_frontsusp.ground.cfl_wheel_center))  &
   orientation =   &
      (ORI_RELATIVE_TO({0.0, 0.0, 0.0}degrees, ._fsae_frontsusp.ground.cfl_wheel_center))
!
marker modify  &
   marker_name = ._fsae_frontsusp.ger_spindle.inertia_frame  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ger_spindle.cm))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ger_spindle))  &
   relative_to = ._fsae_frontsusp.ger_spindle
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.ger_spindle.gracyl_2  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0.0}inch, ._fsae_frontsusp.ground.cfr_drive_shaft_otr))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.cfr_drive_shaft_otr))  &
   relative_to = ._fsae_frontsusp.ger_spindle
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.ger_spindle.jxr_joint_i_20  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ger_upright.jxr_joint_j_20))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ger_upright.jxr_joint_j_20))  &
   relative_to = ._fsae_frontsusp.ger_spindle
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
part modify rigid_body name_and_position  &
   part_name = ._fsae_frontsusp.ger_spindle  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}inch, ._fsae_frontsusp.ground.cfr_wheel_center))  &
   orientation =   &
      (ORI_RELATIVE_TO({0.0, 0.0, 0.0}degrees, ._fsae_frontsusp.ground.cfr_wheel_center))
!
marker modify  &
   marker_name = ._fsae_frontsusp.mtr_lca_to_frame.bxr_bushing_j_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.bgr_lca_front))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.bgr_lca_front))  &
   relative_to = ._fsae_frontsusp.mtr_lca_to_frame
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.mtr_lca_to_frame.bxr_bushgeom_j_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, -._fsae_frontsusp.bgr_lca_front.geoLength / 2}, ._fsae_frontsusp.mtr_lca_to_frame.bxr_bushing_j_1))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.mtr_lca_to_frame.bxr_bushing_j_1))  &
   relative_to = ._fsae_frontsusp.mtr_lca_to_frame
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.mtr_lca_to_frame.bxr_bushing_j_2  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.bgr_lca_rear))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.bgr_lca_rear))  &
   relative_to = ._fsae_frontsusp.mtr_lca_to_frame
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.mtr_lca_to_frame.bxr_bushgeom_j_2  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, -._fsae_frontsusp.bgr_lca_rear.geoLength / 2}, ._fsae_frontsusp.mtr_lca_to_frame.bxr_bushing_j_2))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.mtr_lca_to_frame.bxr_bushing_j_2))  &
   relative_to = ._fsae_frontsusp.mtr_lca_to_frame
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
part modify rigid_body name_and_position  &
   part_name = ._fsae_frontsusp.mtr_lca_to_frame  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.hpr_lca_rear))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.origo))
!
marker modify  &
   marker_name = ._fsae_frontsusp.mtl_lca_to_frame.bxl_bushing_j_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.bgl_lca_front))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.bgl_lca_front))  &
   relative_to = ._fsae_frontsusp.mtl_lca_to_frame
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.mtl_lca_to_frame.bxl_bushgeom_j_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, -._fsae_frontsusp.bgl_lca_front.geoLength / 2}, ._fsae_frontsusp.mtl_lca_to_frame.bxl_bushing_j_1))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.mtl_lca_to_frame.bxl_bushing_j_1))  &
   relative_to = ._fsae_frontsusp.mtl_lca_to_frame
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.mtl_lca_to_frame.bxl_bushing_j_2  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.bgl_lca_rear))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.bgl_lca_rear))  &
   relative_to = ._fsae_frontsusp.mtl_lca_to_frame
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.mtl_lca_to_frame.bxl_bushgeom_j_2  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, -._fsae_frontsusp.bgl_lca_rear.geoLength / 2}, ._fsae_frontsusp.mtl_lca_to_frame.bxl_bushing_j_2))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.mtl_lca_to_frame.bxl_bushing_j_2))  &
   relative_to = ._fsae_frontsusp.mtl_lca_to_frame
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
part modify rigid_body name_and_position  &
   part_name = ._fsae_frontsusp.mtl_lca_to_frame  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.hpl_lca_rear))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.origo))
!
marker modify  &
   marker_name = ._fsae_frontsusp.gel_prod.inertia_frame  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.gel_prod.cm))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.gel_prod))  &
   relative_to = ._fsae_frontsusp.gel_prod
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.gel_prod.jxl_joint_i_4  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.gel_BC.jxl_joint_j_4))  &
   orientation =   &
      (ORI_IN_PLANE(._fsae_frontsusp.gel_prod.jxl_joint_i_4, ._fsae_frontsusp.ground.hpl_prod_outboard, ._fsae_frontsusp.ground.hpl_damper_outboard, "Z_ZX"))  &
   relative_to = ._fsae_frontsusp.gel_prod
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.gel_prod.jxl_joint_j_5  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}mm, ._fsae_frontsusp.ground.hpl_prod_outboard))  &
   orientation =   &
      (ORI_RELATIVE_TO({0.0, 0.0, 0.0}degrees, ._fsae_frontsusp.ground.origo))  &
   relative_to = ._fsae_frontsusp.gel_prod
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.gel_prod.gralin_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.hpl_prod_inboard))  &
   orientation =   &
      (ORI_ALONG_AXIS(._fsae_frontsusp.ground.hpl_prod_inboard, ._fsae_frontsusp.ground.hpl_prod_outboard, "Z"))  &
   relative_to = ._fsae_frontsusp.gel_prod
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.gel_prod.graell_13  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.hpl_prod_outboard))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.hpl_prod_outboard))  &
   relative_to = ._fsae_frontsusp.gel_prod
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.gel_prod.graell_15  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.hpl_prod_inboard))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.hpl_prod_inboard))  &
   relative_to = ._fsae_frontsusp.gel_prod
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
geometry modify shape cylinder  &
   cylinder_name = ._fsae_frontsusp.gel_prod.gralin_prod  &
   length = (DM(._fsae_frontsusp.ground.hpl_prod_inboard, ._fsae_frontsusp.ground.hpl_prod_outboard))
!
geometry modify shape ellipsoid  &
   ellipsoid_name = ._fsae_frontsusp.gel_prod.graell_prod_outboard  &
   x_scale_factor = (._fsae_frontsusp.gel_prod.gralin_prod.radius * 2 * 1.0)  &
   y_scale_factor = (._fsae_frontsusp.gel_prod.gralin_prod.radius * 2 * 1.0)  &
   z_scale_factor = (._fsae_frontsusp.gel_prod.gralin_prod.radius * 2 * 1.0)
!
geometry modify shape ellipsoid  &
   ellipsoid_name = ._fsae_frontsusp.gel_prod.graell_prod_inboard  &
   x_scale_factor = (._fsae_frontsusp.gel_prod.gralin_prod.radius * 2 * 1.0)  &
   y_scale_factor = (._fsae_frontsusp.gel_prod.gralin_prod.radius * 2 * 1.0)  &
   z_scale_factor = (._fsae_frontsusp.gel_prod.gralin_prod.radius * 2 * 1.0)
!
part modify rigid_body name_and_position  &
   part_name = ._fsae_frontsusp.gel_prod  &
   location =   &
      (LOC_CENTERED({._fsae_frontsusp.ground.hpl_prod_inboard.loc, ._fsae_frontsusp.ground.hpl_prod_outboard.loc}, 2))  &
   orientation =   &
      (ORI_ALONG_AXIS(._fsae_frontsusp.ground.hpl_prod_inboard, ._fsae_frontsusp.ground.hpl_prod_outboard, "Z"))
!
marker modify  &
   marker_name = ._fsae_frontsusp.ger_prod.inertia_frame  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ger_prod.cm))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ger_prod))  &
   relative_to = ._fsae_frontsusp.ger_prod
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.ger_prod.jxr_joint_i_4  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ger_BC.jxr_joint_j_4))  &
   orientation =   &
      (ORI_IN_PLANE(._fsae_frontsusp.ger_prod.jxr_joint_i_4, ._fsae_frontsusp.ground.hpr_prod_outboard, ._fsae_frontsusp.ground.hpr_damper_outboard, "Z_ZX"))  &
   relative_to = ._fsae_frontsusp.ger_prod
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.ger_prod.jxr_joint_j_5  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}mm, ._fsae_frontsusp.ground.hpr_prod_outboard))  &
   orientation =   &
      (ORI_RELATIVE_TO({0.0, 0.0, 0.0}degrees, ._fsae_frontsusp.ground.origo))  &
   relative_to = ._fsae_frontsusp.ger_prod
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.ger_prod.gralin_2  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.hpr_prod_inboard))  &
   orientation =   &
      (ORI_ALONG_AXIS(._fsae_frontsusp.ground.hpr_prod_inboard, ._fsae_frontsusp.ground.hpr_prod_outboard, "Z"))  &
   relative_to = ._fsae_frontsusp.ger_prod
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.ger_prod.graell_14  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.hpr_prod_outboard))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.hpr_prod_outboard))  &
   relative_to = ._fsae_frontsusp.ger_prod
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.ger_prod.graell_16  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.hpr_prod_inboard))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.hpr_prod_inboard))  &
   relative_to = ._fsae_frontsusp.ger_prod
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
geometry modify shape cylinder  &
   cylinder_name = ._fsae_frontsusp.ger_prod.gralin_prod  &
   length = (DM(._fsae_frontsusp.ground.hpr_prod_inboard, ._fsae_frontsusp.ground.hpr_prod_outboard))
!
geometry modify shape ellipsoid  &
   ellipsoid_name = ._fsae_frontsusp.ger_prod.graell_prod_outboard  &
   x_scale_factor = (._fsae_frontsusp.ger_prod.gralin_prod.radius * 2 * 1.0)  &
   y_scale_factor = (._fsae_frontsusp.ger_prod.gralin_prod.radius * 2 * 1.0)  &
   z_scale_factor = (._fsae_frontsusp.ger_prod.gralin_prod.radius * 2 * 1.0)
!
geometry modify shape ellipsoid  &
   ellipsoid_name = ._fsae_frontsusp.ger_prod.graell_prod_inboard  &
   x_scale_factor = (._fsae_frontsusp.ger_prod.gralin_prod.radius * 2 * 1.0)  &
   y_scale_factor = (._fsae_frontsusp.ger_prod.gralin_prod.radius * 2 * 1.0)  &
   z_scale_factor = (._fsae_frontsusp.ger_prod.gralin_prod.radius * 2 * 1.0)
!
part modify rigid_body name_and_position  &
   part_name = ._fsae_frontsusp.ger_prod  &
   location =   &
      (LOC_CENTERED({._fsae_frontsusp.ground.hpr_prod_inboard.loc, ._fsae_frontsusp.ground.hpr_prod_outboard.loc}, 2))  &
   orientation =   &
      (ORI_ALONG_AXIS(._fsae_frontsusp.ground.hpr_prod_inboard, ._fsae_frontsusp.ground.hpr_prod_outboard, "Z"))
!
marker modify  &
   marker_name = ._fsae_frontsusp.gel_BC.inertia_frame  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.gel_BC.cm))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.gel_BC))  &
   relative_to = ._fsae_frontsusp.gel_BC
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.gel_BC.jxl_joint_j_16  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}mm, ._fsae_frontsusp.ground.hpl_damper_outboard))  &
   orientation =   &
      (ORI_IN_PLANE(._fsae_frontsusp.gel_BC.jxl_joint_j_16, ._fsae_frontsusp.ground.hpl_prod_inboard, ._fsae_frontsusp.ground.hpl_damper_inboard, "Z_ZX"))  &
   relative_to = ._fsae_frontsusp.gel_BC
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.gel_BC.jxl_joint_j_4  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}inch, ._fsae_frontsusp.ground.hpl_prod_inboard))  &
   orientation =   &
      (ORI_IN_PLANE(._fsae_frontsusp.gel_BC.jxl_joint_j_4, ._fsae_frontsusp.ground.hpl_damper_outboard, ._fsae_frontsusp.ground.hpl_prod_outboard, "Z_ZX"))  &
   relative_to = ._fsae_frontsusp.gel_BC
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.gel_BC.graarm_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.hpl_BC_center))  &
   orientation =   &
      (ORI_IN_PLANE(._fsae_frontsusp.ground.hpl_BC_center, ._fsae_frontsusp.ground.hpl_prod_inboard, ._fsae_frontsusp.ground.hpl_damper_outboard, "X_XY"))  &
   relative_to = ._fsae_frontsusp.gel_BC
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.gel_BC.graarm_2  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.hpl_prod_inboard))  &
   relative_to = ._fsae_frontsusp.gel_BC
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.gel_BC.graarm_3  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.hpl_damper_outboard))  &
   relative_to = ._fsae_frontsusp.gel_BC
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.gel_BC.jxl_joint_i_3  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.mtl_BC_to_frame.jxl_joint_j_3))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.mtl_BC_to_frame.jxl_joint_j_3))  &
   relative_to = ._fsae_frontsusp.gel_BC
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
part modify rigid_body name_and_position  &
   part_name = ._fsae_frontsusp.gel_BC  &
   location =   &
      (LOC_CENTERED({._fsae_frontsusp.ground.hpl_prod_inboard.loc, ._fsae_frontsusp.ground.hpl_BC_center.loc, ._fsae_frontsusp.ground.hpl_damper_outboard.loc}, 3))
!
marker modify  &
   marker_name = ._fsae_frontsusp.ger_BC.inertia_frame  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ger_BC.cm))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ger_BC))  &
   relative_to = ._fsae_frontsusp.ger_BC
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.ger_BC.jxr_joint_j_16  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}mm, ._fsae_frontsusp.ground.hpr_damper_outboard))  &
   orientation =   &
      (ORI_IN_PLANE(._fsae_frontsusp.ger_BC.jxr_joint_j_16, ._fsae_frontsusp.ground.hpr_prod_inboard, ._fsae_frontsusp.ground.hpr_damper_inboard, "Z_ZX"))  &
   relative_to = ._fsae_frontsusp.ger_BC
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.ger_BC.jxr_joint_j_4  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}inch, ._fsae_frontsusp.ground.hpr_prod_inboard))  &
   orientation =   &
      (ORI_IN_PLANE(._fsae_frontsusp.ger_BC.jxr_joint_j_4, ._fsae_frontsusp.ground.hpr_damper_outboard, ._fsae_frontsusp.ground.hpr_prod_outboard, "Z_ZX"))  &
   relative_to = ._fsae_frontsusp.ger_BC
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.ger_BC.graarm_4  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.hpr_BC_center))  &
   orientation =   &
      (ORI_IN_PLANE(._fsae_frontsusp.ground.hpr_BC_center, ._fsae_frontsusp.ground.hpr_prod_inboard, ._fsae_frontsusp.ground.hpr_damper_outboard, "X_XY"))  &
   relative_to = ._fsae_frontsusp.ger_BC
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.ger_BC.graarm_5  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.hpr_prod_inboard))  &
   relative_to = ._fsae_frontsusp.ger_BC
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.ger_BC.graarm_6  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.hpr_damper_outboard))  &
   relative_to = ._fsae_frontsusp.ger_BC
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.ger_BC.jxr_joint_i_3  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.mtr_BC_to_frame.jxr_joint_j_3))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.mtr_BC_to_frame.jxr_joint_j_3))  &
   relative_to = ._fsae_frontsusp.ger_BC
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
part modify rigid_body name_and_position  &
   part_name = ._fsae_frontsusp.ger_BC  &
   location =   &
      (LOC_CENTERED({._fsae_frontsusp.ground.hpr_prod_inboard.loc, ._fsae_frontsusp.ground.hpr_BC_center.loc, ._fsae_frontsusp.ground.hpr_damper_outboard.loc}, 3))
!
marker modify  &
   marker_name = ._fsae_frontsusp.mtl_BC_to_frame.jxl_joint_j_3  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}inch, ._fsae_frontsusp.ground.hpl_BC_center))  &
   orientation =   &
      (ORI_ALONG_AXIS(._fsae_frontsusp.ground.hpl_BC_center, ._fsae_frontsusp.ground.hpl_BC_axis, "Z"))  &
   relative_to = ._fsae_frontsusp.mtl_BC_to_frame
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
part modify rigid_body name_and_position  &
   part_name = ._fsae_frontsusp.mtl_BC_to_frame  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.hpl_BC_center))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.origo))
!
marker modify  &
   marker_name = ._fsae_frontsusp.mtr_BC_to_frame.jxr_joint_j_3  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}inch, ._fsae_frontsusp.ground.hpr_BC_center))  &
   orientation =   &
      (ORI_ALONG_AXIS(._fsae_frontsusp.ground.hpr_BC_center, ._fsae_frontsusp.ground.hpr_BC_axis, "Z"))  &
   relative_to = ._fsae_frontsusp.mtr_BC_to_frame
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
part modify rigid_body name_and_position  &
   part_name = ._fsae_frontsusp.mtr_BC_to_frame  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.hpr_BC_center))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.origo))
!
marker modify  &
   marker_name = ._fsae_frontsusp.gel_upright_bracket.inertia_frame  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.gel_upright_bracket.cm))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.gel_upright_bracket))  &
   relative_to = ._fsae_frontsusp.gel_upright_bracket
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.gel_upright_bracket.jxl_joint_i_2  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.gel_upright.jxl_joint_j_2))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.gel_upright.jxl_joint_j_2))  &
   relative_to = ._fsae_frontsusp.gel_upright_bracket
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.gel_upright_bracket.afl_aforce_j_2  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.hps_camber_adj_orient))  &
   orientation =   &
      (ORI_ALONG_AXIS(._fsae_frontsusp.ground.hps_camber_adj_orient, ._fsae_frontsusp.ground.hpl_lca_outer, "Z"))  &
   relative_to = ._fsae_frontsusp.gel_upright_bracket
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.gel_upright_bracket.jxl_joint_i_9  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.gel_lower_control_arm.jxl_joint_j_9))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.gel_lower_control_arm.jxl_joint_j_9))  &
   relative_to = ._fsae_frontsusp.gel_upright_bracket
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
part modify rigid_body name_and_position  &
   part_name = ._fsae_frontsusp.gel_upright_bracket  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}mm, ._fsae_frontsusp.ground.hpl_lca_outer))
!
marker modify  &
   marker_name = ._fsae_frontsusp.ger_upright_bracket.inertia_frame  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ger_upright_bracket.cm))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ger_upright_bracket))  &
   relative_to = ._fsae_frontsusp.ger_upright_bracket
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.ger_upright_bracket.jxr_joint_i_2  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ger_upright.jxr_joint_j_2))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ger_upright.jxr_joint_j_2))  &
   relative_to = ._fsae_frontsusp.ger_upright_bracket
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.ger_upright_bracket.afr_aforce_j_2  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.hps_camber_adj_orient))  &
   orientation =   &
      (ORI_ALONG_AXIS(._fsae_frontsusp.ground.hps_camber_adj_orient, ._fsae_frontsusp.ground.hpr_lca_outer, "Z"))  &
   relative_to = ._fsae_frontsusp.ger_upright_bracket
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
marker modify  &
   marker_name = ._fsae_frontsusp.ger_upright_bracket.jxr_joint_i_9  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ger_lower_control_arm.jxr_joint_j_9))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ger_lower_control_arm.jxr_joint_j_9))  &
   relative_to = ._fsae_frontsusp.ger_upright_bracket
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_frontsusp.ground
!
part modify rigid_body name_and_position  &
   part_name = ._fsae_frontsusp.ger_upright_bracket  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}mm, ._fsae_frontsusp.ground.hpr_lca_outer))
!
output_control modify request  &
   request_name = ._fsae_frontsusp.toe_camber  &
   user_function =   &
      1101.0,  &
      0.0,  &
      (._fsae_frontsusp.gel_upright.mal_kingpin_axis.adams_id),  &
      (._fsae_frontsusp.gel_upright.mal_wheel_center.adams_id),  &
      0.0,  &
      (._fsae_frontsusp.ger_upright.mar_kingpin_axis.adams_id),  &
      (._fsae_frontsusp.ger_upright.mar_wheel_center.adams_id),  &
      (._fsae_frontsusp.cis_chassis_reference_adams_id),  &
      1.0,  &
      (._fsae_frontsusp.ground.origo.adams_id)  &
   routine = "apresolver::reqsub"
!
ude modify instance  &
   instance_name = ._fsae_frontsusp.nsl_ride_spring  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground))
!
ude modify instance  &
   instance_name = ._fsae_frontsusp.nsr_ride_spring  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground))
!
ude modify instance  &
   instance_name = ._fsae_frontsusp.dal_ride_damper  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground))
!
ude modify instance  &
   instance_name = ._fsae_frontsusp.dar_ride_damper  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground))
!
ude modify instance  &
   instance_name = ._fsae_frontsusp.afl_toe_adjuster  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.origo))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.origo))
!
ude modify instance  &
   instance_name = ._fsae_frontsusp.afr_toe_adjuster  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.origo))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.origo))
!
ude modify instance  &
   instance_name = ._fsae_frontsusp.afr_camber_adjuster  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.origo))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.origo))
!
ude modify instance  &
   instance_name = ._fsae_frontsusp.afl_camber_adjuster  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.origo))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground.origo))
!
ude modify instance  &
   instance_name = ._fsae_frontsusp.bgl_lca_front  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}mm, ._fsae_frontsusp.ground.hpl_lca_front))  &
   orientation =   &
      (ORI_ALONG_AXIS(._fsae_frontsusp.ground.hpl_lca_front, ._fsae_frontsusp.ground.hpl_lca_rear, "Z"))
!
ude modify instance  &
   instance_name = ._fsae_frontsusp.bgr_lca_front  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}mm, ._fsae_frontsusp.ground.hpr_lca_front))  &
   orientation =   &
      (ORI_ALONG_AXIS(._fsae_frontsusp.ground.hpr_lca_front, ._fsae_frontsusp.ground.hpr_lca_rear, "Z"))
!
ude modify instance  &
   instance_name = ._fsae_frontsusp.bgl_lca_rear  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}mm, ._fsae_frontsusp.ground.hpl_lca_rear))  &
   orientation =   &
      (ORI_ALONG_AXIS(._fsae_frontsusp.ground.hpl_lca_rear, ._fsae_frontsusp.ground.hpl_lca_front, "Z"))
!
ude modify instance  &
   instance_name = ._fsae_frontsusp.bgr_lca_rear  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}mm, ._fsae_frontsusp.ground.hpr_lca_rear))  &
   orientation =   &
      (ORI_ALONG_AXIS(._fsae_frontsusp.ground.hpr_lca_rear, ._fsae_frontsusp.ground.hpr_lca_front, "Z"))
!
ude modify instance  &
   instance_name = ._fsae_frontsusp.bgl_uca_front  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}mm, ._fsae_frontsusp.ground.hpl_uca_front))  &
   orientation =   &
      (ORI_ALONG_AXIS(._fsae_frontsusp.ground.hpl_uca_front, ._fsae_frontsusp.ground.hpl_uca_rear, "Z"))
!
ude modify instance  &
   instance_name = ._fsae_frontsusp.bgr_uca_front  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}mm, ._fsae_frontsusp.ground.hpr_uca_front))  &
   orientation =   &
      (ORI_ALONG_AXIS(._fsae_frontsusp.ground.hpr_uca_front, ._fsae_frontsusp.ground.hpr_uca_rear, "Z"))
!
ude modify instance  &
   instance_name = ._fsae_frontsusp.bgl_uca_rear  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}mm, ._fsae_frontsusp.ground.hpl_uca_rear))  &
   orientation =   &
      (ORI_ALONG_AXIS(._fsae_frontsusp.ground.hpl_uca_rear, ._fsae_frontsusp.ground.hpl_uca_front, "Z"))
!
ude modify instance  &
   instance_name = ._fsae_frontsusp.bgr_uca_rear  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}mm, ._fsae_frontsusp.ground.hpr_uca_rear))  &
   orientation =   &
      (ORI_ALONG_AXIS(._fsae_frontsusp.ground.hpr_uca_rear, ._fsae_frontsusp.ground.hpr_uca_front, "Z"))
!
variable modify  &
   variable_name = ._fsae_frontsusp.cil_tierod_to_steering.minor_role  &
   string_value = (._fsae_frontsusp.mtl_tierod_to_steering.minor_role)
!
variable modify  &
   variable_name = ._fsae_frontsusp.cil_tierod_to_steering  &
   comments = ("Autocreated for mount part: " // ._fsae_frontsusp.cil_tierod_to_steering[2].name)
!
variable modify  &
   variable_name = ._fsae_frontsusp.cir_tierod_to_steering.minor_role  &
   string_value = (._fsae_frontsusp.mtr_tierod_to_steering.minor_role)
!
variable modify  &
   variable_name = ._fsae_frontsusp.cir_tierod_to_steering  &
   comments = ("Autocreated for mount part: " // ._fsae_frontsusp.cir_tierod_to_steering[2].name)
!
variable modify  &
   variable_name = ._fsae_frontsusp.cil_damper_to_frame.minor_role  &
   string_value = (._fsae_frontsusp.mtl_damper_to_frame.minor_role)
!
variable modify  &
   variable_name = ._fsae_frontsusp.cil_damper_to_frame  &
   comments = ("Autocreated for mount part: " // ._fsae_frontsusp.cil_damper_to_frame[2].name)
!
variable modify  &
   variable_name = ._fsae_frontsusp.cir_damper_to_frame.minor_role  &
   string_value = (._fsae_frontsusp.mtr_damper_to_frame.minor_role)
!
variable modify  &
   variable_name = ._fsae_frontsusp.cir_damper_to_frame  &
   comments = ("Autocreated for mount part: " // ._fsae_frontsusp.cir_damper_to_frame[2].name)
!
variable modify  &
   variable_name = ._fsae_frontsusp.col_wheel_center  &
   real_value = (._fsae_frontsusp.ground.hpl_wheel_center.location)
!
variable modify  &
   variable_name = ._fsae_frontsusp.cor_wheel_center  &
   real_value = (._fsae_frontsusp.ground.hpr_wheel_center.location)
!
variable modify  &
   variable_name = ._fsae_frontsusp.cil_uca_to_frame.minor_role  &
   string_value = (._fsae_frontsusp.mtl_uca_to_frame.minor_role)
!
variable modify  &
   variable_name = ._fsae_frontsusp.cil_uca_to_frame  &
   comments = ("Autocreated for mount part: " // ._fsae_frontsusp.cil_uca_to_frame[2].name)
!
variable modify  &
   variable_name = ._fsae_frontsusp.cir_uca_to_frame.minor_role  &
   string_value = (._fsae_frontsusp.mtr_uca_to_frame.minor_role)
!
variable modify  &
   variable_name = ._fsae_frontsusp.cir_uca_to_frame  &
   comments = ("Autocreated for mount part: " // ._fsae_frontsusp.cir_uca_to_frame[2].name)
!
variable modify  &
   variable_name = ._fsae_frontsusp.cis_chassis_reference_adams_id  &
   integer_value = (._fsae_frontsusp.cis_chassis_reference.object_value.adams_id)
!
variable modify  &
   variable_name = ._fsae_frontsusp.cir_lca_to_frame.minor_role  &
   string_value = (._fsae_frontsusp.mtr_lca_to_frame.minor_role)
!
variable modify  &
   variable_name = ._fsae_frontsusp.cir_lca_to_frame  &
   comments = ("Autocreated for mount part: " // ._fsae_frontsusp.cir_lca_to_frame[2].name)
!
variable modify  &
   variable_name = ._fsae_frontsusp.cil_lca_to_frame.minor_role  &
   string_value = (._fsae_frontsusp.mtl_lca_to_frame.minor_role)
!
variable modify  &
   variable_name = ._fsae_frontsusp.cil_lca_to_frame  &
   comments = ("Autocreated for mount part: " // ._fsae_frontsusp.cil_lca_to_frame[2].name)
!
variable modify  &
   variable_name = ._fsae_frontsusp.cil_BC_to_frame.minor_role  &
   string_value = (._fsae_frontsusp.mtl_BC_to_frame.minor_role)
!
variable modify  &
   variable_name = ._fsae_frontsusp.cil_BC_to_frame  &
   comments = ("Autocreated for mount part: " // ._fsae_frontsusp.cil_BC_to_frame[2].name)
!
variable modify  &
   variable_name = ._fsae_frontsusp.cir_BC_to_frame.minor_role  &
   string_value = (._fsae_frontsusp.mtr_BC_to_frame.minor_role)
!
variable modify  &
   variable_name = ._fsae_frontsusp.cir_BC_to_frame  &
   comments = ("Autocreated for mount part: " // ._fsae_frontsusp.cir_BC_to_frame[2].name)
!
group modify  &
   group_name = ._fsae_frontsusp.kinematic_mode_active  &
   expr_active = ((._fsae_frontsusp.phs_kinematic_flag || ._fsae_frontsusp.model_class == "template" ? 1 : 0) && DB_ACTIVE(._fsae_frontsusp))
!
group modify  &
   group_name = ._fsae_frontsusp.kinematic_mode_inactive  &
   expr_active = (( ! ._fsae_frontsusp.phs_kinematic_flag || ._fsae_frontsusp.model_class == "template" ? 1 : 0) && DB_ACTIVE(._fsae_frontsusp))
!
group modify  &
   group_name = ._fsae_frontsusp.driveline_active  &
   expr_active = ((._fsae_frontsusp.phs_driveline_active || ._fsae_frontsusp.model_class == "template" ? 1 : 0) && DB_ACTIVE(._fsae_frontsusp))
!
group modify  &
   group_name = ._fsae_frontsusp.driveline_inactive  &
   expr_active = (( ! ._fsae_frontsusp.phs_driveline_active || ._fsae_frontsusp.model_class == "template" ? 1 : 0) && DB_ACTIVE(._fsae_frontsusp))
!
group modify  &
   group_name = ._fsae_frontsusp.subframe_active  &
   expr_active = ((._fsae_frontsusp.pvs_subframe_active == 1 || ._fsae_frontsusp.model_class == "template" ? 1 : 0) && DB_ACTIVE(._fsae_frontsusp))
!
group modify  &
   group_name = ._fsae_frontsusp.subframe_inactive  &
   expr_active = ((._fsae_frontsusp.pvs_subframe_active == 0 || ._fsae_frontsusp.model_class == "template" ? 1 : 0) && DB_ACTIVE(._fsae_frontsusp))
!
ude modify instance  &
   instance_name = ._fsae_frontsusp.bul_jounce_stop  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground))
!
ude modify instance  &
   instance_name = ._fsae_frontsusp.bur_jounce_stop  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_frontsusp.ground))
!
model display  &
   model_name = _fsae_frontsusp
