$---------------------------------------------------------------------MDI_HEADER
[MDI_HEADER]
 FILE_TYPE     =  'tpl'
 FILE_VERSION  =  2018.0
 FILE_FORMAT   =  'ASCII'
 HEADER_SIZE   =  9
(COMMENTS)
{comment_string}
'Example of a non-spinning powertrain'
$----------------------------------------------------------------TEMPLATE_HEADER
[TEMPLATE_HEADER]
 TEMPLATE_NAME  =  '_fsae_powertrain_2018'
 MAJOR_ROLE     =  'powertrain'
 TIMESTAMP      =  '2019/03/04,19:53:09'
 HEADER_SIZE    =  6
$------------------------------------------------------------------------PLUGINS
[PLUGINS]
 PLUGIN_LIST  =  'acar'
 HEADER_SIZE  =  4
!
!-------------------------- Default Units for Model ---------------------------!
!
!
defaults units  &
   length = mm  &
   angle = deg  &
   force = newton  &
   mass = kg  &
   time = sec
!
defaults units  &
   coordinate_system_type = cartesian  &
   orientation_type = body313
!
!------------------------ Default Attributes for Model ------------------------!
!
!
defaults attributes  &
   inheritance = bottom_up  &
   icon_visibility = off  &
   grid_visibility = off  &
   size_of_icons = 50.0  &
   spacing_for_grid = 1000.0
!
!--------------------------- Plugins used by Model ----------------------------!
!
!
plugin load  &
   plugin_name = .MDI.plugins.acar
!
!------------------------------ Adams View Model ------------------------------!
!
!
model create  &
   model_name = _fsae_powertrain_2018  &
   comments = "Example of a non-spinning powertrain"  &
   title = "Adams Car template"
!
view erase
!
!-------------------------------- Data storage --------------------------------!
!
!
data_element create variable  &
   variable_name = ._fsae_powertrain_2018._cv_solver_variable  &
   comments = "Dummy for communicators"  &
   function = ""
!
data_element attributes  &
   data_element_name = ._fsae_powertrain_2018._cv_solver_variable  &
   visibility = off
!
data_element create variable  &
   variable_name = ._fsae_powertrain_2018.total_axle_torque  &
   function = ""
!
data_element create variable  &
   variable_name = ._fsae_powertrain_2018.transmission_input_omega_manual  &
   initial_condition = 104.7197551197  &
   function = ""
!
data_element create variable  &
   variable_name = ._fsae_powertrain_2018.transmission_input_omega_simple  &
   initial_condition = 104.7197551197  &
   function = ""
!
data_element create variable  &
   variable_name = ._fsae_powertrain_2018.transmission_input_omega_auto  &
   initial_condition = 104.7197551197  &
   function = ""
!
data_element create variable  &
   variable_name = ._fsae_powertrain_2018.transmission_input_omega_robot  &
   initial_condition = 104.7197551197  &
   function = ""
!
data_element create variable  &
   variable_name = ._fsae_powertrain_2018.transmission_output_omega  &
   initial_condition = 104.7197551197  &
   function = ""
!
data_element create variable  &
   variable_name = ._fsae_powertrain_2018.differential_torque  &
   function = ""
!
data_element create variable  &
   variable_name = ._fsae_powertrain_2018.analysis_type  &
   comments = "Returns the analysis type flag", " SteadyState: 0",  &
              " Transient: 1"  &
   user_function = 0.0  &
   routine = "abgVDM::AnalysisType"
!
data_element create variable  &
   variable_name = ._fsae_powertrain_2018.halfshaft_omega_left  &
   comments = "Left halfshaft speed", "PAR(1) - branch id",  &
              "PAR(2) - I marker of halfshaft rev joint",  &
              "PAR(3) - J marker of halfshaft rev joint",  &
              "PAR(4) - Reference marker in whose coord system velocity is calculated",  &
              "PAR(5) - Tire ID to which the halfshaft connects"  &
   user_function = 1004.0, 0.0, 0.0, 0.0, 0.0  &
   routine = "abgVDM::var1004"
!
data_element create variable  &
   variable_name = ._fsae_powertrain_2018.halfshaft_omega_right  &
   comments = "Right halfshaft speed", "PAR(1) - branch id",  &
              "PAR(2) - I marker of halfshaft rev joint",  &
              "PAR(3) - J marker of halfshaft rev joint",  &
              "PAR(4) - Reference marker in whose coord system velocity is calculated",  &
              "PAR(5) - Tire ID to which the halfshaft connects\\"  &
   user_function = 1004.0, 0.0, 0.0, 0.0, 0.0  &
   routine = "abgVDM::var1004"
!
data_element create variable  &
   variable_name = ._fsae_powertrain_2018.engine_speed  &
   comments = "\"Outputs engine speed <rad/s> to other subsystems.\""  &
   initial_condition = 104.7197551197  &
   function = ""
!
data_element create variable  &
   variable_name = ._fsae_powertrain_2018.engine_rpm  &
   comments = "\"Outputs engine rpm of differential equation\""  &
   initial_condition = 1000.0  &
   function = ""
!
data_element create variable  &
   variable_name = ._fsae_powertrain_2018.clutch_displacement_ic  &
   function = ""
!
data_element create variable  &
   variable_name = ._fsae_powertrain_2018.clutch_displacement_ic_simple  &
   function = ""
!
data_element create variable  &
   variable_name = ._fsae_powertrain_2018.max_driving_torque  &
   initial_condition = 0.0  &
   function = ""
!
data_element create variable  &
   variable_name = ._fsae_powertrain_2018.max_braking_torque  &
   initial_condition = 0.0  &
   function = ""
!
data_element create variable  &
   variable_name = ._fsae_powertrain_2018.max_driving_torque_simple  &
   initial_condition = 0.0  &
   function = ""
!
data_element create variable  &
   variable_name = ._fsae_powertrain_2018.max_braking_torque_simple  &
   initial_condition = 0.0  &
   function = ""
!
data_element create array ic_array  &
   array_name = ._fsae_powertrain_2018._cv_array  &
   comments = "Dummy for communicators"  &
   size = 1  &
   numbers = 0.0
!
data_element attributes  &
   data_element_name = ._fsae_powertrain_2018._cv_array  &
   visibility = off
!
data_element create array ic_array  &
   array_name = ._fsae_powertrain_2018.ptype_manual_parameters  &
   comments = "Manual transmission parameters array", " p1 : ClutchCapacity",  &
              " p2 : ClutchStiffness", " p3 : ClutchDamping",  &
              " p4 : ClutchOpen", " p5 : ClutchClose", " p6 : ClutchTau",  &
              " p7 : TransSplineID"  &
   size = 7  &
   numbers = 1.0E+06, 5.7295779513E+07, 5.7295779513E+05, 0.75, 0.25,  &
             5.0E-02, 0.0
!
data_element create array ic_array  &
   array_name = ._fsae_powertrain_2018.engine_parameters  &
   comments = "Engine parameters array", " p1 : engineInertia",  &
              " p2 : engineSpeedRevLimit", " p3 : engineTorqueSpeedSplineID",  &
              " p4 : angle_to_radians", " p5 : gear_numbers"  &
   size = 5  &
   numbers = 70.0, 8000.0, 0.0, 1.745329252E-02, 8.0
!
data_element create array ic_array  &
   array_name = ._fsae_powertrain_2018.ems_parameters  &
   comments = "Engine management system parameters array",  &
              " p1 : emsSpeedIdle", " p2 : emsGainP", " p3 : emsThrottleMax",  &
              " p4 : throttleMax"  &
   size = 4  &
   numbers = 1000.0, 5.0E-03, 15.0, 100.0
!
data_element create array ic_array  &
   array_name = ._fsae_powertrain_2018.powertrain_ic_manual  &
   comments = "Powertrain ic array", " p1 : ic engineOmega",  &
              " p2 : ic clutchSlip"  &
   size = 2  &
   numbers = 104.7197551197, 0.0
!
data_element create array ic_array  &
   array_name = ._fsae_powertrain_2018.powertrain_ic_simple  &
   comments = "Powertrain ic array", " p1 : ic engineTorque"  &
   size = 1  &
   numbers = 0.0
!
data_element create array ic_array  &
   array_name = ._fsae_powertrain_2018.powertrain_ic_auto  &
   comments = "Powertrain ic array", " p1 : ic engineOmega"  &
   size = 1  &
   numbers = 104.7197551197
!
data_element create array ic_array  &
   array_name = ._fsae_powertrain_2018.powertrain_ic_robot  &
   comments = "Powertrain ic array", " p1 : ic engineTorque"  &
   size = 1  &
   numbers = 0.0
!
data_element create array y_output_array  &
   array_name = ._fsae_powertrain_2018.powertrain_output_array  &
   comments = "Powertrain GSE output array", " y1: throttle",  &
              " y2: engineOmega", " y3: outputTorque", " y4: actualGear",  &
              " y5: actualRatio", " y6: engineTorque", ""
!
data_element create array x_state_array  &
   array_name = ._fsae_powertrain_2018.powertrain_state_array  &
   comments = "Powertrain GSE state array", " x1: engineTorque", ""
!
data_element create array x_state_array  &
   array_name = ._fsae_powertrain_2018.powertrain_discrete_state_array
!
data_element create array u_input_array  &
   array_name = ._fsae_powertrain_2018.powertrain_input_array  &
   comments = " Powertrain input array"  &
   size = 5  &
   variable_name =  &
      ._fsae_powertrain_2018._cv_solver_variable,  &
      ._fsae_powertrain_2018._cv_solver_variable,  &
      ._fsae_powertrain_2018.transmission_output_omega,  &
      ._fsae_powertrain_2018._cv_solver_variable,  &
      ._fsae_powertrain_2018.analysis_type
!
data_element create array ic_array  &
   array_name = ._fsae_powertrain_2018.ptype_simple_parameters  &
   comments = "Simple powertrain parameters array", " p1 : PowerMax",  &
              " p2 : TorqueMin", " p3 : TorqueTau", " p4 : TorqueMax"  &
   size = 4  &
   numbers = 3.1E+08, -4.0E+04, 0.1, 1.21E+06
!
data_element create array ic_array  &
   array_name = ._fsae_powertrain_2018.ptype_auto_parameters  &
   comments = "Automatic torque converter parameters array",  &
              " p1 : TorqueRatioSplineID", " p2 : CapacityFactorSplineID",  &
              " p3 : TransSplineID", " p4 : ShiftCycleTime",  &
              " p5 : OilDumpThreshold", " p6 : OilDumpResidual",  &
              " p7 : OilDumpThrottleOff"  &
   size = 7  &
   numbers = 0.0, 0.0, 0.0, 0.5, 0.1, 0.1, 1.0
!
data_element create array ic_array  &
   array_name = ._fsae_powertrain_2018.ptype_robot_parameters  &
   comments = "Robotized dual-clutch parameters array",  &
              " p1 : TransSplineID", " p2 : TorqueTau",  &
              " p3 : ShiftCycleTime"  &
   size = 3  &
   numbers = 0.0, 0.1, 0.5
!
data_element create spline  &
   spline_name = ._fsae_powertrain_2018._cv_spline  &
   comments = "Dummy for communicators"  &
   x = 1.0, 2.0, 3.0, 4.0  &
   y = 1.0, 2.0, 3.0, 4.0, 1.0, 2.0, 3.0, 4.0  &
   z = 1.0, 2.0  &
   linear_extrapolate = yes
!
data_element attributes  &
   data_element_name = ._fsae_powertrain_2018._cv_spline  &
   visibility = off
!
data_element create spline  &
   spline_name = ._fsae_powertrain_2018.gss_engine_torque  &
   x = 0.0, 3000.0, 6000.0, 9000.0, 1.2E+04, 1.5E+04, 1.8E+04, 2.1E+04,  &
       2.4E+04, 2.7E+04, 3.0E+04, 3.3E+04, 3.6E+04, 3.75E+04, 3.9E+04,  &
       4.05E+04, 4.2E+04, 4.5E+04  &
   y = 0.0, -1.4E+04, -2.4E+04, -3.4E+04, -3.9272E+04, -3.9284E+04,  &
       -3.9307E+04, -3.9353E+04, -3.9447E+04, -3.9625E+04, -3.975E+04,  &
       -3.9875E+04, -4.025E+04, -4.15E+04, -4.3E+04, -4.6E+04, -5.2E+04,  &
       -6.4E+04, 0.0, 8.0E+04, 1.35E+05, 2.0E+05, 2.45E+05, 2.63E+05,  &
       3.1E+05, 3.58E+05, 4.04E+05, 4.55E+05, 4.75E+05, 4.85E+05, 4.68E+05,  &
       4.62E+05, 4.55E+05, 4.27E+05, 3.7E+05, 2.59E+05  &
   z = 0.0, 1.0  &
   linear_extrapolate = yes
!
data_element attributes  &
   data_element_name = ._fsae_powertrain_2018.gss_engine_torque  &
   visibility = off
!
data_element create spline  &
   spline_name = ._fsae_powertrain_2018.transmission_data  &
   x = -1.0, 0.0, 1.0, 2.0, 3.0, 4.0, 5.0, 6.0  &
   y = -3.0, 0.0, 2.75, 2.0, 1.666, 1.444, 1.304, 1.208, 0.0, 0.0, 750.0,  &
       1000.0, 1200.0, 1600.0, 2000.0, 2500.0, 0.0, 60.0, 1.0E+04, 1.0E+04,  &
       1.0E+04, 1.0E+04, 1.0E+04, 8000.0, 0.0, 90.0, 1.25E+04, 1.25E+04,  &
       1.25E+04, 1.25E+04, 1.25E+04, 8000.0  &
   z = 0.0, 1.0, 2.0, 3.0  &
   linear_extrapolate = yes
!
data_element create spline  &
   spline_name = ._fsae_powertrain_2018.gss_differential  &
   x = -540.0, -510.0, -480.0, -450.0, -426.0, -414.0, -390.0, -360.0,  &
       -330.0, -300.0, -270.0, -246.0, -234.0, -210.0, -180.0, -150.0,  &
       -126.0, -114.0, -90.0, -60.0, -30.0, 0.0, 30.0, 60.0, 90.0, 114.0,  &
       126.0, 150.0, 180.0, 210.0, 234.0, 246.0, 270.0, 300.0, 330.0, 360.0,  &
       390.0, 414.0, 426.0, 450.0, 480.0, 510.0, 540.0  &
   y = -4.644E+06, -3.644E+06, -2.644E+06, -1.644E+06, -8.44E+05, -6.24E+05,  &
       -5.44E+05, -4.44E+05, -3.44E+05, -2.44E+05, -1.44E+05, -6.4E+04,  &
       -4.2E+04, -3.4E+04, -2.4E+04, -1.4E+04, -6000.0, -3800.0, -3000.0,  &
       -2000.0, -1000.0, 0.0, 1000.0, 2000.0, 3000.0, 3800.0, 6000.0,  &
       1.4E+04, 2.4E+04, 3.4E+04, 4.2E+04, 6.4E+04, 1.44E+05, 2.44E+05,  &
       3.44E+05, 4.44E+05, 5.44E+05, 6.24E+05, 8.44E+05, 1.644E+06,  &
       2.644E+06, 3.644E+06, 4.644E+06  &
   linear_extrapolate = yes
!
data_element attributes  &
   data_element_name = ._fsae_powertrain_2018.gss_differential  &
   visibility = off
!
data_element create spline  &
   spline_name = ._fsae_powertrain_2018.gss_torque_ratio  &
   x = -5.0, -2.0, -1.0, 0.0, 0.123, 0.251, 0.382, 0.509, 0.636, 0.736,  &
       0.809, 0.868, 0.895, 0.903, 0.908, 0.914, 0.918, 0.922, 0.926, 0.93,  &
       0.934, 0.937, 0.94, 0.943, 0.945, 0.948, 0.95, 0.953, 0.955, 0.957,  &
       0.959, 0.961, 0.963, 0.965, 0.996, 0.997, 0.998, 1.001, 1.006, 1.013,  &
       1.019, 1.02, 1.025, 1.032, 1.052, 1.1, 1.208, 1.258, 1.328, 1.423,  &
       1.592, 1.808, 2.166, 2.833, 4.172, 8.283  &
   y = 1.769, 1.769, 1.769, 1.769, 1.674, 1.573, 1.457, 1.348, 1.241, 1.159,  &
       1.094, 1.038, 1.012, 1.009, 1.009, 1.009, 1.009, 1.009, 1.009, 1.009,  &
       1.009, 1.007, 1.007, 1.007, 1.007, 1.007, 1.007, 1.006, 1.006, 1.004,  &
       1.004, 1.004, 1.004, 1.004, 1.004, 1.004, 1.004, 1.13, 1.12, 1.058,  &
       1.04, 1.03, 1.025, 1.021, 1.015, 1.012, 1.01, 1.009, 1.006, 1.005,  &
       1.006, 1.004, 1.005, 1.006, 1.005, 1.005  &
   linear_extrapolate = yes
!
data_element attributes  &
   data_element_name = ._fsae_powertrain_2018.gss_torque_ratio  &
   visibility = off
!
data_element create spline  &
   spline_name = ._fsae_powertrain_2018.gss_capacity_factor  &
   x = -5.0, -2.0, -1.0, 0.0, 0.123, 0.251, 0.382, 0.509, 0.636, 0.736,  &
       0.809, 0.868, 0.895, 0.903, 0.908, 0.914, 0.918, 0.922, 0.926, 0.93,  &
       0.934, 0.937, 0.94, 0.943, 0.945, 0.948, 0.95, 0.953, 0.955, 0.957,  &
       0.959, 0.961, 0.963, 0.965, 0.996, 0.997, 0.998, 1.001, 1.006, 1.013,  &
       1.019, 1.02, 1.025, 1.032, 1.052, 1.1, 1.208, 1.258, 1.328, 1.423,  &
       1.592, 1.808, 2.166, 2.833, 4.172, 8.283  &
   y = 25.9740025063, 25.9740025063, 25.9740025063, 25.9740025063,  &
       25.6806950753, 25.4036825015, 25.1755544995, 25.2244390714,  &
       25.3059133578, 26.2673099374, 27.8642059509, 29.6892299664,  &
       30.6180368315, 32.1334585586, 33.7140597149, 35.3109557285,  &
       36.907851742, 38.4884528983, 40.0690540546, 41.6333603536,  &
       43.2139615099, 44.8108575234, 46.3751638224, 47.972059836,  &
       49.5526609923, 51.1332621486, 52.6975684476, 54.229285032,  &
       55.793591331, 57.3741924873, 58.9547936436, 60.5353947998,  &
       62.0671113843, 63.6477125406, 201.8606920001, 814.7428640625,  &
       5703.2000484375, 5703.2000484375, 201.160013137, 143.9650640798,  &
       118.1377152891, 102.4294728699, 92.6362636439, 82.8430544179,  &
       72.6261789025, 63.1588668221, 55.8587707601, 52.4042610165,  &
       49.2267638467, 46.0981512487, 44.1101786603, 41.6822449254,  &
       39.8572209099, 39.2380163333, 38.6351066138, 38.3743888973  &
   linear_extrapolate = yes
!
data_element attributes  &
   data_element_name = ._fsae_powertrain_2018.gss_capacity_factor  &
   visibility = off
!
data_element create string  &
   string_name = ._fsae_powertrain_2018.minor_role_string  &
   string = "unassigned"
!
data_element attributes  &
   data_element_name = ._fsae_powertrain_2018.minor_role_string  &
   visibility = off
!
data_element create string  &
   string_name = ._fsae_powertrain_2018.plugin_list  &
   string = "acar:aexplore"
!
!-------------------------------- Rigid Parts ---------------------------------!
!
! Create parts and their dependent markers and graphics
!
!----------------------------------- ground -----------------------------------!
!
!
! ****** Ground Part ******
!
part modify rigid_body name_and_position  &
   part_name = ground
!
defaults model  &
   part_name = ground
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_powertrain_2018.ground
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._fsae_powertrain_2018.ground.origo  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker create  &
   marker_name = ._fsae_powertrain_2018.ground._cv_marker  &
   comments = "Dummy for communicators"  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_powertrain_2018.ground._cv_marker  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_powertrain_2018.ground.cfr_differential_output  &
   location = 0.0, 100.0, 0.0  &
   orientation = 180.0d, 90.0d, 180.0d
!
marker attributes  &
   marker_name = ._fsae_powertrain_2018.ground.cfr_differential_output  &
   active = on  &
   color = MAIZE  &
   visibility = on  &
   name_visibility = on
!
marker create  &
   marker_name = ._fsae_powertrain_2018.ground.cfl_differential_output  &
   location = 0.0, -100.0, 0.0  &
   orientation = 0.0d, 90.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_powertrain_2018.ground.cfl_differential_output  &
   active = on  &
   color = MAIZE  &
   visibility = on  &
   name_visibility = on
!
marker create  &
   marker_name = ._fsae_powertrain_2018.ground.cfs_powertrain_to_body  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_powertrain_2018.ground.cfs_powertrain_to_body  &
   color = MAIZE
!
marker create  &
   marker_name = ._fsae_powertrain_2018.ground.mts_mount_j_2  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_powertrain_2018.ground.mts_mount_j_2  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_powertrain_2018.ground.mts_mount_j_3  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_powertrain_2018.ground.mts_mount_j_3  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_powertrain_2018.ground.cfs_diff_output_orient  &
   location = 0.0, 100.0, 0.0  &
   orientation = 0.0d, 90.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_powertrain_2018.ground.cfs_diff_output_orient  &
   color = MAIZE
!
! ****** Graphics for current part ******
!
geometry create shape ellipsoid  &
   ellipsoid_name = ._fsae_powertrain_2018.ground._cv_csolid  &
   center_marker = ._fsae_powertrain_2018.ground._cv_marker  &
   x_scale_factor = 100.0  &
   y_scale_factor = 100.0  &
   z_scale_factor = 100.0
!
geometry attributes  &
   geometry_name = ._fsae_powertrain_2018.ground._cv_csolid  &
   active = off
!
!---------------------------------- _cv_part ----------------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_powertrain_2018.ground
!
part create rigid_body name_and_position  &
   part_name = ._fsae_powertrain_2018._cv_part  &
   comments = "Dummy for communicators"  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_powertrain_2018._cv_part
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._fsae_powertrain_2018._cv_part.marker  &
   comments = "Dummy for communicators"  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_powertrain_2018._cv_part.marker  &
   visibility = off  &
   name_visibility = off
!
part create rigid_body mass_properties  &
   part_name = ._fsae_powertrain_2018._cv_part  &
   mass = 0.0  &
   center_of_mass_marker = ._fsae_powertrain_2018._cv_part.marker  &
   ixx = 0.0  &
   iyy = 0.0  &
   izz = 0.0  &
   ixy = 0.0  &
   izx = 0.0  &
   iyz = 0.0
!
part attributes  &
   part_name = ._fsae_powertrain_2018._cv_part  &
   visibility = off  &
   name_visibility = off
!
!------------------------------ gel_diff_output -------------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_powertrain_2018.ground
!
part create rigid_body name_and_position  &
   part_name = ._fsae_powertrain_2018.gel_diff_output  &
   location = 0.0, -100.0, 0.0  &
   orientation = 0.0d, 90.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_powertrain_2018.gel_diff_output
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._fsae_powertrain_2018.gel_diff_output.cm  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_powertrain_2018.gel_diff_output.cm  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_powertrain_2018.gel_diff_output.inertia_frame  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker create  &
   marker_name = ._fsae_powertrain_2018.gel_diff_output.jxl_joint_i_21  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_powertrain_2018.gel_diff_output.jxl_joint_i_21  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_powertrain_2018.gel_diff_output.gracyl_7  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_powertrain_2018.gel_diff_output.gracyl_7  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_powertrain_2018.gel_diff_output.jfl_actuator_i_1  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_powertrain_2018.gel_diff_output.jfl_actuator_i_1  &
   visibility = off  &
   name_visibility = off
!
part create rigid_body mass_properties  &
   part_name = ._fsae_powertrain_2018.gel_diff_output  &
   mass = 2.0  &
   center_of_mass_marker = ._fsae_powertrain_2018.gel_diff_output.cm  &
   inertia_marker = ._fsae_powertrain_2018.gel_diff_output.inertia_frame  &
   ixx = 1.0  &
   iyy = 1.0  &
   izz = 1.0  &
   ixy = 0.0  &
   izx = 0.0  &
   iyz = 0.0
!
! ****** Graphics for current part ******
!
geometry create shape cylinder  &
   cylinder_name = ._fsae_powertrain_2018.gel_diff_output.gracyl_diff_output  &
   center_marker = ._fsae_powertrain_2018.gel_diff_output.gracyl_7  &
   angle_extent = 360.0  &
   length = 40.0  &
   radius = 50.0  &
   side_count_for_body = 15  &
   segment_count_for_ends = 15
!
geometry attributes  &
   geometry_name = ._fsae_powertrain_2018.gel_diff_output.gracyl_diff_output  &
   color = RED
!
!------------------------------ ger_diff_output -------------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_powertrain_2018.ground
!
part create rigid_body name_and_position  &
   part_name = ._fsae_powertrain_2018.ger_diff_output  &
   location = 0.0, 100.0, 0.0  &
   orientation = 180.0d, 90.0d, 180.0d
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_powertrain_2018.ger_diff_output
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._fsae_powertrain_2018.ger_diff_output.cm  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_powertrain_2018.ger_diff_output.cm  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_powertrain_2018.ger_diff_output.inertia_frame  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker create  &
   marker_name = ._fsae_powertrain_2018.ger_diff_output.jxr_joint_i_21  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 180.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_powertrain_2018.ger_diff_output.jxr_joint_i_21  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_powertrain_2018.ger_diff_output.gracyl_8  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_powertrain_2018.ger_diff_output.gracyl_8  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_powertrain_2018.ger_diff_output.jfr_actuator_i_1  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_powertrain_2018.ger_diff_output.jfr_actuator_i_1  &
   visibility = off  &
   name_visibility = off
!
part create rigid_body mass_properties  &
   part_name = ._fsae_powertrain_2018.ger_diff_output  &
   mass = 2.0  &
   center_of_mass_marker = ._fsae_powertrain_2018.ger_diff_output.cm  &
   inertia_marker = ._fsae_powertrain_2018.ger_diff_output.inertia_frame  &
   ixx = 1.0  &
   iyy = 1.0  &
   izz = 1.0  &
   ixy = 0.0  &
   izx = 0.0  &
   iyz = 0.0
!
! ****** Graphics for current part ******
!
geometry create shape cylinder  &
   cylinder_name = ._fsae_powertrain_2018.ger_diff_output.gracyl_diff_output  &
   center_marker = ._fsae_powertrain_2018.ger_diff_output.gracyl_8  &
   angle_extent = 360.0  &
   length = 40.0  &
   radius = 50.0  &
   side_count_for_body = 15  &
   segment_count_for_ends = 15
!
geometry attributes  &
   geometry_name = ._fsae_powertrain_2018.ger_diff_output.gracyl_diff_output  &
   color = RED
!
!------------------------------- ges_powertrain -------------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_powertrain_2018.ground
!
part create rigid_body name_and_position  &
   part_name = ._fsae_powertrain_2018.ges_powertrain  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_powertrain_2018.ges_powertrain
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._fsae_powertrain_2018.ges_powertrain.cm  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_powertrain_2018.ges_powertrain.cm  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_powertrain_2018.ges_powertrain.inertia_frame  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker create  &
   marker_name = ._fsae_powertrain_2018.ges_powertrain.jxl_joint_j_21  &
   location = 0.0, -100.0, 0.0  &
   orientation = 0.0d, 90.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_powertrain_2018.ges_powertrain.jxl_joint_j_21  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_powertrain_2018.ges_powertrain.jxr_joint_j_21  &
   location = 0.0, 100.0, 0.0  &
   orientation = 0.0d, 90.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_powertrain_2018.ges_powertrain.jxr_joint_j_21  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_powertrain_2018.ges_powertrain.jxs_joint_i_9  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_powertrain_2018.ges_powertrain.jxs_joint_i_9  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_powertrain_2018.ges_powertrain.jfl_actuator_j_1  &
   location = 0.0, -100.0, 0.0  &
   orientation = 0.0d, 90.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_powertrain_2018.ges_powertrain.jfl_actuator_j_1  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_powertrain_2018.ges_powertrain.jfr_actuator_j_1  &
   location = 0.0, 100.0, 0.0  &
   orientation = 180.0d, 90.0d, 180.0d
!
marker attributes  &
   marker_name = ._fsae_powertrain_2018.ges_powertrain.jfr_actuator_j_1  &
   visibility = off  &
   name_visibility = off
!
part create rigid_body mass_properties  &
   part_name = ._fsae_powertrain_2018.ges_powertrain  &
   mass = 5.0  &
   center_of_mass_marker = ._fsae_powertrain_2018.ges_powertrain.cm  &
   inertia_marker = ._fsae_powertrain_2018.ges_powertrain.inertia_frame  &
   ixx = 1.0  &
   iyy = 1.0  &
   izz = 1.0  &
   ixy = 0.0  &
   izx = 0.0  &
   iyz = 0.0
!
!--------------------------- mts_powertrain_to_body ---------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_powertrain_2018.ground
!
part create rigid_body name_and_position  &
   part_name = ._fsae_powertrain_2018.mts_powertrain_to_body  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_powertrain_2018.mts_powertrain_to_body
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._fsae_powertrain_2018.mts_powertrain_to_body.mount_i  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_powertrain_2018.mts_powertrain_to_body.mount_i  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_powertrain_2018.mts_powertrain_to_body.jxs_joint_j_9  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_powertrain_2018.mts_powertrain_to_body.jxs_joint_j_9  &
   visibility = off  &
   name_visibility = off
!
part attributes  &
   part_name = ._fsae_powertrain_2018.mts_powertrain_to_body  &
   visibility = on  &
   name_visibility = on
!
!--------------------------- mts_engine_to_subframe ---------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_powertrain_2018.ground
!
part create rigid_body name_and_position  &
   part_name = ._fsae_powertrain_2018.mts_engine_to_subframe  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_powertrain_2018.mts_engine_to_subframe
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._fsae_powertrain_2018.mts_engine_to_subframe.mount_i  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_powertrain_2018.mts_engine_to_subframe.mount_i  &
   visibility = off  &
   name_visibility = off
!
part attributes  &
   part_name = ._fsae_powertrain_2018.mts_engine_to_subframe  &
   visibility = on  &
   name_visibility = on
!
!---------------------------------- Callback ----------------------------------!
!
!
callback create  &
   callback_name = ._fsae_powertrain_2018.model_change_callback  &
   routine = "abgVDM::class777_cbksub"  &
   priority = 0
!
!--------------------------------- Equations ----------------------------------!
!
!
part create equation differential_equation  &
   differential_equation_name = ._fsae_powertrain_2018._cv_diff  &
   comments = "Dummy for communicators"  &
   initial_condition = 0.0  &
   function = ""  &
   implicit = off  &
   static_hold = off
!
part attributes  &
   equation_name = ._fsae_powertrain_2018._cv_diff  &
   visibility = off
!
part create equation general_state_equation  &
   general_state_equation_name = ._fsae_powertrain_2018.powertrain_gse  &
   state_equation_count = 1  &
   output_equation_count = 6  &
   discrete_state_equation_count = 1  &
   x_state_array_name = ._fsae_powertrain_2018.powertrain_state_array  &
   u_input_array_name = ._fsae_powertrain_2018.powertrain_input_array  &
   y_output_array_name = ._fsae_powertrain_2018.powertrain_output_array  &
   ic_array_name = ._fsae_powertrain_2018.powertrain_ic_robot  &
   discrete_state_array_name =   &
                               ._fsae_powertrain_2018.powertrain_discrete_state_array  &
   df_dx_method = user  &
   df_du_method = user  &
   dg_dx_method = user  &
   dg_du_method = user  &
   sample_period = "1.0E10"  &
   static_hold = off  &
   user_function = 777.0, 4.0, 0.0, 0.0, 0.0, 0.0, 0.0  &
   interface_routines = "abgVDM::Gse777_deriv", "abgVDM::Gse777_output",  &
                        "abgVDM::Gse777_update"
!
!----------------------------------- Joints -----------------------------------!
!
!
constraint create joint cylindrical  &
   joint_name = ._fsae_powertrain_2018._cv_joint_for_motion  &
   comments = "Dummy for communicators"  &
   i_marker_name = ._fsae_powertrain_2018._cv_part.marker  &
   j_marker_name = ._fsae_powertrain_2018.ground._cv_marker
!
constraint attributes  &
   constraint_name = ._fsae_powertrain_2018._cv_joint_for_motion  &
   visibility = off  &
   name_visibility = off
!
constraint create joint revolute  &
   joint_name = ._fsae_powertrain_2018.jolrev_diff_output  &
   i_marker_name = ._fsae_powertrain_2018.gel_diff_output.jxl_joint_i_21  &
   j_marker_name = ._fsae_powertrain_2018.ges_powertrain.jxl_joint_j_21
!
constraint create joint revolute  &
   joint_name = ._fsae_powertrain_2018.jorrev_diff_output  &
   i_marker_name = ._fsae_powertrain_2018.ger_diff_output.jxr_joint_i_21  &
   j_marker_name = ._fsae_powertrain_2018.ges_powertrain.jxr_joint_j_21
!
constraint create joint fixed  &
   joint_name = ._fsae_powertrain_2018.mts_fixed_2  &
   i_marker_name = ._fsae_powertrain_2018.mts_powertrain_to_body.mount_i  &
   j_marker_name = ._fsae_powertrain_2018.ground.mts_mount_j_2
!
constraint attributes  &
   constraint_name = ._fsae_powertrain_2018.mts_fixed_2  &
   visibility = off  &
   name_visibility = off
!
constraint create joint fixed  &
   joint_name = ._fsae_powertrain_2018.mts_fixed_3  &
   i_marker_name = ._fsae_powertrain_2018.mts_engine_to_subframe.mount_i  &
   j_marker_name = ._fsae_powertrain_2018.ground.mts_mount_j_3
!
constraint attributes  &
   constraint_name = ._fsae_powertrain_2018.mts_fixed_3  &
   visibility = off  &
   name_visibility = off
!
constraint create joint fixed  &
   joint_name = ._fsae_powertrain_2018.josfix_rigid_engine_mount  &
   i_marker_name = ._fsae_powertrain_2018.ges_powertrain.jxs_joint_i_9  &
   j_marker_name =   &
                   ._fsae_powertrain_2018.mts_powertrain_to_body.jxs_joint_j_9
!
!------------------------------ Joint Primitives ------------------------------!
!
!
constraint create primitive_joint inplane  &
   jprim_name = ._fsae_powertrain_2018._cv_joint  &
   comments = "Dummy for communicators"  &
   i_marker_name = ._fsae_powertrain_2018._cv_part.marker  &
   j_marker_name = ._fsae_powertrain_2018.ground._cv_marker
!
constraint attributes  &
   constraint_name = ._fsae_powertrain_2018._cv_joint  &
   visibility = off  &
   name_visibility = off
!
!----------------------------------- Forces -----------------------------------!
!
!
force create element_like field  &
   field_name = ._fsae_powertrain_2018._cv_bushing  &
   comments = "Dummy for communicators"  &
   i_marker_name = ._fsae_powertrain_2018._cv_part.marker  &
   j_marker_name = ._fsae_powertrain_2018.ground._cv_marker  &
   translation_at_preload = 0.0, 0.0, 0.0  &
   rotation_at_preload = 0.0d, 0.0d, 0.0d  &
   formulation = linear  &
   length_tolerance = 1.0E-05  &
   damping_ratio = 0.0  &
   stiffness_matrix =  &
      0.0, 0.0, 0.0, 0.0, 0.0, 0.0,  &
      0.0, 0.0, 0.0, 0.0, 0.0, 0.0,  &
      0.0, 0.0, 0.0, 0.0, 0.0, 0.0,  &
      0.0, 0.0, 0.0, 0.0, 0.0, 0.0,  &
      0.0, 0.0, 0.0, 0.0, 0.0, 0.0,  &
      0.0, 0.0, 0.0, 0.0, 0.0, 0.0  &
   force_preload = 0.0, 0.0, 0.0  &
   torque_preload = 0.0, 0.0, 0.0
!
force attributes  &
   force_name = ._fsae_powertrain_2018._cv_bushing  &
   visibility = off  &
   name_visibility = off
!
!---------------------------------- Requests ----------------------------------!
!
!
output_control create request  &
   request_name = ._fsae_powertrain_2018.engine1_manual  &
   component_names = "", "output_omega", "output_rpm", "map_torque", "",  &
                     "output_torque", "map_power_HP", "map_power_KW"  &
   component_units = "no_units", "angular_velocity", "no_units", "torque",  &
                     "no_units", "torque", "no_units", "no_units"  &
   results_name = "engine"  &
   f2 = ""  &
   f3 = ""  &
   f4 = ""  &
   f6 = ""  &
   f7 = ""  &
   f8 = ""
!
output_control create request  &
   request_name = ._fsae_powertrain_2018.engine2_manual  &
   component_names = "", "output_power_HP", "output_power_KW", "throttle",  &
                     "", "", "", ""  &
   component_units = "no_units", "no_units", "no_units", "no_units",  &
                     "no_units", "no_units", "no_units", "no_units"  &
   results_name = "engine"  &
   f2 = ""  &
   f3 = ""  &
   f4 = ""
!
output_control create request  &
   request_name = ._fsae_powertrain_2018.engine1_auto  &
   component_names = "", "output_omega", "output_rpm", "map_torque", "",  &
                     "output_torque", "map_power_HP", "map_power_KW"  &
   component_units = "no_units", "angular_velocity", "no_units", "torque",  &
                     "no_units", "torque", "no_units", "no_units"  &
   results_name = "engine"  &
   f2 = ""  &
   f3 = ""  &
   f4 = ""  &
   f6 = ""  &
   f7 = ""  &
   f8 = ""
!
output_control create request  &
   request_name = ._fsae_powertrain_2018.engine2_auto  &
   component_names = "", "output_power_HP", "output_power_KW", "throttle",  &
                     "", "", "", ""  &
   component_units = "no_units", "no_units", "no_units", "no_units",  &
                     "no_units", "no_units", "no_units", "no_units"  &
   results_name = "engine"  &
   f2 = ""  &
   f3 = ""  &
   f4 = ""
!
output_control create request  &
   request_name = ._fsae_powertrain_2018.engine1_robot  &
   component_names = "", "output_omega", "output_rpm", "map_torque", "",  &
                     "output_torque", "map_power_HP", "map_power_KW"  &
   component_units = "no_units", "angular_velocity", "no_units", "torque",  &
                     "no_units", "torque", "no_units", "no_units"  &
   results_name = "engine"  &
   f2 = ""  &
   f3 = ""  &
   f4 = ""  &
   f6 = ""  &
   f7 = ""  &
   f8 = ""
!
output_control create request  &
   request_name = ._fsae_powertrain_2018.engine2_robot  &
   component_names = "", "output_power_HP", "output_power_KW", "throttle",  &
                     "", "", "", ""  &
   component_units = "no_units", "no_units", "no_units", "no_units",  &
                     "no_units", "no_units", "no_units", "no_units"  &
   results_name = "engine"  &
   f2 = ""  &
   f3 = ""  &
   f4 = ""
!
output_control create request  &
   request_name = ._fsae_powertrain_2018.clutch1  &
   component_names = "", "input_omega", "input_RPM", "output_omega", "",  &
                     "output_RPM", "input_torque", "output_torque"  &
   component_units = "no_units", "angular_velocity", "no_units",  &
                     "angular_velocity", "no_units", "no_units", "torque",  &
                     "torque"  &
   results_name = "clutch"  &
   f2 = ""  &
   f3 = ""  &
   f4 = ""  &
   f6 = ""  &
   f7 = ""  &
   f8 = ""
!
output_control create request  &
   request_name = ._fsae_powertrain_2018.clutch2  &
   component_names = "", "input_power_HP", "input_power_KW",  &
                     "output_power_HP", "", "output_power_KW", "slip",  &
                     "slipspeed_omega"  &
   component_units = "no_units", "no_units", "no_units", "no_units",  &
                     "no_units", "no_units", "angle", "angular_velocity"  &
   results_name = "clutch"  &
   f2 = ""  &
   f3 = ""  &
   f4 = ""  &
   f6 = ""  &
   f7 = ""  &
   f8 = ""
!
output_control create request  &
   request_name = ._fsae_powertrain_2018.clutch3  &
   component_names = "", "slipspeed_RPM", "dissipated_torque",  &
                     "dissipated_power_HP", "", "dissipated_power_KW", "", ""  &
   component_units = "no_units", "no_units", "torque", "no_units",  &
                     "no_units", "no_units", "no_units", "no_units"  &
   results_name = "clutch"  &
   f2 = ""  &
   f3 = ""  &
   f4 = ""  &
   f6 = ""
!
output_control create request  &
   request_name = ._fsae_powertrain_2018.simple_trans1  &
   component_names = "", "output_omega", "output_RPM", "map_torque", "",  &
                     "output_torque", "map_power_HP", "map_power_KW"  &
   component_units = "no_units", "angular_velocity", "no_units", "torque",  &
                     "no_units", "torque", "no_units", "no_units"  &
   results_name = "powertrain"  &
   f2 = ""  &
   f3 = ""  &
   f4 = ""  &
   f6 = ""  &
   f7 = ""  &
   f8 = ""
!
output_control create request  &
   request_name = ._fsae_powertrain_2018.simple_trans2  &
   component_names = "", "output_power_HP", "output_power_KW", "throttle",  &
                     "", "", "", ""  &
   component_units = "no_units", "no_units", "no_units", "no_units",  &
                     "no_units", "no_units", "no_units", "no_units"  &
   results_name = "powertrain"  &
   f2 = ""  &
   f3 = ""  &
   f4 = ""
!
output_control create request  &
   request_name = ._fsae_powertrain_2018.torque_converter1  &
   component_names = "", "input_omega", "input_RPM", "output_omega", "",  &
                     "output_RPM", "input_torque", "output_torque"  &
   component_units = "no_units", "angular_velocity", "no_units",  &
                     "angular_velocity", "no_units", "no_units", "torque",  &
                     "torque"  &
   results_name = "torque_converter"  &
   f2 = ""  &
   f3 = ""  &
   f4 = ""  &
   f6 = ""  &
   f7 = ""  &
   f8 = ""
!
output_control create request  &
   request_name = ._fsae_powertrain_2018.torque_converter2  &
   component_names = "", "input_power_HP", "input_power_KW",  &
                     "output_power_HP", "", "output_power_KW", "speed_ratio",  &
                     "efficiency"  &
   component_units = "no_units", "no_units", "no_units", "no_units",  &
                     "no_units", "no_units", "no_units", "no_units"  &
   results_name = "torque_converter"  &
   f2 = ""  &
   f3 = ""  &
   f4 = ""  &
   f6 = ""  &
   f7 = ""  &
   f8 = ""
!
output_control create request  &
   request_name = ._fsae_powertrain_2018.torque_converter3  &
   component_names = "", "capacity_factor", "torque_ratio", "", "", "", "",  &
                     ""  &
   component_units = "no_units", "no_units", "no_units", "no_units",  &
                     "no_units", "no_units", "no_units", "no_units"  &
   results_name = "torque_converter"  &
   f2 = ""  &
   f3 = ""
!
output_control create request  &
   request_name = ._fsae_powertrain_2018.transmission1_manual  &
   component_names = "", "input_omega", "input_RPM", "output_omega", "",  &
                     "output_RPM", "input_torque", "output_torque"  &
   component_units = "no_units", "angular_velocity", "no_units",  &
                     "angular_velocity", "no_units", "no_units", "torque",  &
                     "torque"  &
   results_name = "transmission"  &
   f2 = ""  &
   f3 = ""  &
   f4 = ""  &
   f6 = ""  &
   f7 = ""  &
   f8 = ""
!
output_control create request  &
   request_name = ._fsae_powertrain_2018.transmission2_manual  &
   component_names = "", "input_power_HP", "input_power_KW",  &
                     "output_power_HP", "", "output_power_KW", "gear_number",  &
                     "gear_ratio"  &
   component_units = "no_units", "no_units", "no_units", "no_units",  &
                     "no_units", "no_units", "no_units", "no_units"  &
   results_name = "transmission"  &
   f2 = ""  &
   f3 = ""  &
   f4 = ""  &
   f6 = ""  &
   f7 = ""  &
   f8 = ""
!
output_control create request  &
   request_name = ._fsae_powertrain_2018.transmission1_auto  &
   component_names = "", "input_omega", "input_RPM", "output_omega", "",  &
                     "output_RPM", "input_torque", "output_torque"  &
   component_units = "no_units", "angular_velocity", "no_units",  &
                     "angular_velocity", "no_units", "no_units", "torque",  &
                     "torque"  &
   results_name = "transmission"  &
   f2 = ""  &
   f3 = ""  &
   f4 = ""  &
   f6 = ""  &
   f7 = ""  &
   f8 = ""
!
output_control create request  &
   request_name = ._fsae_powertrain_2018.transmission2_auto  &
   component_names = "", "input_power_HP", "input_power_KW",  &
                     "output_power_HP", "", "output_power_KW", "gear_number",  &
                     "gear_ratio"  &
   component_units = "no_units", "no_units", "no_units", "no_units",  &
                     "no_units", "no_units", "no_units", "no_units"  &
   results_name = "transmission"  &
   f2 = ""  &
   f3 = ""  &
   f4 = ""  &
   f6 = ""  &
   f7 = ""  &
   f8 = ""
!
output_control create request  &
   request_name = ._fsae_powertrain_2018.transmission1_robot  &
   component_names = "", "input_omega", "input_RPM", "output_omega", "",  &
                     "output_RPM", "input_torque", "output_torque"  &
   component_units = "no_units", "angular_velocity", "no_units",  &
                     "angular_velocity", "no_units", "no_units", "torque",  &
                     "torque"  &
   results_name = "transmission"  &
   f2 = ""  &
   f3 = ""  &
   f4 = ""  &
   f6 = ""  &
   f7 = ""  &
   f8 = ""
!
output_control create request  &
   request_name = ._fsae_powertrain_2018.transmission2_robot  &
   component_names = "", "input_power_HP", "input_power_KW",  &
                     "output_power_HP", "", "output_power_KW", "gear_number",  &
                     "gear_ratio"  &
   component_units = "no_units", "no_units", "no_units", "no_units",  &
                     "no_units", "no_units", "no_units", "no_units"  &
   results_name = "transmission"  &
   f2 = ""  &
   f3 = ""  &
   f4 = ""  &
   f6 = ""  &
   f7 = ""  &
   f8 = ""
!
output_control create request  &
   request_name = ._fsae_powertrain_2018.differential1  &
   component_names = "", "input_omega", "input_RPM", "output_omega_left", "",  &
                     "output_RPM_left", "output_omega_right",  &
                     "output_RPM_right"  &
   component_units = "no_units", "angular_velocity", "no_units",  &
                     "angular_velocity", "no_units", "no_units",  &
                     "angular_velocity", "no_units"  &
   results_name = "differential"  &
   f2 = ""  &
   f3 = ""  &
   f4 = ""  &
   f6 = ""  &
   f7 = ""  &
   f8 = ""
!
output_control create request  &
   request_name = ._fsae_powertrain_2018.differential2  &
   component_names = "", "output_omega_delta", "output_RPM_delta",  &
                     "input_torque", "", "output_torque_left",  &
                     "output_torque_right", "output_torque_delta"  &
   component_units = "no_units", "angular_velocity", "no_units", "torque",  &
                     "no_units", "torque", "torque", "torque"  &
   results_name = "differential"  &
   f2 = ""  &
   f3 = ""  &
   f4 = ""  &
   f6 = ""  &
   f7 = ""  &
   f8 = ""
!
output_control create request  &
   request_name = ._fsae_powertrain_2018.differential3  &
   component_names = "", "input_power_HP", "input_power_KW",  &
                     "output_power_left_HP", "", "output_power_left_KW",  &
                     "output_power_right_HP", "output_power_right_KW"  &
   component_units = "no_units", "no_units", "no_units", "no_units",  &
                     "no_units", "no_units", "no_units", "no_units"  &
   results_name = "differential"  &
   f2 = ""  &
   f3 = ""  &
   f4 = ""  &
   f6 = ""  &
   f7 = ""  &
   f8 = ""
!
output_control create request  &
   request_name = ._fsae_powertrain_2018.differential4  &
   component_names = "", "output_power_delta_HP", "output_power_delta_KW",  &
                     "final_drive_ratio", "", "", "", ""  &
   component_units = "no_units", "no_units", "no_units", "no_units",  &
                     "no_units", "no_units", "no_units", "no_units"  &
   results_name = "differential"  &
   f2 = ""  &
   f3 = ""  &
   f4 = ""
!
!-------------------------- Adams View UDE Instances --------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_powertrain_2018.ground
!
undo begin_block suppress = yes
!
ude create instance  &
   instance_name = ._fsae_powertrain_2018.jfl_output_torque  &
   definition_name = .ACAR.inputs.ac_joint_force_actuator  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0, 0.0, 0.0
!
ude create instance  &
   instance_name = ._fsae_powertrain_2018.jfr_output_torque  &
   definition_name = .ACAR.inputs.ac_joint_force_actuator  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0, 0.0, 0.0
!
!-------------------------- Adams View UDE Instance ---------------------------!
!
!
variable modify  &
   variable_name = ._fsae_powertrain_2018.jfl_output_torque.type_of_freedom  &
   string_value = "rotational"
!
variable modify  &
   variable_name = ._fsae_powertrain_2018.jfl_output_torque.function  &
   string_value = "0.5*(VARVAL(._fsae_powertrain_2018.total_axle_torque)-VARVAL(._fsae_powertrain_2018.differential_torque))"
!
variable modify  &
   variable_name = ._fsae_powertrain_2018.jfl_output_torque.application  &
   string_value = "output_torque"
!
variable modify  &
   variable_name = ._fsae_powertrain_2018.jfl_output_torque.identifier  &
   string_value = "Single_Component_Force"
!
variable modify  &
   variable_name = ._fsae_powertrain_2018.jfl_output_torque.force_limits  &
   real_value =   &
      -1.0E+06,  &
      1.0E+06
!
variable modify  &
   variable_name = ._fsae_powertrain_2018.jfl_output_torque.displacement_limits  &
   real_value =   &
      -1.0E+06,  &
      1.0E+06
!
variable modify  &
   variable_name = ._fsae_powertrain_2018.jfl_output_torque.velocity_limits  &
   real_value =   &
      -1.0E+06,  &
      1.0E+06
!
variable modify  &
   variable_name = ._fsae_powertrain_2018.jfl_output_torque.acceleration_limits  &
   real_value =   &
      -1.0E+06,  &
      1.0E+06
!
variable modify  &
   variable_name = ._fsae_powertrain_2018.jfl_output_torque.unit_string  &
   string_value = "torque"
!
variable modify  &
   variable_name = ._fsae_powertrain_2018.jfl_output_torque.joint  &
   object_value = ._fsae_powertrain_2018.jolrev_diff_output
!
variable modify  &
   variable_name = ._fsae_powertrain_2018.jfl_output_torque.i_marker  &
   object_value = ._fsae_powertrain_2018.gel_diff_output.jfl_actuator_i_1
!
variable modify  &
   variable_name = ._fsae_powertrain_2018.jfl_output_torque.j_marker  &
   object_value = ._fsae_powertrain_2018.ges_powertrain.jfl_actuator_j_1
!
ude modify instance  &
   instance_name = ._fsae_powertrain_2018.jfl_output_torque
!
!-------------------------- Adams View UDE Instance ---------------------------!
!
!
variable modify  &
   variable_name = ._fsae_powertrain_2018.jfr_output_torque.type_of_freedom  &
   string_value = "rotational"
!
variable modify  &
   variable_name = ._fsae_powertrain_2018.jfr_output_torque.function  &
   string_value = "-0.5*(VARVAL(._fsae_powertrain_2018.total_axle_torque)+VARVAL(._fsae_powertrain_2018.differential_torque))"
!
variable modify  &
   variable_name = ._fsae_powertrain_2018.jfr_output_torque.application  &
   string_value = "output_torque"
!
variable modify  &
   variable_name = ._fsae_powertrain_2018.jfr_output_torque.identifier  &
   string_value = "Single_Component_Force"
!
variable modify  &
   variable_name = ._fsae_powertrain_2018.jfr_output_torque.force_limits  &
   real_value =   &
      -1.0E+06,  &
      1.0E+06
!
variable modify  &
   variable_name = ._fsae_powertrain_2018.jfr_output_torque.displacement_limits  &
   real_value =   &
      -1.0E+06,  &
      1.0E+06
!
variable modify  &
   variable_name = ._fsae_powertrain_2018.jfr_output_torque.velocity_limits  &
   real_value =   &
      -1.0E+06,  &
      1.0E+06
!
variable modify  &
   variable_name = ._fsae_powertrain_2018.jfr_output_torque.acceleration_limits  &
   real_value =   &
      -1.0E+06,  &
      1.0E+06
!
variable modify  &
   variable_name = ._fsae_powertrain_2018.jfr_output_torque.unit_string  &
   string_value = "torque"
!
variable modify  &
   variable_name = ._fsae_powertrain_2018.jfr_output_torque.joint  &
   object_value = ._fsae_powertrain_2018.jorrev_diff_output
!
variable modify  &
   variable_name = ._fsae_powertrain_2018.jfr_output_torque.i_marker  &
   object_value = ._fsae_powertrain_2018.ger_diff_output.jfr_actuator_i_1
!
variable modify  &
   variable_name = ._fsae_powertrain_2018.jfr_output_torque.j_marker  &
   object_value = ._fsae_powertrain_2018.ges_powertrain.jfr_actuator_j_1
!
ude modify instance  &
   instance_name = ._fsae_powertrain_2018.jfr_output_torque
!
undo end_block
!
!---------------------------------- Motions -----------------------------------!
!
!
constraint create motion_generator  &
   motion_name = ._fsae_powertrain_2018._cv_motion  &
   comments = "Dummy for communicators"  &
   type_of_freedom = rotational  &
   joint_name = ._fsae_powertrain_2018._cv_joint_for_motion  &
   function = ""
!
constraint attributes  &
   constraint_name = ._fsae_powertrain_2018._cv_motion  &
   visibility = off  &
   name_visibility = off
!
!---------------------------------- Accgrav -----------------------------------!
!
!
force create body gravitational  &
   gravity_field_name = gravity  &
   x_component_gravity = 0.0  &
   y_component_gravity = 0.0  &
   z_component_gravity = -9809.9999999989
!
!----------------------------- Analysis settings ------------------------------!
!
!
output_control set results  &
   model_name = _fsae_powertrain_2018  &
   formatted = on
!
!---------------------------- Adams View Variables ----------------------------!
!
!
variable create  &
   variable_name = ._fsae_powertrain_2018.gss_engine_torque.property_file  &
   string_value = "mdids://acar_shared/powertrains.tbl/V12_engine_map.pwr"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.gss_engine_torque.datablock  &
   string_value = "ENGINE"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.gss_engine_torque.spline_type  &
   string_value = "three_dimensional"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.gss_engine_torque.xy_subblock  &
   string_value = ""
!
variable create  &
   variable_name = ._fsae_powertrain_2018.gss_engine_torque.z_subblock  &
   string_value = ""
!
variable create  &
   variable_name = ._fsae_powertrain_2018.gss_differential.property_file  &
   string_value = "mdids://acar_shared/differentials.tbl/MDI_viscous.dif"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.gss_differential.datablock  &
   string_value = "DIFFERENTIAL"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.gss_differential.spline_type  &
   string_value = "two_dimensional"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.gss_torque_ratio.property_file  &
   string_value = "mdids://acar_shared/torque_converters.tbl/mdi_0001.tcf"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.gss_torque_ratio.datablock  &
   string_value = "TORQUE_RATIO"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.gss_torque_ratio.xy_subblock  &
   string_value = "XY_DATA"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.gss_torque_ratio.z_subblock  &
   string_value = ""
!
variable create  &
   variable_name = ._fsae_powertrain_2018.gss_torque_ratio.spline_type  &
   string_value = "two_dimensional"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.gss_capacity_factor.property_file  &
   string_value = "mdids://acar_shared/torque_converters.tbl/mdi_0001.tcf"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.gss_capacity_factor.datablock  &
   string_value = "CAPACITY_FACTOR"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.gss_capacity_factor.xy_subblock  &
   string_value = "XY_DATA"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.gss_capacity_factor.z_subblock  &
   string_value = ""
!
variable create  &
   variable_name = ._fsae_powertrain_2018.gss_capacity_factor.spline_type  &
   string_value = "two_dimensional"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.gel_diff_output.sml_sprung_mass_percent  &
   real_value = 100.0
!
variable create  &
   variable_name = ._fsae_powertrain_2018.ger_diff_output.smr_sprung_mass_percent  &
   real_value = 100.0
!
variable create  &
   variable_name = ._fsae_powertrain_2018.ges_powertrain.sms_sprung_mass_percent  &
   real_value = 100.0
!
variable create  &
   variable_name = ._fsae_powertrain_2018.mts_powertrain_to_body.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.mts_powertrain_to_body.dependents  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_powertrain_2018.mts_engine_to_subframe.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.mts_engine_to_subframe.dependents  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_powertrain_2018.gse_state_array_comment_manual  &
   string_value = " x1: engineOmega", " x2: clutchSlip"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.gse_state_array_comment_simple  &
   string_value = " x1: engineTorque", ""
!
variable create  &
   variable_name = ._fsae_powertrain_2018.gse_state_array_comment_auto  &
   string_value = " x1: engineOmega", ""
!
variable create  &
   variable_name = ._fsae_powertrain_2018.gse_state_array_comment_robot  &
   string_value = " x1: engineTorque", ""
!
variable create  &
   variable_name = ._fsae_powertrain_2018.gse_output_array_comment_manual  &
   string_value = " y1: throttle", " y2: engineOmega", " y3: outputTorque",  &
                  " y4: clutchSlipRate", " y5: engineTorque",  &
                  " y6: clutchSlip", ""
!
variable create  &
   variable_name = ._fsae_powertrain_2018.gse_output_array_comment_simple  &
   string_value = " y1: throttle", " y2: engineOmega", " y3: outputTorque",  &
                  " y4: engineTorque", "", "", ""
!
variable create  &
   variable_name = ._fsae_powertrain_2018.gse_output_array_comment_auto  &
   string_value = " y1: throttle", " y2: engineOmega", " y3: outputTorque",  &
                  " y4: engineTorque", " y5: speedRatio", " y6: actualGear",  &
                  " y7: actualRatio"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.gse_output_array_comment_robot  &
   string_value = " y1: throttle", " y2: engineOmega", " y3: outputTorque",  &
                  " y4: actualGear", " y5: actualRatio", " y6: engineTorque",  &
                  ""
!
variable create  &
   variable_name = ._fsae_powertrain_2018.gse_number_states  &
   integer_value = 2, 1, 1, 1
!
variable create  &
   variable_name = ._fsae_powertrain_2018.gse_number_discrete_states  &
   integer_value = 0, 0, 1, 1
!
variable create  &
   variable_name = ._fsae_powertrain_2018.gse_number_outputs  &
   integer_value = 6, 4, 7, 6
!
variable create  &
   variable_name = ._fsae_powertrain_2018.speed  &
   units = "velocity"  &
   real_value = 0.0
!
variable create  &
   variable_name = ._fsae_powertrain_2018.template_creation_date  &
   string_value = "1996/07/05,18:29:36"  &
   comments = "Do not remove"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.minor_role  &
   string_value = "unassigned"  &
   comments = "Memory for Adams Car minor role"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.model_class  &
   string_value = "template"  &
   comments = "Memory for Adams Car model class"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.phs_kinematic_flag  &
   integer_value = 0  &
   comments =   &
              "Flag that determines if kinematic joints or bushings are active"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.pvs_sport_flag  &
   integer_value = 1  &
   comments =   &
              "Flag that determines if the sport mode gear shifting is active for automatic modes"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.pvs_graphics_flag  &
   integer_value = 1  &
   comments = "Flag that determines if the powertrain graphics are active"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.role  &
   string_value = "powertrain"  &
   comments = "Memory for Adams Car major role"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.col_tripot_to_differential  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_powertrain_2018.col_tripot_to_differential.matching_name  &
   string_value = "tripot_to_differential"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.col_tripot_to_differential.entity  &
   string_value = "mount"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.col_tripot_to_differential.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.cor_tripot_to_differential  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_powertrain_2018.cor_tripot_to_differential.matching_name  &
   string_value = "tripot_to_differential"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.cor_tripot_to_differential.entity  &
   string_value = "mount"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.cor_tripot_to_differential.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.cis_throttle_demand  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_powertrain_2018.cis_throttle_demand.matching_name  &
   string_value = "throttle_demand"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.cis_throttle_demand.entity  &
   string_value = "solver_variable"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.cis_throttle_demand.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.cis_throttle_demand_adams_id  &
   integer_value = 0
!
variable create  &
   variable_name = ._fsae_powertrain_2018.cis_throttle_demand_adams_id.matching_name  &
   string_value = "throttle_demand_adams_id"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.cis_throttle_demand_adams_id.entity  &
   string_value = "solver_variable"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.cis_throttle_demand_adams_id.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.pvs_gear_ratio_R  &
   units = "no_units"  &
   real_value = -3.0
!
variable create  &
   variable_name = ._fsae_powertrain_2018.pvs_gear_ratio_1  &
   units = "no_units"  &
   real_value = 2.75
!
variable create  &
   variable_name = ._fsae_powertrain_2018.pvs_gear_ratio_2  &
   units = "no_units"  &
   real_value = 2.0
!
variable create  &
   variable_name = ._fsae_powertrain_2018.pvs_gear_ratio_3  &
   units = "no_units"  &
   real_value = 1.666
!
variable create  &
   variable_name = ._fsae_powertrain_2018.pvs_gear_ratio_4  &
   units = "no_units"  &
   real_value = 1.444
!
variable create  &
   variable_name = ._fsae_powertrain_2018.pvs_gear_ratio_5  &
   units = "no_units"  &
   real_value = 1.304
!
variable create  &
   variable_name = ._fsae_powertrain_2018.pvs_gear_ratio_6  &
   units = "no_units"  &
   real_value = 1.208
!
variable create  &
   variable_name = ._fsae_powertrain_2018.pvs_final_drive  &
   units = "no_units"  &
   real_value = 2.5625
!
variable create  &
   variable_name = ._fsae_powertrain_2018.cis_transmission_demand  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_powertrain_2018.cis_transmission_demand.matching_name  &
   string_value = "transmission_demand"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.cis_transmission_demand.entity  &
   string_value = "solver_variable"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.cis_transmission_demand.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.cis_transmission_demand_adams_id  &
   integer_value = 0
!
variable create  &
   variable_name = ._fsae_powertrain_2018.cis_transmission_demand_adams_id.matching_name  &
   string_value = "transmission_demand_adams_id"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.cis_transmission_demand_adams_id.entity  &
   string_value = "solver_variable"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.cis_transmission_demand_adams_id.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.cis_clutch_demand  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_powertrain_2018.cis_clutch_demand.matching_name  &
   string_value = "clutch_demand"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.cis_clutch_demand.entity  &
   string_value = "solver_variable"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.cis_clutch_demand.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.cis_clutch_demand_adams_id  &
   integer_value = 0
!
variable create  &
   variable_name = ._fsae_powertrain_2018.cis_clutch_demand_adams_id.matching_name  &
   string_value = "clutch_demand_adams_id"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.cis_clutch_demand_adams_id.entity  &
   string_value = "solver_variable"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.cis_clutch_demand_adams_id.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.pvs_engine_inertia  &
   units = "inertia"  &
   real_value = 7.0E+04
!
variable create  &
   variable_name = ._fsae_powertrain_2018.pvs_engine_stall_speed  &
   units = "no_units"  &
   real_value = 750.0
!
variable create  &
   variable_name = ._fsae_powertrain_2018.pvs_engine_idle_speed  &
   units = "no_units"  &
   real_value = 1000.0
!
variable create  &
   variable_name = ._fsae_powertrain_2018.pvs_engine_rev_limit  &
   units = "no_units"  &
   real_value = 8000.0
!
variable create  &
   variable_name = ._fsae_powertrain_2018.pvs_ems_gain  &
   units = "no_units"  &
   real_value = 5.0E-03
!
variable create  &
   variable_name = ._fsae_powertrain_2018.pvs_clutch_stiffness  &
   units = "torsion_stiffness"  &
   real_value = 1.0E+06
!
variable create  &
   variable_name = ._fsae_powertrain_2018.pvs_clutch_damping  &
   units = "torsion_damping"  &
   real_value = 1.0E+04
!
variable create  &
   variable_name = ._fsae_powertrain_2018.torque_to_Nmm  &
   units = "no_units"  &
   real_value = 1.0
!
variable create  &
   variable_name = ._fsae_powertrain_2018.cil_diff_tripot  &
   units = "length"  &
   real_value = 0.0, -100.0, 0.0
!
variable create  &
   variable_name = ._fsae_powertrain_2018.cil_diff_tripot.matching_name  &
   string_value = "tripot_to_differential"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.cil_diff_tripot.entity  &
   string_value = "location"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.cil_diff_tripot.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.cir_diff_tripot  &
   units = "length"  &
   real_value = 0.0, 100.0, 0.0
!
variable create  &
   variable_name = ._fsae_powertrain_2018.cir_diff_tripot.matching_name  &
   string_value = "tripot_to_differential"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.cir_diff_tripot.entity  &
   string_value = "location"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.cir_diff_tripot.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.cis_initial_engine_rpm  &
   units = "no_units"  &
   real_value = 1000.0
!
variable create  &
   variable_name = ._fsae_powertrain_2018.cis_initial_engine_rpm.matching_name  &
   string_value = "initial_engine_rpm"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.cis_initial_engine_rpm.entity  &
   string_value = "parameter_real"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.cis_initial_engine_rpm.minor_role  &
   string_value = "any"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.cis_powertrain_to_body  &
   object_value = (NONE)  &
   comments = "Autocreated for mount part: mts_powertrain_to_body"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.cis_powertrain_to_body.matching_name  &
   string_value = "powertrain_to_body"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.cis_powertrain_to_body.entity  &
   string_value = "mount"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.cis_powertrain_to_body.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.cis_engine_to_subframe  &
   object_value = (NONE)  &
   comments = "Autocreated for mount part: mts_engine_to_subframe"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.cis_engine_to_subframe.matching_name  &
   string_value = "engine_to_subframe", "powertrain_to_body"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.cis_engine_to_subframe.entity  &
   string_value = "mount"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.cis_engine_to_subframe.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.cos_engine_rpm  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_powertrain_2018.cos_engine_rpm.matching_name  &
   string_value = "engine_rpm"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.cos_engine_rpm.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.cos_engine_rpm.entity  &
   string_value = "solver_variable"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.cos_engine_speed  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_powertrain_2018.cos_engine_speed.matching_name  &
   string_value = "engine_speed"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.cos_engine_speed.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.cos_engine_speed.entity  &
   string_value = "solver_variable"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.custom_menus  &
   string_value = "button1", "button2"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.custom_menus.button1  &
   string_value = "interface dialog_box display &",  &
                  " dialog_box_name=dbox_pow_par"  &
   comments = "adjust", "Powertrain Properties..."
!
variable create  &
   variable_name = ._fsae_powertrain_2018.custom_menus.button2  &
   string_value = "interface dialog_box display &",  &
                  " dialog_box_name=dbox_pow_dif"  &
   comments = "adjust", "Differential Properties..."
!
variable create  &
   variable_name = ._fsae_powertrain_2018.custom_dboxes  &
   string_value = "dbox_pow_par", "dbox_pow_dif", "dbox_pow_plt"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.pvs_max_gears  &
   integer_value = 6
!
variable create  &
   variable_name = ._fsae_powertrain_2018.min_gears  &
   integer_value = -1
!
variable create  &
   variable_name = ._fsae_powertrain_2018.cos_diff_ratio  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_powertrain_2018.cos_diff_ratio.matching_name  &
   string_value = "diff_ratio"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.cos_diff_ratio.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.cos_diff_ratio.entity  &
   string_value = "parameter_real"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.cos_max_gears  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_powertrain_2018.cos_max_gears.matching_name  &
   string_value = "max_gears"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.cos_max_gears.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.cos_max_gears.entity  &
   string_value = "parameter_integer"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.cos_engine_stall_rpm  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_powertrain_2018.cos_engine_stall_rpm.matching_name  &
   string_value = "engine_stall_rpm"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.cos_engine_stall_rpm.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.cos_engine_stall_rpm.entity  &
   string_value = "parameter_real"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.cos_engine_revlimit_rpm  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_powertrain_2018.cos_engine_revlimit_rpm.matching_name  &
   string_value = "engine_revlimit_rpm"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.cos_engine_revlimit_rpm.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.cos_engine_revlimit_rpm.entity  &
   string_value = "parameter_real"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.cos_transmission_spline  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_powertrain_2018.cos_transmission_spline.matching_name  &
   string_value = "transmission_spline"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.cos_transmission_spline.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.cos_transmission_spline.entity  &
   string_value = "spline"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.cos_engine_map  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_powertrain_2018.cos_engine_map.matching_name  &
   string_value = "engine_map"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.cos_engine_map.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.cos_engine_map.entity  &
   string_value = "spline"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.pvs_ems_max_throttle  &
   units = "no_units"  &
   real_value = 15.0
!
variable create  &
   variable_name = ._fsae_powertrain_2018.pvs_max_throttle  &
   units = "no_units"  &
   real_value = 100.0
!
variable create  &
   variable_name = ._fsae_powertrain_2018.cos_max_throttle  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_powertrain_2018.cos_max_throttle.matching_name  &
   string_value = "max_throttle"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.cos_max_throttle.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.cos_max_throttle.entity  &
   string_value = "parameter_real"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.col_output_torque  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_powertrain_2018.col_output_torque.matching_name  &
   string_value = "output_torque"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.col_output_torque.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.col_output_torque.entity  &
   string_value = "force"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.cor_output_torque  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_powertrain_2018.cor_output_torque.matching_name  &
   string_value = "output_torque"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.cor_output_torque.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.cor_output_torque.entity  &
   string_value = "force"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.cil_tire_force  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_powertrain_2018.cil_tire_force.matching_name  &
   string_value = "tire_force"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.cil_tire_force.entity  &
   string_value = "force"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.cil_tire_force.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.cil_tire_force_adams_id  &
   integer_value = 0  &
   comments =   &
              "Passes the adams_id of the force (used in function expressions)"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.cil_tire_force_adams_id.matching_name  &
   string_value = "tire_force_adams_id"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.cil_tire_force_adams_id.entity  &
   string_value = "force"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.cil_tire_force_adams_id.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.cir_tire_force  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_powertrain_2018.cir_tire_force.matching_name  &
   string_value = "tire_force"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.cir_tire_force.entity  &
   string_value = "force"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.cir_tire_force.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.cir_tire_force_adams_id  &
   integer_value = 0  &
   comments =   &
              "Passes the adams_id of the force (used in function expressions)"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.cir_tire_force_adams_id.matching_name  &
   string_value = "tire_force_adams_id"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.cir_tire_force_adams_id.entity  &
   string_value = "force"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.cir_tire_force_adams_id.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.cos_clutch_displacement_ic  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_powertrain_2018.cos_clutch_displacement_ic.matching_name  &
   string_value = "clutch_displacement_ic"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.cos_clutch_displacement_ic.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.cos_clutch_displacement_ic.entity  &
   string_value = "solver_variable"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.cos_transmission_input_omega  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_powertrain_2018.cos_transmission_input_omega.matching_name  &
   string_value = "transmission_input_omega"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.cos_transmission_input_omega.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.cos_transmission_input_omega.entity  &
   string_value = "solver_variable"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.cis_sse_diff1  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_powertrain_2018.cis_sse_diff1.matching_name  &
   string_value = "sse_diff1"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.cis_sse_diff1.entity  &
   string_value = "diff"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.cis_sse_diff1.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.cis_sse_diff1_adams_id  &
   integer_value = 0  &
   comments =   &
              "Passes the adams_id of the diff (used in function expressions)"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.cis_sse_diff1_adams_id.matching_name  &
   string_value = "sse_diff1_adams_id"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.cis_sse_diff1_adams_id.entity  &
   string_value = "diff"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.cis_sse_diff1_adams_id.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.pvs_clutch_capacity  &
   units = "torque"  &
   real_value = 1.0E+06
!
variable create  &
   variable_name = ._fsae_powertrain_2018.pvs_clutch_close  &
   units = "no_units"  &
   real_value = 0.25  &
   comments = "The value of clutch demand at which",  &
              "the clutch is fully closed. So for",  &
              "clutch_close = 0.25, the", "clutch is closed for value of ",  &
              "clutch_demand < 0.25.  See also", "clutch_open."
!
variable create  &
   variable_name = ._fsae_powertrain_2018.pvs_clutch_open  &
   units = "no_units"  &
   real_value = 0.75  &
   comments = "The value of clutch demand at which",  &
              "the clutch is fully open. So for", "clutch__open = 0.75, the",  &
              "clutch is open for value of",  &
              "clutch_demand > 0.75.  See also", "clutch_close."
!
variable create  &
   variable_name = ._fsae_powertrain_2018.pvs_clutch_tau  &
   units = "time"  &
   real_value = 5.0E-02  &
   comments = "When the clutch opens, the clutch slip decays to",  &
              "zero with a first order lag having a time constant",  &
              "of \"clutch_tau\".", "",  &
              "d/dt(clutch_slip) = -(clutch_slip/clutch_tau)"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.ucf_unary_angle  &
   units = "angle"  &
   real_value = 1.0  &
   comments =   &
              "1 angle unit of whatever the unit setting happen to be by default."
!
variable create  &
   variable_name = ._fsae_powertrain_2018.ucf_angle_to_radians  &
   units = "no_units"  &
   real_value = 1.745329252E-02  &
   comments =   &
              "Takes on the value in radians of 1 angle unit, whever that angle unit setting",  &
              "for the model are.  Units=Degress, ucf_angle_to_radians = PI/180"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.ucf_gc  &
   units = "no_units"  &
   real_value = 1000.0  &
   comments =   &
              "Conversion factor to ensure that mass*acceleration = force independent of unit settings."
!
variable create  &
   variable_name = ._fsae_powertrain_2018.ucf_watt_to_HP  &
   units = "no_units"  &
   real_value = 1.34102E-06  &
   comments = "Converts 1 watt to horsepower"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.ucf_watt_to_PS  &
   units = "no_units"  &
   real_value = 1.35962E-06  &
   comments = "Converts 1 watt to PS"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.ucf_watt_to_KW  &
   units = "no_units"  &
   real_value = 1.0E-06  &
   comments = "Converts 1 watt to KW"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.ucf_radian_per_second_to_RPM  &
   units = "no_units"  &
   real_value = 9.5492965855  &
   comments = "Converts angular velocity to RPM",  &
              "Note units of radians is not explicit in the expression",  &
              "because angular velocities in A/Solver always use radians."
!
variable create  &
   variable_name = ._fsae_powertrain_2018.cos_max_engine_driving_torque  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_powertrain_2018.cos_max_engine_driving_torque.matching_name  &
   string_value = "engine_maximum_driving_torque"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.cos_max_engine_driving_torque.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.cos_max_engine_driving_torque.entity  &
   string_value = "solver_variable"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.cos_max_engine_braking_torque  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_powertrain_2018.cos_max_engine_braking_torque.matching_name  &
   string_value = "engine_maximum_braking_torque"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.cos_max_engine_braking_torque.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.cos_max_engine_braking_torque.entity  &
   string_value = "solver_variable"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.cos_powertrain_gse  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_powertrain_2018.cos_powertrain_gse.matching_name  &
   string_value = "powertrain_gse"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.cos_powertrain_gse.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.cos_powertrain_gse.entity  &
   string_value = "general_state_equation"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.pvs_gear_upshift_1  &
   units = "no_units"  &
   real_value = 1.0E+04
!
variable create  &
   variable_name = ._fsae_powertrain_2018.pvs_gear_upshift_2  &
   units = "no_units"  &
   real_value = 1.0E+04
!
variable create  &
   variable_name = ._fsae_powertrain_2018.pvs_gear_upshift_3  &
   units = "no_units"  &
   real_value = 1.0E+04
!
variable create  &
   variable_name = ._fsae_powertrain_2018.pvs_gear_upshift_4  &
   units = "no_units"  &
   real_value = 1.0E+04
!
variable create  &
   variable_name = ._fsae_powertrain_2018.pvs_gear_upshift_5  &
   units = "no_units"  &
   real_value = 1.0E+04
!
variable create  &
   variable_name = ._fsae_powertrain_2018.pvs_gear_sport_1  &
   units = "no_units"  &
   real_value = 1.25E+04
!
variable create  &
   variable_name = ._fsae_powertrain_2018.pvs_gear_sport_2  &
   units = "no_units"  &
   real_value = 1.25E+04
!
variable create  &
   variable_name = ._fsae_powertrain_2018.pvs_gear_sport_3  &
   units = "no_units"  &
   real_value = 1.25E+04
!
variable create  &
   variable_name = ._fsae_powertrain_2018.pvs_gear_sport_4  &
   units = "no_units"  &
   real_value = 1.25E+04
!
variable create  &
   variable_name = ._fsae_powertrain_2018.pvs_gear_sport_5  &
   units = "no_units"  &
   real_value = 1.25E+04
!
variable create  &
   variable_name = ._fsae_powertrain_2018.pvs_gear_downshift_2  &
   units = "no_units"  &
   real_value = 1000.0
!
variable create  &
   variable_name = ._fsae_powertrain_2018.pvs_gear_downshift_3  &
   units = "no_units"  &
   real_value = 1200.0
!
variable create  &
   variable_name = ._fsae_powertrain_2018.pvs_gear_downshift_4  &
   units = "no_units"  &
   real_value = 1600.0
!
variable create  &
   variable_name = ._fsae_powertrain_2018.pvs_gear_downshift_5  &
   units = "no_units"  &
   real_value = 2000.0
!
variable create  &
   variable_name = ._fsae_powertrain_2018.pvs_gear_downshift_6  &
   units = "no_units"  &
   real_value = 2500.0
!
variable create  &
   variable_name = ._fsae_powertrain_2018.pvs_gear_upshift_thlds  &
   units = "no_units"  &
   real_value = 60.0, 90.0
!
variable create  &
   variable_name = ._fsae_powertrain_2018.phs_powertrain_type  &
   integer_value = 4
!
variable create  &
   variable_name = ._fsae_powertrain_2018.engine_type_inputs  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_powertrain_2018.gse_type_ic  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_powertrain_2018.transmission_input_omegas  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_powertrain_2018.gse_state_array_comments  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_powertrain_2018.gse_output_array_comments  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_powertrain_2018.pvs_max_engine_power  &
   units = "no_units"  &
   real_value = 3.1E+08
!
variable create  &
   variable_name = ._fsae_powertrain_2018.pvs_min_engine_torque  &
   units = "torque"  &
   real_value = -4.0E+04
!
variable create  &
   variable_name = ._fsae_powertrain_2018.pvs_max_engine_torque  &
   units = "torque"  &
   real_value = 1.21E+06
!
variable create  &
   variable_name = ._fsae_powertrain_2018.pvs_torque_tau  &
   units = "time"  &
   real_value = 0.1
!
variable create  &
   variable_name = ._fsae_powertrain_2018.pvs_shift_cycle_time  &
   units = "time"  &
   real_value = 0.5
!
variable create  &
   variable_name = ._fsae_powertrain_2018.pvs_oil_dump_threshold  &
   units = "no_units"  &
   real_value = 0.1
!
variable create  &
   variable_name = ._fsae_powertrain_2018.pvs_oil_dump_residual  &
   units = "no_units"  &
   real_value = 0.1
!
variable create  &
   variable_name = ._fsae_powertrain_2018.pvs_oil_dump_throttle_off  &
   units = "no_units"  &
   real_value = 1.0
!
variable create  &
   variable_name = ._fsae_powertrain_2018.cos_powertrain_type  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_powertrain_2018.cos_powertrain_type.matching_name  &
   string_value = "gse_powertrain_type"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.cos_powertrain_type.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.cos_powertrain_type.entity  &
   string_value = "parameter_integer"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.cos_engine_idle_rpm  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_powertrain_2018.cos_engine_idle_rpm.matching_name  &
   string_value = "engine_idle_rpm"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.cos_engine_idle_rpm.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.cos_engine_idle_rpm.entity  &
   string_value = "parameter_real"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.pvs_drive_torque_bias_front  &
   units = "no_units"  &
   real_value = 0.0  &
   comments = "nominal percentage of drive torque sent to the front axle"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.cos_drive_torque_bias_front  &
   object_value = (NONE)  &
   comments =   &
              "Nominal percentage of drive torque sent to the front axle. Used in SmartDriver calculations to predict the fastest possible performance."
!
variable create  &
   variable_name = ._fsae_powertrain_2018.cos_drive_torque_bias_front.matching_name  &
   string_value = "drive_torque_bias_front"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.cos_drive_torque_bias_front.minor_role  &
   string_value = "any"
!
variable create  &
   variable_name = ._fsae_powertrain_2018.cos_drive_torque_bias_front.entity  &
   string_value = "parameter_real"
!
!---------------------------- Adams View Functions ----------------------------!
!
!
function create  &
   function_name = .SYMMETRY  &
   text_of_expression = "LOC_MIRROR(location, .__ACAR.ground.origo, .ACAR.variables.symmetry_plane)"  &
   argument_names = "location"  &
   type = location_orientation  &
   comments =   &
              "Compute mirrored location over the symmetry plane given 3x1 location vector"
!
!------------------------- Groups Owned By This Model -------------------------!
!
!
group create  &
   group_name = ._fsae_powertrain_2018.kinematic_mode_active  &
   expr_active = 1
!
group create  &
   group_name = ._fsae_powertrain_2018.kinematic_mode_inactive  &
   expr_active = 1
!
group create  &
   group_name = ._fsae_powertrain_2018.simple_mode_inactive  &
   expr_active = 1
!
group create  &
   group_name = ._fsae_powertrain_2018.manual_mode_active  &
   expr_active = 0
!
group create  &
   group_name = ._fsae_powertrain_2018.simple_mode_active  &
   expr_active = 0
!
group create  &
   group_name = ._fsae_powertrain_2018.auto_mode_active  &
   expr_active = 0
!
group create  &
   group_name = ._fsae_powertrain_2018.robot_mode_active  &
   expr_active = 1
!
group create  &
   group_name = ._fsae_powertrain_2018.graphics_active  &
   expr_active = 1
!
group create  &
   group_name = ._fsae_powertrain_2018.graphics_inactive  &
   expr_active = 1
!
!---------------------- Set Adams View Object Variables -----------------------!
!
!
variable modify  &
   variable_name = ._fsae_powertrain_2018.mts_powertrain_to_body.dependents  &
   object_value = ._fsae_powertrain_2018.mts_fixed_2,  &
                  ._fsae_powertrain_2018.cis_powertrain_to_body
!
variable modify  &
   variable_name = ._fsae_powertrain_2018.mts_engine_to_subframe.dependents  &
   object_value = ._fsae_powertrain_2018.mts_fixed_3,  &
                  ._fsae_powertrain_2018.cis_engine_to_subframe
!
variable modify  &
   variable_name = ._fsae_powertrain_2018.col_tripot_to_differential  &
   object_value = ._fsae_powertrain_2018.gel_diff_output
!
variable modify  &
   variable_name = ._fsae_powertrain_2018.cor_tripot_to_differential  &
   object_value = ._fsae_powertrain_2018.ger_diff_output
!
variable modify  &
   variable_name = ._fsae_powertrain_2018.cis_throttle_demand  &
   object_value = ._fsae_powertrain_2018._cv_solver_variable
!
variable modify  &
   variable_name = ._fsae_powertrain_2018.cis_transmission_demand  &
   object_value = ._fsae_powertrain_2018._cv_solver_variable
!
variable modify  &
   variable_name = ._fsae_powertrain_2018.cis_clutch_demand  &
   object_value = ._fsae_powertrain_2018._cv_solver_variable
!
variable modify  &
   variable_name = ._fsae_powertrain_2018.cis_powertrain_to_body  &
   object_value = ._fsae_powertrain_2018.ground.mts_mount_j_2,  &
                  ._fsae_powertrain_2018.mts_powertrain_to_body,  &
                  ._fsae_powertrain_2018.mts_fixed_2
!
variable modify  &
   variable_name = ._fsae_powertrain_2018.cis_engine_to_subframe  &
   object_value = ._fsae_powertrain_2018.ground.mts_mount_j_3,  &
                  ._fsae_powertrain_2018.mts_engine_to_subframe,  &
                  ._fsae_powertrain_2018.mts_fixed_3
!
variable modify  &
   variable_name = ._fsae_powertrain_2018.cos_engine_rpm  &
   object_value = ._fsae_powertrain_2018.engine_rpm
!
variable modify  &
   variable_name = ._fsae_powertrain_2018.cos_engine_speed  &
   object_value = ._fsae_powertrain_2018.engine_speed
!
variable modify  &
   variable_name = ._fsae_powertrain_2018.cos_diff_ratio  &
   object_value = ._fsae_powertrain_2018.pvs_final_drive
!
variable modify  &
   variable_name = ._fsae_powertrain_2018.cos_max_gears  &
   object_value = ._fsae_powertrain_2018.pvs_max_gears
!
variable modify  &
   variable_name = ._fsae_powertrain_2018.cos_engine_stall_rpm  &
   object_value = ._fsae_powertrain_2018.pvs_engine_stall_speed
!
variable modify  &
   variable_name = ._fsae_powertrain_2018.cos_engine_revlimit_rpm  &
   object_value = ._fsae_powertrain_2018.pvs_engine_rev_limit
!
variable modify  &
   variable_name = ._fsae_powertrain_2018.cos_transmission_spline  &
   object_value = ._fsae_powertrain_2018.transmission_data
!
variable modify  &
   variable_name = ._fsae_powertrain_2018.cos_engine_map  &
   object_value = ._fsae_powertrain_2018.gss_engine_torque
!
variable modify  &
   variable_name = ._fsae_powertrain_2018.cos_max_throttle  &
   object_value = ._fsae_powertrain_2018.pvs_max_throttle
!
variable modify  &
   variable_name = ._fsae_powertrain_2018.col_output_torque  &
   object_value = ._fsae_powertrain_2018.jfl_output_torque.force
!
variable modify  &
   variable_name = ._fsae_powertrain_2018.cor_output_torque  &
   object_value = ._fsae_powertrain_2018.jfr_output_torque.force
!
variable modify  &
   variable_name = ._fsae_powertrain_2018.cil_tire_force  &
   object_value = ._fsae_powertrain_2018._cv_bushing
!
variable modify  &
   variable_name = ._fsae_powertrain_2018.cir_tire_force  &
   object_value = ._fsae_powertrain_2018._cv_bushing
!
variable modify  &
   variable_name = ._fsae_powertrain_2018.cos_clutch_displacement_ic  &
   object_value = ._fsae_powertrain_2018.clutch_displacement_ic
!
variable modify  &
   variable_name = ._fsae_powertrain_2018.cos_transmission_input_omega  &
   object_value = ._fsae_powertrain_2018.transmission_input_omega_robot
!
variable modify  &
   variable_name = ._fsae_powertrain_2018.cis_sse_diff1  &
   object_value = ._fsae_powertrain_2018._cv_diff
!
variable modify  &
   variable_name = ._fsae_powertrain_2018.cos_max_engine_driving_torque  &
   object_value = ._fsae_powertrain_2018.max_driving_torque
!
variable modify  &
   variable_name = ._fsae_powertrain_2018.cos_max_engine_braking_torque  &
   object_value = ._fsae_powertrain_2018.max_braking_torque
!
variable modify  &
   variable_name = ._fsae_powertrain_2018.cos_powertrain_gse  &
   object_value = ._fsae_powertrain_2018.powertrain_gse
!
variable modify  &
   variable_name = ._fsae_powertrain_2018.engine_type_inputs  &
   object_value = ._fsae_powertrain_2018.ptype_manual_parameters,  &
                  ._fsae_powertrain_2018.ptype_simple_parameters,  &
                  ._fsae_powertrain_2018.ptype_auto_parameters,  &
                  ._fsae_powertrain_2018.ptype_robot_parameters
!
variable modify  &
   variable_name = ._fsae_powertrain_2018.gse_type_ic  &
   object_value = ._fsae_powertrain_2018.powertrain_ic_manual,  &
                  ._fsae_powertrain_2018.powertrain_ic_simple,  &
                  ._fsae_powertrain_2018.powertrain_ic_auto,  &
                  ._fsae_powertrain_2018.powertrain_ic_robot
!
variable modify  &
   variable_name = ._fsae_powertrain_2018.transmission_input_omegas  &
   object_value = ._fsae_powertrain_2018.transmission_input_omega_manual,  &
                  ._fsae_powertrain_2018.transmission_input_omega_simple,  &
                  ._fsae_powertrain_2018.transmission_input_omega_auto,  &
                  ._fsae_powertrain_2018.transmission_input_omega_robot
!
variable modify  &
   variable_name = ._fsae_powertrain_2018.gse_state_array_comments  &
   object_value = ._fsae_powertrain_2018.gse_state_array_comment_manual,  &
                  ._fsae_powertrain_2018.gse_state_array_comment_simple,  &
                  ._fsae_powertrain_2018.gse_state_array_comment_auto,  &
                  ._fsae_powertrain_2018.gse_state_array_comment_robot
!
variable modify  &
   variable_name = ._fsae_powertrain_2018.gse_output_array_comments  &
   object_value = ._fsae_powertrain_2018.gse_output_array_comment_manual,  &
                  ._fsae_powertrain_2018.gse_output_array_comment_simple,  &
                  ._fsae_powertrain_2018.gse_output_array_comment_auto,  &
                  ._fsae_powertrain_2018.gse_output_array_comment_robot
!
variable modify  &
   variable_name = ._fsae_powertrain_2018.cos_powertrain_type  &
   object_value = ._fsae_powertrain_2018.phs_powertrain_type
!
variable modify  &
   variable_name = ._fsae_powertrain_2018.cos_engine_idle_rpm  &
   object_value = ._fsae_powertrain_2018.pvs_engine_idle_speed
!
variable modify  &
   variable_name = ._fsae_powertrain_2018.cos_drive_torque_bias_front  &
   object_value = ._fsae_powertrain_2018.pvs_drive_torque_bias_front
!
!--------------------------- Add Objects To Groups ----------------------------!
!
!
group modify  &
   group_name = ._fsae_powertrain_2018.kinematic_mode_active
!
group modify  &
   group_name = ._fsae_powertrain_2018.kinematic_mode_inactive
!
group modify  &
   group_name = ._fsae_powertrain_2018.simple_mode_inactive  &
   objects_in_group = ._fsae_powertrain_2018.gss_engine_torque,  &
      ._fsae_powertrain_2018.max_driving_torque,  &
      ._fsae_powertrain_2018.max_braking_torque
!
group modify  &
   group_name = ._fsae_powertrain_2018.manual_mode_active  &
   objects_in_group = ._fsae_powertrain_2018.clutch_displacement_ic,  &
      ._fsae_powertrain_2018.engine1_manual,  &
      ._fsae_powertrain_2018.engine2_manual,  &
      ._fsae_powertrain_2018.clutch1,  &
      ._fsae_powertrain_2018.clutch2,  &
      ._fsae_powertrain_2018.clutch3,  &
      ._fsae_powertrain_2018.transmission1_manual,  &
      ._fsae_powertrain_2018.transmission2_manual,  &
      ._fsae_powertrain_2018.powertrain_ic_manual,  &
      ._fsae_powertrain_2018.ptype_manual_parameters,  &
      ._fsae_powertrain_2018.transmission_input_omega_manual
!
group modify  &
   group_name = ._fsae_powertrain_2018.simple_mode_active  &
   objects_in_group = ._fsae_powertrain_2018.simple_trans1,  &
      ._fsae_powertrain_2018.simple_trans2,  &
      ._fsae_powertrain_2018.powertrain_ic_simple,  &
      ._fsae_powertrain_2018.ptype_simple_parameters,  &
      ._fsae_powertrain_2018.transmission_input_omega_simple
!
group modify  &
   group_name = ._fsae_powertrain_2018.auto_mode_active  &
   objects_in_group = ._fsae_powertrain_2018.engine1_auto,  &
      ._fsae_powertrain_2018.engine2_auto,  &
      ._fsae_powertrain_2018.torque_converter1,  &
      ._fsae_powertrain_2018.torque_converter2,  &
      ._fsae_powertrain_2018.torque_converter3,  &
      ._fsae_powertrain_2018.transmission1_auto,  &
      ._fsae_powertrain_2018.transmission2_auto,  &
      ._fsae_powertrain_2018.powertrain_ic_auto,  &
      ._fsae_powertrain_2018.ptype_auto_parameters,  &
      ._fsae_powertrain_2018.transmission_input_omega_auto
!
group modify  &
   group_name = ._fsae_powertrain_2018.robot_mode_active  &
   objects_in_group = ._fsae_powertrain_2018.engine1_robot,  &
      ._fsae_powertrain_2018.engine2_robot,  &
      ._fsae_powertrain_2018.transmission1_robot,  &
      ._fsae_powertrain_2018.transmission2_robot,  &
      ._fsae_powertrain_2018.powertrain_ic_robot,  &
      ._fsae_powertrain_2018.ptype_robot_parameters,  &
      ._fsae_powertrain_2018.transmission_input_omega_robot
!
group modify  &
   group_name = ._fsae_powertrain_2018.graphics_active
!
group modify  &
   group_name = ._fsae_powertrain_2018.graphics_inactive
!
!---------------------------- Function definitions ----------------------------!
!
!
constraint modify motion_generator  &
   motion_name = ._fsae_powertrain_2018._cv_motion  &
   function = "0"
!
data_element modify variable  &
   variable_name = ._fsae_powertrain_2018._cv_solver_variable  &
   function = "0"
!
data_element modify variable  &
   variable_name = ._fsae_powertrain_2018.total_axle_torque  &
   function = "IF( VARVAL(._fsae_powertrain_2018.analysis_type)-0.5:",  &
              "MAX(0.0,DIF(._fsae_powertrain_2018.cis_sse_diff1_adams_id))",  &
              ",",  &
              "0.0",  &
              ",",  &
              " (._fsae_powertrain_2018.pvs_final_drive)*ARYVAL(._fsae_powertrain_2018.powertrain_output_array,3)",  &
              ")"
!
data_element modify variable  &
   variable_name = ._fsae_powertrain_2018.transmission_input_omega_manual  &
   function = "STEP(VARVAL(._fsae_powertrain_2018.cis_clutch_demand_adams_id),",  &
              "._fsae_powertrain_2018.pvs_clutch_close,",  &
              "ARYVAL(._fsae_powertrain_2018.powertrain_output_array,2)-ARYVAL(._fsae_powertrain_2018.powertrain_output_array,4),",  &
              "._fsae_powertrain_2018.pvs_clutch_open,",  &
              "AKISPL(MIN(MAX((._fsae_powertrain_2018.min_gears),VARVAL(._fsae_powertrain_2018.cis_transmission_demand_adams_id)),(._fsae_powertrain_2018.pvs_max_gears)),0,._fsae_powertrain_2018.transmission_data)",  &
              " *._fsae_powertrain_2018.pvs_final_drive*(VARVAL(._fsae_powertrain_2018.halfshaft_omega_left)+VARVAL(._fsae_powertrain_2018.halfshaft_omega_right))/2)"
!
data_element modify variable  &
   variable_name = ._fsae_powertrain_2018.transmission_input_omega_simple  &
   function = "varval(._fsae_powertrain_2018.transmission_output_omega)"
!
data_element modify variable  &
   variable_name = ._fsae_powertrain_2018.transmission_input_omega_auto  &
   function = "ARYVAL(._fsae_powertrain_2018.powertrain_output_array,5)*ARYVAL(._fsae_powertrain_2018.powertrain_output_array,2)"
!
data_element modify variable  &
   variable_name = ._fsae_powertrain_2018.transmission_input_omega_robot  &
   function = "ARYVAL(._fsae_powertrain_2018.powertrain_output_array,2)"
!
data_element modify variable  &
   variable_name = ._fsae_powertrain_2018.transmission_output_omega  &
   function = "((._fsae_powertrain_2018.pvs_final_drive)*",  &
              "(VARVAL(._fsae_powertrain_2018.halfshaft_omega_left)+VARVAL(._fsae_powertrain_2018.halfshaft_omega_right))/2)"
!
data_element modify variable  &
   variable_name = ._fsae_powertrain_2018.differential_torque  &
   function = "MAX(-ABS(VARVAL(._fsae_powertrain_2018.total_axle_torque)),MIN(ABS(VARVAL(._fsae_powertrain_2018.total_axle_torque)),",  &
              "2.0*AKISPL((VARVAL(._fsae_powertrain_2018.halfshaft_omega_left)-VARVAL(._fsae_powertrain_2018.halfshaft_omega_right))/",  &
              "._fsae_powertrain_2018.ucf_angle_to_radians, 0,._fsae_powertrain_2018.gss_differential)))"
!
data_element modify variable  &
   variable_name = ._fsae_powertrain_2018.engine_speed  &
   function = "MAX(0,ARYVAL(._fsae_powertrain_2018.powertrain_output_array,2))"
!
data_element modify variable  &
   variable_name = ._fsae_powertrain_2018.engine_rpm  &
   function = "(._fsae_powertrain_2018.ucf_radian_per_second_to_RPM)*MAX(0,ARYVAL(._fsae_powertrain_2018.powertrain_output_array,2))"
!
data_element modify variable  &
   variable_name = ._fsae_powertrain_2018.clutch_displacement_ic  &
   function = "(IF(VARVAL(._fsae_powertrain_2018.analysis_type)-0.5:",  &
              "(",  &
              "    MAX(0,DIF(._fsae_powertrain_2018.cis_sse_diff1_adams_id))/(._fsae_powertrain_2018.pvs_final_drive)",  &
              "    /AKISPL(MAX(1,MIN(VARVAL(._fsae_powertrain_2018.cis_transmission_demand_adams_id),(._fsae_powertrain_2018.pvs_max_gears))),0,",  &
              "    ._fsae_powertrain_2018.transmission_data)",  &
              ")",  &
              ",",  &
              "0.0",  &
              ",",  &
              "(",  &
              "    ARYVAL(._fsae_powertrain_2018.powertrain_output_array,5)",  &
              ")",  &
              "))/(._fsae_powertrain_2018.pvs_clutch_stiffness)"
!
data_element modify variable  &
   variable_name = ._fsae_powertrain_2018.clutch_displacement_ic_simple  &
   function = "(IF(VARVAL(._fsae_powertrain_2018.analysis_type)-0.5:",  &
              "(",  &
              "    MAX(0,DIF(._fsae_powertrain_2018.cis_sse_diff1_adams_id))/(._fsae_powertrain_2018.pvs_final_drive)",  &
              "    /AKISPL(MAX(1,MIN(VARVAL(._fsae_powertrain_2018.cis_transmission_demand_adams_id),(._fsae_powertrain_2018.pvs_max_gears))),0,",  &
              "    ._fsae_powertrain_2018.transmission_data)",  &
              ")",  &
              ",",  &
              "0.0",  &
              ",",  &
              "0.0",  &
              "))/(._fsae_powertrain_2018.pvs_clutch_stiffness)"
!
data_element modify variable  &
   variable_name = ._fsae_powertrain_2018.max_driving_torque  &
   function = "AKISPL(MAX(0,VARVAL(._fsae_powertrain_2018.engine_speed)/._fsae_powertrain_2018.ucf_angle_to_radians),1,._fsae_powertrain_2018.gss_engine_torque)"
!
data_element modify variable  &
   variable_name = ._fsae_powertrain_2018.max_braking_torque  &
   function = "AKISPL(MAX(0,VARVAL(._fsae_powertrain_2018.engine_speed)/._fsae_powertrain_2018.ucf_angle_to_radians),0,._fsae_powertrain_2018.gss_engine_torque)"
!
data_element modify variable  &
   variable_name = ._fsae_powertrain_2018.max_driving_torque_simple  &
   function = "MIN(._fsae_powertrain_2018.pvs_max_engine_torque,._fsae_powertrain_2018.pvs_max_engine_power/MAX(1.0,VARVAL(._fsae_powertrain_2018.engine_speed)))"
!
data_element modify variable  &
   variable_name = ._fsae_powertrain_2018.max_braking_torque_simple  &
   function = "._fsae_powertrain_2018.pvs_min_engine_torque"
!
part modify equation differential_equation  &
   differential_equation_name = ._fsae_powertrain_2018._cv_diff  &
   function = "0"
!
output_control modify request  &
   request_name = ._fsae_powertrain_2018.engine1_manual  &
   f2 = "ARYVAL(._fsae_powertrain_2018.powertrain_output_array,2)"  &
   f3 = "ARYVAL(._fsae_powertrain_2018.powertrain_output_array,2)*(._fsae_powertrain_2018.ucf_radian_per_second_to_RPM)"  &
   f4 = "ARYVAL(._fsae_powertrain_2018.powertrain_output_array,5)"  &
   f6 = "ARYVAL(._fsae_powertrain_2018.powertrain_output_array,3)",  &
              "/IF(ABS(VARVAL(._fsae_powertrain_2018.cis_transmission_demand_adams_id)):1.0,1.0,",  &
              "    AKISPL(VARVAL(._fsae_powertrain_2018.cis_transmission_demand_adams_id),0,._fsae_powertrain_2018.transmission_data))"  &
   f7 = "ARYVAL(._fsae_powertrain_2018.powertrain_output_array,5)*",  &
              "ARYVAL(._fsae_powertrain_2018.powertrain_output_array,2)*._fsae_powertrain_2018.ucf_watt_to_HP"  &
   f8 = "ARYVAL(._fsae_powertrain_2018.powertrain_output_array,5)*",  &
              "ARYVAL(._fsae_powertrain_2018.powertrain_output_array,2)*._fsae_powertrain_2018.ucf_watt_to_KW"
!
output_control modify request  &
   request_name = ._fsae_powertrain_2018.engine2_manual  &
   f2 = "ARYVAL(._fsae_powertrain_2018.powertrain_output_array,3)",  &
              "/IF(ABS(VARVAL(._fsae_powertrain_2018.cis_transmission_demand_adams_id)):1.0,1.0,",  &
              "    AKISPL(VARVAL(._fsae_powertrain_2018.cis_transmission_demand_adams_id),0,._fsae_powertrain_2018.transmission_data))",  &
              "*ARYVAL(._fsae_powertrain_2018.powertrain_output_array,2)*._fsae_powertrain_2018.ucf_watt_to_HP"  &
   f3 = "ARYVAL(._fsae_powertrain_2018.powertrain_output_array,3)",  &
              "/IF(ABS(VARVAL(._fsae_powertrain_2018.cis_transmission_demand_adams_id)):1.0,1.0,",  &
              "    AKISPL(VARVAL(._fsae_powertrain_2018.cis_transmission_demand_adams_id),0,._fsae_powertrain_2018.transmission_data))",  &
              "*ARYVAL(._fsae_powertrain_2018.powertrain_output_array,2)*._fsae_powertrain_2018.ucf_watt_to_KW"  &
   f4 = "ARYVAL(._fsae_powertrain_2018.powertrain_output_array,1)"
!
output_control modify request  &
   request_name = ._fsae_powertrain_2018.engine1_auto  &
   f2 = "ARYVAL(._fsae_powertrain_2018.powertrain_output_array,2)"  &
   f3 = "ARYVAL(._fsae_powertrain_2018.powertrain_output_array,2)*(._fsae_powertrain_2018.ucf_radian_per_second_to_RPM)"  &
   f4 = "ARYVAL(._fsae_powertrain_2018.powertrain_output_array,4)"  &
   f6 = "ARYVAL(._fsae_powertrain_2018.powertrain_output_array,3)",  &
              "/IF(ABS(ARYVAL(._fsae_powertrain_2018.powertrain_output_array,6)):1.0,1.0,ARYVAL(._fsae_powertrain_2018.powertrain_output_array,7))",  &
              "/AKISPL(ARYVAL(._fsae_powertrain_2018.powertrain_output_array,5),0,._fsae_powertrain_2018.gss_torque_ratio)"  &
   f7 = "ARYVAL(._fsae_powertrain_2018.powertrain_output_array,4)*",  &
              "ARYVAL(._fsae_powertrain_2018.powertrain_output_array,2)*._fsae_powertrain_2018.ucf_watt_to_HP"  &
   f8 = "ARYVAL(._fsae_powertrain_2018.powertrain_output_array,4)*",  &
              "ARYVAL(._fsae_powertrain_2018.powertrain_output_array,2)*._fsae_powertrain_2018.ucf_watt_to_KW"
!
output_control modify request  &
   request_name = ._fsae_powertrain_2018.engine2_auto  &
   f2 = "ARYVAL(._fsae_powertrain_2018.powertrain_output_array,3)",  &
              "/IF(ABS(ARYVAL(._fsae_powertrain_2018.powertrain_output_array,6)):1.0,1.0,ARYVAL(._fsae_powertrain_2018.powertrain_output_array,7))",  &
              "/AKISPL(ARYVAL(._fsae_powertrain_2018.powertrain_output_array,5),0,._fsae_powertrain_2018.gss_torque_ratio)",  &
              "*ARYVAL(._fsae_powertrain_2018.powertrain_output_array,2)*._fsae_powertrain_2018.ucf_watt_to_HP"  &
   f3 = "ARYVAL(._fsae_powertrain_2018.powertrain_output_array,3)",  &
              "/IF(ABS(ARYVAL(._fsae_powertrain_2018.powertrain_output_array,6)):1.0,1.0,ARYVAL(._fsae_powertrain_2018.powertrain_output_array,7))",  &
              "/AKISPL(ARYVAL(._fsae_powertrain_2018.powertrain_output_array,5),0,._fsae_powertrain_2018.gss_torque_ratio)",  &
              "*ARYVAL(._fsae_powertrain_2018.powertrain_output_array,2)*._fsae_powertrain_2018.ucf_watt_to_KW"  &
   f4 = "ARYVAL(._fsae_powertrain_2018.powertrain_output_array,1)"
!
output_control modify request  &
   request_name = ._fsae_powertrain_2018.engine1_robot  &
   f2 = "ARYVAL(._fsae_powertrain_2018.powertrain_output_array,2)"  &
   f3 = "ARYVAL(._fsae_powertrain_2018.powertrain_output_array,2)*(._fsae_powertrain_2018.ucf_radian_per_second_to_RPM)"  &
   f4 = "ARYVAL(._fsae_powertrain_2018.powertrain_output_array,6)"  &
   f6 = "ARYVAL(._fsae_powertrain_2018.powertrain_output_array,3)/",  &
              "IF(ABS(ARYVAL(._fsae_powertrain_2018.powertrain_output_array,4)):1.0,1.0,ABS(ARYVAL(._fsae_powertrain_2018.powertrain_output_array,5)))"  &
   f7 = "ARYVAL(._fsae_powertrain_2018.powertrain_output_array,6)*",  &
              "ARYVAL(._fsae_powertrain_2018.powertrain_output_array,2)*._fsae_powertrain_2018.ucf_watt_to_HP"  &
   f8 = "ARYVAL(._fsae_powertrain_2018.powertrain_output_array,6)*",  &
              "ARYVAL(._fsae_powertrain_2018.powertrain_output_array,2)*._fsae_powertrain_2018.ucf_watt_to_KW"
!
output_control modify request  &
   request_name = ._fsae_powertrain_2018.engine2_robot  &
   f2 = "ARYVAL(._fsae_powertrain_2018.powertrain_output_array,3)/",  &
              "IF(ABS(ARYVAL(._fsae_powertrain_2018.powertrain_output_array,4)):1.0,1.0,ABS(ARYVAL(._fsae_powertrain_2018.powertrain_output_array,5)))*",  &
              "ARYVAL(._fsae_powertrain_2018.powertrain_output_array,2)*._fsae_powertrain_2018.ucf_watt_to_HP"  &
   f3 = "ARYVAL(._fsae_powertrain_2018.powertrain_output_array,3)/",  &
              "IF(ABS(ARYVAL(._fsae_powertrain_2018.powertrain_output_array,4)):1.0,1.0,ABS(ARYVAL(._fsae_powertrain_2018.powertrain_output_array,5)))*",  &
              "ARYVAL(._fsae_powertrain_2018.powertrain_output_array,2)*._fsae_powertrain_2018.ucf_watt_to_KW"  &
   f4 = "ARYVAL(._fsae_powertrain_2018.powertrain_output_array,1)"
!
output_control modify request  &
   request_name = ._fsae_powertrain_2018.clutch1  &
   f2 = "ARYVAL(._fsae_powertrain_2018.powertrain_output_array,2)"  &
   f3 = "ARYVAL(._fsae_powertrain_2018.powertrain_output_array,2)*(._fsae_powertrain_2018.ucf_radian_per_second_to_RPM)"  &
   f4 = "(ARYVAL(._fsae_powertrain_2018.powertrain_output_array,2)-ARYVAL(._fsae_powertrain_2018.powertrain_output_array,4))"  &
   f6 = "(ARYVAL(._fsae_powertrain_2018.powertrain_output_array,2)-ARYVAL(._fsae_powertrain_2018.powertrain_output_array,4))",  &
              "*(._fsae_powertrain_2018.ucf_radian_per_second_to_RPM)"  &
   f7 = "ARYVAL(._fsae_powertrain_2018.powertrain_output_array,3)",  &
              "/IF(ABS(VARVAL(._fsae_powertrain_2018.cis_transmission_demand_adams_id)):1.0,1.0,",  &
              "    AKISPL(VARVAL(._fsae_powertrain_2018.cis_transmission_demand_adams_id),0,._fsae_powertrain_2018.transmission_data))"  &
   f8 = "ARYVAL(._fsae_powertrain_2018.powertrain_output_array,3)",  &
              "/IF(ABS(VARVAL(._fsae_powertrain_2018.cis_transmission_demand_adams_id)):1.0,1.0,",  &
              "    AKISPL(VARVAL(._fsae_powertrain_2018.cis_transmission_demand_adams_id),0,._fsae_powertrain_2018.transmission_data))"
!
output_control modify request  &
   request_name = ._fsae_powertrain_2018.clutch2  &
   f2 = "ARYVAL(._fsae_powertrain_2018.powertrain_output_array,3)",  &
              "/IF(ABS(VARVAL(._fsae_powertrain_2018.cis_transmission_demand_adams_id)):1.0,1.0,",  &
              "    AKISPL(VARVAL(._fsae_powertrain_2018.cis_transmission_demand_adams_id),0,._fsae_powertrain_2018.transmission_data))",  &
              "*ARYVAL(._fsae_powertrain_2018.powertrain_output_array,2)*._fsae_powertrain_2018.ucf_watt_to_HP"  &
   f3 = "ARYVAL(._fsae_powertrain_2018.powertrain_output_array,3)",  &
              "/IF(ABS(VARVAL(._fsae_powertrain_2018.cis_transmission_demand_adams_id)):1.0,1.0,",  &
              "    AKISPL(VARVAL(._fsae_powertrain_2018.cis_transmission_demand_adams_id),0,._fsae_powertrain_2018.transmission_data))",  &
              "*ARYVAL(._fsae_powertrain_2018.powertrain_output_array,2)*._fsae_powertrain_2018.ucf_watt_to_KW"  &
   f4 = "ARYVAL(._fsae_powertrain_2018.powertrain_output_array,3)",  &
              "/IF(ABS(VARVAL(._fsae_powertrain_2018.cis_transmission_demand_adams_id)):1.0,1.0,",  &
              "    AKISPL(VARVAL(._fsae_powertrain_2018.cis_transmission_demand_adams_id),0,._fsae_powertrain_2018.transmission_data))",  &
              "*(ARYVAL(._fsae_powertrain_2018.powertrain_output_array,2)-ARYVAL(._fsae_powertrain_2018.powertrain_output_array,4))*._fsae_powertrain_2018.ucf_watt_to_HP"  &
   f6 = "ARYVAL(._fsae_powertrain_2018.powertrain_output_array,3)",  &
              "/IF(ABS(VARVAL(._fsae_powertrain_2018.cis_transmission_demand_adams_id)):1.0,1.0,",  &
              "    AKISPL(VARVAL(._fsae_powertrain_2018.cis_transmission_demand_adams_id),0,._fsae_powertrain_2018.transmission_data))",  &
              "*(ARYVAL(._fsae_powertrain_2018.powertrain_output_array,2)-ARYVAL(._fsae_powertrain_2018.powertrain_output_array,4))*._fsae_powertrain_2018.ucf_watt_to_KW"  &
   f7 = "ARYVAL(._fsae_powertrain_2018.powertrain_output_array,6)"  &
   f8 = "ARYVAL(._fsae_powertrain_2018.powertrain_output_array,4)"
!
output_control modify request  &
   request_name = ._fsae_powertrain_2018.clutch3  &
   f2 = "ARYVAL(._fsae_powertrain_2018.powertrain_output_array,4)*(._fsae_powertrain_2018.ucf_radian_per_second_to_RPM)"  &
   f3 = "(._fsae_powertrain_2018.pvs_clutch_damping / ._fsae_powertrain_2018.ucf_angle_to_radians)*ARYVAL(._fsae_powertrain_2018.powertrain_output_array,4)"  &
   f4 = "((._fsae_powertrain_2018.pvs_clutch_damping / ._fsae_powertrain_2018.ucf_angle_to_radians)*ARYVAL(._fsae_powertrain_2018.powertrain_output_array,4)**2)",  &
              "*._fsae_powertrain_2018.ucf_watt_to_HP"  &
   f6 = "((._fsae_powertrain_2018.pvs_clutch_damping / ._fsae_powertrain_2018.ucf_angle_to_radians)*ARYVAL(._fsae_powertrain_2018.powertrain_output_array,4)**2)",  &
              "*._fsae_powertrain_2018.ucf_watt_to_KW"
!
output_control modify request  &
   request_name = ._fsae_powertrain_2018.simple_trans1  &
   f2 = "VARVAL(._fsae_powertrain_2018.transmission_output_omega)"  &
   f3 = "VARVAL(._fsae_powertrain_2018.transmission_output_omega)*(._fsae_powertrain_2018.ucf_radian_per_second_to_RPM)"  &
   f4 = "ARYVAL(._fsae_powertrain_2018.powertrain_output_array,4)"  &
   f6 = "ARYVAL(._fsae_powertrain_2018.powertrain_output_array,3)"  &
   f7 = "ARYVAL(._fsae_powertrain_2018.powertrain_output_array,4)*",  &
              "ARYVAL(._fsae_powertrain_2018.powertrain_output_array,2)*(._fsae_powertrain_2018.ucf_watt_to_HP)"  &
   f8 = "ARYVAL(._fsae_powertrain_2018.powertrain_output_array,4)*",  &
              "ARYVAL(._fsae_powertrain_2018.powertrain_output_array,2)*(._fsae_powertrain_2018.ucf_watt_to_KW)"
!
output_control modify request  &
   request_name = ._fsae_powertrain_2018.simple_trans2  &
   f2 = "ARYVAL(._fsae_powertrain_2018.powertrain_output_array,3)",  &
              "*ARYVAL(._fsae_powertrain_2018.powertrain_output_array,2)*(._fsae_powertrain_2018.ucf_watt_to_HP)"  &
   f3 = "ARYVAL(._fsae_powertrain_2018.powertrain_output_array,3)",  &
              "*ARYVAL(._fsae_powertrain_2018.powertrain_output_array,2)*(._fsae_powertrain_2018.ucf_watt_to_KW)"  &
   f4 = "ARYVAL(._fsae_powertrain_2018.powertrain_output_array,1)"
!
output_control modify request  &
   request_name = ._fsae_powertrain_2018.torque_converter1  &
   f2 = "ARYVAL(._fsae_powertrain_2018.powertrain_output_array,2)"  &
   f3 = "ARYVAL(._fsae_powertrain_2018.powertrain_output_array,2)*(._fsae_powertrain_2018.ucf_radian_per_second_to_RPM)"  &
   f4 = "ARYVAL(._fsae_powertrain_2018.powertrain_output_array,5)*",  &
              "ARYVAL(._fsae_powertrain_2018.powertrain_output_array,2)"  &
   f6 = "ARYVAL(._fsae_powertrain_2018.powertrain_output_array,5)*",  &
              "ARYVAL(._fsae_powertrain_2018.powertrain_output_array,2)*(._fsae_powertrain_2018.ucf_radian_per_second_to_RPM)"  &
   f7 = "ARYVAL(._fsae_powertrain_2018.powertrain_output_array,3)",  &
              "/IF(ABS(ARYVAL(._fsae_powertrain_2018.powertrain_output_array,6)):1.0,1.0,ARYVAL(._fsae_powertrain_2018.powertrain_output_array,7))",  &
              "/AKISPL(ARYVAL(._fsae_powertrain_2018.powertrain_output_array,5),0,._fsae_powertrain_2018.gss_torque_ratio)"  &
   f8 = "ARYVAL(._fsae_powertrain_2018.powertrain_output_array,3)",  &
              "/IF(ABS(ARYVAL(._fsae_powertrain_2018.powertrain_output_array,6)):1.0,1.0,ARYVAL(._fsae_powertrain_2018.powertrain_output_array,7))"
!
output_control modify request  &
   request_name = ._fsae_powertrain_2018.torque_converter2  &
   f2 = "ARYVAL(._fsae_powertrain_2018.powertrain_output_array,3)",  &
              "/IF(ABS(ARYVAL(._fsae_powertrain_2018.powertrain_output_array,6)):1.0,1.0,ARYVAL(._fsae_powertrain_2018.powertrain_output_array,7))",  &
              "/AKISPL(ARYVAL(._fsae_powertrain_2018.powertrain_output_array,5),0,._fsae_powertrain_2018.gss_torque_ratio)",  &
              "*ARYVAL(._fsae_powertrain_2018.powertrain_output_array,2)*(._fsae_powertrain_2018.ucf_watt_to_HP)"  &
   f3 = "ARYVAL(._fsae_powertrain_2018.powertrain_output_array,3)",  &
              "/IF(ABS(ARYVAL(._fsae_powertrain_2018.powertrain_output_array,6)):1.0,1.0,ARYVAL(._fsae_powertrain_2018.powertrain_output_array,7))",  &
              "/AKISPL(ARYVAL(._fsae_powertrain_2018.powertrain_output_array,5),0,._fsae_powertrain_2018.gss_torque_ratio)",  &
              "*ARYVAL(._fsae_powertrain_2018.powertrain_output_array,2)*(._fsae_powertrain_2018.ucf_watt_to_KW)"  &
   f4 = "ARYVAL(._fsae_powertrain_2018.powertrain_output_array,3)",  &
              "/IF(ABS(ARYVAL(._fsae_powertrain_2018.powertrain_output_array,6)):1.0,1.0,ARYVAL(._fsae_powertrain_2018.powertrain_output_array,7))",  &
              "*ARYVAL(._fsae_powertrain_2018.powertrain_output_array,5)",  &
              "*ARYVAL(._fsae_powertrain_2018.powertrain_output_array,2)*(._fsae_powertrain_2018.ucf_watt_to_HP)"  &
   f6 = "ARYVAL(._fsae_powertrain_2018.powertrain_output_array,3)",  &
              "/IF(ABS(ARYVAL(._fsae_powertrain_2018.powertrain_output_array,6)):1.0,1.0,ARYVAL(._fsae_powertrain_2018.powertrain_output_array,7))",  &
              "*ARYVAL(._fsae_powertrain_2018.powertrain_output_array,5)",  &
              "*ARYVAL(._fsae_powertrain_2018.powertrain_output_array,2)*(._fsae_powertrain_2018.ucf_watt_to_KW)"  &
   f7 = "ARYVAL(._fsae_powertrain_2018.powertrain_output_array,5)"  &
   f8 = "ARYVAL(._fsae_powertrain_2018.powertrain_output_array,5)*",  &
              "AKISPL(ARYVAL(._fsae_powertrain_2018.powertrain_output_array,5),0,._fsae_powertrain_2018.gss_torque_ratio)"
!
output_control modify request  &
   request_name = ._fsae_powertrain_2018.torque_converter3  &
   f2 = "AKISPL(ARYVAL(._fsae_powertrain_2018.powertrain_output_array,5),0,._fsae_powertrain_2018.gss_capacity_factor)"  &
   f3 = "AKISPL(ARYVAL(._fsae_powertrain_2018.powertrain_output_array,5),0,._fsae_powertrain_2018.gss_torque_ratio)"
!
output_control modify request  &
   request_name = ._fsae_powertrain_2018.transmission1_manual  &
   f2 = "VARVAL(._fsae_powertrain_2018.transmission_input_omega_manual)"  &
   f3 = "VARVAL(._fsae_powertrain_2018.transmission_input_omega_manual)*(._fsae_powertrain_2018.ucf_radian_per_second_to_RPM)"  &
   f4 = "VARVAL(._fsae_powertrain_2018.transmission_output_omega)"  &
   f6 = "VARVAL(._fsae_powertrain_2018.transmission_output_omega)*(._fsae_powertrain_2018.ucf_radian_per_second_to_RPM)"  &
   f7 = "ARYVAL(._fsae_powertrain_2018.powertrain_output_array,3)/",  &
              "IF(ABS(VARVAL(._fsae_powertrain_2018.cis_transmission_demand_adams_id)):1.0,1.0,",  &
              "AKISPL(VARVAL(._fsae_powertrain_2018.cis_transmission_demand_adams_id),0,._fsae_powertrain_2018.transmission_data))"  &
   f8 = "ARYVAL(._fsae_powertrain_2018.powertrain_output_array,3)"
!
output_control modify request  &
   request_name = ._fsae_powertrain_2018.transmission2_manual  &
   f2 = "ARYVAL(._fsae_powertrain_2018.powertrain_output_array,3)/",  &
              "IF(ABS(VARVAL(._fsae_powertrain_2018.cis_transmission_demand_adams_id)):1.0,1.0,",  &
              "AKISPL(VARVAL(._fsae_powertrain_2018.cis_transmission_demand_adams_id),0,._fsae_powertrain_2018.transmission_data))",  &
              "*VARVAL(._fsae_powertrain_2018.transmission_input_omega_manual)*._fsae_powertrain_2018.ucf_watt_to_HP"  &
   f3 = "ARYVAL(._fsae_powertrain_2018.powertrain_output_array,3)/",  &
              "IF(ABS(VARVAL(._fsae_powertrain_2018.cis_transmission_demand_adams_id)):1.0,1.0,",  &
              "AKISPL(VARVAL(._fsae_powertrain_2018.cis_transmission_demand_adams_id),0,._fsae_powertrain_2018.transmission_data))",  &
              "*VARVAL(._fsae_powertrain_2018.transmission_input_omega_manual)*._fsae_powertrain_2018.ucf_watt_to_KW"  &
   f4 = "ARYVAL(._fsae_powertrain_2018.powertrain_output_array,3)",  &
              "*VARVAL(._fsae_powertrain_2018.transmission_output_omega)*._fsae_powertrain_2018.ucf_watt_to_HP"  &
   f6 = "ARYVAL(._fsae_powertrain_2018.powertrain_output_array,3)",  &
              "*VARVAL(._fsae_powertrain_2018.transmission_output_omega)*._fsae_powertrain_2018.ucf_watt_to_KW"  &
   f7 = "VARVAL(._fsae_powertrain_2018.cis_transmission_demand_adams_id)"  &
   f8 = "AKISPL(VARVAL(._fsae_powertrain_2018.cis_transmission_demand_adams_id),0,._fsae_powertrain_2018.transmission_data)"
!
output_control modify request  &
   request_name = ._fsae_powertrain_2018.transmission1_auto  &
   f2 = "VARVAL(._fsae_powertrain_2018.transmission_input_omega_auto)"  &
   f3 = "VARVAL(._fsae_powertrain_2018.transmission_input_omega_auto)*(._fsae_powertrain_2018.ucf_radian_per_second_to_RPM)"  &
   f4 = "VARVAL(._fsae_powertrain_2018.transmission_output_omega)"  &
   f6 = "VARVAL(._fsae_powertrain_2018.transmission_output_omega)*(._fsae_powertrain_2018.ucf_radian_per_second_to_RPM)"  &
   f7 = "ARYVAL(._fsae_powertrain_2018.powertrain_output_array,3)/",  &
              "IF(ABS(ARYVAL(._fsae_powertrain_2018.powertrain_output_array,6)):1.0,1.0,ARYVAL(._fsae_powertrain_2018.powertrain_output_array,7))"  &
   f8 = "ARYVAL(._fsae_powertrain_2018.powertrain_output_array,3)"
!
output_control modify request  &
   request_name = ._fsae_powertrain_2018.transmission2_auto  &
   f2 = "ARYVAL(._fsae_powertrain_2018.powertrain_output_array,3)/",  &
              "IF(ABS(ARYVAL(._fsae_powertrain_2018.powertrain_output_array,6)):1.0,1.0,ARYVAL(._fsae_powertrain_2018.powertrain_output_array,7))",  &
              "*VARVAL(._fsae_powertrain_2018.transmission_input_omega_auto)*._fsae_powertrain_2018.ucf_watt_to_HP"  &
   f3 = "ARYVAL(._fsae_powertrain_2018.powertrain_output_array,3)/",  &
              "IF(ABS(ARYVAL(._fsae_powertrain_2018.powertrain_output_array,6)):1.0,1.0,ARYVAL(._fsae_powertrain_2018.powertrain_output_array,7))",  &
              "*VARVAL(._fsae_powertrain_2018.transmission_input_omega_auto)*._fsae_powertrain_2018.ucf_watt_to_KW"  &
   f4 = "ARYVAL(._fsae_powertrain_2018.powertrain_output_array,3)",  &
              "*VARVAL(._fsae_powertrain_2018.transmission_output_omega)*._fsae_powertrain_2018.ucf_watt_to_HP"  &
   f6 = "ARYVAL(._fsae_powertrain_2018.powertrain_output_array,3)",  &
              "*VARVAL(._fsae_powertrain_2018.transmission_output_omega)*._fsae_powertrain_2018.ucf_watt_to_KW"  &
   f7 = "ARYVAL(._fsae_powertrain_2018.powertrain_output_array,6)"  &
   f8 = "ARYVAL(._fsae_powertrain_2018.powertrain_output_array,7)"
!
output_control modify request  &
   request_name = ._fsae_powertrain_2018.transmission1_robot  &
   f2 = "VARVAL(._fsae_powertrain_2018.transmission_input_omega_robot)"  &
   f3 = "VARVAL(._fsae_powertrain_2018.transmission_input_omega_robot)*(._fsae_powertrain_2018.ucf_radian_per_second_to_RPM)"  &
   f4 = "VARVAL(._fsae_powertrain_2018.transmission_output_omega)"  &
   f6 = "VARVAL(._fsae_powertrain_2018.transmission_output_omega)*(._fsae_powertrain_2018.ucf_radian_per_second_to_RPM)"  &
   f7 = "ARYVAL(._fsae_powertrain_2018.powertrain_output_array,3)/",  &
              "IF(ABS(ARYVAL(._fsae_powertrain_2018.powertrain_output_array,4)):1.0,1.0,ABS(ARYVAL(._fsae_powertrain_2018.powertrain_output_array,5)))"  &
   f8 = "ARYVAL(._fsae_powertrain_2018.powertrain_output_array,3)"
!
output_control modify request  &
   request_name = ._fsae_powertrain_2018.transmission2_robot  &
   f2 = "ARYVAL(._fsae_powertrain_2018.powertrain_output_array,3)/",  &
              "IF(ABS(ARYVAL(._fsae_powertrain_2018.powertrain_output_array,4)):1.0,1.0,ABS(ARYVAL(._fsae_powertrain_2018.powertrain_output_array,5)))",  &
              "*VARVAL(._fsae_powertrain_2018.transmission_input_omega_robot)*._fsae_powertrain_2018.ucf_watt_to_HP"  &
   f3 = "ARYVAL(._fsae_powertrain_2018.powertrain_output_array,3)/",  &
              "IF(ABS(ARYVAL(._fsae_powertrain_2018.powertrain_output_array,4)):1.0,1.0,ABS(ARYVAL(._fsae_powertrain_2018.powertrain_output_array,5)))",  &
              "*VARVAL(._fsae_powertrain_2018.transmission_input_omega_robot)*._fsae_powertrain_2018.ucf_watt_to_KW"  &
   f4 = "ARYVAL(._fsae_powertrain_2018.powertrain_output_array,3)",  &
              "*VARVAL(._fsae_powertrain_2018.transmission_output_omega)*._fsae_powertrain_2018.ucf_watt_to_HP"  &
   f6 = "ARYVAL(._fsae_powertrain_2018.powertrain_output_array,3)",  &
              "*VARVAL(._fsae_powertrain_2018.transmission_output_omega)*._fsae_powertrain_2018.ucf_watt_to_KW"  &
   f7 = "ARYVAL(._fsae_powertrain_2018.powertrain_output_array,4)"  &
   f8 = "ARYVAL(._fsae_powertrain_2018.powertrain_output_array,5)"
!
output_control modify request  &
   request_name = ._fsae_powertrain_2018.differential1  &
   f2 = "VARVAL(._fsae_powertrain_2018.transmission_output_omega)"  &
   f3 = "VARVAL(._fsae_powertrain_2018.transmission_output_omega)*._fsae_powertrain_2018.ucf_radian_per_second_to_RPM"  &
   f4 = "VARVAL(._fsae_powertrain_2018.halfshaft_omega_left)"  &
   f6 = "VARVAL(._fsae_powertrain_2018.halfshaft_omega_left)*._fsae_powertrain_2018.ucf_radian_per_second_to_RPM"  &
   f7 = "VARVAL(._fsae_powertrain_2018.halfshaft_omega_right)"  &
   f8 = "VARVAL(._fsae_powertrain_2018.halfshaft_omega_right)*._fsae_powertrain_2018.ucf_radian_per_second_to_RPM"
!
output_control modify request  &
   request_name = ._fsae_powertrain_2018.differential2  &
   f2 = "VARVAL(._fsae_powertrain_2018.halfshaft_omega_left) - VARVAL(._fsae_powertrain_2018.halfshaft_omega_right)"  &
   f3 = "(VARVAL(._fsae_powertrain_2018.halfshaft_omega_left) - VARVAL(._fsae_powertrain_2018.halfshaft_omega_right))",  &
              " *(._fsae_powertrain_2018.ucf_radian_per_second_to_RPM)"  &
   f4 = "VARVAL(._fsae_powertrain_2018.total_axle_torque)/._fsae_powertrain_2018.pvs_final_drive"  &
   f6 = "0.5*(VARVAL(._fsae_powertrain_2018.total_axle_torque)-VARVAL(._fsae_powertrain_2018.differential_torque))"  &
   f7 = "0.5*(VARVAL(._fsae_powertrain_2018.total_axle_torque)+VARVAL(._fsae_powertrain_2018.differential_torque))"  &
   f8 = "VARVAL(._fsae_powertrain_2018.differential_torque)"
!
output_control modify request  &
   request_name = ._fsae_powertrain_2018.differential3  &
   f2 = "VARVAL(._fsae_powertrain_2018.total_axle_torque)/._fsae_powertrain_2018.pvs_final_drive",  &
              "*VARVAL(._fsae_powertrain_2018.transmission_output_omega)*._fsae_powertrain_2018.ucf_watt_to_HP"  &
   f3 = "VARVAL(._fsae_powertrain_2018.total_axle_torque)/._fsae_powertrain_2018.pvs_final_drive",  &
              "*VARVAL(._fsae_powertrain_2018.transmission_output_omega)*._fsae_powertrain_2018.ucf_watt_to_KW"  &
   f4 = "(0.5*(VARVAL(._fsae_powertrain_2018.total_axle_torque)-VARVAL(._fsae_powertrain_2018.differential_torque)))*",  &
              "VARVAL(._fsae_powertrain_2018.halfshaft_omega_left)*._fsae_powertrain_2018.ucf_watt_to_HP"  &
   f6 = "(0.5*(VARVAL(._fsae_powertrain_2018.total_axle_torque)-VARVAL(._fsae_powertrain_2018.differential_torque)))*",  &
              "VARVAL(._fsae_powertrain_2018.halfshaft_omega_left)*._fsae_powertrain_2018.ucf_watt_to_KW"  &
   f7 = "(0.5*(VARVAL(._fsae_powertrain_2018.total_axle_torque)+VARVAL(._fsae_powertrain_2018.differential_torque)))*",  &
              "VARVAL(._fsae_powertrain_2018.halfshaft_omega_right)*._fsae_powertrain_2018.ucf_watt_to_HP"  &
   f8 = "(0.5*(VARVAL(._fsae_powertrain_2018.total_axle_torque)+VARVAL(._fsae_powertrain_2018.differential_torque)))*",  &
              "VARVAL(._fsae_powertrain_2018.halfshaft_omega_right)*._fsae_powertrain_2018.ucf_watt_to_KW"
!
output_control modify request  &
   request_name = ._fsae_powertrain_2018.differential4  &
   f2 = "VARVAL(._fsae_powertrain_2018.differential_torque)*",  &
              "(VARVAL(._fsae_powertrain_2018.halfshaft_omega_left)-VARVAL(._fsae_powertrain_2018.halfshaft_omega_right))*._fsae_powertrain_2018.ucf_watt_to_HP"  &
   f3 = "VARVAL(._fsae_powertrain_2018.differential_torque)*",  &
              "(VARVAL(._fsae_powertrain_2018.halfshaft_omega_left)-VARVAL(._fsae_powertrain_2018.halfshaft_omega_right))*._fsae_powertrain_2018.ucf_watt_to_KW"  &
   f4 = "._fsae_powertrain_2018.pvs_final_drive"
!
!-------------------------- Adams View UDE Instance ---------------------------!
!
!
ude modify instance  &
   instance_name = ._fsae_powertrain_2018.jfl_output_torque
!
!-------------------------- Adams View UDE Instance ---------------------------!
!
!
ude modify instance  &
   instance_name = ._fsae_powertrain_2018.jfr_output_torque
!
!--------------------------- Expression definitions ---------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ground
!
marker modify  &
   marker_name = ._fsae_powertrain_2018.ground.cfr_differential_output  &
   location =   &
      (._fsae_powertrain_2018.cir_diff_tripot)  &
   orientation =   &
      (ORI_RELATIVE_TO({0.0, -90.0, 0.0}degrees, ._fsae_powertrain_2018.ground.origo))
!
marker modify  &
   marker_name = ._fsae_powertrain_2018.ground.cfl_differential_output  &
   location =   &
      (._fsae_powertrain_2018.cil_diff_tripot)  &
   orientation =   &
      (ORI_RELATIVE_TO({0.0, 90.0, 0.0}degrees, ._fsae_powertrain_2018.ground.origo))
!
marker modify  &
   marker_name = ._fsae_powertrain_2018.ground.cfs_powertrain_to_body  &
   location =   &
      (LOC_CENTERED({._fsae_powertrain_2018.ground.cfl_differential_output.loc, ._fsae_powertrain_2018.ground.cfr_differential_output.loc}, 2))  &
   orientation =   &
      (ORI_RELATIVE_TO({0.0, 0.0, 0.0}degrees, ._fsae_powertrain_2018.ground.origo))
!
marker modify  &
   marker_name = ._fsae_powertrain_2018.ground.mts_mount_j_2  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_powertrain_2018.mts_powertrain_to_body))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_powertrain_2018.mts_powertrain_to_body))
!
marker modify  &
   marker_name = ._fsae_powertrain_2018.ground.mts_mount_j_3  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_powertrain_2018.mts_engine_to_subframe))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_powertrain_2018.mts_engine_to_subframe))
!
marker modify  &
   marker_name = ._fsae_powertrain_2018.ground.cfs_diff_output_orient  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}mm, ._fsae_powertrain_2018.ground.cfr_differential_output))  &
   orientation =   &
      (ORI_RELATIVE_TO({0.0, 90.0, 0.0}degrees, ._fsae_powertrain_2018.ground.origo))
!
data_element modify variable  &
   variable_name = ._fsae_powertrain_2018.transmission_input_omega_manual  &
   initial_condition = (._fsae_powertrain_2018.cis_initial_engine_rpm / ._fsae_powertrain_2018.ucf_radian_per_second_to_RPM)
!
data_element modify variable  &
   variable_name = ._fsae_powertrain_2018.transmission_input_omega_simple  &
   initial_condition = (._fsae_powertrain_2018.cis_initial_engine_rpm / ._fsae_powertrain_2018.ucf_radian_per_second_to_RPM)
!
data_element modify variable  &
   variable_name = ._fsae_powertrain_2018.transmission_input_omega_auto  &
   initial_condition = (._fsae_powertrain_2018.cis_initial_engine_rpm / ._fsae_powertrain_2018.ucf_radian_per_second_to_RPM)
!
data_element modify variable  &
   variable_name = ._fsae_powertrain_2018.transmission_input_omega_robot  &
   initial_condition = (._fsae_powertrain_2018.cis_initial_engine_rpm / ._fsae_powertrain_2018.ucf_radian_per_second_to_RPM)
!
data_element modify variable  &
   variable_name = ._fsae_powertrain_2018.transmission_output_omega  &
   initial_condition = (._fsae_powertrain_2018.cis_initial_engine_rpm / ._fsae_powertrain_2018.ucf_radian_per_second_to_RPM)
!
data_element modify variable  &
   variable_name = ._fsae_powertrain_2018.halfshaft_omega_left  &
   user_function =   &
      1004.0,  &
      (._fsae_powertrain_2018.gel_diff_output.jxl_joint_i_21.adams_id),  &
      (._fsae_powertrain_2018.ges_powertrain.jxl_joint_j_21.adams_id),  &
      (._fsae_powertrain_2018.ges_powertrain.jxl_joint_j_21.adams_id),  &
      (._fsae_powertrain_2018.cil_tire_force_adams_id)  &
   routine = "abgVDM::var1004"
!
data_element modify variable  &
   variable_name = ._fsae_powertrain_2018.halfshaft_omega_right  &
   user_function =   &
      1004.0,  &
      (._fsae_powertrain_2018.ger_diff_output.jxr_joint_i_21.adams_id),  &
      (._fsae_powertrain_2018.ges_powertrain.jxr_joint_j_21.adams_id),  &
      (._fsae_powertrain_2018.ges_powertrain.jxr_joint_j_21.adams_id),  &
      (._fsae_powertrain_2018.cir_tire_force_adams_id)  &
   routine = "abgVDM::var1004"
!
data_element modify variable  &
   variable_name = ._fsae_powertrain_2018.engine_speed  &
   initial_condition = (._fsae_powertrain_2018.cis_initial_engine_rpm / ._fsae_powertrain_2018.ucf_radian_per_second_to_RPM)
!
data_element modify array ic_array  &
   array_name = ._fsae_powertrain_2018.ptype_manual_parameters  &
   numbers =   &
      (._fsae_powertrain_2018.pvs_clutch_capacity),  &
      (._fsae_powertrain_2018.pvs_clutch_stiffness / ._fsae_powertrain_2018.ucf_angle_to_radians),  &
      (._fsae_powertrain_2018.pvs_clutch_damping / ._fsae_powertrain_2018.ucf_angle_to_radians),  &
      (._fsae_powertrain_2018.pvs_clutch_open),  &
      (._fsae_powertrain_2018.pvs_clutch_close),  &
      (._fsae_powertrain_2018.pvs_clutch_tau),  &
      (._fsae_powertrain_2018.transmission_data.adams_id)
!
data_element modify array ic_array  &
   array_name = ._fsae_powertrain_2018.engine_parameters  &
   numbers =   &
      (._fsae_powertrain_2018.pvs_engine_inertia / ._fsae_powertrain_2018.ucf_gc),  &
      (._fsae_powertrain_2018.pvs_engine_rev_limit),  &
      (._fsae_powertrain_2018.gss_engine_torque.adams_id),  &
      (._fsae_powertrain_2018.ucf_angle_to_radians),  &
      (COLS(._fsae_powertrain_2018.transmission_data.x))
!
data_element modify array ic_array  &
   array_name = ._fsae_powertrain_2018.ems_parameters  &
   numbers =   &
      (._fsae_powertrain_2018.pvs_engine_idle_speed),  &
      (._fsae_powertrain_2018.pvs_ems_gain),  &
      (._fsae_powertrain_2018.pvs_ems_max_throttle),  &
      (._fsae_powertrain_2018.pvs_max_throttle)
!
data_element modify array ic_array  &
   array_name = ._fsae_powertrain_2018.powertrain_ic_manual  &
   numbers =   &
      (._fsae_powertrain_2018.cis_initial_engine_rpm / ._fsae_powertrain_2018.ucf_radian_per_second_to_RPM),  &
      0.0
!
data_element modify array ic_array  &
   array_name = ._fsae_powertrain_2018.powertrain_ic_auto  &
   numbers = (._fsae_powertrain_2018.cis_initial_engine_rpm / ._fsae_powertrain_2018.ucf_radian_per_second_to_RPM)
!
data_element modify array y_output_array  &
   array_name = ._fsae_powertrain_2018.powertrain_output_array  &
   comments =   &
      "Powertrain GSE output array",  &
      (._fsae_powertrain_2018.gse_output_array_comments[._fsae_powertrain_2018.phs_powertrain_type].string_value[1]),  &
      (._fsae_powertrain_2018.gse_output_array_comments[._fsae_powertrain_2018.phs_powertrain_type].string_value[2]),  &
      (._fsae_powertrain_2018.gse_output_array_comments[._fsae_powertrain_2018.phs_powertrain_type].string_value[3]),  &
      (._fsae_powertrain_2018.gse_output_array_comments[._fsae_powertrain_2018.phs_powertrain_type].string_value[4]),  &
      (._fsae_powertrain_2018.gse_output_array_comments[._fsae_powertrain_2018.phs_powertrain_type].string_value[5]),  &
      (._fsae_powertrain_2018.gse_output_array_comments[._fsae_powertrain_2018.phs_powertrain_type].string_value[6]),  &
      (._fsae_powertrain_2018.gse_output_array_comments[._fsae_powertrain_2018.phs_powertrain_type].string_value[7])
!
data_element modify array x_state_array  &
   array_name = ._fsae_powertrain_2018.powertrain_state_array  &
   comments =   &
      "Powertrain GSE state array",  &
      (._fsae_powertrain_2018.gse_state_array_comments[._fsae_powertrain_2018.phs_powertrain_type].string_value[1]),  &
      (._fsae_powertrain_2018.gse_state_array_comments[._fsae_powertrain_2018.phs_powertrain_type].string_value[2])
!
data_element modify array u_input_array  &
   array_name = ._fsae_powertrain_2018.powertrain_input_array  &
   variable_name =   &
      (._fsae_powertrain_2018.cis_throttle_demand),  &
      (._fsae_powertrain_2018.cis_clutch_demand),  &
      (._fsae_powertrain_2018.transmission_output_omega),  &
      (._fsae_powertrain_2018.cis_transmission_demand),  &
      (._fsae_powertrain_2018.analysis_type)
!
data_element modify array ic_array  &
   array_name = ._fsae_powertrain_2018.ptype_simple_parameters  &
   numbers =   &
      (._fsae_powertrain_2018.pvs_max_engine_power),  &
      (._fsae_powertrain_2018.pvs_min_engine_torque),  &
      (._fsae_powertrain_2018.pvs_torque_tau),  &
      (._fsae_powertrain_2018.pvs_max_engine_torque)
!
data_element modify array ic_array  &
   array_name = ._fsae_powertrain_2018.ptype_auto_parameters  &
   numbers =   &
      (._fsae_powertrain_2018.gss_torque_ratio.adams_id),  &
      (._fsae_powertrain_2018.gss_capacity_factor.adams_id),  &
      (._fsae_powertrain_2018.transmission_data.adams_id),  &
      (._fsae_powertrain_2018.pvs_shift_cycle_time),  &
      (._fsae_powertrain_2018.pvs_oil_dump_threshold),  &
      (._fsae_powertrain_2018.pvs_oil_dump_residual),  &
      (._fsae_powertrain_2018.pvs_oil_dump_throttle_off)
!
data_element modify array ic_array  &
   array_name = ._fsae_powertrain_2018.ptype_robot_parameters  &
   numbers =   &
      (._fsae_powertrain_2018.transmission_data.adams_id),  &
      (._fsae_powertrain_2018.pvs_torque_tau),  &
      (._fsae_powertrain_2018.pvs_shift_cycle_time)
!
data_element modify spline  &
   spline_name = ._fsae_powertrain_2018.transmission_data  &
   y =   &
      (._fsae_powertrain_2018.pvs_gear_ratio_R),  &
      0.0,  &
      (._fsae_powertrain_2018.pvs_gear_ratio_1),  &
      (._fsae_powertrain_2018.pvs_gear_ratio_2),  &
      (._fsae_powertrain_2018.pvs_gear_ratio_3),  &
      (._fsae_powertrain_2018.pvs_gear_ratio_4),  &
      (._fsae_powertrain_2018.pvs_gear_ratio_5),  &
      (._fsae_powertrain_2018.pvs_gear_ratio_6),  &
      0.0,  &
      0.0,  &
      (._fsae_powertrain_2018.pvs_engine_stall_speed),  &
      (._fsae_powertrain_2018.pvs_gear_downshift_2),  &
      (._fsae_powertrain_2018.pvs_gear_downshift_3),  &
      (._fsae_powertrain_2018.pvs_gear_downshift_4),  &
      (._fsae_powertrain_2018.pvs_gear_downshift_5),  &
      (._fsae_powertrain_2018.pvs_gear_downshift_6),  &
      0.0,  &
      (._fsae_powertrain_2018.pvs_sport_flag ? ._fsae_powertrain_2018.pvs_gear_upshift_thlds[1] : 100.0),  &
      (._fsae_powertrain_2018.pvs_gear_upshift_1),  &
      (._fsae_powertrain_2018.pvs_gear_upshift_2),  &
      (._fsae_powertrain_2018.pvs_gear_upshift_3),  &
      (._fsae_powertrain_2018.pvs_gear_upshift_4),  &
      (._fsae_powertrain_2018.pvs_gear_upshift_5),  &
      (._fsae_powertrain_2018.pvs_engine_rev_limit),  &
      0.0,  &
      (._fsae_powertrain_2018.pvs_sport_flag ? ._fsae_powertrain_2018.pvs_gear_upshift_thlds[2] : 100.0),  &
      (._fsae_powertrain_2018.pvs_gear_sport_1),  &
      (._fsae_powertrain_2018.pvs_gear_sport_2),  &
      (._fsae_powertrain_2018.pvs_gear_sport_3),  &
      (._fsae_powertrain_2018.pvs_gear_sport_4),  &
      (._fsae_powertrain_2018.pvs_gear_sport_5),  &
      (._fsae_powertrain_2018.pvs_engine_rev_limit)
!
data_element modify string  &
   string_name = ._fsae_powertrain_2018.minor_role_string  &
   string = (._fsae_powertrain_2018.minor_role)
!
marker modify  &
   marker_name = ._fsae_powertrain_2018.gel_diff_output.inertia_frame  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_powertrain_2018.gel_diff_output.cm))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_powertrain_2018.gel_diff_output))  &
   relative_to = ._fsae_powertrain_2018.gel_diff_output
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_powertrain_2018.ground
!
marker modify  &
   marker_name = ._fsae_powertrain_2018.gel_diff_output.jxl_joint_i_21  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_powertrain_2018.ges_powertrain.jxl_joint_j_21))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_powertrain_2018.ges_powertrain.jxl_joint_j_21))  &
   relative_to = ._fsae_powertrain_2018.gel_diff_output
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_powertrain_2018.ground
!
marker modify  &
   marker_name = ._fsae_powertrain_2018.gel_diff_output.gracyl_7  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0.0}mm, ._fsae_powertrain_2018.ground.cfl_differential_output))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_powertrain_2018.ground.cfl_differential_output))  &
   relative_to = ._fsae_powertrain_2018.gel_diff_output
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_powertrain_2018.ground
!
marker modify  &
   marker_name = ._fsae_powertrain_2018.gel_diff_output.jfl_actuator_i_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_powertrain_2018.gel_diff_output.jxl_joint_i_21))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_powertrain_2018.gel_diff_output.jxl_joint_i_21))  &
   relative_to = ._fsae_powertrain_2018.gel_diff_output
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_powertrain_2018.ground
!
part modify rigid_body name_and_position  &
   part_name = ._fsae_powertrain_2018.gel_diff_output  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}mm, ._fsae_powertrain_2018.ground.cfl_differential_output))  &
   orientation =   &
      (ORI_RELATIVE_TO({0.0, 0.0, 0.0}degrees, ._fsae_powertrain_2018.ground.cfl_differential_output))
!
marker modify  &
   marker_name = ._fsae_powertrain_2018.ger_diff_output.inertia_frame  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_powertrain_2018.ger_diff_output.cm))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_powertrain_2018.ger_diff_output))  &
   relative_to = ._fsae_powertrain_2018.ger_diff_output
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_powertrain_2018.ground
!
marker modify  &
   marker_name = ._fsae_powertrain_2018.ger_diff_output.jxr_joint_i_21  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_powertrain_2018.ges_powertrain.jxr_joint_j_21))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_powertrain_2018.ges_powertrain.jxr_joint_j_21))  &
   relative_to = ._fsae_powertrain_2018.ger_diff_output
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_powertrain_2018.ground
!
marker modify  &
   marker_name = ._fsae_powertrain_2018.ger_diff_output.gracyl_8  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0.0}mm, ._fsae_powertrain_2018.ground.cfr_differential_output))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_powertrain_2018.ground.cfr_differential_output))  &
   relative_to = ._fsae_powertrain_2018.ger_diff_output
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_powertrain_2018.ground
!
marker modify  &
   marker_name = ._fsae_powertrain_2018.ger_diff_output.jfr_actuator_i_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_powertrain_2018.ger_diff_output.jxr_joint_i_21))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 180d, 0}, ._fsae_powertrain_2018.ger_diff_output.jxr_joint_i_21))  &
   relative_to = ._fsae_powertrain_2018.ger_diff_output
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_powertrain_2018.ground
!
part modify rigid_body name_and_position  &
   part_name = ._fsae_powertrain_2018.ger_diff_output  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}mm, ._fsae_powertrain_2018.ground.cfr_differential_output))  &
   orientation =   &
      (ORI_RELATIVE_TO({-1 * 0.0, -1 * 0.0, -1 * 0.0}degrees, ._fsae_powertrain_2018.ground.cfr_differential_output))
!
marker modify  &
   marker_name = ._fsae_powertrain_2018.ges_powertrain.inertia_frame  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_powertrain_2018.ges_powertrain.cm))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_powertrain_2018.ges_powertrain))  &
   relative_to = ._fsae_powertrain_2018.ges_powertrain
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_powertrain_2018.ground
!
marker modify  &
   marker_name = ._fsae_powertrain_2018.ges_powertrain.jxl_joint_j_21  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}mm, ._fsae_powertrain_2018.ground.cfl_differential_output))  &
   orientation =   &
      (ORI_RELATIVE_TO({0.0, 0.0, 0.0}degrees, ._fsae_powertrain_2018.ground.cfs_diff_output_orient))  &
   relative_to = ._fsae_powertrain_2018.ges_powertrain
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_powertrain_2018.ground
!
marker modify  &
   marker_name = ._fsae_powertrain_2018.ges_powertrain.jxr_joint_j_21  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}mm, ._fsae_powertrain_2018.ground.cfr_differential_output))  &
   orientation =   &
      (ORI_RELATIVE_TO({0.0, 0.0, 0.0}degrees, ._fsae_powertrain_2018.ground.cfs_diff_output_orient))  &
   relative_to = ._fsae_powertrain_2018.ges_powertrain
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_powertrain_2018.ground
!
marker modify  &
   marker_name = ._fsae_powertrain_2018.ges_powertrain.jxs_joint_i_9  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_powertrain_2018.mts_powertrain_to_body.jxs_joint_j_9))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_powertrain_2018.mts_powertrain_to_body.jxs_joint_j_9))  &
   relative_to = ._fsae_powertrain_2018.ges_powertrain
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_powertrain_2018.ground
!
marker modify  &
   marker_name = ._fsae_powertrain_2018.ges_powertrain.jfl_actuator_j_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_powertrain_2018.ges_powertrain.jxl_joint_j_21))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_powertrain_2018.ges_powertrain.jxl_joint_j_21))  &
   relative_to = ._fsae_powertrain_2018.ges_powertrain
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_powertrain_2018.ground
!
marker modify  &
   marker_name = ._fsae_powertrain_2018.ges_powertrain.jfr_actuator_j_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_powertrain_2018.ges_powertrain.jxr_joint_j_21))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 180d, 0}, ._fsae_powertrain_2018.ges_powertrain.jxr_joint_j_21))  &
   relative_to = ._fsae_powertrain_2018.ges_powertrain
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_powertrain_2018.ground
!
part modify rigid_body name_and_position  &
   part_name = ._fsae_powertrain_2018.mts_powertrain_to_body  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_powertrain_2018.ground.cfs_powertrain_to_body))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_powertrain_2018.ground.origo))
!
marker modify  &
   marker_name = ._fsae_powertrain_2018.mts_powertrain_to_body.jxs_joint_j_9  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}mm, ._fsae_powertrain_2018.ground.cfs_powertrain_to_body))  &
   orientation =   &
      (ORI_RELATIVE_TO({0.0, 0.0, 0.0}degrees, ._fsae_powertrain_2018.ground.origo))  &
   relative_to = ._fsae_powertrain_2018.mts_powertrain_to_body
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_powertrain_2018.ground
!
part modify rigid_body name_and_position  &
   part_name = ._fsae_powertrain_2018.mts_engine_to_subframe  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_powertrain_2018.ground.cfs_powertrain_to_body))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_powertrain_2018.ground.origo))
!
part modify equation general_state_equation  &
   general_state_equation_name = ._fsae_powertrain_2018.powertrain_gse  &
   state_equation_count = (._fsae_powertrain_2018.gse_number_states[._fsae_powertrain_2018.phs_powertrain_type])  &
   output_equation_count = (._fsae_powertrain_2018.gse_number_outputs[._fsae_powertrain_2018.phs_powertrain_type])  &
   discrete_state_equation_count = (._fsae_powertrain_2018.gse_number_discrete_states[._fsae_powertrain_2018.phs_powertrain_type])  &
   ic_array_name = (._fsae_powertrain_2018.gse_type_ic[._fsae_powertrain_2018.phs_powertrain_type])  &
   sample_period = "1.0E10"  &
   user_function =   &
      777.0,  &
      (._fsae_powertrain_2018.phs_powertrain_type),  &
      (._fsae_powertrain_2018.powertrain_state_array.adams_id),  &
      (._fsae_powertrain_2018.powertrain_input_array.adams_id),  &
      (ADAMS_ID(._fsae_powertrain_2018.engine_type_inputs[._fsae_powertrain_2018.phs_powertrain_type])),  &
      (._fsae_powertrain_2018.engine_parameters.adams_id),  &
      (._fsae_powertrain_2018.ems_parameters.adams_id)
!
variable modify  &
   variable_name = ._fsae_powertrain_2018.cis_throttle_demand_adams_id  &
   integer_value = (._fsae_powertrain_2018.cis_throttle_demand.object_value.adams_id)
!
variable modify  &
   variable_name = ._fsae_powertrain_2018.cis_transmission_demand_adams_id  &
   integer_value = (._fsae_powertrain_2018.cis_transmission_demand.object_value.adams_id)
!
variable modify  &
   variable_name = ._fsae_powertrain_2018.cis_clutch_demand_adams_id  &
   integer_value = (._fsae_powertrain_2018.cis_clutch_demand.object_value.adams_id)
!
variable modify  &
   variable_name = ._fsae_powertrain_2018.torque_to_Nmm  &
   real_value = (1(Newton-mm))
!
variable modify  &
   variable_name = ._fsae_powertrain_2018.cis_powertrain_to_body.minor_role  &
   string_value = (._fsae_powertrain_2018.mts_powertrain_to_body.minor_role)
!
variable modify  &
   variable_name = ._fsae_powertrain_2018.cis_powertrain_to_body  &
   comments = ("Autocreated for mount part: " // ._fsae_powertrain_2018.cis_powertrain_to_body[2].name)
!
variable modify  &
   variable_name = ._fsae_powertrain_2018.cis_engine_to_subframe.minor_role  &
   string_value = (._fsae_powertrain_2018.mts_engine_to_subframe.minor_role)
!
variable modify  &
   variable_name = ._fsae_powertrain_2018.cis_engine_to_subframe  &
   comments = ("Autocreated for mount part: " // ._fsae_powertrain_2018.cis_engine_to_subframe[2].name)
!
variable modify  &
   variable_name = ._fsae_powertrain_2018.cil_tire_force_adams_id  &
   integer_value = (._fsae_powertrain_2018.cil_tire_force.object_value.adams_id)
!
variable modify  &
   variable_name = ._fsae_powertrain_2018.cir_tire_force_adams_id  &
   integer_value = (._fsae_powertrain_2018.cir_tire_force.object_value.adams_id)
!
variable modify  &
   variable_name = ._fsae_powertrain_2018.cos_clutch_displacement_ic  &
   object_value = (._fsae_powertrain_2018.phs_powertrain_type == 2 ? ._fsae_powertrain_2018.clutch_displacement_ic_simple : ._fsae_powertrain_2018.clutch_displacement_ic)
!
variable modify  &
   variable_name = ._fsae_powertrain_2018.cos_transmission_input_omega  &
   object_value = (._fsae_powertrain_2018.transmission_input_omegas[._fsae_powertrain_2018.phs_powertrain_type])
!
variable modify  &
   variable_name = ._fsae_powertrain_2018.cis_sse_diff1_adams_id  &
   integer_value = (._fsae_powertrain_2018.cis_sse_diff1.object_value.adams_id)
!
variable modify  &
   variable_name = ._fsae_powertrain_2018.ucf_angle_to_radians  &
   real_value = (CONVERT_TO_RADIANS(1))
!
variable modify  &
   variable_name = ._fsae_powertrain_2018.ucf_gc  &
   real_value = (1(m) * 1(kg) / 1(N) / 1(s) / 1(s))
!
variable modify  &
   variable_name = ._fsae_powertrain_2018.ucf_watt_to_HP  &
   real_value = (1.34102E-03 / (1(N) * 1(m) / 1(s)))
!
variable modify  &
   variable_name = ._fsae_powertrain_2018.ucf_watt_to_PS  &
   real_value = (1.35962E-03 / (1(N) * 1(m) / 1(s)))
!
variable modify  &
   variable_name = ._fsae_powertrain_2018.ucf_watt_to_KW  &
   real_value = (1.0E-03 / (1(N) * 1(m) / 1(s)))
!
variable modify  &
   variable_name = ._fsae_powertrain_2018.ucf_radian_per_second_to_RPM  &
   real_value = (60.0(s) / (2.0 * PI))
!
variable modify  &
   variable_name = ._fsae_powertrain_2018.cos_max_engine_driving_torque  &
   object_value = (._fsae_powertrain_2018.phs_powertrain_type == 2 ? ._fsae_powertrain_2018.max_driving_torque_simple : ._fsae_powertrain_2018.max_driving_torque)
!
variable modify  &
   variable_name = ._fsae_powertrain_2018.cos_max_engine_braking_torque  &
   object_value = (._fsae_powertrain_2018.phs_powertrain_type == 2 ? ._fsae_powertrain_2018.max_braking_torque_simple : ._fsae_powertrain_2018.max_braking_torque)
!
group modify  &
   group_name = ._fsae_powertrain_2018.kinematic_mode_active  &
   expr_active = ((._fsae_powertrain_2018.phs_kinematic_flag || ._fsae_powertrain_2018.model_class == "template" ? 1 : 0) && DB_ACTIVE(._fsae_powertrain_2018))
!
group modify  &
   group_name = ._fsae_powertrain_2018.kinematic_mode_inactive  &
   expr_active = (( ! ._fsae_powertrain_2018.phs_kinematic_flag || ._fsae_powertrain_2018.model_class == "template" ? 1 : 0) && DB_ACTIVE(._fsae_powertrain_2018))
!
group modify  &
   group_name = ._fsae_powertrain_2018.simple_mode_inactive  &
   expr_active = (._fsae_powertrain_2018.phs_powertrain_type == 2 ? 0 : 1)
!
group modify  &
   group_name = ._fsae_powertrain_2018.manual_mode_active  &
   expr_active = (._fsae_powertrain_2018.phs_powertrain_type == 1 ? 1 : 0)
!
group modify  &
   group_name = ._fsae_powertrain_2018.simple_mode_active  &
   expr_active = (._fsae_powertrain_2018.phs_powertrain_type == 2 ? 1 : 0)
!
group modify  &
   group_name = ._fsae_powertrain_2018.auto_mode_active  &
   expr_active = (._fsae_powertrain_2018.phs_powertrain_type == 3 ? 1 : 0)
!
group modify  &
   group_name = ._fsae_powertrain_2018.robot_mode_active  &
   expr_active = (._fsae_powertrain_2018.phs_powertrain_type == 4 ? 1 : 0)
!
group modify  &
   group_name = ._fsae_powertrain_2018.graphics_active  &
   expr_active = ((._fsae_powertrain_2018.pvs_graphics_flag || ._fsae_powertrain_2018.model_class == "template" ? 1 : 0) && DB_ACTIVE(._fsae_powertrain_2018))
!
group modify  &
   group_name = ._fsae_powertrain_2018.graphics_inactive  &
   expr_active = (( ! ._fsae_powertrain_2018.pvs_graphics_flag || ._fsae_powertrain_2018.model_class == "template" ? 1 : 0) && DB_ACTIVE(._fsae_powertrain_2018))
!
ude modify instance  &
   instance_name = ._fsae_powertrain_2018.jfl_output_torque  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_powertrain_2018.ground.origo))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_powertrain_2018.ground.origo))
!
ude modify instance  &
   instance_name = ._fsae_powertrain_2018.jfr_output_torque  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_powertrain_2018.ground.origo))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_powertrain_2018.ground.origo))
!
model display  &
   model_name = _fsae_powertrain_2018
!
!-------------------------- Custom Dboxes for Template ------------------------!
!
!
if condition=(!db_exists(".ACAR.custom.dbox_pow_par"))
!
interface dialog_box create  &
   dialog_box_name = .ACAR.custom.dbox_pow_par  &
   help_text = "Setup powertrain parameters"  &
   documentation_text = "adams_car/dialogboxes/dbox_pow_par.html"  &
   location = 1726.0, 391.0  &
   height = 312.0  &
   width = 540.0  &
   units = pixel  &
   horiz_resizing = scale_all  &
   vert_resizing = scale_all  &
   title = "Powertrain Parameters"  &
   iconifiable = no  &
   start_commands = "variable set variable=$_self.pwrMod &",  &
                    " object=(eval(db_default(.system_defaults, \"model\")))",  &
                    "if condition=(str_model_class($_self.pwrMod.object_value)==\"assembly\")",  &
                    "   variable modify variable=$_self.pwrMod new=$_self.asyMod",  &
                    "   variable create variable=$_self.pwrMod &",  &
                    "    object=(eval(SUBSYSTEM_LOOKUP($_self.asyMod.object_value,\"powertrain\",\"any\")))",  &
                    "   if condition=(db_exists($_self.pwrMod.object_value))",  &
                    "      if condition=(db_exists($_self.asyMod//\".testrig.cis_powertrain_type\"))",  &
                    "         if condition=(stoo($_self.asyMod//\".testrig.cis_powertrain_type\").integer_value > 0)",  &
                    "            interface option set option=$_topgui.o_pwr_conf execute=no &",  &
                    "             value=(eval(stoo($_self.asyMod//\".testrig.cis_powertrain_type\").integer_value))",  &
                    "         end",  &
                    "      elseif condition=(db_exists($_self.pwrMod.object_value//\".phs_powertrain_type\"))",  &
                    "         interface option set option=$_topgui.o_pwr_conf execute=no &",  &
                    "          value=(eval(stoo($_self.pwrMod//\".phs_powertrain_type\").integer_value))",  &
                    "      else",  &
                    "         acar toolkit warning type=error echo=yes &",  &
                    "          warning=(eval(\"'\"//db_default(.system_defaults,\"model\")//\"' is not a suitable model.\"))",  &
                    "         interface dialog undisplay dialog=$_self",  &
                    "         return",  &
                    "      end",  &
                    "   else",  &
                    "      acar toolkit warning type=error echo=yes &",  &
                    "       warning=(eval(\"Assembly '\"//db_default(.system_defaults,\"model\")//\"' does not contain a 'powertrain' subsystem.\"))",  &
                    "      interface dialog undisplay dialog=$_self",  &
                    "      return",  &
                    "   end",  &
                    "   variable delete variable=$_self.asyMod",  &
                    "elseif condition=(anym(str_model_class($_self.pwrMod.object_value)=={\"template\",\"subsystem\"}))",  &
                    "   if condition=(db_exists($_self.pwrMod.object_value//\".phs_powertrain_type\"))",  &
                    "      interface option set option=$_topgui.o_pwr_conf execute=no &",  &
                    "       value=(eval(stoo($_self.pwrMod//\".phs_powertrain_type\").integer_value))",  &
                    "   else",  &
                    "      acar toolkit warning type=error echo=yes &",  &
                    "       warning=(eval(\"'\"//db_default(.system_defaults,\"model\")//\"' is not a compatible 'powertrain' model.\"))",  &
                    "      interface dialog undisplay dialog=$_self",  &
                    "      return",  &
                    "   end",  &
                    "else",  &
                    "   acar toolkit warning type=error echo=yes &",  &
                    "    warning=(eval(\"'\"//db_default(.system_defaults,\"model\")//\"' is not a suitable model.\"))",  &
                    "   interface dialog undisplay dialog=$_self",  &
                    "   return",  &
                    "end",  &
                    "variable set variable=$_self.gearcnt &",  &
                    " integer=(eval(rows(db_filter_name(db_children($_self.pwrMod,\"variable\"),\"pvs_gear_ratio_[0-9]*\"))))",  &
                    "for variable=$_self.loopcnt start=1 end=(eval($_self.gearcnt))",  &
                    "   variable set variable=$_self.gearnum &",  &
                    "    string=(eval(str_sprintf(\"%02d\",$_self.loopcnt))) &",  &
                    "    index=(eval($_self.loopcnt))",  &
                    "end",  &
                    "if condition=($_self.gearcnt > 0)",  &
                    "   interface option modify option=$_self.o_gears &",  &
                    "    choices=(eval($_self.gearnum))",  &
                    "end",  &
                    "interface option execute option=$_topgui.o_pwr_conf"  &
   finish_commands = "variable delete variable_name=(eval(db_children($_self,\"variable\")))"  &
   execution_commands = "if condition=(db_exists($_self.pwrMod//\".phs_powertrain_type\"))",  &
                        "   variable set integer=(eval(max({$o_pwr_conf,1}))) &",  &
                        "    variable=($_self.pwrMod//\".phs_powertrain_type\")",  &
                        "end",  &
                        "!",  &
                        "for variable=$_self.loopobj object=(eval(db_immediate_children($_self.tabcont,\"graphic_interface_container\")))",  &
                        "   if condition=($_self.loopobj.object_value.displayed)",  &
                        "      interface container execute container=($_self.loopobj.object_value) undisplay=no",  &
                        "   end",  &
                        "end",  &
                        "!",  &
                        "if condition=(\"$_1\" != \"\")",  &
                        "   interface $_1 execute $_1=$_2",  &
                        "end"  &
   decorate = yes  &
   resizable = no  &
   width_minimum = 535.0  &
   height_minimum = 312.0  &
   height_maximum = 312.0  &
   grab_all_input = no
!
interface label create  &
   label_name = .ACAR.custom.dbox_pow_par.l_pwr_conf  &
   location = 4.0, 4.0  &
   height = 25.0  &
   width = 150.0  &
   units = pixel  &
   horiz_resizing = attach_left  &
   vert_resizing = attach_top  &
   justified = left  &
   text = " Powertain Configuration"
!
interface option_menu create  &
   option_menu_name = .ACAR.custom.dbox_pow_par.o_pwr_conf  &
   location = 156.0, 4.0  &
   height = 25.0  &
   width = 200.0  &
   units = pixel  &
   horiz_resizing = attach_left  &
   vert_resizing = attach_top  &
   choices = "Manual Gear Shifting", "Simple Proportional Torque",  &
             "Automatic Torque Converter", "Robotized Dual-Clutch",  &
             "--- Show all Options ---"  &
   current_choice = "Robotized Dual-Clutch"  &
   values = "1", "2", "3", "4", "0"  &
   commands = "variable set variable=$_self.currcont &",  &
              " string=(eval($_topgui.tabcont.current_choice))",  &
              "interface container undisplay container=$_topgui.tabcont.\"*\"",  &
              "if condition=($_value == 1)",  &
              "   interface container display container=$_topgui.tabcont.c_engine",  &
              "   interface container display container=$_topgui.tabcont.c_clutch",  &
              "   interface container display container=$_topgui.tabcont.c_transm",  &
              "   interface tab set tab=$_topgui.tabcont choice=\"Engine\" execute=yes",  &
              "elseif condi=($_value == 2)",  &
              "   interface container display container=$_topgui.tabcont.c_simple",  &
              "   interface tab set tab=$_topgui.tabcont choice=\"Simple\"",  &
              "elseif condi=($_value == 3)",  &
              "   interface container display container=$_topgui.tabcont.c_engine",  &
              "   interface container display container=$_topgui.tabcont.c_trqcnv",  &
              "   interface container display container=$_topgui.tabcont.c_transm",  &
              "   interface tab set tab=$_topgui.tabcont choice=\"Engine\" execute=yes",  &
              "elseif condi=($_value == 4)",  &
              "   interface container display container=$_topgui.tabcont.c_robot",  &
              "   interface container display container=$_topgui.tabcont.c_transm",  &
              "   interface tab set tab=$_topgui.tabcont choice=\"Dual-Clutch\" execute=yes",  &
              "else",  &
              "   interface container display container=$_topgui.tabcont.c_engine",  &
              "   interface container display container=$_topgui.tabcont.c_clutch",  &
              "   interface container display container=$_topgui.tabcont.c_transm",  &
              "   interface container display container=$_topgui.tabcont.c_simple",  &
              "   interface container display container=$_topgui.tabcont.c_trqcnv",  &
              "   interface container display container=$_topgui.tabcont.c_robot",  &
              "   interface container display container=$_topgui.tabcont.c_misc",  &
              "   interface tab set tab=$_topgui.tabcont choice=\"Miscellaneous\" execute=yes",  &
              "end",  &
              "interface tab set tab=$_topgui.tabcont choice=(eval($_self.currcont))",  &
              "interface entity modify entity=$_topgui.b_plot display=(eval(yes_no($_value!=2)))"
!
interface tab_container create  &
   tab_container_name = .ACAR.custom.dbox_pow_par.tabcont  &
   location = 2.0, 30.0  &
   height = 250.0  &
   width = 536.0  &
   units = pixel  &
   horiz_resizing = expand  &
   vert_resizing = attach_top  &
   current_choice = "Transmission"
!
interface container create  &
   container_name = .ACAR.custom.dbox_pow_par.tabcont.c_engine  &
   height = 177.0  &
   width = 517.0  &
   units = pixel  &
   horiz_resizing = scale_all  &
   vert_resizing = scale_all  &
   start_commands = "if condition=(db_exists($_topgui.pwrMod//\".pvs_engine_inertia\"))",  &
                    "   interface field set action=replace field=$_self.f_engine_inertia &",  &
                    "    strings=(eval($_topgui.pwrMod.pvs_engine_inertia.real_value))",  &
                    "end",  &
                    "if condition=(db_exists($_topgui.pwrMod//\".pvs_engine_stall_speed\"))",  &
                    "   interface field set action=replace field=$_self.f_engine_stall_speed &",  &
                    "    strings=(eval($_topgui.pwrMod.pvs_engine_stall_speed.real_value))",  &
                    "end",  &
                    "if condition=(db_exists($_topgui.pwrMod//\".pvs_engine_idle_speed\"))",  &
                    "   interface field set action=replace field=$_self.f_engine_idle_speed &",  &
                    "    strings=(eval($_topgui.pwrMod.pvs_engine_idle_speed.real_value))",  &
                    "end",  &
                    "if condition=(db_exists($_topgui.pwrMod//\".pvs_engine_rev_limit\"))",  &
                    "   interface field set action=replace field=$_self.f_engine_rev_limit &",  &
                    "    strings=(eval($_topgui.pwrMod.pvs_engine_rev_limit.real_value))",  &
                    "end",  &
                    "if condition=(db_exists($_topgui.pwrMod//\".pvs_max_throttle\"))",  &
                    "   interface field set action=replace field=$_self.f_max_throttle &",  &
                    "    strings=(eval($_topgui.pwrMod.pvs_max_throttle.real_value))",  &
                    "end",  &
                    "if condition=(db_exists($_topgui.pwrMod//\".pvs_ems_gain\"))",  &
                    "   interface field set action=replace field=$_self.f_ems_gain &",  &
                    "    strings=(eval($_topgui.pwrMod.pvs_ems_gain.real_value))",  &
                    "end",  &
                    "if condition=(db_exists($_topgui.pwrMod//\".pvs_ems_max_throttle\"))",  &
                    "   interface field set action=replace field=$_self.f_ems_max_throttle &",  &
                    "    strings=(eval($_topgui.pwrMod.pvs_ems_max_throttle.real_value))",  &
                    "end",  &
                    "variable set variable=$_self.traits &",  &
                    " string=\"output\", \"engine_map\", \"spline\", \"s\"",  &
                    "if condition=(db_exists(communicator_lookup($_topgui.pwrMod.object_value,$_self.traits.self)))",  &
                    "   interface field set action=replace field=$_self.f_prop_file &",  &
                    "    string=(eval(communicator_lookup($_topgui.pwrMod.object_value,$_self.traits.self).object_value.property_file.string_value))",  &
                    "end",  &
                    "variable delete variable=$_self.traits"  &
   execution_commands = "if condition=(db_exists($_topgui.pwrMod//\".pvs_engine_inertia\"))",  &
                        "   variable modify real=$f_engine_inertia &",  &
                        "    variable=($_topgui.pwrMod//\".pvs_engine_inertia\")",  &
                        "end",  &
                        "if condition=(db_exists($_topgui.pwrMod//\".pvs_engine_stall_speed\"))",  &
                        "   variable modify real=$f_engine_stall_speed &",  &
                        "    variable=($_topgui.pwrMod//\".pvs_engine_stall_speed\")",  &
                        "end",  &
                        "if condition=(db_exists($_topgui.pwrMod//\".pvs_engine_idle_speed\"))",  &
                        "   variable modify real=$f_engine_idle_speed &",  &
                        "    variable=($_topgui.pwrMod//\".pvs_engine_idle_speed\")",  &
                        "end",  &
                        "if condition=(db_exists($_topgui.pwrMod//\".pvs_engine_rev_limit\"))",  &
                        "   variable modify real=$f_engine_rev_limit &",  &
                        "    variable=($_topgui.pwrMod//\".pvs_engine_rev_limit\")",  &
                        "end",  &
                        "if condition=(db_exists($_topgui.pwrMod//\".pvs_max_throttle\"))",  &
                        "   variable modify real=$f_max_throttle &",  &
                        "    variable=($_topgui.pwrMod//\".pvs_max_throttle\")",  &
                        "end",  &
                        "if condition=(db_exists($_topgui.pwrMod//\".pvs_ems_gain\"))",  &
                        "   variable modify real=$f_ems_gain &",  &
                        "    variable=($_topgui.pwrMod//\".pvs_ems_gain\")",  &
                        "end",  &
                        "if condition=(db_exists($_topgui.pwrMod//\".pvs_ems_max_throttle\"))",  &
                        "   variable modify real=$f_ems_max_throttle &",  &
                        "    variable=($_topgui.pwrMod//\".pvs_ems_max_throttle\")",  &
                        "end",  &
                        "variable set variable=$_self.traits &",  &
                        " string=\"output\", \"engine_map\", \"spline\", \"s\"",  &
                        "if condition=(db_exists(communicator_lookup($_topgui.pwrMod.object_value,$_self.traits.self)))",  &
                        "   acar template_builder general_spline modify &",  &
                        "    general_spline=(eval($_topgui.pwrMod.gss_engine_torque)) &",  &
                        "    property_file_name=$f_prop_file &",  &
                        "    datablock_name=\"ENGINE\"",  &
                        "end",  &
                        "variable delete variable=$_self.traits"  &
   tab_label = "Engine"
!
interface container undisplay  &
   container_name = .ACAR.custom.dbox_pow_par.tabcont.c_engine
!
interface label create  &
   label_name = .ACAR.custom.dbox_pow_par.tabcont.c_engine.l_engine_speed  &
   location = 8.0, 4.0  &
   height = 25.0  &
   width = 220.0  &
   units = pixel  &
   horiz_resizing = attach_left  &
   vert_resizing = attach_top  &
   justified = left  &
   text = "Engine Speed Characteristics [rpm]"
!
interface label create  &
   label_name = .ACAR.custom.dbox_pow_par.tabcont.c_engine.l_engine_stall_speed  &
   location = 20.0, 31.0  &
   height = 25.0  &
   width = 88.0  &
   units = pixel  &
   horiz_resizing = attach_left  &
   vert_resizing = attach_top  &
   justified = left  &
   text = "Stall Speed"
!
interface field create  &
   field_name = .ACAR.custom.dbox_pow_par.tabcont.c_engine.f_engine_stall_speed  &
   help_text = "Communicated to driving machine"  &
   location = 110.0, 31.0  &
   height = 25.0  &
   width = 100.0  &
   units = pixel  &
   horiz_resizing = attach_left  &
   vert_resizing = attach_top  &
   scrollable = no  &
   editable = yes  &
   required = yes  &
   execute_cmds_on_exit = no  &
   number_of_values = 1  &
   numeric_type = real  &
   upper_check = none  &
   lower_check = gt  &
   lower_limit = 0.0
!
interface label create  &
   label_name = .ACAR.custom.dbox_pow_par.tabcont.c_engine.l_engine_idle_speed  &
   location = 20.0, 58.0  &
   height = 25.0  &
   width = 88.0  &
   units = pixel  &
   horiz_resizing = attach_left  &
   vert_resizing = attach_top  &
   justified = left  &
   text = "Idle Speed"
!
interface field create  &
   field_name = .ACAR.custom.dbox_pow_par.tabcont.c_engine.f_engine_idle_speed  &
   help_text = "Target speed for EMS controller"  &
   location = 110.0, 58.0  &
   height = 25.0  &
   width = 100.0  &
   units = pixel  &
   horiz_resizing = attach_left  &
   vert_resizing = attach_top  &
   scrollable = no  &
   editable = yes  &
   required = yes  &
   execute_cmds_on_exit = no  &
   number_of_values = 1  &
   numeric_type = real  &
   upper_check = none  &
   lower_check = gt  &
   lower_limit = 0.0
!
interface label create  &
   label_name = .ACAR.custom.dbox_pow_par.tabcont.c_engine.l_engine_rev_limit  &
   location = 20.0, 85.0  &
   height = 25.0  &
   width = 88.0  &
   units = pixel  &
   horiz_resizing = attach_left  &
   vert_resizing = attach_top  &
   justified = left  &
   text = "Rev. Limit"
!
interface field create  &
   field_name = .ACAR.custom.dbox_pow_par.tabcont.c_engine.f_engine_rev_limit  &
   help_text =   &
               "'Governor' will modulate throttle if exceeded, communicated to driving machine"  &
   location = 110.0, 85.0  &
   height = 25.0  &
   width = 100.0  &
   units = pixel  &
   horiz_resizing = attach_left  &
   vert_resizing = attach_top  &
   scrollable = no  &
   editable = yes  &
   required = yes  &
   execute_cmds_on_exit = no  &
   number_of_values = 1  &
   numeric_type = real  &
   upper_check = none  &
   lower_check = gt  &
   lower_limit = 0.0
!
interface label create  &
   label_name = .ACAR.custom.dbox_pow_par.tabcont.c_engine.l_engine_inertia  &
   location = 8.0, 122.0  &
   height = 25.0  &
   width = 100.0  &
   units = pixel  &
   horiz_resizing = attach_left  &
   vert_resizing = attach_top  &
   justified = left  &
   text = "Engine Inertia"
!
interface field create  &
   field_name = .ACAR.custom.dbox_pow_par.tabcont.c_engine.f_engine_inertia  &
   location = 110.0, 122.0  &
   height = 25.0  &
   width = 100.0  &
   units = pixel  &
   horiz_resizing = attach_left  &
   vert_resizing = attach_top  &
   scrollable = no  &
   editable = yes  &
   required = yes  &
   execute_cmds_on_exit = no  &
   number_of_values = 1  &
   numeric_type = real  &
   upper_check = none  &
   lower_check = gt  &
   lower_limit = 0.0
!
interface label create  &
   label_name = .ACAR.custom.dbox_pow_par.tabcont.c_engine.l_throttle_scale  &
   location = 268.0, 4.0  &
   height = 25.0  &
   width = 190.0  &
   units = pixel  &
   horiz_resizing = attach_left  &
   vert_resizing = attach_top  &
   justified = left  &
   text = "Throttle Signal Scaling [0-100%]"
!
interface label create  &
   label_name = .ACAR.custom.dbox_pow_par.tabcont.c_engine.l_max_throttle  &
   location = 280.0, 31.0  &
   height = 25.0  &
   width = 114.0  &
   units = pixel  &
   horiz_resizing = attach_left  &
   vert_resizing = attach_top  &
   justified = left  &
   text = "Throttle Max."
!
interface field create  &
   field_name = .ACAR.custom.dbox_pow_par.tabcont.c_engine.f_max_throttle  &
   help_text = "Throttle input indicating maximum throttle"  &
   location = 396.0, 31.0  &
   height = 25.0  &
   width = 90.0  &
   units = pixel  &
   horiz_resizing = attach_left  &
   vert_resizing = attach_top  &
   scrollable = no  &
   editable = yes  &
   required = yes  &
   execute_cmds_on_exit = no  &
   number_of_values = 1  &
   numeric_type = real  &
   upper_check = none  &
   lower_check = gt  &
   lower_limit = 0.0
!
interface label create  &
   label_name = .ACAR.custom.dbox_pow_par.tabcont.c_engine.l_ems  &
   location = 268.0, 68.0  &
   height = 25.0  &
   width = 220.0  &
   units = pixel  &
   horiz_resizing = attach_left  &
   vert_resizing = attach_top  &
   justified = left  &
   text = "Management System (EMS)"
!
interface label create  &
   label_name = .ACAR.custom.dbox_pow_par.tabcont.c_engine.l_ems_gain  &
   location = 280.0, 95.0  &
   height = 25.0  &
   width = 114.0  &
   units = pixel  &
   horiz_resizing = attach_left  &
   vert_resizing = attach_top  &
   justified = left  &
   text = "Gain (Prop.)"
!
interface field create  &
   field_name = .ACAR.custom.dbox_pow_par.tabcont.c_engine.f_ems_gain  &
   help_text = "%Throttle/RPM"  &
   location = 396.0, 95.0  &
   height = 25.0  &
   width = 90.0  &
   units = pixel  &
   horiz_resizing = attach_left  &
   vert_resizing = attach_top  &
   scrollable = no  &
   editable = yes  &
   required = yes  &
   execute_cmds_on_exit = no  &
   number_of_values = 1  &
   numeric_type = real  &
   upper_check = none  &
   lower_check = gt  &
   lower_limit = 0.0
!
interface label create  &
   label_name = .ACAR.custom.dbox_pow_par.tabcont.c_engine.l_ems_max_throttle  &
   location = 280.0, 122.0  &
   height = 25.0  &
   width = 114.0  &
   units = pixel  &
   horiz_resizing = attach_left  &
   vert_resizing = attach_top  &
   justified = left  &
   text = "Throttle Max. [%]"
!
interface field create  &
   field_name = .ACAR.custom.dbox_pow_par.tabcont.c_engine.f_ems_max_throttle  &
   help_text = "Maximum throttle available for EMS controller"  &
   location = 396.0, 122.0  &
   height = 25.0  &
   width = 90.0  &
   units = pixel  &
   horiz_resizing = attach_left  &
   vert_resizing = attach_top  &
   scrollable = no  &
   editable = yes  &
   required = yes  &
   execute_cmds_on_exit = no  &
   number_of_values = 1  &
   numeric_type = real  &
   upper_check = none  &
   lower_check = gt  &
   lower_limit = 0.0
!
interface label create  &
   label_name = .ACAR.custom.dbox_pow_par.tabcont.c_engine.l_engine_torque  &
   location = 8.0, 159.0  &
   height = 25.0  &
   width = 160.0  &
   units = pixel  &
   horiz_resizing = attach_left  &
   vert_resizing = attach_top  &
   justified = left  &
   text = "Engine Torque Properties"
!
interface label create  &
   label_name = .ACAR.custom.dbox_pow_par.tabcont.c_engine.l_prop_file  &
   location = 20.0, 186.0  &
   height = 25.0  &
   width = 88.0  &
   units = pixel  &
   horiz_resizing = attach_left  &
   vert_resizing = attach_top  &
   justified = left  &
   text = "Property File"
!
interface field create  &
   field_name = .ACAR.custom.dbox_pow_par.tabcont.c_engine.f_prop_file  &
   location = 110.0, 186.0  &
   height = 25.0  &
   width = 362.0  &
   units = pixel  &
   horiz_resizing = expand  &
   vert_resizing = attach_top  &
   scrollable = no  &
   editable = yes  &
   required = yes  &
   execute_cmds_on_exit = no  &
   number_of_values = 1  &
   file_type = any_file  &
   filter = "*.pwr"  &
   alert_on_overwrite = no  &
   browse_action = open
!
interface push_button create  &
   push_button_name = .ACAR.custom.dbox_pow_par.tabcont.c_engine.b_prop_file  &
   help_text = "View property file in info window"  &
   location = 477.1940298507, 180.0  &
   height = 36.0  &
   width = 36.0  &
   units = pixel  &
   horiz_resizing = attach_right  &
   vert_resizing = attach_top  &
   icon_file = "acar_view_file"  &
   commands = "if condition=($f_prop_file == \"\")",  &
              "   acar toolkit warning &",  &
              "    warning=\"You must specify a property file!\"",  &
              "   return",  &
              "end",  &
              "info empty",  &
              "info read file=$f_prop_file"
!
interface container create  &
   container_name = .ACAR.custom.dbox_pow_par.tabcont.c_clutch  &
   height = 177.0  &
   width = 517.0  &
   units = pixel  &
   horiz_resizing = scale_all  &
   vert_resizing = scale_all  &
   start_commands = "if condition=(db_exists($_topgui.pwrMod//\".pvs_clutch_stiffness\"))",  &
                    "   interface field set action=replace field=$_self.f_clutch_stiffness &",  &
                    "    strings=(eval($_topgui.pwrMod.pvs_clutch_stiffness.real_value))",  &
                    "end",  &
                    "if condition=(db_exists($_topgui.pwrMod//\".pvs_clutch_damping\"))",  &
                    "   interface field set action=replace field=$_self.f_clutch_damping &",  &
                    "    strings=(eval($_topgui.pwrMod.pvs_clutch_damping.real_value))",  &
                    "end",  &
                    "if condition=(db_exists($_topgui.pwrMod//\".pvs_clutch_open\"))",  &
                    "   interface field set action=replace field=$_self.f_clutch_open &",  &
                    "    strings=(eval($_topgui.pwrMod.pvs_clutch_open.real_value))",  &
                    "end",  &
                    "if condition=(db_exists($_topgui.pwrMod//\".pvs_clutch_close\"))",  &
                    "   interface field set action=replace field=$_self.f_clutch_close &",  &
                    "    strings=(eval($_topgui.pwrMod.pvs_clutch_close.real_value))",  &
                    "end",  &
                    "if condition=(db_exists($_topgui.pwrMod//\".pvs_clutch_capacity\"))",  &
                    "   interface field set action=replace field=$_self.f_clutch_capacity &",  &
                    "    strings=(eval($_topgui.pwrMod.pvs_clutch_capacity.real_value))",  &
                    "end",  &
                    "if condition=(db_exists($_topgui.pwrMod//\".pvs_clutch_tau\"))",  &
                    "   interface field set action=replace field=$_self.f_clutch_tau &",  &
                    "    strings=(eval($_topgui.pwrMod.pvs_clutch_tau.real_value))",  &
                    "end"  &
   execution_commands = "if condition=(db_exists($_topgui.pwrMod//\".pvs_clutch_stiffness\"))",  &
                        "   variable set real=$f_clutch_stiffness &",  &
                        "    variable=($_topgui.pwrMod//\".pvs_clutch_stiffness\")",  &
                        "end",  &
                        "if condition=(db_exists($_topgui.pwrMod//\".pvs_clutch_damping\"))",  &
                        "   variable set real=$f_clutch_damping &",  &
                        "    variable=($_topgui.pwrMod//\".pvs_clutch_damping\")",  &
                        "end",  &
                        "if condition=(db_exists($_topgui.pwrMod//\".pvs_clutch_open\"))",  &
                        "   variable set real=$f_clutch_open &",  &
                        "    variable=($_topgui.pwrMod//\".pvs_clutch_open\")",  &
                        "end",  &
                        "if condition=(db_exists($_topgui.pwrMod//\".pvs_clutch_close\"))",  &
                        "   variable set real=$f_clutch_close &",  &
                        "    variable=($_topgui.pwrMod//\".pvs_clutch_close\")",  &
                        "end",  &
                        "if condition=(db_exists($_topgui.pwrMod//\".pvs_clutch_capacity\"))",  &
                        "   variable set real=$f_clutch_capacity &",  &
                        "    variable=($_topgui.pwrMod//\".pvs_clutch_capacity\")",  &
                        "end",  &
                        "if condition=(db_exists($_topgui.pwrMod//\".pvs_clutch_tau\"))",  &
                        "   variable set real=$f_clutch_tau &",  &
                        "    variable=($_topgui.pwrMod//\".pvs_clutch_tau\")",  &
                        "end"  &
   tab_label = "Clutch"
!
interface container undisplay  &
   container_name = .ACAR.custom.dbox_pow_par.tabcont.c_clutch
!
interface label create  &
   label_name = .ACAR.custom.dbox_pow_par.tabcont.c_clutch.l_clutch_stiffness  &
   location = 8.0, 8.0  &
   height = 25.0  &
   width = 110.0  &
   units = pixel  &
   horiz_resizing = attach_left  &
   vert_resizing = attach_top  &
   justified = left  &
   text = "Clutch Stiffness"
!
interface field create  &
   field_name = .ACAR.custom.dbox_pow_par.tabcont.c_clutch.f_clutch_stiffness  &
   location = 120.0, 8.0  &
   height = 25.0  &
   width = 100.0  &
   units = pixel  &
   horiz_resizing = attach_left  &
   vert_resizing = attach_top  &
   scrollable = no  &
   editable = yes  &
   required = yes  &
   execute_cmds_on_exit = no  &
   number_of_values = 1  &
   numeric_type = real  &
   upper_check = none  &
   lower_check = gt  &
   lower_limit = 0.0
!
interface label create  &
   label_name = .ACAR.custom.dbox_pow_par.tabcont.c_clutch.l_clutch_damping  &
   location = 8.0, 35.0  &
   height = 25.0  &
   width = 110.0  &
   units = pixel  &
   horiz_resizing = attach_left  &
   vert_resizing = attach_top  &
   justified = left  &
   text = "Clutch Damping"
!
interface field create  &
   field_name = .ACAR.custom.dbox_pow_par.tabcont.c_clutch.f_clutch_damping  &
   location = 120.0, 35.0  &
   height = 25.0  &
   width = 100.0  &
   units = pixel  &
   horiz_resizing = attach_left  &
   vert_resizing = attach_top  &
   scrollable = no  &
   editable = yes  &
   required = yes  &
   execute_cmds_on_exit = no  &
   number_of_values = 1  &
   numeric_type = real  &
   upper_check = none  &
   lower_check = gt  &
   lower_limit = 0.0
!
interface label create  &
   label_name = .ACAR.custom.dbox_pow_par.tabcont.c_clutch.l_clutch_open  &
   location = 8.0, 69.0  &
   height = 25.0  &
   width = 110.0  &
   units = pixel  &
   horiz_resizing = attach_left  &
   vert_resizing = attach_top  &
   justified = left  &
   text = "Clutch Open [%]"
!
interface field create  &
   field_name = .ACAR.custom.dbox_pow_par.tabcont.c_clutch.f_clutch_open  &
   help_text =   &
               "Value of clutch input at which clutch is fully open (disengaged)"  &
   location = 120.0, 69.0  &
   height = 25.0  &
   width = 100.0  &
   units = pixel  &
   horiz_resizing = attach_left  &
   vert_resizing = attach_top  &
   scrollable = no  &
   editable = yes  &
   required = yes  &
   execute_cmds_on_exit = no  &
   number_of_values = 1  &
   numeric_type = real  &
   upper_check = none  &
   lower_check = gt  &
   lower_limit = 0.0
!
interface label create  &
   label_name = .ACAR.custom.dbox_pow_par.tabcont.c_clutch.l_clutch_close  &
   location = 8.0, 96.0  &
   height = 25.0  &
   width = 110.0  &
   units = pixel  &
   horiz_resizing = attach_left  &
   vert_resizing = attach_top  &
   justified = left  &
   text = "Clutch Close [%]"
!
interface field create  &
   field_name = .ACAR.custom.dbox_pow_par.tabcont.c_clutch.f_clutch_close  &
   help_text =   &
               "Value of clutch input at which clutch is fully closed (engaged)"  &
   location = 120.0, 96.0  &
   height = 25.0  &
   width = 100.0  &
   units = pixel  &
   horiz_resizing = attach_left  &
   vert_resizing = attach_top  &
   scrollable = no  &
   editable = yes  &
   required = yes  &
   execute_cmds_on_exit = no  &
   number_of_values = 1  &
   numeric_type = real  &
   upper_check = none  &
   lower_check = gt  &
   lower_limit = 0.0
!
interface label create  &
   label_name = .ACAR.custom.dbox_pow_par.tabcont.c_clutch.l_clutch_capacity  &
   location = 260.0, 8.0  &
   height = 25.0  &
   width = 150.0  &
   units = pixel  &
   horiz_resizing = attach_left  &
   vert_resizing = attach_top  &
   justified = left  &
   text = "Clutch Torque Capacity"
!
interface field create  &
   field_name = .ACAR.custom.dbox_pow_par.tabcont.c_clutch.f_clutch_capacity  &
   location = 412.0, 8.0  &
   height = 25.0  &
   width = 100.0  &
   units = pixel  &
   horiz_resizing = attach_left  &
   vert_resizing = attach_top  &
   scrollable = no  &
   editable = yes  &
   required = yes  &
   execute_cmds_on_exit = no  &
   number_of_values = 1  &
   numeric_type = real  &
   upper_check = none  &
   lower_check = gt  &
   lower_limit = 0.0
!
interface label create  &
   label_name = .ACAR.custom.dbox_pow_par.tabcont.c_clutch.l_clutch_tau  &
   location = 260.0, 69.0  &
   height = 25.0  &
   width = 150.0  &
   units = pixel  &
   horiz_resizing = attach_left  &
   vert_resizing = attach_top  &
   justified = left  &
   text = "Clutch Time Constant"
!
interface field create  &
   field_name = .ACAR.custom.dbox_pow_par.tabcont.c_clutch.f_clutch_tau  &
   help_text = "Governs 1st order decay of slip when clutch is open"  &
   location = 412.0, 69.0  &
   height = 25.0  &
   width = 100.0  &
   units = pixel  &
   horiz_resizing = attach_left  &
   vert_resizing = attach_top  &
   scrollable = no  &
   editable = yes  &
   required = yes  &
   execute_cmds_on_exit = no  &
   number_of_values = 1  &
   numeric_type = real  &
   upper_check = none  &
   lower_check = gt  &
   lower_limit = 0.0
!
interface container create  &
   container_name = .ACAR.custom.dbox_pow_par.tabcont.c_trqcnv  &
   height = 177.0  &
   width = 517.0  &
   units = pixel  &
   horiz_resizing = scale_all  &
   vert_resizing = scale_all  &
   start_commands = "if condition=(db_exists($_topgui.pwrMod//\".pvs_shift_cycle_time\"))",  &
                    "   interface field set action=replace field=$_self.f_shift_cycle_time &",  &
                    "    strings=(eval($_topgui.pwrMod.pvs_shift_cycle_time.real_value))",  &
                    "end",  &
                    "if condition=(db_exists($_topgui.pwrMod//\".pvs_oil_dump_threshold\"))",  &
                    "   interface field set action=replace field=$_self.f_oil_dump_threshold &",  &
                    "    strings=(eval($_topgui.pwrMod.pvs_oil_dump_threshold.real_value))",  &
                    "end",  &
                    "if condition=(db_exists($_topgui.pwrMod//\".pvs_oil_dump_residual\"))",  &
                    "   interface field set action=replace field=$_self.f_oil_dump_residual &",  &
                    "    strings=(eval($_topgui.pwrMod.pvs_oil_dump_residual.real_value))",  &
                    "end",  &
                    "if condition=(db_exists($_topgui.pwrMod//\".pvs_oil_dump_throttle_off\"))",  &
                    "   interface field set action=replace field=$_self.f_oil_dump_throttle_off &",  &
                    "    strings=(eval($_topgui.pwrMod.pvs_oil_dump_throttle_off.real_value))",  &
                    "end",  &
                    "if condition=(db_exists($_topgui.pwrMod//\".gss_torque_ratio\"))",  &
                    "   interface field set action=replace &",  &
                    "    field_name=$_self.f_prop_file &",  &
                    "    string=(eval($_topgui.pwrMod.gss_torque_ratio.property_file.string_value[1]))",  &
                    "end"  &
   execution_commands = "if condition=(db_exists($_topgui.pwrMod//\".gss_torque_ratio\"))",  &
                        "   acar template_builder general_spline modify &",  &
                        "    general_spline=(eval($_topgui.pwrMod.gss_torque_ratio)) &",  &
                        "    property_file_name=$f_prop_file &",  &
                        "    datablock_name=\"TORQUE_RATIO\"",  &
                        "end",  &
                        "if condition=(db_exists($_topgui.pwrMod//\".gss_capacity_factor\"))",  &
                        "   acar template_builder general_spline modify &",  &
                        "    general_spline=(eval($_topgui.pwrMod.gss_capacity_factor)) &",  &
                        "    property_file_name=$f_prop_file &",  &
                        "    datablock_name=\"CAPACITY_FACTOR\"",  &
                        "end",  &
                        "if condition=(db_exists($_topgui.pwrMod//\".pvs_shift_cycle_time\"))",  &
                        "   variable set real=$f_shift_cycle_time &",  &
                        "    variable=($_topgui.pwrMod//\".pvs_shift_cycle_time\")",  &
                        "end",  &
                        "if condition=(db_exists($_topgui.pwrMod//\".pvs_oil_dump_threshold\"))",  &
                        "   variable set real=$f_oil_dump_threshold &",  &
                        "    variable=($_topgui.pwrMod//\".pvs_oil_dump_threshold\")",  &
                        "end",  &
                        "if condition=(db_exists($_topgui.pwrMod//\".pvs_oil_dump_residual\"))",  &
                        "   variable set real=$f_oil_dump_residual &",  &
                        "    variable=($_topgui.pwrMod//\".pvs_oil_dump_residual\")",  &
                        "end",  &
                        "if condition=(db_exists($_topgui.pwrMod//\".pvs_oil_dump_throttle_off\"))",  &
                        "   variable modify real=$f_oil_dump_throttle_off &",  &
                        "    variable=($_topgui.pwrMod//\".pvs_oil_dump_throttle_off\")",  &
                        "end"  &
   tab_label = "Torque Converter"
!
interface container undisplay  &
   container_name = .ACAR.custom.dbox_pow_par.tabcont.c_trqcnv
!
interface label create  &
   label_name = .ACAR.custom.dbox_pow_par.tabcont.c_trqcnv.l_shift_cycle_time  &
   location = 8.0, 8.0  &
   height = 25.0  &
   width = 130.0  &
   units = pixel  &
   horiz_resizing = attach_left  &
   vert_resizing = attach_top  &
   justified = left  &
   text = "Shift Cycle Time"
!
interface field create  &
   field_name = .ACAR.custom.dbox_pow_par.tabcont.c_trqcnv.f_shift_cycle_time  &
   help_text = "Time required to change the Gear"  &
   location = 140.0, 8.0  &
   height = 25.0  &
   width = 120.0  &
   units = pixel  &
   horiz_resizing = attach_left  &
   vert_resizing = attach_top  &
   scrollable = no  &
   editable = yes  &
   required = yes  &
   execute_cmds_on_exit = no  &
   number_of_values = 1  &
   numeric_type = real  &
   upper_check = none  &
   lower_check = ge  &
   lower_limit = 0.0
!
interface label create  &
   label_name = .ACAR.custom.dbox_pow_par.tabcont.c_trqcnv.l_oil_dump_threshold  &
   location = 8.0, 35.0  &
   height = 25.0  &
   width = 130.0  &
   units = pixel  &
   horiz_resizing = attach_left  &
   vert_resizing = attach_top  &
   justified = left  &
   text = "Oil Dump Threshold"
!
interface field create  &
   field_name = .ACAR.custom.dbox_pow_par.tabcont.c_trqcnv.f_oil_dump_threshold  &
   help_text =   &
               "Speed ratio at which 'oil dump' (torque attenuation) initiates"  &
   location = 140.0, 35.0  &
   height = 25.0  &
   width = 120.0  &
   units = pixel  &
   horiz_resizing = attach_left  &
   vert_resizing = attach_top  &
   scrollable = no  &
   editable = yes  &
   preload_strings = "0.1"  &
   required = yes  &
   execute_cmds_on_exit = no  &
   number_of_values = 1  &
   numeric_type = real  &
   upper_check = none  &
   lower_check = ge  &
   lower_limit = 0.0
!
interface label create  &
   label_name = .ACAR.custom.dbox_pow_par.tabcont.c_trqcnv.l_oil_dump_residual  &
   location = 8.0, 62.0  &
   height = 25.0  &
   width = 130.0  &
   units = pixel  &
   horiz_resizing = attach_left  &
   vert_resizing = attach_top  &
   justified = left  &
   text = "Oil Dump Residual"
!
interface field create  &
   field_name = .ACAR.custom.dbox_pow_par.tabcont.c_trqcnv.f_oil_dump_residual  &
   help_text =   &
               "Residual fraction of torque produced at a speed ratio of zero ('oil dumped')"  &
   location = 140.0, 62.0  &
   height = 25.0  &
   width = 120.0  &
   units = pixel  &
   horiz_resizing = attach_left  &
   vert_resizing = attach_top  &
   scrollable = no  &
   editable = yes  &
   preload_strings = "0.1"  &
   required = yes  &
   execute_cmds_on_exit = no  &
   number_of_values = 1  &
   numeric_type = real  &
   upper_check = none  &
   lower_check = ge  &
   lower_limit = 0.0
!
interface label create  &
   label_name = .ACAR.custom.dbox_pow_par.tabcont.c_trqcnv.l_oil_dump_throttle_off  &
   location = 8.0, 89.0  &
   height = 25.0  &
   width = 130.0  &
   units = pixel  &
   horiz_resizing = attach_left  &
   vert_resizing = attach_top  &
   justified = left  &
   text = "Throttle-Off [%]"
!
interface field create  &
   field_name = .ACAR.custom.dbox_pow_par.tabcont.c_trqcnv.f_oil_dump_throttle_off  &
   help_text = "Throttle value considered 'off' (allows oil dump)"  &
   location = 140.0, 89.0  &
   height = 25.0  &
   width = 120.0  &
   units = pixel  &
   horiz_resizing = attach_left  &
   vert_resizing = attach_top  &
   scrollable = no  &
   editable = yes  &
   required = yes  &
   execute_cmds_on_exit = no  &
   number_of_values = 1  &
   numeric_type = real  &
   upper_check = none  &
   lower_check = ge  &
   lower_limit = 0.0
!
interface label create  &
   label_name = .ACAR.custom.dbox_pow_par.tabcont.c_trqcnv.l_oil_dump  &
   location = 270.0, 8.0  &
   height = 150.0  &
   width = 224.0  &
   units = pixel  &
   horiz_resizing = attach_left  &
   vert_resizing = attach_top  &
   justified = left  &
   icon_file = "oildump.bmp"
!
interface label create  &
   label_name = .ACAR.custom.dbox_pow_par.tabcont.c_trqcnv.l_torque_converter  &
   location = 8.0, 151.0  &
   height = 25.0  &
   width = 170.0  &
   units = pixel  &
   horiz_resizing = attach_left  &
   vert_resizing = attach_top  &
   justified = left  &
   text = "Torque Converter Properties"
!
interface label create  &
   label_name = .ACAR.custom.dbox_pow_par.tabcont.c_trqcnv.l_prop_file  &
   location = 20.0, 178.0  &
   height = 25.0  &
   width = 88.0  &
   units = pixel  &
   horiz_resizing = attach_left  &
   vert_resizing = attach_top  &
   justified = left  &
   text = "Property File"
!
interface field create  &
   field_name = .ACAR.custom.dbox_pow_par.tabcont.c_trqcnv.f_prop_file  &
   location = 110.0, 178.0  &
   height = 25.0  &
   width = 362.0  &
   units = pixel  &
   horiz_resizing = expand  &
   vert_resizing = attach_top  &
   scrollable = no  &
   editable = yes  &
   required = yes  &
   execute_cmds_on_exit = no  &
   number_of_values = 1  &
   file_type = any_file  &
   filter = "*.tcf"  &
   alert_on_overwrite = no  &
   browse_action = open
!
interface push_button create  &
   push_button_name = .ACAR.custom.dbox_pow_par.tabcont.c_trqcnv.b_prop_file  &
   help_text = "View property file in info window"  &
   location = 476.1940298507, 174.0  &
   height = 36.0  &
   width = 36.0  &
   units = pixel  &
   horiz_resizing = attach_right  &
   vert_resizing = attach_top  &
   icon_file = "acar_view_file"  &
   commands = "if condition=($f_prop_file == \"\")",  &
              "   acar toolkit warning &",  &
              "    warning=\"You must specify a property file!\"",  &
              "   return",  &
              "end",  &
              "info empty",  &
              "info read file=$f_prop_file"
!
interface container create  &
   container_name = .ACAR.custom.dbox_pow_par.tabcont.c_robot  &
   height = 177.0  &
   width = 517.0  &
   units = pixel  &
   horiz_resizing = scale_all  &
   vert_resizing = scale_all  &
   start_commands = "if condition=(db_exists($_topgui.pwrMod//\".pvs_shift_cycle_time\"))",  &
                    "   interface field set action=replace field=$_self.f_shift_cycle_time &",  &
                    "    strings=(eval($_topgui.pwrMod.pvs_shift_cycle_time.real_value))",  &
                    "end",  &
                    "if condition=(db_exists($_topgui.pwrMod//\".pvs_torque_tau\"))",  &
                    "   interface field set action=replace field=$_self.f_torque_tau &",  &
                    "    strings=(eval($_topgui.pwrMod.pvs_torque_tau.real_value))",  &
                    "end",  &
                    "variable set variable=$_self.traits &",  &
                    " string=\"output\", \"engine_map\", \"spline\", \"s\"",  &
                    "if condition=(db_exists(communicator_lookup($_topgui.pwrMod.object_value,$_self.traits.self)))",  &
                    "   interface field set action=replace field=$_self.f_prop_file &",  &
                    "    string=(eval(communicator_lookup($_topgui.pwrMod.object_value,$_self.traits.self).object_value.property_file.string_value[1]))",  &
                    "end",  &
                    "variable delete variable=$_self.traits"  &
   execution_commands = "if condition=(db_exists($_topgui.pwrMod//\".pvs_shift_cycle_time\"))",  &
                        "   variable set real=$f_shift_cycle_time &",  &
                        "    variable=($_topgui.pwrMod//\".pvs_shift_cycle_time\")",  &
                        "end",  &
                        "if condition=(db_exists($_topgui.pwrMod//\".pvs_torque_tau\"))",  &
                        "   variable set real=$f_torque_tau &",  &
                        "    variable=($_topgui.pwrMod//\".pvs_torque_tau\")",  &
                        "end",  &
                        "variable set variable=$_self.traits &",  &
                        " string=\"output\", \"engine_map\", \"spline\", \"s\"",  &
                        "if condition=(db_exists(communicator_lookup($_topgui.pwrMod.object_value,$_self.traits.self)))",  &
                        "   acar template_builder general_spline modify &",  &
                        "    general_spline=(eval($_topgui.pwrMod.gss_engine_torque)) &",  &
                        "    property_file_name=$f_prop_file &",  &
                        "    datablock_name=\"ENGINE\"",  &
                        "end",  &
                        "variable delete variable=$_self.traits"  &
   tab_label = "Dual-Clutch"
!
interface label create  &
   label_name = .ACAR.custom.dbox_pow_par.tabcont.c_robot.l_shift_cycle_time  &
   location = 8.0, 8.0  &
   height = 25.0  &
   width = 110.0  &
   units = pixel  &
   horiz_resizing = attach_left  &
   vert_resizing = attach_top  &
   justified = left  &
   text = "Shift Cycle Time"
!
interface field create  &
   field_name = .ACAR.custom.dbox_pow_par.tabcont.c_robot.f_shift_cycle_time  &
   help_text = "Time required to change the gear"  &
   location = 120.0, 8.0  &
   height = 25.0  &
   width = 120.0  &
   units = pixel  &
   horiz_resizing = attach_left  &
   vert_resizing = attach_top  &
   scrollable = no  &
   editable = yes  &
   required = yes  &
   execute_cmds_on_exit = no  &
   number_of_values = 1  &
   numeric_type = real  &
   upper_check = none  &
   lower_check = ge  &
   lower_limit = 0.0
!
interface label create  &
   label_name = .ACAR.custom.dbox_pow_par.tabcont.c_robot.l_torque_tau  &
   location = 8.0, 35.0  &
   height = 25.0  &
   width = 110.0  &
   units = pixel  &
   horiz_resizing = attach_left  &
   vert_resizing = attach_top  &
   justified = left  &
   text = "Torque Tau"
!
interface field create  &
   field_name = .ACAR.custom.dbox_pow_par.tabcont.c_robot.f_torque_tau  &
   help_text = "Time constant for the 1st order engine response (lag)"  &
   location = 120.0, 35.0  &
   height = 25.0  &
   width = 120.0  &
   units = pixel  &
   horiz_resizing = attach_left  &
   vert_resizing = attach_top  &
   scrollable = no  &
   editable = yes  &
   required = yes  &
   execute_cmds_on_exit = no  &
   number_of_values = 1  &
   numeric_type = real  &
   upper_check = none  &
   lower_check = ge  &
   lower_limit = 0.0
!
interface label create  &
   label_name = .ACAR.custom.dbox_pow_par.tabcont.c_robot.l_engine_torque  &
   location = 8.0, 70.0  &
   height = 25.0  &
   width = 160.0  &
   units = pixel  &
   horiz_resizing = attach_left  &
   vert_resizing = attach_top  &
   justified = left  &
   text = "Engine Torque Properties"
!
interface label create  &
   label_name = .ACAR.custom.dbox_pow_par.tabcont.c_robot.l_prop_file  &
   location = 20.0, 97.0  &
   height = 25.0  &
   width = 98.0  &
   units = pixel  &
   horiz_resizing = attach_left  &
   vert_resizing = attach_top  &
   justified = left  &
   text = "Property File"
!
interface field create  &
   field_name = .ACAR.custom.dbox_pow_par.tabcont.c_robot.f_prop_file  &
   location = 110.0, 97.0  &
   height = 25.0  &
   width = 388.0  &
   units = pixel  &
   horiz_resizing = expand  &
   vert_resizing = attach_top  &
   scrollable = no  &
   editable = yes  &
   required = yes  &
   execute_cmds_on_exit = no  &
   number_of_values = 1  &
   file_type = any_file  &
   filter = "*.pwr"  &
   alert_on_overwrite = no  &
   browse_action = open
!
interface push_button create  &
   push_button_name = .ACAR.custom.dbox_pow_par.tabcont.c_robot.b_prop_file  &
   help_text = "View property file in info window"  &
   location = 502.0, 91.0  &
   height = 36.0  &
   width = 36.0  &
   units = pixel  &
   horiz_resizing = attach_right  &
   vert_resizing = attach_top  &
   icon_file = "acar_view_file"  &
   commands = "if condition=($f_prop_file == \"\")",  &
              "   acar toolkit warning &",  &
              "    warning=\"You must specify a property file!\"",  &
              "   return",  &
              "end",  &
              "info empty",  &
              "info read file=$f_prop_file"
!
interface container create  &
   container_name = .ACAR.custom.dbox_pow_par.tabcont.c_transm  &
   height = 177.0  &
   width = 517.0  &
   units = pixel  &
   horiz_resizing = scale_all  &
   vert_resizing = scale_all  &
   start_commands = "if condition=(db_exists($_topgui.pwrMod//\".pvs_max_gears\"))",  &
                    "   interface option set option=$_self.o_gears &",  &
                    "    choice=(eval(str_sprintf(\"%02d\",min({$_topgui.gearcnt,$_topgui.pwrMod.pvs_max_gears.integer_value}))))",  &
                    "else",  &
                    "   interface option set option=$_self.o_gears &",  &
                    "    choice=(eval(str_sprintf(\"%02d\",$_topgui.gearcnt)))",  &
                    "end",  &
                    "if condition=(db_exists($_topgui.pwrMod//\".pvs_sport_flag\"))",  &
                    "   interface toggle set toggle=$_self.t_sport &",  &
                    "    value=(eval($_topgui.pwrMod.pvs_sport_flag.integer_value))",  &
                    "end",  &
                    "if condition=(db_exists($_topgui.pwrMod//\".pvs_engine_stall_speed\"))",  &
                    "   interface field set action=replace field=$_self.f_gsdn &",  &
                    "    strings=(eval($_topgui.pwrMod.pvs_engine_stall_speed.real_value))",  &
                    "end",  &
                    "if condition=(db_exists($_topgui.pwrMod//\".pvs_engine_rev_limit\"))",  &
                    "   interface field set action=replace field=$_self.f_gsup &",  &
                    "    strings=(eval($_topgui.pwrMod.pvs_engine_rev_limit.real_value))",  &
                    "end",  &
                    "interface option execute option=$_self.o_gears"  &
   execution_commands = "if condition=(db_exists($_topgui.pwrMod//\".pvs_max_gears\"))",  &
                        "   variable modify integer=$o_gears &",  &
                        "    variable=($_topgui.pwrMod//\".pvs_max_gears\")",  &
                        "end",  &
                        "if condition=(db_exists($_topgui.pwrMod.object_value//\".pvs_gear_ratio_R\"))",  &
                        "   variable set variable=($_topgui.pwrMod.object_value//\".pvs_gear_ratio_R\") real=$f_grat_R",  &
                        "end",  &
                        "for variable=$_self.loopno start=1 end=$o_gears",  &
                        "   if condition=(db_exists($_topgui.pwrMod.object_value//\".pvs_gear_ratio_\"//rtoi($_self.loopno)))",  &
                        "      interface field execute field=($_self//\".f_grat_\"//str_sprintf(\"%02d\",$_self.loopno))",  &
                        "      variable set variable=($_topgui.pwrMod.object_value//\".pvs_gear_ratio_\"//rtoi($_self.loopno)) &",  &
                        "       real=(eval(stoo($_self//\".f_grat_\"//str_sprintf(\"%02d\",$_self.loopno)).fval.real_value))",  &
                        "   end",  &
                        "end",  &
                        "if condition=(\"$t_shiftpoints\"==\"on\")",  &
                        "   for variable=$_self.loopno start=2 end=$o_gears",  &
                        "      if condition=(db_exists($_topgui.pwrMod.object_value//\".pvs_gear_downshift_\"//rtoi($_self.loopno)))",  &
                        "         interface field execute field=($_self//\".f_gsdn_\"//str_sprintf(\"%02d\",$_self.loopno))",  &
                        "         variable set variable=($_topgui.pwrMod.object_value//\".pvs_gear_downshift_\"//rtoi($_self.loopno)) &",  &
                        "          real=(eval(stoo($_self//\".f_gsdn_\"//str_sprintf(\"%02d\",$_self.loopno)).fval.real_value))",  &
                        "      end",  &
                        "   end",  &
                        "   for variable=$_self.loopno start=1 end=(eval($o_gears-1))",  &
                        "      if condition=(db_exists($_topgui.pwrMod.object_value//\".pvs_gear_upshift_\"//rtoi($_self.loopno)))",  &
                        "         interface field execute field=($_self//\".f_gsun_\"//str_sprintf(\"%02d\",$_self.loopno))",  &
                        "         variable set variable=($_topgui.pwrMod.object_value//\".pvs_gear_upshift_\"//rtoi($_self.loopno)) &",  &
                        "          real=(eval(stoo($_self//\".f_gsun_\"//str_sprintf(\"%02d\",$_self.loopno)).fval.real_value))",  &
                        "      end",  &
                        "   end",  &
                        "   if condition=(\"$t_sport\"==\"1\")",  &
                        "      for variable=$_self.loopno start=1 end=(eval($o_gears-1))",  &
                        "         if condition=(db_exists($_topgui.pwrMod.object_value//\".pvs_gear_sport_\"//rtoi($_self.loopno)))",  &
                        "            interface field execute field=($_self//\".f_gsus_\"//str_sprintf(\"%02d\",$_self.loopno))",  &
                        "            variable set variable=($_topgui.pwrMod.object_value//\".pvs_gear_sport_\"//rtoi($_self.loopno)) &",  &
                        "             real=(eval(stoo($_self//\".f_gsus_\"//str_sprintf(\"%02d\",$_self.loopno)).fval.real_value))",  &
                        "         end",  &
                        "      end",  &
                        "      if condition=(db_exists($_topgui.pwrMod.object_value//\".pvs_gear_upshift_thlds\"))",  &
                        "         variable set variable=($_topgui.pwrMod.object_value//\".pvs_gear_upshift_thlds\") real=$f_gsun_thr,$f_gsus_thr",  &
                        "      end",  &
                        "   end",  &
                        "else",  &
                        "   if condition=($o_gears > 1)",  &
                        "      for variable=$_self.loopobj object=(eval(db_filter_name(db_children($_topgui.pwrMod.object_value,\"variable\"),\"pvs_gear_downshift*\")))",  &
                        "         variable set variable=($_self.loopobj.object_value) real=$f_gsdn_02",  &
                        "      end",  &
                        "      for variable=$_self.loopobj object=(eval(db_filter_name(db_children($_topgui.pwrMod.object_value,\"variable\"),\"pvs_gear_upshift*\")))",  &
                        "         if condition=(cols($_self.loopobj.object_value.real_value)==1)",  &
                        "            variable set variable=($_self.loopobj.object_value) real=$f_gsun_01",  &
                        "         end",  &
                        "      end",  &
                        "   end",  &
                        "   if condition=(\"$t_sport\"==\"1\")",  &
                        "      for variable=$_self.loopobj object=(eval(db_filter_name(db_children($_topgui.pwrMod.object_value,\"variable\"),\"pvs_gear_sport*\")))",  &
                        "         variable set variable=($_self.loopobj.object_value) real=$f_gsus_01",  &
                        "      end",  &
                        "      if condition=(db_exists($_topgui.pwrMod.object_value//\".pvs_gear_upshift_thlds\"))",  &
                        "         variable set variable=($_topgui.pwrMod.object_value//\".pvs_gear_upshift_thlds\") real=$f_gsun_thr,$f_gsus_thr",  &
                        "      end",  &
                        "   end",  &
                        "end"  &
   tab_label = "Transmission"
!
interface label create  &
   label_name = .ACAR.custom.dbox_pow_par.tabcont.c_transm.l_gears  &
   location = 8.0, 4.0  &
   height = 25.0  &
   width = 110.0  &
   units = pixel  &
   horiz_resizing = attach_left  &
   vert_resizing = attach_top  &
   justified = left  &
   text = "Number of Gears"
!
interface option_menu create  &
   option_menu_name = .ACAR.custom.dbox_pow_par.tabcont.c_transm.o_gears  &
   location = 120.0, 4.0  &
   height = 25.0  &
   width = 60.0  &
   units = pixel  &
   horiz_resizing = attach_left  &
   vert_resizing = attach_top  &
   choices = "01", "02", "03", "04", "05", "06"  &
   current_choice = "01"  &
   commands = "interface dialog modify dialog=$_topgui width=(eval(max({stoi(\"$_value\")*50.0+240.0,540.0})))",  &
              "!",  &
              "if condition=(\"$_value\" == \"01\")",  &
              "   interface toggle set toggle=$_parent.t_shiftpoints state=off",  &
              "   interface toggle modify toggle=$_parent.t_shiftpoints enabled=no",  &
              "else",  &
              "   interface toggle modify toggle=$_parent.t_shiftpoints enabled=yes",  &
              "end",  &
              "if condition=(\"$_value\" == \"01\" || $o_pwr_conf < 2)",  &
              "   interface toggle set toggle=$_parent.t_sport state=off",  &
              "   interface toggle undisplay toggle=$_parent.t_sport",  &
              "else",  &
              "   interface toggle display toggle=$_parent.t_sport",  &
              "end",  &
              "!",  &
              "undo begin suppress=yes",  &
              "!",  &
              "interface field delete field=$_parent.\"f_g???_??\"",  &
              "interface field modify field=$_parent.f_gsup &",  &
              " location = (eval(170.0+$_value*50)), 139.0",  &
              "for variable=$_self.loopcnt start=1 end=$_value",  &
              "   interface field create  &",  &
              "    field_name = (\"$_parent.f_gear_\"//str_sprintf(\"%02i\",{$_self.loopcnt}))  &",  &
              "    location = (eval(170.0+$_self.loopcnt*50)), 58.0  &",  &
              "    units = pixel  &",  &
              "    horiz_resizing = attach_left  &",  &
              "    vert_resizing = attach_top  &",  &
              "    height = 25.0  &",  &
              "    width = 50.0  &",  &
              "    editable = no  &",  &
              "    preload_strings = (eval(str_sprintf(\"%02i\",{$_self.loopcnt})))  &",  &
              "    required = no  &",  &
              "    string_type = literal",  &
              "   interface field create  &",  &
              "    field_name = (\"$_parent.f_grat_\"//str_sprintf(\"%02i\",{$_self.loopcnt}))  &",  &
              "    location = (eval(170.0+$_self.loopcnt*50)), 85.0  &",  &
              "    units = pixel  &",  &
              "    horiz_resizing = attach_left  &",  &
              "    vert_resizing = attach_top  &",  &
              "    height = 25.0  &",  &
              "    width = 50.0  &",  &
              "    editable = yes  &",  &
              "    required = yes  &",  &
              "    numeric_type = real  &",  &
              "    upper_check = none  &",  &
              "    lower_check = ge  &",  &
              "    lower_limit = 0.0  &",  &
              "    commands=\"variable set variable=\\$_self.fval real=\\$_value\"",  &
              "   if condition=($_self.loopcnt != 1.0)",  &
              "      interface field create  &",  &
              "       field_name = (\"$_parent.f_gsdn_\"//str_sprintf(\"%02i\",{$_self.loopcnt}))  &",  &
              "       location = (eval(170.0+$_self.loopcnt*50)), 112.0  &",  &
              "       units = pixel  &",  &
              "       horiz_resizing = attach_left  &",  &
              "       vert_resizing = attach_top  &",  &
              "       height = 25.0  &",  &
              "       width = 50.0  &",  &
              "       editable = yes  &",  &
              "       required = yes  &",  &
              "       numeric_type = real  &",  &
              "       upper_check = none  &",  &
              "       lower_check = ge  &",  &
              "       lower_limit = 0.0  &",  &
              "       commands=\"variable set variable=\\$_self.fval real=\\$_value\"",  &
              "   end",  &
              "   if condition=($_self.loopcnt != stor(\"$_value\"))",  &
              "      interface field create  &",  &
              "       field_name = (\"$_parent.f_gsun_\"//str_sprintf(\"%02i\",{$_self.loopcnt}))  &",  &
              "       location = (eval(170.0+$_self.loopcnt*50)), 139.0  &",  &
              "       units = pixel  &",  &
              "       horiz_resizing = attach_left  &",  &
              "       vert_resizing = attach_top  &",  &
              "       height = 25.0  &",  &
              "       width = 50.0  &",  &
              "       editable = yes  &",  &
              "       required = yes  &",  &
              "       numeric_type = real  &",  &
              "       upper_check = none  &",  &
              "       lower_check = ge  &",  &
              "       lower_limit = 0.0  &",  &
              "       commands=\"variable set variable=\\$_self.fval real=\\$_value\"",  &
              "      interface field create  &",  &
              "       field_name = (\"$_parent.f_gsus_\"//str_sprintf(\"%02i\",{$_self.loopcnt}))  &",  &
              "       location = (eval(170.0+$_self.loopcnt*50)), 166.0  &",  &
              "       units = pixel  &",  &
              "       horiz_resizing = attach_left  &",  &
              "       vert_resizing = attach_top  &",  &
              "       height = 25.0  &",  &
              "       width = 50.0  &",  &
              "       editable = yes  &",  &
              "       required = yes  &",  &
              "       numeric_type = real  &",  &
              "       upper_check = none  &",  &
              "       lower_check = ge  &",  &
              "       lower_limit = 0.0  &",  &
              "       commands=\"variable set variable=\\$_self.fval real=\\$_value\"",  &
              "   end",  &
              "end",  &
              "!",  &
              "interface toggle execute toggle=$_parent.t_sport",  &
              "interface toggle execute toggle=$_parent.t_shiftpoints",  &
              "!",  &
              "if condition=(\"$_value\" == \"01\")",  &
              "   interface field create field=$_parent.f_gsun_01 &",  &
              "    units=pixel height=10.0 width=10.0 editable=no required=no",  &
              "   interface field create field=$_parent.f_gsus_01 &",  &
              "    units=pixel height=10.0 width=10.0 editable=no required=no",  &
              "   interface field create field=$_parent.f_gsdn_02 &",  &
              "    units=pixel height=10.0 width=10.0 editable=no required=no",  &
              "   interface entity modify display=no &",  &
              "    entity=$_parent.f_gsun_01,$_parent.f_gsus_01,$_parent.f_gsdn_02",  &
              "end",  &
              "!",  &
              "undo end",  &
              "!",  &
              "variable set variable=$_self.traits &",  &
              " string=\"output\", \"transmission_spline\", \"spline\", \"s\"",  &
              "if condition=(db_exists(communicator_lookup($_topgui.pwrMod.object_value,$_self.traits.self)))",  &
              "   if condition=(db_exists(communicator_lookup($_topgui.pwrMod.object_value,$_self.traits.self).object_value//\".Z\"))",  &
              "      if condition=(db_exists($_topgui.pwrMod.object_value//\".pvs_gear_ratio_R\"))",  &
              "         interface field set field=$_parent.f_grat_R strings=(eval($_topgui.pwrMod.object_value.pvs_gear_ratio_R.real_value)) action=replace",  &
              "      end",  &
              "      for variable=$_self.loopcnt start=1 end=$o_gears",  &
              "         if condition=(db_exists($_topgui.pwrMod.object_value//\".pvs_gear_ratio_\"//rtoi($_self.loopcnt)))",  &
              "            interface field set field=(\"$_parent.f_grat_\"//str_sprintf(\"%02d\",$_self.loopcnt)) &",  &
              "             strings=(eval(stoo($_topgui.pwrMod.object_value//\".pvs_gear_ratio_\"//rtoi($_self.loopcnt)).real_value)) action=replace",  &
              "         end",  &
              "      end",  &
              "      if condition=(cols(communicator_lookup($_topgui.pwrMod.object_value,$_self.traits.self).object_value.Z)>1)",  &
              "         interface toggle set toggle=$_parent.t_shiftpoints state=on execute=yes",  &
              "         for variable=$_self.loopcnt start=2 end=$o_gears",  &
              "            if condition=(db_exists($_topgui.pwrMod.object_value//\".pvs_gear_downshift_\"//rtoi($_self.loopcnt)))",  &
              "               interface field set field=(\"$_parent.f_gsdn_\"//str_sprintf(\"%02d\",$_self.loopcnt)) &",  &
              "                strings=(eval(stoo($_topgui.pwrMod.object_value//\".pvs_gear_downshift_\"//rtoi($_self.loopcnt)).real_value)) action=replace",  &
              "            end",  &
              "         end",  &
              "         for variable=$_self.loopcnt start=1 end=(eval($o_gears-1))",  &
              "            if condition=(db_exists($_topgui.pwrMod.object_value//\".pvs_gear_upshift_\"//rtoi($_self.loopcnt)))",  &
              "               interface field set field=(\"$_parent.f_gsun_\"//str_sprintf(\"%02d\",$_self.loopcnt)) &",  &
              "                strings=(eval(stoo($_topgui.pwrMod.object_value//\".pvs_gear_upshift_\"//rtoi($_self.loopcnt)).real_value)) action=replace",  &
              "            end",  &
              "         end",  &
              "         if condition=($o_pwr_conf > 1 && cols(communicator_lookup($_topgui.pwrMod.object_value,$_self.traits.self).object_value.Z)>3)",  &
              "            if condition=(db_exists($_topgui.pwrMod.object_value//\".pvs_sport_flag\"))",  &
              "               interface toggle set toggle=$_parent.t_sport execute=yes &",  &
              "                state=(eval(on_off(stoo($_topgui.pwrMod.object_value//\".pvs_sport_flag\").integer_value)))",  &
              "            else",  &
              "               interface toggle execute toggle=$_parent.t_sport",  &
              "            end",  &
              "            if condition=(db_exists($_topgui.pwrMod//\".pvs_gear_upshift_thlds\"))",  &
              "               interface field set action=replace field=$_parent.f_gsun_thr &",  &
              "                strings=(eval($_topgui.pwrMod.pvs_gear_upshift_thlds.real_value[1]))",  &
              "               interface field set action=replace field=$_parent.f_gsus_thr &",  &
              "                strings=(eval($_topgui.pwrMod.pvs_gear_upshift_thlds.real_value[2]))",  &
              "            end",  &
              "            for variable=$_self.loopcnt start=1 end=(eval($o_gears-1))",  &
              "               if condition=(db_exists($_topgui.pwrMod.object_value//\".pvs_gear_sport_\"//rtoi($_self.loopcnt)))",  &
              "                  interface field set field=(\"$_parent.f_gsus_\"//str_sprintf(\"%02d\",$_self.loopcnt)) &",  &
              "                   strings=(eval(stoo($_topgui.pwrMod.object_value//\".pvs_gear_sport_\"//rtoi($_self.loopcnt)).real_value)) action=replace",  &
              "               end",  &
              "            end",  &
              "         elseif condition=($o_pwr_conf > 1)",  &
              "            interface toggle set toggle=$_parent.t_sport state=off execute=yes",  &
              "         else",  &
              "            interface toggle execute toggle=$_parent.t_sport",  &
              "         end",  &
              "      else",  &
              "         interface toggle set toggle=$_parent.t_shiftpoints state=off execute=yes",  &
              "      end",  &
              "   end",  &
              "end",  &
              "variable delete variable=$_self.traits"
!
interface label create  &
   label_name = .ACAR.custom.dbox_pow_par.tabcont.c_transm.l_gspnts  &
   location = 8.0, 31.0  &
   height = 25.0  &
   width = 110.0  &
   units = pixel  &
   horiz_resizing = attach_left  &
   vert_resizing = attach_top  &
   justified = left  &
   text = "Gear Shift Points"
!
interface toggle_button create  &
   toggle_button_name = .ACAR.custom.dbox_pow_par.tabcont.c_transm.t_shiftpoints  &
   location = 120.0, 31.0  &
   height = 25.0  &
   width = 170.0  &
   units = pixel  &
   horiz_resizing = attach_left  &
   vert_resizing = attach_top  &
   label = "Individual (Gear-Specific)"  &
   state = on  &
   on_value = "on"  &
   off_value = "off"  &
   commands = "if condition=(\"$_value\"!=\"\")",  &
              "   interface entity modify &",  &
              "    entity=$_parent.\"f_gs??_??\" &",  &
              "    enabled=(yes_no($_value))",  &
              "   if condition=(!$_value)",  &
              "      interface entity modify &",  &
              "       entity=$_parent.f_gsdn_02,$_parent.\"f_gsu?_01\" &",  &
              "       enabled=yes",  &
              "   end",  &
              "end"
!
interface toggle_button create  &
   toggle_button_name = .ACAR.custom.dbox_pow_par.tabcont.c_transm.t_sport  &
   location = 292.0, 31.0  &
   height = 25.0  &
   width = 170.0  &
   units = pixel  &
   horiz_resizing = attach_left  &
   vert_resizing = attach_top  &
   label = "Sport Mode"  &
   state = off  &
   on_value = "1"  &
   off_value = "0"  &
   commands = "if condition=(\"$_value\"!=\"\")",  &
              "   if condition=(db_exists($_topgui.pwrMod.object_value//\".pvs_sport_flag\"))",  &
              "      variable set variable=($_topgui.pwrMod.object_value//\".pvs_sport_flag\") integer=$t_sport",  &
              "   end",  &
              "   interface entity modify &",  &
              "    entity=$_parent.\"l_gs??\" &",  &
              "    display=yes",  &
              "   interface entity modify &",  &
              "    entity=$_parent.l_gsus, &",  &
              "           $_parent.\"f_gsus_*\", &",  &
              "           $_parent.\"?_gsu?_thr\" &",  &
              "    display=(yes_no($_value))",  &
              "elseif condition=($o_pwr_conf > 1)",  &
              "   interface entity modify &",  &
              "    entity=$_parent.\"l_gs??\", &",  &
              "           $_parent.\"?_gs??_*\" &",  &
              "    display=no",  &
              "else",  &
              "   interface entity modify &",  &
              "    entity=$_parent.l_gsus, &",  &
              "           $_parent.\"f_gsus_*\", &",  &
              "           $_parent.\"?_gsu?_thr\" &",  &
              "    display=no",  &
              "end"
!
interface label create  &
   label_name = .ACAR.custom.dbox_pow_par.tabcont.c_transm.l_gear_number  &
   location = 8.0, 58.0  &
   height = 25.0  &
   width = 110.0  &
   units = pixel  &
   horiz_resizing = attach_left  &
   vert_resizing = attach_top  &
   justified = left  &
   text = "Gear Number"
!
interface label create  &
   label_name = .ACAR.custom.dbox_pow_par.tabcont.c_transm.l_gear_ratio  &
   location = 8.0, 85.0  &
   height = 25.0  &
   width = 110.0  &
   units = pixel  &
   horiz_resizing = attach_left  &
   vert_resizing = attach_top  &
   justified = left  &
   text = "Gear Ratio"
!
interface label create  &
   label_name = .ACAR.custom.dbox_pow_par.tabcont.c_transm.l_gsdn  &
   location = 8.0, 112.0  &
   height = 25.0  &
   width = 110.0  &
   units = pixel  &
   horiz_resizing = attach_left  &
   vert_resizing = attach_top  &
   justified = left  &
   text = "Shift-Down [rpm]"
!
interface label create  &
   label_name = .ACAR.custom.dbox_pow_par.tabcont.c_transm.l_gsun  &
   location = 8.0, 139.0  &
   height = 25.0  &
   width = 110.0  &
   units = pixel  &
   horiz_resizing = attach_left  &
   vert_resizing = attach_top  &
   justified = left  &
   text = "Shift-Up [rpm]"
!
interface label create  &
   label_name = .ACAR.custom.dbox_pow_par.tabcont.c_transm.l_gsus  &
   location = 8.0, 166.0  &
   height = 25.0  &
   width = 110.0  &
   units = pixel  &
   horiz_resizing = attach_left  &
   vert_resizing = attach_top  &
   justified = left  &
   text = "Shift-Up Sport [rpm]"
!
interface label undisplay  &
   label_name = .ACAR.custom.dbox_pow_par.tabcont.c_transm.l_gsus
!
interface field create  &
   field_name = .ACAR.custom.dbox_pow_par.tabcont.c_transm.f_gear_R  &
   location = 120.0, 58.0  &
   height = 25.0  &
   width = 50.0  &
   units = pixel  &
   horiz_resizing = attach_left  &
   vert_resizing = attach_top  &
   scrollable = no  &
   editable = no  &
   preload_strings = "R"  &
   required = no  &
   execute_cmds_on_exit = no  &
   number_of_values = 1  &
   string_type = literal  &
   add_quotes = no
!
interface field create  &
   field_name = .ACAR.custom.dbox_pow_par.tabcont.c_transm.f_grat_R  &
   location = 120.0, 85.0  &
   height = 25.0  &
   width = 50.0  &
   units = pixel  &
   horiz_resizing = attach_left  &
   vert_resizing = attach_top  &
   scrollable = no  &
   editable = yes  &
   required = yes  &
   execute_cmds_on_exit = no  &
   number_of_values = 1  &
   numeric_type = real  &
   upper_check = le  &
   upper_limit = 0.0  &
   lower_check = none
!
interface field create  &
   field_name = .ACAR.custom.dbox_pow_par.tabcont.c_transm.f_gear_N  &
   location = 170.0, 58.0  &
   height = 25.0  &
   width = 50.0  &
   units = pixel  &
   horiz_resizing = attach_left  &
   vert_resizing = attach_top  &
   scrollable = no  &
   editable = no  &
   preload_strings = "N"  &
   required = no  &
   execute_cmds_on_exit = no  &
   number_of_values = 1  &
   string_type = literal  &
   add_quotes = no
!
interface field create  &
   field_name = .ACAR.custom.dbox_pow_par.tabcont.c_transm.f_grat_N  &
   enabled = no  &
   location = 170.0, 85.0  &
   height = 25.0  &
   width = 50.0  &
   units = pixel  &
   horiz_resizing = attach_left  &
   vert_resizing = attach_top  &
   scrollable = no  &
   editable = no  &
   preload_strings = "0.0"  &
   required = no  &
   execute_cmds_on_exit = no  &
   number_of_values = 1  &
   string_type = literal  &
   add_quotes = no
!
interface field create  &
   field_name = .ACAR.custom.dbox_pow_par.tabcont.c_transm.f_gsun_thr  &
   location = 170.0, 139.0  &
   height = 25.0  &
   width = 50.0  &
   units = pixel  &
   horiz_resizing = attach_left  &
   vert_resizing = attach_top  &
   scrollable = no  &
   editable = yes  &
   preload_strings = "60.0"  &
   required = no  &
   execute_cmds_on_exit = no  &
   number_of_values = 1  &
   numeric_type = real  &
   upper_check = le  &
   upper_limit = 100.0  &
   lower_check = gt  &
   lower_limit = 0.0
!
interface field undisplay  &
   field_name = .ACAR.custom.dbox_pow_par.tabcont.c_transm.f_gsun_thr
!
interface field create  &
   field_name = .ACAR.custom.dbox_pow_par.tabcont.c_transm.f_gsus_thr  &
   location = 170.0, 166.0  &
   height = 25.0  &
   width = 50.0  &
   units = pixel  &
   horiz_resizing = attach_left  &
   vert_resizing = attach_top  &
   scrollable = no  &
   editable = yes  &
   preload_strings = "90.0"  &
   required = no  &
   execute_cmds_on_exit = no  &
   number_of_values = 1  &
   numeric_type = real  &
   upper_check = le  &
   upper_limit = 100.0  &
   lower_check = gt  &
   lower_limit = 0.0
!
interface field undisplay  &
   field_name = .ACAR.custom.dbox_pow_par.tabcont.c_transm.f_gsus_thr
!
interface label create  &
   label_name = .ACAR.custom.dbox_pow_par.tabcont.c_transm.l_gsup_thr  &
   location = 8.0, 193.0  &
   height = 23.0  &
   width = 136.0  &
   units = pixel  &
   horiz_resizing = attach_left  &
   vert_resizing = attach_top  &
   justified = left  &
   text = "Throttle Thresholds [%]"
!
interface label undisplay  &
   label_name = .ACAR.custom.dbox_pow_par.tabcont.c_transm.l_gsup_thr
!
interface label create  &
   label_name = .ACAR.custom.dbox_pow_par.tabcont.c_transm.l_gsua_thr  &
   location = 148.0, 191.0  &
   height = 18.0  &
   width = 55.0  &
   units = pixel  &
   horiz_resizing = attach_left  &
   vert_resizing = attach_top  &
   justified = left  &
   text = "______|"
!
interface label undisplay  &
   label_name = .ACAR.custom.dbox_pow_par.tabcont.c_transm.l_gsua_thr
!
interface field create  &
   field_name = .ACAR.custom.dbox_pow_par.tabcont.c_transm.f_gsdn  &
   help_text = "Engine stall speed (change in \"Engine\" tab)"  &
   enabled = no  &
   location = 220.0, 112.0  &
   height = 25.0  &
   width = 50.0  &
   units = pixel  &
   horiz_resizing = attach_left  &
   vert_resizing = attach_top  &
   scrollable = no  &
   editable = no  &
   required = no  &
   execute_cmds_on_exit = no  &
   number_of_values = 1  &
   numeric_type = real  &
   upper_check = none  &
   lower_check = ge  &
   lower_limit = 0.0
!
interface field create  &
   field_name = .ACAR.custom.dbox_pow_par.tabcont.c_transm.f_gsup  &
   help_text = "Engine speed limit (change in \"Engine\" tab)"  &
   enabled = no  &
   location = 470.0, 139.0  &
   height = 25.0  &
   width = 50.0  &
   units = pixel  &
   horiz_resizing = attach_left  &
   vert_resizing = attach_top  &
   scrollable = no  &
   editable = no  &
   required = no  &
   execute_cmds_on_exit = no  &
   number_of_values = 1  &
   numeric_type = real  &
   upper_check = none  &
   lower_check = ge  &
   lower_limit = 0.0
!
interface field create  &
   field_name = .ACAR.custom.dbox_pow_par.tabcont.c_transm.f_gear_01  &
   location = 220.0, 58.0  &
   height = 25.0  &
   width = 50.0  &
   units = pixel  &
   horiz_resizing = attach_left  &
   vert_resizing = attach_top  &
   scrollable = no  &
   editable = no  &
   preload_strings = "01"  &
   required = no  &
   execute_cmds_on_exit = no  &
   number_of_values = 1  &
   string_type = literal  &
   add_quotes = no
!
interface field create  &
   field_name = .ACAR.custom.dbox_pow_par.tabcont.c_transm.f_grat_01  &
   location = 220.0, 85.0  &
   height = 25.0  &
   width = 50.0  &
   units = pixel  &
   horiz_resizing = attach_left  &
   vert_resizing = attach_top  &
   scrollable = no  &
   editable = yes  &
   required = yes  &
   execute_cmds_on_exit = no  &
   number_of_values = 1  &
   commands = "variable set variable=$_self.fval real=$_value"  &
   numeric_type = real  &
   upper_check = none  &
   lower_check = ge  &
   lower_limit = 0.0
!
interface field create  &
   field_name = .ACAR.custom.dbox_pow_par.tabcont.c_transm.f_gsun_01  &
   location = 220.0, 139.0  &
   height = 25.0  &
   width = 50.0  &
   units = pixel  &
   horiz_resizing = attach_left  &
   vert_resizing = attach_top  &
   scrollable = no  &
   editable = yes  &
   required = yes  &
   execute_cmds_on_exit = no  &
   number_of_values = 1  &
   commands = "variable set variable=$_self.fval real=$_value"  &
   numeric_type = real  &
   upper_check = none  &
   lower_check = ge  &
   lower_limit = 0.0
!
interface field create  &
   field_name = .ACAR.custom.dbox_pow_par.tabcont.c_transm.f_gsus_01  &
   location = 220.0, 166.0  &
   height = 25.0  &
   width = 50.0  &
   units = pixel  &
   horiz_resizing = attach_left  &
   vert_resizing = attach_top  &
   scrollable = no  &
   editable = yes  &
   required = yes  &
   execute_cmds_on_exit = no  &
   number_of_values = 1  &
   commands = "variable set variable=$_self.fval real=$_value"  &
   numeric_type = real  &
   upper_check = none  &
   lower_check = ge  &
   lower_limit = 0.0
!
interface field undisplay  &
   field_name = .ACAR.custom.dbox_pow_par.tabcont.c_transm.f_gsus_01
!
interface field create  &
   field_name = .ACAR.custom.dbox_pow_par.tabcont.c_transm.f_gear_02  &
   location = 270.0, 58.0  &
   height = 25.0  &
   width = 50.0  &
   units = pixel  &
   horiz_resizing = attach_left  &
   vert_resizing = attach_top  &
   scrollable = no  &
   editable = no  &
   preload_strings = "02"  &
   required = no  &
   execute_cmds_on_exit = no  &
   number_of_values = 1  &
   string_type = literal  &
   add_quotes = no
!
interface field create  &
   field_name = .ACAR.custom.dbox_pow_par.tabcont.c_transm.f_grat_02  &
   location = 270.0, 85.0  &
   height = 25.0  &
   width = 50.0  &
   units = pixel  &
   horiz_resizing = attach_left  &
   vert_resizing = attach_top  &
   scrollable = no  &
   editable = yes  &
   required = yes  &
   execute_cmds_on_exit = no  &
   number_of_values = 1  &
   commands = "variable set variable=$_self.fval real=$_value"  &
   numeric_type = real  &
   upper_check = none  &
   lower_check = ge  &
   lower_limit = 0.0
!
interface field create  &
   field_name = .ACAR.custom.dbox_pow_par.tabcont.c_transm.f_gsdn_02  &
   location = 270.0, 112.0  &
   height = 25.0  &
   width = 50.0  &
   units = pixel  &
   horiz_resizing = attach_left  &
   vert_resizing = attach_top  &
   scrollable = no  &
   editable = yes  &
   required = yes  &
   execute_cmds_on_exit = no  &
   number_of_values = 1  &
   commands = "variable set variable=$_self.fval real=$_value"  &
   numeric_type = real  &
   upper_check = none  &
   lower_check = ge  &
   lower_limit = 0.0
!
interface field create  &
   field_name = .ACAR.custom.dbox_pow_par.tabcont.c_transm.f_gsun_02  &
   location = 270.0, 139.0  &
   height = 25.0  &
   width = 50.0  &
   units = pixel  &
   horiz_resizing = attach_left  &
   vert_resizing = attach_top  &
   scrollable = no  &
   editable = yes  &
   required = yes  &
   execute_cmds_on_exit = no  &
   number_of_values = 1  &
   commands = "variable set variable=$_self.fval real=$_value"  &
   numeric_type = real  &
   upper_check = none  &
   lower_check = ge  &
   lower_limit = 0.0
!
interface field create  &
   field_name = .ACAR.custom.dbox_pow_par.tabcont.c_transm.f_gsus_02  &
   location = 270.0, 166.0  &
   height = 25.0  &
   width = 50.0  &
   units = pixel  &
   horiz_resizing = attach_left  &
   vert_resizing = attach_top  &
   scrollable = no  &
   editable = yes  &
   required = yes  &
   execute_cmds_on_exit = no  &
   number_of_values = 1  &
   commands = "variable set variable=$_self.fval real=$_value"  &
   numeric_type = real  &
   upper_check = none  &
   lower_check = ge  &
   lower_limit = 0.0
!
interface field undisplay  &
   field_name = .ACAR.custom.dbox_pow_par.tabcont.c_transm.f_gsus_02
!
interface field create  &
   field_name = .ACAR.custom.dbox_pow_par.tabcont.c_transm.f_gear_03  &
   location = 320.0, 58.0  &
   height = 25.0  &
   width = 50.0  &
   units = pixel  &
   horiz_resizing = attach_left  &
   vert_resizing = attach_top  &
   scrollable = no  &
   editable = no  &
   preload_strings = "03"  &
   required = no  &
   execute_cmds_on_exit = no  &
   number_of_values = 1  &
   string_type = literal  &
   add_quotes = no
!
interface field create  &
   field_name = .ACAR.custom.dbox_pow_par.tabcont.c_transm.f_grat_03  &
   location = 320.0, 85.0  &
   height = 25.0  &
   width = 50.0  &
   units = pixel  &
   horiz_resizing = attach_left  &
   vert_resizing = attach_top  &
   scrollable = no  &
   editable = yes  &
   required = yes  &
   execute_cmds_on_exit = no  &
   number_of_values = 1  &
   commands = "variable set variable=$_self.fval real=$_value"  &
   numeric_type = real  &
   upper_check = none  &
   lower_check = ge  &
   lower_limit = 0.0
!
interface field create  &
   field_name = .ACAR.custom.dbox_pow_par.tabcont.c_transm.f_gsdn_03  &
   location = 320.0, 112.0  &
   height = 25.0  &
   width = 50.0  &
   units = pixel  &
   horiz_resizing = attach_left  &
   vert_resizing = attach_top  &
   scrollable = no  &
   editable = yes  &
   required = yes  &
   execute_cmds_on_exit = no  &
   number_of_values = 1  &
   commands = "variable set variable=$_self.fval real=$_value"  &
   numeric_type = real  &
   upper_check = none  &
   lower_check = ge  &
   lower_limit = 0.0
!
interface field create  &
   field_name = .ACAR.custom.dbox_pow_par.tabcont.c_transm.f_gsun_03  &
   location = 320.0, 139.0  &
   height = 25.0  &
   width = 50.0  &
   units = pixel  &
   horiz_resizing = attach_left  &
   vert_resizing = attach_top  &
   scrollable = no  &
   editable = yes  &
   required = yes  &
   execute_cmds_on_exit = no  &
   number_of_values = 1  &
   commands = "variable set variable=$_self.fval real=$_value"  &
   numeric_type = real  &
   upper_check = none  &
   lower_check = ge  &
   lower_limit = 0.0
!
interface field create  &
   field_name = .ACAR.custom.dbox_pow_par.tabcont.c_transm.f_gsus_03  &
   location = 320.0, 166.0  &
   height = 25.0  &
   width = 50.0  &
   units = pixel  &
   horiz_resizing = attach_left  &
   vert_resizing = attach_top  &
   scrollable = no  &
   editable = yes  &
   required = yes  &
   execute_cmds_on_exit = no  &
   number_of_values = 1  &
   commands = "variable set variable=$_self.fval real=$_value"  &
   numeric_type = real  &
   upper_check = none  &
   lower_check = ge  &
   lower_limit = 0.0
!
interface field undisplay  &
   field_name = .ACAR.custom.dbox_pow_par.tabcont.c_transm.f_gsus_03
!
interface field create  &
   field_name = .ACAR.custom.dbox_pow_par.tabcont.c_transm.f_gear_04  &
   location = 370.0, 58.0  &
   height = 25.0  &
   width = 50.0  &
   units = pixel  &
   horiz_resizing = attach_left  &
   vert_resizing = attach_top  &
   scrollable = no  &
   editable = no  &
   preload_strings = "04"  &
   required = no  &
   execute_cmds_on_exit = no  &
   number_of_values = 1  &
   string_type = literal  &
   add_quotes = no
!
interface field create  &
   field_name = .ACAR.custom.dbox_pow_par.tabcont.c_transm.f_grat_04  &
   location = 370.0, 85.0  &
   height = 25.0  &
   width = 50.0  &
   units = pixel  &
   horiz_resizing = attach_left  &
   vert_resizing = attach_top  &
   scrollable = no  &
   editable = yes  &
   required = yes  &
   execute_cmds_on_exit = no  &
   number_of_values = 1  &
   commands = "variable set variable=$_self.fval real=$_value"  &
   numeric_type = real  &
   upper_check = none  &
   lower_check = ge  &
   lower_limit = 0.0
!
interface field create  &
   field_name = .ACAR.custom.dbox_pow_par.tabcont.c_transm.f_gsdn_04  &
   location = 370.0, 112.0  &
   height = 25.0  &
   width = 50.0  &
   units = pixel  &
   horiz_resizing = attach_left  &
   vert_resizing = attach_top  &
   scrollable = no  &
   editable = yes  &
   required = yes  &
   execute_cmds_on_exit = no  &
   number_of_values = 1  &
   commands = "variable set variable=$_self.fval real=$_value"  &
   numeric_type = real  &
   upper_check = none  &
   lower_check = ge  &
   lower_limit = 0.0
!
interface field create  &
   field_name = .ACAR.custom.dbox_pow_par.tabcont.c_transm.f_gsun_04  &
   location = 370.0, 139.0  &
   height = 25.0  &
   width = 50.0  &
   units = pixel  &
   horiz_resizing = attach_left  &
   vert_resizing = attach_top  &
   scrollable = no  &
   editable = yes  &
   required = yes  &
   execute_cmds_on_exit = no  &
   number_of_values = 1  &
   commands = "variable set variable=$_self.fval real=$_value"  &
   numeric_type = real  &
   upper_check = none  &
   lower_check = ge  &
   lower_limit = 0.0
!
interface field create  &
   field_name = .ACAR.custom.dbox_pow_par.tabcont.c_transm.f_gsus_04  &
   location = 370.0, 166.0  &
   height = 25.0  &
   width = 50.0  &
   units = pixel  &
   horiz_resizing = attach_left  &
   vert_resizing = attach_top  &
   scrollable = no  &
   editable = yes  &
   required = yes  &
   execute_cmds_on_exit = no  &
   number_of_values = 1  &
   commands = "variable set variable=$_self.fval real=$_value"  &
   numeric_type = real  &
   upper_check = none  &
   lower_check = ge  &
   lower_limit = 0.0
!
interface field undisplay  &
   field_name = .ACAR.custom.dbox_pow_par.tabcont.c_transm.f_gsus_04
!
interface field create  &
   field_name = .ACAR.custom.dbox_pow_par.tabcont.c_transm.f_gear_05  &
   location = 420.0, 58.0  &
   height = 25.0  &
   width = 50.0  &
   units = pixel  &
   horiz_resizing = attach_left  &
   vert_resizing = attach_top  &
   scrollable = no  &
   editable = no  &
   preload_strings = "05"  &
   required = no  &
   execute_cmds_on_exit = no  &
   number_of_values = 1  &
   string_type = literal  &
   add_quotes = no
!
interface field create  &
   field_name = .ACAR.custom.dbox_pow_par.tabcont.c_transm.f_grat_05  &
   location = 420.0, 85.0  &
   height = 25.0  &
   width = 50.0  &
   units = pixel  &
   horiz_resizing = attach_left  &
   vert_resizing = attach_top  &
   scrollable = no  &
   editable = yes  &
   required = yes  &
   execute_cmds_on_exit = no  &
   number_of_values = 1  &
   commands = "variable set variable=$_self.fval real=$_value"  &
   numeric_type = real  &
   upper_check = none  &
   lower_check = ge  &
   lower_limit = 0.0
!
interface field create  &
   field_name = .ACAR.custom.dbox_pow_par.tabcont.c_transm.f_gsdn_05  &
   location = 420.0, 112.0  &
   height = 25.0  &
   width = 50.0  &
   units = pixel  &
   horiz_resizing = attach_left  &
   vert_resizing = attach_top  &
   scrollable = no  &
   editable = yes  &
   required = yes  &
   execute_cmds_on_exit = no  &
   number_of_values = 1  &
   commands = "variable set variable=$_self.fval real=$_value"  &
   numeric_type = real  &
   upper_check = none  &
   lower_check = ge  &
   lower_limit = 0.0
!
interface field create  &
   field_name = .ACAR.custom.dbox_pow_par.tabcont.c_transm.f_gsun_05  &
   location = 420.0, 139.0  &
   height = 25.0  &
   width = 50.0  &
   units = pixel  &
   horiz_resizing = attach_left  &
   vert_resizing = attach_top  &
   scrollable = no  &
   editable = yes  &
   required = yes  &
   execute_cmds_on_exit = no  &
   number_of_values = 1  &
   commands = "variable set variable=$_self.fval real=$_value"  &
   numeric_type = real  &
   upper_check = none  &
   lower_check = ge  &
   lower_limit = 0.0
!
interface field create  &
   field_name = .ACAR.custom.dbox_pow_par.tabcont.c_transm.f_gsus_05  &
   location = 420.0, 166.0  &
   height = 25.0  &
   width = 50.0  &
   units = pixel  &
   horiz_resizing = attach_left  &
   vert_resizing = attach_top  &
   scrollable = no  &
   editable = yes  &
   required = yes  &
   execute_cmds_on_exit = no  &
   number_of_values = 1  &
   commands = "variable set variable=$_self.fval real=$_value"  &
   numeric_type = real  &
   upper_check = none  &
   lower_check = ge  &
   lower_limit = 0.0
!
interface field undisplay  &
   field_name = .ACAR.custom.dbox_pow_par.tabcont.c_transm.f_gsus_05
!
interface field create  &
   field_name = .ACAR.custom.dbox_pow_par.tabcont.c_transm.f_gear_06  &
   location = 470.0, 58.0  &
   height = 25.0  &
   width = 50.0  &
   units = pixel  &
   horiz_resizing = attach_left  &
   vert_resizing = attach_top  &
   scrollable = no  &
   editable = no  &
   preload_strings = "06"  &
   required = no  &
   execute_cmds_on_exit = no  &
   number_of_values = 1  &
   string_type = literal  &
   add_quotes = no
!
interface field create  &
   field_name = .ACAR.custom.dbox_pow_par.tabcont.c_transm.f_grat_06  &
   location = 470.0, 85.0  &
   height = 25.0  &
   width = 50.0  &
   units = pixel  &
   horiz_resizing = attach_left  &
   vert_resizing = attach_top  &
   scrollable = no  &
   editable = yes  &
   required = yes  &
   execute_cmds_on_exit = no  &
   number_of_values = 1  &
   commands = "variable set variable=$_self.fval real=$_value"  &
   numeric_type = real  &
   upper_check = none  &
   lower_check = ge  &
   lower_limit = 0.0
!
interface field create  &
   field_name = .ACAR.custom.dbox_pow_par.tabcont.c_transm.f_gsdn_06  &
   location = 470.0, 112.0  &
   height = 25.0  &
   width = 50.0  &
   units = pixel  &
   horiz_resizing = attach_left  &
   vert_resizing = attach_top  &
   scrollable = no  &
   editable = yes  &
   required = yes  &
   execute_cmds_on_exit = no  &
   number_of_values = 1  &
   commands = "variable set variable=$_self.fval real=$_value"  &
   numeric_type = real  &
   upper_check = none  &
   lower_check = ge  &
   lower_limit = 0.0
!
interface container create  &
   container_name = .ACAR.custom.dbox_pow_par.tabcont.c_simple  &
   height = 177.0  &
   width = 517.0  &
   units = pixel  &
   horiz_resizing = scale_all  &
   vert_resizing = scale_all  &
   start_commands = "if condition=(db_exists($_topgui.pwrMod//\".pvs_min_engine_torque\"))",  &
                    "   interface field set action=replace field=$_self.f_min_engine_torque &",  &
                    "    strings=(eval($_topgui.pwrMod.pvs_min_engine_torque.real_value))",  &
                    "end",  &
                    "if condition=(db_exists($_topgui.pwrMod//\".pvs_max_engine_torque\"))",  &
                    "   interface field set action=replace field=$_self.f_max_engine_torque &",  &
                    "    strings=(eval($_topgui.pwrMod.pvs_max_engine_torque.real_value))",  &
                    "end",  &
                    "if condition=(db_exists($_topgui.pwrMod//\".pvs_max_engine_power\"))",  &
                    "   interface field set action=replace field=$_self.f_max_engine_power &",  &
                    "    strings=(eval($_topgui.pwrMod.pvs_max_engine_power.real_value))",  &
                    "end",  &
                    "if condition=(db_exists($_topgui.pwrMod//\".pvs_torque_tau\"))",  &
                    "   interface field set action=replace field=$_self.f_torque_tau &",  &
                    "    strings=(eval($_topgui.pwrMod.pvs_torque_tau.real_value))",  &
                    "end"  &
   execution_commands = "if condition=(db_exists($_topgui.pwrMod//\".pvs_min_engine_torque\"))",  &
                        "   variable set real=$f_min_engine_torque &",  &
                        "    variable=($_topgui.pwrMod//\".pvs_min_engine_torque\")",  &
                        "end",  &
                        "if condition=(db_exists($_topgui.pwrMod//\".pvs_max_engine_torque\"))",  &
                        "   variable set real=$f_max_engine_torque &",  &
                        "    variable=($_topgui.pwrMod//\".pvs_max_engine_torque\")",  &
                        "end",  &
                        "if condition=(db_exists($_topgui.pwrMod//\".pvs_max_engine_power\"))",  &
                        "   variable set real=$f_max_engine_power &",  &
                        "    variable=($_topgui.pwrMod//\".pvs_max_engine_power\")",  &
                        "end",  &
                        "if condition=(db_exists($_topgui.pwrMod//\".pvs_torque_tau\"))",  &
                        "   variable set real=$f_torque_tau &",  &
                        "    variable=($_topgui.pwrMod//\".pvs_torque_tau\")",  &
                        "end"  &
   tab_label = "Simple"
!
interface container undisplay  &
   container_name = .ACAR.custom.dbox_pow_par.tabcont.c_simple
!
interface field create  &
   field_name = .ACAR.custom.dbox_pow_par.tabcont.c_simple.f_min_engine_torque  &
   location = 120.0, 8.0  &
   height = 25.0  &
   width = 120.0  &
   units = pixel  &
   horiz_resizing = attach_left  &
   vert_resizing = attach_top  &
   scrollable = no  &
   editable = yes  &
   required = yes  &
   execute_cmds_on_exit = no  &
   number_of_values = 1  &
   numeric_type = real  &
   upper_check = none  &
   lower_check = none
!
interface field create  &
   field_name = .ACAR.custom.dbox_pow_par.tabcont.c_simple.f_max_engine_torque  &
   location = 120.0, 35.0  &
   height = 25.0  &
   width = 120.0  &
   units = pixel  &
   horiz_resizing = attach_left  &
   vert_resizing = attach_top  &
   scrollable = no  &
   editable = yes  &
   required = yes  &
   execute_cmds_on_exit = no  &
   number_of_values = 1  &
   numeric_type = real  &
   upper_check = none  &
   lower_check = gt  &
   lower_limit = 0.0
!
interface field create  &
   field_name = .ACAR.custom.dbox_pow_par.tabcont.c_simple.f_max_engine_power  &
   location = 120.0, 72.0  &
   height = 25.0  &
   width = 120.0  &
   units = pixel  &
   horiz_resizing = attach_left  &
   vert_resizing = attach_top  &
   scrollable = no  &
   editable = yes  &
   required = yes  &
   execute_cmds_on_exit = no  &
   number_of_values = 1  &
   numeric_type = real  &
   upper_check = none  &
   lower_check = gt  &
   lower_limit = 0.0
!
interface label create  &
   label_name = .ACAR.custom.dbox_pow_par.tabcont.c_simple.l_min_engine_torque  &
   location = 8.0, 8.0  &
   height = 25.0  &
   width = 110.0  &
   units = pixel  &
   horiz_resizing = attach_left  &
   vert_resizing = attach_top  &
   justified = left  &
   text = "Torque Minimum"
!
interface label create  &
   label_name = .ACAR.custom.dbox_pow_par.tabcont.c_simple.l_max_engine_power  &
   location = 8.0, 72.0  &
   height = 25.0  &
   width = 110.0  &
   units = pixel  &
   horiz_resizing = attach_left  &
   vert_resizing = attach_top  &
   justified = left  &
   text = "Power Maximum"
!
interface label create  &
   label_name = .ACAR.custom.dbox_pow_par.tabcont.c_simple.l_max_engine_torque  &
   location = 8.0, 35.0  &
   height = 25.0  &
   width = 110.0  &
   units = pixel  &
   horiz_resizing = attach_left  &
   vert_resizing = attach_top  &
   justified = left  &
   text = "Torque Maximum"
!
interface label create  &
   label_name = .ACAR.custom.dbox_pow_par.tabcont.c_simple.l_torque_tau  &
   location = 8.0, 109.0  &
   height = 25.0  &
   width = 110.0  &
   units = pixel  &
   horiz_resizing = attach_left  &
   vert_resizing = attach_top  &
   justified = left  &
   text = "Torque Tau"
!
interface field create  &
   field_name = .ACAR.custom.dbox_pow_par.tabcont.c_simple.f_torque_tau  &
   help_text = "Time constant for the 1st order engine response (lag)"  &
   location = 120.0, 109.0  &
   height = 25.0  &
   width = 120.0  &
   units = pixel  &
   horiz_resizing = attach_left  &
   vert_resizing = attach_top  &
   scrollable = no  &
   editable = yes  &
   required = yes  &
   execute_cmds_on_exit = no  &
   number_of_values = 1  &
   numeric_type = real  &
   upper_check = none  &
   lower_check = gt  &
   lower_limit = 0.0
!
interface label create  &
   label_name = .ACAR.custom.dbox_pow_par.tabcont.c_simple.i_cvt_trq_xy  &
   location = 250.0, 8.0  &
   height = 202.0  &
   width = 274.0  &
   units = pixel  &
   horiz_resizing = attach_left  &
   vert_resizing = attach_top  &
   justified = left  &
   icon_file = "cvt_trq_xy"
!
interface container create  &
   container_name = .ACAR.custom.dbox_pow_par.tabcont.c_misc  &
   height = 177.0  &
   width = 517.0  &
   units = pixel  &
   horiz_resizing = scale_all  &
   vert_resizing = scale_all  &
   tab_label = "Miscellaneous"
!
interface container undisplay  &
   container_name = .ACAR.custom.dbox_pow_par.tabcont.c_misc
!
interface toggle_button create  &
   toggle_button_name = .ACAR.custom.dbox_pow_par.tabcont.c_misc.t_graphics  &
   help_text =   &
               "Toggles visibility for subsystem graphics (always shown in templates)"  &
   location = 8.0, 12.0  &
   height = 25.0  &
   width = 300.0  &
   units = pixel  &
   horiz_resizing = attach_left  &
   vert_resizing = attach_top  &
   label = "Show Powertrain Graphics in Subsystems"  &
   state = on  &
   on_value = "1"  &
   off_value = "0"  &
   commands = "variable modify &",  &
              " variable=(db_default(.system_defaults,\"model\").pvs_graphics_flag) &",  &
              " integer=$_value"
!
interface push_button create  &
   push_button_name = .ACAR.custom.dbox_pow_par.b_plot  &
   location = 4.0, 283.0  &
   height = 25.0  &
   width = 130.0  &
   units = pixel  &
   horiz_resizing = attach_left  &
   vert_resizing = attach_bottom  &
   label = "Power/Velocity Plot"  &
   commands = "if condition=(.ACAR.custom.dbox_pow_plt.displayed)",  &
              "   interface dialog undisplay dialog=.ACAR.custom.dbox_pow_plt",  &
              "end",  &
              "if condition=(db_exists($_topgui.pwrMod//\".pvs_max_gears\"))",  &
              "   variable modify variable=($_topgui.pwrMod//\".pvs_max_gears\") integer=$o_gears",  &
              "end",  &
              "interface dialog display dialog=.ACAR.custom.dbox_pow_plt &",  &
              " parameters=(eval($_topgui.pwrMod//\".pvs_max_gears\")), &",  &
              "            (eval($_topgui.pwrMod//\".transmission_data\")), &",  &
              "            (eval($_topgui.pwrMod//\".gss_engine_torque\"))",  &
              "xy template restore &",  &
              " plot=.ACAR.plot_templates._cmgr_powermap &",  &
              " view=.ACAR.custom.dbox_pow_plt.c_map.view_pow_plt",  &
              "view management modify &",  &
              " view=.ACAR.custom.dbox_pow_plt.c_map.view_pow_plt &",  &
              " background=white",  &
              "view activate view=.ACAR.custom.dbox_pow_plt.c_map.view_pow_plt",  &
              "interface push execute push=.ACAR.custom.dbox_pow_plt.b_update"
!
interface push_button create  &
   push_button_name = .ACAR.custom.dbox_pow_par.b_ok  &
   location = 304.0, 283.0  &
   height = 25.0  &
   width = 76.0  &
   units = pixel  &
   horiz_resizing = attach_right  &
   vert_resizing = attach_bottom  &
   label = "OK"  &
   commands = "interface dialog execute dialog=$_parent undisp=yes",  &
              "if condition=(.ACAR.custom.dbox_pow_plt.displayed)",  &
              "   interface dialog undisplay dialog=.ACAR.custom.dbox_pow_plt",  &
              "end"
!
interface push_button create  &
   push_button_name = .ACAR.custom.dbox_pow_par.b_apply  &
   location = 382.0, 283.0  &
   height = 25.0  &
   width = 76.0  &
   units = pixel  &
   horiz_resizing = attach_right  &
   vert_resizing = attach_bottom  &
   label = "Apply"  &
   commands = "interface dialog execute dialog=$_parent undisp=no",  &
              "if condition=(.ACAR.custom.dbox_pow_plt.displayed)",  &
              "   interface push execute push=.ACAR.custom.dbox_pow_plt.b_update",  &
              "end"
!
interface push_button create  &
   push_button_name = .ACAR.custom.dbox_pow_par.b_close  &
   location = 460.0, 283.0  &
   height = 25.0  &
   width = 76.0  &
   units = pixel  &
   horiz_resizing = attach_right  &
   vert_resizing = attach_bottom  &
   label = "Close"  &
   commands = "interface dialog undisplay dialog=$_parent",  &
              "if condition=(.ACAR.custom.dbox_pow_plt.displayed)",  &
              "   interface dialog undisplay dialog=.ACAR.custom.dbox_pow_plt",  &
              "end"
end
!
if condition=(!db_exists(".ACAR.custom.dbox_pow_dif"))
!
interface dialog_box create  &
   dialog_box_name = .ACAR.custom.dbox_pow_dif  &
   location = 33.0, 154.0  &
   height = 71.0  &
   width = 400.0  &
   units = pixel  &
   horiz_resizing = scale_all  &
   vert_resizing = scale_all  &
   title = "Powertrain Differential"  &
   iconifiable = no  &
   start_commands = "variable set variable_name=$_self.defaultModel &",  &
                    " object_value=(eval(db_default(.system_defaults, \"model\")))",  &
                    "if condition=(db_exists($_self.defaultModel//\".gss_differential\"))",  &
                    "   interface field set &",  &
                    "    field_name=$_self.f_prop_file &",  &
                    "    string=(eval($_self.defaultModel[1].gss_differential.property_file.string_value[1]))",  &
                    "else",  &
                    "   acar toolkit warning &",  &
                    "    warning=\"The default model does not contain a differential spline!\"",  &
                    "   interface dialog_box undisplay dialog_box_name=$_self",  &
                    "end"  &
   finish_commands = "variable delete variable_name=(eval(db_children($_self,\"variable\")))"  &
   execution_commands = "acar template_builder general_spline modify &",  &
                        " general_spline=(eval($_self.defaultModel[1].gss_differential)) &",  &
                        " property_file_name=$f_prop_file &",  &
                        " datablock_name=\"DIFFERENTIAL\" &",  &
                        " xy_subblock_name=\"XY_DATA\""  &
   decorate = yes  &
   resizable = yes  &
   height_minimum = 71.0  &
   height_maximum = 71.0  &
   grab_all_input = no
!
interface push_button create  &
   push_button_name = .ACAR.custom.dbox_pow_dif.Ok  &
   location = 164.0, 42.0  &
   height = 25.0  &
   width = 76.0  &
   units = pixel  &
   horiz_resizing = attach_right  &
   vert_resizing = attach_bottom  &
   label = "OK"  &
   commands = "interface dialog execute dialog=$_parent undisp=yes"
!
interface push_button create  &
   push_button_name = .ACAR.custom.dbox_pow_dif.Apply  &
   location = 242.0, 42.0  &
   height = 25.0  &
   width = 76.0  &
   units = pixel  &
   horiz_resizing = attach_right  &
   vert_resizing = attach_bottom  &
   label = "Apply"  &
   commands = "interface dialog execute dialog=$_parent undisp=no"
!
interface push_button create  &
   push_button_name = .ACAR.custom.dbox_pow_dif.Cancel  &
   location = 320.0, 42.0  &
   height = 25.0  &
   width = 76.0  &
   units = pixel  &
   horiz_resizing = attach_right  &
   vert_resizing = attach_bottom  &
   label = "Cancel"  &
   commands = "interface dialog undisplay dialog=$_parent"
!
interface label create  &
   label_name = .ACAR.custom.dbox_pow_dif.l_prop_file  &
   location = 4.0, 4.0  &
   height = 25.0  &
   width = 146.0  &
   units = pixel  &
   horiz_resizing = attach_left  &
   vert_resizing = attach_top  &
   justified = left  &
   text = "Differential property file"
!
interface field create  &
   field_name = .ACAR.custom.dbox_pow_dif.f_prop_file  &
   location = 153.0, 4.0  &
   height = 25.0  &
   width = 243.0  &
   units = pixel  &
   horiz_resizing = expand  &
   vert_resizing = attach_top  &
   scrollable = no  &
   editable = yes  &
   required = yes  &
   execute_cmds_on_exit = no  &
   number_of_values = 1  &
   file_type = any_file  &
   filter = "*.dif"  &
   alert_on_overwrite = no  &
   browse_action = open
!
interface push_button create  &
   push_button_name = .ACAR.custom.dbox_pow_dif.b_view_file  &
   help_text = "View property file in info window"  &
   location = 4.0, 31.0  &
   height = 36.0  &
   width = 36.0  &
   units = pixel  &
   horiz_resizing = attach_left  &
   vert_resizing = attach_bottom  &
   icon_file = "acar_view_file"  &
   commands = "if condition=($f_prop_file == \"\")",  &
              "   acar toolkit warning &",  &
              "    warning=\"You must specify a property file!\"",  &
              "   return",  &
              "end",  &
              "info empty",  &
              "info read file=$f_prop_file"
end
!
if condition=(!db_exists(".ACAR.custom.dbox_pow_plt"))
!
interface dialog_box create  &
   dialog_box_name = .ACAR.custom.dbox_pow_plt  &
   location = 12.0, 409.0  &
   height = 600.0  &
   width = 800.0  &
   units = pixel  &
   horiz_resizing = scale_all  &
   vert_resizing = scale_all  &
   title = "Engine Power-Gear Plot"  &
   iconifiable = no  &
   decorate = yes  &
   resizable = no  &
   width_minimum = 800.0  &
   width_maximum = 800.0  &
   height_minimum = 600.0  &
   height_maximum = 600.0  &
   grab_all_input = no
!
interface container create  &
   container_name = .ACAR.custom.dbox_pow_plt.c_map  &
   location = 1.0001, 1.0001  &
   height = 598.0  &
   width = 798.0  &
   units = pixel  &
   horiz_resizing = scale_all  &
   vert_resizing = scale_all  &
   start_commands = "if condition=(db_exists($_1.parent//\".pvs_final_drive\"))",  &
                    "   interface field set action=replace &",  &
                    "    field=$_self.f_final_drive_ratio &",  &
                    "    strings=(eval(stoo($_1.parent//\".pvs_final_drive\").real_value))",  &
                    "end",  &
                    "!",  &
                    "if condition=(db_oldest_ancestor($_1.self,\"model\").model_class.string_value == \"assembly\")",  &
                    "   variable set variable=$_self.tmpObjCnt integer=0",  &
                    "   !---- Loop over suspension and driveline models ----",  &
                    "   for variable=$_self.loopObj object=(eval(db_children(db_oldest_ancestor($_1.self,\"model\"),\"model\")))",  &
                    "      if condition=(db_exists($_self.loopObj.object_value//\".role\"))",  &
                    "         variable set variable=$_self.RoleStr &",  &
                    "          string=(eval($_self.loopObj.object_value[1].role.string_value))",  &
                    "         if condition=($_self.RoleStr==\"suspension\")",  &
                    "            if condition=(obj_exists($_self.loopObj,\"p[vh]s_driveline_active\"))",  &
                    "               variable set variable=$_self.tmpObj &",  &
                    "                object_value=(eval(db_filter_name(db_children($_self.loopObj,\"variable\"),\"p[vh]s_driveline_active\")))",  &
                    "               if condition=(eval($_self.tmpObj.object_value.integer_value))",  &
                    "                  variable set variable=$_self.tmpObjCnt &",  &
                    "                   integer=(eval($_self.tmpObjCnt+1))",  &
                    "                  variable set variable=$_self.MinorList &",  &
                    "                   string=(eval($_self.loopObj.object_value.minor_role.string_value)) &",  &
                    "                   index=(eval($_self.tmpObjCnt))",  &
                    "               end",  &
                    "            end",  &
                    "         elseif condition=($_self.RoleStr==\"driveline\")",  &
                    "            if condition=(obj_exists($_self.loopObj,\"p[vh]s_driveline_active\"))",  &
                    "               variable set variable_name=$_self.tmpObj &",  &
                    "                object_value=(eval(db_filter_name(db_children($_self.loopObj,\"variable\"),\"p[vh]s_driveline_active\")))",  &
                    "               if condition=($_self.tmpObj.object_value.string_value != \"\")",  &
                    "                  for variable=$_self.susp_subs start=1 end=(eval(rows(str_split($_self.tmpObj.object_value.string_value,\",\"))))",  &
                    "                     variable set variable=$_self.ModelList &",  &
                    "                      object_value=(eval(subsystem_lookup(db_oldest_ancestor($_1.self,\"model\"), \"suspension\", str_split($_self.tmpObj.object_value.string_value,\",\")[$_self.susp_subs]))) &",  &
                    "                      index=(eval($_self.tmpObjCnt + $_self.susp_subs))",  &
                    "                  end",  &
                    "                  variable set variable_name=$_self.tmpObjCnt &",  &
                    "                   integer_value=(eval($_self.tmpObjCnt+rows(str_split($_self.tmpObj.object_value.string_value,\",\"))))",  &
                    "                  if condition=(!db_exists(\"$_self.MinorList\"))",  &
                    "                     variable set variable=$_self.MinorList &",  &
                    "                     string_value=(eval(str_split($_self.tmpObj.object_value.string_value,\",\")))",  &
                    "                  else",  &
                    "                     variable set variable=$_self.MinorList &",  &
                    "                     string_value=(eval($_self.MinorList//\",\"//str_split($_self.tmpObj.object_value.string_value,\",\")))",  &
                    "                  end",  &
                    "               end",  &
                    "            end",  &
                    "         end",  &
                    "      end",  &
                    "   end",  &
                    "   ! get average radius from all the tires",  &
                    "   variable set variable=$_self.radave real=0.0",  &
                    "   variable set variable=$_self.tires integer=0",  &
                    "   for variable=$_self.loopobj object=(eval(DB_CHILDREN(db_oldest_ancestor($_1.self,\"model\"), \"ac_tire\")))",  &
                    "      if condition=(anym($_self.loopobj.object_value.parent.minor_role.string_value == $_self.MinorList))",  &
                    "         variable set variable=$_self.radave real=(eval($_self.radave + $_self.loopobj.object_value.tire_radius))",  &
                    "         variable set variable=$_self.tires int=(eval($_self.tires + 1))",  &
                    "      end",  &
                    "   end",  &
                    "   interface field set action=replace &",  &
                    "    field=$_self.f_driven_tire_radius &",  &
                    "    strings=(eval($_self.radave/$_self.tires))",  &
                    "   !",  &
                    "   interface field modify field=$_self.f_driven_tire_radius editable=no &",  &
                    "    help_text=\"The derived average radius of the driven wheels (not editable)\"",  &
                    "else",  &
                    "   interface field modify field=$_self.f_driven_tire_radius editable=yes &",  &
                    "    help_text=\"Enter the average radius for the driven wheels\"",  &
                    "end",  &
                    "!",  &
                    "variable delete variable=(eval(db_children($_self,\"variable\")))"  &
   execution_commands = "acar toolkit read property_files assembly=($_1.parent)",  &
                        "!",  &
                        "if condition=(db_exists($_1.parent//\".pvs_final_drive\"))",  &
                        "   variable set variable=($_1.parent//\".pvs_final_drive\") real=$f_final_drive_ratio",  &
                        "end",  &
                        "!",  &
                        "variable set variable=$_self.valmax real=(eval(last($_3.xs)/6.0))",  &
                        "variable set variable=$_self.valinc real=(eval($_self.valmax > 1E4 ? ceil($_self.valmax/1E4)*100.0 : 100.0))",  &
                        "variable set variable=$_self.rpmmax real=(eval(100.0+max({last($_3.xs)/6.0,$_1.parent.pvs_engine_rev_limit.real_value})))",  &
                        "variable set variable=$_self.valcnt real=(eval($_self.valmax/$_self.valinc))",  &
                        "variable set variable=$_self.splYz1 real=(eval($_3.ys[(cols($_3.ys)-cols($_3.xs)+1):(cols($_3.ys))]))",  &
                        "variable set variable=$_self.splrpm real=(eval(series2(0.0,$_self.valmax,$_self.valcnt)))",  &
                        "variable set variable=$_self.splpwr real=(eval(series2(0.0,0.0,$_self.valcnt)))",  &
                        "variable set variable=$_self.splidx integer=0",  &
                        "!",  &
                        "for variable=$_self.looprpm start=0.0 inc=(eval($_self.valinc)) end=(eval($_self.valmax))",  &
                        "   variable set variable=$_self.splidx integer=(eval($_self.splidx+1))",  &
                        "   $_self.splpwr.real_value[$_self.splidx]=(eval(pi/3e4*$_self.looprpm*interp1({$_3.xs},{$_self.splYz1},6.0*$_self.looprpm,\"spline\")))",  &
                        "end",  &
                        "variable set variable=$_self.pwrmax real=(eval(1000.0*$_1.parent.ucf_watt_to_PS*max($_self.splpwr)))",  &
                        "!",  &
                        "xy_plots spec_line modify spec_line=.ACAR.plot_templates._cmgr_powermap.stall &",  &
                        " x_location=(eval(0.0036*6.0*DTOR*$_1.parent.pvs_engine_stall_speed.real_value*$f_driven_tire_radius/$f_final_drive_ratio/$_2.ys[VALI({$_2.xs},0.0)+1.0]))",  &
                        "!",  &
                        "entity attributes visibility=off &",  &
                        " entity_name=(eval(db_filter_name(db_children(.ACAR.plot_templates._cmgr_powermap,\"plot_curve\"),\"gear??\"))), &",  &
                        "             (eval(db_filter_name(db_children(.ACAR.plot_templates._cmgr_powermap,\"spec_line\"),\"upshift??\")))",  &
                        "for variable=$_self.loopcnt start=1.0 end=(eval($_1.integer_value))",  &
                        "   if condition=(!db_exists(\".ACAR.plot_templates._cmgr_powermap.gear\"//str_sprintf(\"%02d\",$_self.loopcnt)))",  &
                        "      entity copy entity=.ACAR.plot_templates._cmgr_powermap.gear00 &",  &
                        "       new=(\".ACAR.plot_templates._cmgr_powermap.gear\"//str_sprintf(\"%02d\",$_self.loopcnt))",  &
                        "   end",  &
                        "   numeric_results component modify &",  &
                        "    result=(\".ACAR.plot_templates._cmgr_powermap.gear\"//str_sprintf(\"%02d\",$_self.loopcnt)//\".x_data\") &",  &
                        "    values=(eval(0.0036*6.0*DTOR*$_self.splrpm*$f_driven_tire_radius/$f_final_drive_ratio/$_2.ys[VALI({$_2.xs},0.0)+$_self.loopcnt]))",  &
                        "   numeric_results component modify &",  &
                        "    result=(\".ACAR.plot_templates._cmgr_powermap.gear\"//str_sprintf(\"%02d\",$_self.loopcnt)//\".y_data\") &",  &
                        "    values=(eval(1000.0*$_1.parent.ucf_watt_to_PS*$_self.splpwr))",  &
                        "   if condition=(!db_exists(\".ACAR.plot_templates._cmgr_powermap.upshift\"//str_sprintf(\"%02d\",$_self.loopcnt)))",  &
                        "      entity copy entity=.ACAR.plot_templates._cmgr_powermap.upshift00 &",  &
                        "       new=(\".ACAR.plot_templates._cmgr_powermap.upshift\"//str_sprintf(\"%02d\",$_self.loopcnt))",  &
                        "   end",  &
                        "   if condition=(rtoi($_self.loopcnt) == $_1.integer_value || !db_exists($_1.parent//\".pvs_gear_upshift_\"//rtoi($_self.loopcnt)))",  &
                        "      variable set variable=$_self.spdmax &",  &
                        "       real=(eval(0.0036*6.0*DTOR*$_self.rpmmax*$f_driven_tire_radius/$f_final_drive_ratio/$_2.ys[VALI({$_2.xs},0.0)+$_self.loopcnt]))",  &
                        "      xy_plots spec_line modify spec_line=(\".ACAR.plot_templates._cmgr_powermap.upshift\"//str_sprintf(\"%02d\",$_self.loopcnt)) &",  &
                        "       x_location=(eval(0.0036*6.0*DTOR*$_1.parent.pvs_engine_rev_limit.real_value*$f_driven_tire_radius/$f_final_drive_ratio/$_2.ys[VALI({$_2.xs},0.0)+$_self.loopcnt])) &",  &
                        "       line_type=dash color=red",  &
                        "      if condition=(rtoi($_self.loopcnt) != $_1.integer_value)",  &
                        "         acar toolkit warning type=error &",  &
                        "          warning=\"Modeling error detected:\", \"\", &",  &
                        "            (eval(\"Maximum number of gears:  \"//$_1.name//\"=\"//$_1.integer_value//\"   \")), &",  &
                        "            (eval(\"Highest gear upshift defined:  pvs_gear_upshift_\"//rtoi($_self.loopcnt-1)//\"   \"))",  &
                        "         break",  &
                        "      end",  &
                        "   else",  &
                        "      xy_plots spec_line modify spec_line=(\".ACAR.plot_templates._cmgr_powermap.upshift\"//str_sprintf(\"%02d\",$_self.loopcnt)) &",  &
                        "       x_location=(eval(0.0036*6.0*DTOR*stoo($_1.parent//\".pvs_gear_upshift_\"//rtoi($_self.loopcnt)).real_value*$f_driven_tire_radius/$f_final_drive_ratio/$_2.ys[VALI({$_2.xs},0.0)+$_self.loopcnt])) &",  &
                        "       line_type=dot color=maize",  &
                        "   end",  &
                        "   entity attributes visibility=on &",  &
                        "    entity_name=(\".ACAR.plot_templates._cmgr_powermap.gear\"//str_sprintf(\"%02d\",$_self.loopcnt)), &",  &
                        "                (\".ACAR.plot_templates._cmgr_powermap.upshift\"//str_sprintf(\"%02d\",$_self.loopcnt))",  &
                        "end",  &
                        "!",  &
                        "xy template auto_zoom",  &
                        "xy axis modify axis=.ACAR.plot_templates._cmgr_powermap.haxis &",  &
                        " label_offset=7.5 &",  &
                        " inc=(eval($_self.spdmax > 300.0 ? ceil($_self.spdmax/300.0)*20.0 : 20.0)) &",  &
                        " lim=0.0,(eval(ceil($_self.spdmax/10.0)*10.0))",  &
                        "xy axis modify axis=.ACAR.plot_templates._cmgr_powermap.vaxis &",  &
                        " label_offset=12.5 &",  &
                        " inc=(eval($_self.pwrmax > 300.0 ? ceil($_self.pwrmax/300.0)*20.0 : 20.0))",  &
                        "!",  &
                        "variable delete variable=(eval(db_children($_self,\"variable\")))"
!
interface view create  &
   view_name = .ACAR.custom.dbox_pow_plt.c_map.view_pow_plt  &
   location = 4.0, 5.0  &
   height = 560.0  &
   width = 790.0  &
   units = pixel  &
   horiz_resizing = scale_all  &
   vert_resizing = scale_all  &
   eye = 8.0E+04, 4.65E+04, 5000.0  &
   target = 8.0E+04, 4.65E+04, 0.0  &
   up_vector = 0.0, 1000.0, 0.0
!
interface label create  &
   label_name = .ACAR.custom.dbox_pow_plt.c_map.l_final_drive_ratio  &
   location = 4.0, 567.0  &
   height = 27.0  &
   width = 110.0  &
   units = pixel  &
   horiz_resizing = attach_left  &
   vert_resizing = attach_top  &
   justified = left  &
   text = "  Final Drive Ratio"
!
interface field create  &
   field_name = .ACAR.custom.dbox_pow_plt.c_map.f_final_drive_ratio  &
   help_text = "Update the final differential ratio (pvs_final_drive)"  &
   location = 116.0, 568.0  &
   height = 25.0  &
   width = 60.0  &
   units = pixel  &
   horiz_resizing = attach_left  &
   vert_resizing = attach_top  &
   scrollable = no  &
   editable = yes  &
   preload_strings = "4.5"  &
   required = yes  &
   execute_cmds_on_exit = no  &
   number_of_values = 1  &
   numeric_type = real  &
   upper_check = none  &
   lower_check = gt  &
   lower_limit = 0.0
!
interface label create  &
   label_name = .ACAR.custom.dbox_pow_plt.c_map.l_driven_tire_radius  &
   location = 200.0, 567.0  &
   height = 27.0  &
   width = 120.0  &
   units = pixel  &
   horiz_resizing = attach_left  &
   vert_resizing = attach_top  &
   justified = left  &
   text = "  Driven Tire Radius"
!
interface field create  &
   field_name = .ACAR.custom.dbox_pow_plt.c_map.f_driven_tire_radius  &
   help_text = "Enter the average radius for the driven wheels"  &
   location = 322.0, 568.0  &
   height = 25.0  &
   width = 60.0  &
   units = pixel  &
   horiz_resizing = attach_left  &
   vert_resizing = attach_top  &
   scrollable = no  &
   editable = yes  &
   preload_strings = "300.0"  &
   required = yes  &
   execute_cmds_on_exit = no  &
   number_of_values = 1  &
   numeric_type = real  &
   upper_check = none  &
   lower_check = gt  &
   lower_limit = 0.0
!
interface push_button create  &
   push_button_name = .ACAR.custom.dbox_pow_plt.c_map.b_update  &
   location = 642.0, 567.0  &
   height = 27.0  &
   width = 75.0  &
   units = pixel  &
   horiz_resizing = attach_right  &
   vert_resizing = attach_bottom  &
   label = "Update"  &
   commands = "interface container execute container=$_topgui.c_map undisp=no"
!
interface push_button create  &
   push_button_name = .ACAR.custom.dbox_pow_plt.c_map.b_close  &
   location = 719.0, 567.0  &
   height = 27.0  &
   width = 75.0  &
   units = pixel  &
   horiz_resizing = attach_right  &
   vert_resizing = attach_bottom  &
   label = "Close"  &
   commands = "interface dialog undisplay dialog=$_topgui"
end
