$---------------------------------------------------------------------MDI_HEADER
[MDI_HEADER]
 FILE_TYPE     =  'tpl'
 FILE_VERSION  =  2018.0
 FILE_FORMAT   =  'ASCII'
 HEADER_SIZE   =  9
(COMMENTS)
{comment_string}
'Simple Double Wishbone Suspension'
$----------------------------------------------------------------TEMPLATE_HEADER
[TEMPLATE_HEADER]
 TEMPLATE_NAME  =  '_fsae_rearsusp'
 MAJOR_ROLE     =  'suspension'
 TIMESTAMP      =  '2019/03/04,19:52:54'
 HEADER_SIZE    =  6
$------------------------------------------------------------------------PLUGINS
[PLUGINS]
 PLUGIN_LIST  =  'acar'
 HEADER_SIZE  =  4
!
!-------------------------- Default Units for Model ---------------------------!
!
!
defaults units  &
   length = mm  &
   angle = deg  &
   force = newton  &
   mass = kg  &
   time = sec
!
defaults units  &
   coordinate_system_type = cartesian  &
   orientation_type = body313
!
!------------------------ Default Attributes for Model ------------------------!
!
!
defaults attributes  &
   inheritance = bottom_up  &
   icon_visibility = off  &
   grid_visibility = off  &
   size_of_icons = 50.0  &
   spacing_for_grid = 1000.0
!
!--------------------------- Plugins used by Model ----------------------------!
!
!
plugin load  &
   plugin_name = .MDI.plugins.acar
!
!------------------------------ Adams View Model ------------------------------!
!
!
model create  &
   model_name = _fsae_rearsusp  &
   comments = "Simple Double Wishbone Suspension"  &
   title = "Adams/Car template"
!
model attributes  &
   model_name = ._fsae_rearsusp  &
   size_of_icons = 31.75
!
view erase
!
!-------------------------------- Data storage --------------------------------!
!
!
data_element create variable  &
   variable_name = ._fsae_rearsusp._cv_solver_variable  &
   comments = "Dummy for communicators"  &
   function = ""
!
data_element attributes  &
   data_element_name = ._fsae_rearsusp._cv_solver_variable  &
   visibility = off
!
data_element create array ic_array  &
   array_name = ._fsae_rearsusp._cv_array  &
   comments = "Dummy for communicators"  &
   size = 1  &
   numbers = 0.0
!
data_element attributes  &
   data_element_name = ._fsae_rearsusp._cv_array  &
   visibility = off
!
data_element create array ic_array  &
   array_name = ._fsae_rearsusp.suspension_parameters_ARRAY  &
   comments = "STEER AXIS CALCULATION METHOD=: geometric"  &
   size = 6  &
   numbers = 1.0, 0.0, 0.0, 0.0, 0.0, 1.0
!
data_element create spline  &
   spline_name = ._fsae_rearsusp._cv_spline  &
   comments = "Dummy for communicators"  &
   x = 1.0, 2.0, 3.0, 4.0  &
   y = 1.0, 2.0, 3.0, 4.0, 1.0, 2.0, 3.0, 4.0  &
   z = 1.0, 2.0  &
   linear_extrapolate = no
!
data_element attributes  &
   data_element_name = ._fsae_rearsusp._cv_spline  &
   visibility = off
!
data_element create string  &
   string_name = ._fsae_rearsusp.minor_role_string  &
   string = "unassigned"
!
data_element attributes  &
   data_element_name = ._fsae_rearsusp.minor_role_string  &
   visibility = off
!
!--------------------------------- Materials ----------------------------------!
!
!
material create  &
   material_name = ._fsae_rearsusp.aluminum  &
   density = 2.74E-06  &
   youngs_modulus = 7.1705E+04  &
   poissons_ratio = 0.33
!
material create  &
   material_name = ._fsae_rearsusp.steel  &
   density = 7.801E-06  &
   youngs_modulus = 2.07E+05  &
   poissons_ratio = 0.29
!
!-------------------------------- Rigid Parts ---------------------------------!
!
! Create parts and their dependent markers and graphics
!
!----------------------------------- ground -----------------------------------!
!
!
! ****** Ground Part ******
!
part modify rigid_body name_and_position  &
   part_name = ground
!
defaults model  &
   part_name = ground
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._fsae_rearsusp.ground.afr_aforce_meaj_2  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ground.afr_aforce_meaj_2  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.ground.afl_aforce_meaj_2  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ground.afl_aforce_meaj_2  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.ground.cfl_lca_outer  &
   location = 1030.4, -680.0, 51.6  &
   orientation = 180.0d, 90.0d, 180.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ground.cfl_lca_outer  &
   color = MAIZE  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.ground.cfr_lca_outer  &
   location = 1030.4, 680.0, 51.6  &
   orientation = 0.0d, 90.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ground.cfr_lca_outer  &
   color = MAIZE  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.ground.cfl_tierod_middle  &
   location = 839.9, -523.1, 76.2  &
   orientation = 20.7619422668d, 85.9446758145d, 280.566733458d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ground.cfl_tierod_middle  &
   color = MAIZE  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.ground.cfr_tierod_middle  &
   location = 839.9, 523.1, 76.2  &
   orientation = 159.2380577332d, 85.9446758145d, 259.433266542d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ground.cfr_tierod_middle  &
   color = MAIZE  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.ground.origo  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ground.origo  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.ground.cfl_wheel_center  &
   location = 1030.4, -700.0, 154.0  &
   orientation = 0.0d, 90.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ground.cfl_wheel_center  &
   color = MAIZE  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.ground.cfr_wheel_center  &
   location = 1030.4, 700.0, 154.0  &
   orientation = 180.0d, 90.0d, 180.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ground.cfr_wheel_center  &
   color = MAIZE  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.ground.cfl_lwr_strut_ext  &
   location = 827.2, -203.2, 344.5  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ground.cfl_lwr_strut_ext  &
   color = MAIZE  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.ground.cfr_lwr_strut_ext  &
   location = 827.2, 203.2, 344.5  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ground.cfr_lwr_strut_ext  &
   color = MAIZE  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.ground.cfl_top_mount_ext  &
   location = 497.0, -203.2, 281.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ground.cfl_top_mount_ext  &
   color = MAIZE  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.ground.cfr_top_mount_ext  &
   location = 497.0, 203.2, 281.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ground.cfr_top_mount_ext  &
   color = MAIZE  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.ground.mtl_mount_j_2  &
   location = 776.4, -355.6, 63.5  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ground.mtl_mount_j_2  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.ground.mtr_mount_j_2  &
   location = 776.4, 355.6, 63.5  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ground.mtr_mount_j_2  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.ground.mtl_mount_j_3  &
   location = 497.0, -203.2, 281.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ground.mtl_mount_j_3  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.ground.mtr_mount_j_3  &
   location = 497.0, 203.2, 281.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ground.mtr_mount_j_3  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.ground._cv_marker  &
   comments = "Dummy for communicators"  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ground._cv_marker  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.ground.mtl_mount_j_4  &
   location = 1284.4, -279.4, 179.4  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ground.mtl_mount_j_4  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.ground.mtr_mount_j_4  &
   location = 1284.4, 279.4, 179.4  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ground.mtr_mount_j_4  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.ground.cfr_lwr_spring_seat  &
   location = 662.1, 203.2, 312.75  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ground.cfr_lwr_spring_seat  &
   color = MAIZE  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.ground.cfl_lwr_spring_seat  &
   location = 662.1, -203.2, 312.75  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ground.cfl_lwr_spring_seat  &
   color = MAIZE  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.ground.cfr_drive_shaft_otr  &
   location = 1030.4, 600.0, 154.0  &
   orientation = 180.0d, 90.0d, 180.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ground.cfr_drive_shaft_otr  &
   color = MAIZE  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.ground.cfl_drive_shaft_otr  &
   location = 1030.4, -600.0, 154.0  &
   orientation = 0.0d, 90.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ground.cfl_drive_shaft_otr  &
   color = MAIZE  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.ground.cfr_drive_shaft_inr  &
   location = 1000.0, 200.66, 126.06  &
   orientation = 0.0d, 90.0d, 42.5854615946d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ground.cfr_drive_shaft_inr  &
   color = MAIZE  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.ground.cfl_drive_shaft_inr  &
   location = 1000.0, -200.66, 126.06  &
   orientation = 180.0d, 90.0d, 137.4145384054d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ground.cfl_drive_shaft_inr  &
   color = MAIZE  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.ground.mtl_mount_j_5  &
   location = 1000.0, -200.66, 126.06  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ground.mtl_mount_j_5  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.ground.mtr_mount_j_5  &
   location = 1000.0, 200.66, 126.06  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ground.mtr_mount_j_5  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.ground.cfl_upright_spindle_inr  &
   location = 1030.4, -600.0, 154.0  &
   orientation = 0.0d, 90.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ground.cfl_upright_spindle_inr  &
   color = MAIZE  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.ground.cfr_upright_spindle_inr  &
   location = 1030.4, 600.0, 154.0  &
   orientation = 180.0d, 90.0d, 180.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ground.cfr_upright_spindle_inr  &
   color = MAIZE  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.ground.afl_aforce_meaj_1  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ground.afl_aforce_meaj_1  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.ground.afr_aforce_meaj_1  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ground.afr_aforce_meaj_1  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.ground.cfl_lwr_strut_loc  &
   location = 827.2, -203.2, 344.5  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ground.cfl_lwr_strut_loc  &
   color = MAIZE  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.ground.cfr_lwr_strut_loc  &
   location = 827.2, 203.2, 344.5  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ground.cfr_lwr_strut_loc  &
   color = MAIZE  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.ground.mtr_mount_j_1  &
   location = 1284.4, 381.0, 63.5  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ground.mtr_mount_j_1  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.ground.mtl_mount_j_1  &
   location = 1284.4, -381.0, 63.5  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ground.mtl_mount_j_1  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.ground.mtl_mount_j_6  &
   location = 817.0, -264.0, 331.8  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ground.mtl_mount_j_6  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_rearsusp.ground.mtr_mount_j_6  &
   location = 817.0, 264.0, 331.8  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ground.mtr_mount_j_6  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_rearsusp.ground.cfl_ride_height  &
   location = 1000.0, -381.0, 63.5  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ground.cfl_ride_height  &
   color = MAIZE
!
marker create  &
   marker_name = ._fsae_rearsusp.ground.cfr_ride_height  &
   location = 1000.0, 381.0, 63.5  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ground.cfr_ride_height  &
   color = MAIZE
!
! ****** Points for current part ******
!
point create  &
   point_name = ._fsae_rearsusp.ground.hpl_lca_front  &
   location = 776.4, -381.0, 63.5
!
point attributes  &
   point_name = ._fsae_rearsusp.ground.hpl_lca_front  &
   size_of_icons = 31.75
!
point create  &
   point_name = ._fsae_rearsusp.ground.hpr_lca_front  &
   location = 776.4, 381.0, 63.5
!
point attributes  &
   point_name = ._fsae_rearsusp.ground.hpr_lca_front  &
   size_of_icons = 31.75
!
point create  &
   point_name = ._fsae_rearsusp.ground.hpl_lca_rear  &
   location = 1284.4, -381.0, 63.5
!
point attributes  &
   point_name = ._fsae_rearsusp.ground.hpl_lca_rear  &
   size_of_icons = 31.75
!
point create  &
   point_name = ._fsae_rearsusp.ground.hpr_lca_rear  &
   location = 1284.4, 381.0, 63.5
!
point attributes  &
   point_name = ._fsae_rearsusp.ground.hpr_lca_rear  &
   size_of_icons = 31.75
!
point create  &
   point_name = ._fsae_rearsusp.ground.hpl_lca_outer  &
   location = 1030.4, -680.0, 51.6
!
point attributes  &
   point_name = ._fsae_rearsusp.ground.hpl_lca_outer  &
   size_of_icons = 31.75
!
point create  &
   point_name = ._fsae_rearsusp.ground.hpr_lca_outer  &
   location = 1030.4, 680.0, 51.6
!
point attributes  &
   point_name = ._fsae_rearsusp.ground.hpr_lca_outer  &
   size_of_icons = 31.75
!
point create  &
   point_name = ._fsae_rearsusp.ground.hpl_wheel_center  &
   location = 1030.4, -700.0, 154.0
!
point attributes  &
   point_name = ._fsae_rearsusp.ground.hpl_wheel_center  &
   size_of_icons = 31.75
!
point create  &
   point_name = ._fsae_rearsusp.ground.hpr_wheel_center  &
   location = 1030.4, 700.0, 154.0
!
point attributes  &
   point_name = ._fsae_rearsusp.ground.hpr_wheel_center  &
   size_of_icons = 31.75
!
point create  &
   point_name = ._fsae_rearsusp.ground.hpl_tierod_outer  &
   location = 903.4, -690.6, 88.9
!
point attributes  &
   point_name = ._fsae_rearsusp.ground.hpl_tierod_outer  &
   size_of_icons = 31.75
!
point create  &
   point_name = ._fsae_rearsusp.ground.hpr_tierod_outer  &
   location = 903.4, 690.6, 88.9
!
point attributes  &
   point_name = ._fsae_rearsusp.ground.hpr_tierod_outer  &
   size_of_icons = 31.75
!
point create  &
   point_name = ._fsae_rearsusp.ground.hpl_damper_inboard  &
   location = 497.0, -203.2, 281.0
!
point attributes  &
   point_name = ._fsae_rearsusp.ground.hpl_damper_inboard  &
   size_of_icons = 31.75
!
point create  &
   point_name = ._fsae_rearsusp.ground.hpr_damper_inboard  &
   location = 497.0, 203.2, 281.0
!
point attributes  &
   point_name = ._fsae_rearsusp.ground.hpr_damper_inboard  &
   size_of_icons = 31.75
!
point create  &
   point_name = ._fsae_rearsusp.ground.hpl_tierod_inner  &
   location = 776.4, -355.6, 63.5
!
point attributes  &
   point_name = ._fsae_rearsusp.ground.hpl_tierod_inner  &
   size_of_icons = 31.75
!
point create  &
   point_name = ._fsae_rearsusp.ground.hpr_tierod_inner  &
   location = 776.4, 355.6, 63.5
!
point attributes  &
   point_name = ._fsae_rearsusp.ground.hpr_tierod_inner  &
   size_of_icons = 31.75
!
point create  &
   point_name = ._fsae_rearsusp.ground.hpl_uca_front  &
   location = 776.4, -279.4, 179.4
!
point attributes  &
   point_name = ._fsae_rearsusp.ground.hpl_uca_front  &
   size_of_icons = 31.75
!
point create  &
   point_name = ._fsae_rearsusp.ground.hpr_uca_front  &
   location = 776.4, 279.4, 179.4
!
point attributes  &
   point_name = ._fsae_rearsusp.ground.hpr_uca_front  &
   size_of_icons = 31.75
!
point create  &
   point_name = ._fsae_rearsusp.ground.hpl_uca_rear  &
   location = 1284.4, -279.4, 179.4
!
point attributes  &
   point_name = ._fsae_rearsusp.ground.hpl_uca_rear  &
   size_of_icons = 31.75
!
point create  &
   point_name = ._fsae_rearsusp.ground.hpr_uca_rear  &
   location = 1284.4, 279.4, 179.4
!
point attributes  &
   point_name = ._fsae_rearsusp.ground.hpr_uca_rear  &
   size_of_icons = 31.75
!
point create  &
   point_name = ._fsae_rearsusp.ground.hpl_uca_outer  &
   location = 1030.4, -670.0, 255.6
!
point attributes  &
   point_name = ._fsae_rearsusp.ground.hpl_uca_outer  &
   size_of_icons = 31.75
!
point create  &
   point_name = ._fsae_rearsusp.ground.hpr_uca_outer  &
   location = 1030.4, 670.0, 255.6
!
point attributes  &
   point_name = ._fsae_rearsusp.ground.hpr_uca_outer  &
   size_of_icons = 31.75
!
point create  &
   point_name = ._fsae_rearsusp.ground.hpl_damper_outboard  &
   location = 827.2, -203.2, 344.5
!
point attributes  &
   point_name = ._fsae_rearsusp.ground.hpl_damper_outboard  &
   size_of_icons = 31.75
!
point create  &
   point_name = ._fsae_rearsusp.ground.hpr_damper_outboard  &
   location = 827.2, 203.2, 344.5
!
point attributes  &
   point_name = ._fsae_rearsusp.ground.hpr_damper_outboard  &
   size_of_icons = 31.75
!
point create  &
   point_name = ._fsae_rearsusp.ground.hpl_drive_shaft_inr  &
   location = 1000.0, -200.66, 126.06
!
point attributes  &
   point_name = ._fsae_rearsusp.ground.hpl_drive_shaft_inr  &
   size_of_icons = 31.75
!
point create  &
   point_name = ._fsae_rearsusp.ground.hpr_drive_shaft_inr  &
   location = 1000.0, 200.66, 126.06
!
point attributes  &
   point_name = ._fsae_rearsusp.ground.hpr_drive_shaft_inr  &
   size_of_icons = 31.75
!
point create  &
   point_name = ._fsae_rearsusp.ground.hps_camber_adj_orient  &
   location = 1030.4, 0.0, 51.6
!
point create  &
   point_name = ._fsae_rearsusp.ground.hpr_BC_center  &
   location = 817.0, 264.0, 331.8
!
point create  &
   point_name = ._fsae_rearsusp.ground.hpl_BC_center  &
   location = 817.0, -264.0, 331.8
!
point create  &
   point_name = ._fsae_rearsusp.ground.hpr_BC_axis  &
   location = 802.0, 274.0, 408.0
!
point create  &
   point_name = ._fsae_rearsusp.ground.hpl_BC_axis  &
   location = 802.0, -274.0, 408.0
!
point create  &
   point_name = ._fsae_rearsusp.ground.hpr_prod_inboard  &
   location = 878.0, 254.0, 344.5
!
point create  &
   point_name = ._fsae_rearsusp.ground.hpl_prod_inboard  &
   location = 878.0, -254.0, 344.5
!
point create  &
   point_name = ._fsae_rearsusp.ground.hpr_prod_outboard  &
   location = 1005.0, 639.8, 76.2
!
point create  &
   point_name = ._fsae_rearsusp.ground.hpl_prod_outboard  &
   location = 1005.0, -639.8, 76.2
!
point create  &
   point_name = ._fsae_rearsusp.ground.hpl_ride_height  &
   location = 1000.0, -381.0, 63.5
!
point create  &
   point_name = ._fsae_rearsusp.ground.hpr_ride_height  &
   location = 1000.0, 381.0, 63.5
!
! ****** Graphics for current part ******
!
geometry create shape ellipsoid  &
   ellipsoid_name = ._fsae_rearsusp.ground._cv_csolid  &
   center_marker = ._fsae_rearsusp.ground._cv_marker  &
   x_scale_factor = 100.0  &
   y_scale_factor = 100.0  &
   z_scale_factor = 100.0
!
geometry attributes  &
   geometry_name = ._fsae_rearsusp.ground._cv_csolid  &
   active = off
!
part attributes  &
   part_name = ._fsae_rearsusp.ground  &
   size_of_icons = 31.75
!
!------------------------------ gel_tierod_inner ------------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
part create rigid_body name_and_position  &
   part_name = ._fsae_rearsusp.gel_tierod_inner  &
   location = 839.9, -523.1, 76.2  &
   orientation = 20.7619422668d, 85.9446758145d, 280.566733458d
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.gel_tierod_inner
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._fsae_rearsusp.gel_tierod_inner.cm  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.gel_tierod_inner.cm  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.gel_tierod_inner.inertia_frame  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.gel_tierod_inner.inertia_frame  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.gel_tierod_inner.gralin_23  &
   location = 0.0, 0.0, -179.5822652714  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.gel_tierod_inner.gralin_23  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.gel_tierod_inner.jxl_joint_j_1  &
   location = 0.0, 0.0, 0.0  &
   orientation = 180.0d, 180.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.gel_tierod_inner.jxl_joint_j_1  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.gel_tierod_inner.afl_aforce_i_1  &
   location = 0.0, 0.0, -179.5822652714  &
   orientation = 180.0d, 180.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.gel_tierod_inner.afl_aforce_i_1  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.gel_tierod_inner.jxl_joint_i_11  &
   location = 0.0, 0.0, -179.5822652714  &
   orientation = 90.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.gel_tierod_inner.jxl_joint_i_11  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.gel_tierod_inner.graell_11  &
   location = 0.0, 0.0, -179.5822652714  &
   orientation = 259.433266542d, 85.9446758145d, 159.2380577332d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.gel_tierod_inner.graell_11  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
part create rigid_body mass_properties  &
   part_name = ._fsae_rearsusp.gel_tierod_inner  &
   mass = 1.0  &
   center_of_mass_marker = ._fsae_rearsusp.gel_tierod_inner.cm  &
   inertia_marker = ._fsae_rearsusp.gel_tierod_inner.inertia_frame  &
   ixx = 1.0  &
   iyy = 1.0  &
   izz = 1.0  &
   ixy = 0.0  &
   izx = 0.0  &
   iyz = 0.0
!
! ****** Graphics for current part ******
!
geometry create shape cylinder  &
   cylinder_name = ._fsae_rearsusp.gel_tierod_inner.gralin_tierod_inner  &
   center_marker = ._fsae_rearsusp.gel_tierod_inner.gralin_23  &
   angle_extent = 360.0  &
   length = 179.5822652714  &
   radius = 6.35  &
   side_count_for_body = 15  &
   segment_count_for_ends = 15
!
geometry attributes  &
   geometry_name = ._fsae_rearsusp.gel_tierod_inner.gralin_tierod_inner  &
   color = SILVER
!
geometry create shape ellipsoid  &
   ellipsoid_name = ._fsae_rearsusp.gel_tierod_inner.graell_tierod_inner  &
   center_marker = ._fsae_rearsusp.gel_tierod_inner.graell_11  &
   x_scale_factor = 12.7  &
   y_scale_factor = 12.7  &
   z_scale_factor = 12.7
!
geometry attributes  &
   geometry_name = ._fsae_rearsusp.gel_tierod_inner.graell_tierod_inner  &
   color = SILVER
!
part attributes  &
   part_name = ._fsae_rearsusp.gel_tierod_inner  &
   visibility = on  &
   name_visibility = on  &
   size_of_icons = 31.75
!
!------------------------------ ger_tierod_inner ------------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
part create rigid_body name_and_position  &
   part_name = ._fsae_rearsusp.ger_tierod_inner  &
   location = 839.9, 523.1, 76.2  &
   orientation = 159.2380577332d, 85.9446758145d, 259.433266542d
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ger_tierod_inner
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._fsae_rearsusp.ger_tierod_inner.cm  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ger_tierod_inner.cm  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.ger_tierod_inner.inertia_frame  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ger_tierod_inner.inertia_frame  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.ger_tierod_inner.gralin_24  &
   location = 0.0, 0.0, -179.5822652714  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ger_tierod_inner.gralin_24  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.ger_tierod_inner.jxr_joint_j_1  &
   location = 0.0, 0.0, 0.0  &
   orientation = 180.0d, 180.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ger_tierod_inner.jxr_joint_j_1  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.ger_tierod_inner.afr_aforce_i_1  &
   location = 0.0, 0.0, -179.5822652714  &
   orientation = 180.0d, 180.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ger_tierod_inner.afr_aforce_i_1  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.ger_tierod_inner.jxr_joint_i_11  &
   location = 0.0, 0.0, -179.5822652714  &
   orientation = 270.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ger_tierod_inner.jxr_joint_i_11  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.ger_tierod_inner.graell_12  &
   location = 0.0, 0.0, -179.5822652714  &
   orientation = 280.566733458d, 85.9446758145d, 20.7619422668d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ger_tierod_inner.graell_12  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
part create rigid_body mass_properties  &
   part_name = ._fsae_rearsusp.ger_tierod_inner  &
   mass = 1.0  &
   center_of_mass_marker = ._fsae_rearsusp.ger_tierod_inner.cm  &
   inertia_marker = ._fsae_rearsusp.ger_tierod_inner.inertia_frame  &
   ixx = 1.0  &
   iyy = 1.0  &
   izz = 1.0  &
   ixy = 0.0  &
   izx = 0.0  &
   iyz = 0.0
!
! ****** Graphics for current part ******
!
geometry create shape cylinder  &
   cylinder_name = ._fsae_rearsusp.ger_tierod_inner.gralin_tierod_inner  &
   center_marker = ._fsae_rearsusp.ger_tierod_inner.gralin_24  &
   angle_extent = 360.0  &
   length = 179.5822652714  &
   radius = 6.35  &
   side_count_for_body = 15  &
   segment_count_for_ends = 15
!
geometry attributes  &
   geometry_name = ._fsae_rearsusp.ger_tierod_inner.gralin_tierod_inner  &
   color = SILVER
!
geometry create shape ellipsoid  &
   ellipsoid_name = ._fsae_rearsusp.ger_tierod_inner.graell_tierod_inner  &
   center_marker = ._fsae_rearsusp.ger_tierod_inner.graell_12  &
   x_scale_factor = 12.7  &
   y_scale_factor = 12.7  &
   z_scale_factor = 12.7
!
geometry attributes  &
   geometry_name = ._fsae_rearsusp.ger_tierod_inner.graell_tierod_inner  &
   color = SILVER
!
part attributes  &
   part_name = ._fsae_rearsusp.ger_tierod_inner  &
   visibility = on  &
   name_visibility = on  &
   size_of_icons = 31.75
!
!------------------------------ gel_tierod_outer ------------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
part create rigid_body name_and_position  &
   part_name = ._fsae_rearsusp.gel_tierod_outer  &
   location = 839.9, -523.1, 76.2  &
   orientation = 20.7619422668d, 85.9446758145d, 280.566733458d
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.gel_tierod_outer
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._fsae_rearsusp.gel_tierod_outer.cm  &
   location = 0.0, 0.0, 69.9214876599  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.gel_tierod_outer.cm  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.gel_tierod_outer.inertia_frame  &
   location = 0.0, 0.0, 69.9214876599  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.gel_tierod_outer.inertia_frame  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.gel_tierod_outer.gralin_25  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.gel_tierod_outer.gralin_25  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.gel_tierod_outer.jxl_joint_i_1  &
   location = 0.0, 0.0, 0.0  &
   orientation = 180.0d, 180.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.gel_tierod_outer.jxl_joint_i_1  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.gel_tierod_outer.afl_aforce_j_1  &
   location = 0.0, 0.0, 179.5822652714  &
   orientation = 180.0d, 180.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.gel_tierod_outer.afl_aforce_j_1  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.gel_tierod_outer.jxl_joint_i_10  &
   location = 0.0, 0.0, 179.5822652714  &
   orientation = 259.433266542d, 85.9446758145d, 159.2380577332d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.gel_tierod_outer.jxl_joint_i_10  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.gel_tierod_outer.graell_9  &
   location = 0.0, 0.0, 179.5822652714  &
   orientation = 259.433266542d, 85.9446758145d, 159.2380577332d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.gel_tierod_outer.graell_9  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
part create rigid_body mass_properties  &
   part_name = ._fsae_rearsusp.gel_tierod_outer  &
   mass = 4.731424157E-02  &
   center_of_mass_marker = ._fsae_rearsusp.gel_tierod_outer.cm  &
   inertia_marker = ._fsae_rearsusp.gel_tierod_outer.inertia_frame  &
   ixx = 76.5337615404  &
   iyy = 76.5337615404  &
   izz = 0.9162819029  &
   ixy = 0.0  &
   izx = 0.0  &
   iyz = 0.0
!
! ****** Graphics for current part ******
!
geometry create shape cylinder  &
   cylinder_name = ._fsae_rearsusp.gel_tierod_outer.gralin_tierod_outer  &
   center_marker = ._fsae_rearsusp.gel_tierod_outer.gralin_25  &
   angle_extent = 360.0  &
   length = 179.5822652714  &
   radius = 6.35  &
   side_count_for_body = 15  &
   segment_count_for_ends = 15
!
geometry attributes  &
   geometry_name = ._fsae_rearsusp.gel_tierod_outer.gralin_tierod_outer  &
   color = SILVER
!
geometry create shape ellipsoid  &
   ellipsoid_name = ._fsae_rearsusp.gel_tierod_outer.graell_tierod_outer  &
   center_marker = ._fsae_rearsusp.gel_tierod_outer.graell_9  &
   x_scale_factor = 12.7  &
   y_scale_factor = 12.7  &
   z_scale_factor = 12.7
!
geometry attributes  &
   geometry_name = ._fsae_rearsusp.gel_tierod_outer.graell_tierod_outer  &
   color = SILVER
!
part attributes  &
   part_name = ._fsae_rearsusp.gel_tierod_outer  &
   visibility = on  &
   name_visibility = on  &
   size_of_icons = 31.75
!
!------------------------------ ger_tierod_outer ------------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
part create rigid_body name_and_position  &
   part_name = ._fsae_rearsusp.ger_tierod_outer  &
   location = 839.9, 523.1, 76.2  &
   orientation = 159.2380577332d, 85.9446758145d, 259.433266542d
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ger_tierod_outer
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._fsae_rearsusp.ger_tierod_outer.cm  &
   location = 0.0, 0.0, 69.9214876599  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ger_tierod_outer.cm  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.ger_tierod_outer.inertia_frame  &
   location = 0.0, 0.0, 69.9214876599  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ger_tierod_outer.inertia_frame  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.ger_tierod_outer.gralin_26  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ger_tierod_outer.gralin_26  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.ger_tierod_outer.jxr_joint_i_1  &
   location = 0.0, 0.0, 0.0  &
   orientation = 180.0d, 180.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ger_tierod_outer.jxr_joint_i_1  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.ger_tierod_outer.jxr_joint_i_10  &
   location = 0.0, 0.0, 179.5822652714  &
   orientation = 280.566733458d, 85.9446758145d, 20.7619422668d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ger_tierod_outer.jxr_joint_i_10  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.ger_tierod_outer.afr_aforce_j_1  &
   location = 0.0, 0.0, 179.5822652714  &
   orientation = 180.0d, 180.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ger_tierod_outer.afr_aforce_j_1  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.ger_tierod_outer.graell_10  &
   location = 0.0, 0.0, 179.5822652714  &
   orientation = 280.566733458d, 85.9446758145d, 20.7619422668d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ger_tierod_outer.graell_10  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
part create rigid_body mass_properties  &
   part_name = ._fsae_rearsusp.ger_tierod_outer  &
   mass = 4.731424157E-02  &
   center_of_mass_marker = ._fsae_rearsusp.ger_tierod_outer.cm  &
   inertia_marker = ._fsae_rearsusp.ger_tierod_outer.inertia_frame  &
   ixx = 76.5337615404  &
   iyy = 76.5337615404  &
   izz = 0.9162819029  &
   ixy = 0.0  &
   izx = 0.0  &
   iyz = 0.0
!
! ****** Graphics for current part ******
!
geometry create shape cylinder  &
   cylinder_name = ._fsae_rearsusp.ger_tierod_outer.gralin_tierod_outer  &
   center_marker = ._fsae_rearsusp.ger_tierod_outer.gralin_26  &
   angle_extent = 360.0  &
   length = 179.5822652714  &
   radius = 6.35  &
   side_count_for_body = 15  &
   segment_count_for_ends = 15
!
geometry attributes  &
   geometry_name = ._fsae_rearsusp.ger_tierod_outer.gralin_tierod_outer  &
   color = SILVER
!
geometry create shape ellipsoid  &
   ellipsoid_name = ._fsae_rearsusp.ger_tierod_outer.graell_tierod_outer  &
   center_marker = ._fsae_rearsusp.ger_tierod_outer.graell_10  &
   x_scale_factor = 12.7  &
   y_scale_factor = 12.7  &
   z_scale_factor = 12.7
!
geometry attributes  &
   geometry_name = ._fsae_rearsusp.ger_tierod_outer.graell_tierod_outer  &
   color = SILVER
!
part attributes  &
   part_name = ._fsae_rearsusp.ger_tierod_outer  &
   visibility = on  &
   name_visibility = on  &
   size_of_icons = 31.75
!
!--------------------------- gel_lower_control_arm ----------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
part create rigid_body name_and_position  &
   part_name = ._fsae_rearsusp.gel_lower_control_arm  &
   location = 1030.4, -480.6666666667, 59.5333333333  &
   orientation = 0.0d, 92.2791308365d, 180.0d
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.gel_lower_control_arm
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._fsae_rearsusp.gel_lower_control_arm.cm  &
   location = 3.3763037325, 0.0, 48.1298737756  &
   orientation = 90.0d, 144.780963382d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.gel_lower_control_arm.cm  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.gel_lower_control_arm.kp1_1  &
   location = 0.0, 0.0, 199.4911415466  &
   orientation = 0.0d, 92.2791308365d, 180.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.gel_lower_control_arm.kp1_1  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.gel_lower_control_arm.inertia_frame  &
   location = 3.3763037325, 0.0, 48.1298737756  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.gel_lower_control_arm.inertia_frame  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.gel_lower_control_arm.gralin_5  &
   location = 254.0, 0.0, -99.7455707733  &
   orientation = 270.0d, 40.325473956d, 90.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.gel_lower_control_arm.gralin_5  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.gel_lower_control_arm.gralin_7  &
   location = -254.0, 0.0, -99.7455707733  &
   orientation = 90.0d, 40.325473956d, 270.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.gel_lower_control_arm.gralin_7  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.gel_lower_control_arm.graell_23  &
   location = -254.0, 0.0, -99.7455707733  &
   orientation = 0.0d, 92.2791308365d, 180.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.gel_lower_control_arm.graell_23  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_rearsusp.gel_lower_control_arm.graell_21  &
   location = 254.0, 0.0, -99.7455707733  &
   orientation = 0.0d, 92.2791308365d, 180.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.gel_lower_control_arm.graell_21  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_rearsusp.gel_lower_control_arm.graell_5  &
   location = 0.0, 0.0, 199.4911415466  &
   orientation = 0.0d, 92.2791308365d, 180.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.gel_lower_control_arm.graell_5  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_rearsusp.gel_lower_control_arm.jxl_joint_j_9  &
   location = 0.0, 0.0, 199.4911415466  &
   orientation = 0.0d, 92.2791308365d, 180.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.gel_lower_control_arm.jxl_joint_j_9  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.gel_lower_control_arm.jxl_joint_i_5  &
   location = 25.4, -22.9818726007, 158.3446528536  &
   orientation = 0.0d, 92.2791308365d, 180.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.gel_lower_control_arm.jxl_joint_i_5  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_rearsusp.gel_lower_control_arm.coomarker_1  &
   location = 30.4, 0.0, -99.7455707733  &
   orientation = 0.0d, 92.2791308365d, 180.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.gel_lower_control_arm.coomarker_1  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.gel_lower_control_arm.bxl_bushing_i_1  &
   location = 254.0, 0.0, -99.7455707733  &
   orientation = 270.0d, 90.0d, 177.7208691635d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.gel_lower_control_arm.bxl_bushing_i_1  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_rearsusp.gel_lower_control_arm.bxl_bushgeom_i_1  &
   location = 266.7, 0.0, -99.7455707733  &
   orientation = 270.0d, 90.0d, 87.7208691635d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.gel_lower_control_arm.bxl_bushgeom_i_1  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_rearsusp.gel_lower_control_arm.bxl_bushing_i_2  &
   location = -254.0, 0.0, -99.7455707733  &
   orientation = 90.0d, 90.0d, 182.2791308365d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.gel_lower_control_arm.bxl_bushing_i_2  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_rearsusp.gel_lower_control_arm.bxl_bushgeom_i_2  &
   location = -266.7, 0.0, -99.7455707733  &
   orientation = 90.0d, 90.0d, 92.2791308365d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.gel_lower_control_arm.bxl_bushgeom_i_2  &
   visibility = off  &
   name_visibility = off
!
part create rigid_body mass_properties  &
   part_name = ._fsae_rearsusp.gel_lower_control_arm  &
   mass = 0.5504306115  &
   center_of_mass_marker = ._fsae_rearsusp.gel_lower_control_arm.cm  &
   inertia_marker = ._fsae_rearsusp.gel_lower_control_arm.inertia_frame  &
   ixx = 4910.7870173559  &
   iyy = 9358.374650177  &
   izz = 4471.6060962303  &
   ixy = 0.0  &
   izx = 0.0  &
   iyz = 0.0
!
! ****** Graphics for current part ******
!
geometry create shape cylinder  &
   cylinder_name = ._fsae_rearsusp.gel_lower_control_arm.gralin_lca_front  &
   center_marker = ._fsae_rearsusp.gel_lower_control_arm.gralin_5  &
   angle_extent = 360.0  &
   length = 392.5030063579  &
   radius = 9.525  &
   side_count_for_body = 15  &
   segment_count_for_ends = 15
!
geometry attributes  &
   geometry_name = ._fsae_rearsusp.gel_lower_control_arm.gralin_lca_front  &
   color = RED
!
geometry create shape cylinder  &
   cylinder_name = ._fsae_rearsusp.gel_lower_control_arm.gralin_lca_rear  &
   center_marker = ._fsae_rearsusp.gel_lower_control_arm.gralin_7  &
   angle_extent = 360.0  &
   length = 392.5030063579  &
   radius = 9.525  &
   side_count_for_body = 15  &
   segment_count_for_ends = 15
!
geometry attributes  &
   geometry_name = ._fsae_rearsusp.gel_lower_control_arm.gralin_lca_rear  &
   color = RED
!
geometry create shape ellipsoid  &
   ellipsoid_name = ._fsae_rearsusp.gel_lower_control_arm.graell_lca_rear  &
   center_marker = ._fsae_rearsusp.gel_lower_control_arm.graell_23  &
   x_scale_factor = 19.05  &
   y_scale_factor = 19.05  &
   z_scale_factor = 19.05
!
geometry attributes  &
   geometry_name = ._fsae_rearsusp.gel_lower_control_arm.graell_lca_rear  &
   color = RED
!
geometry create shape ellipsoid  &
   ellipsoid_name = ._fsae_rearsusp.gel_lower_control_arm.graell_lca_front  &
   center_marker = ._fsae_rearsusp.gel_lower_control_arm.graell_21  &
   x_scale_factor = 19.05  &
   y_scale_factor = 19.05  &
   z_scale_factor = 19.05
!
geometry attributes  &
   geometry_name = ._fsae_rearsusp.gel_lower_control_arm.graell_lca_front  &
   color = RED
!
geometry create shape ellipsoid  &
   ellipsoid_name = ._fsae_rearsusp.gel_lower_control_arm.graell_lca_outer  &
   center_marker = ._fsae_rearsusp.gel_lower_control_arm.graell_5  &
   x_scale_factor = 19.05  &
   y_scale_factor = 19.05  &
   z_scale_factor = 19.05
!
geometry attributes  &
   geometry_name = ._fsae_rearsusp.gel_lower_control_arm.graell_lca_outer  &
   color = RED
!
part attributes  &
   part_name = ._fsae_rearsusp.gel_lower_control_arm  &
   size_of_icons = 31.75
!
!--------------------------- ger_lower_control_arm ----------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
part create rigid_body name_and_position  &
   part_name = ._fsae_rearsusp.ger_lower_control_arm  &
   location = 1030.4, 480.6666666667, 59.5333333333  &
   orientation = 180.0d, 92.2791308365d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ger_lower_control_arm
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._fsae_rearsusp.ger_lower_control_arm.cm  &
   location = 3.3763037325, 0.0, 48.1298737756  &
   orientation = 90.0d, 144.780963382d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ger_lower_control_arm.cm  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.ger_lower_control_arm.kp1_2  &
   location = 0.0, 0.0, 199.4911415466  &
   orientation = 180.0d, 92.2791308365d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ger_lower_control_arm.kp1_2  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.ger_lower_control_arm.inertia_frame  &
   location = 3.3763037325, 0.0, 48.1298737756  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ger_lower_control_arm.inertia_frame  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.ger_lower_control_arm.gralin_6  &
   location = 254.0, 0.0, -99.7455707733  &
   orientation = 270.0d, 40.325473956d, 90.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ger_lower_control_arm.gralin_6  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.ger_lower_control_arm.gralin_8  &
   location = -254.0, 0.0, -99.7455707733  &
   orientation = 90.0d, 40.325473956d, 270.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ger_lower_control_arm.gralin_8  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.ger_lower_control_arm.graell_24  &
   location = -254.0, 0.0, -99.7455707733  &
   orientation = 180.0d, 92.2791308365d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ger_lower_control_arm.graell_24  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_rearsusp.ger_lower_control_arm.graell_22  &
   location = 254.0, 0.0, -99.7455707733  &
   orientation = 180.0d, 92.2791308365d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ger_lower_control_arm.graell_22  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_rearsusp.ger_lower_control_arm.graell_6  &
   location = 0.0, 0.0, 199.4911415466  &
   orientation = 180.0d, 92.2791308365d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ger_lower_control_arm.graell_6  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_rearsusp.ger_lower_control_arm.jxr_joint_j_9  &
   location = 0.0, 0.0, 199.4911415466  &
   orientation = 180.0d, 92.2791308365d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ger_lower_control_arm.jxr_joint_j_9  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.ger_lower_control_arm.jxr_joint_i_5  &
   location = 25.4, 22.9818726007, 158.3446528536  &
   orientation = 180.0d, 92.2791308365d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ger_lower_control_arm.jxr_joint_i_5  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_rearsusp.ger_lower_control_arm.coomarker_2  &
   location = 30.4, 0.0, -99.7455707733  &
   orientation = 180.0d, 92.2791308365d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ger_lower_control_arm.coomarker_2  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.ger_lower_control_arm.bxr_bushing_i_1  &
   location = 254.0, 0.0, -99.7455707733  &
   orientation = 270.0d, 90.0d, 2.2791308365d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ger_lower_control_arm.bxr_bushing_i_1  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_rearsusp.ger_lower_control_arm.bxr_bushgeom_i_1  &
   location = 266.7, 0.0, -99.7455707733  &
   orientation = 270.0d, 90.0d, 272.2791308365d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ger_lower_control_arm.bxr_bushgeom_i_1  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_rearsusp.ger_lower_control_arm.bxr_bushing_i_2  &
   location = -254.0, 0.0, -99.7455707733  &
   orientation = 90.0d, 90.0d, 357.7208691635d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ger_lower_control_arm.bxr_bushing_i_2  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_rearsusp.ger_lower_control_arm.bxr_bushgeom_i_2  &
   location = -266.7, 0.0, -99.7455707733  &
   orientation = 90.0d, 90.0d, 267.7208691635d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ger_lower_control_arm.bxr_bushgeom_i_2  &
   visibility = off  &
   name_visibility = off
!
part create rigid_body mass_properties  &
   part_name = ._fsae_rearsusp.ger_lower_control_arm  &
   mass = 0.5504306115  &
   center_of_mass_marker = ._fsae_rearsusp.ger_lower_control_arm.cm  &
   inertia_marker = ._fsae_rearsusp.ger_lower_control_arm.inertia_frame  &
   ixx = 4910.7870173559  &
   iyy = 9358.374650177  &
   izz = 4471.6060962303  &
   ixy = 0.0  &
   izx = 0.0  &
   iyz = 0.0
!
! ****** Graphics for current part ******
!
geometry create shape cylinder  &
   cylinder_name = ._fsae_rearsusp.ger_lower_control_arm.gralin_lca_front  &
   center_marker = ._fsae_rearsusp.ger_lower_control_arm.gralin_6  &
   angle_extent = 360.0  &
   length = 392.5030063579  &
   radius = 9.525  &
   side_count_for_body = 15  &
   segment_count_for_ends = 15
!
geometry attributes  &
   geometry_name = ._fsae_rearsusp.ger_lower_control_arm.gralin_lca_front  &
   color = RED
!
geometry create shape cylinder  &
   cylinder_name = ._fsae_rearsusp.ger_lower_control_arm.gralin_lca_rear  &
   center_marker = ._fsae_rearsusp.ger_lower_control_arm.gralin_8  &
   angle_extent = 360.0  &
   length = 392.5030063579  &
   radius = 9.525  &
   side_count_for_body = 15  &
   segment_count_for_ends = 15
!
geometry attributes  &
   geometry_name = ._fsae_rearsusp.ger_lower_control_arm.gralin_lca_rear  &
   color = RED
!
geometry create shape ellipsoid  &
   ellipsoid_name = ._fsae_rearsusp.ger_lower_control_arm.graell_lca_rear  &
   center_marker = ._fsae_rearsusp.ger_lower_control_arm.graell_24  &
   x_scale_factor = 19.05  &
   y_scale_factor = 19.05  &
   z_scale_factor = 19.05
!
geometry attributes  &
   geometry_name = ._fsae_rearsusp.ger_lower_control_arm.graell_lca_rear  &
   color = RED
!
geometry create shape ellipsoid  &
   ellipsoid_name = ._fsae_rearsusp.ger_lower_control_arm.graell_lca_front  &
   center_marker = ._fsae_rearsusp.ger_lower_control_arm.graell_22  &
   x_scale_factor = 19.05  &
   y_scale_factor = 19.05  &
   z_scale_factor = 19.05
!
geometry attributes  &
   geometry_name = ._fsae_rearsusp.ger_lower_control_arm.graell_lca_front  &
   color = RED
!
geometry create shape ellipsoid  &
   ellipsoid_name = ._fsae_rearsusp.ger_lower_control_arm.graell_lca_outer  &
   center_marker = ._fsae_rearsusp.ger_lower_control_arm.graell_6  &
   x_scale_factor = 19.05  &
   y_scale_factor = 19.05  &
   z_scale_factor = 19.05
!
geometry attributes  &
   geometry_name = ._fsae_rearsusp.ger_lower_control_arm.graell_lca_outer  &
   color = RED
!
part attributes  &
   part_name = ._fsae_rearsusp.ger_lower_control_arm  &
   size_of_icons = 31.75
!
!-------------------------------- gel_upright ---------------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
part create rigid_body name_and_position  &
   part_name = ._fsae_rearsusp.gel_upright  &
   location = 1030.4, -700.0, 154.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.gel_upright
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._fsae_rearsusp.gel_upright.afl_aforce_meai_2  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 90.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.gel_upright.afl_aforce_meai_2  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.gel_upright.cm  &
   location = -41.9133353093, 3.9339888461, -21.5981609545  &
   orientation = 265.6543188178d, 159.3400586472d, 180.0008344572d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.gel_upright.cm  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.gel_upright.jolcyl_strut_1  &
   location = -203.2, 496.8, 190.5  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.gel_upright.jolcyl_strut_1  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.gel_upright.geomar_1  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 90.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.gel_upright.geomar_1  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.gel_upright.inertia_frame  &
   location = -41.9133353093, 3.9339888461, -21.5981609545  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.gel_upright.inertia_frame  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.gel_upright.jxl_joint_j_20  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 90.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.gel_upright.jxl_joint_j_20  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.gel_upright.afl_aforce_meai_1  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 90.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.gel_upright.afl_aforce_meai_1  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.gel_upright.mal_wheel_center  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 90.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.gel_upright.mal_wheel_center  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.gel_upright.mal_kingpin_axis  &
   location = 0.0, 20.0, -102.4  &
   orientation = 180.0d, 2.8063702518d, 180.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.gel_upright.mal_kingpin_axis  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.gel_upright.jxl_joint_j_2  &
   location = 0.0, 20.0, -102.4  &
   orientation = 180.0d, 90.0d, 180.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.gel_upright.jxl_joint_j_2  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.gel_upright.afl_aforce_i_2  &
   location = 0.0, 20.0, -102.4  &
   orientation = 0.0d, 90.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.gel_upright.afl_aforce_i_2  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.gel_upright.jxl_joint_j_10  &
   location = -127.0, 9.4, -65.1  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.gel_upright.jxl_joint_j_10  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.gel_upright.jxl_joint_j_13  &
   location = 0.0, 30.0, 101.6  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.gel_upright.jxl_joint_j_13  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.gel_upright.graarm_7  &
   location = 0.0, 30.0, 101.6  &
   orientation = 90.0d, 90.0d, 253.5494158157d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.gel_upright.graarm_7  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_rearsusp.gel_upright.graarm_8  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.gel_upright.graarm_8  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_rearsusp.gel_upright.graarm_9  &
   location = 0.0, 20.0, -102.4  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.gel_upright.graarm_9  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_rearsusp.gel_upright.graarm_13  &
   location = 0.0, 30.0, 101.6  &
   orientation = 90.0d, 90.0d, 253.5494158157d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.gel_upright.graarm_13  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_rearsusp.gel_upright.graarm_14  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.gel_upright.graarm_14  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_rearsusp.gel_upright.graarm_15  &
   location = 0.0, 20.0, -102.4  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.gel_upright.graarm_15  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_rearsusp.gel_upright.graarm_19  &
   location = 0.0, 20.0, -102.4  &
   orientation = 5.589263069d, 87.2069509833d, 89.7267778887d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.gel_upright.graarm_19  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_rearsusp.gel_upright.graarm_20  &
   location = 0.0, 30.0, 101.6  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.gel_upright.graarm_20  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_rearsusp.gel_upright.graarm_21  &
   location = -127.0, 9.4, -65.1  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.gel_upright.graarm_21  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_rearsusp.gel_upright.graarm_25  &
   location = 0.0, 20.0, -102.4  &
   orientation = 90.0d, 90.0d, 87.1936297482d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.gel_upright.graarm_25  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_rearsusp.gel_upright.graarm_26  &
   location = 0.0, 30.0, 101.6  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.gel_upright.graarm_26  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_rearsusp.gel_upright.graarm_27  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.gel_upright.graarm_27  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_rearsusp.gel_upright.graarm_31  &
   location = 0.0, 20.0, -102.4  &
   orientation = 90.0d, 90.0d, 87.1936297482d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.gel_upright.graarm_31  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_rearsusp.gel_upright.graarm_32  &
   location = 0.0, 30.0, 101.6  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.gel_upright.graarm_32  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_rearsusp.gel_upright.graarm_33  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.gel_upright.graarm_33  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_rearsusp.gel_upright.graarm_37  &
   location = 0.0, 20.0, -102.4  &
   orientation = 181.4951452274d, 78.9522129738d, 16.6307649959d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.gel_upright.graarm_37  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_rearsusp.gel_upright.graarm_38  &
   location = -127.0, 9.4, -65.1  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.gel_upright.graarm_38  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_rearsusp.gel_upright.graarm_39  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.gel_upright.graarm_39  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_rearsusp.gel_upright.graarm_43  &
   location = 0.0, 30.0, 101.6  &
   orientation = 347.2992465681d, 73.9309178925d, 235.4696641453d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.gel_upright.graarm_43  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_rearsusp.gel_upright.graarm_44  &
   location = -127.0, 9.4, -65.1  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.gel_upright.graarm_44  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_rearsusp.gel_upright.graarm_45  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.gel_upright.graarm_45  &
   visibility = off  &
   name_visibility = off
!
part create rigid_body mass_properties  &
   part_name = ._fsae_rearsusp.gel_upright  &
   mass = 0.2105200949  &
   center_of_mass_marker = ._fsae_rearsusp.gel_upright.cm  &
   inertia_marker = ._fsae_rearsusp.gel_upright.inertia_frame  &
   ixx = 425.3551323157  &
   iyy = 619.8660371467  &
   izz = 196.8287909872  &
   ixy = -14.869363815  &
   izx = 99.6688505798  &
   iyz = -7.5732374799
!
! ****** Graphics for current part ******
!
geometry create shape plate  &
   plate_name = ._fsae_rearsusp.gel_upright.graarm_upright1  &
   marker_name = ._fsae_rearsusp.gel_upright.graarm_19,  &
                 ._fsae_rearsusp.gel_upright.graarm_20,  &
                 ._fsae_rearsusp.gel_upright.graarm_21  &
   width = 1.0  &
   radius = 0.5
!
geometry attributes  &
   geometry_name = ._fsae_rearsusp.gel_upright.graarm_upright1  &
   color = RED
!
geometry create shape plate  &
   plate_name = ._fsae_rearsusp.gel_upright.graarm_upright2  &
   marker_name = ._fsae_rearsusp.gel_upright.graarm_31,  &
                 ._fsae_rearsusp.gel_upright.graarm_32,  &
                 ._fsae_rearsusp.gel_upright.graarm_33  &
   width = 1.0  &
   radius = 0.5
!
geometry attributes  &
   geometry_name = ._fsae_rearsusp.gel_upright.graarm_upright2  &
   color = RED
!
geometry create shape plate  &
   plate_name = ._fsae_rearsusp.gel_upright.graarm_upright3  &
   marker_name = ._fsae_rearsusp.gel_upright.graarm_37,  &
                 ._fsae_rearsusp.gel_upright.graarm_38,  &
                 ._fsae_rearsusp.gel_upright.graarm_39  &
   width = 1.0  &
   radius = 0.5
!
geometry attributes  &
   geometry_name = ._fsae_rearsusp.gel_upright.graarm_upright3  &
   color = RED
!
geometry create shape plate  &
   plate_name = ._fsae_rearsusp.gel_upright.graarm_upright4  &
   marker_name = ._fsae_rearsusp.gel_upright.graarm_43,  &
                 ._fsae_rearsusp.gel_upright.graarm_44,  &
                 ._fsae_rearsusp.gel_upright.graarm_45  &
   width = 1.0  &
   radius = 0.5
!
geometry attributes  &
   geometry_name = ._fsae_rearsusp.gel_upright.graarm_upright4  &
   color = RED
!
part attributes  &
   part_name = ._fsae_rearsusp.gel_upright  &
   size_of_icons = 31.75
!
!-------------------------------- ger_upright ---------------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
part create rigid_body name_and_position  &
   part_name = ._fsae_rearsusp.ger_upright  &
   location = 1030.4, 700.0, 154.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ger_upright
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._fsae_rearsusp.ger_upright.afr_aforce_meai_2  &
   location = 0.0, 0.0, 0.0  &
   orientation = 180.0d, 90.0d, 180.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ger_upright.afr_aforce_meai_2  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.ger_upright.cm  &
   location = -41.9133353093, -3.9339888461, -21.5981609545  &
   orientation = 274.3456811822d, 159.3400586472d, 179.9991655428d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ger_upright.cm  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.ger_upright.jorcyl_strut_1  &
   location = -203.2, -496.8, 190.5  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ger_upright.jorcyl_strut_1  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.ger_upright.geomar_2  &
   location = 0.0, 0.0, 0.0  &
   orientation = 180.0d, 90.0d, 180.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ger_upright.geomar_2  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.ger_upright.inertia_frame  &
   location = -41.9133353093, -3.9339888461, -21.5981609545  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ger_upright.inertia_frame  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.ger_upright.jxr_joint_j_20  &
   location = 0.0, 0.0, 0.0  &
   orientation = 180.0d, 90.0d, 180.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ger_upright.jxr_joint_j_20  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.ger_upright.afr_aforce_meai_1  &
   location = 0.0, 0.0, 0.0  &
   orientation = 180.0d, 90.0d, 180.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ger_upright.afr_aforce_meai_1  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.ger_upright.mar_wheel_center  &
   location = 0.0, 0.0, 0.0  &
   orientation = 180.0d, 90.0d, 180.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ger_upright.mar_wheel_center  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.ger_upright.mar_kingpin_axis  &
   location = 0.0, -20.0, -102.4  &
   orientation = 0.0d, 2.8063702518d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ger_upright.mar_kingpin_axis  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.ger_upright.jxr_joint_j_2  &
   location = 0.0, -20.0, -102.4  &
   orientation = 0.0d, 90.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ger_upright.jxr_joint_j_2  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.ger_upright.afr_aforce_i_2  &
   location = 0.0, -20.0, -102.4  &
   orientation = 180.0d, 90.0d, 180.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ger_upright.afr_aforce_i_2  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.ger_upright.jxr_joint_j_10  &
   location = -127.0, -9.4, -65.1  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ger_upright.jxr_joint_j_10  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.ger_upright.jxr_joint_j_13  &
   location = 0.0, -30.0, 101.6  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ger_upright.jxr_joint_j_13  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.ger_upright.graarm_10  &
   location = 0.0, -30.0, 101.6  &
   orientation = 270.0d, 90.0d, 253.5494158157d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ger_upright.graarm_10  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_rearsusp.ger_upright.graarm_11  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ger_upright.graarm_11  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_rearsusp.ger_upright.graarm_12  &
   location = 0.0, -20.0, -102.4  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ger_upright.graarm_12  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_rearsusp.ger_upright.graarm_16  &
   location = 0.0, -30.0, 101.6  &
   orientation = 270.0d, 90.0d, 253.5494158157d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ger_upright.graarm_16  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_rearsusp.ger_upright.graarm_17  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ger_upright.graarm_17  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_rearsusp.ger_upright.graarm_18  &
   location = 0.0, -20.0, -102.4  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ger_upright.graarm_18  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_rearsusp.ger_upright.graarm_22  &
   location = 0.0, -20.0, -102.4  &
   orientation = 354.410736931d, 92.7930490167d, 89.7267778887d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ger_upright.graarm_22  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_rearsusp.ger_upright.graarm_23  &
   location = 0.0, -30.0, 101.6  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ger_upright.graarm_23  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_rearsusp.ger_upright.graarm_24  &
   location = -127.0, -9.4, -65.1  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ger_upright.graarm_24  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_rearsusp.ger_upright.graarm_28  &
   location = 0.0, -20.0, -102.4  &
   orientation = 270.0d, 90.0d, 87.1936297482d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ger_upright.graarm_28  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_rearsusp.ger_upright.graarm_29  &
   location = 0.0, -30.0, 101.6  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ger_upright.graarm_29  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_rearsusp.ger_upright.graarm_30  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ger_upright.graarm_30  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_rearsusp.ger_upright.graarm_34  &
   location = 0.0, -20.0, -102.4  &
   orientation = 270.0d, 90.0d, 87.1936297482d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ger_upright.graarm_34  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_rearsusp.ger_upright.graarm_35  &
   location = 0.0, -30.0, 101.6  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ger_upright.graarm_35  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_rearsusp.ger_upright.graarm_36  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ger_upright.graarm_36  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_rearsusp.ger_upright.graarm_40  &
   location = 0.0, -20.0, -102.4  &
   orientation = 178.5048547726d, 101.0477870262d, 16.6307649959d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ger_upright.graarm_40  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_rearsusp.ger_upright.graarm_41  &
   location = -127.0, -9.4, -65.1  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ger_upright.graarm_41  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_rearsusp.ger_upright.graarm_42  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ger_upright.graarm_42  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_rearsusp.ger_upright.graarm_46  &
   location = 0.0, -30.0, 101.6  &
   orientation = 12.7007534319d, 106.0690821075d, 235.4696641453d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ger_upright.graarm_46  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_rearsusp.ger_upright.graarm_47  &
   location = -127.0, -9.4, -65.1  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ger_upright.graarm_47  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_rearsusp.ger_upright.graarm_48  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ger_upright.graarm_48  &
   visibility = off  &
   name_visibility = off
!
part create rigid_body mass_properties  &
   part_name = ._fsae_rearsusp.ger_upright  &
   mass = 0.2105200949  &
   center_of_mass_marker = ._fsae_rearsusp.ger_upright.cm  &
   inertia_marker = ._fsae_rearsusp.ger_upright.inertia_frame  &
   ixx = 425.3551323157  &
   iyy = 619.8660371467  &
   izz = 196.8287909872  &
   ixy = 14.869363815  &
   izx = 99.6688505798  &
   iyz = 7.5732374799
!
! ****** Graphics for current part ******
!
geometry create shape plate  &
   plate_name = ._fsae_rearsusp.ger_upright.graarm_upright1  &
   marker_name = ._fsae_rearsusp.ger_upright.graarm_22,  &
                 ._fsae_rearsusp.ger_upright.graarm_23,  &
                 ._fsae_rearsusp.ger_upright.graarm_24  &
   width = 1.0  &
   radius = 0.5
!
geometry attributes  &
   geometry_name = ._fsae_rearsusp.ger_upright.graarm_upright1  &
   color = RED
!
geometry create shape plate  &
   plate_name = ._fsae_rearsusp.ger_upright.graarm_upright2  &
   marker_name = ._fsae_rearsusp.ger_upright.graarm_34,  &
                 ._fsae_rearsusp.ger_upright.graarm_35,  &
                 ._fsae_rearsusp.ger_upright.graarm_36  &
   width = 1.0  &
   radius = 0.5
!
geometry attributes  &
   geometry_name = ._fsae_rearsusp.ger_upright.graarm_upright2  &
   color = RED
!
geometry create shape plate  &
   plate_name = ._fsae_rearsusp.ger_upright.graarm_upright3  &
   marker_name = ._fsae_rearsusp.ger_upright.graarm_40,  &
                 ._fsae_rearsusp.ger_upright.graarm_41,  &
                 ._fsae_rearsusp.ger_upright.graarm_42  &
   width = 1.0  &
   radius = 0.5
!
geometry attributes  &
   geometry_name = ._fsae_rearsusp.ger_upright.graarm_upright3  &
   color = RED
!
geometry create shape plate  &
   plate_name = ._fsae_rearsusp.ger_upright.graarm_upright4  &
   marker_name = ._fsae_rearsusp.ger_upright.graarm_46,  &
                 ._fsae_rearsusp.ger_upright.graarm_47,  &
                 ._fsae_rearsusp.ger_upright.graarm_48  &
   width = 1.0  &
   radius = 0.5
!
geometry attributes  &
   geometry_name = ._fsae_rearsusp.ger_upright.graarm_upright4  &
   color = RED
!
part attributes  &
   part_name = ._fsae_rearsusp.ger_upright  &
   size_of_icons = 31.75
!
!----------------------------- gel_damper_inboard -----------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
part create rigid_body name_and_position  &
   part_name = ._fsae_rearsusp.gel_damper_inboard  &
   location = 497.0, -203.2, 281.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.gel_damper_inboard
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._fsae_rearsusp.gel_damper_inboard.cm  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.gel_damper_inboard.cm  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.gel_damper_inboard.bgl0_strut_topmount_1  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.gel_damper_inboard.bgl0_strut_topmount_1  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.gel_damper_inboard.jxl_joint_i_12  &
   location = 0.0, 0.0, 0.0  &
   orientation = 90.0d, 79.1144729453d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.gel_damper_inboard.jxl_joint_i_12  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.gel_damper_inboard.jxl_joint_j_14  &
   location = 165.1, 0.0, 31.75  &
   orientation = 270.0d, 100.8855270547d, 270.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.gel_damper_inboard.jxl_joint_j_14  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.gel_damper_inboard.bul_bumpstop_i_1  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.gel_damper_inboard.bul_bumpstop_i_1  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.gel_damper_inboard.dal_damper_i_1  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.gel_damper_inboard.dal_damper_i_1  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.gel_damper_inboard.inertia_frame  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.gel_damper_inboard.inertia_frame  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.gel_damper_inboard.nsl_spring_i_1  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.gel_damper_inboard.nsl_spring_i_1  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
part create rigid_body mass_properties  &
   part_name = ._fsae_rearsusp.gel_damper_inboard  &
   mass = 0.45359237  &
   center_of_mass_marker = ._fsae_rearsusp.gel_damper_inboard.cm  &
   inertia_marker = ._fsae_rearsusp.gel_damper_inboard.inertia_frame  &
   ixx = 292.6396534292  &
   iyy = 292.6396534292  &
   izz = 292.6396534292  &
   ixy = 0.0  &
   izx = 0.0  &
   iyz = 0.0
!
part attributes  &
   part_name = ._fsae_rearsusp.gel_damper_inboard  &
   size_of_icons = 31.75
!
!----------------------------- ger_damper_inboard -----------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
part create rigid_body name_and_position  &
   part_name = ._fsae_rearsusp.ger_damper_inboard  &
   location = 497.0, 203.2, 281.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ger_damper_inboard
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._fsae_rearsusp.ger_damper_inboard.cm  &
   location = 0.0, 0.0, 0.0  &
   orientation = 201.8014094864d, 167.843854949d, 22.2531400273d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ger_damper_inboard.cm  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.ger_damper_inboard.bgr0_strut_topmount_1  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ger_damper_inboard.bgr0_strut_topmount_1  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.ger_damper_inboard.jxr_joint_i_12  &
   location = 0.0, 0.0, 0.0  &
   orientation = 90.0d, 79.1144729453d, 180.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ger_damper_inboard.jxr_joint_i_12  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.ger_damper_inboard.jxr_joint_j_14  &
   location = 165.1, 0.0, 31.75  &
   orientation = 270.0d, 100.8855270547d, 270.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ger_damper_inboard.jxr_joint_j_14  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.ger_damper_inboard.bur_bumpstop_i_1  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ger_damper_inboard.bur_bumpstop_i_1  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.ger_damper_inboard.dar_damper_i_1  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ger_damper_inboard.dar_damper_i_1  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.ger_damper_inboard.inertia_frame  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ger_damper_inboard.inertia_frame  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.ger_damper_inboard.nsr_spring_i_1  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ger_damper_inboard.nsr_spring_i_1  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
part create rigid_body mass_properties  &
   part_name = ._fsae_rearsusp.ger_damper_inboard  &
   mass = 0.45359237  &
   center_of_mass_marker = ._fsae_rearsusp.ger_damper_inboard.cm  &
   inertia_marker = ._fsae_rearsusp.ger_damper_inboard.inertia_frame  &
   ixx = 292.6396534292  &
   iyy = 292.6396534292  &
   izz = 292.6396534292  &
   ixy = 0.0  &
   izx = 0.0  &
   iyz = 0.0
!
part attributes  &
   part_name = ._fsae_rearsusp.ger_damper_inboard  &
   size_of_icons = 31.75
!
!--------------------------- mtl_toe_link_to_frame ----------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
part create rigid_body name_and_position  &
   part_name = ._fsae_rearsusp.mtl_toe_link_to_frame  &
   location = 776.4, -355.6, 63.5  &
   orientation = 0.0d, 0.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.mtl_toe_link_to_frame
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._fsae_rearsusp.mtl_toe_link_to_frame.mount_i  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.mtl_toe_link_to_frame.mount_i  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.mtl_toe_link_to_frame.jxl_joint_j_11  &
   location = 0.0, 0.0, 0.0  &
   orientation = 180.0d, 90.0d, 168.690067526d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.mtl_toe_link_to_frame.jxl_joint_j_11  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
part attributes  &
   part_name = ._fsae_rearsusp.mtl_toe_link_to_frame  &
   visibility = on  &
   name_visibility = on  &
   size_of_icons = 31.75
!
!--------------------------- mtr_toe_link_to_frame ----------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
part create rigid_body name_and_position  &
   part_name = ._fsae_rearsusp.mtr_toe_link_to_frame  &
   location = 776.4, 355.6, 63.5  &
   orientation = 0.0d, 0.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.mtr_toe_link_to_frame
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._fsae_rearsusp.mtr_toe_link_to_frame.mount_i  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.mtr_toe_link_to_frame.mount_i  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.mtr_toe_link_to_frame.jxr_joint_j_11  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 90.0d, 11.309932474d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.mtr_toe_link_to_frame.jxr_joint_j_11  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
part attributes  &
   part_name = ._fsae_rearsusp.mtr_toe_link_to_frame  &
   visibility = on  &
   name_visibility = on  &
   size_of_icons = 31.75
!
!---------------------------- mtl_damper_to_frame -----------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
part create rigid_body name_and_position  &
   part_name = ._fsae_rearsusp.mtl_damper_to_frame  &
   location = 497.0, -203.2, 281.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.mtl_damper_to_frame
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._fsae_rearsusp.mtl_damper_to_frame.mount_i  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.mtl_damper_to_frame.mount_i  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.mtl_damper_to_frame.jxl_joint_j_12  &
   location = 0.0, 0.0, 0.0  &
   orientation = 180.0d, 90.0d, 169.1144729453d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.mtl_damper_to_frame.jxl_joint_j_12  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
part attributes  &
   part_name = ._fsae_rearsusp.mtl_damper_to_frame  &
   visibility = on  &
   name_visibility = on  &
   size_of_icons = 31.75
!
!---------------------------- mtr_damper_to_frame -----------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
part create rigid_body name_and_position  &
   part_name = ._fsae_rearsusp.mtr_damper_to_frame  &
   location = 497.0, 203.2, 281.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.mtr_damper_to_frame
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._fsae_rearsusp.mtr_damper_to_frame.mount_i  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.mtr_damper_to_frame.mount_i  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.mtr_damper_to_frame.jxr_joint_j_12  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 90.0d, 10.8855270547d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.mtr_damper_to_frame.jxr_joint_j_12  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
part attributes  &
   part_name = ._fsae_rearsusp.mtr_damper_to_frame  &
   visibility = on  &
   name_visibility = on  &
   size_of_icons = 31.75
!
!---------------------------------- _cv_part ----------------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
part create rigid_body name_and_position  &
   part_name = ._fsae_rearsusp._cv_part  &
   comments = "Dummy for communicators"  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp._cv_part
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._fsae_rearsusp._cv_part.marker  &
   comments = "Dummy for communicators"  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp._cv_part.marker  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
part create rigid_body mass_properties  &
   part_name = ._fsae_rearsusp._cv_part  &
   mass = 0.0  &
   center_of_mass_marker = ._fsae_rearsusp._cv_part.marker  &
   ixx = 0.0  &
   iyy = 0.0  &
   izz = 0.0  &
   ixy = 0.0  &
   izx = 0.0  &
   iyz = 0.0
!
part attributes  &
   part_name = ._fsae_rearsusp._cv_part  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
!--------------------------- gel_upper_control_arm ----------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
part create rigid_body name_and_position  &
   part_name = ._fsae_rearsusp.gel_upper_control_arm  &
   location = 1030.4, -409.6, 204.8  &
   orientation = 0.0d, 78.9611277368d, 180.0d
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.gel_upper_control_arm
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._fsae_rearsusp.gel_upper_control_arm.cm  &
   location = 6.311666607, 0.0, 37.0435100378  &
   orientation = 90.0d, 150.9753170974d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.gel_upper_control_arm.cm  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.gel_upper_control_arm.jxl_joint_i_13  &
   location = 0.0, 0.0, 265.3088765948  &
   orientation = 0.0d, 78.9611277368d, 180.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.gel_upper_control_arm.jxl_joint_i_13  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.gel_upper_control_arm.kp2_1  &
   location = 0.0, 0.0, 265.3088765948  &
   orientation = 0.0d, 78.9611277368d, 180.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.gel_upper_control_arm.kp2_1  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.gel_upper_control_arm.inertia_frame  &
   location = 6.311666607, 0.0, 37.0435100378  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.gel_upper_control_arm.inertia_frame  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.gel_upper_control_arm.gralin_9  &
   location = 254.0, 0.0, -132.6544382974  &
   orientation = 270.0d, 32.5480458124d, 90.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.gel_upper_control_arm.gralin_9  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.gel_upper_control_arm.gralin_11  &
   location = -254.0, 0.0, -132.6544382974  &
   orientation = 90.0d, 32.5480458124d, 270.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.gel_upper_control_arm.gralin_11  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.gel_upper_control_arm.graell_7  &
   location = 0.0, 0.0, 265.3088765948  &
   orientation = 0.0d, 78.9611277368d, 180.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.gel_upper_control_arm.graell_7  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.gel_upper_control_arm.graell_17  &
   location = 254.0, 0.0, -132.6544382974  &
   orientation = 0.0d, 78.9611277368d, 180.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.gel_upper_control_arm.graell_17  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_rearsusp.gel_upper_control_arm.graell_19  &
   location = -254.0, 0.0, -132.6544382974  &
   orientation = 0.0d, 78.9611277368d, 180.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.gel_upper_control_arm.graell_19  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_rearsusp.gel_upper_control_arm.bxl_bushing_i_3  &
   location = 254.0, 0.0, -132.6544382974  &
   orientation = 270.0d, 90.0d, 191.0388722632d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.gel_upper_control_arm.bxl_bushing_i_3  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_rearsusp.gel_upper_control_arm.bxl_bushgeom_i_3  &
   location = 266.7, 0.0, -132.6544382974  &
   orientation = 270.0d, 90.0d, 101.0388722632d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.gel_upper_control_arm.bxl_bushgeom_i_3  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_rearsusp.gel_upper_control_arm.bxl_bushing_i_4  &
   location = -254.0, 0.0, -132.6544382974  &
   orientation = 90.0d, 90.0d, 168.9611277368d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.gel_upper_control_arm.bxl_bushing_i_4  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_rearsusp.gel_upper_control_arm.bxl_bushgeom_i_4  &
   location = -266.7, 0.0, -132.6544382974  &
   orientation = 90.0d, 90.0d, 78.9611277368d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.gel_upper_control_arm.bxl_bushgeom_i_4  &
   visibility = off  &
   name_visibility = off
!
part create rigid_body mass_properties  &
   part_name = ._fsae_rearsusp.gel_upper_control_arm  &
   mass = 0.1905403443  &
   center_of_mass_marker = ._fsae_rearsusp.gel_upper_control_arm.cm  &
   inertia_marker = ._fsae_rearsusp.gel_upper_control_arm.inertia_frame  &
   ixx = 1167.2350749431  &
   iyy = 1951.1779873859  &
   izz = 787.6433111868  &
   ixy = 0.0  &
   izx = 0.0  &
   iyz = 0.0
!
! ****** Graphics for current part ******
!
geometry create shape cylinder  &
   cylinder_name = ._fsae_rearsusp.gel_upper_control_arm.gralin_uca_front  &
   center_marker = ._fsae_rearsusp.gel_upper_control_arm.gralin_9  &
   angle_extent = 360.0  &
   length = 472.1131220375  &
   radius = 6.35  &
   side_count_for_body = 15  &
   segment_count_for_ends = 15
!
geometry attributes  &
   geometry_name = ._fsae_rearsusp.gel_upper_control_arm.gralin_uca_front  &
   color = BLUE_GRAY
!
geometry create shape cylinder  &
   cylinder_name = ._fsae_rearsusp.gel_upper_control_arm.gralin_uca_rear  &
   center_marker = ._fsae_rearsusp.gel_upper_control_arm.gralin_11  &
   angle_extent = 360.0  &
   length = 472.1131220375  &
   radius = 6.35  &
   side_count_for_body = 15  &
   segment_count_for_ends = 15
!
geometry attributes  &
   geometry_name = ._fsae_rearsusp.gel_upper_control_arm.gralin_uca_rear  &
   color = BLUE_GRAY
!
geometry create shape ellipsoid  &
   ellipsoid_name = ._fsae_rearsusp.gel_upper_control_arm.graell_upright_upr_ball  &
   center_marker = ._fsae_rearsusp.gel_upper_control_arm.graell_7  &
   x_scale_factor = 12.7  &
   y_scale_factor = 12.7  &
   z_scale_factor = 12.7
!
geometry attributes  &
   geometry_name = ._fsae_rearsusp.gel_upper_control_arm.graell_upright_upr_ball  &
   color = BLUE_GRAY
!
geometry create shape ellipsoid  &
   ellipsoid_name = ._fsae_rearsusp.gel_upper_control_arm.graell_uca_front  &
   center_marker = ._fsae_rearsusp.gel_upper_control_arm.graell_17  &
   x_scale_factor = 12.7  &
   y_scale_factor = 12.7  &
   z_scale_factor = 12.7
!
geometry attributes  &
   geometry_name = ._fsae_rearsusp.gel_upper_control_arm.graell_uca_front  &
   color = BLUE_GRAY
!
geometry create shape ellipsoid  &
   ellipsoid_name = ._fsae_rearsusp.gel_upper_control_arm.graell_uca_rear  &
   center_marker = ._fsae_rearsusp.gel_upper_control_arm.graell_19  &
   x_scale_factor = 12.7  &
   y_scale_factor = 12.7  &
   z_scale_factor = 12.7
!
geometry attributes  &
   geometry_name = ._fsae_rearsusp.gel_upper_control_arm.graell_uca_rear  &
   color = BLUE_GRAY
!
part attributes  &
   part_name = ._fsae_rearsusp.gel_upper_control_arm  &
   size_of_icons = 31.75
!
!--------------------------- ger_upper_control_arm ----------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
part create rigid_body name_and_position  &
   part_name = ._fsae_rearsusp.ger_upper_control_arm  &
   location = 1030.4, 409.6, 204.8  &
   orientation = 180.0d, 78.9611277368d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ger_upper_control_arm
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._fsae_rearsusp.ger_upper_control_arm.cm  &
   location = 6.311666607, 0.0, 37.0435100378  &
   orientation = 90.0d, 150.9753170974d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ger_upper_control_arm.cm  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.ger_upper_control_arm.jxr_joint_i_13  &
   location = 0.0, 0.0, 265.3088765948  &
   orientation = 180.0d, 78.9611277368d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ger_upper_control_arm.jxr_joint_i_13  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.ger_upper_control_arm.kp2_2  &
   location = 0.0, 0.0, 265.3088765948  &
   orientation = 180.0d, 78.9611277368d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ger_upper_control_arm.kp2_2  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.ger_upper_control_arm.inertia_frame  &
   location = 6.311666607, 0.0, 37.0435100378  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ger_upper_control_arm.inertia_frame  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.ger_upper_control_arm.gralin_10  &
   location = 254.0, 0.0, -132.6544382974  &
   orientation = 270.0d, 32.5480458124d, 90.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ger_upper_control_arm.gralin_10  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.ger_upper_control_arm.gralin_12  &
   location = -254.0, 0.0, -132.6544382974  &
   orientation = 90.0d, 32.5480458124d, 270.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ger_upper_control_arm.gralin_12  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.ger_upper_control_arm.graell_8  &
   location = 0.0, 0.0, 265.3088765948  &
   orientation = 180.0d, 78.9611277368d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ger_upper_control_arm.graell_8  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.ger_upper_control_arm.graell_18  &
   location = 254.0, 0.0, -132.6544382974  &
   orientation = 180.0d, 78.9611277368d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ger_upper_control_arm.graell_18  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_rearsusp.ger_upper_control_arm.graell_20  &
   location = -254.0, 0.0, -132.6544382974  &
   orientation = 180.0d, 78.9611277368d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ger_upper_control_arm.graell_20  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_rearsusp.ger_upper_control_arm.bxr_bushing_i_3  &
   location = 254.0, 0.0, -132.6544382974  &
   orientation = 270.0d, 90.0d, 348.9611277368d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ger_upper_control_arm.bxr_bushing_i_3  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_rearsusp.ger_upper_control_arm.bxr_bushgeom_i_3  &
   location = 266.7, 0.0, -132.6544382974  &
   orientation = 270.0d, 90.0d, 258.9611277368d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ger_upper_control_arm.bxr_bushgeom_i_3  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_rearsusp.ger_upper_control_arm.bxr_bushing_i_4  &
   location = -254.0, 0.0, -132.6544382974  &
   orientation = 90.0d, 90.0d, 11.0388722632d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ger_upper_control_arm.bxr_bushing_i_4  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_rearsusp.ger_upper_control_arm.bxr_bushgeom_i_4  &
   location = -266.7, 0.0, -132.6544382974  &
   orientation = 90.0d, 90.0d, 281.0388722632d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ger_upper_control_arm.bxr_bushgeom_i_4  &
   visibility = off  &
   name_visibility = off
!
part create rigid_body mass_properties  &
   part_name = ._fsae_rearsusp.ger_upper_control_arm  &
   mass = 0.1905403443  &
   center_of_mass_marker = ._fsae_rearsusp.ger_upper_control_arm.cm  &
   inertia_marker = ._fsae_rearsusp.ger_upper_control_arm.inertia_frame  &
   ixx = 1167.2350749431  &
   iyy = 1951.1779873859  &
   izz = 787.6433111868  &
   ixy = 0.0  &
   izx = 0.0  &
   iyz = 0.0
!
! ****** Graphics for current part ******
!
geometry create shape cylinder  &
   cylinder_name = ._fsae_rearsusp.ger_upper_control_arm.gralin_uca_front  &
   center_marker = ._fsae_rearsusp.ger_upper_control_arm.gralin_10  &
   angle_extent = 360.0  &
   length = 472.1131220375  &
   radius = 6.35  &
   side_count_for_body = 15  &
   segment_count_for_ends = 15
!
geometry attributes  &
   geometry_name = ._fsae_rearsusp.ger_upper_control_arm.gralin_uca_front  &
   color = BLUE_GRAY
!
geometry create shape cylinder  &
   cylinder_name = ._fsae_rearsusp.ger_upper_control_arm.gralin_uca_rear  &
   center_marker = ._fsae_rearsusp.ger_upper_control_arm.gralin_12  &
   angle_extent = 360.0  &
   length = 472.1131220375  &
   radius = 6.35  &
   side_count_for_body = 15  &
   segment_count_for_ends = 15
!
geometry attributes  &
   geometry_name = ._fsae_rearsusp.ger_upper_control_arm.gralin_uca_rear  &
   color = BLUE_GRAY
!
geometry create shape ellipsoid  &
   ellipsoid_name = ._fsae_rearsusp.ger_upper_control_arm.graell_upright_upr_ball  &
   center_marker = ._fsae_rearsusp.ger_upper_control_arm.graell_8  &
   x_scale_factor = 12.7  &
   y_scale_factor = 12.7  &
   z_scale_factor = 12.7
!
geometry attributes  &
   geometry_name = ._fsae_rearsusp.ger_upper_control_arm.graell_upright_upr_ball  &
   color = BLUE_GRAY
!
geometry create shape ellipsoid  &
   ellipsoid_name = ._fsae_rearsusp.ger_upper_control_arm.graell_uca_front  &
   center_marker = ._fsae_rearsusp.ger_upper_control_arm.graell_18  &
   x_scale_factor = 12.7  &
   y_scale_factor = 12.7  &
   z_scale_factor = 12.7
!
geometry attributes  &
   geometry_name = ._fsae_rearsusp.ger_upper_control_arm.graell_uca_front  &
   color = BLUE_GRAY
!
geometry create shape ellipsoid  &
   ellipsoid_name = ._fsae_rearsusp.ger_upper_control_arm.graell_uca_rear  &
   center_marker = ._fsae_rearsusp.ger_upper_control_arm.graell_20  &
   x_scale_factor = 12.7  &
   y_scale_factor = 12.7  &
   z_scale_factor = 12.7
!
geometry attributes  &
   geometry_name = ._fsae_rearsusp.ger_upper_control_arm.graell_uca_rear  &
   color = BLUE_GRAY
!
part attributes  &
   part_name = ._fsae_rearsusp.ger_upper_control_arm  &
   size_of_icons = 31.75
!
!---------------------------- gel_damper_outboard -----------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
part create rigid_body name_and_position  &
   part_name = ._fsae_rearsusp.gel_damper_outboard  &
   location = 827.2, -203.2, 344.5  &
   orientation = 270.0d, 100.8855270547d, 90.0d
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.gel_damper_outboard
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._fsae_rearsusp.gel_damper_outboard.cm  &
   location = 0.0, 0.0, 0.0  &
   orientation = 338.1985905136d, 167.843854949d, 157.7468599727d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.gel_damper_outboard.cm  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.gel_damper_outboard.jxl_joint_i_14  &
   location = 0.0, 0.0, 168.1251691449  &
   orientation = 180.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.gel_damper_outboard.jxl_joint_i_14  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.gel_damper_outboard.bul_bumpstop_j_1  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.gel_damper_outboard.bul_bumpstop_j_1  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.gel_damper_outboard.jxl_joint_i_16  &
   location = 0.0, 0.0, 0.0  &
   orientation = 259.305784879d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.gel_damper_outboard.jxl_joint_i_16  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.gel_damper_outboard.dal_damper_j_1  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.gel_damper_outboard.dal_damper_j_1  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.gel_damper_outboard.nsl_spring_j_1  &
   location = 0.0, 0.0, 168.1251691449  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.gel_damper_outboard.nsl_spring_j_1  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.gel_damper_outboard.inertia_frame  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.gel_damper_outboard.inertia_frame  &
   size_of_icons = 31.75
!
part create rigid_body mass_properties  &
   part_name = ._fsae_rearsusp.gel_damper_outboard  &
   mass = 0.45359237  &
   center_of_mass_marker = ._fsae_rearsusp.gel_damper_outboard.cm  &
   inertia_marker = ._fsae_rearsusp.gel_damper_outboard.inertia_frame  &
   ixx = 292.6396534292  &
   iyy = 292.6396534292  &
   izz = 292.6396534292  &
   ixy = 0.0  &
   izx = 0.0  &
   iyz = 0.0
!
part attributes  &
   part_name = ._fsae_rearsusp.gel_damper_outboard  &
   size_of_icons = 31.75
!
!---------------------------- ger_damper_outboard -----------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
part create rigid_body name_and_position  &
   part_name = ._fsae_rearsusp.ger_damper_outboard  &
   location = 827.2, 203.2, 344.5  &
   orientation = 270.0d, 100.8855270547d, 90.0d
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ger_damper_outboard
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._fsae_rearsusp.ger_damper_outboard.cm  &
   location = 0.0, 0.0, 0.0  &
   orientation = 201.8014094864d, 167.843854949d, 22.2531400273d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ger_damper_outboard.cm  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.ger_damper_outboard.jxr_joint_i_14  &
   location = 0.0, 0.0, 168.1251691449  &
   orientation = 180.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ger_damper_outboard.jxr_joint_i_14  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.ger_damper_outboard.bur_bumpstop_j_1  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ger_damper_outboard.bur_bumpstop_j_1  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.ger_damper_outboard.jxr_joint_i_16  &
   location = 0.0, 0.0, 0.0  &
   orientation = 100.694215121d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ger_damper_outboard.jxr_joint_i_16  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.ger_damper_outboard.dar_damper_j_1  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ger_damper_outboard.dar_damper_j_1  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.ger_damper_outboard.nsr_spring_j_1  &
   location = 0.0, 0.0, 168.1251691449  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ger_damper_outboard.nsr_spring_j_1  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.ger_damper_outboard.inertia_frame  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ger_damper_outboard.inertia_frame  &
   size_of_icons = 31.75
!
part create rigid_body mass_properties  &
   part_name = ._fsae_rearsusp.ger_damper_outboard  &
   mass = 0.45359237  &
   center_of_mass_marker = ._fsae_rearsusp.ger_damper_outboard.cm  &
   inertia_marker = ._fsae_rearsusp.ger_damper_outboard.inertia_frame  &
   ixx = 292.6396534292  &
   iyy = 292.6396534292  &
   izz = 292.6396534292  &
   ixy = 0.0  &
   izx = 0.0  &
   iyz = 0.0
!
part attributes  &
   part_name = ._fsae_rearsusp.ger_damper_outboard  &
   size_of_icons = 31.75
!
!------------------------------ mtl_uca_to_frame ------------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
part create rigid_body name_and_position  &
   part_name = ._fsae_rearsusp.mtl_uca_to_frame  &
   location = 1284.4, -279.4, 179.4  &
   orientation = 0.0d, 0.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.mtl_uca_to_frame
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._fsae_rearsusp.mtl_uca_to_frame.mount_i  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.mtl_uca_to_frame.mount_i  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.mtl_uca_to_frame.bxl_bushing_j_3  &
   location = -508.0, 0.0, 0.0  &
   orientation = 90.0d, 90.0d, 270.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.mtl_uca_to_frame.bxl_bushing_j_3  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_rearsusp.mtl_uca_to_frame.bxl_bushgeom_j_3  &
   location = -520.7, 0.0, 0.0  &
   orientation = 90.0d, 90.0d, 270.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.mtl_uca_to_frame.bxl_bushgeom_j_3  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_rearsusp.mtl_uca_to_frame.bxl_bushing_j_4  &
   location = 0.0, 0.0, 0.0  &
   orientation = 270.0d, 90.0d, 90.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.mtl_uca_to_frame.bxl_bushing_j_4  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_rearsusp.mtl_uca_to_frame.bxl_bushgeom_j_4  &
   location = 12.7, 0.0, 0.0  &
   orientation = 270.0d, 90.0d, 90.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.mtl_uca_to_frame.bxl_bushgeom_j_4  &
   visibility = off  &
   name_visibility = off
!
part attributes  &
   part_name = ._fsae_rearsusp.mtl_uca_to_frame  &
   visibility = on  &
   name_visibility = on  &
   size_of_icons = 31.75
!
!------------------------------ mtr_uca_to_frame ------------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
part create rigid_body name_and_position  &
   part_name = ._fsae_rearsusp.mtr_uca_to_frame  &
   location = 1284.4, 279.4, 179.4  &
   orientation = 0.0d, 0.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.mtr_uca_to_frame
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._fsae_rearsusp.mtr_uca_to_frame.mount_i  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.mtr_uca_to_frame.mount_i  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.mtr_uca_to_frame.bxr_bushing_j_3  &
   location = -508.0, 0.0, 0.0  &
   orientation = 90.0d, 90.0d, 270.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.mtr_uca_to_frame.bxr_bushing_j_3  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_rearsusp.mtr_uca_to_frame.bxr_bushgeom_j_3  &
   location = -520.7, 0.0, 0.0  &
   orientation = 90.0d, 90.0d, 270.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.mtr_uca_to_frame.bxr_bushgeom_j_3  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_rearsusp.mtr_uca_to_frame.bxr_bushing_j_4  &
   location = 0.0, 0.0, 0.0  &
   orientation = 270.0d, 90.0d, 90.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.mtr_uca_to_frame.bxr_bushing_j_4  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_rearsusp.mtr_uca_to_frame.bxr_bushgeom_j_4  &
   location = 12.7, 0.0, 0.0  &
   orientation = 270.0d, 90.0d, 90.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.mtr_uca_to_frame.bxr_bushgeom_j_4  &
   visibility = off  &
   name_visibility = off
!
part attributes  &
   part_name = ._fsae_rearsusp.mtr_uca_to_frame  &
   visibility = on  &
   name_visibility = on  &
   size_of_icons = 31.75
!
!-------------------------------- gel_spindle ---------------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
part create rigid_body name_and_position  &
   part_name = ._fsae_rearsusp.gel_spindle  &
   location = 1030.4, -700.0, 154.0  &
   orientation = 0.0d, 90.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.gel_spindle
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._fsae_rearsusp.gel_spindle.cm  &
   location = 0.0, 0.0, -41.45026  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.gel_spindle.cm  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.gel_spindle.inertia_frame  &
   location = 0.0, 0.0, -41.45026  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.gel_spindle.inertia_frame  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.gel_spindle.gracyl_1  &
   location = 0.0, 0.0, -100.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.gel_spindle.gracyl_1  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.gel_spindle.jxl_joint_j_19  &
   location = 0.0, 0.0, -100.0  &
   orientation = 222.5854615946d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.gel_spindle.jxl_joint_j_19  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.gel_spindle.jxl_joint_i_20  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.gel_spindle.jxl_joint_i_20  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
part create rigid_body mass_properties  &
   part_name = ._fsae_rearsusp.gel_spindle  &
   mass = 0.2924739931  &
   center_of_mass_marker = ._fsae_rearsusp.gel_spindle.cm  &
   inertia_marker = ._fsae_rearsusp.gel_spindle.inertia_frame  &
   ixx = 152.9728126858  &
   iyy = 152.9728126858  &
   izz = 22.9068432732  &
   ixy = 0.0  &
   izx = 0.0  &
   iyz = 0.0
!
! ****** Graphics for current part ******
!
geometry create shape cylinder  &
   cylinder_name = ._fsae_rearsusp.gel_spindle.gracyl_cv_jt_housing_extension  &
   center_marker = ._fsae_rearsusp.gel_spindle.gracyl_1  &
   angle_extent = 360.0  &
   length = 76.2  &
   radius = 12.7  &
   side_count_for_body = 15  &
   segment_count_for_ends = 15
!
geometry attributes  &
   geometry_name = ._fsae_rearsusp.gel_spindle.gracyl_cv_jt_housing_extension  &
   color = DARK_GRAY
!
part attributes  &
   part_name = ._fsae_rearsusp.gel_spindle  &
   size_of_icons = 31.75
!
!-------------------------------- ger_spindle ---------------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
part create rigid_body name_and_position  &
   part_name = ._fsae_rearsusp.ger_spindle  &
   location = 1030.4, 700.0, 154.0  &
   orientation = 180.0d, 90.0d, 180.0d
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ger_spindle
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._fsae_rearsusp.ger_spindle.cm  &
   location = 0.0, 0.0, -41.45026  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ger_spindle.cm  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.ger_spindle.inertia_frame  &
   location = 0.0, 0.0, -41.45026  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ger_spindle.inertia_frame  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.ger_spindle.gracyl_2  &
   location = 0.0, 0.0, -100.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ger_spindle.gracyl_2  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.ger_spindle.jxr_joint_j_19  &
   location = 0.0, 0.0, -100.0  &
   orientation = 137.4145384054d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ger_spindle.jxr_joint_j_19  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.ger_spindle.jxr_joint_i_20  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ger_spindle.jxr_joint_i_20  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
part create rigid_body mass_properties  &
   part_name = ._fsae_rearsusp.ger_spindle  &
   mass = 0.2924739931  &
   center_of_mass_marker = ._fsae_rearsusp.ger_spindle.cm  &
   inertia_marker = ._fsae_rearsusp.ger_spindle.inertia_frame  &
   ixx = 152.9728126858  &
   iyy = 152.9728126858  &
   izz = 22.9068432732  &
   ixy = 0.0  &
   izx = 0.0  &
   iyz = 0.0
!
! ****** Graphics for current part ******
!
geometry create shape cylinder  &
   cylinder_name = ._fsae_rearsusp.ger_spindle.gracyl_cv_jt_housing_extension  &
   center_marker = ._fsae_rearsusp.ger_spindle.gracyl_2  &
   angle_extent = 360.0  &
   length = 76.2  &
   radius = 12.7  &
   side_count_for_body = 15  &
   segment_count_for_ends = 15
!
geometry attributes  &
   geometry_name = ._fsae_rearsusp.ger_spindle.gracyl_cv_jt_housing_extension  &
   color = DARK_GRAY
!
part attributes  &
   part_name = ._fsae_rearsusp.ger_spindle  &
   size_of_icons = 31.75
!
!------------------------------ gel_drive_shaft -------------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
part create rigid_body name_and_position  &
   part_name = ._fsae_rearsusp.gel_drive_shaft  &
   location = 1000.0, -200.66, 126.06  &
   orientation = 184.3532797223d, 93.9906935417d, 317.5662772201d
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.gel_drive_shaft
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._fsae_rearsusp.gel_drive_shaft.cm  &
   location = 0.0, 0.0, -192.6882637058  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.gel_drive_shaft.cm  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.gel_drive_shaft.inertia_frame  &
   location = 0.0, 0.0, -192.6882637058  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.gel_drive_shaft.inertia_frame  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.gel_drive_shaft.gralin_3  &
   location = 0.0, 0.0, 0.0  &
   orientation = 180.0d, 180.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.gel_drive_shaft.gralin_3  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.gel_drive_shaft.graell_1  &
   location = 0.0, 0.0, -401.4688520919  &
   orientation = 90.0d, 174.0969488979d, 227.4145384054d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.gel_drive_shaft.graell_1  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.gel_drive_shaft.jxl_joint_j_18  &
   location = 0.0, 0.0, 0.0  &
   orientation = 180.0d, 180.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.gel_drive_shaft.jxl_joint_j_18  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.gel_drive_shaft.jxl_joint_i_19  &
   location = 0.0, 0.0, -401.4688520919  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.gel_drive_shaft.jxl_joint_i_19  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.gel_drive_shaft.graell_3  &
   location = 0.0, 0.0, 0.0  &
   orientation = 222.4337227799d, 93.9906935417d, 355.6467202777d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.gel_drive_shaft.graell_3  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
part create rigid_body mass_properties  &
   part_name = ._fsae_rearsusp.gel_drive_shaft  &
   mass = 1.080536614  &
   center_of_mass_marker = ._fsae_rearsusp.gel_drive_shaft.cm  &
   inertia_marker = ._fsae_rearsusp.gel_drive_shaft.inertia_frame  &
   ixx = 1.6718954265E+04  &
   iyy = 1.6718954265E+04  &
   izz = 56.0887976401  &
   ixy = 0.0  &
   izx = 0.0  &
   iyz = 0.0
!
! ****** Graphics for current part ******
!
geometry create shape cylinder  &
   cylinder_name = ._fsae_rearsusp.gel_drive_shaft.gralin_drive_shaft  &
   center_marker = ._fsae_rearsusp.gel_drive_shaft.gralin_3  &
   angle_extent = 360.0  &
   length = 401.4688520919  &
   radius = 10.16  &
   side_count_for_body = 15  &
   segment_count_for_ends = 15
!
geometry attributes  &
   geometry_name = ._fsae_rearsusp.gel_drive_shaft.gralin_drive_shaft  &
   color = DARK_GRAY
!
geometry create shape ellipsoid  &
   ellipsoid_name = ._fsae_rearsusp.gel_drive_shaft.graell_otr_cv_housing  &
   center_marker = ._fsae_rearsusp.gel_drive_shaft.graell_1  &
   x_scale_factor = 25.4  &
   y_scale_factor = 25.4  &
   z_scale_factor = 25.4
!
geometry attributes  &
   geometry_name = ._fsae_rearsusp.gel_drive_shaft.graell_otr_cv_housing  &
   color = DARK_GRAY
!
geometry create shape ellipsoid  &
   ellipsoid_name = ._fsae_rearsusp.gel_drive_shaft.graell_tripot_housing  &
   center_marker = ._fsae_rearsusp.gel_drive_shaft.graell_3  &
   x_scale_factor = 25.4  &
   y_scale_factor = 25.4  &
   z_scale_factor = 25.4
!
geometry attributes  &
   geometry_name = ._fsae_rearsusp.gel_drive_shaft.graell_tripot_housing  &
   color = DARK_GRAY
!
part attributes  &
   part_name = ._fsae_rearsusp.gel_drive_shaft  &
   size_of_icons = 31.75
!
!------------------------------ ger_drive_shaft -------------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
part create rigid_body name_and_position  &
   part_name = ._fsae_rearsusp.ger_drive_shaft  &
   location = 1000.0, 200.66, 126.06  &
   orientation = 355.6467202777d, 93.9906935417d, 222.4337227799d
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ger_drive_shaft
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._fsae_rearsusp.ger_drive_shaft.cm  &
   location = 0.0, 0.0, -192.6882637058  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ger_drive_shaft.cm  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.ger_drive_shaft.inertia_frame  &
   location = 0.0, 0.0, -192.6882637058  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ger_drive_shaft.inertia_frame  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.ger_drive_shaft.gralin_4  &
   location = 0.0, 0.0, 0.0  &
   orientation = 180.0d, 180.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ger_drive_shaft.gralin_4  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.ger_drive_shaft.graell_2  &
   location = 0.0, 0.0, -401.4688520919  &
   orientation = 90.0d, 174.0969488979d, 312.5854615946d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ger_drive_shaft.graell_2  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.ger_drive_shaft.jxr_joint_j_18  &
   location = 0.0, 0.0, 0.0  &
   orientation = 180.0d, 180.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ger_drive_shaft.jxr_joint_j_18  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.ger_drive_shaft.jxr_joint_i_19  &
   location = 0.0, 0.0, -401.4688520919  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ger_drive_shaft.jxr_joint_i_19  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.ger_drive_shaft.graell_4  &
   location = 0.0, 0.0, 0.0  &
   orientation = 317.5662772201d, 93.9906935417d, 184.3532797223d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ger_drive_shaft.graell_4  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
part create rigid_body mass_properties  &
   part_name = ._fsae_rearsusp.ger_drive_shaft  &
   mass = 1.080536614  &
   center_of_mass_marker = ._fsae_rearsusp.ger_drive_shaft.cm  &
   inertia_marker = ._fsae_rearsusp.ger_drive_shaft.inertia_frame  &
   ixx = 1.6718954265E+04  &
   iyy = 1.6718954265E+04  &
   izz = 56.0887976401  &
   ixy = 0.0  &
   izx = 0.0  &
   iyz = 0.0
!
! ****** Graphics for current part ******
!
geometry create shape cylinder  &
   cylinder_name = ._fsae_rearsusp.ger_drive_shaft.gralin_drive_shaft  &
   center_marker = ._fsae_rearsusp.ger_drive_shaft.gralin_4  &
   angle_extent = 360.0  &
   length = 401.4688520919  &
   radius = 10.16  &
   side_count_for_body = 15  &
   segment_count_for_ends = 15
!
geometry attributes  &
   geometry_name = ._fsae_rearsusp.ger_drive_shaft.gralin_drive_shaft  &
   color = DARK_GRAY
!
geometry create shape ellipsoid  &
   ellipsoid_name = ._fsae_rearsusp.ger_drive_shaft.graell_otr_cv_housing  &
   center_marker = ._fsae_rearsusp.ger_drive_shaft.graell_2  &
   x_scale_factor = 25.4  &
   y_scale_factor = 25.4  &
   z_scale_factor = 25.4
!
geometry attributes  &
   geometry_name = ._fsae_rearsusp.ger_drive_shaft.graell_otr_cv_housing  &
   color = DARK_GRAY
!
geometry create shape ellipsoid  &
   ellipsoid_name = ._fsae_rearsusp.ger_drive_shaft.graell_tripot_housing  &
   center_marker = ._fsae_rearsusp.ger_drive_shaft.graell_4  &
   x_scale_factor = 25.4  &
   y_scale_factor = 25.4  &
   z_scale_factor = 25.4
!
geometry attributes  &
   geometry_name = ._fsae_rearsusp.ger_drive_shaft.graell_tripot_housing  &
   color = DARK_GRAY
!
part attributes  &
   part_name = ._fsae_rearsusp.ger_drive_shaft  &
   size_of_icons = 31.75
!
!--------------------------------- gel_tripot ---------------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
part create rigid_body name_and_position  &
   part_name = ._fsae_rearsusp.gel_tripot  &
   location = 1000.0, -200.66, 126.06  &
   orientation = 180.0d, 90.0d, 137.4145384054d
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.gel_tripot
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._fsae_rearsusp.gel_tripot.cm  &
   location = 0.0, 0.0, 13.8888888897  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.gel_tripot.cm  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.gel_tripot.inertia_frame  &
   location = 0.0, 0.0, 13.8888888897  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.gel_tripot.inertia_frame  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.gel_tripot.gracyl_3  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.gel_tripot.gracyl_3  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.gel_tripot.jxl_joint_i_17  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.gel_tripot.jxl_joint_i_17  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.gel_tripot.jxl_joint_i_18  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.gel_tripot.jxl_joint_i_18  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
part create rigid_body mass_properties  &
   part_name = ._fsae_rearsusp.gel_tripot  &
   mass = 0.45359237  &
   center_of_mass_marker = ._fsae_rearsusp.gel_tripot.cm  &
   inertia_marker = ._fsae_rearsusp.gel_tripot.inertia_frame  &
   ixx = 292.6396534292  &
   iyy = 292.6396534292  &
   izz = 292.6396534292  &
   ixy = 0.0  &
   izx = 0.0  &
   iyz = 0.0
!
! ****** Graphics for current part ******
!
geometry create shape cylinder  &
   cylinder_name = ._fsae_rearsusp.gel_tripot.gracyl_tripot_housing_extention  &
   center_marker = ._fsae_rearsusp.gel_tripot.gracyl_3  &
   angle_extent = 360.0  &
   length = 49.9999999998  &
   radius = 12.7  &
   side_count_for_body = 15  &
   segment_count_for_ends = 15
!
geometry attributes  &
   geometry_name = ._fsae_rearsusp.gel_tripot.gracyl_tripot_housing_extention  &
   color = DARK_GRAY
!
part attributes  &
   part_name = ._fsae_rearsusp.gel_tripot  &
   size_of_icons = 31.75
!
!--------------------------------- ger_tripot ---------------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
part create rigid_body name_and_position  &
   part_name = ._fsae_rearsusp.ger_tripot  &
   location = 1000.0, 200.66, 126.06  &
   orientation = 0.0d, 90.0d, 42.5854615946d
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ger_tripot
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._fsae_rearsusp.ger_tripot.cm  &
   location = 0.0, 0.0, 13.8888888897  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ger_tripot.cm  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.ger_tripot.inertia_frame  &
   location = 0.0, 0.0, 13.8888888897  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ger_tripot.inertia_frame  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.ger_tripot.gracyl_4  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ger_tripot.gracyl_4  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.ger_tripot.jxr_joint_i_17  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ger_tripot.jxr_joint_i_17  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.ger_tripot.jxr_joint_i_18  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ger_tripot.jxr_joint_i_18  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
part create rigid_body mass_properties  &
   part_name = ._fsae_rearsusp.ger_tripot  &
   mass = 0.45359237  &
   center_of_mass_marker = ._fsae_rearsusp.ger_tripot.cm  &
   inertia_marker = ._fsae_rearsusp.ger_tripot.inertia_frame  &
   ixx = 292.6396534292  &
   iyy = 292.6396534292  &
   izz = 292.6396534292  &
   ixy = 0.0  &
   izx = 0.0  &
   iyz = 0.0
!
! ****** Graphics for current part ******
!
geometry create shape cylinder  &
   cylinder_name = ._fsae_rearsusp.ger_tripot.gracyl_tripot_housing_extention  &
   center_marker = ._fsae_rearsusp.ger_tripot.gracyl_4  &
   angle_extent = 360.0  &
   length = 49.9999999998  &
   radius = 12.7  &
   side_count_for_body = 15  &
   segment_count_for_ends = 15
!
geometry attributes  &
   geometry_name = ._fsae_rearsusp.ger_tripot.gracyl_tripot_housing_extention  &
   color = DARK_GRAY
!
part attributes  &
   part_name = ._fsae_rearsusp.ger_tripot  &
   size_of_icons = 31.75
!
!------------------------- mtl_tripot_to_differential -------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
part create rigid_body name_and_position  &
   part_name = ._fsae_rearsusp.mtl_tripot_to_differential  &
   location = 1000.0, -200.66, 126.06  &
   orientation = 0.0d, 0.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.mtl_tripot_to_differential
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._fsae_rearsusp.mtl_tripot_to_differential.mount_i  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.mtl_tripot_to_differential.mount_i  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.mtl_tripot_to_differential.jxl_joint_j_17  &
   location = 0.0, 0.0, 0.0  &
   orientation = 180.0d, 90.0d, 137.4145384054d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.mtl_tripot_to_differential.jxl_joint_j_17  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
part attributes  &
   part_name = ._fsae_rearsusp.mtl_tripot_to_differential  &
   visibility = on  &
   name_visibility = on  &
   size_of_icons = 31.75
!
!------------------------- mtr_tripot_to_differential -------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
part create rigid_body name_and_position  &
   part_name = ._fsae_rearsusp.mtr_tripot_to_differential  &
   location = 1000.0, 200.66, 126.06  &
   orientation = 0.0d, 0.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.mtr_tripot_to_differential
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._fsae_rearsusp.mtr_tripot_to_differential.mount_i  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.mtr_tripot_to_differential.mount_i  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.mtr_tripot_to_differential.jxr_joint_j_17  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 90.0d, 42.5854615946d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.mtr_tripot_to_differential.jxr_joint_j_17  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
part attributes  &
   part_name = ._fsae_rearsusp.mtr_tripot_to_differential  &
   visibility = on  &
   name_visibility = on  &
   size_of_icons = 31.75
!
!------------------------------ mtr_lca_to_frame ------------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
part create rigid_body name_and_position  &
   part_name = ._fsae_rearsusp.mtr_lca_to_frame  &
   location = 1284.4, 381.0, 63.5  &
   orientation = 0.0d, 0.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.mtr_lca_to_frame
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._fsae_rearsusp.mtr_lca_to_frame.mount_i  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.mtr_lca_to_frame.mount_i  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.mtr_lca_to_frame.bxr_bushing_j_1  &
   location = -508.0, 0.0, 0.0  &
   orientation = 90.0d, 90.0d, 270.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.mtr_lca_to_frame.bxr_bushing_j_1  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_rearsusp.mtr_lca_to_frame.bxr_bushgeom_j_1  &
   location = -520.7, 0.0, 0.0  &
   orientation = 90.0d, 90.0d, 270.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.mtr_lca_to_frame.bxr_bushgeom_j_1  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_rearsusp.mtr_lca_to_frame.bxr_bushing_j_2  &
   location = 0.0, 0.0, 0.0  &
   orientation = 270.0d, 90.0d, 90.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.mtr_lca_to_frame.bxr_bushing_j_2  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_rearsusp.mtr_lca_to_frame.bxr_bushgeom_j_2  &
   location = 12.7, 0.0, 0.0  &
   orientation = 270.0d, 90.0d, 90.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.mtr_lca_to_frame.bxr_bushgeom_j_2  &
   visibility = off  &
   name_visibility = off
!
part attributes  &
   part_name = ._fsae_rearsusp.mtr_lca_to_frame  &
   visibility = on  &
   name_visibility = on  &
   size_of_icons = 31.75
!
!------------------------------ mtl_lca_to_frame ------------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
part create rigid_body name_and_position  &
   part_name = ._fsae_rearsusp.mtl_lca_to_frame  &
   location = 1284.4, -381.0, 63.5  &
   orientation = 0.0d, 0.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.mtl_lca_to_frame
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._fsae_rearsusp.mtl_lca_to_frame.mount_i  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.mtl_lca_to_frame.mount_i  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.mtl_lca_to_frame.bxl_bushing_j_1  &
   location = -508.0, 0.0, 0.0  &
   orientation = 90.0d, 90.0d, 270.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.mtl_lca_to_frame.bxl_bushing_j_1  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_rearsusp.mtl_lca_to_frame.bxl_bushgeom_j_1  &
   location = -520.7, 0.0, 0.0  &
   orientation = 90.0d, 90.0d, 270.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.mtl_lca_to_frame.bxl_bushgeom_j_1  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_rearsusp.mtl_lca_to_frame.bxl_bushing_j_2  &
   location = 0.0, 0.0, 0.0  &
   orientation = 270.0d, 90.0d, 90.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.mtl_lca_to_frame.bxl_bushing_j_2  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_rearsusp.mtl_lca_to_frame.bxl_bushgeom_j_2  &
   location = 12.7, 0.0, 0.0  &
   orientation = 270.0d, 90.0d, 90.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.mtl_lca_to_frame.bxl_bushgeom_j_2  &
   visibility = off  &
   name_visibility = off
!
part attributes  &
   part_name = ._fsae_rearsusp.mtl_lca_to_frame  &
   visibility = on  &
   name_visibility = on  &
   size_of_icons = 31.75
!
!---------------------------------- gel_prod ----------------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
part create rigid_body name_and_position  &
   part_name = ._fsae_rearsusp.gel_prod  &
   location = 941.5, -446.9, 210.35  &
   orientation = 18.2208266948d, 123.4474631127d, 210.8476496448d
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.gel_prod
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._fsae_rearsusp.gel_prod.cm  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.gel_prod.cm  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_rearsusp.gel_prod.inertia_frame  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker create  &
   marker_name = ._fsae_rearsusp.gel_prod.jxl_joint_i_4  &
   location = 0.0, 0.0, -243.3903911415  &
   orientation = 16.6736048976d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.gel_prod.jxl_joint_i_4  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_rearsusp.gel_prod.jxl_joint_j_5  &
   location = 0.0, 0.0, 243.3903911415  &
   orientation = 329.1523503552d, 123.4474631127d, 161.7791733052d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.gel_prod.jxl_joint_j_5  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_rearsusp.gel_prod.gralin_1  &
   location = 0.0, 0.0, -243.3903911415  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.gel_prod.gralin_1  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_rearsusp.gel_prod.graell_13  &
   location = 0.0, 0.0, 243.3903911415  &
   orientation = 329.1523503552d, 123.4474631127d, 161.7791733052d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.gel_prod.graell_13  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_rearsusp.gel_prod.graell_15  &
   location = 0.0, 0.0, -243.3903911415  &
   orientation = 329.1523503552d, 123.4474631127d, 161.7791733052d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.gel_prod.graell_15  &
   visibility = off  &
   name_visibility = off
!
part create rigid_body mass_properties  &
   part_name = ._fsae_rearsusp.gel_prod  &
   mass = 0.1305462744  &
   center_of_mass_marker = ._fsae_rearsusp.gel_prod.cm  &
   inertia_marker = ._fsae_rearsusp.gel_prod.inertia_frame  &
   ixx = 1623.8642292791  &
   iyy = 1623.8642292791  &
   izz = 2.5358427596  &
   ixy = 0.0  &
   izx = 0.0  &
   iyz = 0.0
!
! ****** Graphics for current part ******
!
geometry create shape cylinder  &
   cylinder_name = ._fsae_rearsusp.gel_prod.gralin_prod  &
   center_marker = ._fsae_rearsusp.gel_prod.gralin_1  &
   angle_extent = 360.0  &
   length = 486.7807822829  &
   radius = 6.35  &
   side_count_for_body = 15  &
   segment_count_for_ends = 15
!
geometry attributes  &
   geometry_name = ._fsae_rearsusp.gel_prod.gralin_prod  &
   color = BLACK
!
geometry create shape ellipsoid  &
   ellipsoid_name = ._fsae_rearsusp.gel_prod.graell_prod_outboard  &
   center_marker = ._fsae_rearsusp.gel_prod.graell_13  &
   x_scale_factor = 12.7  &
   y_scale_factor = 12.7  &
   z_scale_factor = 12.7
!
geometry attributes  &
   geometry_name = ._fsae_rearsusp.gel_prod.graell_prod_outboard  &
   color = BLACK
!
geometry create shape ellipsoid  &
   ellipsoid_name = ._fsae_rearsusp.gel_prod.graell_prod_inboard  &
   center_marker = ._fsae_rearsusp.gel_prod.graell_15  &
   x_scale_factor = 12.7  &
   y_scale_factor = 12.7  &
   z_scale_factor = 12.7
!
geometry attributes  &
   geometry_name = ._fsae_rearsusp.gel_prod.graell_prod_inboard  &
   color = BLACK
!
part attributes  &
   part_name = ._fsae_rearsusp.gel_prod  &
   visibility = on  &
   name_visibility = on
!
!---------------------------------- ger_prod ----------------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
part create rigid_body name_and_position  &
   part_name = ._fsae_rearsusp.ger_prod  &
   location = 941.5, 446.9, 210.35  &
   orientation = 161.7791733052d, 123.4474631127d, 329.1523503552d
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ger_prod
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._fsae_rearsusp.ger_prod.cm  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ger_prod.cm  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_rearsusp.ger_prod.inertia_frame  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker create  &
   marker_name = ._fsae_rearsusp.ger_prod.jxr_joint_i_4  &
   location = 0.0, 0.0, -243.3903911415  &
   orientation = 343.3263951024d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ger_prod.jxr_joint_i_4  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_rearsusp.ger_prod.jxr_joint_j_5  &
   location = 0.0, 0.0, 243.3903911415  &
   orientation = 210.8476496448d, 123.4474631127d, 18.2208266948d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ger_prod.jxr_joint_j_5  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_rearsusp.ger_prod.gralin_2  &
   location = 0.0, 0.0, -243.3903911415  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ger_prod.gralin_2  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_rearsusp.ger_prod.graell_14  &
   location = 0.0, 0.0, 243.3903911415  &
   orientation = 210.8476496448d, 123.4474631127d, 18.2208266948d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ger_prod.graell_14  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_rearsusp.ger_prod.graell_16  &
   location = 0.0, 0.0, -243.3903911415  &
   orientation = 210.8476496448d, 123.4474631127d, 18.2208266948d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ger_prod.graell_16  &
   visibility = off  &
   name_visibility = off
!
part create rigid_body mass_properties  &
   part_name = ._fsae_rearsusp.ger_prod  &
   mass = 0.1305462744  &
   center_of_mass_marker = ._fsae_rearsusp.ger_prod.cm  &
   inertia_marker = ._fsae_rearsusp.ger_prod.inertia_frame  &
   ixx = 1623.8642292791  &
   iyy = 1623.8642292791  &
   izz = 2.5358427596  &
   ixy = 0.0  &
   izx = 0.0  &
   iyz = 0.0
!
! ****** Graphics for current part ******
!
geometry create shape cylinder  &
   cylinder_name = ._fsae_rearsusp.ger_prod.gralin_prod  &
   center_marker = ._fsae_rearsusp.ger_prod.gralin_2  &
   angle_extent = 360.0  &
   length = 486.7807822829  &
   radius = 6.35  &
   side_count_for_body = 15  &
   segment_count_for_ends = 15
!
geometry attributes  &
   geometry_name = ._fsae_rearsusp.ger_prod.gralin_prod  &
   color = BLACK
!
geometry create shape ellipsoid  &
   ellipsoid_name = ._fsae_rearsusp.ger_prod.graell_prod_outboard  &
   center_marker = ._fsae_rearsusp.ger_prod.graell_14  &
   x_scale_factor = 12.7  &
   y_scale_factor = 12.7  &
   z_scale_factor = 12.7
!
geometry attributes  &
   geometry_name = ._fsae_rearsusp.ger_prod.graell_prod_outboard  &
   color = BLACK
!
geometry create shape ellipsoid  &
   ellipsoid_name = ._fsae_rearsusp.ger_prod.graell_prod_inboard  &
   center_marker = ._fsae_rearsusp.ger_prod.graell_16  &
   x_scale_factor = 12.7  &
   y_scale_factor = 12.7  &
   z_scale_factor = 12.7
!
geometry attributes  &
   geometry_name = ._fsae_rearsusp.ger_prod.graell_prod_inboard  &
   color = BLACK
!
part attributes  &
   part_name = ._fsae_rearsusp.ger_prod  &
   visibility = on  &
   name_visibility = on
!
!----------------------------------- gel_BC -----------------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
part create rigid_body name_and_position  &
   part_name = ._fsae_rearsusp.gel_BC  &
   location = 840.7333333333, -240.4, 340.2666666667  &
   orientation = 0.0d, 0.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.gel_BC
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._fsae_rearsusp.gel_BC.cm  &
   location = -7.0775749467E-02, 1.3188715073, 0.9897953893  &
   orientation = 8.458287414d, 129.0705863876d, 64.0540408826d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.gel_BC.cm  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_rearsusp.gel_BC.inertia_frame  &
   location = -7.0775749467E-02, 1.3188715073, 0.9897953893  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker create  &
   marker_name = ._fsae_rearsusp.gel_BC.jxl_joint_j_16  &
   location = -13.5333333333, 37.2, 4.2333333333  &
   orientation = 45.0d, 90.0d, 195.2144139586d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.gel_BC.jxl_joint_j_16  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.gel_BC.jxl_joint_j_4  &
   location = 37.2666666667, -13.6, 4.2333333333  &
   orientation = 225.0d, 90.0d, 304.2967039184d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.gel_BC.jxl_joint_j_4  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_rearsusp.gel_BC.graarm_1  &
   location = -23.7333333333, -23.6, -8.4666666667  &
   orientation = 315.0d, 14.196018422d, 55.1476347223d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.gel_BC.graarm_1  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_rearsusp.gel_BC.graarm_2  &
   location = 37.2666666667, -13.6, 4.2333333333  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.gel_BC.graarm_2  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_rearsusp.gel_BC.graarm_3  &
   location = -13.5333333333, 37.2, 4.2333333333  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.gel_BC.graarm_3  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_rearsusp.gel_BC.jxl_joint_i_3  &
   location = -23.7333333333, -23.6, -8.4666666667  &
   orientation = 303.690067526d, 13.3105671628d, 57.0262017813d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.gel_BC.jxl_joint_i_3  &
   visibility = off  &
   name_visibility = off
!
part create rigid_body mass_properties  &
   part_name = ._fsae_rearsusp.gel_BC  &
   mass = 7.9243501617E-02  &
   center_of_mass_marker = ._fsae_rearsusp.gel_BC.cm  &
   inertia_marker = ._fsae_rearsusp.gel_BC.inertia_frame  &
   ixx = 45.2784734596  &
   iyy = 27.7521984477  &
   izz = 36.2813778742  &
   ixy = 0.0  &
   izx = 0.0  &
   iyz = 0.0
!
! ****** Graphics for current part ******
!
geometry create shape plate  &
   plate_name = ._fsae_rearsusp.gel_BC.graarm_BC  &
   marker_name = ._fsae_rearsusp.gel_BC.graarm_1,  &
                 ._fsae_rearsusp.gel_BC.graarm_2,  &
                 ._fsae_rearsusp.gel_BC.graarm_3  &
   width = 9.525  &
   radius = 4.7625
!
geometry attributes  &
   geometry_name = ._fsae_rearsusp.gel_BC.graarm_BC  &
   color = BLUE
!
part attributes  &
   part_name = ._fsae_rearsusp.gel_BC  &
   visibility = on  &
   name_visibility = on
!
!----------------------------------- ger_BC -----------------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
part create rigid_body name_and_position  &
   part_name = ._fsae_rearsusp.ger_BC  &
   location = 840.7333333333, 240.4, 340.2666666667  &
   orientation = 0.0d, 0.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ger_BC
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._fsae_rearsusp.ger_BC.cm  &
   location = -7.0775749467E-02, -1.3188715073, 0.9897953893  &
   orientation = 351.541712586d, 50.9294136124d, 64.0540408826d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ger_BC.cm  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_rearsusp.ger_BC.inertia_frame  &
   location = -7.0775749467E-02, -1.3188715073, 0.9897953893  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker create  &
   marker_name = ._fsae_rearsusp.ger_BC.jxr_joint_j_16  &
   location = -13.5333333333, -37.2, 4.2333333333  &
   orientation = 135.0d, 90.0d, 344.7855860414d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ger_BC.jxr_joint_j_16  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.ger_BC.jxr_joint_j_4  &
   location = 37.2666666667, 13.6, 4.2333333333  &
   orientation = 315.0d, 90.0d, 235.7032960816d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ger_BC.jxr_joint_j_4  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_rearsusp.ger_BC.graarm_4  &
   location = -23.7333333333, 23.6, -8.4666666667  &
   orientation = 45.0d, 165.803981578d, 55.1476347223d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ger_BC.graarm_4  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_rearsusp.ger_BC.graarm_5  &
   location = 37.2666666667, 13.6, 4.2333333333  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ger_BC.graarm_5  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_rearsusp.ger_BC.graarm_6  &
   location = -13.5333333333, -37.2, 4.2333333333  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ger_BC.graarm_6  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_rearsusp.ger_BC.jxr_joint_i_3  &
   location = -23.7333333333, 23.6, -8.4666666667  &
   orientation = 236.309932474d, 13.3105671628d, 122.9737982187d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ger_BC.jxr_joint_i_3  &
   visibility = off  &
   name_visibility = off
!
part create rigid_body mass_properties  &
   part_name = ._fsae_rearsusp.ger_BC  &
   mass = 7.9243501617E-02  &
   center_of_mass_marker = ._fsae_rearsusp.ger_BC.cm  &
   inertia_marker = ._fsae_rearsusp.ger_BC.inertia_frame  &
   ixx = 45.2784734596  &
   iyy = 27.7521984477  &
   izz = 36.2813778742  &
   ixy = 0.0  &
   izx = 0.0  &
   iyz = 0.0
!
! ****** Graphics for current part ******
!
geometry create shape plate  &
   plate_name = ._fsae_rearsusp.ger_BC.graarm_BC  &
   marker_name = ._fsae_rearsusp.ger_BC.graarm_4,  &
                 ._fsae_rearsusp.ger_BC.graarm_5,  &
                 ._fsae_rearsusp.ger_BC.graarm_6  &
   width = 9.525  &
   radius = 4.7625
!
geometry attributes  &
   geometry_name = ._fsae_rearsusp.ger_BC.graarm_BC  &
   color = BLUE
!
part attributes  &
   part_name = ._fsae_rearsusp.ger_BC  &
   visibility = on  &
   name_visibility = on
!
!------------------------------ mtl_BC_to_frame -------------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
part create rigid_body name_and_position  &
   part_name = ._fsae_rearsusp.mtl_BC_to_frame  &
   location = 817.0, -264.0, 331.8  &
   orientation = 0.0d, 0.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.mtl_BC_to_frame
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._fsae_rearsusp.mtl_BC_to_frame.mount_i  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.mtl_BC_to_frame.mount_i  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_rearsusp.mtl_BC_to_frame.jxl_joint_j_3  &
   location = 0.0, 0.0, 0.0  &
   orientation = 303.690067526d, 13.3105671628d, 57.0262017813d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.mtl_BC_to_frame.jxl_joint_j_3  &
   visibility = off  &
   name_visibility = off
!
part attributes  &
   part_name = ._fsae_rearsusp.mtl_BC_to_frame  &
   visibility = on  &
   name_visibility = on
!
!------------------------------ mtr_BC_to_frame -------------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
part create rigid_body name_and_position  &
   part_name = ._fsae_rearsusp.mtr_BC_to_frame  &
   location = 817.0, 264.0, 331.8  &
   orientation = 0.0d, 0.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.mtr_BC_to_frame
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._fsae_rearsusp.mtr_BC_to_frame.mount_i  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.mtr_BC_to_frame.mount_i  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_rearsusp.mtr_BC_to_frame.jxr_joint_j_3  &
   location = 0.0, 0.0, 0.0  &
   orientation = 236.309932474d, 13.3105671628d, 122.9737982187d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.mtr_BC_to_frame.jxr_joint_j_3  &
   visibility = off  &
   name_visibility = off
!
part attributes  &
   part_name = ._fsae_rearsusp.mtr_BC_to_frame  &
   visibility = on  &
   name_visibility = on
!
!---------------------------- gel_upright_bracket -----------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
part create rigid_body name_and_position  &
   part_name = ._fsae_rearsusp.gel_upright_bracket  &
   location = 1030.4, -680.0, 51.6  &
   orientation = 0.0d, 0.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.gel_upright_bracket
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._fsae_rearsusp.gel_upright_bracket.cm  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.gel_upright_bracket.cm  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_rearsusp.gel_upright_bracket.inertia_frame  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker create  &
   marker_name = ._fsae_rearsusp.gel_upright_bracket.jxl_joint_i_2  &
   location = 0.0, 0.0, 0.0  &
   orientation = 180.0d, 90.0d, 180.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.gel_upright_bracket.jxl_joint_i_2  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.gel_upright_bracket.afl_aforce_j_2  &
   location = 0.0, 680.0, 0.0  &
   orientation = 0.0d, 90.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.gel_upright_bracket.afl_aforce_j_2  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.gel_upright_bracket.jxl_joint_i_9  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.gel_upright_bracket.jxl_joint_i_9  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
part create rigid_body mass_properties  &
   part_name = ._fsae_rearsusp.gel_upright_bracket  &
   mass = 0.45359237  &
   center_of_mass_marker = ._fsae_rearsusp.gel_upright_bracket.cm  &
   inertia_marker = ._fsae_rearsusp.gel_upright_bracket.inertia_frame  &
   ixx = 292.6396534292  &
   iyy = 292.6396534292  &
   izz = 292.6396534292  &
   ixy = 0.0  &
   izx = 0.0  &
   iyz = 0.0
!
part attributes  &
   part_name = ._fsae_rearsusp.gel_upright_bracket  &
   visibility = on  &
   name_visibility = on
!
!---------------------------- ger_upright_bracket -----------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
part create rigid_body name_and_position  &
   part_name = ._fsae_rearsusp.ger_upright_bracket  &
   location = 1030.4, 680.0, 51.6  &
   orientation = 0.0d, 0.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ger_upright_bracket
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = ._fsae_rearsusp.ger_upright_bracket.cm  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ger_upright_bracket.cm  &
   visibility = off  &
   name_visibility = off
!
marker create  &
   marker_name = ._fsae_rearsusp.ger_upright_bracket.inertia_frame  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker create  &
   marker_name = ._fsae_rearsusp.ger_upright_bracket.jxr_joint_i_2  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 90.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ger_upright_bracket.jxr_joint_i_2  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.ger_upright_bracket.afr_aforce_j_2  &
   location = 0.0, -680.0, 0.0  &
   orientation = 180.0d, 90.0d, 180.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ger_upright_bracket.afr_aforce_j_2  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
marker create  &
   marker_name = ._fsae_rearsusp.ger_upright_bracket.jxr_joint_i_9  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = ._fsae_rearsusp.ger_upright_bracket.jxr_joint_i_9  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
part create rigid_body mass_properties  &
   part_name = ._fsae_rearsusp.ger_upright_bracket  &
   mass = 0.45359237  &
   center_of_mass_marker = ._fsae_rearsusp.ger_upright_bracket.cm  &
   inertia_marker = ._fsae_rearsusp.ger_upright_bracket.inertia_frame  &
   ixx = 292.6396534292  &
   iyy = 292.6396534292  &
   izz = 292.6396534292  &
   ixy = 0.0  &
   izx = 0.0  &
   iyz = 0.0
!
part attributes  &
   part_name = ._fsae_rearsusp.ger_upright_bracket  &
   visibility = on  &
   name_visibility = on
!
!----------------------------------- Joints -----------------------------------!
!
!
constraint create joint translational  &
   joint_name = ._fsae_rearsusp.joltra_bracket_to_upright  &
   i_marker_name = ._fsae_rearsusp.gel_upright_bracket.jxl_joint_i_2  &
   j_marker_name = ._fsae_rearsusp.gel_upright.jxl_joint_j_2
!
constraint attributes  &
   constraint_name = ._fsae_rearsusp.joltra_bracket_to_upright  &
   size_of_icons = 31.75
!
constraint create joint translational  &
   joint_name = ._fsae_rearsusp.jortra_bracket_to_upright  &
   i_marker_name = ._fsae_rearsusp.ger_upright_bracket.jxr_joint_i_2  &
   j_marker_name = ._fsae_rearsusp.ger_upright.jxr_joint_j_2
!
constraint attributes  &
   constraint_name = ._fsae_rearsusp.jortra_bracket_to_upright  &
   size_of_icons = 31.75
!
constraint create joint translational  &
   joint_name = ._fsae_rearsusp.joltra_tierod_split  &
   i_marker_name = ._fsae_rearsusp.gel_tierod_outer.jxl_joint_i_1  &
   j_marker_name = ._fsae_rearsusp.gel_tierod_inner.jxl_joint_j_1
!
constraint attributes  &
   constraint_name = ._fsae_rearsusp.joltra_tierod_split  &
   size_of_icons = 31.75
!
constraint create joint translational  &
   joint_name = ._fsae_rearsusp.jortra_tierod_split  &
   i_marker_name = ._fsae_rearsusp.ger_tierod_outer.jxr_joint_i_1  &
   j_marker_name = ._fsae_rearsusp.ger_tierod_inner.jxr_joint_j_1
!
constraint attributes  &
   constraint_name = ._fsae_rearsusp.jortra_tierod_split  &
   size_of_icons = 31.75
!
constraint create joint spherical  &
   joint_name = ._fsae_rearsusp.jolsph_lca_balljoint  &
   i_marker_name = ._fsae_rearsusp.gel_upright_bracket.jxl_joint_i_9  &
   j_marker_name = ._fsae_rearsusp.gel_lower_control_arm.jxl_joint_j_9
!
constraint attributes  &
   constraint_name = ._fsae_rearsusp.jolsph_lca_balljoint  &
   size_of_icons = 31.75
!
constraint create joint spherical  &
   joint_name = ._fsae_rearsusp.jorsph_lca_balljoint  &
   i_marker_name = ._fsae_rearsusp.ger_upright_bracket.jxr_joint_i_9  &
   j_marker_name = ._fsae_rearsusp.ger_lower_control_arm.jxr_joint_j_9
!
constraint attributes  &
   constraint_name = ._fsae_rearsusp.jorsph_lca_balljoint  &
   size_of_icons = 31.75
!
constraint create joint spherical  &
   joint_name = ._fsae_rearsusp.jolsph_tierod_outer  &
   i_marker_name = ._fsae_rearsusp.gel_tierod_outer.jxl_joint_i_10  &
   j_marker_name = ._fsae_rearsusp.gel_upright.jxl_joint_j_10
!
constraint attributes  &
   constraint_name = ._fsae_rearsusp.jolsph_tierod_outer  &
   size_of_icons = 31.75
!
constraint create joint spherical  &
   joint_name = ._fsae_rearsusp.jorsph_tierod_outer  &
   i_marker_name = ._fsae_rearsusp.ger_tierod_outer.jxr_joint_i_10  &
   j_marker_name = ._fsae_rearsusp.ger_upright.jxr_joint_j_10
!
constraint attributes  &
   constraint_name = ._fsae_rearsusp.jorsph_tierod_outer  &
   size_of_icons = 31.75
!
constraint create joint fixed  &
   joint_name = ._fsae_rearsusp.mtl_fixed_2  &
   i_marker_name = ._fsae_rearsusp.mtl_toe_link_to_frame.mount_i  &
   j_marker_name = ._fsae_rearsusp.ground.mtl_mount_j_2
!
constraint attributes  &
   constraint_name = ._fsae_rearsusp.mtl_fixed_2  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
constraint create joint fixed  &
   joint_name = ._fsae_rearsusp.mtr_fixed_2  &
   i_marker_name = ._fsae_rearsusp.mtr_toe_link_to_frame.mount_i  &
   j_marker_name = ._fsae_rearsusp.ground.mtr_mount_j_2
!
constraint attributes  &
   constraint_name = ._fsae_rearsusp.mtr_fixed_2  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
constraint create joint convel  &
   joint_name = ._fsae_rearsusp.jolcon_tierod_inner  &
   i_marker_name = ._fsae_rearsusp.gel_tierod_inner.jxl_joint_i_11  &
   j_marker_name = ._fsae_rearsusp.mtl_toe_link_to_frame.jxl_joint_j_11
!
constraint attributes  &
   constraint_name = ._fsae_rearsusp.jolcon_tierod_inner  &
   size_of_icons = 31.75
!
constraint create joint convel  &
   joint_name = ._fsae_rearsusp.jorcon_tierod_inner  &
   i_marker_name = ._fsae_rearsusp.ger_tierod_inner.jxr_joint_i_11  &
   j_marker_name = ._fsae_rearsusp.mtr_toe_link_to_frame.jxr_joint_j_11
!
constraint attributes  &
   constraint_name = ._fsae_rearsusp.jorcon_tierod_inner  &
   size_of_icons = 31.75
!
constraint create joint fixed  &
   joint_name = ._fsae_rearsusp.mtl_fixed_3  &
   i_marker_name = ._fsae_rearsusp.mtl_damper_to_frame.mount_i  &
   j_marker_name = ._fsae_rearsusp.ground.mtl_mount_j_3
!
constraint attributes  &
   constraint_name = ._fsae_rearsusp.mtl_fixed_3  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
constraint create joint fixed  &
   joint_name = ._fsae_rearsusp.mtr_fixed_3  &
   i_marker_name = ._fsae_rearsusp.mtr_damper_to_frame.mount_i  &
   j_marker_name = ._fsae_rearsusp.ground.mtr_mount_j_3
!
constraint attributes  &
   constraint_name = ._fsae_rearsusp.mtr_fixed_3  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
constraint create joint convel  &
   joint_name = ._fsae_rearsusp.jolcon_top_mount_kinematic  &
   i_marker_name = ._fsae_rearsusp.gel_damper_inboard.jxl_joint_i_12  &
   j_marker_name = ._fsae_rearsusp.mtl_damper_to_frame.jxl_joint_j_12
!
constraint attributes  &
   constraint_name = ._fsae_rearsusp.jolcon_top_mount_kinematic  &
   size_of_icons = 31.75
!
constraint create joint convel  &
   joint_name = ._fsae_rearsusp.jorcon_top_mount_kinematic  &
   i_marker_name = ._fsae_rearsusp.ger_damper_inboard.jxr_joint_i_12  &
   j_marker_name = ._fsae_rearsusp.mtr_damper_to_frame.jxr_joint_j_12
!
constraint attributes  &
   constraint_name = ._fsae_rearsusp.jorcon_top_mount_kinematic  &
   size_of_icons = 31.75
!
constraint create joint cylindrical  &
   joint_name = ._fsae_rearsusp._cv_joint_for_motion  &
   comments = "Dummy for communicators"  &
   i_marker_name = ._fsae_rearsusp._cv_part.marker  &
   j_marker_name = ._fsae_rearsusp.ground._cv_marker
!
constraint attributes  &
   constraint_name = ._fsae_rearsusp._cv_joint_for_motion  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
constraint create joint spherical  &
   joint_name = ._fsae_rearsusp.jolsph_uca_balljoint  &
   i_marker_name = ._fsae_rearsusp.gel_upper_control_arm.jxl_joint_i_13  &
   j_marker_name = ._fsae_rearsusp.gel_upright.jxl_joint_j_13
!
constraint attributes  &
   constraint_name = ._fsae_rearsusp.jolsph_uca_balljoint  &
   size_of_icons = 31.75
!
constraint create joint spherical  &
   joint_name = ._fsae_rearsusp.jorsph_uca_balljoint  &
   i_marker_name = ._fsae_rearsusp.ger_upper_control_arm.jxr_joint_i_13  &
   j_marker_name = ._fsae_rearsusp.ger_upright.jxr_joint_j_13
!
constraint attributes  &
   constraint_name = ._fsae_rearsusp.jorsph_uca_balljoint  &
   size_of_icons = 31.75
!
constraint create joint cylindrical  &
   joint_name = ._fsae_rearsusp.jolcyl_lwr_upr_strut  &
   i_marker_name = ._fsae_rearsusp.gel_damper_outboard.jxl_joint_i_14  &
   j_marker_name = ._fsae_rearsusp.gel_damper_inboard.jxl_joint_j_14
!
constraint attributes  &
   constraint_name = ._fsae_rearsusp.jolcyl_lwr_upr_strut  &
   size_of_icons = 31.75
!
constraint create joint cylindrical  &
   joint_name = ._fsae_rearsusp.jorcyl_lwr_upr_strut  &
   i_marker_name = ._fsae_rearsusp.ger_damper_outboard.jxr_joint_i_14  &
   j_marker_name = ._fsae_rearsusp.ger_damper_inboard.jxr_joint_j_14
!
constraint attributes  &
   constraint_name = ._fsae_rearsusp.jorcyl_lwr_upr_strut  &
   size_of_icons = 31.75
!
constraint create joint fixed  &
   joint_name = ._fsae_rearsusp.mtl_fixed_4  &
   i_marker_name = ._fsae_rearsusp.mtl_uca_to_frame.mount_i  &
   j_marker_name = ._fsae_rearsusp.ground.mtl_mount_j_4
!
constraint attributes  &
   constraint_name = ._fsae_rearsusp.mtl_fixed_4  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
constraint create joint fixed  &
   joint_name = ._fsae_rearsusp.mtr_fixed_4  &
   i_marker_name = ._fsae_rearsusp.mtr_uca_to_frame.mount_i  &
   j_marker_name = ._fsae_rearsusp.ground.mtr_mount_j_4
!
constraint attributes  &
   constraint_name = ._fsae_rearsusp.mtr_fixed_4  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
constraint create joint convel  &
   joint_name = ._fsae_rearsusp.jolcon_lwr_strut_kinematic  &
   i_marker_name = ._fsae_rearsusp.gel_damper_outboard.jxl_joint_i_16  &
   j_marker_name = ._fsae_rearsusp.gel_BC.jxl_joint_j_16
!
constraint attributes  &
   constraint_name = ._fsae_rearsusp.jolcon_lwr_strut_kinematic  &
   size_of_icons = 31.75
!
constraint create joint convel  &
   joint_name = ._fsae_rearsusp.jorcon_lwr_strut_kinematic  &
   i_marker_name = ._fsae_rearsusp.ger_damper_outboard.jxr_joint_i_16  &
   j_marker_name = ._fsae_rearsusp.ger_BC.jxr_joint_j_16
!
constraint attributes  &
   constraint_name = ._fsae_rearsusp.jorcon_lwr_strut_kinematic  &
   size_of_icons = 31.75
!
constraint create joint fixed  &
   joint_name = ._fsae_rearsusp.mtl_fixed_5  &
   i_marker_name = ._fsae_rearsusp.mtl_tripot_to_differential.mount_i  &
   j_marker_name = ._fsae_rearsusp.ground.mtl_mount_j_5
!
constraint attributes  &
   constraint_name = ._fsae_rearsusp.mtl_fixed_5  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
constraint create joint fixed  &
   joint_name = ._fsae_rearsusp.mtr_fixed_5  &
   i_marker_name = ._fsae_rearsusp.mtr_tripot_to_differential.mount_i  &
   j_marker_name = ._fsae_rearsusp.ground.mtr_mount_j_5
!
constraint attributes  &
   constraint_name = ._fsae_rearsusp.mtr_fixed_5  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
constraint create joint translational  &
   joint_name = ._fsae_rearsusp.joltra_tripot_to_differential  &
   i_marker_name = ._fsae_rearsusp.gel_tripot.jxl_joint_i_17  &
   j_marker_name = ._fsae_rearsusp.mtl_tripot_to_differential.jxl_joint_j_17
!
constraint attributes  &
   constraint_name = ._fsae_rearsusp.joltra_tripot_to_differential  &
   size_of_icons = 31.75
!
constraint create joint translational  &
   joint_name = ._fsae_rearsusp.jortra_tripot_to_differential  &
   i_marker_name = ._fsae_rearsusp.ger_tripot.jxr_joint_i_17  &
   j_marker_name = ._fsae_rearsusp.mtr_tripot_to_differential.jxr_joint_j_17
!
constraint attributes  &
   constraint_name = ._fsae_rearsusp.jortra_tripot_to_differential  &
   size_of_icons = 31.75
!
constraint create joint convel  &
   joint_name = ._fsae_rearsusp.jolcon_drive_sft_int_jt  &
   i_marker_name = ._fsae_rearsusp.gel_tripot.jxl_joint_i_18  &
   j_marker_name = ._fsae_rearsusp.gel_drive_shaft.jxl_joint_j_18
!
constraint attributes  &
   constraint_name = ._fsae_rearsusp.jolcon_drive_sft_int_jt  &
   size_of_icons = 31.75
!
constraint create joint convel  &
   joint_name = ._fsae_rearsusp.jorcon_drive_sft_int_jt  &
   i_marker_name = ._fsae_rearsusp.ger_tripot.jxr_joint_i_18  &
   j_marker_name = ._fsae_rearsusp.ger_drive_shaft.jxr_joint_j_18
!
constraint attributes  &
   constraint_name = ._fsae_rearsusp.jorcon_drive_sft_int_jt  &
   size_of_icons = 31.75
!
constraint create joint convel  &
   joint_name = ._fsae_rearsusp.jolcon_drive_sft_otr  &
   i_marker_name = ._fsae_rearsusp.gel_drive_shaft.jxl_joint_i_19  &
   j_marker_name = ._fsae_rearsusp.gel_spindle.jxl_joint_j_19
!
constraint attributes  &
   constraint_name = ._fsae_rearsusp.jolcon_drive_sft_otr  &
   size_of_icons = 31.75
!
constraint create joint convel  &
   joint_name = ._fsae_rearsusp.jorcon_drive_sft_otr  &
   i_marker_name = ._fsae_rearsusp.ger_drive_shaft.jxr_joint_i_19  &
   j_marker_name = ._fsae_rearsusp.ger_spindle.jxr_joint_j_19
!
constraint attributes  &
   constraint_name = ._fsae_rearsusp.jorcon_drive_sft_otr  &
   size_of_icons = 31.75
!
constraint create joint revolute  &
   joint_name = ._fsae_rearsusp.jolrev_spindle_upright  &
   i_marker_name = ._fsae_rearsusp.gel_spindle.jxl_joint_i_20  &
   j_marker_name = ._fsae_rearsusp.gel_upright.jxl_joint_j_20
!
constraint attributes  &
   constraint_name = ._fsae_rearsusp.jolrev_spindle_upright  &
   size_of_icons = 31.75
!
constraint create joint revolute  &
   joint_name = ._fsae_rearsusp.jorrev_spindle_upright  &
   i_marker_name = ._fsae_rearsusp.ger_spindle.jxr_joint_i_20  &
   j_marker_name = ._fsae_rearsusp.ger_upright.jxr_joint_j_20
!
constraint attributes  &
   constraint_name = ._fsae_rearsusp.jorrev_spindle_upright  &
   size_of_icons = 31.75
!
constraint create joint fixed  &
   joint_name = ._fsae_rearsusp.mtr_fixed_1  &
   i_marker_name = ._fsae_rearsusp.mtr_lca_to_frame.mount_i  &
   j_marker_name = ._fsae_rearsusp.ground.mtr_mount_j_1
!
constraint attributes  &
   constraint_name = ._fsae_rearsusp.mtr_fixed_1  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
constraint create joint fixed  &
   joint_name = ._fsae_rearsusp.mtl_fixed_1  &
   i_marker_name = ._fsae_rearsusp.mtl_lca_to_frame.mount_i  &
   j_marker_name = ._fsae_rearsusp.ground.mtl_mount_j_1
!
constraint attributes  &
   constraint_name = ._fsae_rearsusp.mtl_fixed_1  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
constraint create joint fixed  &
   joint_name = ._fsae_rearsusp.mtl_fixed_6  &
   i_marker_name = ._fsae_rearsusp.mtl_BC_to_frame.mount_i  &
   j_marker_name = ._fsae_rearsusp.ground.mtl_mount_j_6
!
constraint attributes  &
   constraint_name = ._fsae_rearsusp.mtl_fixed_6  &
   visibility = off  &
   name_visibility = off
!
constraint create joint fixed  &
   joint_name = ._fsae_rearsusp.mtr_fixed_6  &
   i_marker_name = ._fsae_rearsusp.mtr_BC_to_frame.mount_i  &
   j_marker_name = ._fsae_rearsusp.ground.mtr_mount_j_6
!
constraint attributes  &
   constraint_name = ._fsae_rearsusp.mtr_fixed_6  &
   visibility = off  &
   name_visibility = off
!
constraint create joint revolute  &
   joint_name = ._fsae_rearsusp.jolrev_BC_to_frame  &
   i_marker_name = ._fsae_rearsusp.gel_BC.jxl_joint_i_3  &
   j_marker_name = ._fsae_rearsusp.mtl_BC_to_frame.jxl_joint_j_3
!
constraint create joint revolute  &
   joint_name = ._fsae_rearsusp.jorrev_BC_to_frame  &
   i_marker_name = ._fsae_rearsusp.ger_BC.jxr_joint_i_3  &
   j_marker_name = ._fsae_rearsusp.mtr_BC_to_frame.jxr_joint_j_3
!
constraint create joint convel  &
   joint_name = ._fsae_rearsusp.jolcon_prod_to_BC  &
   i_marker_name = ._fsae_rearsusp.gel_prod.jxl_joint_i_4  &
   j_marker_name = ._fsae_rearsusp.gel_BC.jxl_joint_j_4
!
constraint create joint convel  &
   joint_name = ._fsae_rearsusp.jorcon_prod_to_BC  &
   i_marker_name = ._fsae_rearsusp.ger_prod.jxr_joint_i_4  &
   j_marker_name = ._fsae_rearsusp.ger_BC.jxr_joint_j_4
!
constraint create joint spherical  &
   joint_name = ._fsae_rearsusp.jolsph_prod_to_lca  &
   i_marker_name = ._fsae_rearsusp.gel_lower_control_arm.jxl_joint_i_5  &
   j_marker_name = ._fsae_rearsusp.gel_prod.jxl_joint_j_5
!
constraint create joint spherical  &
   joint_name = ._fsae_rearsusp.jorsph_prod_to_lca  &
   i_marker_name = ._fsae_rearsusp.ger_lower_control_arm.jxr_joint_i_5  &
   j_marker_name = ._fsae_rearsusp.ger_prod.jxr_joint_j_5
!
!------------------------------ Joint Primitives ------------------------------!
!
!
constraint create primitive_joint inplane  &
   jprim_name = ._fsae_rearsusp._cv_joint  &
   comments = "Dummy for communicators"  &
   i_marker_name = ._fsae_rearsusp._cv_part.marker  &
   j_marker_name = ._fsae_rearsusp.ground._cv_marker
!
constraint attributes  &
   constraint_name = ._fsae_rearsusp._cv_joint  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
!----------------------------------- Forces -----------------------------------!
!
!
force create element_like field  &
   field_name = ._fsae_rearsusp._cv_bushing  &
   comments = "Dummy for communicators"  &
   i_marker_name = ._fsae_rearsusp._cv_part.marker  &
   j_marker_name = ._fsae_rearsusp.ground._cv_marker  &
   translation_at_preload = 0.0, 0.0, 0.0  &
   rotation_at_preload = 0.0d, 0.0d, 0.0d  &
   formulation = linear  &
   length_tolerance = 1.0E-05  &
   damping_ratio = 0.0  &
   stiffness_matrix =  &
      0.0, 0.0, 0.0, 0.0, 0.0, 0.0,  &
      0.0, 0.0, 0.0, 0.0, 0.0, 0.0,  &
      0.0, 0.0, 0.0, 0.0, 0.0, 0.0,  &
      0.0, 0.0, 0.0, 0.0, 0.0, 0.0,  &
      0.0, 0.0, 0.0, 0.0, 0.0, 0.0,  &
      0.0, 0.0, 0.0, 0.0, 0.0, 0.0  &
   force_preload = 0.0, 0.0, 0.0  &
   torque_preload = 0.0, 0.0, 0.0
!
force attributes  &
   force_name = ._fsae_rearsusp._cv_bushing  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
!---------------------------------- Requests ----------------------------------!
!
!
output_control create request  &
   request_name = ._fsae_rearsusp.toe_camber  &
   comment = "Computes the toe and camber of a front or rear suspension"  &
   component_names = "", "toe_left", "", "camber_left", "", "toe_right", "",  &
                     "camber_right"  &
   component_units = "no_units", "no_units", "no_units", "no_units",  &
                     "no_units", "no_units", "no_units", "no_units"  &
   results_name = "suspension_kinematics"  &
   user_function = 1101.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0  &
   routine = "apresolver::reqsub"
!
!---------------------------- Adams View Variables ----------------------------!
!
!
variable create  &
   variable_name = ._fsae_rearsusp.pvr_toe_adjust  &
   units = "angle"  &
   real_value = 0.0
!
!-------------------------- Adams View UDE Instances --------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
undo begin_block suppress = yes
!
ude create instance  &
   instance_name = ._fsae_rearsusp.nsl_ride_spring  &
   definition_name = .ACAR.forces.ac_spring  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0, 0.0, 0.0
!
ude attributes  &
   instance_name = ._fsae_rearsusp.nsl_ride_spring  &
   color = SILVER
!
ude create instance  &
   instance_name = ._fsae_rearsusp.nsr_ride_spring  &
   definition_name = .ACAR.forces.ac_spring  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0, 0.0, 0.0
!
ude attributes  &
   instance_name = ._fsae_rearsusp.nsr_ride_spring  &
   color = SILVER
!
ude create instance  &
   instance_name = ._fsae_rearsusp.dal_ride_damper  &
   definition_name = .ACAR.forces.ac_damper  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0, 0.0, 0.0
!
ude attributes  &
   instance_name = ._fsae_rearsusp.dal_ride_damper  &
   color = MAIZE
!
ude create instance  &
   instance_name = ._fsae_rearsusp.dar_ride_damper  &
   definition_name = .ACAR.forces.ac_damper  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0, 0.0, 0.0
!
ude attributes  &
   instance_name = ._fsae_rearsusp.dar_ride_damper  &
   color = MAIZE
!
ude create instance  &
   instance_name = ._fsae_rearsusp.afl_toe_adjuster  &
   definition_name = .ACAR.forces.ac_aforce  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0, 0.0, 0.0
!
ude create instance  &
   instance_name = ._fsae_rearsusp.afr_toe_adjuster  &
   definition_name = .ACAR.forces.ac_aforce  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0, 0.0, 0.0
!
ude create instance  &
   instance_name = ._fsae_rearsusp.afr_camber_adjuster  &
   definition_name = .ACAR.forces.ac_aforce  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0, 0.0, 0.0
!
ude create instance  &
   instance_name = ._fsae_rearsusp.afl_camber_adjuster  &
   definition_name = .ACAR.forces.ac_aforce  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0, 0.0, 0.0
!
ude create instance  &
   instance_name = ._fsae_rearsusp.bgl_lca_front  &
   definition_name = .ACAR.attachments.ac_bushing  &
   location = 776.4, -381.0, 63.5  &
   orientation = 90.0, 90.0, 270.0
!
ude create instance  &
   instance_name = ._fsae_rearsusp.bgr_lca_front  &
   definition_name = .ACAR.attachments.ac_bushing  &
   location = 776.4, 381.0, 63.5  &
   orientation = 90.0, 90.0, 270.0
!
ude create instance  &
   instance_name = ._fsae_rearsusp.bgl_lca_rear  &
   definition_name = .ACAR.attachments.ac_bushing  &
   location = 1284.4, -381.0, 63.5  &
   orientation = 270.0, 90.0, 90.0
!
ude create instance  &
   instance_name = ._fsae_rearsusp.bgr_lca_rear  &
   definition_name = .ACAR.attachments.ac_bushing  &
   location = 1284.4, 381.0, 63.5  &
   orientation = 270.0, 90.0, 90.0
!
ude create instance  &
   instance_name = ._fsae_rearsusp.bgl_uca_front  &
   definition_name = .ACAR.attachments.ac_bushing  &
   location = 776.4, -279.4, 179.4  &
   orientation = 90.0, 90.0, 270.0
!
ude create instance  &
   instance_name = ._fsae_rearsusp.bgr_uca_front  &
   definition_name = .ACAR.attachments.ac_bushing  &
   location = 776.4, 279.4, 179.4  &
   orientation = 90.0, 90.0, 270.0
!
ude create instance  &
   instance_name = ._fsae_rearsusp.bgl_uca_rear  &
   definition_name = .ACAR.attachments.ac_bushing  &
   location = 1284.4, -279.4, 179.4  &
   orientation = 270.0, 90.0, 90.0
!
ude create instance  &
   instance_name = ._fsae_rearsusp.bgr_uca_rear  &
   definition_name = .ACAR.attachments.ac_bushing  &
   location = 1284.4, 279.4, 179.4  &
   orientation = 270.0, 90.0, 90.0
!
ude create instance  &
   instance_name = ._fsae_rearsusp.bul_jounce_stop  &
   definition_name = .ACAR.forces.ac_bumpstop  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0, 0.0, 0.0
!
ude attributes  &
   instance_name = ._fsae_rearsusp.bul_jounce_stop  &
   color = MIDNIGHT_BLUE
!
ude create instance  &
   instance_name = ._fsae_rearsusp.bur_jounce_stop  &
   definition_name = .ACAR.forces.ac_bumpstop  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0, 0.0, 0.0
!
ude attributes  &
   instance_name = ._fsae_rearsusp.bur_jounce_stop  &
   color = MIDNIGHT_BLUE
!
!-------------------------- Adams View UDE Instance ---------------------------!
!
!
variable modify  &
   variable_name = ._fsae_rearsusp.nsl_ride_spring.property_file  &
   string_value = "mdids://fsae_2018/springs.tbl/msc_0001.spr"
!
variable modify  &
   variable_name = ._fsae_rearsusp.nsl_ride_spring.user_value  &
   real_value = 101.7778
!
variable modify  &
   variable_name = ._fsae_rearsusp.nsl_ride_spring.value_type  &
   string_value = "installed_length"
!
variable modify  &
   variable_name = ._fsae_rearsusp.nsl_ride_spring.scale_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.nsl_ride_spring.diameter  &
   real_value = (._fsae_rearsusp.nsl_ride_spring.dmCalc * ._fsae_rearsusp.nsl_ride_spring.geoScale)
!
variable modify  &
   variable_name = ._fsae_rearsusp.nsl_ride_spring.geoScale  &
   real_value = 0.39
!
variable modify  &
   variable_name = ._fsae_rearsusp.nsl_ride_spring.numCoils  &
   integer_value = 8
!
variable modify  &
   variable_name = ._fsae_rearsusp.nsl_ride_spring.method  &
   integer_value = 0
!
variable modify  &
   variable_name = ._fsae_rearsusp.nsl_ride_spring.independentAxis  &
   integer_value = 1
!
variable modify  &
   variable_name = ._fsae_rearsusp.nsl_ride_spring.i_marker  &
   object_value = ._fsae_rearsusp.gel_damper_inboard.nsl_spring_i_1
!
variable modify  &
   variable_name = ._fsae_rearsusp.nsl_ride_spring.j_marker  &
   object_value = ._fsae_rearsusp.gel_damper_outboard.nsl_spring_j_1
!
ude modify instance  &
   instance_name = ._fsae_rearsusp.nsl_ride_spring
!
!-------------------------- Adams View UDE Instance ---------------------------!
!
!
variable modify  &
   variable_name = ._fsae_rearsusp.nsr_ride_spring.property_file  &
   string_value = "mdids://fsae_2018/springs.tbl/msc_0001.spr"
!
variable modify  &
   variable_name = ._fsae_rearsusp.nsr_ride_spring.user_value  &
   real_value = 101.7778
!
variable modify  &
   variable_name = ._fsae_rearsusp.nsr_ride_spring.value_type  &
   string_value = "installed_length"
!
variable modify  &
   variable_name = ._fsae_rearsusp.nsr_ride_spring.scale_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.nsr_ride_spring.diameter  &
   real_value = (._fsae_rearsusp.nsr_ride_spring.dmCalc * ._fsae_rearsusp.nsr_ride_spring.geoScale)
!
variable modify  &
   variable_name = ._fsae_rearsusp.nsr_ride_spring.geoScale  &
   real_value = 0.39
!
variable modify  &
   variable_name = ._fsae_rearsusp.nsr_ride_spring.numCoils  &
   integer_value = 8
!
variable modify  &
   variable_name = ._fsae_rearsusp.nsr_ride_spring.method  &
   integer_value = 0
!
variable modify  &
   variable_name = ._fsae_rearsusp.nsr_ride_spring.independentAxis  &
   integer_value = 1
!
variable modify  &
   variable_name = ._fsae_rearsusp.nsr_ride_spring.i_marker  &
   object_value = ._fsae_rearsusp.ger_damper_inboard.nsr_spring_i_1
!
variable modify  &
   variable_name = ._fsae_rearsusp.nsr_ride_spring.j_marker  &
   object_value = ._fsae_rearsusp.ger_damper_outboard.nsr_spring_j_1
!
ude modify instance  &
   instance_name = ._fsae_rearsusp.nsr_ride_spring
!
!-------------------------- Adams View UDE Instance ---------------------------!
!
!
variable modify  &
   variable_name = ._fsae_rearsusp.dal_ride_damper.property_file  &
   string_value = "mdids://fsae_2018/dampers.tbl/msc_0001.dpr"
!
variable modify  &
   variable_name = ._fsae_rearsusp.dal_ride_damper.scale_factor_compression  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.dal_ride_damper.scale_factor_rebound  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.dal_ride_damper.method  &
   integer_value = 0
!
variable modify  &
   variable_name = ._fsae_rearsusp.dal_ride_damper.gas_preload_method  &
   integer_value = 0
!
variable modify  &
   variable_name = ._fsae_rearsusp.dal_ride_damper.geoScale  &
   real_value = 0.12
!
variable modify  &
   variable_name = ._fsae_rearsusp.dal_ride_damper.i_marker  &
   object_value = ._fsae_rearsusp.gel_damper_inboard.dal_damper_i_1
!
variable modify  &
   variable_name = ._fsae_rearsusp.dal_ride_damper.j_marker  &
   object_value = ._fsae_rearsusp.gel_damper_outboard.dal_damper_j_1
!
ude modify instance  &
   instance_name = ._fsae_rearsusp.dal_ride_damper
!
!-------------------------- Adams View UDE Instance ---------------------------!
!
!
variable modify  &
   variable_name = ._fsae_rearsusp.dar_ride_damper.property_file  &
   string_value = "mdids://fsae_2018/dampers.tbl/msc_0001.dpr"
!
variable modify  &
   variable_name = ._fsae_rearsusp.dar_ride_damper.scale_factor_compression  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.dar_ride_damper.scale_factor_rebound  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.dar_ride_damper.method  &
   integer_value = 0
!
variable modify  &
   variable_name = ._fsae_rearsusp.dar_ride_damper.gas_preload_method  &
   integer_value = 0
!
variable modify  &
   variable_name = ._fsae_rearsusp.dar_ride_damper.geoScale  &
   real_value = 0.12
!
variable modify  &
   variable_name = ._fsae_rearsusp.dar_ride_damper.i_marker  &
   object_value = ._fsae_rearsusp.ger_damper_inboard.dar_damper_i_1
!
variable modify  &
   variable_name = ._fsae_rearsusp.dar_ride_damper.j_marker  &
   object_value = ._fsae_rearsusp.ger_damper_outboard.dar_damper_j_1
!
ude modify instance  &
   instance_name = ._fsae_rearsusp.dar_ride_damper
!
!-------------------------- Adams View UDE Instance ---------------------------!
!
!
variable modify  &
   variable_name = ._fsae_rearsusp.afl_toe_adjuster.pattern  &
   integer_value =   &
      1,  &
      0,  &
      1,  &
      0,  &
      1,  &
      0
!
variable modify  &
   variable_name = ._fsae_rearsusp.afl_toe_adjuster.adjustment_type  &
   string_value = "toe"
!
variable modify  &
   variable_name = ._fsae_rearsusp.afl_toe_adjuster.desired_value  &
   real_value = (._fsae_rearsusp.pvr_toe_adjust)
!
variable modify  &
   variable_name = ._fsae_rearsusp.afl_toe_adjuster.stiffness  &
   real_value = 9.9999999999E+05
!
variable modify  &
   variable_name = ._fsae_rearsusp.afl_toe_adjuster.damping  &
   real_value = 1.9999999999E+04
!
variable modify  &
   variable_name = ._fsae_rearsusp.afl_toe_adjuster.lock  &
   integer_value = 1
!
variable modify  &
   variable_name = ._fsae_rearsusp.afl_toe_adjuster.motion_delta  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.afl_toe_adjuster.adjustment  &
   integer_value = 0
!
variable modify  &
   variable_name = ._fsae_rearsusp.afl_toe_adjuster.i_marker  &
   object_value = ._fsae_rearsusp.gel_tierod_inner.afl_aforce_i_1
!
variable modify  &
   variable_name = ._fsae_rearsusp.afl_toe_adjuster.j_marker  &
   object_value = ._fsae_rearsusp.gel_tierod_outer.afl_aforce_j_1
!
variable modify  &
   variable_name = ._fsae_rearsusp.afl_toe_adjuster.i_measmar  &
   object_value = ._fsae_rearsusp.gel_upright.afl_aforce_meai_1
!
variable modify  &
   variable_name = ._fsae_rearsusp.afl_toe_adjuster.j_measmar  &
   object_value = ._fsae_rearsusp.ground.afl_aforce_meaj_1
!
ude modify instance  &
   instance_name = ._fsae_rearsusp.afl_toe_adjuster
!
!-------------------------- Adams View UDE Instance ---------------------------!
!
!
variable modify  &
   variable_name = ._fsae_rearsusp.afr_toe_adjuster.pattern  &
   integer_value =   &
      1,  &
      0,  &
      1,  &
      0,  &
      1,  &
      0
!
variable modify  &
   variable_name = ._fsae_rearsusp.afr_toe_adjuster.adjustment_type  &
   string_value = "toe"
!
variable modify  &
   variable_name = ._fsae_rearsusp.afr_toe_adjuster.desired_value  &
   real_value = (._fsae_rearsusp.pvr_toe_adjust)
!
variable modify  &
   variable_name = ._fsae_rearsusp.afr_toe_adjuster.stiffness  &
   real_value = 9.9999999999E+05
!
variable modify  &
   variable_name = ._fsae_rearsusp.afr_toe_adjuster.damping  &
   real_value = 1.9999999999E+04
!
variable modify  &
   variable_name = ._fsae_rearsusp.afr_toe_adjuster.lock  &
   integer_value = 1
!
variable modify  &
   variable_name = ._fsae_rearsusp.afr_toe_adjuster.motion_delta  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.afr_toe_adjuster.adjustment  &
   integer_value = 0
!
variable modify  &
   variable_name = ._fsae_rearsusp.afr_toe_adjuster.i_marker  &
   object_value = ._fsae_rearsusp.ger_tierod_inner.afr_aforce_i_1
!
variable modify  &
   variable_name = ._fsae_rearsusp.afr_toe_adjuster.j_marker  &
   object_value = ._fsae_rearsusp.ger_tierod_outer.afr_aforce_j_1
!
variable modify  &
   variable_name = ._fsae_rearsusp.afr_toe_adjuster.i_measmar  &
   object_value = ._fsae_rearsusp.ger_upright.afr_aforce_meai_1
!
variable modify  &
   variable_name = ._fsae_rearsusp.afr_toe_adjuster.j_measmar  &
   object_value = ._fsae_rearsusp.ground.afr_aforce_meaj_1
!
ude modify instance  &
   instance_name = ._fsae_rearsusp.afr_toe_adjuster
!
!-------------------------- Adams View UDE Instance ---------------------------!
!
!
variable modify  &
   variable_name = ._fsae_rearsusp.afr_camber_adjuster.pattern  &
   integer_value =   &
      0,  &
      1,  &
      0,  &
      1,  &
      0,  &
      1
!
variable modify  &
   variable_name = ._fsae_rearsusp.afr_camber_adjuster.adjustment_type  &
   string_value = "camber"
!
variable modify  &
   variable_name = ._fsae_rearsusp.afr_camber_adjuster.desired_value  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.afr_camber_adjuster.stiffness  &
   real_value = 9.9999999999E+05
!
variable modify  &
   variable_name = ._fsae_rearsusp.afr_camber_adjuster.damping  &
   real_value = 1.9999999999E+04
!
variable modify  &
   variable_name = ._fsae_rearsusp.afr_camber_adjuster.lock  &
   integer_value = 1
!
variable modify  &
   variable_name = ._fsae_rearsusp.afr_camber_adjuster.motion_delta  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.afr_camber_adjuster.adjustment  &
   integer_value = 0
!
variable modify  &
   variable_name = ._fsae_rearsusp.afr_camber_adjuster.i_marker  &
   object_value = ._fsae_rearsusp.ger_upright.afr_aforce_i_2
!
variable modify  &
   variable_name = ._fsae_rearsusp.afr_camber_adjuster.j_marker  &
   object_value = ._fsae_rearsusp.ger_upright_bracket.afr_aforce_j_2
!
variable modify  &
   variable_name = ._fsae_rearsusp.afr_camber_adjuster.i_measmar  &
   object_value = ._fsae_rearsusp.ger_upright.afr_aforce_meai_2
!
variable modify  &
   variable_name = ._fsae_rearsusp.afr_camber_adjuster.j_measmar  &
   object_value = ._fsae_rearsusp.ground.afr_aforce_meaj_2
!
ude modify instance  &
   instance_name = ._fsae_rearsusp.afr_camber_adjuster
!
!-------------------------- Adams View UDE Instance ---------------------------!
!
!
variable modify  &
   variable_name = ._fsae_rearsusp.afl_camber_adjuster.pattern  &
   integer_value =   &
      0,  &
      1,  &
      0,  &
      1,  &
      0,  &
      1
!
variable modify  &
   variable_name = ._fsae_rearsusp.afl_camber_adjuster.adjustment_type  &
   string_value = "camber"
!
variable modify  &
   variable_name = ._fsae_rearsusp.afl_camber_adjuster.desired_value  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.afl_camber_adjuster.stiffness  &
   real_value = 9.9999999999E+05
!
variable modify  &
   variable_name = ._fsae_rearsusp.afl_camber_adjuster.damping  &
   real_value = 1.9999999999E+04
!
variable modify  &
   variable_name = ._fsae_rearsusp.afl_camber_adjuster.lock  &
   integer_value = 1
!
variable modify  &
   variable_name = ._fsae_rearsusp.afl_camber_adjuster.motion_delta  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.afl_camber_adjuster.adjustment  &
   integer_value = 0
!
variable modify  &
   variable_name = ._fsae_rearsusp.afl_camber_adjuster.i_marker  &
   object_value = ._fsae_rearsusp.gel_upright.afl_aforce_i_2
!
variable modify  &
   variable_name = ._fsae_rearsusp.afl_camber_adjuster.j_marker  &
   object_value = ._fsae_rearsusp.gel_upright_bracket.afl_aforce_j_2
!
variable modify  &
   variable_name = ._fsae_rearsusp.afl_camber_adjuster.i_measmar  &
   object_value = ._fsae_rearsusp.gel_upright.afl_aforce_meai_2
!
variable modify  &
   variable_name = ._fsae_rearsusp.afl_camber_adjuster.j_measmar  &
   object_value = ._fsae_rearsusp.ground.afl_aforce_meaj_2
!
ude modify instance  &
   instance_name = ._fsae_rearsusp.afl_camber_adjuster
!
!-------------------------- Adams View UDE Instance ---------------------------!
!
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_lca_front.property_file  &
   string_value = "mdids://fsae_2018/bushings.tbl/fsae_control_arm_bushing.bus"
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_lca_front.t_preload_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_lca_front.t_preload_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_lca_front.t_preload_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_lca_front.r_preload_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_lca_front.r_preload_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_lca_front.r_preload_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_lca_front.t_offset_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_lca_front.t_offset_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_lca_front.t_offset_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_lca_front.r_offset_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_lca_front.r_offset_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_lca_front.r_offset_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_lca_front.t_displ_scale_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_lca_front.t_displ_scale_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_lca_front.t_displ_scale_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_lca_front.r_displ_scale_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_lca_front.r_displ_scale_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_lca_front.r_displ_scale_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_lca_front.t_velo_offset_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_lca_front.t_velo_offset_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_lca_front.t_velo_offset_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_lca_front.r_velo_offset_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_lca_front.r_velo_offset_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_lca_front.r_velo_offset_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_lca_front.t_velo_scale_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_lca_front.t_velo_scale_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_lca_front.t_velo_scale_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_lca_front.r_velo_scale_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_lca_front.r_velo_scale_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_lca_front.r_velo_scale_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_lca_front.t_velo_threshold_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_lca_front.t_velo_threshold_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_lca_front.t_velo_threshold_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_lca_front.r_velo_threshold_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_lca_front.r_velo_threshold_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_lca_front.r_velo_threshold_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_lca_front.i_geoMarker  &
   object_value = ._fsae_rearsusp.gel_lower_control_arm.bxl_bushgeom_i_1
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_lca_front.j_geoMarker  &
   object_value = ._fsae_rearsusp.mtl_lca_to_frame.bxl_bushgeom_j_1
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_lca_front.bushing_shape  &
   integer_value = 2
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_lca_front.stiffness_curve  &
   integer_value = 1
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_lca_front.fx_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_lca_front.fy_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_lca_front.fz_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_lca_front.tx_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_lca_front.ty_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_lca_front.tz_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_lca_front.tx_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_lca_front.ty_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_lca_front.tz_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_lca_front.rx_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_lca_front.ry_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_lca_front.rz_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_lca_front.geoRadius  &
   real_value = 12.7
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_lca_front.geoLength  &
   real_value = 25.4
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_lca_front.i_marker  &
   object_value = ._fsae_rearsusp.gel_lower_control_arm.bxl_bushing_i_1
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_lca_front.j_marker  &
   object_value = ._fsae_rearsusp.mtl_lca_to_frame.bxl_bushing_j_1
!
ude modify instance  &
   instance_name = ._fsae_rearsusp.bgl_lca_front
!
!-------------------------- Adams View UDE Instance ---------------------------!
!
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_lca_front.property_file  &
   string_value = "mdids://fsae_2018/bushings.tbl/fsae_control_arm_bushing.bus"
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_lca_front.t_preload_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_lca_front.t_preload_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_lca_front.t_preload_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_lca_front.r_preload_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_lca_front.r_preload_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_lca_front.r_preload_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_lca_front.t_offset_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_lca_front.t_offset_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_lca_front.t_offset_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_lca_front.r_offset_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_lca_front.r_offset_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_lca_front.r_offset_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_lca_front.t_displ_scale_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_lca_front.t_displ_scale_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_lca_front.t_displ_scale_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_lca_front.r_displ_scale_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_lca_front.r_displ_scale_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_lca_front.r_displ_scale_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_lca_front.t_velo_offset_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_lca_front.t_velo_offset_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_lca_front.t_velo_offset_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_lca_front.r_velo_offset_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_lca_front.r_velo_offset_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_lca_front.r_velo_offset_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_lca_front.t_velo_scale_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_lca_front.t_velo_scale_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_lca_front.t_velo_scale_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_lca_front.r_velo_scale_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_lca_front.r_velo_scale_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_lca_front.r_velo_scale_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_lca_front.t_velo_threshold_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_lca_front.t_velo_threshold_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_lca_front.t_velo_threshold_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_lca_front.r_velo_threshold_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_lca_front.r_velo_threshold_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_lca_front.r_velo_threshold_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_lca_front.i_geoMarker  &
   object_value = ._fsae_rearsusp.ger_lower_control_arm.bxr_bushgeom_i_1
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_lca_front.j_geoMarker  &
   object_value = ._fsae_rearsusp.mtr_lca_to_frame.bxr_bushgeom_j_1
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_lca_front.bushing_shape  &
   integer_value = 2
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_lca_front.stiffness_curve  &
   integer_value = 1
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_lca_front.fx_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_lca_front.fy_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_lca_front.fz_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_lca_front.tx_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_lca_front.ty_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_lca_front.tz_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_lca_front.tx_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_lca_front.ty_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_lca_front.tz_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_lca_front.rx_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_lca_front.ry_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_lca_front.rz_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_lca_front.geoRadius  &
   real_value = 12.7
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_lca_front.geoLength  &
   real_value = 25.4
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_lca_front.i_marker  &
   object_value = ._fsae_rearsusp.ger_lower_control_arm.bxr_bushing_i_1
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_lca_front.j_marker  &
   object_value = ._fsae_rearsusp.mtr_lca_to_frame.bxr_bushing_j_1
!
ude modify instance  &
   instance_name = ._fsae_rearsusp.bgr_lca_front
!
!-------------------------- Adams View UDE Instance ---------------------------!
!
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_lca_rear.property_file  &
   string_value = "mdids://fsae_2018/bushings.tbl/fsae_control_arm_bushing.bus"
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_lca_rear.t_preload_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_lca_rear.t_preload_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_lca_rear.t_preload_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_lca_rear.r_preload_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_lca_rear.r_preload_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_lca_rear.r_preload_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_lca_rear.t_offset_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_lca_rear.t_offset_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_lca_rear.t_offset_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_lca_rear.r_offset_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_lca_rear.r_offset_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_lca_rear.r_offset_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_lca_rear.t_displ_scale_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_lca_rear.t_displ_scale_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_lca_rear.t_displ_scale_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_lca_rear.r_displ_scale_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_lca_rear.r_displ_scale_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_lca_rear.r_displ_scale_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_lca_rear.t_velo_offset_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_lca_rear.t_velo_offset_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_lca_rear.t_velo_offset_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_lca_rear.r_velo_offset_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_lca_rear.r_velo_offset_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_lca_rear.r_velo_offset_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_lca_rear.t_velo_scale_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_lca_rear.t_velo_scale_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_lca_rear.t_velo_scale_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_lca_rear.r_velo_scale_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_lca_rear.r_velo_scale_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_lca_rear.r_velo_scale_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_lca_rear.t_velo_threshold_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_lca_rear.t_velo_threshold_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_lca_rear.t_velo_threshold_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_lca_rear.r_velo_threshold_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_lca_rear.r_velo_threshold_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_lca_rear.r_velo_threshold_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_lca_rear.i_geoMarker  &
   object_value = ._fsae_rearsusp.gel_lower_control_arm.bxl_bushgeom_i_2
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_lca_rear.j_geoMarker  &
   object_value = ._fsae_rearsusp.mtl_lca_to_frame.bxl_bushgeom_j_2
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_lca_rear.bushing_shape  &
   integer_value = 2
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_lca_rear.stiffness_curve  &
   integer_value = 1
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_lca_rear.fx_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_lca_rear.fy_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_lca_rear.fz_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_lca_rear.tx_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_lca_rear.ty_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_lca_rear.tz_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_lca_rear.tx_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_lca_rear.ty_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_lca_rear.tz_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_lca_rear.rx_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_lca_rear.ry_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_lca_rear.rz_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_lca_rear.geoRadius  &
   real_value = 12.7
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_lca_rear.geoLength  &
   real_value = 25.4
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_lca_rear.i_marker  &
   object_value = ._fsae_rearsusp.gel_lower_control_arm.bxl_bushing_i_2
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_lca_rear.j_marker  &
   object_value = ._fsae_rearsusp.mtl_lca_to_frame.bxl_bushing_j_2
!
ude modify instance  &
   instance_name = ._fsae_rearsusp.bgl_lca_rear
!
!-------------------------- Adams View UDE Instance ---------------------------!
!
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_lca_rear.property_file  &
   string_value = "mdids://fsae_2018/bushings.tbl/fsae_control_arm_bushing.bus"
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_lca_rear.t_preload_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_lca_rear.t_preload_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_lca_rear.t_preload_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_lca_rear.r_preload_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_lca_rear.r_preload_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_lca_rear.r_preload_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_lca_rear.t_offset_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_lca_rear.t_offset_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_lca_rear.t_offset_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_lca_rear.r_offset_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_lca_rear.r_offset_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_lca_rear.r_offset_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_lca_rear.t_displ_scale_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_lca_rear.t_displ_scale_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_lca_rear.t_displ_scale_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_lca_rear.r_displ_scale_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_lca_rear.r_displ_scale_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_lca_rear.r_displ_scale_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_lca_rear.t_velo_offset_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_lca_rear.t_velo_offset_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_lca_rear.t_velo_offset_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_lca_rear.r_velo_offset_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_lca_rear.r_velo_offset_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_lca_rear.r_velo_offset_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_lca_rear.t_velo_scale_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_lca_rear.t_velo_scale_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_lca_rear.t_velo_scale_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_lca_rear.r_velo_scale_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_lca_rear.r_velo_scale_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_lca_rear.r_velo_scale_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_lca_rear.t_velo_threshold_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_lca_rear.t_velo_threshold_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_lca_rear.t_velo_threshold_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_lca_rear.r_velo_threshold_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_lca_rear.r_velo_threshold_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_lca_rear.r_velo_threshold_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_lca_rear.i_geoMarker  &
   object_value = ._fsae_rearsusp.ger_lower_control_arm.bxr_bushgeom_i_2
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_lca_rear.j_geoMarker  &
   object_value = ._fsae_rearsusp.mtr_lca_to_frame.bxr_bushgeom_j_2
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_lca_rear.bushing_shape  &
   integer_value = 2
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_lca_rear.stiffness_curve  &
   integer_value = 1
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_lca_rear.fx_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_lca_rear.fy_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_lca_rear.fz_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_lca_rear.tx_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_lca_rear.ty_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_lca_rear.tz_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_lca_rear.tx_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_lca_rear.ty_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_lca_rear.tz_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_lca_rear.rx_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_lca_rear.ry_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_lca_rear.rz_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_lca_rear.geoRadius  &
   real_value = 12.7
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_lca_rear.geoLength  &
   real_value = 25.4
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_lca_rear.i_marker  &
   object_value = ._fsae_rearsusp.ger_lower_control_arm.bxr_bushing_i_2
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_lca_rear.j_marker  &
   object_value = ._fsae_rearsusp.mtr_lca_to_frame.bxr_bushing_j_2
!
ude modify instance  &
   instance_name = ._fsae_rearsusp.bgr_lca_rear
!
!-------------------------- Adams View UDE Instance ---------------------------!
!
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_uca_front.property_file  &
   string_value = "mdids://fsae_2018/bushings.tbl/fsae_control_arm_bushing.bus"
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_uca_front.t_preload_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_uca_front.t_preload_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_uca_front.t_preload_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_uca_front.r_preload_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_uca_front.r_preload_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_uca_front.r_preload_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_uca_front.t_offset_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_uca_front.t_offset_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_uca_front.t_offset_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_uca_front.r_offset_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_uca_front.r_offset_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_uca_front.r_offset_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_uca_front.t_displ_scale_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_uca_front.t_displ_scale_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_uca_front.t_displ_scale_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_uca_front.r_displ_scale_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_uca_front.r_displ_scale_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_uca_front.r_displ_scale_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_uca_front.t_velo_offset_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_uca_front.t_velo_offset_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_uca_front.t_velo_offset_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_uca_front.r_velo_offset_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_uca_front.r_velo_offset_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_uca_front.r_velo_offset_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_uca_front.t_velo_scale_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_uca_front.t_velo_scale_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_uca_front.t_velo_scale_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_uca_front.r_velo_scale_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_uca_front.r_velo_scale_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_uca_front.r_velo_scale_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_uca_front.t_velo_threshold_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_uca_front.t_velo_threshold_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_uca_front.t_velo_threshold_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_uca_front.r_velo_threshold_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_uca_front.r_velo_threshold_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_uca_front.r_velo_threshold_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_uca_front.i_geoMarker  &
   object_value = ._fsae_rearsusp.gel_upper_control_arm.bxl_bushgeom_i_3
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_uca_front.j_geoMarker  &
   object_value = ._fsae_rearsusp.mtl_uca_to_frame.bxl_bushgeom_j_3
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_uca_front.bushing_shape  &
   integer_value = 2
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_uca_front.stiffness_curve  &
   integer_value = 1
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_uca_front.fx_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_uca_front.fy_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_uca_front.fz_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_uca_front.tx_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_uca_front.ty_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_uca_front.tz_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_uca_front.tx_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_uca_front.ty_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_uca_front.tz_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_uca_front.rx_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_uca_front.ry_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_uca_front.rz_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_uca_front.geoRadius  &
   real_value = 12.7
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_uca_front.geoLength  &
   real_value = 25.4
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_uca_front.i_marker  &
   object_value = ._fsae_rearsusp.gel_upper_control_arm.bxl_bushing_i_3
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_uca_front.j_marker  &
   object_value = ._fsae_rearsusp.mtl_uca_to_frame.bxl_bushing_j_3
!
ude modify instance  &
   instance_name = ._fsae_rearsusp.bgl_uca_front
!
!-------------------------- Adams View UDE Instance ---------------------------!
!
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_uca_front.property_file  &
   string_value = "mdids://fsae_2018/bushings.tbl/fsae_control_arm_bushing.bus"
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_uca_front.t_preload_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_uca_front.t_preload_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_uca_front.t_preload_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_uca_front.r_preload_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_uca_front.r_preload_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_uca_front.r_preload_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_uca_front.t_offset_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_uca_front.t_offset_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_uca_front.t_offset_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_uca_front.r_offset_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_uca_front.r_offset_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_uca_front.r_offset_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_uca_front.t_displ_scale_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_uca_front.t_displ_scale_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_uca_front.t_displ_scale_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_uca_front.r_displ_scale_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_uca_front.r_displ_scale_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_uca_front.r_displ_scale_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_uca_front.t_velo_offset_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_uca_front.t_velo_offset_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_uca_front.t_velo_offset_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_uca_front.r_velo_offset_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_uca_front.r_velo_offset_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_uca_front.r_velo_offset_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_uca_front.t_velo_scale_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_uca_front.t_velo_scale_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_uca_front.t_velo_scale_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_uca_front.r_velo_scale_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_uca_front.r_velo_scale_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_uca_front.r_velo_scale_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_uca_front.t_velo_threshold_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_uca_front.t_velo_threshold_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_uca_front.t_velo_threshold_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_uca_front.r_velo_threshold_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_uca_front.r_velo_threshold_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_uca_front.r_velo_threshold_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_uca_front.i_geoMarker  &
   object_value = ._fsae_rearsusp.ger_upper_control_arm.bxr_bushgeom_i_3
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_uca_front.j_geoMarker  &
   object_value = ._fsae_rearsusp.mtr_uca_to_frame.bxr_bushgeom_j_3
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_uca_front.bushing_shape  &
   integer_value = 2
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_uca_front.stiffness_curve  &
   integer_value = 1
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_uca_front.fx_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_uca_front.fy_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_uca_front.fz_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_uca_front.tx_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_uca_front.ty_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_uca_front.tz_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_uca_front.tx_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_uca_front.ty_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_uca_front.tz_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_uca_front.rx_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_uca_front.ry_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_uca_front.rz_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_uca_front.geoRadius  &
   real_value = 12.7
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_uca_front.geoLength  &
   real_value = 25.4
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_uca_front.i_marker  &
   object_value = ._fsae_rearsusp.ger_upper_control_arm.bxr_bushing_i_3
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_uca_front.j_marker  &
   object_value = ._fsae_rearsusp.mtr_uca_to_frame.bxr_bushing_j_3
!
ude modify instance  &
   instance_name = ._fsae_rearsusp.bgr_uca_front
!
!-------------------------- Adams View UDE Instance ---------------------------!
!
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_uca_rear.property_file  &
   string_value = "mdids://fsae_2018/bushings.tbl/fsae_control_arm_bushing.bus"
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_uca_rear.t_preload_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_uca_rear.t_preload_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_uca_rear.t_preload_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_uca_rear.r_preload_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_uca_rear.r_preload_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_uca_rear.r_preload_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_uca_rear.t_offset_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_uca_rear.t_offset_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_uca_rear.t_offset_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_uca_rear.r_offset_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_uca_rear.r_offset_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_uca_rear.r_offset_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_uca_rear.t_displ_scale_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_uca_rear.t_displ_scale_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_uca_rear.t_displ_scale_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_uca_rear.r_displ_scale_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_uca_rear.r_displ_scale_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_uca_rear.r_displ_scale_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_uca_rear.t_velo_offset_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_uca_rear.t_velo_offset_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_uca_rear.t_velo_offset_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_uca_rear.r_velo_offset_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_uca_rear.r_velo_offset_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_uca_rear.r_velo_offset_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_uca_rear.t_velo_scale_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_uca_rear.t_velo_scale_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_uca_rear.t_velo_scale_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_uca_rear.r_velo_scale_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_uca_rear.r_velo_scale_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_uca_rear.r_velo_scale_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_uca_rear.t_velo_threshold_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_uca_rear.t_velo_threshold_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_uca_rear.t_velo_threshold_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_uca_rear.r_velo_threshold_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_uca_rear.r_velo_threshold_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_uca_rear.r_velo_threshold_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_uca_rear.i_geoMarker  &
   object_value = ._fsae_rearsusp.gel_upper_control_arm.bxl_bushgeom_i_4
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_uca_rear.j_geoMarker  &
   object_value = ._fsae_rearsusp.mtl_uca_to_frame.bxl_bushgeom_j_4
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_uca_rear.bushing_shape  &
   integer_value = 2
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_uca_rear.stiffness_curve  &
   integer_value = 1
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_uca_rear.fx_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_uca_rear.fy_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_uca_rear.fz_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_uca_rear.tx_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_uca_rear.ty_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_uca_rear.tz_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_uca_rear.tx_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_uca_rear.ty_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_uca_rear.tz_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_uca_rear.rx_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_uca_rear.ry_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_uca_rear.rz_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_uca_rear.geoRadius  &
   real_value = 12.7
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_uca_rear.geoLength  &
   real_value = 25.4
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_uca_rear.i_marker  &
   object_value = ._fsae_rearsusp.gel_upper_control_arm.bxl_bushing_i_4
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgl_uca_rear.j_marker  &
   object_value = ._fsae_rearsusp.mtl_uca_to_frame.bxl_bushing_j_4
!
ude modify instance  &
   instance_name = ._fsae_rearsusp.bgl_uca_rear
!
!-------------------------- Adams View UDE Instance ---------------------------!
!
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_uca_rear.property_file  &
   string_value = "mdids://fsae_2018/bushings.tbl/fsae_control_arm_bushing.bus"
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_uca_rear.t_preload_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_uca_rear.t_preload_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_uca_rear.t_preload_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_uca_rear.r_preload_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_uca_rear.r_preload_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_uca_rear.r_preload_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_uca_rear.t_offset_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_uca_rear.t_offset_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_uca_rear.t_offset_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_uca_rear.r_offset_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_uca_rear.r_offset_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_uca_rear.r_offset_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_uca_rear.t_displ_scale_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_uca_rear.t_displ_scale_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_uca_rear.t_displ_scale_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_uca_rear.r_displ_scale_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_uca_rear.r_displ_scale_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_uca_rear.r_displ_scale_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_uca_rear.t_velo_offset_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_uca_rear.t_velo_offset_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_uca_rear.t_velo_offset_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_uca_rear.r_velo_offset_x  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_uca_rear.r_velo_offset_y  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_uca_rear.r_velo_offset_z  &
   real_value = 0.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_uca_rear.t_velo_scale_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_uca_rear.t_velo_scale_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_uca_rear.t_velo_scale_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_uca_rear.r_velo_scale_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_uca_rear.r_velo_scale_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_uca_rear.r_velo_scale_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_uca_rear.t_velo_threshold_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_uca_rear.t_velo_threshold_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_uca_rear.t_velo_threshold_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_uca_rear.r_velo_threshold_x  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_uca_rear.r_velo_threshold_y  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_uca_rear.r_velo_threshold_z  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_uca_rear.i_geoMarker  &
   object_value = ._fsae_rearsusp.ger_upper_control_arm.bxr_bushgeom_i_4
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_uca_rear.j_geoMarker  &
   object_value = ._fsae_rearsusp.mtr_uca_to_frame.bxr_bushgeom_j_4
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_uca_rear.bushing_shape  &
   integer_value = 2
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_uca_rear.stiffness_curve  &
   integer_value = 1
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_uca_rear.fx_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_uca_rear.fy_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_uca_rear.fz_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_uca_rear.tx_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_uca_rear.ty_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_uca_rear.tz_scaling_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_uca_rear.tx_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_uca_rear.ty_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_uca_rear.tz_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_uca_rear.rx_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_uca_rear.ry_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_uca_rear.rz_damping_force_scale  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_uca_rear.geoRadius  &
   real_value = 12.7
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_uca_rear.geoLength  &
   real_value = 25.4
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_uca_rear.i_marker  &
   object_value = ._fsae_rearsusp.ger_upper_control_arm.bxr_bushing_i_4
!
variable modify  &
   variable_name = ._fsae_rearsusp.bgr_uca_rear.j_marker  &
   object_value = ._fsae_rearsusp.mtr_uca_to_frame.bxr_bushing_j_4
!
ude modify instance  &
   instance_name = ._fsae_rearsusp.bgr_uca_rear
!
!-------------------------- Adams View UDE Instance ---------------------------!
!
!
variable modify  &
   variable_name = ._fsae_rearsusp.bul_jounce_stop.property_file  &
   string_value = "mdids://fsae_2018/bumpstops.tbl/mdi_0001.bum"
!
variable modify  &
   variable_name = ._fsae_rearsusp.bul_jounce_stop.user_distance  &
   real_value = 199.9999999992
!
variable modify  &
   variable_name = ._fsae_rearsusp.bul_jounce_stop.distance_type  &
   string_value = "clearance"
!
variable modify  &
   variable_name = ._fsae_rearsusp.bul_jounce_stop.scale_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bul_jounce_stop.diameter  &
   real_value = 150.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bul_jounce_stop.method  &
   integer_value = -1
!
variable modify  &
   variable_name = ._fsae_rearsusp.bul_jounce_stop.force_type  &
   integer_value = 0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bul_jounce_stop.dampingMethod  &
   integer_value = -1
!
variable modify  &
   variable_name = ._fsae_rearsusp.bul_jounce_stop.geoScale  &
   real_value = 0.16
!
variable modify  &
   variable_name = ._fsae_rearsusp.bul_jounce_stop.j_marker2  &
   object_value = (NONE)
!
variable modify  &
   variable_name = ._fsae_rearsusp.bul_jounce_stop.j_fmarker  &
   object_value = (NONE)
!
variable modify  &
   variable_name = ._fsae_rearsusp.bul_jounce_stop.i_marker  &
   object_value = ._fsae_rearsusp.gel_damper_inboard.bul_bumpstop_i_1
!
variable modify  &
   variable_name = ._fsae_rearsusp.bul_jounce_stop.j_marker  &
   object_value = ._fsae_rearsusp.gel_damper_outboard.bul_bumpstop_j_1
!
ude modify instance  &
   instance_name = ._fsae_rearsusp.bul_jounce_stop
!
!-------------------------- Adams View UDE Instance ---------------------------!
!
!
variable modify  &
   variable_name = ._fsae_rearsusp.bur_jounce_stop.property_file  &
   string_value = "mdids://fsae_2018/bumpstops.tbl/mdi_0001.bum"
!
variable modify  &
   variable_name = ._fsae_rearsusp.bur_jounce_stop.user_distance  &
   real_value = 199.9999999992
!
variable modify  &
   variable_name = ._fsae_rearsusp.bur_jounce_stop.distance_type  &
   string_value = "clearance"
!
variable modify  &
   variable_name = ._fsae_rearsusp.bur_jounce_stop.scale_factor  &
   real_value = 1.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bur_jounce_stop.diameter  &
   real_value = 150.0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bur_jounce_stop.method  &
   integer_value = -1
!
variable modify  &
   variable_name = ._fsae_rearsusp.bur_jounce_stop.force_type  &
   integer_value = 0
!
variable modify  &
   variable_name = ._fsae_rearsusp.bur_jounce_stop.dampingMethod  &
   integer_value = -1
!
variable modify  &
   variable_name = ._fsae_rearsusp.bur_jounce_stop.geoScale  &
   real_value = 0.16
!
variable modify  &
   variable_name = ._fsae_rearsusp.bur_jounce_stop.j_marker2  &
   object_value = (NONE)
!
variable modify  &
   variable_name = ._fsae_rearsusp.bur_jounce_stop.j_fmarker  &
   object_value = (NONE)
!
variable modify  &
   variable_name = ._fsae_rearsusp.bur_jounce_stop.i_marker  &
   object_value = ._fsae_rearsusp.ger_damper_inboard.bur_bumpstop_i_1
!
variable modify  &
   variable_name = ._fsae_rearsusp.bur_jounce_stop.j_marker  &
   object_value = ._fsae_rearsusp.ger_damper_outboard.bur_bumpstop_j_1
!
ude modify instance  &
   instance_name = ._fsae_rearsusp.bur_jounce_stop
!
undo end_block
!
!---------------------------------- Motions -----------------------------------!
!
!
constraint create motion_generator  &
   motion_name = ._fsae_rearsusp._cv_motion  &
   comments = "Dummy for communicators"  &
   type_of_freedom = rotational  &
   joint_name = ._fsae_rearsusp._cv_joint_for_motion  &
   function = ""
!
constraint attributes  &
   constraint_name = ._fsae_rearsusp._cv_motion  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 31.75
!
!---------------------------------- Accgrav -----------------------------------!
!
!
force create body gravitational  &
   gravity_field_name = gravity  &
   x_component_gravity = 0.0  &
   y_component_gravity = 0.0  &
   z_component_gravity = -9810.0
!
force attributes  &
   force_name = ._fsae_rearsusp.gravity  &
   size_of_icons = 31.75
!
!----------------------------- Analysis settings ------------------------------!
!
!
output_control set results  &
   model_name = _fsae_rearsusp  &
   formatted = on
!
!---------------------------- Adams View Variables ----------------------------!
!
!
variable create  &
   variable_name = ._fsae_rearsusp.suspension_parameters_ARRAY.type_flag  &
   integer_value = 1  &
   comments = "1=Independent, 0=Dependent"
!
variable create  &
   variable_name = ._fsae_rearsusp.suspension_parameters_ARRAY.steer_axis_calc_method  &
   integer_value = 0  &
   comments = "0=Geometric, 1=Instant Axis"
!
variable create  &
   variable_name = ._fsae_rearsusp.suspension_parameters_ARRAY.kp2  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_rearsusp.suspension_parameters_ARRAY.kp1  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_rearsusp.gel_tierod_inner.sml_sprung_mass_percent  &
   real_value = 100.0
!
variable create  &
   variable_name = ._fsae_rearsusp.ger_tierod_inner.smr_sprung_mass_percent  &
   real_value = 100.0
!
variable create  &
   variable_name = ._fsae_rearsusp.gel_tierod_outer.sml_sprung_mass_percent  &
   real_value = 100.0
!
variable create  &
   variable_name = ._fsae_rearsusp.ger_tierod_outer.smr_sprung_mass_percent  &
   real_value = 100.0
!
variable create  &
   variable_name = ._fsae_rearsusp.gel_lower_control_arm.sml_sprung_mass_percent  &
   real_value = 100.0
!
variable create  &
   variable_name = ._fsae_rearsusp.ger_lower_control_arm.smr_sprung_mass_percent  &
   real_value = 100.0
!
variable create  &
   variable_name = ._fsae_rearsusp.gel_upright.sml_sprung_mass_percent  &
   real_value = 100.0
!
variable create  &
   variable_name = ._fsae_rearsusp.ger_upright.smr_sprung_mass_percent  &
   real_value = 100.0
!
variable create  &
   variable_name = ._fsae_rearsusp.gel_damper_inboard.sml_sprung_mass_percent  &
   real_value = 100.0
!
variable create  &
   variable_name = ._fsae_rearsusp.ger_damper_inboard.smr_sprung_mass_percent  &
   real_value = 100.0
!
variable create  &
   variable_name = ._fsae_rearsusp.mtl_toe_link_to_frame.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_rearsusp.mtl_toe_link_to_frame.dependents  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_rearsusp.mtr_toe_link_to_frame.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_rearsusp.mtr_toe_link_to_frame.dependents  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_rearsusp.mtl_damper_to_frame.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_rearsusp.mtl_damper_to_frame.dependents  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_rearsusp.mtr_damper_to_frame.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_rearsusp.mtr_damper_to_frame.dependents  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_rearsusp.gel_upper_control_arm.sml_sprung_mass_percent  &
   real_value = 100.0
!
variable create  &
   variable_name = ._fsae_rearsusp.ger_upper_control_arm.smr_sprung_mass_percent  &
   real_value = 100.0
!
variable create  &
   variable_name = ._fsae_rearsusp.gel_damper_outboard.sml_sprung_mass_percent  &
   real_value = 100.0
!
variable create  &
   variable_name = ._fsae_rearsusp.ger_damper_outboard.smr_sprung_mass_percent  &
   real_value = 100.0
!
variable create  &
   variable_name = ._fsae_rearsusp.mtl_uca_to_frame.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_rearsusp.mtl_uca_to_frame.dependents  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_rearsusp.mtr_uca_to_frame.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_rearsusp.mtr_uca_to_frame.dependents  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_rearsusp.gel_spindle.sml_sprung_mass_percent  &
   real_value = 100.0
!
variable create  &
   variable_name = ._fsae_rearsusp.ger_spindle.smr_sprung_mass_percent  &
   real_value = 100.0
!
variable create  &
   variable_name = ._fsae_rearsusp.gel_drive_shaft.sml_sprung_mass_percent  &
   real_value = 100.0
!
variable create  &
   variable_name = ._fsae_rearsusp.ger_drive_shaft.smr_sprung_mass_percent  &
   real_value = 100.0
!
variable create  &
   variable_name = ._fsae_rearsusp.gel_tripot.sml_sprung_mass_percent  &
   real_value = 100.0
!
variable create  &
   variable_name = ._fsae_rearsusp.ger_tripot.smr_sprung_mass_percent  &
   real_value = 100.0
!
variable create  &
   variable_name = ._fsae_rearsusp.mtl_tripot_to_differential.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_rearsusp.mtl_tripot_to_differential.dependents  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_rearsusp.mtr_tripot_to_differential.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_rearsusp.mtr_tripot_to_differential.dependents  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_rearsusp.mtr_lca_to_frame.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_rearsusp.mtr_lca_to_frame.dependents  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_rearsusp.mtl_lca_to_frame.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_rearsusp.mtl_lca_to_frame.dependents  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_rearsusp.gel_prod.sml_sprung_mass_percent  &
   real_value = 100.0
!
variable create  &
   variable_name = ._fsae_rearsusp.ger_prod.smr_sprung_mass_percent  &
   real_value = 100.0
!
variable create  &
   variable_name = ._fsae_rearsusp.gel_BC.sml_sprung_mass_percent  &
   real_value = 100.0
!
variable create  &
   variable_name = ._fsae_rearsusp.ger_BC.smr_sprung_mass_percent  &
   real_value = 100.0
!
variable create  &
   variable_name = ._fsae_rearsusp.mtl_BC_to_frame.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_rearsusp.mtl_BC_to_frame.dependents  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_rearsusp.mtr_BC_to_frame.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_rearsusp.mtr_BC_to_frame.dependents  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_rearsusp.gel_upright_bracket.sml_sprung_mass_percent  &
   real_value = 100.0
!
variable create  &
   variable_name = ._fsae_rearsusp.ger_upright_bracket.smr_sprung_mass_percent  &
   real_value = 100.0
!
variable create  &
   variable_name = ._fsae_rearsusp.speed  &
   units = "velocity"  &
   real_value = 0.0
!
variable create  &
   variable_name = ._fsae_rearsusp.role  &
   string_value = "suspension"  &
   comments = "Memory for Adams Car major role"
!
variable create  &
   variable_name = ._fsae_rearsusp.cil_toe_link_to_frame  &
   object_value = (NONE)  &
   comments = "Autocreated for mount part: mtl_toe_link_to_frame"
!
variable create  &
   variable_name = ._fsae_rearsusp.cil_toe_link_to_frame.matching_name  &
   string_value = "toe_link_to_frame"
!
variable create  &
   variable_name = ._fsae_rearsusp.cil_toe_link_to_frame.entity  &
   string_value = "mount"
!
variable create  &
   variable_name = ._fsae_rearsusp.cil_toe_link_to_frame.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_rearsusp.cir_toe_link_to_frame  &
   object_value = (NONE)  &
   comments = "Autocreated for mount part: mtr_toe_link_to_frame"
!
variable create  &
   variable_name = ._fsae_rearsusp.cir_toe_link_to_frame.matching_name  &
   string_value = "toe_link_to_frame"
!
variable create  &
   variable_name = ._fsae_rearsusp.cir_toe_link_to_frame.entity  &
   string_value = "mount"
!
variable create  &
   variable_name = ._fsae_rearsusp.cir_toe_link_to_frame.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_rearsusp.cil_damper_to_frame  &
   object_value = (NONE)  &
   comments = "Autocreated for mount part: mtl_damper_to_frame"
!
variable create  &
   variable_name = ._fsae_rearsusp.cil_damper_to_frame.matching_name  &
   string_value = "damper_to_frame"
!
variable create  &
   variable_name = ._fsae_rearsusp.cil_damper_to_frame.entity  &
   string_value = "mount"
!
variable create  &
   variable_name = ._fsae_rearsusp.cil_damper_to_frame.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_rearsusp.cir_damper_to_frame  &
   object_value = (NONE)  &
   comments = "Autocreated for mount part: mtr_damper_to_frame"
!
variable create  &
   variable_name = ._fsae_rearsusp.cir_damper_to_frame.matching_name  &
   string_value = "damper_to_frame"
!
variable create  &
   variable_name = ._fsae_rearsusp.cir_damper_to_frame.entity  &
   string_value = "mount"
!
variable create  &
   variable_name = ._fsae_rearsusp.cir_damper_to_frame.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_rearsusp.col_wheel_center  &
   units = "length"  &
   real_value = 1030.4, -700.0, 154.0
!
variable create  &
   variable_name = ._fsae_rearsusp.col_wheel_center.matching_name  &
   string_value = "wheel_center"
!
variable create  &
   variable_name = ._fsae_rearsusp.col_wheel_center.entity  &
   string_value = "location"
!
variable create  &
   variable_name = ._fsae_rearsusp.col_wheel_center.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_rearsusp.cor_wheel_center  &
   units = "length"  &
   real_value = 1030.4, 700.0, 154.0
!
variable create  &
   variable_name = ._fsae_rearsusp.cor_wheel_center.matching_name  &
   string_value = "wheel_center"
!
variable create  &
   variable_name = ._fsae_rearsusp.cor_wheel_center.entity  &
   string_value = "location"
!
variable create  &
   variable_name = ._fsae_rearsusp.cor_wheel_center.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_rearsusp.cil_uca_to_frame  &
   object_value = (NONE)  &
   comments = "Autocreated for mount part: mtl_uca_to_frame"
!
variable create  &
   variable_name = ._fsae_rearsusp.cil_uca_to_frame.matching_name  &
   string_value = "uca_to_frame"
!
variable create  &
   variable_name = ._fsae_rearsusp.cil_uca_to_frame.entity  &
   string_value = "mount"
!
variable create  &
   variable_name = ._fsae_rearsusp.cil_uca_to_frame.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_rearsusp.cir_uca_to_frame  &
   object_value = (NONE)  &
   comments = "Autocreated for mount part: mtr_uca_to_frame"
!
variable create  &
   variable_name = ._fsae_rearsusp.cir_uca_to_frame.matching_name  &
   string_value = "uca_to_frame"
!
variable create  &
   variable_name = ._fsae_rearsusp.cir_uca_to_frame.entity  &
   string_value = "mount"
!
variable create  &
   variable_name = ._fsae_rearsusp.cir_uca_to_frame.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_rearsusp.template_creation_date  &
   string_value = "1995/08/16,11:07:27  - converted to file_version 4"  &
   comments = "Do not remove"
!
variable create  &
   variable_name = ._fsae_rearsusp.pvr_toe_angle  &
   units = "angle"  &
   real_value = 0.0  &
   comments =   &
              "A positive angle (toe out) turns the front of the wheel away from the chassis."
!
variable create  &
   variable_name = ._fsae_rearsusp.pvl_toe_angle  &
   units = "angle"  &
   real_value = 0.0  &
   comments =   &
              "A positive angle (toe out) turns the front of the wheel away from the chassis."
!
variable create  &
   variable_name = ._fsae_rearsusp.pvr_camber_angle  &
   units = "angle"  &
   real_value = 0.0  &
   comments =   &
              "A positive angle tips the top of the wheel away from the chassis."
!
variable create  &
   variable_name = ._fsae_rearsusp.pvl_camber_angle  &
   units = "angle"  &
   real_value = 0.0  &
   comments =   &
              "A positive angle tips the top of the wheel away from the chassis."
!
variable create  &
   variable_name = ._fsae_rearsusp.col_toe_angle  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_rearsusp.col_toe_angle.matching_name  &
   string_value = "toe_angle"
!
variable create  &
   variable_name = ._fsae_rearsusp.col_toe_angle.entity  &
   string_value = "parameter_real"
!
variable create  &
   variable_name = ._fsae_rearsusp.col_toe_angle.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_rearsusp.cor_toe_angle  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_rearsusp.cor_toe_angle.matching_name  &
   string_value = "toe_angle"
!
variable create  &
   variable_name = ._fsae_rearsusp.cor_toe_angle.entity  &
   string_value = "parameter_real"
!
variable create  &
   variable_name = ._fsae_rearsusp.cor_toe_angle.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_rearsusp.col_camber_angle  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_rearsusp.col_camber_angle.matching_name  &
   string_value = "camber_angle"
!
variable create  &
   variable_name = ._fsae_rearsusp.col_camber_angle.entity  &
   string_value = "parameter_real"
!
variable create  &
   variable_name = ._fsae_rearsusp.col_camber_angle.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_rearsusp.cor_camber_angle  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_rearsusp.cor_camber_angle.matching_name  &
   string_value = "camber_angle"
!
variable create  &
   variable_name = ._fsae_rearsusp.cor_camber_angle.entity  &
   string_value = "parameter_real"
!
variable create  &
   variable_name = ._fsae_rearsusp.cor_camber_angle.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_rearsusp.minor_role  &
   string_value = "unassigned"  &
   comments = "Memory for Adams/Car minor role"
!
variable create  &
   variable_name = ._fsae_rearsusp.phs_kinematic_flag  &
   integer_value = 0  &
   comments =   &
              "Flag that determines if kinematic joints or bushings are active"
!
variable create  &
   variable_name = ._fsae_rearsusp.model_class  &
   string_value = "template"  &
   comments = "Memory for Adams/Car model class"
!
variable create  &
   variable_name = ._fsae_rearsusp.col_suspension_upright  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_rearsusp.col_suspension_upright.matching_name  &
   string_value = "suspension_upright"
!
variable create  &
   variable_name = ._fsae_rearsusp.col_suspension_upright.entity  &
   string_value = "mount"
!
variable create  &
   variable_name = ._fsae_rearsusp.col_suspension_upright.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_rearsusp.cor_suspension_upright  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_rearsusp.cor_suspension_upright.matching_name  &
   string_value = "suspension_upright"
!
variable create  &
   variable_name = ._fsae_rearsusp.cor_suspension_upright.entity  &
   string_value = "mount"
!
variable create  &
   variable_name = ._fsae_rearsusp.cor_suspension_upright.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_rearsusp.pvr_drive_shaft_offset  &
   units = "length"  &
   real_value = 100.0  &
   comments =   &
              "Location of outer CV joint measured inboard from wheel center along the wheel's spin axis"
!
variable create  &
   variable_name = ._fsae_rearsusp.pvl_drive_shaft_offset  &
   units = "length"  &
   real_value = 100.0  &
   comments =   &
              "Location of outer CV joint measured inboard from wheel center along the wheel's spin axis"
!
variable create  &
   variable_name = ._fsae_rearsusp.cil_tripot_to_differential  &
   object_value = (NONE)  &
   comments = "Autocreated for mount part: mtl_tripot_to_differential"
!
variable create  &
   variable_name = ._fsae_rearsusp.cil_tripot_to_differential.matching_name  &
   string_value = "tripot_to_differential"
!
variable create  &
   variable_name = ._fsae_rearsusp.cil_tripot_to_differential.entity  &
   string_value = "mount"
!
variable create  &
   variable_name = ._fsae_rearsusp.cil_tripot_to_differential.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_rearsusp.cir_tripot_to_differential  &
   object_value = (NONE)  &
   comments = "Autocreated for mount part: mtr_tripot_to_differential"
!
variable create  &
   variable_name = ._fsae_rearsusp.cir_tripot_to_differential.matching_name  &
   string_value = "tripot_to_differential"
!
variable create  &
   variable_name = ._fsae_rearsusp.cir_tripot_to_differential.entity  &
   string_value = "mount"
!
variable create  &
   variable_name = ._fsae_rearsusp.cir_tripot_to_differential.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_rearsusp.col_tripot_to_differential  &
   units = "length"  &
   real_value = 1000.0, -200.66, 126.06
!
variable create  &
   variable_name = ._fsae_rearsusp.col_tripot_to_differential.matching_name  &
   string_value = "tripot_to_differential"
!
variable create  &
   variable_name = ._fsae_rearsusp.col_tripot_to_differential.entity  &
   string_value = "location"
!
variable create  &
   variable_name = ._fsae_rearsusp.col_tripot_to_differential.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_rearsusp.cor_tripot_to_differential  &
   units = "length"  &
   real_value = 1000.0, 200.66, 126.06
!
variable create  &
   variable_name = ._fsae_rearsusp.cor_tripot_to_differential.matching_name  &
   string_value = "tripot_to_differential"
!
variable create  &
   variable_name = ._fsae_rearsusp.cor_tripot_to_differential.entity  &
   string_value = "location"
!
variable create  &
   variable_name = ._fsae_rearsusp.cor_tripot_to_differential.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_rearsusp.phs_driveline_active  &
   integer_value = 1  &
   comments = "( 1 = active driveline, 0 = inactive driveline)"
!
variable create  &
   variable_name = ._fsae_rearsusp.cos_driveline_active  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_rearsusp.cos_driveline_active.matching_name  &
   string_value = "driveline_active"
!
variable create  &
   variable_name = ._fsae_rearsusp.cos_driveline_active.entity  &
   string_value = "parameter_integer"
!
variable create  &
   variable_name = ._fsae_rearsusp.cos_driveline_active.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_rearsusp.col_suspension_mount  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_rearsusp.col_suspension_mount.matching_name  &
   string_value = "suspension_mount"
!
variable create  &
   variable_name = ._fsae_rearsusp.col_suspension_mount.entity  &
   string_value = "mount"
!
variable create  &
   variable_name = ._fsae_rearsusp.col_suspension_mount.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_rearsusp.cor_suspension_mount  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_rearsusp.cor_suspension_mount.matching_name  &
   string_value = "suspension_mount"
!
variable create  &
   variable_name = ._fsae_rearsusp.cor_suspension_mount.entity  &
   string_value = "mount"
!
variable create  &
   variable_name = ._fsae_rearsusp.cor_suspension_mount.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_rearsusp.pvs_subframe_active  &
   integer_value = 0
!
variable create  &
   variable_name = ._fsae_rearsusp.cos_suspension_parameters_ARRAY  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_rearsusp.cos_suspension_parameters_ARRAY.matching_name  &
   string_value = "suspension_parameters_ARRAY"
!
variable create  &
   variable_name = ._fsae_rearsusp.cos_suspension_parameters_ARRAY.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_rearsusp.cos_suspension_parameters_ARRAY.entity  &
   string_value = "array"
!
variable create  &
   variable_name = ._fsae_rearsusp.cis_chassis_reference  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_rearsusp.cis_chassis_reference.matching_name  &
   string_value = "chassis_path_reference"
!
variable create  &
   variable_name = ._fsae_rearsusp.cis_chassis_reference.entity  &
   string_value = "marker"
!
variable create  &
   variable_name = ._fsae_rearsusp.cis_chassis_reference.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_rearsusp.cis_chassis_reference_adams_id  &
   integer_value = 0  &
   comments =   &
              "Passes the adams_id of the marker (used in function expressions)"
!
variable create  &
   variable_name = ._fsae_rearsusp.cis_chassis_reference_adams_id.matching_name  &
   string_value = "chassis_path_reference_adams_id"
!
variable create  &
   variable_name = ._fsae_rearsusp.cis_chassis_reference_adams_id.entity  &
   string_value = "marker"
!
variable create  &
   variable_name = ._fsae_rearsusp.cis_chassis_reference_adams_id.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_rearsusp.col_ride_height_ref  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_rearsusp.col_ride_height_ref.matching_name  &
   string_value = "svs_ride_height"
!
variable create  &
   variable_name = ._fsae_rearsusp.col_ride_height_ref.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_rearsusp.col_ride_height_ref.entity  &
   string_value = "marker"
!
variable create  &
   variable_name = ._fsae_rearsusp.cor_ride_height_ref  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_rearsusp.cor_ride_height_ref.matching_name  &
   string_value = "svs_ride_height"
!
variable create  &
   variable_name = ._fsae_rearsusp.cor_ride_height_ref.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_rearsusp.cor_ride_height_ref.entity  &
   string_value = "marker"
!
variable create  &
   variable_name = ._fsae_rearsusp.cir_lca_to_frame  &
   object_value = (NONE)  &
   comments = "Autocreated for mount part: mtr_lca_to_frame"
!
variable create  &
   variable_name = ._fsae_rearsusp.cir_lca_to_frame.matching_name  &
   string_value = "lca_to_frame"
!
variable create  &
   variable_name = ._fsae_rearsusp.cir_lca_to_frame.entity  &
   string_value = "mount"
!
variable create  &
   variable_name = ._fsae_rearsusp.cir_lca_to_frame.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_rearsusp.cil_lca_to_frame  &
   object_value = (NONE)  &
   comments = "Autocreated for mount part: mtl_lca_to_frame"
!
variable create  &
   variable_name = ._fsae_rearsusp.cil_lca_to_frame.matching_name  &
   string_value = "lca_to_frame"
!
variable create  &
   variable_name = ._fsae_rearsusp.cil_lca_to_frame.entity  &
   string_value = "mount"
!
variable create  &
   variable_name = ._fsae_rearsusp.cil_lca_to_frame.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_rearsusp.cil_BC_to_frame  &
   object_value = (NONE)  &
   comments = "Autocreated for mount part: mtl_BC_to_frame"
!
variable create  &
   variable_name = ._fsae_rearsusp.cil_BC_to_frame.matching_name  &
   string_value = "BC_to_frame"
!
variable create  &
   variable_name = ._fsae_rearsusp.cil_BC_to_frame.entity  &
   string_value = "mount"
!
variable create  &
   variable_name = ._fsae_rearsusp.cil_BC_to_frame.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_rearsusp.cir_BC_to_frame  &
   object_value = (NONE)  &
   comments = "Autocreated for mount part: mtr_BC_to_frame"
!
variable create  &
   variable_name = ._fsae_rearsusp.cir_BC_to_frame.matching_name  &
   string_value = "BC_to_frame"
!
variable create  &
   variable_name = ._fsae_rearsusp.cir_BC_to_frame.entity  &
   string_value = "mount"
!
variable create  &
   variable_name = ._fsae_rearsusp.cir_BC_to_frame.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_rearsusp.col_drop_link_to_BC  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_rearsusp.col_drop_link_to_BC.matching_name  &
   string_value = "drop_link_to_BC"
!
variable create  &
   variable_name = ._fsae_rearsusp.col_drop_link_to_BC.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_rearsusp.col_drop_link_to_BC.entity  &
   string_value = "mount"
!
variable create  &
   variable_name = ._fsae_rearsusp.cor_drop_link_to_BC  &
   object_value = (NONE)
!
variable create  &
   variable_name = ._fsae_rearsusp.cor_drop_link_to_BC.matching_name  &
   string_value = "drop_link_to_BC"
!
variable create  &
   variable_name = ._fsae_rearsusp.cor_drop_link_to_BC.minor_role  &
   string_value = "inherit"
!
variable create  &
   variable_name = ._fsae_rearsusp.cor_drop_link_to_BC.entity  &
   string_value = "mount"
!
variable create  &
   variable_name = ._fsae_rearsusp.pvl_toe_adjust  &
   units = "angle"  &
   real_value = 0.0
!
variable create  &
   variable_name = ._fsae_rearsusp.pvl_camber_adjust  &
   units = "angle"  &
   real_value = 0.0
!
variable create  &
   variable_name = ._fsae_rearsusp.pvr_camber_adjust  &
   units = "angle"  &
   real_value = 0.0
!
!---------------------------- Adams View Functions ----------------------------!
!
!
function create  &
   function_name = .SYMMETRY  &
   text_of_expression = "LOC_MIRROR(location, .__ACAR.ground.origo, .ACAR.variables.symmetry_plane)"  &
   argument_names = "location"  &
   type = location_orientation  &
   comments =   &
              "Compute mirrored location over the symmetry plane given 3x1 location vector"
!
!------------------------- Groups Owned By This Model -------------------------!
!
!
group create  &
   group_name = ._fsae_rearsusp.kinematic_mode_active  &
   expr_active = 1
!
group create  &
   group_name = ._fsae_rearsusp.kinematic_mode_inactive  &
   expr_active = 1
!
group create  &
   group_name = ._fsae_rearsusp.driveline_active  &
   expr_active = 1
!
group create  &
   group_name = ._fsae_rearsusp.driveline_inactive  &
   expr_active = 1
!
group create  &
   group_name = ._fsae_rearsusp.subframe_active  &
   comments =   &
              "\"This group's objects are deactived if the subframe is rigidly mounted to body\""  &
   expr_active = 1
!
group create  &
   group_name = ._fsae_rearsusp.subframe_inactive  &
   comments =   &
              "\"This group's objects are activated if the subframe is rigidly connected to the body\""  &
   expr_active = 1
!
!---------------------- Set Adams View Object Variables -----------------------!
!
!
variable modify  &
   variable_name = ._fsae_rearsusp.suspension_parameters_ARRAY.kp2  &
   object_value = ._fsae_rearsusp.gel_upper_control_arm.kp2_1,  &
                  ._fsae_rearsusp.ger_upper_control_arm.kp2_2
!
variable modify  &
   variable_name = ._fsae_rearsusp.suspension_parameters_ARRAY.kp1  &
   object_value = ._fsae_rearsusp.gel_lower_control_arm.kp1_1,  &
                  ._fsae_rearsusp.ger_lower_control_arm.kp1_2
!
variable modify  &
   variable_name = ._fsae_rearsusp.mtl_toe_link_to_frame.dependents  &
   object_value = ._fsae_rearsusp.mtl_fixed_2,  &
                  ._fsae_rearsusp.cil_toe_link_to_frame
!
variable modify  &
   variable_name = ._fsae_rearsusp.mtr_toe_link_to_frame.dependents  &
   object_value = ._fsae_rearsusp.mtr_fixed_2,  &
                  ._fsae_rearsusp.cir_toe_link_to_frame
!
variable modify  &
   variable_name = ._fsae_rearsusp.mtl_damper_to_frame.dependents  &
   object_value = ._fsae_rearsusp.mtl_fixed_3,  &
                  ._fsae_rearsusp.cil_damper_to_frame
!
variable modify  &
   variable_name = ._fsae_rearsusp.mtr_damper_to_frame.dependents  &
   object_value = ._fsae_rearsusp.mtr_fixed_3,  &
                  ._fsae_rearsusp.cir_damper_to_frame
!
variable modify  &
   variable_name = ._fsae_rearsusp.mtl_uca_to_frame.dependents  &
   object_value = ._fsae_rearsusp.mtl_fixed_4,  &
                  ._fsae_rearsusp.cil_uca_to_frame
!
variable modify  &
   variable_name = ._fsae_rearsusp.mtr_uca_to_frame.dependents  &
   object_value = ._fsae_rearsusp.mtr_fixed_4,  &
                  ._fsae_rearsusp.cir_uca_to_frame
!
variable modify  &
   variable_name = ._fsae_rearsusp.mtl_tripot_to_differential.dependents  &
   object_value = ._fsae_rearsusp.mtl_fixed_5,  &
                  ._fsae_rearsusp.cil_tripot_to_differential
!
variable modify  &
   variable_name = ._fsae_rearsusp.mtr_tripot_to_differential.dependents  &
   object_value = ._fsae_rearsusp.mtr_fixed_5,  &
                  ._fsae_rearsusp.cir_tripot_to_differential
!
variable modify  &
   variable_name = ._fsae_rearsusp.mtr_lca_to_frame.dependents  &
   object_value = ._fsae_rearsusp.mtr_fixed_1,  &
                  ._fsae_rearsusp.cir_lca_to_frame
!
variable modify  &
   variable_name = ._fsae_rearsusp.mtl_lca_to_frame.dependents  &
   object_value = ._fsae_rearsusp.mtl_fixed_1,  &
                  ._fsae_rearsusp.cil_lca_to_frame
!
variable modify  &
   variable_name = ._fsae_rearsusp.mtl_BC_to_frame.dependents  &
   object_value = ._fsae_rearsusp.mtl_fixed_6,  &
                  ._fsae_rearsusp.cil_BC_to_frame
!
variable modify  &
   variable_name = ._fsae_rearsusp.mtr_BC_to_frame.dependents  &
   object_value = ._fsae_rearsusp.mtr_fixed_6,  &
                  ._fsae_rearsusp.cir_BC_to_frame
!
variable modify  &
   variable_name = ._fsae_rearsusp.cil_toe_link_to_frame  &
   object_value = ._fsae_rearsusp.ground.mtl_mount_j_2,  &
                  ._fsae_rearsusp.mtl_toe_link_to_frame,  &
                  ._fsae_rearsusp.mtl_fixed_2
!
variable modify  &
   variable_name = ._fsae_rearsusp.cir_toe_link_to_frame  &
   object_value = ._fsae_rearsusp.ground.mtr_mount_j_2,  &
                  ._fsae_rearsusp.mtr_toe_link_to_frame,  &
                  ._fsae_rearsusp.mtr_fixed_2
!
variable modify  &
   variable_name = ._fsae_rearsusp.cil_damper_to_frame  &
   object_value = ._fsae_rearsusp.ground.mtl_mount_j_3,  &
                  ._fsae_rearsusp.mtl_damper_to_frame,  &
                  ._fsae_rearsusp.mtl_fixed_3
!
variable modify  &
   variable_name = ._fsae_rearsusp.cir_damper_to_frame  &
   object_value = ._fsae_rearsusp.ground.mtr_mount_j_3,  &
                  ._fsae_rearsusp.mtr_damper_to_frame,  &
                  ._fsae_rearsusp.mtr_fixed_3
!
variable modify  &
   variable_name = ._fsae_rearsusp.cil_uca_to_frame  &
   object_value = ._fsae_rearsusp.ground.mtl_mount_j_4,  &
                  ._fsae_rearsusp.mtl_uca_to_frame,  &
                  ._fsae_rearsusp.mtl_fixed_4
!
variable modify  &
   variable_name = ._fsae_rearsusp.cir_uca_to_frame  &
   object_value = ._fsae_rearsusp.ground.mtr_mount_j_4,  &
                  ._fsae_rearsusp.mtr_uca_to_frame,  &
                  ._fsae_rearsusp.mtr_fixed_4
!
variable modify  &
   variable_name = ._fsae_rearsusp.col_toe_angle  &
   object_value = ._fsae_rearsusp.pvl_toe_angle
!
variable modify  &
   variable_name = ._fsae_rearsusp.cor_toe_angle  &
   object_value = ._fsae_rearsusp.pvr_toe_angle
!
variable modify  &
   variable_name = ._fsae_rearsusp.col_camber_angle  &
   object_value = ._fsae_rearsusp.pvl_camber_angle
!
variable modify  &
   variable_name = ._fsae_rearsusp.cor_camber_angle  &
   object_value = ._fsae_rearsusp.pvr_camber_angle
!
variable modify  &
   variable_name = ._fsae_rearsusp.col_suspension_upright  &
   object_value = ._fsae_rearsusp.gel_upright
!
variable modify  &
   variable_name = ._fsae_rearsusp.cor_suspension_upright  &
   object_value = ._fsae_rearsusp.ger_upright
!
variable modify  &
   variable_name = ._fsae_rearsusp.cil_tripot_to_differential  &
   object_value = ._fsae_rearsusp.ground.mtl_mount_j_5,  &
                  ._fsae_rearsusp.mtl_tripot_to_differential,  &
                  ._fsae_rearsusp.mtl_fixed_5
!
variable modify  &
   variable_name = ._fsae_rearsusp.cir_tripot_to_differential  &
   object_value = ._fsae_rearsusp.ground.mtr_mount_j_5,  &
                  ._fsae_rearsusp.mtr_tripot_to_differential,  &
                  ._fsae_rearsusp.mtr_fixed_5
!
variable modify  &
   variable_name = ._fsae_rearsusp.cos_driveline_active  &
   object_value = ._fsae_rearsusp.phs_driveline_active
!
variable modify  &
   variable_name = ._fsae_rearsusp.col_suspension_mount  &
   object_value = ._fsae_rearsusp.gel_spindle
!
variable modify  &
   variable_name = ._fsae_rearsusp.cor_suspension_mount  &
   object_value = ._fsae_rearsusp.ger_spindle
!
variable modify  &
   variable_name = ._fsae_rearsusp.cos_suspension_parameters_ARRAY  &
   object_value = ._fsae_rearsusp.suspension_parameters_ARRAY
!
variable modify  &
   variable_name = ._fsae_rearsusp.cis_chassis_reference  &
   object_value = ._fsae_rearsusp.ground._cv_marker
!
variable modify  &
   variable_name = ._fsae_rearsusp.col_ride_height_ref  &
   object_value = ._fsae_rearsusp.gel_lower_control_arm.coomarker_1
!
variable modify  &
   variable_name = ._fsae_rearsusp.cor_ride_height_ref  &
   object_value = ._fsae_rearsusp.ger_lower_control_arm.coomarker_2
!
variable modify  &
   variable_name = ._fsae_rearsusp.cir_lca_to_frame  &
   object_value = ._fsae_rearsusp.ground.mtr_mount_j_1,  &
                  ._fsae_rearsusp.mtr_lca_to_frame,  &
                  ._fsae_rearsusp.mtr_fixed_1
!
variable modify  &
   variable_name = ._fsae_rearsusp.cil_lca_to_frame  &
   object_value = ._fsae_rearsusp.ground.mtl_mount_j_1,  &
                  ._fsae_rearsusp.mtl_lca_to_frame,  &
                  ._fsae_rearsusp.mtl_fixed_1
!
variable modify  &
   variable_name = ._fsae_rearsusp.cil_BC_to_frame  &
   object_value = ._fsae_rearsusp.ground.mtl_mount_j_6,  &
                  ._fsae_rearsusp.mtl_BC_to_frame,  &
                  ._fsae_rearsusp.mtl_fixed_6
!
variable modify  &
   variable_name = ._fsae_rearsusp.cir_BC_to_frame  &
   object_value = ._fsae_rearsusp.ground.mtr_mount_j_6,  &
                  ._fsae_rearsusp.mtr_BC_to_frame,  &
                  ._fsae_rearsusp.mtr_fixed_6
!
variable modify  &
   variable_name = ._fsae_rearsusp.col_drop_link_to_BC  &
   object_value = ._fsae_rearsusp.gel_BC
!
variable modify  &
   variable_name = ._fsae_rearsusp.cor_drop_link_to_BC  &
   object_value = ._fsae_rearsusp.ger_BC
!
!--------------------------- Add Objects To Groups ----------------------------!
!
!
group modify  &
   group_name = ._fsae_rearsusp.kinematic_mode_active
!
group modify  &
   group_name = ._fsae_rearsusp.kinematic_mode_inactive
!
group modify  &
   group_name = ._fsae_rearsusp.driveline_active  &
   objects_in_group = ._fsae_rearsusp.gel_drive_shaft,  &
      ._fsae_rearsusp.ger_drive_shaft,  &
      ._fsae_rearsusp.gel_tripot,  &
      ._fsae_rearsusp.ger_tripot,  &
      ._fsae_rearsusp.mtl_tripot_to_differential,  &
      ._fsae_rearsusp.mtr_tripot_to_differential,  &
      ._fsae_rearsusp.gel_spindle.gracyl_cv_jt_housing_extension,  &
      ._fsae_rearsusp.ger_spindle.gracyl_cv_jt_housing_extension,  &
      ._fsae_rearsusp.gel_drive_shaft.gralin_drive_shaft,  &
      ._fsae_rearsusp.gel_drive_shaft.graell_otr_cv_housing,  &
      ._fsae_rearsusp.ger_drive_shaft.gralin_drive_shaft,  &
      ._fsae_rearsusp.ger_drive_shaft.graell_otr_cv_housing,  &
      ._fsae_rearsusp.gel_tripot.gracyl_tripot_housing_extention,  &
      ._fsae_rearsusp.gel_drive_shaft.graell_tripot_housing,  &
      ._fsae_rearsusp.ger_tripot.gracyl_tripot_housing_extention,  &
      ._fsae_rearsusp.ger_drive_shaft.graell_tripot_housing,  &
      ._fsae_rearsusp.mtl_fixed_5,  &
      ._fsae_rearsusp.mtr_fixed_5,  &
      ._fsae_rearsusp.joltra_tripot_to_differential,  &
      ._fsae_rearsusp.jortra_tripot_to_differential,  &
      ._fsae_rearsusp.jolcon_drive_sft_int_jt,  &
      ._fsae_rearsusp.jorcon_drive_sft_int_jt,  &
      ._fsae_rearsusp.jolcon_drive_sft_otr,  &
      ._fsae_rearsusp.jorcon_drive_sft_otr,  &
      ._fsae_rearsusp.cil_tripot_to_differential,  &
      ._fsae_rearsusp.cir_tripot_to_differential,  &
      ._fsae_rearsusp.col_tripot_to_differential,  &
      ._fsae_rearsusp.cor_tripot_to_differential
!
group modify  &
   group_name = ._fsae_rearsusp.driveline_inactive
!
group modify  &
   group_name = ._fsae_rearsusp.subframe_active
!
group modify  &
   group_name = ._fsae_rearsusp.subframe_inactive
!
!---------------------------- Function definitions ----------------------------!
!
!
constraint modify motion_generator  &
   motion_name = ._fsae_rearsusp._cv_motion  &
   function = "0"
!
data_element modify variable  &
   variable_name = ._fsae_rearsusp._cv_solver_variable  &
   function = "0"
!
!-------------------------- Adams View UDE Instance ---------------------------!
!
!
ude modify instance  &
   instance_name = ._fsae_rearsusp.nsl_ride_spring
!
!-------------------------- Adams View UDE Instance ---------------------------!
!
!
ude modify instance  &
   instance_name = ._fsae_rearsusp.nsr_ride_spring
!
!-------------------------- Adams View UDE Instance ---------------------------!
!
!
ude modify instance  &
   instance_name = ._fsae_rearsusp.dal_ride_damper
!
!-------------------------- Adams View UDE Instance ---------------------------!
!
!
ude modify instance  &
   instance_name = ._fsae_rearsusp.dar_ride_damper
!
!-------------------------- Adams View UDE Instance ---------------------------!
!
!
ude modify instance  &
   instance_name = ._fsae_rearsusp.afl_toe_adjuster
!
!-------------------------- Adams View UDE Instance ---------------------------!
!
!
ude modify instance  &
   instance_name = ._fsae_rearsusp.afr_toe_adjuster
!
!-------------------------- Adams View UDE Instance ---------------------------!
!
!
ude modify instance  &
   instance_name = ._fsae_rearsusp.afr_camber_adjuster
!
!-------------------------- Adams View UDE Instance ---------------------------!
!
!
ude modify instance  &
   instance_name = ._fsae_rearsusp.afl_camber_adjuster
!
!-------------------------- Adams View UDE Instance ---------------------------!
!
!
ude modify instance  &
   instance_name = ._fsae_rearsusp.bgl_lca_front
!
!-------------------------- Adams View UDE Instance ---------------------------!
!
!
ude modify instance  &
   instance_name = ._fsae_rearsusp.bgr_lca_front
!
!-------------------------- Adams View UDE Instance ---------------------------!
!
!
ude modify instance  &
   instance_name = ._fsae_rearsusp.bgl_lca_rear
!
!-------------------------- Adams View UDE Instance ---------------------------!
!
!
ude modify instance  &
   instance_name = ._fsae_rearsusp.bgr_lca_rear
!
!-------------------------- Adams View UDE Instance ---------------------------!
!
!
ude modify instance  &
   instance_name = ._fsae_rearsusp.bgl_uca_front
!
!-------------------------- Adams View UDE Instance ---------------------------!
!
!
ude modify instance  &
   instance_name = ._fsae_rearsusp.bgr_uca_front
!
!-------------------------- Adams View UDE Instance ---------------------------!
!
!
ude modify instance  &
   instance_name = ._fsae_rearsusp.bgl_uca_rear
!
!-------------------------- Adams View UDE Instance ---------------------------!
!
!
ude modify instance  &
   instance_name = ._fsae_rearsusp.bgr_uca_rear
!
!-------------------------- Adams View UDE Instance ---------------------------!
!
!
ude modify instance  &
   instance_name = ._fsae_rearsusp.bul_jounce_stop
!
!-------------------------- Adams View UDE Instance ---------------------------!
!
!
ude modify instance  &
   instance_name = ._fsae_rearsusp.bur_jounce_stop
!
!--------------------------- Expression definitions ---------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.ground.afr_aforce_meaj_2  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.origo))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.origo))
!
marker modify  &
   marker_name = ._fsae_rearsusp.ground.afl_aforce_meaj_2  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.origo))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.origo))
!
marker modify  &
   marker_name = ._fsae_rearsusp.ground.cfl_lca_outer  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}mm, ._fsae_rearsusp.ground.hpl_lca_outer))  &
   orientation =   &
      (ORI_ALONG_AXIS(._fsae_rearsusp.ground.hpl_lca_outer, ._fsae_rearsusp.ground.hpr_lca_outer, "Z"))
!
marker modify  &
   marker_name = ._fsae_rearsusp.ground.cfr_lca_outer  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}mm, ._fsae_rearsusp.ground.hpr_lca_outer))  &
   orientation =   &
      (ORI_ALONG_AXIS(._fsae_rearsusp.ground.hpr_lca_outer, ._fsae_rearsusp.ground.hpl_lca_outer, "Z"))
!
marker modify  &
   marker_name = ._fsae_rearsusp.ground.cfl_tierod_middle  &
   location =   &
      (LOC_CENTERED({._fsae_rearsusp.ground.hpl_tierod_inner.loc, ._fsae_rearsusp.ground.hpl_tierod_outer.loc}, 2))  &
   orientation =   &
      (ORI_ALONG_AXIS(._fsae_rearsusp.ground.hpl_tierod_inner, ._fsae_rearsusp.ground.hpl_tierod_outer, "Z"))
!
marker modify  &
   marker_name = ._fsae_rearsusp.ground.cfr_tierod_middle  &
   location =   &
      (LOC_CENTERED({._fsae_rearsusp.ground.hpr_tierod_inner.loc, ._fsae_rearsusp.ground.hpr_tierod_outer.loc}, 2))  &
   orientation =   &
      (ORI_ALONG_AXIS(._fsae_rearsusp.ground.hpr_tierod_inner, ._fsae_rearsusp.ground.hpr_tierod_outer, "Z"))
!
marker modify  &
   marker_name = ._fsae_rearsusp.ground.cfl_wheel_center  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}mm, ._fsae_rearsusp.ground.hpl_wheel_center))  &
   orientation =   &
      (ORI_RELATIVE_TO({180d - ._fsae_rearsusp.pvl_toe_angle, -90d - ._fsae_rearsusp.pvl_camber_angle, 180d}, ._fsae_rearsusp.ground.origo))
!
marker modify  &
   marker_name = ._fsae_rearsusp.ground.cfr_wheel_center  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}mm, ._fsae_rearsusp.ground.hpr_wheel_center))  &
   orientation =   &
      (ORI_RELATIVE_TO({180d + ._fsae_rearsusp.pvr_toe_angle, 90d + ._fsae_rearsusp.pvr_camber_angle, 180d}, ._fsae_rearsusp.ground.origo))
!
marker modify  &
   marker_name = ._fsae_rearsusp.ground.cfl_lwr_strut_ext  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}inch + LOC_LOCAL(._fsae_rearsusp.ground.hpl_damper_outboard.loc, ._fsae_rearsusp.ground.origo), ._fsae_rearsusp.ground.origo))  &
   orientation =   &
      (ORI_RELATIVE_TO({0.0, 0.0, 0.0}degrees, ._fsae_rearsusp.ground.origo))
!
marker modify  &
   marker_name = ._fsae_rearsusp.ground.cfr_lwr_strut_ext  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}inch + LOC_LOCAL(._fsae_rearsusp.ground.hpr_damper_outboard.loc, ._fsae_rearsusp.ground.origo), ._fsae_rearsusp.ground.origo))  &
   orientation =   &
      (ORI_RELATIVE_TO({0.0, 0.0, 0.0}degrees, ._fsae_rearsusp.ground.origo))
!
marker modify  &
   marker_name = ._fsae_rearsusp.ground.cfl_top_mount_ext  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}inch + LOC_LOCAL(._fsae_rearsusp.ground.hpl_damper_inboard.loc, ._fsae_rearsusp.ground.origo), ._fsae_rearsusp.ground.origo))  &
   orientation =   &
      (ORI_RELATIVE_TO({0.0, 0.0, 0.0}degrees, ._fsae_rearsusp.ground.origo))
!
marker modify  &
   marker_name = ._fsae_rearsusp.ground.cfr_top_mount_ext  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}inch + LOC_LOCAL(._fsae_rearsusp.ground.hpr_damper_inboard.loc, ._fsae_rearsusp.ground.origo), ._fsae_rearsusp.ground.origo))  &
   orientation =   &
      (ORI_RELATIVE_TO({0.0, 0.0, 0.0}degrees, ._fsae_rearsusp.ground.origo))
!
marker modify  &
   marker_name = ._fsae_rearsusp.ground.mtl_mount_j_2  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.mtl_toe_link_to_frame))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.mtl_toe_link_to_frame))
!
marker modify  &
   marker_name = ._fsae_rearsusp.ground.mtr_mount_j_2  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.mtr_toe_link_to_frame))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.mtr_toe_link_to_frame))
!
marker modify  &
   marker_name = ._fsae_rearsusp.ground.mtl_mount_j_3  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.mtl_damper_to_frame))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.mtl_damper_to_frame))
!
marker modify  &
   marker_name = ._fsae_rearsusp.ground.mtr_mount_j_3  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.mtr_damper_to_frame))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.mtr_damper_to_frame))
!
marker modify  &
   marker_name = ._fsae_rearsusp.ground.mtl_mount_j_4  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.mtl_uca_to_frame))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.mtl_uca_to_frame))
!
marker modify  &
   marker_name = ._fsae_rearsusp.ground.mtr_mount_j_4  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.mtr_uca_to_frame))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.mtr_uca_to_frame))
!
marker modify  &
   marker_name = ._fsae_rearsusp.ground.cfr_lwr_spring_seat  &
   location =   &
      (LOC_ALONG_LINE(._fsae_rearsusp.ground.hpr_damper_inboard, ._fsae_rearsusp.ground.hpr_damper_outboard, 50.0 / 100 * DM(._fsae_rearsusp.ground.hpr_damper_inboard, ._fsae_rearsusp.ground.hpr_damper_outboard)))
!
marker modify  &
   marker_name = ._fsae_rearsusp.ground.cfl_lwr_spring_seat  &
   location =   &
      (LOC_ALONG_LINE(._fsae_rearsusp.ground.hpl_damper_inboard, ._fsae_rearsusp.ground.hpl_damper_outboard, 50.0 / 100 * DM(._fsae_rearsusp.ground.hpl_damper_inboard, ._fsae_rearsusp.ground.hpl_damper_outboard)))
!
marker modify  &
   marker_name = ._fsae_rearsusp.ground.cfr_drive_shaft_otr  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, -1.0 * ._fsae_rearsusp.pvr_drive_shaft_offset}, ._fsae_rearsusp.ground.cfr_wheel_center))  &
   orientation =   &
      (ORI_ALONG_AXIS(._fsae_rearsusp.ground.cfr_drive_shaft_otr, ._fsae_rearsusp.ground.hpr_wheel_center, "Z"))
!
marker modify  &
   marker_name = ._fsae_rearsusp.ground.cfl_drive_shaft_otr  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, -1.0 * ._fsae_rearsusp.pvl_drive_shaft_offset}, ._fsae_rearsusp.ground.cfl_wheel_center))  &
   orientation =   &
      (ORI_ALONG_AXIS(._fsae_rearsusp.ground.cfl_drive_shaft_otr, ._fsae_rearsusp.ground.hpl_wheel_center, "Z"))
!
marker modify  &
   marker_name = ._fsae_rearsusp.ground.cfr_drive_shaft_inr  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.hpr_drive_shaft_inr))  &
   orientation =   &
      (ORI_IN_PLANE(._fsae_rearsusp.ground.hpr_drive_shaft_inr, ._fsae_rearsusp.ground.hpl_drive_shaft_inr, ._fsae_rearsusp.ground.cfr_drive_shaft_otr, "Z_ZX"))
!
marker modify  &
   marker_name = ._fsae_rearsusp.ground.cfl_drive_shaft_inr  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.hpl_drive_shaft_inr))  &
   orientation =   &
      (ORI_IN_PLANE(._fsae_rearsusp.ground.hpl_drive_shaft_inr, ._fsae_rearsusp.ground.hpr_drive_shaft_inr, ._fsae_rearsusp.ground.cfl_drive_shaft_otr, "Z_ZX"))
!
marker modify  &
   marker_name = ._fsae_rearsusp.ground.mtl_mount_j_5  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.mtl_tripot_to_differential))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.mtl_tripot_to_differential))
!
marker modify  &
   marker_name = ._fsae_rearsusp.ground.mtr_mount_j_5  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.mtr_tripot_to_differential))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.mtr_tripot_to_differential))
!
marker modify  &
   marker_name = ._fsae_rearsusp.ground.cfl_upright_spindle_inr  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}mm, ._fsae_rearsusp.ground.cfl_drive_shaft_otr))  &
   orientation =   &
      (ORI_RELATIVE_TO({0.0, 0.0, 0.0}degrees, ._fsae_rearsusp.ground.cfl_wheel_center))
!
marker modify  &
   marker_name = ._fsae_rearsusp.ground.cfr_upright_spindle_inr  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}mm, ._fsae_rearsusp.ground.cfr_drive_shaft_otr))  &
   orientation =   &
      (ORI_RELATIVE_TO({0.0, 0.0, 0.0}degrees, ._fsae_rearsusp.ground.cfr_wheel_center))
!
marker modify  &
   marker_name = ._fsae_rearsusp.ground.afl_aforce_meaj_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.origo))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.origo))
!
marker modify  &
   marker_name = ._fsae_rearsusp.ground.afr_aforce_meaj_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.origo))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.origo))
!
marker modify  &
   marker_name = ._fsae_rearsusp.ground.cfl_lwr_strut_loc  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}mm, ._fsae_rearsusp.ground.hpl_damper_outboard))  &
   orientation =   &
      (ORI_RELATIVE_TO({0.0, 0.0, 0.0}degrees, ._fsae_rearsusp.ground.origo))
!
marker modify  &
   marker_name = ._fsae_rearsusp.ground.cfr_lwr_strut_loc  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}mm, ._fsae_rearsusp.ground.hpr_damper_outboard))  &
   orientation =   &
      (ORI_RELATIVE_TO({0.0, 0.0, 0.0}degrees, ._fsae_rearsusp.ground.origo))
!
marker modify  &
   marker_name = ._fsae_rearsusp.ground.mtr_mount_j_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.mtr_lca_to_frame))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.mtr_lca_to_frame))
!
marker modify  &
   marker_name = ._fsae_rearsusp.ground.mtl_mount_j_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.mtl_lca_to_frame))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.mtl_lca_to_frame))
!
marker modify  &
   marker_name = ._fsae_rearsusp.ground.mtl_mount_j_6  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.mtl_BC_to_frame))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.mtl_BC_to_frame))
!
marker modify  &
   marker_name = ._fsae_rearsusp.ground.mtr_mount_j_6  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.mtr_BC_to_frame))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.mtr_BC_to_frame))
!
marker modify  &
   marker_name = ._fsae_rearsusp.ground.cfl_ride_height  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}inch, ._fsae_rearsusp.ground.hpl_ride_height))  &
   orientation =   &
      (ORI_RELATIVE_TO({0.0, 0.0, 0.0}degrees, ._fsae_rearsusp.ground.origo))
!
marker modify  &
   marker_name = ._fsae_rearsusp.ground.cfr_ride_height  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}inch, ._fsae_rearsusp.ground.hpr_ride_height))  &
   orientation =   &
      (ORI_RELATIVE_TO({0.0, 0.0, 0.0}degrees, ._fsae_rearsusp.ground.origo))
!
variable modify  &
   variable_name = ._fsae_rearsusp.suspension_parameters_ARRAY.type_flag  &
   integer_value = ("Independent" == "Independent")
!
data_element modify array ic_array  &
   array_name = ._fsae_rearsusp.suspension_parameters_ARRAY  &
   numbers =   &
      (._fsae_rearsusp.suspension_parameters_ARRAY.type_flag),  &
      (._fsae_rearsusp.gel_lower_control_arm.kp1_1.adams_id),  &
      (._fsae_rearsusp.gel_upper_control_arm.kp2_1.adams_id),  &
      (._fsae_rearsusp.ger_lower_control_arm.kp1_2.adams_id),  &
      (._fsae_rearsusp.ger_upper_control_arm.kp2_2.adams_id),  &
      (._fsae_rearsusp.minor_role != "rear")
!
data_element modify string  &
   string_name = ._fsae_rearsusp.minor_role_string  &
   string = (._fsae_rearsusp.minor_role)
!
material modify  &
   material_name = ._fsae_rearsusp.aluminum  &
   density = (2740.0(kg/meter**3))  &
   youngs_modulus = (7.1705E+10(Newton/meter**2))
!
material modify  &
   material_name = ._fsae_rearsusp.steel  &
   density = (7801.0(kg/meter**3))  &
   youngs_modulus = (2.07E+11(Newton/meter**2))
!
marker modify  &
   marker_name = ._fsae_rearsusp.gel_tierod_inner.inertia_frame  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.gel_tierod_inner.cm))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.gel_tierod_inner))  &
   relative_to = ._fsae_rearsusp.gel_tierod_inner
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.gel_tierod_inner.gralin_23  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.hpl_tierod_inner))  &
   orientation =   &
      (ORI_ALONG_AXIS(._fsae_rearsusp.ground.hpl_tierod_inner, ._fsae_rearsusp.ground.cfl_tierod_middle, "Z"))  &
   relative_to = ._fsae_rearsusp.gel_tierod_inner
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.gel_tierod_inner.jxl_joint_j_1  &
   location =   &
      (LOC_RELATIVE_TO(LOC_CENTERED({._fsae_rearsusp.ground.hpl_tierod_outer.loc, ._fsae_rearsusp.ground.hpl_tierod_inner.loc}, 2), ._fsae_rearsusp.ground))  &
   orientation =   &
      (ORI_ALONG_AXIS(._fsae_rearsusp.ground.hpl_tierod_outer, ._fsae_rearsusp.ground.hpl_tierod_inner, "Z"))  &
   relative_to = ._fsae_rearsusp.gel_tierod_inner
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.gel_tierod_inner.afl_aforce_i_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.hpl_tierod_inner))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.gel_tierod_outer.afl_aforce_j_1))  &
   relative_to = ._fsae_rearsusp.gel_tierod_inner
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.gel_tierod_inner.jxl_joint_i_11  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.mtl_toe_link_to_frame.jxl_joint_j_11))  &
   orientation =   &
      (ORI_IN_PLANE(._fsae_rearsusp.gel_tierod_inner.jxl_joint_i_11, ._fsae_rearsusp.ground.hpl_tierod_outer, ._fsae_rearsusp.ground.hpr_tierod_inner, "Z_ZX"))  &
   relative_to = ._fsae_rearsusp.gel_tierod_inner
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.gel_tierod_inner.graell_11  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.hpl_tierod_inner))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.hpl_tierod_inner))  &
   relative_to = ._fsae_rearsusp.gel_tierod_inner
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
geometry modify shape cylinder  &
   cylinder_name = ._fsae_rearsusp.gel_tierod_inner.gralin_tierod_inner  &
   length = (DM(._fsae_rearsusp.ground.hpl_tierod_inner, ._fsae_rearsusp.ground.cfl_tierod_middle))
!
geometry modify shape ellipsoid  &
   ellipsoid_name = ._fsae_rearsusp.gel_tierod_inner.graell_tierod_inner  &
   x_scale_factor = (._fsae_rearsusp.gel_tierod_inner.gralin_tierod_inner.radius * 2 * 1.0)  &
   y_scale_factor = (._fsae_rearsusp.gel_tierod_inner.gralin_tierod_inner.radius * 2 * 1.0)  &
   z_scale_factor = (._fsae_rearsusp.gel_tierod_inner.gralin_tierod_inner.radius * 2 * 1.0)
!
part modify rigid_body name_and_position  &
   part_name = ._fsae_rearsusp.gel_tierod_inner  &
   location =   &
      (LOC_ALONG_LINE(._fsae_rearsusp.ground.hpl_tierod_outer, ._fsae_rearsusp.ground.hpl_tierod_inner, 0.5 * DM(._fsae_rearsusp.ground.hpl_tierod_outer, ._fsae_rearsusp.ground.hpl_tierod_inner)))  &
   orientation =   &
      (ORI_ALONG_AXIS(._fsae_rearsusp.gel_tierod_inner, ._fsae_rearsusp.ground.hpl_tierod_outer, "Z"))
!
marker modify  &
   marker_name = ._fsae_rearsusp.ger_tierod_inner.inertia_frame  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ger_tierod_inner.cm))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ger_tierod_inner))  &
   relative_to = ._fsae_rearsusp.ger_tierod_inner
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.ger_tierod_inner.gralin_24  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.hpr_tierod_inner))  &
   orientation =   &
      (ORI_ALONG_AXIS(._fsae_rearsusp.ground.hpr_tierod_inner, ._fsae_rearsusp.ground.cfr_tierod_middle, "Z"))  &
   relative_to = ._fsae_rearsusp.ger_tierod_inner
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.ger_tierod_inner.jxr_joint_j_1  &
   location =   &
      (LOC_RELATIVE_TO(LOC_CENTERED({._fsae_rearsusp.ground.hpr_tierod_outer.loc, ._fsae_rearsusp.ground.hpr_tierod_inner.loc}, 2), ._fsae_rearsusp.ground))  &
   orientation =   &
      (ORI_ALONG_AXIS(._fsae_rearsusp.ground.hpr_tierod_outer, ._fsae_rearsusp.ground.hpr_tierod_inner, "Z"))  &
   relative_to = ._fsae_rearsusp.ger_tierod_inner
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.ger_tierod_inner.afr_aforce_i_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.hpr_tierod_inner))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ger_tierod_outer.afr_aforce_j_1))  &
   relative_to = ._fsae_rearsusp.ger_tierod_inner
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.ger_tierod_inner.jxr_joint_i_11  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.mtr_toe_link_to_frame.jxr_joint_j_11))  &
   orientation =   &
      (ORI_IN_PLANE(._fsae_rearsusp.ger_tierod_inner.jxr_joint_i_11, ._fsae_rearsusp.ground.hpr_tierod_outer, ._fsae_rearsusp.ground.hpl_tierod_inner, "Z_ZX"))  &
   relative_to = ._fsae_rearsusp.ger_tierod_inner
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.ger_tierod_inner.graell_12  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.hpr_tierod_inner))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.hpr_tierod_inner))  &
   relative_to = ._fsae_rearsusp.ger_tierod_inner
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
geometry modify shape cylinder  &
   cylinder_name = ._fsae_rearsusp.ger_tierod_inner.gralin_tierod_inner  &
   length = (DM(._fsae_rearsusp.ground.hpr_tierod_inner, ._fsae_rearsusp.ground.cfr_tierod_middle))
!
geometry modify shape ellipsoid  &
   ellipsoid_name = ._fsae_rearsusp.ger_tierod_inner.graell_tierod_inner  &
   x_scale_factor = (._fsae_rearsusp.ger_tierod_inner.gralin_tierod_inner.radius * 2 * 1.0)  &
   y_scale_factor = (._fsae_rearsusp.ger_tierod_inner.gralin_tierod_inner.radius * 2 * 1.0)  &
   z_scale_factor = (._fsae_rearsusp.ger_tierod_inner.gralin_tierod_inner.radius * 2 * 1.0)
!
part modify rigid_body name_and_position  &
   part_name = ._fsae_rearsusp.ger_tierod_inner  &
   location =   &
      (LOC_ALONG_LINE(._fsae_rearsusp.ground.hpr_tierod_outer, ._fsae_rearsusp.ground.hpr_tierod_inner, 0.5 * DM(._fsae_rearsusp.ground.hpr_tierod_outer, ._fsae_rearsusp.ground.hpr_tierod_inner)))  &
   orientation =   &
      (ORI_ALONG_AXIS(._fsae_rearsusp.ger_tierod_inner, ._fsae_rearsusp.ground.hpr_tierod_outer, "Z"))
!
marker modify  &
   marker_name = ._fsae_rearsusp.gel_tierod_outer.inertia_frame  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.gel_tierod_outer.cm))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.gel_tierod_outer))  &
   relative_to = ._fsae_rearsusp.gel_tierod_outer
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.gel_tierod_outer.gralin_25  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.cfl_tierod_middle))  &
   orientation =   &
      (ORI_ALONG_AXIS(._fsae_rearsusp.ground.cfl_tierod_middle, ._fsae_rearsusp.ground.hpl_tierod_outer, "Z"))  &
   relative_to = ._fsae_rearsusp.gel_tierod_outer
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.gel_tierod_outer.jxl_joint_i_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.gel_tierod_inner.jxl_joint_j_1))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.gel_tierod_inner.jxl_joint_j_1))  &
   relative_to = ._fsae_rearsusp.gel_tierod_outer
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.gel_tierod_outer.afl_aforce_j_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.hpl_tierod_outer))  &
   orientation =   &
      (ORI_ALONG_AXIS(._fsae_rearsusp.ground.hpl_tierod_outer, ._fsae_rearsusp.ground.hpl_tierod_inner, "Z"))  &
   relative_to = ._fsae_rearsusp.gel_tierod_outer
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.gel_tierod_outer.jxl_joint_i_10  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.gel_upright.jxl_joint_j_10))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.gel_upright.jxl_joint_j_10))  &
   relative_to = ._fsae_rearsusp.gel_tierod_outer
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.gel_tierod_outer.graell_9  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.hpl_tierod_outer))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.hpl_tierod_outer))  &
   relative_to = ._fsae_rearsusp.gel_tierod_outer
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
geometry modify shape cylinder  &
   cylinder_name = ._fsae_rearsusp.gel_tierod_outer.gralin_tierod_outer  &
   length = (DM(._fsae_rearsusp.ground.cfl_tierod_middle, ._fsae_rearsusp.ground.hpl_tierod_outer))
!
geometry modify shape ellipsoid  &
   ellipsoid_name = ._fsae_rearsusp.gel_tierod_outer.graell_tierod_outer  &
   x_scale_factor = (._fsae_rearsusp.gel_tierod_outer.gralin_tierod_outer.radius * 2 * 1.0)  &
   y_scale_factor = (._fsae_rearsusp.gel_tierod_outer.gralin_tierod_outer.radius * 2 * 1.0)  &
   z_scale_factor = (._fsae_rearsusp.gel_tierod_outer.gralin_tierod_outer.radius * 2 * 1.0)
!
part modify rigid_body name_and_position  &
   part_name = ._fsae_rearsusp.gel_tierod_outer  &
   location =   &
      (LOC_ALONG_LINE(._fsae_rearsusp.ground.hpl_tierod_outer, ._fsae_rearsusp.ground.hpl_tierod_inner, 0.5 * DM(._fsae_rearsusp.ground.hpl_tierod_outer, ._fsae_rearsusp.ground.hpl_tierod_inner)))  &
   orientation =   &
      (ORI_ALONG_AXIS(._fsae_rearsusp.gel_tierod_outer, ._fsae_rearsusp.ground.hpl_tierod_outer, "Z"))
!
marker modify  &
   marker_name = ._fsae_rearsusp.ger_tierod_outer.inertia_frame  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ger_tierod_outer.cm))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ger_tierod_outer))  &
   relative_to = ._fsae_rearsusp.ger_tierod_outer
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.ger_tierod_outer.gralin_26  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.cfr_tierod_middle))  &
   orientation =   &
      (ORI_ALONG_AXIS(._fsae_rearsusp.ground.cfr_tierod_middle, ._fsae_rearsusp.ground.hpr_tierod_outer, "Z"))  &
   relative_to = ._fsae_rearsusp.ger_tierod_outer
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.ger_tierod_outer.jxr_joint_i_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ger_tierod_inner.jxr_joint_j_1))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ger_tierod_inner.jxr_joint_j_1))  &
   relative_to = ._fsae_rearsusp.ger_tierod_outer
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.ger_tierod_outer.jxr_joint_i_10  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ger_upright.jxr_joint_j_10))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ger_upright.jxr_joint_j_10))  &
   relative_to = ._fsae_rearsusp.ger_tierod_outer
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.ger_tierod_outer.afr_aforce_j_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.hpr_tierod_outer))  &
   orientation =   &
      (ORI_ALONG_AXIS(._fsae_rearsusp.ground.hpr_tierod_outer, ._fsae_rearsusp.ground.hpr_tierod_inner, "Z"))  &
   relative_to = ._fsae_rearsusp.ger_tierod_outer
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.ger_tierod_outer.graell_10  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.hpr_tierod_outer))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.hpr_tierod_outer))  &
   relative_to = ._fsae_rearsusp.ger_tierod_outer
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
geometry modify shape cylinder  &
   cylinder_name = ._fsae_rearsusp.ger_tierod_outer.gralin_tierod_outer  &
   length = (DM(._fsae_rearsusp.ground.cfr_tierod_middle, ._fsae_rearsusp.ground.hpr_tierod_outer))
!
geometry modify shape ellipsoid  &
   ellipsoid_name = ._fsae_rearsusp.ger_tierod_outer.graell_tierod_outer  &
   x_scale_factor = (._fsae_rearsusp.ger_tierod_outer.gralin_tierod_outer.radius * 2 * 1.0)  &
   y_scale_factor = (._fsae_rearsusp.ger_tierod_outer.gralin_tierod_outer.radius * 2 * 1.0)  &
   z_scale_factor = (._fsae_rearsusp.ger_tierod_outer.gralin_tierod_outer.radius * 2 * 1.0)
!
part modify rigid_body name_and_position  &
   part_name = ._fsae_rearsusp.ger_tierod_outer  &
   location =   &
      (LOC_ALONG_LINE(._fsae_rearsusp.ground.hpr_tierod_outer, ._fsae_rearsusp.ground.hpr_tierod_inner, 0.5 * DM(._fsae_rearsusp.ground.hpr_tierod_outer, ._fsae_rearsusp.ground.hpr_tierod_inner)))  &
   orientation =   &
      (ORI_ALONG_AXIS(._fsae_rearsusp.ger_tierod_outer, ._fsae_rearsusp.ground.hpr_tierod_outer, "Z"))
!
marker modify  &
   marker_name = ._fsae_rearsusp.gel_lower_control_arm.kp1_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.hpl_lca_outer))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.origo))  &
   relative_to = ._fsae_rearsusp.gel_lower_control_arm
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.gel_lower_control_arm.inertia_frame  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.gel_lower_control_arm.cm))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.gel_lower_control_arm))  &
   relative_to = ._fsae_rearsusp.gel_lower_control_arm
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.gel_lower_control_arm.gralin_5  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.hpl_lca_front))  &
   orientation =   &
      (ORI_ALONG_AXIS(._fsae_rearsusp.ground.hpl_lca_front, ._fsae_rearsusp.ground.hpl_lca_outer, "Z"))  &
   relative_to = ._fsae_rearsusp.gel_lower_control_arm
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.gel_lower_control_arm.gralin_7  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.hpl_lca_rear))  &
   orientation =   &
      (ORI_ALONG_AXIS(._fsae_rearsusp.ground.hpl_lca_rear, ._fsae_rearsusp.ground.hpl_lca_outer, "Z"))  &
   relative_to = ._fsae_rearsusp.gel_lower_control_arm
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.gel_lower_control_arm.graell_23  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.hpl_lca_rear))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.hpl_lca_rear))  &
   relative_to = ._fsae_rearsusp.gel_lower_control_arm
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.gel_lower_control_arm.graell_21  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.hpl_lca_front))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.hpl_lca_front))  &
   relative_to = ._fsae_rearsusp.gel_lower_control_arm
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.gel_lower_control_arm.graell_5  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.hpl_lca_outer))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.hpl_lca_outer))  &
   relative_to = ._fsae_rearsusp.gel_lower_control_arm
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.gel_lower_control_arm.jxl_joint_j_9  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}mm, ._fsae_rearsusp.ground.hpl_lca_outer))  &
   orientation =   &
      (ORI_RELATIVE_TO({0.0, 0.0, 0.0}degrees, ._fsae_rearsusp.ground.origo))  &
   relative_to = ._fsae_rearsusp.gel_lower_control_arm
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.gel_lower_control_arm.jxl_joint_i_5  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.gel_prod.jxl_joint_j_5))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.gel_prod.jxl_joint_j_5))  &
   relative_to = ._fsae_rearsusp.gel_lower_control_arm
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.gel_lower_control_arm.coomarker_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.cfl_ride_height))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.cfl_ride_height))  &
   relative_to = ._fsae_rearsusp.gel_lower_control_arm
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.gel_lower_control_arm.bxl_bushing_i_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.mtl_lca_to_frame.bxl_bushing_j_1))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.mtl_lca_to_frame.bxl_bushing_j_1))  &
   relative_to = ._fsae_rearsusp.gel_lower_control_arm
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.gel_lower_control_arm.bxl_bushgeom_i_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, -._fsae_rearsusp.bgl_lca_front.geoLength / 2}, ._fsae_rearsusp.gel_lower_control_arm.bxl_bushing_i_1))  &
   orientation =   &
      (ORI_RELATIVE_TO({270deg, 0, 0}, ._fsae_rearsusp.gel_lower_control_arm.bxl_bushing_i_1))  &
   relative_to = ._fsae_rearsusp.gel_lower_control_arm
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.gel_lower_control_arm.bxl_bushing_i_2  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.mtl_lca_to_frame.bxl_bushing_j_2))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.mtl_lca_to_frame.bxl_bushing_j_2))  &
   relative_to = ._fsae_rearsusp.gel_lower_control_arm
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.gel_lower_control_arm.bxl_bushgeom_i_2  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, -._fsae_rearsusp.bgl_lca_rear.geoLength / 2}, ._fsae_rearsusp.gel_lower_control_arm.bxl_bushing_i_2))  &
   orientation =   &
      (ORI_RELATIVE_TO({270deg, 0, 0}, ._fsae_rearsusp.gel_lower_control_arm.bxl_bushing_i_2))  &
   relative_to = ._fsae_rearsusp.gel_lower_control_arm
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
geometry modify shape cylinder  &
   cylinder_name = ._fsae_rearsusp.gel_lower_control_arm.gralin_lca_front  &
   length = (DM(._fsae_rearsusp.ground.hpl_lca_front, ._fsae_rearsusp.ground.hpl_lca_outer))
!
geometry modify shape cylinder  &
   cylinder_name = ._fsae_rearsusp.gel_lower_control_arm.gralin_lca_rear  &
   length = (DM(._fsae_rearsusp.ground.hpl_lca_rear, ._fsae_rearsusp.ground.hpl_lca_outer))
!
geometry modify shape ellipsoid  &
   ellipsoid_name = ._fsae_rearsusp.gel_lower_control_arm.graell_lca_rear  &
   x_scale_factor = (._fsae_rearsusp.gel_lower_control_arm.gralin_lca_front.radius * 2 * 1.0)  &
   y_scale_factor = (._fsae_rearsusp.gel_lower_control_arm.gralin_lca_front.radius * 2 * 1.0)  &
   z_scale_factor = (._fsae_rearsusp.gel_lower_control_arm.gralin_lca_front.radius * 2 * 1.0)
!
geometry modify shape ellipsoid  &
   ellipsoid_name = ._fsae_rearsusp.gel_lower_control_arm.graell_lca_front  &
   x_scale_factor = (._fsae_rearsusp.gel_lower_control_arm.gralin_lca_front.radius * 2 * 1.0)  &
   y_scale_factor = (._fsae_rearsusp.gel_lower_control_arm.gralin_lca_front.radius * 2 * 1.0)  &
   z_scale_factor = (._fsae_rearsusp.gel_lower_control_arm.gralin_lca_front.radius * 2 * 1.0)
!
geometry modify shape ellipsoid  &
   ellipsoid_name = ._fsae_rearsusp.gel_lower_control_arm.graell_lca_outer  &
   x_scale_factor = (._fsae_rearsusp.gel_lower_control_arm.gralin_lca_front.radius * 2 * 1.0)  &
   y_scale_factor = (._fsae_rearsusp.gel_lower_control_arm.gralin_lca_front.radius * 2 * 1.0)  &
   z_scale_factor = (._fsae_rearsusp.gel_lower_control_arm.gralin_lca_front.radius * 2 * 1.0)
!
part modify rigid_body name_and_position  &
   part_name = ._fsae_rearsusp.gel_lower_control_arm  &
   location =   &
      (LOC_CENTERED({._fsae_rearsusp.ground.hpl_lca_front.loc, ._fsae_rearsusp.ground.hpl_lca_outer.loc, ._fsae_rearsusp.ground.hpl_lca_rear.loc}, 3))  &
   orientation =   &
      (ORI_IN_PLANE(._fsae_rearsusp.gel_lower_control_arm, ._fsae_rearsusp.ground.hpl_lca_outer, ._fsae_rearsusp.ground.hpl_lca_front, "Z_ZX"))
!
marker modify  &
   marker_name = ._fsae_rearsusp.ger_lower_control_arm.kp1_2  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.hpr_lca_outer))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.origo))  &
   relative_to = ._fsae_rearsusp.ger_lower_control_arm
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.ger_lower_control_arm.inertia_frame  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ger_lower_control_arm.cm))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ger_lower_control_arm))  &
   relative_to = ._fsae_rearsusp.ger_lower_control_arm
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.ger_lower_control_arm.gralin_6  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.hpr_lca_front))  &
   orientation =   &
      (ORI_ALONG_AXIS(._fsae_rearsusp.ground.hpr_lca_front, ._fsae_rearsusp.ground.hpr_lca_outer, "Z"))  &
   relative_to = ._fsae_rearsusp.ger_lower_control_arm
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.ger_lower_control_arm.gralin_8  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.hpr_lca_rear))  &
   orientation =   &
      (ORI_ALONG_AXIS(._fsae_rearsusp.ground.hpr_lca_rear, ._fsae_rearsusp.ground.hpr_lca_outer, "Z"))  &
   relative_to = ._fsae_rearsusp.ger_lower_control_arm
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.ger_lower_control_arm.graell_24  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.hpr_lca_rear))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.hpr_lca_rear))  &
   relative_to = ._fsae_rearsusp.ger_lower_control_arm
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.ger_lower_control_arm.graell_22  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.hpr_lca_front))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.hpr_lca_front))  &
   relative_to = ._fsae_rearsusp.ger_lower_control_arm
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.ger_lower_control_arm.graell_6  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.hpr_lca_outer))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.hpr_lca_outer))  &
   relative_to = ._fsae_rearsusp.ger_lower_control_arm
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.ger_lower_control_arm.jxr_joint_j_9  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}mm, ._fsae_rearsusp.ground.hpr_lca_outer))  &
   orientation =   &
      (ORI_RELATIVE_TO({0.0, 0.0, 0.0}degrees, ._fsae_rearsusp.ground.origo))  &
   relative_to = ._fsae_rearsusp.ger_lower_control_arm
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.ger_lower_control_arm.jxr_joint_i_5  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ger_prod.jxr_joint_j_5))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ger_prod.jxr_joint_j_5))  &
   relative_to = ._fsae_rearsusp.ger_lower_control_arm
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.ger_lower_control_arm.coomarker_2  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.cfr_ride_height))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.cfr_ride_height))  &
   relative_to = ._fsae_rearsusp.ger_lower_control_arm
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.ger_lower_control_arm.bxr_bushing_i_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.mtr_lca_to_frame.bxr_bushing_j_1))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.mtr_lca_to_frame.bxr_bushing_j_1))  &
   relative_to = ._fsae_rearsusp.ger_lower_control_arm
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.ger_lower_control_arm.bxr_bushgeom_i_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, -._fsae_rearsusp.bgr_lca_front.geoLength / 2}, ._fsae_rearsusp.ger_lower_control_arm.bxr_bushing_i_1))  &
   orientation =   &
      (ORI_RELATIVE_TO({270deg, 0, 0}, ._fsae_rearsusp.ger_lower_control_arm.bxr_bushing_i_1))  &
   relative_to = ._fsae_rearsusp.ger_lower_control_arm
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.ger_lower_control_arm.bxr_bushing_i_2  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.mtr_lca_to_frame.bxr_bushing_j_2))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.mtr_lca_to_frame.bxr_bushing_j_2))  &
   relative_to = ._fsae_rearsusp.ger_lower_control_arm
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.ger_lower_control_arm.bxr_bushgeom_i_2  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, -._fsae_rearsusp.bgr_lca_rear.geoLength / 2}, ._fsae_rearsusp.ger_lower_control_arm.bxr_bushing_i_2))  &
   orientation =   &
      (ORI_RELATIVE_TO({270deg, 0, 0}, ._fsae_rearsusp.ger_lower_control_arm.bxr_bushing_i_2))  &
   relative_to = ._fsae_rearsusp.ger_lower_control_arm
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
geometry modify shape cylinder  &
   cylinder_name = ._fsae_rearsusp.ger_lower_control_arm.gralin_lca_front  &
   length = (DM(._fsae_rearsusp.ground.hpr_lca_front, ._fsae_rearsusp.ground.hpr_lca_outer))
!
geometry modify shape cylinder  &
   cylinder_name = ._fsae_rearsusp.ger_lower_control_arm.gralin_lca_rear  &
   length = (DM(._fsae_rearsusp.ground.hpr_lca_rear, ._fsae_rearsusp.ground.hpr_lca_outer))
!
geometry modify shape ellipsoid  &
   ellipsoid_name = ._fsae_rearsusp.ger_lower_control_arm.graell_lca_rear  &
   x_scale_factor = (._fsae_rearsusp.ger_lower_control_arm.gralin_lca_front.radius * 2 * 1.0)  &
   y_scale_factor = (._fsae_rearsusp.ger_lower_control_arm.gralin_lca_front.radius * 2 * 1.0)  &
   z_scale_factor = (._fsae_rearsusp.ger_lower_control_arm.gralin_lca_front.radius * 2 * 1.0)
!
geometry modify shape ellipsoid  &
   ellipsoid_name = ._fsae_rearsusp.ger_lower_control_arm.graell_lca_front  &
   x_scale_factor = (._fsae_rearsusp.ger_lower_control_arm.gralin_lca_front.radius * 2 * 1.0)  &
   y_scale_factor = (._fsae_rearsusp.ger_lower_control_arm.gralin_lca_front.radius * 2 * 1.0)  &
   z_scale_factor = (._fsae_rearsusp.ger_lower_control_arm.gralin_lca_front.radius * 2 * 1.0)
!
geometry modify shape ellipsoid  &
   ellipsoid_name = ._fsae_rearsusp.ger_lower_control_arm.graell_lca_outer  &
   x_scale_factor = (._fsae_rearsusp.ger_lower_control_arm.gralin_lca_front.radius * 2 * 1.0)  &
   y_scale_factor = (._fsae_rearsusp.ger_lower_control_arm.gralin_lca_front.radius * 2 * 1.0)  &
   z_scale_factor = (._fsae_rearsusp.ger_lower_control_arm.gralin_lca_front.radius * 2 * 1.0)
!
part modify rigid_body name_and_position  &
   part_name = ._fsae_rearsusp.ger_lower_control_arm  &
   location =   &
      (LOC_CENTERED({._fsae_rearsusp.ground.hpr_lca_front.loc, ._fsae_rearsusp.ground.hpr_lca_outer.loc, ._fsae_rearsusp.ground.hpr_lca_rear.loc}, 3))  &
   orientation =   &
      (ORI_IN_PLANE(._fsae_rearsusp.ger_lower_control_arm, ._fsae_rearsusp.ground.hpr_lca_outer, ._fsae_rearsusp.ground.hpr_lca_front, "Z_ZX"))
!
marker modify  &
   marker_name = ._fsae_rearsusp.gel_upright.afl_aforce_meai_2  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.cfl_wheel_center))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.cfl_wheel_center))  &
   relative_to = ._fsae_rearsusp.gel_upright
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.gel_upright.jolcyl_strut_1  &
   location =   &
      (LOC_RELATIVE_TO(._fsae_rearsusp.ground.cfl_lwr_strut_ext.location, ._fsae_rearsusp.ground.cfl_lwr_strut_ext.parent))  &
   orientation =   &
      (ORI_RELATIVE_TO(._fsae_rearsusp.ground.cfl_lwr_strut_ext.orientation, ._fsae_rearsusp.ground.cfl_lwr_strut_ext.parent))  &
   relative_to = ._fsae_rearsusp.gel_upright
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.gel_upright.geomar_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0.0}, ._fsae_rearsusp.ground.hpl_wheel_center))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.cfl_wheel_center))  &
   relative_to = ._fsae_rearsusp.gel_upright
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.gel_upright.inertia_frame  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.gel_upright.cm))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.gel_upright))  &
   relative_to = ._fsae_rearsusp.gel_upright
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.gel_upright.jxl_joint_j_20  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}mm, ._fsae_rearsusp.ground.hpl_wheel_center))  &
   orientation =   &
      (ORI_RELATIVE_TO({0.0, 0.0, 0.0}degrees, ._fsae_rearsusp.ground.cfl_wheel_center))  &
   relative_to = ._fsae_rearsusp.gel_upright
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.gel_upright.afl_aforce_meai_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.cfl_wheel_center))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.cfl_wheel_center))  &
   relative_to = ._fsae_rearsusp.gel_upright
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.gel_upright.mal_wheel_center  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}mm, ._fsae_rearsusp.ground.hpl_wheel_center))  &
   orientation =   &
      (ORI_RELATIVE_TO({0.0, 0.0, 0.0}degrees, ._fsae_rearsusp.ground.cfl_wheel_center))  &
   relative_to = ._fsae_rearsusp.gel_upright
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.gel_upright.mal_kingpin_axis  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}mm, ._fsae_rearsusp.ground.hpl_lca_outer))  &
   orientation =   &
      (ORI_ALONG_AXIS(._fsae_rearsusp.gel_upright.mal_kingpin_axis, ._fsae_rearsusp.ground.hpl_uca_outer, "Z"))  &
   relative_to = ._fsae_rearsusp.gel_upright
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.gel_upright.jxl_joint_j_2  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}mm, ._fsae_rearsusp.ground.hpl_lca_outer))  &
   orientation =   &
      (ORI_ALONG_AXIS(._fsae_rearsusp.ground.hpl_lca_outer, ._fsae_rearsusp.ground.hps_camber_adj_orient, "Z"))  &
   relative_to = ._fsae_rearsusp.gel_upright
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.gel_upright.afl_aforce_i_2  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.hpl_lca_outer))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.gel_upright_bracket.afl_aforce_j_2))  &
   relative_to = ._fsae_rearsusp.gel_upright
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.gel_upright.jxl_joint_j_10  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}mm, ._fsae_rearsusp.ground.hpl_tierod_outer))  &
   orientation =   &
      (ORI_RELATIVE_TO({0.0, 0.0, 0.0}degrees, ._fsae_rearsusp.ground.origo))  &
   relative_to = ._fsae_rearsusp.gel_upright
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.gel_upright.jxl_joint_j_13  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}mm, ._fsae_rearsusp.ground.hpl_uca_outer))  &
   orientation =   &
      (ORI_RELATIVE_TO({0.0, 0.0, 0.0}degrees, ._fsae_rearsusp.ground.origo))  &
   relative_to = ._fsae_rearsusp.gel_upright
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.gel_upright.graarm_7  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.hpl_uca_outer))  &
   orientation =   &
      (ORI_IN_PLANE(._fsae_rearsusp.ground.hpl_uca_outer, ._fsae_rearsusp.ground.hpl_wheel_center, ._fsae_rearsusp.ground.hpl_lca_outer, "X_XY"))  &
   relative_to = ._fsae_rearsusp.gel_upright
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.gel_upright.graarm_8  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.hpl_wheel_center))  &
   relative_to = ._fsae_rearsusp.gel_upright
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.gel_upright.graarm_9  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.hpl_lca_outer))  &
   relative_to = ._fsae_rearsusp.gel_upright
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.gel_upright.graarm_13  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.hpl_uca_outer))  &
   orientation =   &
      (ORI_IN_PLANE(._fsae_rearsusp.ground.hpl_uca_outer, ._fsae_rearsusp.ground.hpl_wheel_center, ._fsae_rearsusp.ground.hpl_lca_outer, "X_XY"))  &
   relative_to = ._fsae_rearsusp.gel_upright
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.gel_upright.graarm_14  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.hpl_wheel_center))  &
   relative_to = ._fsae_rearsusp.gel_upright
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.gel_upright.graarm_15  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.hpl_lca_outer))  &
   relative_to = ._fsae_rearsusp.gel_upright
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.gel_upright.graarm_19  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.hpl_lca_outer))  &
   orientation =   &
      (ORI_IN_PLANE(._fsae_rearsusp.ground.hpl_lca_outer, ._fsae_rearsusp.ground.hpl_uca_outer, ._fsae_rearsusp.ground.hpl_tierod_outer, "X_XY"))  &
   relative_to = ._fsae_rearsusp.gel_upright
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.gel_upright.graarm_20  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.hpl_uca_outer))  &
   relative_to = ._fsae_rearsusp.gel_upright
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.gel_upright.graarm_21  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.hpl_tierod_outer))  &
   relative_to = ._fsae_rearsusp.gel_upright
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.gel_upright.graarm_25  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.hpl_lca_outer))  &
   orientation =   &
      (ORI_IN_PLANE(._fsae_rearsusp.ground.hpl_lca_outer, ._fsae_rearsusp.ground.hpl_uca_outer, ._fsae_rearsusp.ground.hpl_wheel_center, "X_XY"))  &
   relative_to = ._fsae_rearsusp.gel_upright
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.gel_upright.graarm_26  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.hpl_uca_outer))  &
   relative_to = ._fsae_rearsusp.gel_upright
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.gel_upright.graarm_27  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.hpl_wheel_center))  &
   relative_to = ._fsae_rearsusp.gel_upright
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.gel_upright.graarm_31  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.hpl_lca_outer))  &
   orientation =   &
      (ORI_IN_PLANE(._fsae_rearsusp.ground.hpl_lca_outer, ._fsae_rearsusp.ground.hpl_uca_outer, ._fsae_rearsusp.ground.hpl_wheel_center, "X_XY"))  &
   relative_to = ._fsae_rearsusp.gel_upright
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.gel_upright.graarm_32  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.hpl_uca_outer))  &
   relative_to = ._fsae_rearsusp.gel_upright
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.gel_upright.graarm_33  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.hpl_wheel_center))  &
   relative_to = ._fsae_rearsusp.gel_upright
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.gel_upright.graarm_37  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.hpl_lca_outer))  &
   orientation =   &
      (ORI_IN_PLANE(._fsae_rearsusp.ground.hpl_lca_outer, ._fsae_rearsusp.ground.hpl_tierod_outer, ._fsae_rearsusp.ground.hpl_wheel_center, "X_XY"))  &
   relative_to = ._fsae_rearsusp.gel_upright
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.gel_upright.graarm_38  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.hpl_tierod_outer))  &
   relative_to = ._fsae_rearsusp.gel_upright
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.gel_upright.graarm_39  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.hpl_wheel_center))  &
   relative_to = ._fsae_rearsusp.gel_upright
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.gel_upright.graarm_43  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.hpl_uca_outer))  &
   orientation =   &
      (ORI_IN_PLANE(._fsae_rearsusp.ground.hpl_uca_outer, ._fsae_rearsusp.ground.hpl_tierod_outer, ._fsae_rearsusp.ground.hpl_wheel_center, "X_XY"))  &
   relative_to = ._fsae_rearsusp.gel_upright
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.gel_upright.graarm_44  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.hpl_tierod_outer))  &
   relative_to = ._fsae_rearsusp.gel_upright
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.gel_upright.graarm_45  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.hpl_wheel_center))  &
   relative_to = ._fsae_rearsusp.gel_upright
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
part modify rigid_body name_and_position  &
   part_name = ._fsae_rearsusp.gel_upright  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}inch, ._fsae_rearsusp.ground.cfl_wheel_center))
!
marker modify  &
   marker_name = ._fsae_rearsusp.ger_upright.afr_aforce_meai_2  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.cfr_wheel_center))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.cfr_wheel_center))  &
   relative_to = ._fsae_rearsusp.ger_upright
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.ger_upright.jorcyl_strut_1  &
   location =   &
      (LOC_RELATIVE_TO(._fsae_rearsusp.ground.cfr_lwr_strut_ext.location, ._fsae_rearsusp.ground.cfr_lwr_strut_ext.parent))  &
   orientation =   &
      (ORI_RELATIVE_TO(._fsae_rearsusp.ground.cfr_lwr_strut_ext.orientation, ._fsae_rearsusp.ground.cfr_lwr_strut_ext.parent))  &
   relative_to = ._fsae_rearsusp.ger_upright
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.ger_upright.geomar_2  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0.0}, ._fsae_rearsusp.ground.hpr_wheel_center))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.cfr_wheel_center))  &
   relative_to = ._fsae_rearsusp.ger_upright
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.ger_upright.inertia_frame  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ger_upright.cm))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ger_upright))  &
   relative_to = ._fsae_rearsusp.ger_upright
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.ger_upright.jxr_joint_j_20  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}mm, ._fsae_rearsusp.ground.hpr_wheel_center))  &
   orientation =   &
      (ORI_RELATIVE_TO({0.0, 0.0, 0.0}degrees, ._fsae_rearsusp.ground.cfr_wheel_center))  &
   relative_to = ._fsae_rearsusp.ger_upright
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.ger_upright.afr_aforce_meai_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.cfr_wheel_center))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.cfr_wheel_center))  &
   relative_to = ._fsae_rearsusp.ger_upright
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.ger_upright.mar_wheel_center  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}mm, ._fsae_rearsusp.ground.hpr_wheel_center))  &
   orientation =   &
      (ORI_RELATIVE_TO({0.0, 0.0, 0.0}degrees, ._fsae_rearsusp.ground.cfr_wheel_center))  &
   relative_to = ._fsae_rearsusp.ger_upright
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.ger_upright.mar_kingpin_axis  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}mm, ._fsae_rearsusp.ground.hpr_lca_outer))  &
   orientation =   &
      (ORI_ALONG_AXIS(._fsae_rearsusp.ger_upright.mar_kingpin_axis, ._fsae_rearsusp.ground.hpr_uca_outer, "Z"))  &
   relative_to = ._fsae_rearsusp.ger_upright
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.ger_upright.jxr_joint_j_2  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}mm, ._fsae_rearsusp.ground.hpr_lca_outer))  &
   orientation =   &
      (ORI_ALONG_AXIS(._fsae_rearsusp.ground.hpr_lca_outer, ._fsae_rearsusp.ground.hps_camber_adj_orient, "Z"))  &
   relative_to = ._fsae_rearsusp.ger_upright
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.ger_upright.afr_aforce_i_2  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.hpr_lca_outer))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ger_upright_bracket.afr_aforce_j_2))  &
   relative_to = ._fsae_rearsusp.ger_upright
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.ger_upright.jxr_joint_j_10  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}mm, ._fsae_rearsusp.ground.hpr_tierod_outer))  &
   orientation =   &
      (ORI_RELATIVE_TO({0.0, 0.0, 0.0}degrees, ._fsae_rearsusp.ground.origo))  &
   relative_to = ._fsae_rearsusp.ger_upright
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.ger_upright.jxr_joint_j_13  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}mm, ._fsae_rearsusp.ground.hpr_uca_outer))  &
   orientation =   &
      (ORI_RELATIVE_TO({0.0, 0.0, 0.0}degrees, ._fsae_rearsusp.ground.origo))  &
   relative_to = ._fsae_rearsusp.ger_upright
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.ger_upright.graarm_10  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.hpr_uca_outer))  &
   orientation =   &
      (ORI_IN_PLANE(._fsae_rearsusp.ground.hpr_uca_outer, ._fsae_rearsusp.ground.hpr_wheel_center, ._fsae_rearsusp.ground.hpr_lca_outer, "X_XY"))  &
   relative_to = ._fsae_rearsusp.ger_upright
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.ger_upright.graarm_11  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.hpr_wheel_center))  &
   relative_to = ._fsae_rearsusp.ger_upright
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.ger_upright.graarm_12  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.hpr_lca_outer))  &
   relative_to = ._fsae_rearsusp.ger_upright
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.ger_upright.graarm_16  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.hpr_uca_outer))  &
   orientation =   &
      (ORI_IN_PLANE(._fsae_rearsusp.ground.hpr_uca_outer, ._fsae_rearsusp.ground.hpr_wheel_center, ._fsae_rearsusp.ground.hpr_lca_outer, "X_XY"))  &
   relative_to = ._fsae_rearsusp.ger_upright
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.ger_upright.graarm_17  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.hpr_wheel_center))  &
   relative_to = ._fsae_rearsusp.ger_upright
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.ger_upright.graarm_18  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.hpr_lca_outer))  &
   relative_to = ._fsae_rearsusp.ger_upright
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.ger_upright.graarm_22  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.hpr_lca_outer))  &
   orientation =   &
      (ORI_IN_PLANE(._fsae_rearsusp.ground.hpr_lca_outer, ._fsae_rearsusp.ground.hpr_uca_outer, ._fsae_rearsusp.ground.hpr_tierod_outer, "X_XY"))  &
   relative_to = ._fsae_rearsusp.ger_upright
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.ger_upright.graarm_23  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.hpr_uca_outer))  &
   relative_to = ._fsae_rearsusp.ger_upright
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.ger_upright.graarm_24  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.hpr_tierod_outer))  &
   relative_to = ._fsae_rearsusp.ger_upright
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.ger_upright.graarm_28  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.hpr_lca_outer))  &
   orientation =   &
      (ORI_IN_PLANE(._fsae_rearsusp.ground.hpr_lca_outer, ._fsae_rearsusp.ground.hpr_uca_outer, ._fsae_rearsusp.ground.hpr_wheel_center, "X_XY"))  &
   relative_to = ._fsae_rearsusp.ger_upright
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.ger_upright.graarm_29  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.hpr_uca_outer))  &
   relative_to = ._fsae_rearsusp.ger_upright
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.ger_upright.graarm_30  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.hpr_wheel_center))  &
   relative_to = ._fsae_rearsusp.ger_upright
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.ger_upright.graarm_34  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.hpr_lca_outer))  &
   orientation =   &
      (ORI_IN_PLANE(._fsae_rearsusp.ground.hpr_lca_outer, ._fsae_rearsusp.ground.hpr_uca_outer, ._fsae_rearsusp.ground.hpr_wheel_center, "X_XY"))  &
   relative_to = ._fsae_rearsusp.ger_upright
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.ger_upright.graarm_35  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.hpr_uca_outer))  &
   relative_to = ._fsae_rearsusp.ger_upright
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.ger_upright.graarm_36  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.hpr_wheel_center))  &
   relative_to = ._fsae_rearsusp.ger_upright
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.ger_upright.graarm_40  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.hpr_lca_outer))  &
   orientation =   &
      (ORI_IN_PLANE(._fsae_rearsusp.ground.hpr_lca_outer, ._fsae_rearsusp.ground.hpr_tierod_outer, ._fsae_rearsusp.ground.hpr_wheel_center, "X_XY"))  &
   relative_to = ._fsae_rearsusp.ger_upright
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.ger_upright.graarm_41  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.hpr_tierod_outer))  &
   relative_to = ._fsae_rearsusp.ger_upright
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.ger_upright.graarm_42  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.hpr_wheel_center))  &
   relative_to = ._fsae_rearsusp.ger_upright
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.ger_upright.graarm_46  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.hpr_uca_outer))  &
   orientation =   &
      (ORI_IN_PLANE(._fsae_rearsusp.ground.hpr_uca_outer, ._fsae_rearsusp.ground.hpr_tierod_outer, ._fsae_rearsusp.ground.hpr_wheel_center, "X_XY"))  &
   relative_to = ._fsae_rearsusp.ger_upright
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.ger_upright.graarm_47  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.hpr_tierod_outer))  &
   relative_to = ._fsae_rearsusp.ger_upright
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.ger_upright.graarm_48  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.hpr_wheel_center))  &
   relative_to = ._fsae_rearsusp.ger_upright
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
part modify rigid_body name_and_position  &
   part_name = ._fsae_rearsusp.ger_upright  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}inch, ._fsae_rearsusp.ground.cfr_wheel_center))
!
marker modify  &
   marker_name = ._fsae_rearsusp.gel_damper_inboard.bgl0_strut_topmount_1  &
   location =   &
      (LOC_RELATIVE_TO(._fsae_rearsusp.ground.hpl_damper_inboard.location, ._fsae_rearsusp.ground.hpl_damper_inboard.parent))  &
   orientation =   &
      (ORI_RELATIVE_TO(._fsae_rearsusp.ground.cfl_top_mount_ext.orientation, ._fsae_rearsusp.ground.cfl_top_mount_ext.parent))  &
   relative_to = ._fsae_rearsusp.gel_damper_inboard
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.gel_damper_inboard.jxl_joint_i_12  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.mtl_damper_to_frame.jxl_joint_j_12))  &
   orientation =   &
      (ORI_IN_PLANE(._fsae_rearsusp.gel_damper_inboard.jxl_joint_i_12, ._fsae_rearsusp.ground.hpl_damper_outboard, ._fsae_rearsusp.ground.hpr_damper_inboard, "Z_ZX"))  &
   relative_to = ._fsae_rearsusp.gel_damper_inboard
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.gel_damper_inboard.jxl_joint_j_14  &
   location =   &
      (LOC_RELATIVE_TO(LOC_CENTERED({._fsae_rearsusp.ground.hpl_damper_inboard.loc, ._fsae_rearsusp.ground.hpl_damper_outboard.loc}, 2), ._fsae_rearsusp.ground))  &
   orientation =   &
      (ORI_IN_PLANE(._fsae_rearsusp.gel_damper_inboard.jxl_joint_j_14, ._fsae_rearsusp.ground.hpl_damper_inboard, ._fsae_rearsusp.ground.hpl_damper_outboard, "Z_ZX"))  &
   relative_to = ._fsae_rearsusp.gel_damper_inboard
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.gel_damper_inboard.bul_bumpstop_i_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.hpl_damper_inboard))  &
   relative_to = ._fsae_rearsusp.gel_damper_inboard
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.gel_damper_inboard.dal_damper_i_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.hpl_damper_inboard))  &
   relative_to = ._fsae_rearsusp.gel_damper_inboard
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.gel_damper_inboard.inertia_frame  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.gel_damper_inboard.cm))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.gel_damper_inboard))  &
   relative_to = ._fsae_rearsusp.gel_damper_inboard
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.gel_damper_inboard.nsl_spring_i_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.hpl_damper_inboard))  &
   relative_to = ._fsae_rearsusp.gel_damper_inboard
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
part modify rigid_body name_and_position  &
   part_name = ._fsae_rearsusp.gel_damper_inboard  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}inch, ._fsae_rearsusp.ground.hpl_damper_inboard))  &
   orientation =   &
      (ORI_ALONG_AXIS(._fsae_rearsusp.gel_damper_inboard, ._fsae_rearsusp.ground.hpl_damper_inboard, "Z"))
!
marker modify  &
   marker_name = ._fsae_rearsusp.ger_damper_inboard.bgr0_strut_topmount_1  &
   location =   &
      (LOC_RELATIVE_TO(._fsae_rearsusp.ground.hpr_damper_inboard.location, ._fsae_rearsusp.ground.hpr_damper_inboard.parent))  &
   orientation =   &
      (ORI_RELATIVE_TO(._fsae_rearsusp.ground.cfr_top_mount_ext.orientation, ._fsae_rearsusp.ground.cfr_top_mount_ext.parent))  &
   relative_to = ._fsae_rearsusp.ger_damper_inboard
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.ger_damper_inboard.jxr_joint_i_12  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.mtr_damper_to_frame.jxr_joint_j_12))  &
   orientation =   &
      (ORI_IN_PLANE(._fsae_rearsusp.ger_damper_inboard.jxr_joint_i_12, ._fsae_rearsusp.ground.hpr_damper_outboard, ._fsae_rearsusp.ground.hpl_damper_inboard, "Z_ZX"))  &
   relative_to = ._fsae_rearsusp.ger_damper_inboard
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.ger_damper_inboard.jxr_joint_j_14  &
   location =   &
      (LOC_RELATIVE_TO(LOC_CENTERED({._fsae_rearsusp.ground.hpr_damper_inboard.loc, ._fsae_rearsusp.ground.hpr_damper_outboard.loc}, 2), ._fsae_rearsusp.ground))  &
   orientation =   &
      (ORI_IN_PLANE(._fsae_rearsusp.ger_damper_inboard.jxr_joint_j_14, ._fsae_rearsusp.ground.hpr_damper_inboard, ._fsae_rearsusp.ground.hpr_damper_outboard, "Z_ZX"))  &
   relative_to = ._fsae_rearsusp.ger_damper_inboard
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.ger_damper_inboard.bur_bumpstop_i_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.hpr_damper_inboard))  &
   relative_to = ._fsae_rearsusp.ger_damper_inboard
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.ger_damper_inboard.dar_damper_i_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.hpr_damper_inboard))  &
   relative_to = ._fsae_rearsusp.ger_damper_inboard
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.ger_damper_inboard.inertia_frame  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ger_damper_inboard.cm))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ger_damper_inboard))  &
   relative_to = ._fsae_rearsusp.ger_damper_inboard
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.ger_damper_inboard.nsr_spring_i_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.hpr_damper_inboard))  &
   relative_to = ._fsae_rearsusp.ger_damper_inboard
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
part modify rigid_body name_and_position  &
   part_name = ._fsae_rearsusp.ger_damper_inboard  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}inch, ._fsae_rearsusp.ground.hpr_damper_inboard))  &
   orientation =   &
      (ORI_ALONG_AXIS(._fsae_rearsusp.ger_damper_inboard, ._fsae_rearsusp.ground.hpr_damper_inboard, "Z"))
!
marker modify  &
   marker_name = ._fsae_rearsusp.mtl_toe_link_to_frame.jxl_joint_j_11  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}mm, ._fsae_rearsusp.ground.hpl_tierod_inner))  &
   orientation =   &
      (ORI_IN_PLANE(._fsae_rearsusp.mtl_toe_link_to_frame.jxl_joint_j_11, ._fsae_rearsusp.ground.hpr_tierod_inner, ._fsae_rearsusp.ground.hpl_tierod_outer, "Z_ZX"))  &
   relative_to = ._fsae_rearsusp.mtl_toe_link_to_frame
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
part modify rigid_body name_and_position  &
   part_name = ._fsae_rearsusp.mtl_toe_link_to_frame  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.hpl_tierod_inner))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.origo))
!
marker modify  &
   marker_name = ._fsae_rearsusp.mtr_toe_link_to_frame.jxr_joint_j_11  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}mm, ._fsae_rearsusp.ground.hpr_tierod_inner))  &
   orientation =   &
      (ORI_IN_PLANE(._fsae_rearsusp.mtr_toe_link_to_frame.jxr_joint_j_11, ._fsae_rearsusp.ground.hpl_tierod_inner, ._fsae_rearsusp.ground.hpr_tierod_outer, "Z_ZX"))  &
   relative_to = ._fsae_rearsusp.mtr_toe_link_to_frame
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
part modify rigid_body name_and_position  &
   part_name = ._fsae_rearsusp.mtr_toe_link_to_frame  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.hpr_tierod_inner))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.origo))
!
marker modify  &
   marker_name = ._fsae_rearsusp.mtl_damper_to_frame.jxl_joint_j_12  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}inch, ._fsae_rearsusp.ground.hpl_damper_inboard))  &
   orientation =   &
      (ORI_IN_PLANE(._fsae_rearsusp.mtl_damper_to_frame.jxl_joint_j_12, ._fsae_rearsusp.ground.hpr_damper_inboard, ._fsae_rearsusp.ground.hpl_damper_outboard, "Z_ZX"))  &
   relative_to = ._fsae_rearsusp.mtl_damper_to_frame
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
part modify rigid_body name_and_position  &
   part_name = ._fsae_rearsusp.mtl_damper_to_frame  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.hpl_damper_inboard))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.origo))
!
marker modify  &
   marker_name = ._fsae_rearsusp.mtr_damper_to_frame.jxr_joint_j_12  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}inch, ._fsae_rearsusp.ground.hpr_damper_inboard))  &
   orientation =   &
      (ORI_IN_PLANE(._fsae_rearsusp.mtr_damper_to_frame.jxr_joint_j_12, ._fsae_rearsusp.ground.hpl_damper_inboard, ._fsae_rearsusp.ground.hpr_damper_outboard, "Z_ZX"))  &
   relative_to = ._fsae_rearsusp.mtr_damper_to_frame
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
part modify rigid_body name_and_position  &
   part_name = ._fsae_rearsusp.mtr_damper_to_frame  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.hpr_damper_inboard))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.origo))
!
marker modify  &
   marker_name = ._fsae_rearsusp.gel_upper_control_arm.jxl_joint_i_13  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.gel_upright.jxl_joint_j_13))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.gel_upright.jxl_joint_j_13))  &
   relative_to = ._fsae_rearsusp.gel_upper_control_arm
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.gel_upper_control_arm.kp2_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.hpl_uca_outer))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.origo))  &
   relative_to = ._fsae_rearsusp.gel_upper_control_arm
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.gel_upper_control_arm.inertia_frame  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.gel_upper_control_arm.cm))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.gel_upper_control_arm))  &
   relative_to = ._fsae_rearsusp.gel_upper_control_arm
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.gel_upper_control_arm.gralin_9  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.hpl_uca_front))  &
   orientation =   &
      (ORI_ALONG_AXIS(._fsae_rearsusp.ground.hpl_uca_front, ._fsae_rearsusp.ground.hpl_uca_outer, "Z"))  &
   relative_to = ._fsae_rearsusp.gel_upper_control_arm
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.gel_upper_control_arm.gralin_11  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.hpl_uca_rear))  &
   orientation =   &
      (ORI_ALONG_AXIS(._fsae_rearsusp.ground.hpl_uca_rear, ._fsae_rearsusp.ground.hpl_uca_outer, "Z"))  &
   relative_to = ._fsae_rearsusp.gel_upper_control_arm
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.gel_upper_control_arm.graell_7  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.hpl_uca_outer))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.hpl_uca_outer))  &
   relative_to = ._fsae_rearsusp.gel_upper_control_arm
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.gel_upper_control_arm.graell_17  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.hpl_uca_front))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.hpl_uca_front))  &
   relative_to = ._fsae_rearsusp.gel_upper_control_arm
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.gel_upper_control_arm.graell_19  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.hpl_uca_rear))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.hpl_uca_rear))  &
   relative_to = ._fsae_rearsusp.gel_upper_control_arm
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.gel_upper_control_arm.bxl_bushing_i_3  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.mtl_uca_to_frame.bxl_bushing_j_3))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.mtl_uca_to_frame.bxl_bushing_j_3))  &
   relative_to = ._fsae_rearsusp.gel_upper_control_arm
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.gel_upper_control_arm.bxl_bushgeom_i_3  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, -._fsae_rearsusp.bgl_uca_front.geoLength / 2}, ._fsae_rearsusp.gel_upper_control_arm.bxl_bushing_i_3))  &
   orientation =   &
      (ORI_RELATIVE_TO({270deg, 0, 0}, ._fsae_rearsusp.gel_upper_control_arm.bxl_bushing_i_3))  &
   relative_to = ._fsae_rearsusp.gel_upper_control_arm
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.gel_upper_control_arm.bxl_bushing_i_4  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.mtl_uca_to_frame.bxl_bushing_j_4))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.mtl_uca_to_frame.bxl_bushing_j_4))  &
   relative_to = ._fsae_rearsusp.gel_upper_control_arm
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.gel_upper_control_arm.bxl_bushgeom_i_4  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, -._fsae_rearsusp.bgl_uca_rear.geoLength / 2}, ._fsae_rearsusp.gel_upper_control_arm.bxl_bushing_i_4))  &
   orientation =   &
      (ORI_RELATIVE_TO({270deg, 0, 0}, ._fsae_rearsusp.gel_upper_control_arm.bxl_bushing_i_4))  &
   relative_to = ._fsae_rearsusp.gel_upper_control_arm
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
geometry modify shape cylinder  &
   cylinder_name = ._fsae_rearsusp.gel_upper_control_arm.gralin_uca_front  &
   length = (DM(._fsae_rearsusp.ground.hpl_uca_front, ._fsae_rearsusp.ground.hpl_uca_outer))
!
geometry modify shape cylinder  &
   cylinder_name = ._fsae_rearsusp.gel_upper_control_arm.gralin_uca_rear  &
   length = (DM(._fsae_rearsusp.ground.hpl_uca_rear, ._fsae_rearsusp.ground.hpl_uca_outer))
!
geometry modify shape ellipsoid  &
   ellipsoid_name = ._fsae_rearsusp.gel_upper_control_arm.graell_upright_upr_ball  &
   x_scale_factor = (._fsae_rearsusp.gel_upper_control_arm.gralin_uca_front.radius * 2 * 1.0)  &
   y_scale_factor = (._fsae_rearsusp.gel_upper_control_arm.gralin_uca_front.radius * 2 * 1.0)  &
   z_scale_factor = (._fsae_rearsusp.gel_upper_control_arm.gralin_uca_front.radius * 2 * 1.0)
!
geometry modify shape ellipsoid  &
   ellipsoid_name = ._fsae_rearsusp.gel_upper_control_arm.graell_uca_front  &
   x_scale_factor = (._fsae_rearsusp.gel_upper_control_arm.gralin_uca_front.radius * 2 * 1.0)  &
   y_scale_factor = (._fsae_rearsusp.gel_upper_control_arm.gralin_uca_front.radius * 2 * 1.0)  &
   z_scale_factor = (._fsae_rearsusp.gel_upper_control_arm.gralin_uca_front.radius * 2 * 1.0)
!
geometry modify shape ellipsoid  &
   ellipsoid_name = ._fsae_rearsusp.gel_upper_control_arm.graell_uca_rear  &
   x_scale_factor = (._fsae_rearsusp.gel_upper_control_arm.gralin_uca_rear.radius * 2 * 1.0)  &
   y_scale_factor = (._fsae_rearsusp.gel_upper_control_arm.gralin_uca_rear.radius * 2 * 1.0)  &
   z_scale_factor = (._fsae_rearsusp.gel_upper_control_arm.gralin_uca_rear.radius * 2 * 1.0)
!
part modify rigid_body name_and_position  &
   part_name = ._fsae_rearsusp.gel_upper_control_arm  &
   location =   &
      (LOC_CENTERED({._fsae_rearsusp.ground.hpl_uca_rear.loc, ._fsae_rearsusp.ground.hpl_uca_front.loc, ._fsae_rearsusp.ground.hpl_uca_outer.loc}, 3))  &
   orientation =   &
      (ORI_IN_PLANE(._fsae_rearsusp.gel_upper_control_arm, ._fsae_rearsusp.ground.hpl_uca_outer, ._fsae_rearsusp.ground.hpl_uca_front, "Z_ZX"))
!
marker modify  &
   marker_name = ._fsae_rearsusp.ger_upper_control_arm.jxr_joint_i_13  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ger_upright.jxr_joint_j_13))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ger_upright.jxr_joint_j_13))  &
   relative_to = ._fsae_rearsusp.ger_upper_control_arm
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.ger_upper_control_arm.kp2_2  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.hpr_uca_outer))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.origo))  &
   relative_to = ._fsae_rearsusp.ger_upper_control_arm
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.ger_upper_control_arm.inertia_frame  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ger_upper_control_arm.cm))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ger_upper_control_arm))  &
   relative_to = ._fsae_rearsusp.ger_upper_control_arm
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.ger_upper_control_arm.gralin_10  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.hpr_uca_front))  &
   orientation =   &
      (ORI_ALONG_AXIS(._fsae_rearsusp.ground.hpr_uca_front, ._fsae_rearsusp.ground.hpr_uca_outer, "Z"))  &
   relative_to = ._fsae_rearsusp.ger_upper_control_arm
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.ger_upper_control_arm.gralin_12  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.hpr_uca_rear))  &
   orientation =   &
      (ORI_ALONG_AXIS(._fsae_rearsusp.ground.hpr_uca_rear, ._fsae_rearsusp.ground.hpr_uca_outer, "Z"))  &
   relative_to = ._fsae_rearsusp.ger_upper_control_arm
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.ger_upper_control_arm.graell_8  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.hpr_uca_outer))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.hpr_uca_outer))  &
   relative_to = ._fsae_rearsusp.ger_upper_control_arm
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.ger_upper_control_arm.graell_18  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.hpr_uca_front))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.hpr_uca_front))  &
   relative_to = ._fsae_rearsusp.ger_upper_control_arm
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.ger_upper_control_arm.graell_20  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.hpr_uca_rear))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.hpr_uca_rear))  &
   relative_to = ._fsae_rearsusp.ger_upper_control_arm
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.ger_upper_control_arm.bxr_bushing_i_3  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.mtr_uca_to_frame.bxr_bushing_j_3))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.mtr_uca_to_frame.bxr_bushing_j_3))  &
   relative_to = ._fsae_rearsusp.ger_upper_control_arm
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.ger_upper_control_arm.bxr_bushgeom_i_3  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, -._fsae_rearsusp.bgr_uca_front.geoLength / 2}, ._fsae_rearsusp.ger_upper_control_arm.bxr_bushing_i_3))  &
   orientation =   &
      (ORI_RELATIVE_TO({270deg, 0, 0}, ._fsae_rearsusp.ger_upper_control_arm.bxr_bushing_i_3))  &
   relative_to = ._fsae_rearsusp.ger_upper_control_arm
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.ger_upper_control_arm.bxr_bushing_i_4  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.mtr_uca_to_frame.bxr_bushing_j_4))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.mtr_uca_to_frame.bxr_bushing_j_4))  &
   relative_to = ._fsae_rearsusp.ger_upper_control_arm
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.ger_upper_control_arm.bxr_bushgeom_i_4  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, -._fsae_rearsusp.bgr_uca_rear.geoLength / 2}, ._fsae_rearsusp.ger_upper_control_arm.bxr_bushing_i_4))  &
   orientation =   &
      (ORI_RELATIVE_TO({270deg, 0, 0}, ._fsae_rearsusp.ger_upper_control_arm.bxr_bushing_i_4))  &
   relative_to = ._fsae_rearsusp.ger_upper_control_arm
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
geometry modify shape cylinder  &
   cylinder_name = ._fsae_rearsusp.ger_upper_control_arm.gralin_uca_front  &
   length = (DM(._fsae_rearsusp.ground.hpr_uca_front, ._fsae_rearsusp.ground.hpr_uca_outer))
!
geometry modify shape cylinder  &
   cylinder_name = ._fsae_rearsusp.ger_upper_control_arm.gralin_uca_rear  &
   length = (DM(._fsae_rearsusp.ground.hpr_uca_rear, ._fsae_rearsusp.ground.hpr_uca_outer))
!
geometry modify shape ellipsoid  &
   ellipsoid_name = ._fsae_rearsusp.ger_upper_control_arm.graell_upright_upr_ball  &
   x_scale_factor = (._fsae_rearsusp.ger_upper_control_arm.gralin_uca_front.radius * 2 * 1.0)  &
   y_scale_factor = (._fsae_rearsusp.ger_upper_control_arm.gralin_uca_front.radius * 2 * 1.0)  &
   z_scale_factor = (._fsae_rearsusp.ger_upper_control_arm.gralin_uca_front.radius * 2 * 1.0)
!
geometry modify shape ellipsoid  &
   ellipsoid_name = ._fsae_rearsusp.ger_upper_control_arm.graell_uca_front  &
   x_scale_factor = (._fsae_rearsusp.ger_upper_control_arm.gralin_uca_front.radius * 2 * 1.0)  &
   y_scale_factor = (._fsae_rearsusp.ger_upper_control_arm.gralin_uca_front.radius * 2 * 1.0)  &
   z_scale_factor = (._fsae_rearsusp.ger_upper_control_arm.gralin_uca_front.radius * 2 * 1.0)
!
geometry modify shape ellipsoid  &
   ellipsoid_name = ._fsae_rearsusp.ger_upper_control_arm.graell_uca_rear  &
   x_scale_factor = (._fsae_rearsusp.ger_upper_control_arm.gralin_uca_rear.radius * 2 * 1.0)  &
   y_scale_factor = (._fsae_rearsusp.ger_upper_control_arm.gralin_uca_rear.radius * 2 * 1.0)  &
   z_scale_factor = (._fsae_rearsusp.ger_upper_control_arm.gralin_uca_rear.radius * 2 * 1.0)
!
part modify rigid_body name_and_position  &
   part_name = ._fsae_rearsusp.ger_upper_control_arm  &
   location =   &
      (LOC_CENTERED({._fsae_rearsusp.ground.hpr_uca_rear.loc, ._fsae_rearsusp.ground.hpr_uca_front.loc, ._fsae_rearsusp.ground.hpr_uca_outer.loc}, 3))  &
   orientation =   &
      (ORI_IN_PLANE(._fsae_rearsusp.ger_upper_control_arm, ._fsae_rearsusp.ground.hpr_uca_outer, ._fsae_rearsusp.ground.hpr_uca_front, "Z_ZX"))
!
marker modify  &
   marker_name = ._fsae_rearsusp.gel_damper_outboard.jxl_joint_i_14  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.gel_damper_inboard.jxl_joint_j_14))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.gel_damper_inboard.jxl_joint_j_14))  &
   relative_to = ._fsae_rearsusp.gel_damper_outboard
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.gel_damper_outboard.bul_bumpstop_j_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.cfl_lwr_strut_ext))  &
   relative_to = ._fsae_rearsusp.gel_damper_outboard
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.gel_damper_outboard.jxl_joint_i_16  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.gel_BC.jxl_joint_j_16))  &
   orientation =   &
      (ORI_IN_PLANE(._fsae_rearsusp.gel_damper_outboard.jxl_joint_i_16, ._fsae_rearsusp.ground.hpl_damper_inboard, ._fsae_rearsusp.ground.hpl_prod_inboard, "Z_ZX"))  &
   relative_to = ._fsae_rearsusp.gel_damper_outboard
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.gel_damper_outboard.dal_damper_j_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.hpl_damper_outboard))  &
   relative_to = ._fsae_rearsusp.gel_damper_outboard
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.gel_damper_outboard.nsl_spring_j_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.cfl_lwr_spring_seat))  &
   relative_to = ._fsae_rearsusp.gel_damper_outboard
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.gel_damper_outboard.inertia_frame  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.gel_damper_outboard.cm))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.gel_damper_outboard))  &
   relative_to = ._fsae_rearsusp.gel_damper_outboard
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
part modify rigid_body name_and_position  &
   part_name = ._fsae_rearsusp.gel_damper_outboard  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}inch, ._fsae_rearsusp.ground.hpl_damper_outboard))  &
   orientation =   &
      (ORI_ALONG_AXIS(._fsae_rearsusp.gel_damper_outboard, ._fsae_rearsusp.ground.hpl_damper_inboard, "Z"))
!
marker modify  &
   marker_name = ._fsae_rearsusp.ger_damper_outboard.jxr_joint_i_14  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ger_damper_inboard.jxr_joint_j_14))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ger_damper_inboard.jxr_joint_j_14))  &
   relative_to = ._fsae_rearsusp.ger_damper_outboard
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.ger_damper_outboard.bur_bumpstop_j_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.cfr_lwr_strut_ext))  &
   relative_to = ._fsae_rearsusp.ger_damper_outboard
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.ger_damper_outboard.jxr_joint_i_16  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ger_BC.jxr_joint_j_16))  &
   orientation =   &
      (ORI_IN_PLANE(._fsae_rearsusp.ger_damper_outboard.jxr_joint_i_16, ._fsae_rearsusp.ground.hpr_damper_inboard, ._fsae_rearsusp.ground.hpr_prod_inboard, "Z_ZX"))  &
   relative_to = ._fsae_rearsusp.ger_damper_outboard
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.ger_damper_outboard.dar_damper_j_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.hpr_damper_outboard))  &
   relative_to = ._fsae_rearsusp.ger_damper_outboard
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.ger_damper_outboard.nsr_spring_j_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.cfr_lwr_spring_seat))  &
   relative_to = ._fsae_rearsusp.ger_damper_outboard
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.ger_damper_outboard.inertia_frame  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ger_damper_outboard.cm))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ger_damper_outboard))  &
   relative_to = ._fsae_rearsusp.ger_damper_outboard
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
part modify rigid_body name_and_position  &
   part_name = ._fsae_rearsusp.ger_damper_outboard  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}inch, ._fsae_rearsusp.ground.hpr_damper_outboard))  &
   orientation =   &
      (ORI_ALONG_AXIS(._fsae_rearsusp.ger_damper_outboard, ._fsae_rearsusp.ground.hpr_damper_inboard, "Z"))
!
marker modify  &
   marker_name = ._fsae_rearsusp.mtl_uca_to_frame.bxl_bushing_j_3  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.bgl_uca_front))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.bgl_uca_front))  &
   relative_to = ._fsae_rearsusp.mtl_uca_to_frame
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.mtl_uca_to_frame.bxl_bushgeom_j_3  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, -._fsae_rearsusp.bgl_uca_front.geoLength / 2}, ._fsae_rearsusp.mtl_uca_to_frame.bxl_bushing_j_3))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.mtl_uca_to_frame.bxl_bushing_j_3))  &
   relative_to = ._fsae_rearsusp.mtl_uca_to_frame
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.mtl_uca_to_frame.bxl_bushing_j_4  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.bgl_uca_rear))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.bgl_uca_rear))  &
   relative_to = ._fsae_rearsusp.mtl_uca_to_frame
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.mtl_uca_to_frame.bxl_bushgeom_j_4  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, -._fsae_rearsusp.bgl_uca_rear.geoLength / 2}, ._fsae_rearsusp.mtl_uca_to_frame.bxl_bushing_j_4))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.mtl_uca_to_frame.bxl_bushing_j_4))  &
   relative_to = ._fsae_rearsusp.mtl_uca_to_frame
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
part modify rigid_body name_and_position  &
   part_name = ._fsae_rearsusp.mtl_uca_to_frame  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.hpl_uca_rear))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.origo))
!
marker modify  &
   marker_name = ._fsae_rearsusp.mtr_uca_to_frame.bxr_bushing_j_3  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.bgr_uca_front))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.bgr_uca_front))  &
   relative_to = ._fsae_rearsusp.mtr_uca_to_frame
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.mtr_uca_to_frame.bxr_bushgeom_j_3  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, -._fsae_rearsusp.bgr_uca_front.geoLength / 2}, ._fsae_rearsusp.mtr_uca_to_frame.bxr_bushing_j_3))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.mtr_uca_to_frame.bxr_bushing_j_3))  &
   relative_to = ._fsae_rearsusp.mtr_uca_to_frame
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.mtr_uca_to_frame.bxr_bushing_j_4  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.bgr_uca_rear))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.bgr_uca_rear))  &
   relative_to = ._fsae_rearsusp.mtr_uca_to_frame
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.mtr_uca_to_frame.bxr_bushgeom_j_4  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, -._fsae_rearsusp.bgr_uca_rear.geoLength / 2}, ._fsae_rearsusp.mtr_uca_to_frame.bxr_bushing_j_4))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.mtr_uca_to_frame.bxr_bushing_j_4))  &
   relative_to = ._fsae_rearsusp.mtr_uca_to_frame
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
part modify rigid_body name_and_position  &
   part_name = ._fsae_rearsusp.mtr_uca_to_frame  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.hpr_uca_rear))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.origo))
!
marker modify  &
   marker_name = ._fsae_rearsusp.gel_spindle.inertia_frame  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.gel_spindle.cm))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.gel_spindle))  &
   relative_to = ._fsae_rearsusp.gel_spindle
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.gel_spindle.gracyl_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0.0}inch, ._fsae_rearsusp.ground.cfl_drive_shaft_otr))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.cfl_drive_shaft_otr))  &
   relative_to = ._fsae_rearsusp.gel_spindle
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.gel_spindle.jxl_joint_j_19  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}mm, ._fsae_rearsusp.ground.cfl_drive_shaft_otr))  &
   orientation =   &
      (ORI_IN_PLANE(._fsae_rearsusp.gel_spindle.jxl_joint_j_19, ._fsae_rearsusp.ground.hpl_wheel_center, ._fsae_rearsusp.ground.hpl_drive_shaft_inr, "Z_ZX"))  &
   relative_to = ._fsae_rearsusp.gel_spindle
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.gel_spindle.jxl_joint_i_20  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.gel_upright.jxl_joint_j_20))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.gel_upright.jxl_joint_j_20))  &
   relative_to = ._fsae_rearsusp.gel_spindle
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
part modify rigid_body name_and_position  &
   part_name = ._fsae_rearsusp.gel_spindle  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}inch, ._fsae_rearsusp.ground.cfl_wheel_center))  &
   orientation =   &
      (ORI_RELATIVE_TO({0.0, 0.0, 0.0}degrees, ._fsae_rearsusp.ground.cfl_wheel_center))
!
marker modify  &
   marker_name = ._fsae_rearsusp.ger_spindle.inertia_frame  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ger_spindle.cm))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ger_spindle))  &
   relative_to = ._fsae_rearsusp.ger_spindle
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.ger_spindle.gracyl_2  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0.0}inch, ._fsae_rearsusp.ground.cfr_drive_shaft_otr))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.cfr_drive_shaft_otr))  &
   relative_to = ._fsae_rearsusp.ger_spindle
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.ger_spindle.jxr_joint_j_19  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}mm, ._fsae_rearsusp.ground.cfr_drive_shaft_otr))  &
   orientation =   &
      (ORI_IN_PLANE(._fsae_rearsusp.ger_spindle.jxr_joint_j_19, ._fsae_rearsusp.ground.hpr_wheel_center, ._fsae_rearsusp.ground.hpr_drive_shaft_inr, "Z_ZX"))  &
   relative_to = ._fsae_rearsusp.ger_spindle
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.ger_spindle.jxr_joint_i_20  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ger_upright.jxr_joint_j_20))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ger_upright.jxr_joint_j_20))  &
   relative_to = ._fsae_rearsusp.ger_spindle
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
part modify rigid_body name_and_position  &
   part_name = ._fsae_rearsusp.ger_spindle  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}inch, ._fsae_rearsusp.ground.cfr_wheel_center))  &
   orientation =   &
      (ORI_RELATIVE_TO({0.0, 0.0, 0.0}degrees, ._fsae_rearsusp.ground.cfr_wheel_center))
!
marker modify  &
   marker_name = ._fsae_rearsusp.gel_drive_shaft.inertia_frame  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.gel_drive_shaft.cm))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.gel_drive_shaft))  &
   relative_to = ._fsae_rearsusp.gel_drive_shaft
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.gel_drive_shaft.gralin_3  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.hpl_drive_shaft_inr))  &
   orientation =   &
      (ORI_ALONG_AXIS(._fsae_rearsusp.ground.hpl_drive_shaft_inr, ._fsae_rearsusp.ground.cfl_drive_shaft_otr, "Z"))  &
   relative_to = ._fsae_rearsusp.gel_drive_shaft
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.gel_drive_shaft.graell_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.cfl_drive_shaft_otr))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.cfl_drive_shaft_otr))  &
   relative_to = ._fsae_rearsusp.gel_drive_shaft
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.gel_drive_shaft.jxl_joint_j_18  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.hpl_drive_shaft_inr))  &
   orientation =   &
      (ORI_IN_PLANE(._fsae_rearsusp.gel_drive_shaft.jxl_joint_j_18, ._fsae_rearsusp.ground.cfl_drive_shaft_otr, ._fsae_rearsusp.ground.hpr_drive_shaft_inr, "Z_ZX"))  &
   relative_to = ._fsae_rearsusp.gel_drive_shaft
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.gel_drive_shaft.jxl_joint_i_19  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.gel_spindle.jxl_joint_j_19))  &
   orientation =   &
      (ORI_IN_PLANE(._fsae_rearsusp.gel_drive_shaft.jxl_joint_i_19, ._fsae_rearsusp.ground.hpl_drive_shaft_inr, ._fsae_rearsusp.ground.hpl_wheel_center, "Z_ZX"))  &
   relative_to = ._fsae_rearsusp.gel_drive_shaft
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.gel_drive_shaft.graell_3  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.hpl_drive_shaft_inr))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.hpl_drive_shaft_inr))  &
   relative_to = ._fsae_rearsusp.gel_drive_shaft
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
geometry modify shape cylinder  &
   cylinder_name = ._fsae_rearsusp.gel_drive_shaft.gralin_drive_shaft  &
   length = (DM(._fsae_rearsusp.ground.hpl_drive_shaft_inr, ._fsae_rearsusp.ground.cfl_drive_shaft_otr))
!
part modify rigid_body name_and_position  &
   part_name = ._fsae_rearsusp.gel_drive_shaft  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}inch, ._fsae_rearsusp.ground.hpl_drive_shaft_inr))  &
   orientation =   &
      (ORI_IN_PLANE(._fsae_rearsusp.ground.cfl_drive_shaft_otr, ._fsae_rearsusp.ground.hpl_drive_shaft_inr, ._fsae_rearsusp.ground.hpl_wheel_center, "Z_ZX"))
!
marker modify  &
   marker_name = ._fsae_rearsusp.ger_drive_shaft.inertia_frame  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ger_drive_shaft.cm))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ger_drive_shaft))  &
   relative_to = ._fsae_rearsusp.ger_drive_shaft
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.ger_drive_shaft.gralin_4  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.hpr_drive_shaft_inr))  &
   orientation =   &
      (ORI_ALONG_AXIS(._fsae_rearsusp.ground.hpr_drive_shaft_inr, ._fsae_rearsusp.ground.cfr_drive_shaft_otr, "Z"))  &
   relative_to = ._fsae_rearsusp.ger_drive_shaft
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.ger_drive_shaft.graell_2  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.cfr_drive_shaft_otr))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.cfr_drive_shaft_otr))  &
   relative_to = ._fsae_rearsusp.ger_drive_shaft
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.ger_drive_shaft.jxr_joint_j_18  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.hpr_drive_shaft_inr))  &
   orientation =   &
      (ORI_IN_PLANE(._fsae_rearsusp.ger_drive_shaft.jxr_joint_j_18, ._fsae_rearsusp.ground.cfr_drive_shaft_otr, ._fsae_rearsusp.ground.hpl_drive_shaft_inr, "Z_ZX"))  &
   relative_to = ._fsae_rearsusp.ger_drive_shaft
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.ger_drive_shaft.jxr_joint_i_19  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ger_spindle.jxr_joint_j_19))  &
   orientation =   &
      (ORI_IN_PLANE(._fsae_rearsusp.ger_drive_shaft.jxr_joint_i_19, ._fsae_rearsusp.ground.hpr_drive_shaft_inr, ._fsae_rearsusp.ground.hpr_wheel_center, "Z_ZX"))  &
   relative_to = ._fsae_rearsusp.ger_drive_shaft
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.ger_drive_shaft.graell_4  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.hpr_drive_shaft_inr))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.hpr_drive_shaft_inr))  &
   relative_to = ._fsae_rearsusp.ger_drive_shaft
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
geometry modify shape cylinder  &
   cylinder_name = ._fsae_rearsusp.ger_drive_shaft.gralin_drive_shaft  &
   length = (DM(._fsae_rearsusp.ground.hpr_drive_shaft_inr, ._fsae_rearsusp.ground.cfr_drive_shaft_otr))
!
part modify rigid_body name_and_position  &
   part_name = ._fsae_rearsusp.ger_drive_shaft  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}inch, ._fsae_rearsusp.ground.hpr_drive_shaft_inr))  &
   orientation =   &
      (ORI_IN_PLANE(._fsae_rearsusp.ground.cfr_drive_shaft_otr, ._fsae_rearsusp.ground.hpr_drive_shaft_inr, ._fsae_rearsusp.ground.hpr_wheel_center, "Z_ZX"))
!
marker modify  &
   marker_name = ._fsae_rearsusp.gel_tripot.inertia_frame  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.gel_tripot.cm))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.gel_tripot))  &
   relative_to = ._fsae_rearsusp.gel_tripot
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.gel_tripot.gracyl_3  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0.0}inch, ._fsae_rearsusp.ground.cfl_drive_shaft_inr))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.cfl_drive_shaft_inr))  &
   relative_to = ._fsae_rearsusp.gel_tripot
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.gel_tripot.jxl_joint_i_17  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.mtl_tripot_to_differential.jxl_joint_j_17))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.mtl_tripot_to_differential.jxl_joint_j_17))  &
   relative_to = ._fsae_rearsusp.gel_tripot
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.gel_tripot.jxl_joint_i_18  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.gel_drive_shaft.jxl_joint_j_18))  &
   orientation =   &
      (ORI_IN_PLANE(._fsae_rearsusp.gel_tripot.jxl_joint_i_18, ._fsae_rearsusp.ground.hpr_drive_shaft_inr, ._fsae_rearsusp.ground.cfl_drive_shaft_otr, "Z_ZX"))  &
   relative_to = ._fsae_rearsusp.gel_tripot
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
part modify rigid_body name_and_position  &
   part_name = ._fsae_rearsusp.gel_tripot  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}inch, ._fsae_rearsusp.ground.hpl_drive_shaft_inr))  &
   orientation =   &
      (ORI_IN_PLANE(._fsae_rearsusp.gel_tripot, ._fsae_rearsusp.ground.hpr_drive_shaft_inr, ._fsae_rearsusp.ground.cfl_drive_shaft_otr, "Z_ZX"))
!
marker modify  &
   marker_name = ._fsae_rearsusp.ger_tripot.inertia_frame  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ger_tripot.cm))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ger_tripot))  &
   relative_to = ._fsae_rearsusp.ger_tripot
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.ger_tripot.gracyl_4  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0.0}inch, ._fsae_rearsusp.ground.cfr_drive_shaft_inr))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.cfr_drive_shaft_inr))  &
   relative_to = ._fsae_rearsusp.ger_tripot
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.ger_tripot.jxr_joint_i_17  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.mtr_tripot_to_differential.jxr_joint_j_17))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.mtr_tripot_to_differential.jxr_joint_j_17))  &
   relative_to = ._fsae_rearsusp.ger_tripot
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.ger_tripot.jxr_joint_i_18  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ger_drive_shaft.jxr_joint_j_18))  &
   orientation =   &
      (ORI_IN_PLANE(._fsae_rearsusp.ger_tripot.jxr_joint_i_18, ._fsae_rearsusp.ground.hpl_drive_shaft_inr, ._fsae_rearsusp.ground.cfr_drive_shaft_otr, "Z_ZX"))  &
   relative_to = ._fsae_rearsusp.ger_tripot
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
part modify rigid_body name_and_position  &
   part_name = ._fsae_rearsusp.ger_tripot  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}inch, ._fsae_rearsusp.ground.hpr_drive_shaft_inr))  &
   orientation =   &
      (ORI_IN_PLANE(._fsae_rearsusp.ger_tripot, ._fsae_rearsusp.ground.hpl_drive_shaft_inr, ._fsae_rearsusp.ground.cfr_drive_shaft_otr, "Z_ZX"))
!
marker modify  &
   marker_name = ._fsae_rearsusp.mtl_tripot_to_differential.jxl_joint_j_17  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.hpl_drive_shaft_inr))  &
   orientation =   &
      (ORI_IN_PLANE(._fsae_rearsusp.mtl_tripot_to_differential.jxl_joint_j_17, ._fsae_rearsusp.ground.hpr_drive_shaft_inr, ._fsae_rearsusp.ground.cfl_drive_shaft_otr, "Z_ZX"))  &
   relative_to = ._fsae_rearsusp.mtl_tripot_to_differential
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
part modify rigid_body name_and_position  &
   part_name = ._fsae_rearsusp.mtl_tripot_to_differential  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.hpl_drive_shaft_inr))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.origo))
!
marker modify  &
   marker_name = ._fsae_rearsusp.mtr_tripot_to_differential.jxr_joint_j_17  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.hpr_drive_shaft_inr))  &
   orientation =   &
      (ORI_IN_PLANE(._fsae_rearsusp.mtr_tripot_to_differential.jxr_joint_j_17, ._fsae_rearsusp.ground.hpl_drive_shaft_inr, ._fsae_rearsusp.ground.cfr_drive_shaft_otr, "Z_ZX"))  &
   relative_to = ._fsae_rearsusp.mtr_tripot_to_differential
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
part modify rigid_body name_and_position  &
   part_name = ._fsae_rearsusp.mtr_tripot_to_differential  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.hpr_drive_shaft_inr))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.origo))
!
marker modify  &
   marker_name = ._fsae_rearsusp.mtr_lca_to_frame.bxr_bushing_j_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.bgr_lca_front))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.bgr_lca_front))  &
   relative_to = ._fsae_rearsusp.mtr_lca_to_frame
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.mtr_lca_to_frame.bxr_bushgeom_j_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, -._fsae_rearsusp.bgr_lca_front.geoLength / 2}, ._fsae_rearsusp.mtr_lca_to_frame.bxr_bushing_j_1))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.mtr_lca_to_frame.bxr_bushing_j_1))  &
   relative_to = ._fsae_rearsusp.mtr_lca_to_frame
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.mtr_lca_to_frame.bxr_bushing_j_2  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.bgr_lca_rear))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.bgr_lca_rear))  &
   relative_to = ._fsae_rearsusp.mtr_lca_to_frame
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.mtr_lca_to_frame.bxr_bushgeom_j_2  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, -._fsae_rearsusp.bgr_lca_rear.geoLength / 2}, ._fsae_rearsusp.mtr_lca_to_frame.bxr_bushing_j_2))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.mtr_lca_to_frame.bxr_bushing_j_2))  &
   relative_to = ._fsae_rearsusp.mtr_lca_to_frame
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
part modify rigid_body name_and_position  &
   part_name = ._fsae_rearsusp.mtr_lca_to_frame  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.hpr_lca_rear))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.origo))
!
marker modify  &
   marker_name = ._fsae_rearsusp.mtl_lca_to_frame.bxl_bushing_j_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.bgl_lca_front))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.bgl_lca_front))  &
   relative_to = ._fsae_rearsusp.mtl_lca_to_frame
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.mtl_lca_to_frame.bxl_bushgeom_j_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, -._fsae_rearsusp.bgl_lca_front.geoLength / 2}, ._fsae_rearsusp.mtl_lca_to_frame.bxl_bushing_j_1))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.mtl_lca_to_frame.bxl_bushing_j_1))  &
   relative_to = ._fsae_rearsusp.mtl_lca_to_frame
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.mtl_lca_to_frame.bxl_bushing_j_2  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.bgl_lca_rear))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.bgl_lca_rear))  &
   relative_to = ._fsae_rearsusp.mtl_lca_to_frame
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.mtl_lca_to_frame.bxl_bushgeom_j_2  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, -._fsae_rearsusp.bgl_lca_rear.geoLength / 2}, ._fsae_rearsusp.mtl_lca_to_frame.bxl_bushing_j_2))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.mtl_lca_to_frame.bxl_bushing_j_2))  &
   relative_to = ._fsae_rearsusp.mtl_lca_to_frame
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
part modify rigid_body name_and_position  &
   part_name = ._fsae_rearsusp.mtl_lca_to_frame  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.hpl_lca_rear))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.origo))
!
marker modify  &
   marker_name = ._fsae_rearsusp.gel_prod.inertia_frame  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.gel_prod.cm))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.gel_prod))  &
   relative_to = ._fsae_rearsusp.gel_prod
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.gel_prod.jxl_joint_i_4  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.gel_BC.jxl_joint_j_4))  &
   orientation =   &
      (ORI_IN_PLANE(._fsae_rearsusp.gel_prod.jxl_joint_i_4, ._fsae_rearsusp.ground.hpl_prod_outboard, ._fsae_rearsusp.ground.hpl_damper_outboard, "Z_ZX"))  &
   relative_to = ._fsae_rearsusp.gel_prod
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.gel_prod.jxl_joint_j_5  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}inch, ._fsae_rearsusp.ground.hpl_prod_outboard))  &
   orientation =   &
      (ORI_RELATIVE_TO({0.0, 0.0, 0.0}degrees, ._fsae_rearsusp.ground.origo))  &
   relative_to = ._fsae_rearsusp.gel_prod
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.gel_prod.gralin_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.hpl_prod_inboard))  &
   orientation =   &
      (ORI_ALONG_AXIS(._fsae_rearsusp.ground.hpl_prod_inboard, ._fsae_rearsusp.ground.hpl_prod_outboard, "Z"))  &
   relative_to = ._fsae_rearsusp.gel_prod
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.gel_prod.graell_13  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.hpl_prod_outboard))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.hpl_prod_outboard))  &
   relative_to = ._fsae_rearsusp.gel_prod
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.gel_prod.graell_15  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.hpl_prod_inboard))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.hpl_prod_inboard))  &
   relative_to = ._fsae_rearsusp.gel_prod
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
geometry modify shape cylinder  &
   cylinder_name = ._fsae_rearsusp.gel_prod.gralin_prod  &
   length = (DM(._fsae_rearsusp.ground.hpl_prod_inboard, ._fsae_rearsusp.ground.hpl_prod_outboard))
!
geometry modify shape ellipsoid  &
   ellipsoid_name = ._fsae_rearsusp.gel_prod.graell_prod_outboard  &
   x_scale_factor = (._fsae_rearsusp.gel_prod.gralin_prod.radius * 2 * 1.0)  &
   y_scale_factor = (._fsae_rearsusp.gel_prod.gralin_prod.radius * 2 * 1.0)  &
   z_scale_factor = (._fsae_rearsusp.gel_prod.gralin_prod.radius * 2 * 1.0)
!
geometry modify shape ellipsoid  &
   ellipsoid_name = ._fsae_rearsusp.gel_prod.graell_prod_inboard  &
   x_scale_factor = (._fsae_rearsusp.gel_prod.gralin_prod.radius * 2 * 1.0)  &
   y_scale_factor = (._fsae_rearsusp.gel_prod.gralin_prod.radius * 2 * 1.0)  &
   z_scale_factor = (._fsae_rearsusp.gel_prod.gralin_prod.radius * 2 * 1.0)
!
part modify rigid_body name_and_position  &
   part_name = ._fsae_rearsusp.gel_prod  &
   location =   &
      (LOC_CENTERED({._fsae_rearsusp.ground.hpl_prod_inboard.loc, ._fsae_rearsusp.ground.hpl_prod_outboard.loc}, 2))  &
   orientation =   &
      (ORI_ALONG_AXIS(._fsae_rearsusp.ground.hpl_prod_inboard, ._fsae_rearsusp.ground.hpl_prod_outboard, "Z"))
!
marker modify  &
   marker_name = ._fsae_rearsusp.ger_prod.inertia_frame  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ger_prod.cm))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ger_prod))  &
   relative_to = ._fsae_rearsusp.ger_prod
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.ger_prod.jxr_joint_i_4  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ger_BC.jxr_joint_j_4))  &
   orientation =   &
      (ORI_IN_PLANE(._fsae_rearsusp.ger_prod.jxr_joint_i_4, ._fsae_rearsusp.ground.hpr_prod_outboard, ._fsae_rearsusp.ground.hpr_damper_outboard, "Z_ZX"))  &
   relative_to = ._fsae_rearsusp.ger_prod
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.ger_prod.jxr_joint_j_5  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}inch, ._fsae_rearsusp.ground.hpr_prod_outboard))  &
   orientation =   &
      (ORI_RELATIVE_TO({0.0, 0.0, 0.0}degrees, ._fsae_rearsusp.ground.origo))  &
   relative_to = ._fsae_rearsusp.ger_prod
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.ger_prod.gralin_2  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.hpr_prod_inboard))  &
   orientation =   &
      (ORI_ALONG_AXIS(._fsae_rearsusp.ground.hpr_prod_inboard, ._fsae_rearsusp.ground.hpr_prod_outboard, "Z"))  &
   relative_to = ._fsae_rearsusp.ger_prod
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.ger_prod.graell_14  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.hpr_prod_outboard))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.hpr_prod_outboard))  &
   relative_to = ._fsae_rearsusp.ger_prod
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.ger_prod.graell_16  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.hpr_prod_inboard))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.hpr_prod_inboard))  &
   relative_to = ._fsae_rearsusp.ger_prod
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
geometry modify shape cylinder  &
   cylinder_name = ._fsae_rearsusp.ger_prod.gralin_prod  &
   length = (DM(._fsae_rearsusp.ground.hpr_prod_inboard, ._fsae_rearsusp.ground.hpr_prod_outboard))
!
geometry modify shape ellipsoid  &
   ellipsoid_name = ._fsae_rearsusp.ger_prod.graell_prod_outboard  &
   x_scale_factor = (._fsae_rearsusp.ger_prod.gralin_prod.radius * 2 * 1.0)  &
   y_scale_factor = (._fsae_rearsusp.ger_prod.gralin_prod.radius * 2 * 1.0)  &
   z_scale_factor = (._fsae_rearsusp.ger_prod.gralin_prod.radius * 2 * 1.0)
!
geometry modify shape ellipsoid  &
   ellipsoid_name = ._fsae_rearsusp.ger_prod.graell_prod_inboard  &
   x_scale_factor = (._fsae_rearsusp.ger_prod.gralin_prod.radius * 2 * 1.0)  &
   y_scale_factor = (._fsae_rearsusp.ger_prod.gralin_prod.radius * 2 * 1.0)  &
   z_scale_factor = (._fsae_rearsusp.ger_prod.gralin_prod.radius * 2 * 1.0)
!
part modify rigid_body name_and_position  &
   part_name = ._fsae_rearsusp.ger_prod  &
   location =   &
      (LOC_CENTERED({._fsae_rearsusp.ground.hpr_prod_inboard.loc, ._fsae_rearsusp.ground.hpr_prod_outboard.loc}, 2))  &
   orientation =   &
      (ORI_ALONG_AXIS(._fsae_rearsusp.ground.hpr_prod_inboard, ._fsae_rearsusp.ground.hpr_prod_outboard, "Z"))
!
marker modify  &
   marker_name = ._fsae_rearsusp.gel_BC.inertia_frame  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.gel_BC.cm))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.gel_BC))  &
   relative_to = ._fsae_rearsusp.gel_BC
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.gel_BC.jxl_joint_j_16  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}mm, ._fsae_rearsusp.ground.hpl_damper_outboard))  &
   orientation =   &
      (ORI_IN_PLANE(._fsae_rearsusp.gel_BC.jxl_joint_j_16, ._fsae_rearsusp.ground.hpl_prod_inboard, ._fsae_rearsusp.ground.hpl_damper_inboard, "Z_ZX"))  &
   relative_to = ._fsae_rearsusp.gel_BC
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.gel_BC.jxl_joint_j_4  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}inch, ._fsae_rearsusp.ground.hpl_prod_inboard))  &
   orientation =   &
      (ORI_IN_PLANE(._fsae_rearsusp.gel_BC.jxl_joint_j_4, ._fsae_rearsusp.ground.hpl_damper_outboard, ._fsae_rearsusp.ground.hpl_prod_outboard, "Z_ZX"))  &
   relative_to = ._fsae_rearsusp.gel_BC
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.gel_BC.graarm_1  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.hpl_BC_center))  &
   orientation =   &
      (ORI_IN_PLANE(._fsae_rearsusp.ground.hpl_BC_center, ._fsae_rearsusp.ground.hpl_prod_inboard, ._fsae_rearsusp.ground.hpl_damper_outboard, "X_XY"))  &
   relative_to = ._fsae_rearsusp.gel_BC
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.gel_BC.graarm_2  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.hpl_prod_inboard))  &
   relative_to = ._fsae_rearsusp.gel_BC
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.gel_BC.graarm_3  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.hpl_damper_outboard))  &
   relative_to = ._fsae_rearsusp.gel_BC
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.gel_BC.jxl_joint_i_3  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.mtl_BC_to_frame.jxl_joint_j_3))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.mtl_BC_to_frame.jxl_joint_j_3))  &
   relative_to = ._fsae_rearsusp.gel_BC
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
part modify rigid_body name_and_position  &
   part_name = ._fsae_rearsusp.gel_BC  &
   location =   &
      (LOC_CENTERED({._fsae_rearsusp.ground.hpl_prod_inboard.loc, ._fsae_rearsusp.ground.hpl_BC_center.loc, ._fsae_rearsusp.ground.hpl_damper_outboard.loc}, 3))
!
marker modify  &
   marker_name = ._fsae_rearsusp.ger_BC.inertia_frame  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ger_BC.cm))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ger_BC))  &
   relative_to = ._fsae_rearsusp.ger_BC
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.ger_BC.jxr_joint_j_16  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}mm, ._fsae_rearsusp.ground.hpr_damper_outboard))  &
   orientation =   &
      (ORI_IN_PLANE(._fsae_rearsusp.ger_BC.jxr_joint_j_16, ._fsae_rearsusp.ground.hpr_prod_inboard, ._fsae_rearsusp.ground.hpr_damper_inboard, "Z_ZX"))  &
   relative_to = ._fsae_rearsusp.ger_BC
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.ger_BC.jxr_joint_j_4  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}inch, ._fsae_rearsusp.ground.hpr_prod_inboard))  &
   orientation =   &
      (ORI_IN_PLANE(._fsae_rearsusp.ger_BC.jxr_joint_j_4, ._fsae_rearsusp.ground.hpr_damper_outboard, ._fsae_rearsusp.ground.hpr_prod_outboard, "Z_ZX"))  &
   relative_to = ._fsae_rearsusp.ger_BC
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.ger_BC.graarm_4  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.hpr_BC_center))  &
   orientation =   &
      (ORI_IN_PLANE(._fsae_rearsusp.ground.hpr_BC_center, ._fsae_rearsusp.ground.hpr_prod_inboard, ._fsae_rearsusp.ground.hpr_damper_outboard, "X_XY"))  &
   relative_to = ._fsae_rearsusp.ger_BC
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.ger_BC.graarm_5  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.hpr_prod_inboard))  &
   relative_to = ._fsae_rearsusp.ger_BC
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.ger_BC.graarm_6  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.hpr_damper_outboard))  &
   relative_to = ._fsae_rearsusp.ger_BC
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.ger_BC.jxr_joint_i_3  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.mtr_BC_to_frame.jxr_joint_j_3))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.mtr_BC_to_frame.jxr_joint_j_3))  &
   relative_to = ._fsae_rearsusp.ger_BC
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
part modify rigid_body name_and_position  &
   part_name = ._fsae_rearsusp.ger_BC  &
   location =   &
      (LOC_CENTERED({._fsae_rearsusp.ground.hpr_prod_inboard.loc, ._fsae_rearsusp.ground.hpr_BC_center.loc, ._fsae_rearsusp.ground.hpr_damper_outboard.loc}, 3))
!
marker modify  &
   marker_name = ._fsae_rearsusp.mtl_BC_to_frame.jxl_joint_j_3  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}inch, ._fsae_rearsusp.ground.hpl_BC_center))  &
   orientation =   &
      (ORI_ALONG_AXIS(._fsae_rearsusp.ground.hpl_BC_center, ._fsae_rearsusp.ground.hpl_BC_axis, "Z"))  &
   relative_to = ._fsae_rearsusp.mtl_BC_to_frame
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
part modify rigid_body name_and_position  &
   part_name = ._fsae_rearsusp.mtl_BC_to_frame  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.hpl_BC_center))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.origo))
!
marker modify  &
   marker_name = ._fsae_rearsusp.mtr_BC_to_frame.jxr_joint_j_3  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}inch, ._fsae_rearsusp.ground.hpr_BC_center))  &
   orientation =   &
      (ORI_ALONG_AXIS(._fsae_rearsusp.ground.hpr_BC_center, ._fsae_rearsusp.ground.hpr_BC_axis, "Z"))  &
   relative_to = ._fsae_rearsusp.mtr_BC_to_frame
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
part modify rigid_body name_and_position  &
   part_name = ._fsae_rearsusp.mtr_BC_to_frame  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.hpr_BC_center))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.origo))
!
marker modify  &
   marker_name = ._fsae_rearsusp.gel_upright_bracket.inertia_frame  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.gel_upright_bracket.cm))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.gel_upright_bracket))  &
   relative_to = ._fsae_rearsusp.gel_upright_bracket
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.gel_upright_bracket.jxl_joint_i_2  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.gel_upright.jxl_joint_j_2))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.gel_upright.jxl_joint_j_2))  &
   relative_to = ._fsae_rearsusp.gel_upright_bracket
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.gel_upright_bracket.afl_aforce_j_2  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.hps_camber_adj_orient))  &
   orientation =   &
      (ORI_ALONG_AXIS(._fsae_rearsusp.ground.hps_camber_adj_orient, ._fsae_rearsusp.ground.hpl_lca_outer, "Z"))  &
   relative_to = ._fsae_rearsusp.gel_upright_bracket
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.gel_upright_bracket.jxl_joint_i_9  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.gel_lower_control_arm.jxl_joint_j_9))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.gel_lower_control_arm.jxl_joint_j_9))  &
   relative_to = ._fsae_rearsusp.gel_upright_bracket
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
part modify rigid_body name_and_position  &
   part_name = ._fsae_rearsusp.gel_upright_bracket  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}mm, ._fsae_rearsusp.ground.hpl_lca_outer))
!
marker modify  &
   marker_name = ._fsae_rearsusp.ger_upright_bracket.inertia_frame  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ger_upright_bracket.cm))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ger_upright_bracket))  &
   relative_to = ._fsae_rearsusp.ger_upright_bracket
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.ger_upright_bracket.jxr_joint_i_2  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ger_upright.jxr_joint_j_2))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ger_upright.jxr_joint_j_2))  &
   relative_to = ._fsae_rearsusp.ger_upright_bracket
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.ger_upright_bracket.afr_aforce_j_2  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.hps_camber_adj_orient))  &
   orientation =   &
      (ORI_ALONG_AXIS(._fsae_rearsusp.ground.hps_camber_adj_orient, ._fsae_rearsusp.ground.hpr_lca_outer, "Z"))  &
   relative_to = ._fsae_rearsusp.ger_upright_bracket
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
marker modify  &
   marker_name = ._fsae_rearsusp.ger_upright_bracket.jxr_joint_i_9  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ger_lower_control_arm.jxr_joint_j_9))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ger_lower_control_arm.jxr_joint_j_9))  &
   relative_to = ._fsae_rearsusp.ger_upright_bracket
!
defaults coordinate_system  &
   default_coordinate_system = ._fsae_rearsusp.ground
!
part modify rigid_body name_and_position  &
   part_name = ._fsae_rearsusp.ger_upright_bracket  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}mm, ._fsae_rearsusp.ground.hpr_lca_outer))
!
output_control modify request  &
   request_name = ._fsae_rearsusp.toe_camber  &
   user_function =   &
      1101.0,  &
      0.0,  &
      (._fsae_rearsusp.gel_upright.mal_kingpin_axis.adams_id),  &
      (._fsae_rearsusp.gel_upright.mal_wheel_center.adams_id),  &
      0.0,  &
      (._fsae_rearsusp.ger_upright.mar_kingpin_axis.adams_id),  &
      (._fsae_rearsusp.ger_upright.mar_wheel_center.adams_id),  &
      (._fsae_rearsusp.cis_chassis_reference_adams_id),  &
      1.0,  &
      (._fsae_rearsusp.ground.origo.adams_id)  &
   routine = "apresolver::reqsub"
!
ude modify instance  &
   instance_name = ._fsae_rearsusp.nsl_ride_spring  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground))
!
ude modify instance  &
   instance_name = ._fsae_rearsusp.nsr_ride_spring  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground))
!
ude modify instance  &
   instance_name = ._fsae_rearsusp.dal_ride_damper  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground))
!
ude modify instance  &
   instance_name = ._fsae_rearsusp.dar_ride_damper  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground))
!
ude modify instance  &
   instance_name = ._fsae_rearsusp.afl_toe_adjuster  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.origo))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.origo))
!
ude modify instance  &
   instance_name = ._fsae_rearsusp.afr_toe_adjuster  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.origo))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.origo))
!
ude modify instance  &
   instance_name = ._fsae_rearsusp.afr_camber_adjuster  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.origo))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.origo))
!
ude modify instance  &
   instance_name = ._fsae_rearsusp.afl_camber_adjuster  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.origo))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground.origo))
!
ude modify instance  &
   instance_name = ._fsae_rearsusp.bgl_lca_front  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}mm, ._fsae_rearsusp.ground.hpl_lca_front))  &
   orientation =   &
      (ORI_ALONG_AXIS(._fsae_rearsusp.ground.hpl_lca_front, ._fsae_rearsusp.ground.hpl_lca_rear, "Z"))
!
ude modify instance  &
   instance_name = ._fsae_rearsusp.bgr_lca_front  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}mm, ._fsae_rearsusp.ground.hpr_lca_front))  &
   orientation =   &
      (ORI_ALONG_AXIS(._fsae_rearsusp.ground.hpr_lca_front, ._fsae_rearsusp.ground.hpr_lca_rear, "Z"))
!
ude modify instance  &
   instance_name = ._fsae_rearsusp.bgl_lca_rear  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}mm, ._fsae_rearsusp.ground.hpl_lca_rear))  &
   orientation =   &
      (ORI_ALONG_AXIS(._fsae_rearsusp.ground.hpl_lca_rear, ._fsae_rearsusp.ground.hpl_lca_front, "Z"))
!
ude modify instance  &
   instance_name = ._fsae_rearsusp.bgr_lca_rear  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}mm, ._fsae_rearsusp.ground.hpr_lca_rear))  &
   orientation =   &
      (ORI_ALONG_AXIS(._fsae_rearsusp.ground.hpr_lca_rear, ._fsae_rearsusp.ground.hpr_lca_front, "Z"))
!
ude modify instance  &
   instance_name = ._fsae_rearsusp.bgl_uca_front  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}mm, ._fsae_rearsusp.ground.hpl_uca_front))  &
   orientation =   &
      (ORI_ALONG_AXIS(._fsae_rearsusp.ground.hpl_uca_front, ._fsae_rearsusp.ground.hpl_uca_rear, "Z"))
!
ude modify instance  &
   instance_name = ._fsae_rearsusp.bgr_uca_front  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}mm, ._fsae_rearsusp.ground.hpr_uca_front))  &
   orientation =   &
      (ORI_ALONG_AXIS(._fsae_rearsusp.ground.hpr_uca_front, ._fsae_rearsusp.ground.hpr_uca_rear, "Z"))
!
ude modify instance  &
   instance_name = ._fsae_rearsusp.bgl_uca_rear  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}mm, ._fsae_rearsusp.ground.hpl_uca_rear))  &
   orientation =   &
      (ORI_ALONG_AXIS(._fsae_rearsusp.ground.hpl_uca_rear, ._fsae_rearsusp.ground.hpl_uca_front, "Z"))
!
ude modify instance  &
   instance_name = ._fsae_rearsusp.bgr_uca_rear  &
   location =   &
      (LOC_RELATIVE_TO({0.0, 0.0, 0.0}mm, ._fsae_rearsusp.ground.hpr_uca_rear))  &
   orientation =   &
      (ORI_ALONG_AXIS(._fsae_rearsusp.ground.hpr_uca_rear, ._fsae_rearsusp.ground.hpr_uca_front, "Z"))
!
variable modify  &
   variable_name = ._fsae_rearsusp.cil_toe_link_to_frame.minor_role  &
   string_value = (._fsae_rearsusp.mtl_toe_link_to_frame.minor_role)
!
variable modify  &
   variable_name = ._fsae_rearsusp.cil_toe_link_to_frame  &
   comments = ("Autocreated for mount part: " // ._fsae_rearsusp.cil_toe_link_to_frame[2].name)
!
variable modify  &
   variable_name = ._fsae_rearsusp.cir_toe_link_to_frame.minor_role  &
   string_value = (._fsae_rearsusp.mtr_toe_link_to_frame.minor_role)
!
variable modify  &
   variable_name = ._fsae_rearsusp.cir_toe_link_to_frame  &
   comments = ("Autocreated for mount part: " // ._fsae_rearsusp.cir_toe_link_to_frame[2].name)
!
variable modify  &
   variable_name = ._fsae_rearsusp.cil_damper_to_frame.minor_role  &
   string_value = (._fsae_rearsusp.mtl_damper_to_frame.minor_role)
!
variable modify  &
   variable_name = ._fsae_rearsusp.cil_damper_to_frame  &
   comments = ("Autocreated for mount part: " // ._fsae_rearsusp.cil_damper_to_frame[2].name)
!
variable modify  &
   variable_name = ._fsae_rearsusp.cir_damper_to_frame.minor_role  &
   string_value = (._fsae_rearsusp.mtr_damper_to_frame.minor_role)
!
variable modify  &
   variable_name = ._fsae_rearsusp.cir_damper_to_frame  &
   comments = ("Autocreated for mount part: " // ._fsae_rearsusp.cir_damper_to_frame[2].name)
!
variable modify  &
   variable_name = ._fsae_rearsusp.col_wheel_center  &
   real_value = (._fsae_rearsusp.ground.hpl_wheel_center.location)
!
variable modify  &
   variable_name = ._fsae_rearsusp.cor_wheel_center  &
   real_value = (._fsae_rearsusp.ground.hpr_wheel_center.location)
!
variable modify  &
   variable_name = ._fsae_rearsusp.cil_uca_to_frame.minor_role  &
   string_value = (._fsae_rearsusp.mtl_uca_to_frame.minor_role)
!
variable modify  &
   variable_name = ._fsae_rearsusp.cil_uca_to_frame  &
   comments = ("Autocreated for mount part: " // ._fsae_rearsusp.cil_uca_to_frame[2].name)
!
variable modify  &
   variable_name = ._fsae_rearsusp.cir_uca_to_frame.minor_role  &
   string_value = (._fsae_rearsusp.mtr_uca_to_frame.minor_role)
!
variable modify  &
   variable_name = ._fsae_rearsusp.cir_uca_to_frame  &
   comments = ("Autocreated for mount part: " // ._fsae_rearsusp.cir_uca_to_frame[2].name)
!
variable modify  &
   variable_name = ._fsae_rearsusp.cil_tripot_to_differential.minor_role  &
   string_value = (._fsae_rearsusp.mtl_tripot_to_differential.minor_role)
!
variable modify  &
   variable_name = ._fsae_rearsusp.cil_tripot_to_differential  &
   comments = ("Autocreated for mount part: " // ._fsae_rearsusp.cil_tripot_to_differential[2].name)
!
variable modify  &
   variable_name = ._fsae_rearsusp.cir_tripot_to_differential.minor_role  &
   string_value = (._fsae_rearsusp.mtr_tripot_to_differential.minor_role)
!
variable modify  &
   variable_name = ._fsae_rearsusp.cir_tripot_to_differential  &
   comments = ("Autocreated for mount part: " // ._fsae_rearsusp.cir_tripot_to_differential[2].name)
!
variable modify  &
   variable_name = ._fsae_rearsusp.col_tripot_to_differential  &
   real_value =   &
      (._fsae_rearsusp.ground.hpl_drive_shaft_inr.location[1]),  &
      (._fsae_rearsusp.ground.hpl_drive_shaft_inr.location[2]),  &
      (._fsae_rearsusp.ground.hpl_drive_shaft_inr.location[3])
!
variable modify  &
   variable_name = ._fsae_rearsusp.cor_tripot_to_differential  &
   real_value =   &
      (._fsae_rearsusp.ground.hpr_drive_shaft_inr.location[1]),  &
      (._fsae_rearsusp.ground.hpr_drive_shaft_inr.location[2]),  &
      (._fsae_rearsusp.ground.hpr_drive_shaft_inr.location[3])
!
variable modify  &
   variable_name = ._fsae_rearsusp.cis_chassis_reference_adams_id  &
   integer_value = (._fsae_rearsusp.cis_chassis_reference.object_value.adams_id)
!
variable modify  &
   variable_name = ._fsae_rearsusp.cir_lca_to_frame.minor_role  &
   string_value = (._fsae_rearsusp.mtr_lca_to_frame.minor_role)
!
variable modify  &
   variable_name = ._fsae_rearsusp.cir_lca_to_frame  &
   comments = ("Autocreated for mount part: " // ._fsae_rearsusp.cir_lca_to_frame[2].name)
!
variable modify  &
   variable_name = ._fsae_rearsusp.cil_lca_to_frame.minor_role  &
   string_value = (._fsae_rearsusp.mtl_lca_to_frame.minor_role)
!
variable modify  &
   variable_name = ._fsae_rearsusp.cil_lca_to_frame  &
   comments = ("Autocreated for mount part: " // ._fsae_rearsusp.cil_lca_to_frame[2].name)
!
variable modify  &
   variable_name = ._fsae_rearsusp.cil_BC_to_frame.minor_role  &
   string_value = (._fsae_rearsusp.mtl_BC_to_frame.minor_role)
!
variable modify  &
   variable_name = ._fsae_rearsusp.cil_BC_to_frame  &
   comments = ("Autocreated for mount part: " // ._fsae_rearsusp.cil_BC_to_frame[2].name)
!
variable modify  &
   variable_name = ._fsae_rearsusp.cir_BC_to_frame.minor_role  &
   string_value = (._fsae_rearsusp.mtr_BC_to_frame.minor_role)
!
variable modify  &
   variable_name = ._fsae_rearsusp.cir_BC_to_frame  &
   comments = ("Autocreated for mount part: " // ._fsae_rearsusp.cir_BC_to_frame[2].name)
!
group modify  &
   group_name = ._fsae_rearsusp.kinematic_mode_active  &
   expr_active = ((._fsae_rearsusp.phs_kinematic_flag || ._fsae_rearsusp.model_class == "template" ? 1 : 0) && DB_ACTIVE(._fsae_rearsusp))
!
group modify  &
   group_name = ._fsae_rearsusp.kinematic_mode_inactive  &
   expr_active = (( ! ._fsae_rearsusp.phs_kinematic_flag || ._fsae_rearsusp.model_class == "template" ? 1 : 0) && DB_ACTIVE(._fsae_rearsusp))
!
group modify  &
   group_name = ._fsae_rearsusp.driveline_active  &
   expr_active = ((._fsae_rearsusp.phs_driveline_active || ._fsae_rearsusp.model_class == "template" ? 1 : 0) && DB_ACTIVE(._fsae_rearsusp))
!
group modify  &
   group_name = ._fsae_rearsusp.driveline_inactive  &
   expr_active = (( ! ._fsae_rearsusp.phs_driveline_active || ._fsae_rearsusp.model_class == "template" ? 1 : 0) && DB_ACTIVE(._fsae_rearsusp))
!
group modify  &
   group_name = ._fsae_rearsusp.subframe_active  &
   expr_active = ((._fsae_rearsusp.pvs_subframe_active == 1 || ._fsae_rearsusp.model_class == "template" ? 1 : 0) && DB_ACTIVE(._fsae_rearsusp))
!
group modify  &
   group_name = ._fsae_rearsusp.subframe_inactive  &
   expr_active = ((._fsae_rearsusp.pvs_subframe_active == 0 || ._fsae_rearsusp.model_class == "template" ? 1 : 0) && DB_ACTIVE(._fsae_rearsusp))
!
ude modify instance  &
   instance_name = ._fsae_rearsusp.bul_jounce_stop  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground))
!
ude modify instance  &
   instance_name = ._fsae_rearsusp.bur_jounce_stop  &
   location =   &
      (LOC_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground))  &
   orientation =   &
      (ORI_RELATIVE_TO({0, 0, 0}, ._fsae_rearsusp.ground))
!
model display  &
   model_name = _fsae_rearsusp
